SET time_zone = '+00:00';
SET NAMES utf8mb4;

DROP TABLE IF EXISTS `ok_advantages`;
CREATE TABLE `ok_advantages` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `filename` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `text` text COLLATE utf8mb4_unicode_ci,
  `position` int(11) DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_advantages` (`id`, `filename`, `text`, `position`) VALUES
(1,	'advantage1_icon_1.jpg',	'Доставка по всей стране',	2),
(2,	'advantage2_icon_1.jpg',	'100% гарантия качества',	0),
(3,	'advantage3_icon_1.jpg',	'14 дней на возврат товара',	1),
(4,	'advantage4_icon_1.jpg',	'Самовывоз из магазина',	3);

DROP TABLE IF EXISTS `ok_blog`;
CREATE TABLE `ok_blog` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `url` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `meta_title` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `meta_keywords` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `meta_description` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `annotation` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `visible` tinyint(1) NOT NULL DEFAULT '0',
  `date` timestamp NULL DEFAULT NULL,
  `image` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `last_modify` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `type_post` enum('blog','news') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'blog',
  PRIMARY KEY (`id`),
  KEY `enabled` (`visible`),
  KEY `url` (`url`(100))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_blog` (`id`, `name`, `url`, `meta_title`, `meta_keywords`, `meta_description`, `annotation`, `description`, `visible`, `date`, `image`, `last_modify`, `type_post`) VALUES
(1,	'Основные изменения в OkayCMS 2.0',	'osnovnye-izmeneniya-v-okaycms-20',	'Основные изменения в OkayCMS 2.0',	'Основные изменения в OkayCMS 2.0',	'1.        Административная панель.        Абсолютно новый дизайн, структура и верстка согласно современным подходам. Теперь админ-панель более дружелюбная, понятная и удобная для пользователя. Предусмотрено место для размещения нового функционала, доработок и модулей. Главный козырь новой админки &ndash; ее адаптивность. Вносить корректировки, обрабатывать заказы, отвечать на запросы теперь удобно с любого устройства.    \r\n   2.        Техническая поддержка OkayCMS.        В админ-панель внедрен функционал ',	'<p>1. Административная панель. Абсолютно новый дизайн, структура и верстка согласно современным подходам. Теперь админ-панель более дружелюбная, понятная и удобная для пользователя. Предусмотрено место для размещения нового функционала, доработок и модулей. Главный козырь новой админки &ndash; ее адаптивность. Вносить корректировки, обрабатывать заказы, отвечать на запросы теперь удобно с любого устройства.</p>',	'<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span style=\"color: #000000;\"><span lang=\"ru-RU\">1. </span></span><span style=\"color: #4f81bd;\"><span style=\"font-family: Cambria,serif;\"><span style=\"font-size: medium;\"><strong><span style=\"color: #000000;\">Административная панель. </span></strong></span></span></span><span style=\"color: #000000;\"><span lang=\"ru-RU\">Абсолютно новый дизайн, структура и верстка согласно современным подходам. Теперь админ-панель более дружелюбная, понятная и удобная для пользователя. Предусмотрено место для размещения нового функционала, доработок и модулей. Главный козырь новой админки &ndash; ее адаптивность. Вносить корректировки, обрабатывать заказы, отвечать на запросы теперь удобно с любого устройства. </span></span></p>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span style=\"color: #000000;\"><span lang=\"ru-RU\">2. </span></span><span style=\"color: #4f81bd;\"><span style=\"font-family: Cambria,serif;\"><span style=\"font-size: medium;\"><strong><span style=\"color: #000000;\">Техническая поддержка OkayCMS. </span></strong></span></span></span><span style=\"color: #000000;\"><span lang=\"ru-RU\">В админ-панель внедрен функционал для связи с техподдержкой </span></span><span style=\"color: #000000;\"><span lang=\"en-US\">OkayCMS</span></span><span style=\"color: #000000;\"><span lang=\"ru-RU\">. Теперь вам не нужно звонить, писать на почту или скайп. Задать вопросы, получить консультацию, помощь в установке </span></span><span style=\"color: #000000;\"><span lang=\"en-US\">CMS</span></span><span style=\"color: #000000;\"><span lang=\"ru-RU\">, шаблона или дополнения можно прямо из административной панели, отправив запрос в техподдержку. Это поможет нам быстрее отвечать на ваши вопросы, а история переписок по всем темам всегда будут храниться в одном месте - у вас в админке. <a href=\"https://okay-cms.com/support\">Подробнее о техподдержке</a>. </span></span></p>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span style=\"color: #000000;\"><span lang=\"ru-RU\">В 2.0 пользователь лицензионной </span><span lang=\"en-US\">OkayCMS</span> <span lang=\"en-US\">Pro</span><span lang=\"ru-RU\"> получит 10 часов бесплатной техподдержки, пользователь </span><span lang=\"en-US\">OkayCMS</span> <span lang=\"en-US\">Lite</span><span lang=\"ru-RU\"> &ndash; 30 минут с возможностью докупить часы техподдержки. </span></span></p>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span style=\"color: #000000;\"><span lang=\"ru-RU\">3. </span></span><span style=\"color: #4f81bd;\"><span style=\"font-family: Cambria,serif;\"><span style=\"font-size: medium;\"><strong><span style=\"color: #000000;\">Мультиязычнсть сайта. </span></strong></span></span></span><span style=\"color: #000000;\"><span lang=\"ru-RU\">Переделана мультиязычность клиентской части и добавлена мультиязычность админ-панели. Теперь переводы статических фраз хранятся не в базе данных, а в файлах. Для клиентской части это упрощает установку новых тем и возможность переключения между ними. Для обеих частей (как админки, так и клиентской) это облегчает перевод сайта на другие языки. Теперь сделать сайт для клиента полностью на иностранном языке не составляет проблемы. Для этого необходимо перевести фразы всего в двух файлах. На момент релиза в </span></span><span style=\"color: #000000;\"><span lang=\"en-US\">OkayCMS</span></span><span style=\"color: #000000;\"><span lang=\"ru-RU\"> 2.0 добавлено два языка для административной панели - русский и английский, но в ближайшее время их количество увеличится.</span></span></p>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span style=\"color: #000000;\"><span lang=\"ru-RU\">4. </span></span><span style=\"color: #4f81bd;\"><span style=\"font-family: Cambria,serif;\"><span style=\"font-size: medium;\"><strong><span style=\"color: #000000;\">Новый дефолтный шаблон.</span></strong></span></span></span><span style=\"color: #000000;\"><span lang=\"ru-RU\"> Код шаблона теперь чище и приятнее для разработчиков, детальнее прокомментирован. Сам шаблон теперь позволяет добавлять большое количество категорий.</span></span></p>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span style=\"color: #000000;\"><span lang=\"ru-RU\">5. </span></span><span style=\"color: #4f81bd;\"><span style=\"font-family: Cambria,serif;\"><span style=\"font-size: medium;\"><strong><span style=\"color: #000000;\">PHP 7.</span></strong></span></span></span><span style=\"color: #000000;\"><span lang=\"ru-RU\"> Полная поддержка PHP 7, которая позволит позволит сайтам на OkayCMS работать быстрее.</span></span></p>',	1,	'2017-05-13 21:00:00',	'okaycms2.0.jpg',	'2019-09-11 14:57:28',	'news'),
(2,	'Как работает техподдержка OkayCMS 2.0',	'kak-rabotaet-tehpodderzhka-okaycms-20',	'Как работает техподдержка OkayCMS 2.0',	'Как работает техподдержка OkayCMS 2.0',	'Приобретая лицензию OkayCMS Pro 2.0, вы получаете 10 часов комплексной поддержки и консультаций по работе с OkayCMS. Предлагаем более подробно ознакомиться с видами консультаций и регламентом работы службы поддержки.  \r\n  Специалисты технической поддержки выполняют следующие работы:  \r\n \r\n \r\n  дают консультации о системных требованиях для оптимальной работы системы;  \r\n \r\n \r\n  дают консультации по работе c OkayCMS для администратора магазина;  \r\n \r\n \r\n  предоставляют консультации по внедрению дополнительног',	'<p>Приобретая лицензию OkayCMS Pro 2.0, вы получаете 10 часов комплексной поддержки и консультаций по работе с OkayCMS. Предлагаем более подробно ознакомиться с видами консультаций и регламентом работы службы поддержки.</p>',	'<p><span lang=\"ru-RU\">Приобретая лицензию OkayCMS Pro 2.0, вы получаете 10 часов комплексной поддержки и консультаций по работе с OkayCMS. Предлагаем более подробно ознакомиться с видами консультаций и регламентом работы службы поддержки.</span></p>\r\n<h2 class=\"western\"><span lang=\"ru-RU\">Специалисты технической поддержки выполняют следующие работы:</span></h2>\r\n<ul>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">дают консультации о системных требованиях для оптимальной работы системы;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">дают консультации&nbsp;по работе c OkayCMS для администратора магазина;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">предоставляют консультации по внедрению дополнительного функционала в OkayCMS;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">оказывают помощь в установке OkayCMS на хостинг;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">проводят установку шаблонов и дополнений из</span><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><a href=\"https://okay-cms.com/catalog/dopolneniya\"><span style=\"color: #38c0f3;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">MarketPlace OkayCMS</span></span></span></span></a><span lang=\"ru-RU\">;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">проводят обновление OkayCMS до последней актуальной версии.</span></p>\r\n</li>\r\n</ul>\r\n<h2 class=\"western\"><span lang=\"ru-RU\">Регламент работы:</span></h2>\r\n<ol>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">В административной панели вашего сайта на OkayCMS в разделе \"Техническая поддержка\" создайте новое обращение.</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Подробно опишите проблему и сформулируйте название обращения. После этого подайте обращение на рассмотрение.&nbsp;</span><strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">Внимание! Одно обращение в службу поддержки должно содержать одну проблему, не пишите несколько проблем в одном обращении.</span></span></span></span></strong></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Следите за </span><span lang=\"en-US\">E</span><span lang=\"ru-RU\">mail-уведомлениями о прогрессе решения вашего вопроса в течении одного рабочего дня. Ответ так же будет отображен в админ-панели вашего сайта.</span></p>\r\n</li>\r\n</ol>\r\n<h2 class=\"western\"><span lang=\"ru-RU\">Что может повлиять на время решения вашего запроса?</span></h2>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Для ускорения реакции на ваше обращение мы советуем следовать простым правилам:</span></p>\r\n<ul>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">подробно описывайте проблему, шаги к ее воспроизведению;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">укажите реквизиты доступа в административную часть вашего сайта;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">укажите актуальные доступы к FTP и СУБД (PHPMyAdmin), если для решения проблемы необходимо вмешательство в исходный код;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">предоставьте информацию о версии продукта.</span></p>\r\n</li>\r\n</ul>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Дополнительно службой поддержки может быть затребована информация о настройках ПО, а также информация для доступа к серверу по FTP, SSH или административной панели хостинг-провайдера.</span></p>\r\n<h2 class=\"western\"><span lang=\"ru-RU\">Обработка обращения прекращается в случае:</span></h2>\r\n<ul>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">если пользователь не может дать затребованную агентом поддержки информацию для решения вопроса;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">клиент не может предоставить доступы к сайту (FTP, SSH, панель управления хостингом и т. д.);</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">проблема не может быть воспроизведена;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">обращение содержит несколько связанных между собой проблем;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">хостинг не соответствует системным требованиям;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">вопрос задан неконкретно или диалог ведется в неконструктивной форме;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">вопрос выходит за рамки технической поддержки;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">если в течение 30 календарных дней ответ от пользователя не был получен, обращение считается обработанным автоматически.</span></p>\r\n</li>\r\n</ul>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"color: #767679;\">&nbsp;</span></p>\r\n<h2 class=\"western\"><span lang=\"ru-RU\">Услуги, которые не покрывает поддержка OkayCMS*:</span></h2>\r\n<ul>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">перенос данных с других систем;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">разработка дополнительного функционала;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">услуги по веб-разработке. Для этого обратитесь к нашим партнерам;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">web-дизайн;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">поддержка посторонних решений;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">работы по настройке сервера.&nbsp;</span></p>\r\n</li>\r\n</ul>\r\n<h2 class=\"western\"><span lang=\"ru-RU\">Если часы техподдержки закончились?</span></h2>\r\n<ol>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Перейдите на сайт </span><span lang=\"en-US\">okay</span><span lang=\"ru-RU\">-</span><span lang=\"en-US\">cms</span><span lang=\"ru-RU\">.</span><span lang=\"en-US\">com</span><span lang=\"ru-RU\">/</span><span lang=\"en-US\">support</span><span lang=\"ru-RU\"> в раздел Техническая поддержка.</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Приобретите необходимое количество часов техподдержки.</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Ожидайте обновления техподдержки в админ-панели своего сайта.</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">После обновления отправьте свой запрос в техподдержку.</span></p>\r\n</li>\r\n</ol>',	1,	'2017-05-13 21:00:00',	'background-bags-bows-1050244.jpg',	'2019-07-07 20:01:14',	'news'),
(3,	'Как установить OkayCMS 2.0 на сайт',	'kak-ustanovit-okaycms-20-na-sajt',	'Как установить OkayCMS 2.0 на сайт',	'Как установить OkayCMS 2.0 на сайт',	'Шаг 1.    Файлы    для установки OkayCMS  \r\n    \r\n \r\n \r\n  Зайдите на официальный сайт OkayCMS.   \r\n \r\n \r\n  Кликните по кнопке          Скачать CMS в шапке сайта. \r\n \r\n \r\n  Сохраните файл к себе на компьютер. Сохраненный файл-архив имеет вид OkayCMS_1.0.1.zip (цифры в названии файла после слова OkayCMS могут отличаться, это зависит от скачиваемой вами версии).  \r\n \r\n \r\n  Разархивируйте файл OkayCMS_1.0.1.zip. (Кликните правой кнопкой мыши на файле и выберите пункт Извлечь в OkayCMS_1.0.1.)           \r\n \r\n \r\n',	'<p>Шаг 1. Файлы для установки OkayCMS Зайдите на официальный сайт OkayCMS. Кликните по кнопке Скачать CMS в шапке сайта. Сохраните файл к себе на компьютер. Сохраненный файл-архив имеет вид OkayCMS_1.0.1.zip (цифры в названии файла после слова OkayCMS могут отличаться, это зависит от скачиваемой вами версии).</p>',	'<h2 class=\"western\"><strong>Шаг 1. </strong><strong><span lang=\"ru-RU\">Файлы</span></strong><strong> для установки OkayCMS</strong></h2>\r\n<p lang=\"ru-RU\" style=\"margin-bottom: 0.35cm; line-height: 115%;\"><br /><br /></p>\r\n<ol>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Зайдите на официальный сайт OkayCMS. </span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Кликните по кнопке</span><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span>Скачать CMS в шапке сайта.</p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Сохраните файл к себе на компьютер. Сохраненный файл-архив имеет вид OkayCMS_1.0.1.zip (цифры в названии файла после слова OkayCMS могут отличаться, это зависит от скачиваемой вами версии).</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Разархивируйте файл OkayCMS_1.0.1.zip. (Кликните правой кнопкой мыши на файле и выберите пункт Извлечь в OkayCMS_1.0.1.)</span><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">После распаковки архива появится папка OkayCMS_1.0.1, внутри которой будут 2 файла:&nbsp;install.php&nbsp;и&nbsp;okaycms.zip. Эти файлы необходимо загрузить на сервер вашего хостинг-провайдера в корень вашего сайта.</span></p>\r\n</li>\r\n</ol>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">ВНИМАНИЕ! В корень сайта необходимо поместить 2 файла, которые были извлечены из архива OkayCMS_1.0.1.zip, а не сам архив.</span></p>\r\n<h2 class=\"western\"><strong>Шаг 2. Создание базы данных</strong></h2>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"color: #767679;\">&nbsp;</span></p>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">ВНИМАНИЕ! Далее вы будете работать с панелью управления хостинга. Существует большое количество хостинг-провайдеров. Однако</span><span lang=\"ru-RU\">&nbsp;</span><span lang=\"ru-RU\">принцип проводимых действий везде одинаковый.</span></span></span></p>\r\n<p lang=\"ru-RU\" style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><br /><br /></p>\r\n<ol>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Зайдите в панель управления вашего хостинга и выберите пункт</span><span lang=\"ru-RU\">&nbsp;</span><span lang=\"ru-RU\">Базы данных.</span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Найдите и кликните</span><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">Создать базу данных</span></span></span></span></strong><span lang=\"ru-RU\">. В появившемся окне введите</span><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">имя базы данных, используя английскую раскладку</span></span></span></span></strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><span lang=\"ru-RU\">клавиатуры. Запишите его, оно вам пригодится далее.</span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Выберите кодировку</span><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">utf8_general_ci</span></span></span></span></strong><span lang=\"ru-RU\">. (Иногда вместо слова Кодировка может быть слово Сравнение)</span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Введите имя пользователя, если оно не сгенерировалось автоматически. Так же запишите это имя, оно будет использоваться далее. </span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Кликните кнопку</span><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">Создать.</span></span></span></span></strong></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Появится сообщение: база данных успешно создана.</span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Для доступа используйте логин ****** и пароль *******</span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Запишите пароль к базе данных.</span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Возможно, на некоторых хостингах пароль вам придется придумать самостоятельно.</span></span></span></p>\r\n</li>\r\n</ol>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\">&nbsp;</p>\r\n<h2 class=\"western\"><strong>Шаг 3. Загрузка дистрибутива на хостинг</strong></h2>\r\n<p lang=\"ru-RU\" style=\"margin-bottom: 0.35cm; line-height: 115%;\"><br /><br /></p>\r\n<ol>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Для загрузки файлов на хостинг понадобится FTP-менеджер, например</span><span lang=\"ru-RU\">&nbsp;</span><span lang=\"ru-RU\">FileZilla,</span><span lang=\"ru-RU\">&nbsp;</span><span lang=\"ru-RU\">Total Commander. </span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Запустите FTP-менеджер FileZilla. Для соединения с сервером введите данные, предоставленные вашим хостинг-провайдером и нажмите кнопку Соединение</span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">В одной из двух частей окна вашего файл-менеджера найдите папку OkayCMS, которую вы создали в Шаге1, зайдите в нее и закачайте файлы</span><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">install.php</span></span></span></span></strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><span lang=\"ru-RU\">и</span><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">okaycms_source.zip</span></span></span></span></strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><span lang=\"ru-RU\">на сервер в корень сайта. (Кликните правой кнопкой мыши на файле и выберите</span><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">Закачать на сервер</span></span></span></span></strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><span lang=\"ru-RU\">или просто перетащите файлы мышкой с левой в другую часть окна).</span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">На этом работа с FTP-менеджером FileZilla закончена.</span></span></span></p>\r\n</li>\r\n</ol>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"color: #767679;\">&nbsp;</span></p>\r\n<h2 class=\"western\"><a name=\"_GoBack\"></a><strong><span lang=\"ru-RU\">Шаг 4. Завершающий этап установки</span></strong></h2>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Далее читайте Инструкцию в <a href=\"https://okay-cms.com/article/kak-ustanovit-okaycms-na-sajt\">блоге OkayCMS</a>.</span></p>',	1,	'2017-05-13 21:00:00',	'install_okaycms.png',	'2019-06-13 14:46:35',	'blog'),
(4,	'Город Нью-Йорк (New York City)',	'gorod-nyu-jork-new-york-city',	'Город Нью-Йорк (New York City)',	'Город Нью-Йорк (New York City)',	'Почти год мы работали над улучшением OkayCMS. Куда еще лучше? спроосите вы, а вот мы нашли. Технологии все время развиваются, и мы не хотим отставать. Наша цель вести свою систему к простоте и функциональности, своевременно удовлетворять запросы пользователей. Поэтому обновление принесло в OkayCMS новые полезные штуки и унесло неиспользуемый функционал и какие-то недочеты, которые в том числе и вы нам помогали искать. Что же в итоге получилось, узнаете из текста. ',	'<p>Нью-Йорк &mdash; пожалуй, самый известный город в мире, в котором сосредоточены финансовые учреждения, многочисленные исторические и культурные достопримечательности, музеи, магазины, театры и многое другое. Это шумный и яркий город небоскребов и свободы, который многим знаком по обилию кинофильмов и фото, где действие разворачивается на его улицах. Здесь столько возможностей, сколько можно вообразить. От Таймс-сквер до самого темного уголка Бронкса &mdash; царство крайностей. От русского анклава в Бруклине на Брайтон-Бич до филиала Южной Америки в Квинсе &mdash; сообщества из любой страны мира.</p>',	'<p><strong>Нью-Йорк</strong> &mdash; пожалуй, самый известный город в мире, в котором сосредоточены финансовые учреждения, многочисленные исторические и культурные достопримечательности, музеи, магазины, театры и многое другое. Это шумный и яркий город небоскребов и свободы, который многим знаком по обилию кинофильмов и фото, где действие разворачивается на его улицах. Здесь столько возможностей, сколько можно вообразить. От Таймс-сквер до самого темного уголка Бронкса &mdash; царство крайностей. От русского анклава в Бруклине на Брайтон-Бич до филиала Южной Америки в Квинсе &mdash; сообщества из любой страны мира.</p>\r\n<p class=\"video\" style=\"text-align: center;\"><iframe src=\"https://www.youtube.com/embed/TmDKbUrSYxQ\" width=\"560\" height=\"315\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe></p>\r\n<h3 style=\"text-align: center;\">Основные моменты</h3>\r\n<p>Две главные достопримечательности, давно ставшие символами Нью-Йорка &ndash; это его легендарные небоскребы (например, Эмпайр Стейт Билдинг) и Статуя Свободы. Величественные здания можно осмотреть и при пешей прогулке, а вот до другого объекта можно добраться только на пароме с Нижнего Манхеттена.</p>\r\n<div class=\"table\">\r\n<div class=\"table__row\">\r\n<div class=\"table__cell\">Практически все самые известные достопримечательности сосредоточены на Манхеттене. Здесь находятся известные на весь мир Уолт-стрит, где кипит финансовая жизнь всей Америки, Бродвей с многочисленными театрами, Центральный вокзал, самая дорогая улица &ndash; Пятая Авеню с шикарными магазинами и ресторанами, Рокфеллер-центр, около которого каждое Рождество устанавливают огромную ель, Музейная миля со всемирно известными музеями. Но самым посещаемым местом является Таймс Сквер. Здесь всегда многолюдно и в разгар рабочего дня, и ночью, когда включается впечатляющая неоновая подсветка.</div>\r\n<div class=\"table__cell\"><img src=\"../files/uploads/architecture-buildings-car-1634275.jpg\" width=\"800\" height=\"533\" /></div>\r\n</div>\r\n</div>\r\n<p>Непременно стоит заглянуть и в другие районы города. Хотя бы для того, чтобы почувствовать их атмосферу, в каждом из них можно найти много интересного. Так, например, Бронксе имеется зоопарк и ботанический сад.</p>\r\n<p>В каждом округе Нью-Йорка есть свои парки и скверы, но самым известным, несомненно, является огромный Центральный парк в сердце Манхеттена. Это искусственно созданный уголок природы посреди серого бетонного мегаполиса.</p>\r\n<p>Нью-Йорк уже давно приобрел славу одного из самых дорогих городов в мире. Поэтому проживание, еда, покупки и передвижение по городу обойдется в немалую сумму. Но все же здесь стоит побывать хотя бы раз в жизни. Кто-то влюбляется в Нью-Йорк с первого взгляда, кто-то начинает ненавидеть этот мегаполис с безумным ритмом жизни. В любом случае равнодушно относиться к этому городу невозможно.</p>\r\n<h3 style=\"text-align: center;\">Достопримечательности Нью-Йорка</h3>\r\n<div class=\"table\">\r\n<div class=\"table__row\">\r\n<div class=\"table__cell table__cell--col-3\">\r\n<figure><img src=\"../files/uploads/okay_mankhetten.jpg\" alt=\"Манхеттен\" width=\"380\" height=\"380\" />\r\n<figcaption>Манхэттен &ndash; самый маленький и при этом наиболее популярный среди туристов район...</figcaption>\r\n</figure>\r\n</div>\r\n<div class=\"table__cell table__cell--col-3\">\r\n<figure><img src=\"../files/uploads/okay_statuya_svobody.JPG\" alt=\"Статуя Свободы\" width=\"380\" height=\"380\" />\r\n<figcaption>Статуя Свободы &mdash; одна из самых знаменитых скульптур в мире, это символ Нью-Йорка ...</figcaption>\r\n</figure>\r\n</div>\r\n<div class=\"table__cell table__cell--col-3\">\r\n<figure><img src=\"../files/uploads/okay_bruklin.jpg\" alt=\"Бруклин\" width=\"380\" height=\"380\" />\r\n<figcaption>Бруклин &mdash; второй по популярности район в Нью-Йорке после Манхэттена, в котором проживает 2,5...</figcaption>\r\n</figure>\r\n</div>\r\n<div class=\"table__cell table__cell--col-3\">\r\n<figure><img src=\"../files/uploads/okay_pyatoe_avenyu.jpg\" alt=\"Пятая авеню\" width=\"380\" height=\"380\" />\r\n<figcaption>Пятая авеню &mdash; улица в самом центре Манхеттен, которая также представляет собой яркий символ...</figcaption>\r\n</figure>\r\n</div>\r\n<div class=\"table__cell table__cell--col-3\">\r\n<figure><img src=\"../files/uploads/okay_broadway.jpg\" alt=\"Бродвей\" width=\"380\" height=\"380\" />\r\n<figcaption>Бродвей &ndash; это не только главная улица Нью-Йорка, а возможно и всех Соединенных Штатов, это еще и...</figcaption>\r\n</figure>\r\n</div>\r\n<div class=\"table__cell table__cell--col-3\">\r\n<figure><img src=\"../files/uploads/okay_uoll_strit.jpg\" alt=\"Уолл Стрит\" width=\"380\" height=\"380\" />\r\n<figcaption>Уолл-стрит &mdash; небольшая узкая улица в нижней части Манхэттена, ведущая от Бродвея к побережью...</figcaption>\r\n</figure>\r\n</div>\r\n</div>\r\n</div>\r\n<h3 style=\"text-align: center;\">Музеи Нью-Йорка</h3>\r\n<div class=\"table\">\r\n<div class=\"table__row\">\r\n<div class=\"table__cell\"><img src=\"../files/uploads/okay_museum.jpg\" alt=\"Музеи нью Йорка\" width=\"1024\" height=\"500\" /></div>\r\n<div class=\"table__cell\">\r\n<p>Пожалуй, вся оставшаяся жизнь ушла бы у вас на посещение 120 музеев Нью-Йорка. Ниже приводится далеко не полный их перечень.</p>\r\n<ol>\r\n<li>Художественный музей Метрополитен.</li>\r\n<li>Музей современного искусства.</li>\r\n<li>Музей Гуггенхайма.</li>\r\n<li>Музей американского искусства Уитни.</li>\r\n<li>Американский музей естествознания.</li>\r\n<li>Музей города Нью-Йорка.</li>\r\n<li>Национальный музей американских индейцев.</li>\r\n</ol>\r\n</div>\r\n</div>\r\n</div>\r\n<h3 style=\"text-align: center;\">Остров Манхэттен</h3>\r\n<p>Этот остров длиной 21 км и шириной 3 км содержит почти все, что бы вам хотелось посмотреть. Четыре других городских района: Бруклин, Куинс, Стейтен-Айленд и Бронкс (все большей частью жилые) &mdash; по-своему неповторимы, но для местных жителей и приезжих Нью-Йорк &mdash; это Манхэттен.</p>\r\n<p><strong>Мидтаун.</strong> Вполне возможно, что ваша гостиница окажется в Мидтауне, откуда легко добраться пешком до любого лежащего окрест места. Нью-Йорк отличает еще то, что он замечательно подходит для пеших прогулок по своим широким тротуарам. В любом случае начинать надо от центра.</p>\r\n<p><strong>Рокфеллеровский центр</strong>. Это скопление вознесшихся вверх башен из индианского известняка между Пятой и Шестой авеню, от 48-й до 51-й улицы составляет сердцевину Нью-Йорка. Джон Д. Рокфеллер-младший арендовал данный участок земли у Колумбийского университета в 1928 г., чтобы спасти его от дурной славы притона для питейных заведений в пору действия сухого закона. Они вскоре исчезли, уступив место первым небоскребам, где размещались правления компаний и центр радиовещания, которые соединялись с подземным залом, где находилось свыше 200 магазинов и ресторанов.</p>\r\n<p><strong>Пятая авеню</strong>. Этот проспект, по меньшей мере отрезок между 34-й улицей и Центральным парком, стал олицетворением роскоши, которой можно вкусить или полюбоваться. Если ваши средства не позволяют остановиться в гостинице &laquo;Плаза&raquo;, можно насладиться не столь вызывающей роскошью усеянных бриллиантами витрин ювелирных магазинов Тиффани, либо Картье, либо Ван-Клефа и Арпельса. Они просто восхитительны, особенно под Рождество.</p>\r\n<blockquote>\r\n<p>Порой я устаю от прогулок по прекрасным улицам Лос-Анджелеса. Я понимаю, что это звучит ненормально, но у меня возникает желание съездить в Нью-Йорк и понаблюдать за страданиями людей.</p>\r\n<cite>Донна Саммер</cite></blockquote>\r\n<p><span style=\"font-size: 10pt;\">*Материалы для оформления этой статьи были частично взяты с ресурса <em>wikiway.com</em></span></p>',	1,	'2018-06-25 21:00:00',	'coffee-dark-design-1581687.jpg',	'2019-07-08 12:24:54',	'news'),
(5,	'OkayCMS 3.0',	'okaycms-30',	'OkayCMS 3.0',	'OkayCMS 3.0',	'Достопримечательности Нью-Йорка \r\n \r\n \r\n \r\n  \r\n Манхэттен &ndash; самый маленький и при этом наиболее популярный среди туристов район... \r\n \r\n \r\n \r\n  \r\n Статуя Свободы &mdash; одна из самых знаменитых скульптур в мире, это символ Нью-Йорка ... \r\n \r\n \r\n \r\n  \r\n Бруклин &mdash; второй по популярности район в Нью-Йорке после Манхэттена, в котором проживает 2,5... \r\n \r\n \r\n \r\n  \r\n Пятая авеню &mdash; улица в самом центре Манхеттен, которая также представляет собой яркий символ... \r\n \r\n \r\n \r\n  \r\n Бродвей &ndash; э',	'<p>Наша команда достаточно долго работала над новой версией OkayCMS 3.0.0 Изменения включенные в новую версию, существенно расширили функциональные возможности. Было внедрено множество глобальных изменений с полностью переработанным ядром и полностью обновленным программным кодом. Мы надеемся вы оцените нашу работу и новые возможности системы;</p>',	'<h3 style=\"text-align: center;\">Вышла новая версия OKAY CMS 3</h3>\r\n<p>Наша команда достаточно долго работала над новой версией OkayCMS 3.0.0 Изменения включенные в новую версию, существенно расширили функциональные возможности.</p>\r\n<p>Было внедрено множество глобальных изменений с полностью переработанным ядром и полностью обновленным программным кодом. Мы надеемся вы оцените нашу работу и новые возможности системы</p>\r\n<div class=\"table\">\r\n<div class=\"table__row\">\r\n<div class=\"table__cell\">\r\n<h5>1. Новый дизайн</h5>\r\n<figure><img src=\"../files/uploads/article_okay_design.jpg\" alt=\"\" width=\"800\" height=\"800\" />\r\n<figcaption>Новый дизайн разработан по всем требованиям юзабилити для интернет-магазинов</figcaption>\r\n</figure>\r\n</div>\r\n<div class=\"table__cell\">\r\n<h5>2. Раздел обучения</h5>\r\n<figure><img src=\"../files/uploads/article_okay_learning%20(1).jpg\" alt=\"Okaycms Learning\" width=\"800\" height=\"800\" />\r\n<figcaption>Новый раздел обучение, где собраны инструкции для базовых работ на сайте.</figcaption>\r\n</figure>\r\n</div>\r\n<div class=\"table__cell\">\r\n<h5>2. Модульность</h5>\r\n<figure><img src=\"../files/uploads/article_okay_module.jpg\" alt=\"OkaycmsModules\" width=\"800\" height=\"800\" />\r\n<figcaption>Полностью переработанная структура, появление модульности</figcaption>\r\n</figure>\r\n</div>\r\n<div class=\"table__cell\">\r\n<h5>2. Настройка цветов сайта</h5>\r\n<figure><img src=\"../files/uploads/article_okay_settings.jpg\" alt=\"Okaycms Settings\" width=\"800\" height=\"799\" />\r\n<figcaption>В настройках дизайна появился новый блок, для настройки цветов сайта</figcaption>\r\n</figure>\r\n</div>\r\n</div>\r\n</div>\r\n<h3 style=\"text-align: center;\">Почему мы пошли на такое глобальное изменение?</h3>\r\n<p><strong>Первая</strong>. Основа первой и второй версии OkayCMS была сделана с использованием старого кода. На момент создания нашей системы, в 2015 году код, который использовался ещё был актуальным, но входить в 2020 год с тем что было - нехорошо.</p>\r\n<p><strong>Вторая.</strong> Проблемы с расширением функционала магазина. В силу того что прошлые версии системы были не модульные, когда приходилось глобально расширять функционал - все изменения вносились сразу в ядро и это создавало сложный код. Все последующие доработки в такой проект внедрялись всё сложнее и сложнее. Сейчас, с переходом к модульности эта проблема частично будет решена.</p>\r\n<p><strong>Третья.</strong> Обновления системы. Эта проблема частично вытекает из второй. Когда доработки затрагивали ядро системы, сделать обновление доработанной системы было проблематично. В некоторых случаях более разумно было отказаться от обновлений сильно доработанной системы. Теперь, когда работы будут выполняться отдельно от ядра - обновления системы должны проходить быстрее и безболезненнее.</p>\r\n<p><strong>Четвертая.</strong> Удобство для новых пользователей. Основа успешного развития - это хорошее коммьюнити вокруг продукта. Код прошлых версий был простой, удобный, но всё же специфический, не использующий паттернов и сделанный \"по своему\". Проблема, которая из этого вытекала, новым программистам, которые начинали свое образование с разбирательсв с фреймворками вроде Laravel система казалась сразу непонятной и они не сильно хотели браться делать на ней небольшие доработки. Новая версия системы больше соответсвует основным трендам в мире программирования и должна сделать более простой порог входа для новых программистов, новых веб-студий и т.п. которые решат использовать нашу систему в работе.</p>\r\n<h3 style=\"text-align: center;\">Как обновиться с прошлых версий OkayCMS до версии 3.*?</h3>\r\n<p>OkayCMS 3 - это система с полностью переработанным ядром и полностью обновленным программным кодом, поэтому шаблоны и модули с прошлых версий несовместимы.</p>\r\n<p>Все владельцы лицензий Pro версии OkayCMS могут заказать перенос своих данных на новую версию или же, в случае большого количества доработок и индивидуальных шаблонов - остаться на версии 2.* которую мы будем продолжать поддерживать и на которую мы будем выпускать обновления, содержащие фиксы замечаний, о которых нам будет известно. Перенос данных на версию 3.* с предыдущих версий займет 1 час времени техподдержки.</p>\r\n<p>В случае переноса данных на новую версию мы перенесем на версию 3.* все ваши товары, категории, бренды, страницы, записи блога, заказы и зарегистрированных покупателей. После переноса вы получите сайт со всем функционалом версии OkayCMS 3.* дизайном версии 3.* и содержимым базы данных с вашего сайта на предыдущей версии OkayCMS. Для заказа обновления до 3.0 напишите нам на почту info@okay-cms.com или обратитесь в тех.поддержку из админ. панели.</p>',	1,	'2019-07-06 21:00:00',	'dream-come-true.jpg',	'2019-10-25 14:13:07',	'news');

DROP TABLE IF EXISTS `ok_brands`;
CREATE TABLE `ok_brands` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `url` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `meta_title` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `meta_keywords` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `meta_description` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `annotation` mediumtext COLLATE utf8mb4_unicode_ci,
  `description` mediumtext COLLATE utf8mb4_unicode_ci,
  `image` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `last_modify` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `position` int(11) NOT NULL DEFAULT '0',
  `visible` tinyint(1) NOT NULL DEFAULT '0',
  `to_rozetka` tinyint(1) DEFAULT '0',
  `to__okaycms__yandex_xml_vendor_model` tinyint(1) DEFAULT '0',
  `to__okaycms__yandex_xml` tinyint(1) DEFAULT '0',
  `to__okaycms__google_merchant` tinyint(1) DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `url` (`url`(100)),
  KEY `name` (`name`(100))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_brands` (`id`, `name`, `url`, `meta_title`, `meta_keywords`, `meta_description`, `annotation`, `description`, `image`, `last_modify`, `position`, `visible`, `to_rozetka`, `to__okaycms__yandex_xml_vendor_model`, `to__okaycms__yandex_xml`, `to__okaycms__google_merchant`) VALUES
(1,	'Puff',	'puff',	'Puff',	'Puff',	'Puff',	'',	'',	'pkay-puff.png',	'2019-06-10 08:56:29',	1,	1,	0,	0,	0,	0),
(2,	'Алтермо',	'altermo',	'Алтермо',	'Алтермо',	'Алтермо',	'',	'',	'altermo.png',	'2017-05-11 09:12:59',	2,	1,	0,	0,	0,	0),
(3,	'Ferroli',	'ferroli',	'Ferroli',	'Ferroli',	'Ferroli',	'',	'',	'ferroli.jpg',	'2017-05-11 09:12:59',	3,	1,	0,	0,	0,	0),
(4,	'Global',	'global',	'Global',	'Global',	'Global',	'',	'',	'global.png',	'2017-05-11 09:12:59',	4,	1,	0,	0,	0,	0),
(5,	'Atlantic',	'atlantic',	'Atlantic',	'Atlantic',	'Atlantic',	'',	'',	'atlantic.png',	'2017-05-11 09:12:59',	5,	1,	0,	0,	0,	0),
(6,	'Beretta',	'beretta',	'Beretta',	'Beretta',	'Beretta',	'',	'',	'beretta.jpg',	'2019-06-10 10:48:52',	6,	1,	0,	0,	0,	0),
(7,	'Bosch',	'bosch',	'Bosch',	'Bosch',	'Bosch',	'<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus</p>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus</p>',	'<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus</p>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus</p>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus</p>',	'bosch.png',	'2019-06-12 09:59:48',	7,	1,	0,	0,	0,	0),
(8,	'Vaillant',	'vaillant',	'Vaillant',	'Vaillant',	'Vaillant',	'',	'',	'vaillant.jpg',	'2017-05-11 09:13:00',	8,	1,	0,	0,	0,	0),
(10,	'Organik food',	'organikfood',	'Organik food',	'Organik food',	'',	'',	'',	'organik-food.png',	'2019-05-28 12:30:05',	10,	1,	0,	0,	0,	0),
(11,	'Nature product',	'natureproduct',	'Nature product',	'Nature product',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца.',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца.</p>',	'',	'brand41ff.png',	'2019-05-28 12:35:49',	11,	1,	0,	0,	0,	0),
(12,	'Fitbit',	'fitbit',	'Fitbit',	'Fitbit',	'',	'',	'',	'fitbit-logo.png',	'2019-07-05 12:31:30',	12,	1,	0,	0,	0,	0),
(13,	'Britax romer',	'britaxromer',	'Britax romer',	'Britax romer',	'',	'',	'',	'britax_romer_logo.png',	'2019-07-05 12:24:45',	13,	1,	0,	0,	0,	0),
(14,	'GARNIER',	'garnier',	'GARNIER',	'GARNIER',	'',	'',	'',	'okay_garnier.png',	'2019-06-10 14:31:28',	14,	1,	0,	0,	0,	0),
(15,	'Haibike',	'haibike',	'Haibike',	'Haibike',	'',	'',	'',	'okay_brand_bike.png',	'2019-07-04 10:11:36',	15,	1,	0,	0,	0,	0),
(16,	'Royal Canin',	'royalcanin',	'Royal Canin',	'Royal Canin',	'',	'',	'',	'okay_royalcanin.png',	'2019-07-05 11:58:54',	16,	1,	0,	0,	0,	0);

DROP TABLE IF EXISTS `ok_callbacks`;
CREATE TABLE `ok_callbacks` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `phone` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `message` mediumtext COLLATE utf8mb4_unicode_ci,
  `processed` tinyint(1) NOT NULL DEFAULT '0',
  `url` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `admin_notes` varchar(1024) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_callbacks` (`id`, `date`, `name`, `phone`, `message`, `processed`, `url`, `admin_notes`) VALUES
(1,	'2019-07-11 13:22:26',	'вася',	'566565',	'F5 и повторная отправка',	0,	'http://new.demookay.com/',	'');

DROP TABLE IF EXISTS `ok_categories`;
CREATE TABLE `ok_categories` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `parent_id` int(11) NOT NULL DEFAULT '0',
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `name_h1` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `meta_title` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `meta_keywords` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `meta_description` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `annotation` mediumtext COLLATE utf8mb4_unicode_ci,
  `description` mediumtext COLLATE utf8mb4_unicode_ci,
  `url` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `image` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `position` int(11) NOT NULL DEFAULT '0',
  `visible` tinyint(1) NOT NULL DEFAULT '1',
  `external_id` varchar(36) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `level_depth` tinyint(1) NOT NULL DEFAULT '1',
  `auto_meta_title` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `auto_meta_keywords` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `auto_meta_desc` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `auto_description` mediumtext COLLATE utf8mb4_unicode_ci,
  `last_modify` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created` timestamp NULL DEFAULT NULL,
  `to_rozetka` tinyint(1) DEFAULT '0',
  `to__okaycms__yandex_xml_vendor_model` tinyint(1) DEFAULT '0',
  `to__okaycms__yandex_xml` tinyint(1) DEFAULT '0',
  `to__okaycms__google_merchant` tinyint(1) DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `parent_id` (`parent_id`),
  KEY `position` (`position`),
  KEY `visible` (`visible`),
  KEY `external_id` (`external_id`),
  KEY `created` (`created`),
  KEY `url` (`url`(100))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_categories` (`id`, `parent_id`, `name`, `name_h1`, `meta_title`, `meta_keywords`, `meta_description`, `annotation`, `description`, `url`, `image`, `position`, `visible`, `external_id`, `level_depth`, `auto_meta_title`, `auto_meta_keywords`, `auto_meta_desc`, `auto_description`, `last_modify`, `created`, `to_rozetka`, `to__okaycms__yandex_xml_vendor_model`, `to__okaycms__yandex_xml`, `to__okaycms__google_merchant`) VALUES
(1,	0,	'Мебель для дома',	'',	'Мебель для дома',	'Мебель для дома',	'Мебель для дома',	'',	'',	'mebel-dlya-doma',	'family-sofa_2.png',	1,	1,	'',	1,	'',	'',	'',	'',	'2019-08-08 13:36:41',	'2018-06-19 14:21:13',	0,	0,	0,	0),
(2,	32,	'Кресло мешок',	'',	'Кресло мешок',	'Кресло мешок',	'Кресло мешок',	'',	'',	'kreslo-meshok',	'bean-bag_1.png',	3,	1,	'',	3,	'',	'',	'',	'',	'2019-08-08 13:39:11',	'2018-06-19 14:21:13',	0,	0,	0,	0),
(3,	0,	'Техника для дома',	'',	'Техника для дома',	'Техника для дома',	'Гаджеты',	'',	'',	'tehnika-dlya-doma',	'electrical-appliances_1.png',	58,	1,	'',	1,	'',	'',	'',	'',	'2019-08-08 13:50:37',	'2018-06-19 14:21:13',	0,	0,	0,	0),
(4,	0,	'Смартфоны',	'',	'Смартфоны',	'Смартфоны',	'Смартфоны',	'',	'',	'smartfony',	'smartphone_1.png',	6,	1,	'',	2,	'',	'',	'',	'',	'2019-08-21 13:17:23',	'2018-06-19 14:21:13',	0,	0,	0,	0),
(5,	4,	'Meizu',	'',	'Meizu',	'Meizu',	'Meizu',	'',	'',	'meizu',	'meizu-logo_1.png',	5,	1,	'',	3,	'',	'',	'',	'',	'2019-08-08 13:51:10',	'2018-06-19 14:21:13',	0,	0,	0,	0),
(8,	4,	'Xiaomi',	'',	'Xiaomi',	'Xiaomi',	'Xiaomi',	'',	'',	'xiaomi',	'xiaomi-logo_1.png',	8,	1,	'',	3,	'',	'',	'',	'',	'2019-08-08 13:51:29',	'2018-06-19 14:21:13',	0,	0,	0,	0),
(9,	0,	'Детские игрушки',	'',	'Детские игрушки',	'Детские игрушки',	'Детские игрушки',	'',	'',	'detskie-igrushki',	'puzzle_1.png',	59,	1,	'',	1,	'',	'',	'',	'',	'2019-08-08 13:57:02',	'2018-06-19 14:21:13',	0,	0,	0,	0),
(10,	9,	'Мягкие игрушки',	'',	'Мягкие игрушки',	'Мягкие игрушки',	'Мягкие игрушки',	'',	'',	'myagkie-igrushki',	'',	10,	1,	'',	2,	'',	'',	'',	'',	'2019-01-24 13:18:20',	'2018-06-19 14:21:13',	0,	0,	0,	0),
(11,	9,	'Детские машинки',	'',	'Детские машинки',	'Детские машинки',	'Детские машинки',	'',	'',	'detskie-mashinki',	'',	11,	1,	'',	2,	'',	'',	'',	'',	'2019-01-24 13:19:20',	'2018-06-19 14:21:13',	0,	0,	0,	0),
(17,	0,	'Товары для бизнеса',	'',	'Товары для бизнеса',	'Товары для бизнеса',	'',	'',	'',	'tovary-dlya-biznesa',	'cash-register_1.png',	60,	1,	'',	1,	'',	'',	'',	NULL,	'2019-08-08 13:57:43',	'2019-04-24 14:02:57',	0,	0,	0,	0),
(18,	0,	'Одежда, обувь и украшения',	'',	'Одежда, обувь и украшения',	'Одежда, обувь и украшения',	'',	'',	'',	'odezhda-obuv-i-ukrasheniya',	't-shirt_1.png',	61,	1,	'',	1,	'',	'',	'',	NULL,	'2019-08-08 13:58:08',	'2019-04-24 14:03:42',	0,	0,	0,	0),
(19,	0,	'Художественная литература',	'',	'Художественная литература',	'Художественная литература',	'',	'',	'',	'hudozhestvennaya-literatura',	'open-book_1.png',	62,	1,	'',	1,	'',	'',	'',	NULL,	'2019-08-08 13:58:26',	'2019-04-24 14:25:09',	0,	0,	0,	0),
(20,	0,	'Строительные инструменты',	'',	'Строительные инструменты',	'Строительные инструменты',	'Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim a',	'<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus</p>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus</p>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus</p>',	'<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus</p>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus</p>',	'stroitelnye-instrumenty',	'machine_1.png',	63,	1,	'',	1,	'',	'',	'',	NULL,	'2019-08-08 13:58:47',	'2019-04-24 14:26:18',	0,	0,	0,	0),
(21,	0,	'Товары для спорта',	'',	'Товары для спорта',	'Товары для спорта',	'',	'',	'',	'tovary-dlya-sporta',	'table-tennis_1.png',	64,	1,	'',	1,	'',	'',	'',	NULL,	'2019-08-08 13:59:16',	'2019-04-24 14:27:44',	0,	0,	0,	0),
(22,	0,	'Красота и здоровье',	'',	'Красота и здоровье',	'Красота и здоровье',	'',	'',	'',	'krasota-i-zdorove',	'charity_1.png',	65,	1,	'',	1,	'',	'',	'',	NULL,	'2019-08-08 14:00:06',	'2019-04-24 14:28:27',	0,	0,	0,	0),
(23,	0,	'Напитки и продукты',	'',	'Напитки и продукты',	'Напитки и продукты',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца.',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца.</p>',	'<p>Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу показывает, как много веб-страниц всё ещё дожидаются своего настоящего рождения. За прошедшие годы текст Lorem Ipsum получил много версий. Некоторые версии появились по ошибке, некоторые - намеренно (например, юмористические варианты).</p>',	'napitki-i-produkty',	'fast-food_1.png',	66,	1,	'',	1,	'',	'',	'',	NULL,	'2019-08-08 14:01:37',	'2019-04-24 14:29:19',	0,	0,	0,	0),
(24,	0,	'Товары для животных',	'',	'Товары для животных',	'Товары для животных',	'',	'',	'',	'tovary-dlya-zhivotnyh',	'pawprint_1.png',	70,	1,	'',	1,	'',	'',	'',	NULL,	'2019-08-08 13:59:44',	'2019-04-24 14:30:33',	0,	0,	0,	0),
(26,	23,	'Фрукты и овощи',	'',	'Фрукты и овощи',	'Фрукты и овощи',	'',	'',	'',	'frukty-i-ovoschi',	'cherries_1.png',	36,	1,	'',	2,	'',	'',	'',	NULL,	'2019-08-08 14:02:04',	'2019-05-28 08:35:53',	0,	0,	0,	0),
(27,	23,	'Мясо и рыба',	'',	'Мясо и рыба',	'Мясо и рыба',	'',	'',	'',	'myaso-i-ryba',	'meat_1.png',	37,	1,	'',	2,	'',	'',	'',	NULL,	'2019-08-08 14:02:22',	'2019-05-28 09:55:50',	0,	0,	0,	0),
(28,	23,	'Бакалея',	'',	'Бакалея',	'Бакалея',	'',	'',	'',	'bakaleya',	'eggs_1.png',	38,	1,	'',	2,	'',	'',	'',	NULL,	'2019-08-08 14:02:45',	'2019-05-28 09:56:53',	0,	0,	0,	0),
(29,	23,	'Соки',	'',	'Соки',	'Соки',	'',	'',	'',	'soki',	'lemonade_1.png',	39,	1,	'',	2,	'',	'',	'',	NULL,	'2019-08-08 14:03:18',	'2019-05-28 12:12:40',	0,	0,	0,	0),
(30,	23,	'Алкогольные напитки',	'',	'Алкогольные напитки',	'Алкогольные напитки',	'',	'',	'',	'alkogolnye-napitki',	'wine_1.png',	40,	1,	'',	2,	'',	'',	'',	NULL,	'2019-08-08 14:03:47',	'2019-05-28 12:20:40',	0,	0,	0,	0),
(31,	22,	'Витамины',	'',	'Витамины',	'Витамины',	'',	'',	'',	'vitaminy',	'medicine_1.png',	31,	1,	'',	2,	'',	'',	'',	NULL,	'2019-08-08 14:00:45',	'2019-05-28 12:53:41',	0,	0,	0,	0),
(32,	1,	'Cтолы и стулья',	'',	'Cтолы и стулья',	'Cтолы и стулья',	'',	'',	'',	'ctoly-i-stulya',	'dining-table_1.png',	2,	1,	'',	2,	'',	'',	'',	NULL,	'2019-08-08 13:36:51',	'2019-05-28 13:42:25',	0,	0,	0,	0),
(33,	32,	'Обеденные столы',	'',	'Обеденные столы',	'Обеденные столы',	'',	'',	'',	'obedennye-stoly',	'table_1.png',	9,	1,	'',	3,	'',	'',	'',	NULL,	'2019-08-08 13:42:54',	'2019-05-28 13:42:43',	0,	0,	0,	0),
(34,	32,	'Журнальные столы',	'',	'Журнальные столы',	'Журнальные столы',	'',	'',	'',	'zhurnalnye-stoly',	'table1_1.png',	17,	1,	'',	3,	'',	'',	'',	NULL,	'2019-08-08 13:43:16',	'2019-05-28 13:43:06',	0,	0,	0,	0),
(35,	32,	'Компьютерные столы',	'',	'Компьютерные столы',	'Компьютерные столы',	'',	'',	'',	'kompyuternye-stoly',	'desktop_1.png',	18,	1,	'',	3,	'',	'',	'',	NULL,	'2019-08-08 13:43:33',	'2019-05-28 13:43:31',	0,	0,	0,	0),
(36,	32,	'Офисные кресла',	'',	'Офисные кресла',	'Офисные кресла',	'',	'',	'',	'ofisnye-kresla',	'chair_1.png',	19,	1,	'',	3,	'',	'',	'',	NULL,	'2019-08-08 13:43:47',	'2019-05-28 13:45:00',	0,	0,	0,	0),
(37,	32,	'табуреты',	'',	'табуреты',	'табуреты',	'',	'',	'',	'taburety',	'stool_1.png',	20,	1,	'',	3,	'',	'',	'',	NULL,	'2019-08-08 13:44:02',	'2019-05-28 13:45:18',	0,	0,	0,	0),
(38,	32,	'Столики для ноутбуков',	'',	'Столики для ноутбуков',	'Столики для ноутбуков',	'',	'',	'',	'stoliki-dlya-noutbukov',	'bench_1.png',	21,	1,	'',	3,	'',	'',	'',	NULL,	'2019-08-08 13:44:20',	'2019-05-28 13:45:46',	0,	0,	0,	0),
(39,	32,	'Складные столы',	'',	'Складные столы',	'Складные столы',	'',	'',	'',	'skladnye-stoly',	'camp-chair_1.png',	22,	1,	'',	3,	'',	'',	'',	NULL,	'2019-08-08 13:45:19',	'2019-05-28 13:46:06',	0,	0,	0,	0),
(40,	32,	'Складные стулья',	'',	'Складные стулья',	'Складные стулья',	'',	'',	'',	'skladnye-stulya',	'directors-chair_2.png',	23,	1,	'',	3,	'',	'',	'',	NULL,	'2019-08-08 13:44:58',	'2019-05-28 13:46:55',	0,	0,	0,	0),
(42,	1,	'Спальня',	'',	'Спальня',	'Спальня',	'',	'',	'',	'spalnya',	'big-cot_1.png',	42,	1,	'',	2,	'',	'',	'',	NULL,	'2019-08-08 13:37:41',	'2019-05-28 15:58:56',	0,	0,	0,	0),
(43,	42,	'Комоды',	'',	'Комоды',	'Комоды',	'',	'',	'',	'komody',	'drawer_1.png',	43,	1,	'',	3,	'',	'',	'',	NULL,	'2019-08-08 13:46:48',	'2019-05-28 16:00:25',	0,	0,	0,	0),
(44,	42,	'Шкафы-купе',	'',	'Шкафы-купе',	'Шкафы-купе',	'',	'',	'',	'shkafy-kupe',	'closet_1.png',	44,	1,	'',	3,	'',	'',	'',	NULL,	'2019-08-08 13:47:07',	'2019-05-28 16:05:00',	0,	0,	0,	0),
(45,	42,	'Кровати',	'',	'Кровати',	'Кровати',	'',	'',	'',	'krovati',	'bed_1.png',	45,	1,	'',	3,	'',	'',	'',	NULL,	'2019-08-08 13:47:30',	'2019-05-28 16:06:16',	0,	0,	0,	0),
(46,	42,	'Зеркала для спальни',	'',	'Зеркала для спальни',	'Зеркала для спальни',	'',	'',	'',	'zerkala-dlya-spalni',	'mirror_1.png',	46,	1,	'',	3,	'',	'',	'',	NULL,	'2019-08-08 13:47:49',	'2019-05-28 16:10:23',	0,	0,	0,	0),
(47,	42,	'Туалетные столики',	'',	'Туалетные столики',	'Туалетные столики',	'',	'',	'',	'tualetnye-stoliki',	'dresser_1.png',	47,	1,	'',	3,	'',	'',	'',	NULL,	'2019-08-08 13:48:09',	'2019-05-28 16:12:46',	0,	0,	0,	0),
(48,	42,	'Матрасы',	'',	'Матрасы',	'Матрасы',	'',	'',	'',	'matrasy',	'mattress_1.png',	48,	1,	'',	3,	'',	'',	'',	NULL,	'2019-08-08 13:48:28',	'2019-05-28 16:15:10',	0,	0,	0,	0),
(49,	42,	'Прикроватные тумбы',	'',	'Прикроватные тумбы',	'Прикроватные тумбы',	'',	'',	'',	'prikrovatnye-tumby',	'cupboard1_1.png',	49,	1,	'',	3,	'',	'',	'',	NULL,	'2019-08-08 13:48:47',	'2019-05-28 16:23:04',	0,	0,	0,	0),
(50,	1,	'Ванная комната',	'',	'Ванная комната',	'Ванная комната',	'',	'',	'',	'vannaya-komnata',	'bathtub_1.png',	50,	1,	'',	2,	'',	'',	'',	NULL,	'2019-08-08 13:37:52',	'2019-05-28 16:33:48',	0,	0,	0,	0),
(51,	50,	'Пеналы',	'',	'Пеналы',	'Пеналы',	'',	'',	'',	'penaly',	'cabinet_1.png',	51,	1,	'',	3,	'',	'',	'',	NULL,	'2019-08-08 13:49:18',	'2019-05-28 16:40:37',	0,	0,	0,	0),
(52,	50,	'Тумбы для ванной',	'',	'Тумбы для ванной',	'Тумбы для ванной',	'',	'',	'',	'tumby-dlya-vannoj',	'cupboard_2.png',	52,	1,	'',	3,	'',	'',	'',	NULL,	'2019-08-08 13:49:37',	'2019-05-28 16:42:30',	0,	0,	0,	0),
(53,	50,	'Комплекты для ванной',	'',	'Комплекты для ванной',	'Комплекты для ванной',	'',	'',	'',	'komplekty-dlya-vannoj',	'sink_1.png',	53,	1,	'',	3,	'',	'',	'',	NULL,	'2019-08-08 13:50:00',	'2019-05-28 16:45:31',	0,	0,	0,	0),
(54,	3,	'Радиаторы отопления',	'',	'Радиаторы отопления',	'Радиаторы отопления',	'',	'',	'',	'radiatory-otopleniya',	'heater_1.png',	27,	1,	'',	2,	'',	'',	'',	NULL,	'2019-08-08 13:52:31',	'2019-05-29 08:49:32',	0,	0,	0,	0),
(55,	3,	'Водонагреватели',	'',	'Водонагреватели',	'Водонагреватели',	'',	'',	'',	'vodonagrevateli',	'water-heater_1.png',	28,	1,	'',	2,	'',	'',	'',	NULL,	'2019-08-08 13:52:50',	'2019-05-29 08:49:55',	0,	0,	0,	0),
(56,	3,	'Холодильники',	'',	'Холодильники',	'Холодильники',	'',	'',	'',	'holodilniki',	'refrigerator_1.png',	29,	1,	'',	2,	'',	'',	'',	NULL,	'2019-08-08 13:53:09',	'2019-05-29 08:50:18',	0,	0,	0,	0),
(57,	3,	'Телевизоры',	'',	'Телевизоры',	'Телевизоры',	'',	'',	'',	'televizory',	'television_1.png',	30,	1,	'',	2,	'',	'',	'',	NULL,	'2019-08-08 13:53:29',	'2019-05-29 08:50:46',	0,	0,	0,	0),
(58,	3,	'Стиральные машины',	'',	'Стиральные машины',	'Стиральные машины',	'',	'',	'',	'stiralnye-mashiny',	'washing-machine_1.png',	33,	1,	'',	2,	'',	'',	'',	NULL,	'2019-08-08 13:54:07',	'2019-05-29 08:51:53',	0,	0,	0,	0),
(59,	3,	'Кондиционеры',	'',	'Кондиционеры',	'Кондиционеры',	'',	'',	'',	'konditsionery',	'air-conditioner_1.png',	34,	1,	'',	2,	'',	'',	'',	NULL,	'2019-08-08 13:54:33',	'2019-05-29 08:52:23',	0,	0,	0,	0),
(60,	3,	'Микроволновые печи',	'',	'Микроволновые печи',	'Микроволновые печи',	'',	'',	'',	'mikrovolnovye-pechi',	'microwave-oven_1.png',	35,	1,	'',	2,	'',	'',	'',	NULL,	'2019-08-08 13:54:59',	'2019-05-29 08:53:21',	0,	0,	0,	0),
(61,	3,	'Акустика',	'',	'Акустика',	'Акустика',	'',	'',	'',	'akustika',	'speaker_1.png',	41,	1,	'',	2,	'',	'',	'',	NULL,	'2019-08-08 13:55:15',	'2019-05-29 08:56:42',	0,	0,	0,	0),
(62,	3,	'Вытяжки',	'',	'Вытяжки',	'Вытяжки',	'',	'',	'',	'vytyazhki',	'fan_1.png',	54,	1,	'',	2,	'',	'',	'',	NULL,	'2019-08-08 13:55:33',	'2019-05-29 08:58:04',	0,	0,	0,	0),
(63,	3,	'Спутниковые антенны',	'',	'Спутниковые антенны',	'Спутниковые антенны',	'',	'',	'',	'sputnikovye-antenny',	'satellite-dish_2.png',	55,	1,	'',	2,	'',	'',	'',	NULL,	'2019-08-08 13:56:21',	'2019-05-29 08:59:42',	0,	0,	0,	0),
(64,	3,	'Роутеры',	'',	'Роутеры',	'Роутеры',	'',	'',	'',	'routery',	'router_1.png',	56,	1,	'',	2,	'',	'',	'',	NULL,	'2019-08-08 13:56:40',	'2019-05-29 09:00:28',	0,	0,	0,	0),
(65,	3,	'Газовые плиты',	'',	'Газовые плиты',	'Газовые плиты',	'',	'',	'',	'gazovye-plity',	'oven_1.png',	32,	1,	'',	2,	'',	'',	'',	NULL,	'2019-08-08 13:53:50',	'2019-05-29 09:03:27',	0,	0,	0,	0),
(66,	1,	'Диваны',	'',	'Диваны',	'Диваны',	'',	'',	'',	'divany',	'family-sofa_3.png',	57,	1,	'',	2,	'',	'',	'',	NULL,	'2019-08-08 13:38:10',	'2019-06-10 08:36:15',	0,	0,	0,	0),
(67,	4,	'Samsung Galaxy',	'',	'Samsung Galaxy',	'Samsung Galaxy',	'',	'',	'',	'samsung-galaxy',	'samsung_galaxy_logo.svg_1.png',	67,	1,	'',	3,	'',	'',	'',	NULL,	'2019-08-08 13:51:51',	'2019-06-10 11:03:01',	0,	0,	0,	0),
(68,	4,	'Iphone',	'',	'Iphone',	'Iphone',	'',	'',	'',	'iphone',	'iphone-logo-png-transparent_1.png',	68,	1,	'',	3,	'',	'',	'',	NULL,	'2019-08-08 13:52:11',	'2019-06-10 11:03:21',	0,	0,	0,	0),
(69,	22,	'Косметика',	'',	'Косметика',	'Косметика',	'',	'',	'',	'kosmetika',	'cosmetics_1.png',	69,	1,	'',	2,	'',	'',	'',	NULL,	'2019-08-08 14:01:13',	'2019-06-10 14:08:57',	0,	0,	0,	0);

DROP TABLE IF EXISTS `ok_categories_features`;
CREATE TABLE `ok_categories_features` (
  `category_id` int(11) NOT NULL,
  `feature_id` int(11) NOT NULL,
  PRIMARY KEY (`category_id`,`feature_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_categories_features` (`category_id`, `feature_id`) VALUES
(1,	1),
(1,	2),
(1,	3),
(1,	4),
(1,	5),
(1,	6),
(1,	7),
(1,	8),
(1,	9),
(2,	1),
(2,	2),
(2,	3),
(2,	4),
(2,	5),
(2,	6),
(2,	7),
(2,	8),
(2,	9),
(3,	1),
(3,	10),
(3,	11),
(3,	12),
(3,	13),
(3,	14),
(3,	15),
(3,	16),
(3,	17),
(3,	18),
(3,	19),
(3,	20),
(3,	21),
(3,	22),
(3,	23),
(3,	24),
(3,	25),
(3,	26),
(3,	27),
(3,	28),
(3,	29),
(3,	30),
(3,	31),
(3,	32),
(3,	33),
(3,	34),
(3,	35),
(3,	36),
(3,	37),
(3,	38),
(3,	39),
(3,	40),
(3,	41),
(3,	48),
(3,	49),
(3,	50),
(3,	51),
(3,	52),
(3,	53),
(3,	54),
(3,	55),
(3,	56),
(3,	57),
(3,	58),
(3,	59),
(3,	60),
(3,	61),
(3,	62),
(3,	63),
(3,	64),
(3,	65),
(3,	66),
(3,	67),
(3,	68),
(3,	69),
(3,	70),
(3,	71),
(3,	72),
(3,	73),
(4,	1),
(4,	10),
(4,	11),
(4,	12),
(4,	13),
(4,	14),
(4,	15),
(4,	16),
(4,	17),
(4,	18),
(4,	19),
(4,	20),
(4,	21),
(4,	22),
(4,	23),
(4,	24),
(4,	25),
(4,	26),
(4,	27),
(4,	28),
(4,	29),
(4,	30),
(4,	31),
(4,	32),
(4,	33),
(4,	34),
(4,	35),
(4,	36),
(4,	37),
(4,	38),
(4,	39),
(4,	40),
(5,	1),
(5,	10),
(5,	11),
(5,	12),
(5,	13),
(5,	14),
(5,	15),
(5,	16),
(5,	17),
(5,	18),
(5,	19),
(5,	20),
(5,	21),
(5,	22),
(5,	23),
(5,	24),
(5,	25),
(5,	26),
(5,	27),
(5,	28),
(5,	29),
(5,	30),
(5,	31),
(5,	32),
(5,	33),
(5,	34),
(5,	35),
(5,	36),
(5,	37),
(5,	38),
(5,	39),
(5,	40),
(8,	1),
(8,	10),
(8,	11),
(8,	12),
(8,	13),
(8,	14),
(8,	15),
(8,	16),
(8,	17),
(8,	18),
(8,	19),
(8,	20),
(8,	21),
(8,	22),
(8,	23),
(8,	24),
(8,	25),
(8,	26),
(8,	27),
(8,	28),
(8,	29),
(8,	30),
(8,	31),
(8,	32),
(8,	33),
(8,	34),
(8,	35),
(8,	36),
(8,	37),
(8,	38),
(8,	39),
(8,	40),
(9,	10),
(9,	42),
(9,	43),
(9,	44),
(9,	45),
(9,	46),
(9,	47),
(10,	10),
(10,	42),
(10,	43),
(11,	10),
(11,	42),
(11,	43),
(11,	44),
(11,	45),
(11,	46),
(11,	47),
(17,	16),
(17,	30),
(17,	33),
(17,	76),
(17,	96),
(17,	97),
(17,	98),
(17,	99),
(17,	100),
(17,	101),
(17,	102),
(17,	103),
(17,	104),
(17,	105),
(17,	106),
(17,	107),
(17,	108),
(19,	80),
(19,	81),
(19,	82),
(19,	83),
(19,	84),
(19,	85),
(19,	86),
(19,	87),
(21,	1),
(21,	88),
(21,	89),
(21,	90),
(21,	91),
(21,	92),
(21,	93),
(21,	94),
(21,	95),
(23,	74),
(23,	75),
(24,	1),
(24,	42),
(24,	109),
(24,	110),
(24,	111),
(24,	112),
(26,	74),
(27,	74),
(27,	75),
(40,	1),
(40,	37),
(40,	45),
(40,	76),
(40,	77),
(52,	38),
(52,	45),
(52,	62),
(52,	113),
(52,	114),
(52,	115),
(54,	48),
(54,	49),
(54,	50),
(54,	51),
(54,	52),
(54,	53),
(54,	54),
(54,	55),
(54,	56),
(55,	48),
(55,	57),
(55,	58),
(55,	59),
(55,	60),
(55,	61),
(55,	62),
(55,	63),
(55,	64),
(55,	65),
(55,	66),
(55,	67),
(55,	68),
(55,	69),
(55,	70),
(55,	71),
(55,	72),
(55,	73),
(66,	1),
(66,	37),
(66,	45),
(66,	76),
(66,	77),
(66,	78),
(66,	79);

DROP TABLE IF EXISTS `ok_comments`;
CREATE TABLE `ok_comments` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `parent_id` int(11) NOT NULL DEFAULT '0',
  `date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ip` varchar(40) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `object_id` int(11) NOT NULL DEFAULT '0',
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `email` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `text` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `type` enum('product','blog','news') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'product',
  `approved` int(1) NOT NULL DEFAULT '0',
  `lang_id` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `product_id` (`object_id`),
  KEY `type` (`type`),
  KEY `parent_id` (`parent_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_comments` (`id`, `parent_id`, `date`, `ip`, `object_id`, `name`, `email`, `text`, `type`, `approved`, `lang_id`) VALUES
(1,	0,	'2019-07-09 16:52:38',	'89.238.191.213',	1,	'Андрей',	'',	'Отличный товар. Приобрели около года назад. Ни разу не пожалели о покупке.',	'product',	0,	1);

DROP TABLE IF EXISTS `ok_coupons`;
CREATE TABLE `ok_coupons` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `code` varchar(256) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `expire` timestamp NULL DEFAULT NULL,
  `type` enum('absolute','percentage') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'absolute',
  `value` decimal(10,2) NOT NULL DEFAULT '0.00',
  `min_order_price` decimal(10,2) DEFAULT NULL,
  `single` tinyint(1) NOT NULL DEFAULT '0',
  `usages` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_coupons` (`id`, `code`, `expire`, `type`, `value`, `min_order_price`, `single`, `usages`) VALUES
(1,	'OKAYCMS',	NULL,	'percentage',	10.00,	0.00,	0,	109);

DROP TABLE IF EXISTS `ok_currencies`;
CREATE TABLE `ok_currencies` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `sign` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `code` char(3) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `rate_from` decimal(10,2) NOT NULL DEFAULT '1.00',
  `rate_to` decimal(10,2) NOT NULL DEFAULT '1.00',
  `cents` int(1) NOT NULL DEFAULT '2',
  `position` int(11) NOT NULL DEFAULT '0',
  `enabled` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  KEY `position` (`position`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_currencies` (`id`, `name`, `sign`, `code`, `rate_from`, `rate_to`, `cents`, `position`, `enabled`) VALUES
(1,	'доллары',	'$',	'USD',	1.00,	65.00,	2,	2,	1),
(2,	'рубли',	'руб',	'RUR',	7.50,	7.50,	0,	1,	1),
(4,	'гривны',	'грн',	'UAH',	1.00,	3.30,	2,	4,	1);

DROP TABLE IF EXISTS `ok_deliveries`;
CREATE TABLE `ok_deliveries` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `description` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `free_from` decimal(10,2) DEFAULT '0.00',
  `price` decimal(10,2) DEFAULT '0.00',
  `enabled` tinyint(1) NOT NULL DEFAULT '0',
  `position` int(11) NOT NULL DEFAULT '0',
  `separate_payment` tinyint(1) DEFAULT '0',
  `image` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `settings` mediumtext COLLATE utf8mb4_unicode_ci,
  `module_id` int(11) DEFAULT NULL,
  `paid` tinyint(1) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `position` (`position`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_deliveries` (`id`, `name`, `description`, `free_from`, `price`, `enabled`, `position`, `separate_payment`, `image`, `settings`, `module_id`, `paid`) VALUES
(1,	'Курьерская доставка по городу',	'<p>Курьерская доставка осуществляется службой компаний-перевозчиков города. Ваш заказ будет отправлен на следующий день после заказа. Доставка занимает от 1 до 3 дней.</p>',	5000.00,	300.00,	1,	2,	0,	'kureroff.ru_kurier.png',	'a:0:{}',	0,	NULL),
(2,	'Самовывоз',	'<p>Удобный, бесплатный и быстрый способ получения заказа.</p>\r\n<p>Адрес офиса: Москва, ул. Космонавта Волкова 14</p>',	0.00,	0.00,	1,	3,	0,	'samovyvoz.png',	'a:0:{}',	0,	NULL);

DROP TABLE IF EXISTS `ok_delivery_payment`;
CREATE TABLE `ok_delivery_payment` (
  `delivery_id` int(11) NOT NULL,
  `payment_method_id` int(11) NOT NULL,
  PRIMARY KEY (`delivery_id`,`payment_method_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='Связка способом оплаты и способов доставки';

INSERT INTO `ok_delivery_payment` (`delivery_id`, `payment_method_id`) VALUES
(1,	6),
(1,	14),
(1,	18),
(1,	19),
(1,	20),
(1,	21),
(2,	6),
(2,	18),
(2,	19),
(2,	20),
(2,	21);

DROP TABLE IF EXISTS `ok_features`;
CREATE TABLE `ok_features` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `position` int(11) NOT NULL DEFAULT '0',
  `in_filter` tinyint(1) DEFAULT '0',
  `auto_name_id` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `auto_value_id` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `url` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `external_id` varchar(36) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `url_in_product` tinyint(1) DEFAULT '0',
  `to_index_new_value` tinyint(1) DEFAULT '0',
  `description` mediumtext COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`id`),
  KEY `position` (`position`),
  KEY `in_filter` (`in_filter`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_features` (`id`, `name`, `position`, `in_filter`, `auto_name_id`, `auto_value_id`, `url`, `external_id`, `url_in_product`, `to_index_new_value`, `description`) VALUES
(1,	'Вес',	1,	1,	'',	'',	'ves',	'',	NULL,	1,	NULL),
(2,	'Высота',	2,	1,	'',	'',	'vysota',	'',	0,	0,	NULL),
(3,	'Диаметр',	3,	1,	'',	'',	'diametr',	'',	0,	0,	NULL),
(4,	'Ткань',	4,	1,	'',	'',	'tkan',	'',	NULL,	0,	NULL),
(5,	'Предназначение',	5,	1,	'',	'',	'prednaznachenie',	'',	0,	0,	NULL),
(6,	'Наполнитель',	6,	1,	'',	'',	'napolnitel',	'',	0,	0,	NULL),
(7,	'Количество наполнителя',	7,	1,	'',	'',	'kolichestvonapolnitelya',	'',	0,	0,	NULL),
(8,	'Объемный вес для транспортных компаний',	8,	1,	'',	'',	'obemnyjvesdlyatransportnyhkompanij',	'',	0,	0,	NULL),
(9,	'Производство ',	9,	1,	'',	'',	'proizvodstvo',	'',	0,	0,	NULL),
(10,	'Серия',	10,	1,	'',	'',	'seriya',	'',	0,	0,	NULL),
(11,	'Диагональ',	11,	1,	'',	'',	'diagonal',	'',	0,	0,	NULL),
(12,	'Тип экрана',	12,	1,	'',	'',	'tipekrana',	'',	0,	0,	NULL),
(13,	'Разрешение экрана',	13,	1,	'',	'',	'razreshenieekrana',	'',	0,	0,	NULL),
(14,	'Система',	14,	1,	'',	'',	'sistema',	'',	0,	0,	NULL),
(15,	'Количество ядер',	15,	1,	'',	'',	'kolichestvoyader',	'',	0,	0,	NULL),
(16,	'Процессор',	16,	1,	'',	'',	'protsessor',	'',	0,	0,	NULL),
(17,	'Частота процессора',	17,	1,	'',	'',	'chastotaprotsessora',	'',	0,	0,	NULL),
(18,	'Оперативная память',	18,	1,	'',	'',	'operativnayapamyat',	'',	0,	0,	NULL),
(19,	'Встроенная память',	19,	1,	'',	'',	'vstroennayapamyat',	'',	0,	0,	NULL),
(20,	'Поддержка SD карт',	20,	1,	'',	'',	'podderzhkasdkart',	'',	0,	0,	NULL),
(21,	'Sim-карт',	21,	1,	'',	'',	'simkart',	'',	0,	0,	NULL),
(22,	'Размеры SIM',	22,	1,	'',	'',	'razmerysim',	'',	0,	0,	NULL),
(23,	'GSM (2G)',	23,	1,	'',	'',	'gsm2g',	'',	0,	0,	NULL),
(24,	'3G',	24,	1,	'',	'',	'3g',	'',	0,	0,	NULL),
(25,	'LTE (4G)',	25,	1,	'',	'',	'lte4g',	'',	0,	0,	NULL),
(26,	'WCDMA',	26,	1,	'',	'',	'wcdma',	'',	0,	0,	NULL),
(27,	'Основная камера',	27,	1,	'',	'',	'osnovnayakamera',	'',	0,	0,	NULL),
(28,	'Фронтальная камера',	28,	1,	'',	'',	'frontalnayakamera',	'',	0,	0,	NULL),
(29,	'Вспышка',	29,	1,	'',	'',	'vspyshka',	'',	0,	0,	NULL),
(30,	'Bluetooth',	30,	1,	'',	'',	'bluetooth',	'',	0,	0,	NULL),
(31,	'GPS',	31,	1,	'',	'',	'gps',	'',	0,	0,	NULL),
(32,	'A-GPS',	32,	1,	'',	'',	'agps',	'',	0,	0,	NULL),
(33,	'Wi-Fi',	33,	1,	'',	'',	'wifi',	'',	0,	0,	NULL),
(34,	'ИК порт',	34,	1,	'',	'',	'ikport',	'',	0,	0,	NULL),
(35,	'Разъемы',	35,	1,	'',	'',	'razemy',	'',	0,	0,	NULL),
(36,	'Аккумулятор',	36,	1,	'',	'',	'akkumulyator',	'',	0,	0,	NULL),
(37,	'Размеры',	37,	1,	'',	'',	'razmery',	'',	0,	0,	NULL),
(38,	'Цвет',	38,	1,	'',	'',	'tsvet',	'',	0,	0,	NULL),
(39,	'Wi-Fi Hotspot',	39,	1,	'',	'',	'wifihotspot',	'',	0,	0,	NULL),
(40,	'Сканер отпечатков пальцев',	40,	1,	'',	'',	'skanerotpechatkovpaltsev',	'',	0,	0,	NULL),
(41,	'3G (UMTS)',	41,	1,	'',	'',	'3gumts',	'',	0,	0,	NULL),
(42,	'Возраст',	42,	1,	'',	'',	'vozrast',	'',	0,	0,	NULL),
(43,	'Пол',	43,	1,	'',	'',	'pol',	'',	0,	0,	NULL),
(44,	'Комплектация',	44,	1,	'',	'',	'komplektatsiya',	'',	0,	0,	NULL),
(45,	'Материал',	45,	1,	'',	'',	'material',	'',	0,	0,	NULL),
(46,	'Размеры упаковки',	46,	1,	'',	'',	'razmeryupakovki',	'',	0,	0,	NULL),
(47,	'Размер игрушки',	47,	1,	'',	'',	'razmerigrushki',	'',	0,	0,	NULL),
(48,	'Страна производитель',	48,	1,	'',	'',	'stranaproizvoditel',	'',	0,	0,	NULL),
(49,	'Тепловая мощность',	49,	1,	'',	'',	'teplovayamoschnost',	'',	0,	0,	NULL),
(50,	'Максимальная температура теплоносителя',	50,	1,	'',	'',	'maksimalnayatemperaturateplonositelya',	'',	0,	0,	NULL),
(51,	'Максимальное рабочее давление',	51,	1,	'',	'',	'maksimalnoerabocheedavlenie',	'',	0,	0,	NULL),
(52,	'Конструкция радиатора',	52,	1,	'',	'',	'konstruktsiyaradiatora',	'',	0,	0,	NULL),
(53,	'Способ подключения',	53,	1,	'',	'',	'sposobpodklyucheniya',	'',	0,	0,	NULL),
(54,	'Кол-во секций в радиаторе',	54,	1,	'',	'',	'kolvosektsijvradiatore',	'',	0,	0,	NULL),
(55,	'Объем воды в радиаторе',	55,	1,	'',	'',	'obemvodyvradiatore',	'',	0,	0,	NULL),
(56,	'Опрессовочное давление',	56,	1,	'',	'',	'opressovochnoedavlenie',	'',	0,	0,	NULL),
(57,	'Способ установки',	57,	1,	'',	'',	'sposobustanovki',	'',	0,	0,	NULL),
(58,	'Номинальный объем водонагревателя',	58,	1,	'',	'',	'nominalnyjobemvodonagrevatelya',	'',	0,	0,	NULL),
(59,	'Положение установки',	59,	1,	'',	'',	'polozhenieustanovki',	'',	0,	0,	NULL),
(60,	'Форма',	60,	1,	'',	'',	'forma',	'',	0,	0,	NULL),
(61,	'Мощность ТЭНа',	61,	1,	'',	'',	'moschnosttena',	'',	0,	0,	NULL),
(62,	'Гарантия',	62,	1,	'',	'',	'garantiya',	'',	0,	0,	NULL),
(63,	'Тип нагревательного элемента (ТЭНа)',	63,	1,	'',	'',	'tipnagrevatelnogoelementatena',	'',	0,	0,	NULL),
(64,	'Мощность',	64,	1,	'',	'',	'moschnost',	'',	0,	0,	NULL),
(65,	'Отвод газов',	65,	1,	'',	'',	'otvodgazov',	'',	0,	0,	NULL),
(66,	'Тип розжига',	66,	1,	'',	'',	'tiprozzhiga',	'',	0,	0,	NULL),
(67,	'Производительность',	67,	1,	'',	'',	'proizvoditelnost',	'',	0,	0,	NULL),
(68,	'Производительность ГВС',	68,	1,	'',	'',	'proizvoditelnostgvs',	'',	0,	0,	NULL),
(69,	'Модуляция мощности',	69,	1,	'',	'',	'modulyatsiyamoschnosti',	'',	0,	0,	NULL),
(70,	'Вес (кг)',	70,	1,	'',	'',	'veskg',	'',	0,	0,	NULL),
(71,	'Объем (м3)',	71,	1,	'',	'',	'obemm3',	'',	0,	0,	NULL),
(72,	'Габариты В.Ш.Г. (мм.)',	72,	1,	'',	'',	'gabarityvshgmm',	'',	0,	0,	NULL),
(73,	'Мин. давление газа',	73,	1,	'',	'',	'mindavleniegaza',	'',	0,	0,	NULL),
(74,	'Страна',	74,	1,	'',	'',	'strana',	'',	0,	0,	NULL),
(75,	'Вид мяса',	75,	1,	'',	'',	'vidspmyasa',	'',	NULL,	NULL,	NULL),
(76,	'Производитель',	76,	1,	'',	'',	'proizvoditel',	'',	0,	0,	NULL),
(77,	'Количество мест',	77,	1,	'',	'',	'kolichestvospmest',	'',	0,	0,	NULL),
(78,	'Высота сиденья',	78,	1,	'',	'',	'vysotaspsidenya',	'',	0,	0,	NULL),
(79,	'Водонепронецаемый',	79,	1,	'',	'',	'vodonepronetsaemyj',	'',	0,	0,	NULL),
(80,	'Автор',	80,	1,	'',	'',	'avtor',	'',	NULL,	NULL,	NULL),
(81,	'Язык',	81,	1,	'',	'',	'yazyk',	'',	0,	0,	NULL),
(82,	'Оригинальное название',	82,	1,	'',	'',	'originalnoespnazvanie',	'',	0,	0,	NULL),
(83,	'Обложка',	83,	1,	'',	'',	'oblozhka',	'',	0,	0,	NULL),
(84,	'Страниц',	84,	1,	'',	'',	'stranits',	'',	0,	0,	NULL),
(85,	'Иллюстрации',	85,	1,	'',	'',	'illyustratsii',	'',	0,	0,	NULL),
(86,	'Год издания',	86,	1,	'',	'',	'godspizdaniya',	'',	NULL,	NULL,	NULL),
(87,	'Рубрика',	87,	1,	'',	'',	'rubrika',	'',	0,	0,	NULL),
(88,	'тип товара',	88,	1,	'',	'',	'tipsptovara',	'',	1,	NULL,	NULL),
(89,	'диаметр колеса',	89,	1,	'',	'',	'diametrspkolesa',	'',	0,	0,	NULL),
(90,	'длина хода вилки',	90,	1,	'',	'',	'dlinasphodaspvilki',	'',	0,	0,	NULL),
(91,	'вилка',	91,	1,	'',	'',	'vilka',	'',	0,	0,	NULL),
(92,	'материал рамы',	92,	1,	'',	'',	'materialspramy',	'',	0,	0,	NULL),
(93,	'задний переключатель',	93,	1,	'',	'',	'zadnijsppereklyuchatel',	'',	0,	0,	NULL),
(94,	'тип заднего амортизатора',	94,	1,	'',	'',	'tipspzadnegospamortizatora',	'',	0,	0,	NULL),
(95,	'тип тормозов',	95,	1,	'',	'',	'tipsptormozov',	'',	0,	0,	NULL),
(96,	'Операционная сиситема',	96,	1,	'',	'',	'operatsionnayaspsisitema',	'',	0,	0,	NULL),
(97,	'Память',	97,	1,	'',	'',	'pamyat',	'',	NULL,	1,	NULL),
(98,	'Дисплей',	98,	1,	'',	'',	'displej',	'',	NULL,	NULL,	NULL),
(99,	'Клавиатура',	99,	0,	'',	'',	'klaviatura',	'',	0,	0,	NULL),
(100,	'Параметры сканера',	100,	0,	'',	'',	'parametryspskanera',	'',	0,	0,	NULL),
(101,	'Тип штрих-кодов',	101,	1,	'',	'',	'tipspshtrihmkodov',	'',	NULL,	1,	NULL),
(102,	'PTT',	102,	1,	'',	'',	'ptt',	'',	NULL,	1,	NULL),
(103,	'Датчик',	103,	1,	'',	'',	'datchik',	'',	0,	0,	NULL),
(104,	'Пылевлагозащита',	104,	1,	'',	'',	'pylevlagozaschita',	'',	0,	0,	NULL),
(105,	'Ударопрочность',	105,	1,	'',	'',	'udaroprochnost',	'',	0,	0,	NULL),
(106,	'Рабочая температура',	106,	1,	'',	'',	'rabochayasptemperatura',	'',	0,	0,	NULL),
(107,	'Габариты (мм)',	107,	1,	'',	'',	'gabaritysplbmmrb',	'',	NULL,	1,	NULL),
(108,	'Ширина бумаги',	108,	1,	'',	'',	'shirinaspbumagi',	'',	NULL,	NULL,	NULL),
(109,	'Тип корма',	109,	1,	'',	'',	'tipspkorma',	'',	NULL,	1,	NULL),
(110,	'Назначение корма',	110,	1,	'',	'',	'naznacheniespkorma',	'',	NULL,	1,	NULL),
(111,	'Порода',	111,	1,	'',	'',	'poroda',	'',	NULL,	1,	NULL),
(112,	'Класс корма',	112,	1,	'',	'',	'klassspkorma',	'',	NULL,	1,	NULL),
(113,	'Монтаж',	113,	0,	'',	'',	'montazh',	'',	0,	0,	NULL),
(114,	'Дверцы',	114,	0,	'',	'',	'dvertsy',	'',	0,	0,	NULL),
(115,	'Габариты',	115,	0,	'',	'',	'gabarity',	'',	0,	0,	NULL);

DROP TABLE IF EXISTS `ok_features_aliases`;
CREATE TABLE `ok_features_aliases` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `variable` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `position` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `variable` (`variable`(100)),
  KEY `position` (`position`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;


DROP TABLE IF EXISTS `ok_features_aliases_values`;
CREATE TABLE `ok_features_aliases_values` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `feature_alias_id` int(11) NOT NULL,
  `value` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `feature_id` int(11) DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `feature_id` (`feature_id`),
  KEY `feature_alias_id` (`feature_alias_id`),
  KEY `value` (`value`(100))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;


DROP TABLE IF EXISTS `ok_features_values`;
CREATE TABLE `ok_features_values` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `feature_id` int(11) NOT NULL,
  `value` varchar(1024) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `translit` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `position` int(11) NOT NULL DEFAULT '0',
  `to_index` tinyint(1) DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `feature_id_translit` (`feature_id`,`translit`(100)),
  KEY `feature_id` (`feature_id`),
  KEY `position` (`position`),
  KEY `value` (`value`(64))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_features_values` (`id`, `feature_id`, `value`, `translit`, `position`, `to_index`) VALUES
(1,	71,	'0.04',	'0d04',	1,	1),
(2,	71,	'0.05',	'0d05',	2,	1),
(3,	71,	'0.06',	'0d06',	3,	1),
(4,	73,	'0.15бар',	'0d15bar',	4,	1),
(5,	73,	'0.1бар',	'0d1bar',	5,	1),
(6,	8,	'0.25 м3',	'0d25spm3',	6,	1),
(7,	55,	'0.35л.',	'0d35ld',	7,	1),
(8,	55,	'0.37л',	'0d37l',	8,	1),
(9,	55,	'0.5л.',	'0d5ld',	9,	1),
(10,	30,	'4.2',	'4d2',	10,	1),
(11,	30,	'4.1',	'4d1',	11,	1),
(12,	18,	'1 ГБ',	'1spgb',	12,	1),
(13,	44,	'1 машинка',	'1spmashinka',	13,	1),
(14,	17,	'1.0 Ггц',	'1d0spggts',	14,	1),
(15,	17,	'1.1 ГГц',	'1d1spggts',	15,	1),
(16,	17,	'1.2 ГГц',	'1d2spggts',	16,	1),
(17,	17,	'1.4 ГГц',	'1d4spggts',	17,	1),
(18,	17,	'1.5 ГГц',	'1d5spggts',	18,	1),
(19,	61,	'1.5кВт.',	'1d5kvtd',	19,	1),
(20,	17,	'1.7 ГГц',	'1d7spggts',	20,	1),
(21,	17,	'1.8 ГГц',	'1d8spggts',	21,	1),
(22,	15,	'10',	'10',	22,	1),
(23,	54,	'10',	'10',	23,	1),
(24,	15,	'10 (8- Cortex-A53 / 2- A72)',	'10splb8mspcortexma53spfsp2mspa72rb',	24,	1),
(25,	54,	'10 секц.',	'10spsektsd',	25,	1),
(26,	54,	'10 секций',	'10spsektsij',	26,	1),
(27,	70,	'10.00',	'10d00',	27,	1),
(28,	11,	'10.1\"',	'10d1qu',	28,	1),
(29,	58,	'100л.',	'100ld',	29,	1),
(30,	13,	'1024x600 пикс.',	'1024x600sppiksd',	30,	1),
(31,	13,	'1080x1920 пикс.',	'1080x1920sppiksd',	31,	1),
(32,	1,	'10кг.',	'10kgd',	32,	1),
(33,	68,	'10л/мин.',	'10lfmind',	33,	1),
(34,	1,	'11 кг.',	'11spkgd',	34,	1),
(35,	67,	'11 л/мин',	'11splfmin',	35,	1),
(36,	70,	'11.00',	'11d00',	36,	1),
(37,	1,	'11.5кг.',	'11d5kgd',	37,	1),
(38,	2,	'110 см',	'110spsm',	38,	1),
(39,	50,	'110град.',	'110gradd',	39,	1),
(40,	50,	'116 град.',	'116spgradd',	40,	1),
(41,	68,	'11л.',	'11ld',	41,	1),
(42,	27,	'12 Мп',	'12spmp',	42,	1),
(43,	19,	'128 ГБ',	'128spgb',	43,	1),
(44,	13,	'1280x720 пикс.',	'1280x720sppiksd',	44,	1),
(45,	13,	'1280x800 пикс.',	'1280x800sppiksd',	45,	1),
(46,	1,	'12кг.',	'12kgd',	46,	1),
(47,	1,	'13 кг.',	'13spkgd',	47,	1),
(48,	27,	'13 Мп',	'13spmp',	48,	1),
(49,	1,	'13.5кг.',	'13d5kgd',	49,	1),
(50,	50,	'130°C',	'130degc',	50,	1),
(51,	1,	'132 г',	'132spg',	51,	1),
(52,	1,	'134 г',	'134spg',	52,	1),
(53,	37,	'134.0 x 67.2 x 9.2 мм',	'134d0spxsp67d2spxsp9d2spmm',	53,	1),
(54,	1,	'нет',	'net',	54,	1),
(55,	37,	'138.1 х 69.59 x 7.8 мм',	'138d1sphsp69d59spxsp7d8spmm',	55,	1),
(56,	37,	'139.2 x 70.0 x 8.7 мм',	'139d2spxsp70d0spxsp8d7spmm',	56,	1),
(57,	37,	'139.3 x 69.6 x 8.5 мм',	'139d3spxsp69d6spxsp8d5spmm',	57,	1),
(58,	68,	'13л/мин.',	'13lfmind',	58,	1),
(59,	67,	'14 л/мин',	'14splfmin',	59,	1),
(60,	70,	'14.00',	'14d00',	60,	1),
(61,	37,	'141.3 x 69.6 x 8.9 мм',	'141d3spxsp69d6spxsp8d9spmm',	61,	1),
(62,	37,	'141.5 х 69.5 х 8.3 мм',	'141d5sphsp69d5sphsp8d3spmm',	62,	1),
(63,	37,	'141.9 x 69.0 x 8.3 мм',	'141d9spxsp69d0spxsp8d3spmm',	63,	1),
(64,	1,	'144 г',	'144spg',	64,	1),
(65,	49,	'145Вт.',	'145vtd',	65,	1),
(66,	37,	'147.7 х 70.8 х 7.3 мм',	'147d7sphsp70d8sphsp7d3spmm',	66,	1),
(67,	1,	'149 г',	'149spg',	67,	1),
(68,	1,	'13г.',	'13gd',	68,	1),
(69,	68,	'14л.',	'14ld',	69,	1),
(70,	1,	'15.5кг.',	'15d5kgd',	70,	1),
(71,	1,	'150 г',	'150spg',	71,	1),
(72,	37,	'150.9 х 75.2 х 8.7 мм',	'150d9sphsp75d2sphsp8d7spmm',	72,	1),
(73,	37,	'151.0 x 76.0 x 8.35 мм',	'151d0spxsp76d0spxsp8d35spmm',	73,	1),
(74,	37,	'151.0 x 76.0 x 8.4 мм',	'151d0spxsp76d0spxsp8d4spmm',	74,	1),
(75,	37,	'153.6 х 75.2 х 7.25 мм',	'153d6sphsp75d2sphsp7d25spmm',	75,	1),
(76,	37,	'153.6 х 75.5 х 8.2 мм',	'153d6sphsp75d5sphsp8d2spmm',	76,	1),
(77,	37,	'154.6 х 77.7 х 8 мм',	'154d6sphsp77d7sphsp8spmm',	77,	1),
(78,	1,	'155 г',	'155spg',	78,	1),
(79,	1,	'156 г',	'156spg',	79,	1),
(80,	37,	'156.7 х 78.0 х 7.5 мм',	'156d7sphsp78d0sphsp7d5spmm',	80,	1),
(81,	68,	'15л/мин.',	'15lfmind',	81,	1),
(82,	51,	'16 бар',	'16spbar',	82,	1),
(83,	19,	'16 ГБ',	'16spgb',	83,	1),
(84,	70,	'16.00',	'16d00',	84,	1),
(85,	1,	'160 г',	'160spg',	85,	1),
(86,	1,	'163 г',	'163spg',	86,	1),
(87,	49,	'166Вт.',	'166vtd',	87,	1),
(88,	1,	'168 г',	'168spg',	88,	1),
(89,	49,	'169Вт.',	'169vtd',	89,	1),
(90,	64,	'17.4кВт.',	'17d4kvtd',	90,	1),
(91,	1,	'175 г',	'175spg',	91,	1),
(92,	1,	'17кг.',	'17kgd',	92,	1),
(93,	64,	'18.6кВт.',	'18d6kvtd',	93,	1),
(94,	25,	'1800 / 1900 / 2100 / 2300 / 2500 / 2600 МГц',	'1800spfsp1900spfsp2100spfsp2300spfsp2500spfsp2600spmgts',	94,	1),
(95,	25,	'1800. 1900. 2100. 2300. 2500. 2600. 850. 900 МГц',	'1800dsp1900dsp2100dsp2300dsp2500dsp2600dsp850dsp900spmgts',	95,	1),
(96,	49,	'181Вт.',	'181vtd',	96,	1),
(97,	51,	'18бар',	'18bar',	97,	1),
(98,	64,	'19.2кВт.',	'19d2kvtd',	98,	1),
(99,	37,	'191.0 х 101.0 х 8.8 мм',	'191d0sphsp101d0sphsp8d8spmm',	99,	1),
(100,	49,	'195Вт.',	'195vtd',	100,	1),
(101,	47,	'1:64 (машинка)',	'1col64splbmashinkarb',	101,	1),
(102,	21,	'2 sim',	'2spsim',	102,	1),
(103,	17,	'2 x 2.3GHz Cortex-A72 + 4 x 2.0GHz Cortex-A53 + 4 x 1.4GHz Cortex-A53',	'2spxsp2d3ghzspcortexma72sppsp4spxsp2d0ghzspcortexma53sppsp4spxsp1d4ghzspcortexma53',	103,	1),
(104,	17,	'2 x 2.5 ГГц Cortex-A72 + 4 x 2.0 ГГц Cortex-A53 + 4 x 1.4 ГГц Cortex-A53',	'2spxsp2d5spggtsspcortexma72sppsp4spxsp2d0spggtsspcortexma53sppsp4spxsp1d4spggtsspcortexma53',	104,	1),
(105,	18,	'2 ГБ',	'2spgb',	105,	1),
(106,	44,	'2 емкости с водой. 1 машинка серии \"Измени цвет\"',	'2spemkostispsspvodojdsp1spmashinkaspseriispquizmenisptsvetqu',	106,	1),
(107,	28,	'2 Мп',	'2spmp',	107,	1),
(108,	17,	'2.0 ГГц',	'2d0spggts',	108,	1),
(109,	17,	'2.1 ГГц',	'2d1spggts',	109,	1),
(110,	61,	'2.1кВт.',	'2d1kvtd',	110,	1),
(111,	17,	'2.35 ГГц',	'2d35spggts',	111,	1),
(112,	56,	'2.4 бар',	'2d4spbar',	112,	1),
(113,	61,	'2.4кВт.',	'2d4kvtd',	113,	1),
(114,	61,	'2.5кВт.',	'2d5kvtd',	114,	1),
(115,	7,	'200 литров',	'200splitrov',	115,	1),
(116,	1,	'20кг.',	'20kgd',	116,	1),
(117,	27,	'21 Мп',	'21spmp',	117,	1),
(118,	27,	'21.16 Мп',	'21d16spmp',	118,	1),
(119,	46,	'21.5 х 16 х 6 см',	'21d5sphsp16sphsp6spsm',	119,	1),
(120,	64,	'22 кВт.',	'22spkvtd',	120,	1),
(121,	64,	'22.6кВт.',	'22d6kvtd',	121,	1),
(122,	36,	'2200 мАч',	'2200spmach',	122,	1),
(123,	1,	'22кг.',	'22kgd',	123,	1),
(124,	64,	'24.4кВт.',	'24d4kvtd',	124,	1),
(125,	37,	'247.0 х 171.0 х 8.95 мм',	'247d0sphsp171d0sphsp8d95spmm',	125,	1),
(126,	36,	'2560 мАч',	'2560spmach',	126,	1),
(127,	46,	'25х25х9 см',	'25h25h9spsm',	127,	1),
(128,	64,	'26.2кВт.',	'26d2kvtd',	128,	1),
(129,	1,	'260 г',	'260spg',	129,	1),
(130,	1,	'26кг.',	'26kgd',	130,	1),
(131,	64,	'27.2 кВт.',	'27d2spkvtd',	131,	1),
(132,	1,	'27кг.',	'27kgd',	132,	1),
(133,	46,	'28 х 16 см',	'28sphsp16spsm',	133,	1),
(134,	36,	'2870 мАч',	'2870spmach',	134,	1),
(135,	61,	'2кВт.',	'2kvtd',	135,	1),
(136,	18,	'3 ГБ',	'3spgb',	136,	1),
(137,	62,	'3 года',	'3spgoda',	137,	1),
(138,	42,	'3+',	'3p',	138,	1),
(139,	47,	'30 см (длина одной дорожки)',	'30spsmsplbdlinaspodnojspdorozhkirb',	139,	1),
(140,	36,	'3020 мАч',	'3020spmach',	140,	1),
(141,	36,	'3020 мАч (съемный)',	'3020spmachsplbsemnyjrb',	141,	1),
(142,	36,	'3050 мАч',	'3050spmach',	142,	1),
(143,	36,	'3060 мАч',	'3060spmach',	143,	1),
(144,	36,	'3080 мАч',	'3080spmach',	144,	1),
(145,	1,	'30кг.',	'30kgd',	145,	1),
(146,	58,	'30л.',	'30ld',	146,	1),
(147,	46,	'31 х 5 х 3 см',	'31sphsp5sphsp3spsm',	147,	1),
(148,	46,	'31 х 8х 5 см',	'31sphsp8hsp5spsm',	148,	1),
(149,	36,	'3100 мАч',	'3100spmach',	149,	1),
(150,	19,	'32 ГБ',	'32spgb',	150,	1),
(151,	36,	'3450 мАч',	'3450spmach',	151,	1),
(152,	36,	'3800 мАч',	'3800spmach',	152,	1),
(153,	15,	'4',	'4',	153,	1),
(154,	15,	'4 (Cortex A-53)',	'4splbcortexspam53rb',	154,	1),
(155,	17,	'4 x 1.8 Ггц + 4 x 1.0 ГГц',	'4spxsp1d8spggtssppsp4spxsp1d0spggts',	155,	1),
(156,	18,	'4 ГБ',	'4spgb',	156,	1),
(157,	28,	'4 Мп',	'4spmp',	157,	1),
(158,	17,	'4 х 1 ГГц + 4 х 1.5 ГГц',	'4sphsp1spggtssppsp4sphsp1d5spggts',	158,	1),
(159,	17,	'4 х 2.1 ГГц + 4 х 1.5 ГГц',	'4sphsp2d1spggtssppsp4sphsp1d5spggts',	159,	1),
(160,	42,	'4+',	'4p',	160,	1),
(161,	30,	'4.0',	'4d0',	161,	1),
(162,	30,	'4.2 LE',	'4d2sple',	162,	1),
(163,	11,	'4.7\"',	'4d7qu',	163,	1),
(164,	46,	'40.5 х 19 х 6 см',	'40d5sphsp19sphsp6spsm',	164,	1),
(165,	36,	'4100 мАч',	'4100spmach',	165,	1),
(166,	62,	'5 лет',	'5splet',	166,	1),
(167,	27,	'5 Мп',	'5spmp',	167,	1),
(168,	28,	'5 Мп',	'5spmp',	168,	1),
(169,	42,	'5+',	'5p',	169,	1),
(170,	11,	'5.0\"',	'5d0qu',	170,	1),
(171,	11,	'5.2\"',	'5d2qu',	171,	1),
(172,	11,	'5.5\"',	'5d5qu',	172,	1),
(173,	11,	'5.7\"',	'5d7qu',	173,	1),
(174,	58,	'50л.',	'50ld',	174,	1),
(175,	46,	'51 х 30.5 х 7 см',	'51sphsp30d5sphsp7spsm',	175,	1),
(176,	1,	'525 г',	'525spg',	176,	1),
(177,	72,	'580х310х220',	'580h310h220',	177,	1),
(178,	15,	'6 (Cortex A-57)',	'6splbcortexspam57rb',	178,	1),
(179,	18,	'6 ГБ',	'6spgb',	179,	1),
(180,	19,	'64 ГБ',	'64spgb',	180,	1),
(181,	72,	'655х350х220',	'655h350h220',	181,	1),
(182,	72,	'655х425х220',	'655h425h220',	182,	1),
(183,	62,	'7 года',	'7spgoda',	183,	1),
(184,	62,	'7 лет',	'7splet',	184,	1),
(185,	11,	'7.0\"',	'7d0qu',	185,	1),
(186,	36,	'7000 мАч',	'7000spmach',	186,	1),
(187,	58,	'75л.',	'75ld',	187,	1),
(188,	15,	'8',	'8',	188,	1),
(189,	15,	'8 (Cortex A-53)',	'8splbcortexspam53rb',	189,	1),
(190,	15,	'8 (Cortex A-57 + Cortex A-53)',	'8splbcortexspam57sppspcortexspam53rb',	190,	1),
(191,	62,	'8 лет',	'8splet',	191,	1),
(192,	27,	'8 Мп',	'8spmp',	192,	1),
(193,	3,	'80 см',	'80spsm',	193,	1),
(194,	33,	'802.11 a/b/g/n',	'802d11spafbfgfn',	194,	1),
(195,	33,	'802.11 a/b/g/n/ac',	'802d11spafbfgfnfac',	195,	1),
(196,	33,	'802.11 b/g/n',	'802d11spbfgfn',	196,	1),
(197,	58,	'80л.',	'80ld',	197,	1),
(198,	24,	'850 / 1900 / 2100 МГц',	'850spfsp1900spfsp2100spmgts',	198,	1),
(199,	23,	'850 / 900 / 1800 / 1900 МГц',	'850spfsp900spfsp1800spfsp1900spmgts',	199,	1),
(200,	24,	'850 / 900 / 1900 / 2100 МГц',	'850spfsp900spfsp1900spfsp2100spmgts',	200,	1),
(201,	26,	'850 / 900 / 1900 / 2100 МГц',	'850spfsp900spfsp1900spfsp2100spmgts',	201,	1),
(202,	23,	'850 / 900 / 1900 МГц',	'850spfsp900spfsp1900spmgts',	202,	1),
(203,	23,	'900 / 1800 / 1900 МГц',	'900spfsp1800spfsp1900spmgts',	203,	1),
(204,	23,	'900 / 1800 МГц',	'900spfsp1800spmgts',	204,	1),
(205,	26,	'900 / 1900 / 2100 МГц',	'900spfsp1900spfsp2100spmgts',	205,	1),
(206,	24,	'900 / 2100 МГц',	'900spfsp2100spmgts',	206,	1),
(207,	26,	'900 / 2100 МГц',	'900spfsp2100spmgts',	207,	1),
(208,	14,	'Android 4.4',	'androidsp4d4',	208,	1),
(209,	14,	'Android 5.0',	'androidsp5d0',	209,	1),
(210,	14,	'Android 5.1',	'androidsp5d1',	210,	1),
(211,	14,	'Android 6.0',	'androidsp6d0',	211,	1),
(212,	14,	'Android 6.0 + Flyme',	'androidsp6d0sppspflyme',	212,	1),
(213,	14,	'Android 6.0.1 +  MIUI 8',	'androidsp6d0d1sppspspmiuisp8',	213,	1),
(214,	14,	'Android 6.0.1 +  MIUI V8',	'androidsp6d0d1sppspspmiuispv8',	214,	1),
(215,	10,	'City',	'city',	215,	1),
(216,	38,	'Dark Blue',	'darkspblue',	216,	1),
(217,	25,	'FDD-LTE',	'fddmlte',	217,	1),
(218,	12,	'IGZO Full HD',	'igzospfullsphd',	218,	1),
(219,	12,	'IPS',	'ips',	219,	1),
(220,	12,	'IPS (Sharp)',	'ipssplbsharprb',	220,	1),
(221,	12,	'IPS Full HD',	'ipsspfullsphd',	221,	1),
(222,	12,	'IPS HD',	'ipssphd',	222,	1),
(223,	10,	'M2',	'm2',	223,	1),
(224,	10,	'M3',	'm3',	224,	1),
(225,	16,	'MediaTek MT6750',	'mediatekspmt6750',	225,	1),
(226,	16,	'MediaTek MT6753',	'mediatekspmt6753',	226,	1),
(227,	16,	'MediaTek MT6755',	'mediatekspmt6755',	227,	1),
(228,	16,	'MediaTek MT6797',	'mediatekspmt6797',	228,	1),
(229,	16,	'MediaTek MT6797T',	'mediatekspmt6797t',	229,	1),
(230,	16,	'MediaTek MT8735P',	'mediatekspmt8735p',	230,	1),
(231,	10,	'Mi4C',	'mi4c',	231,	1),
(232,	10,	'Mi5s',	'mi5s',	232,	1),
(233,	22,	'micro-SIM',	'micromsim',	233,	1),
(234,	22,	'micro-SIM. nano-SIM (microSD)',	'micromsimdspnanomsimsplbmicrosdrb',	234,	1),
(235,	35,	'microUSB. OTG. Аудио 3.5 мм',	'microusbdspotgdspaudiosp3d5spmm',	235,	1),
(236,	35,	'microUSB. Type-C. OTG. Аудио 3.5 мм',	'microusbdsptypemcdspotgdspaudiosp3d5spmm',	236,	1),
(237,	35,	'microUSB. Аудио 3.5 мм',	'microusbdspaudiosp3d5spmm',	237,	1),
(238,	35,	'microUSB. Аудио 3.5 мм. 2 слота для sim-карт',	'microusbdspaudiosp3d5spmmdsp2spslotaspdlyaspsimmkart',	238,	1),
(239,	10,	'MX',	'mx',	239,	1),
(240,	22,	'nano-SIM',	'nanomsim',	240,	1),
(241,	22,	'nano-SIM. micro-SIM (microSD)',	'nanomsimdspmicromsimsplbmicrosdrb',	241,	1),
(242,	22,	'nano-SIM. nano-SIM',	'nanomsimdspnanomsim',	242,	1),
(243,	22,	'nano-SIM. nano-SIM (microSD)',	'nanomsimdspnanomsimsplbmicrosdrb',	243,	1),
(244,	10,	'Pro',	'pro',	244,	1),
(245,	16,	'Qualcomm Snapdragon 210',	'qualcommspsnapdragonsp210',	245,	1),
(246,	16,	'Qualcomm Snapdragon 410',	'qualcommspsnapdragonsp410',	246,	1),
(247,	10,	'Redmi 3S',	'redmisp3s',	247,	1),
(248,	10,	'Redmi 4',	'redmisp4',	248,	1),
(249,	10,	'Redmi Note',	'redmispnote',	249,	1),
(250,	10,	'Redmi Note 4',	'redmispnotesp4',	250,	1),
(251,	16,	'Samsung Exynos 7',	'samsungspexynossp7',	251,	1),
(252,	38,	'Silver',	'silver',	252,	1),
(253,	16,	'Snapdragon 430',	'snapdragonsp430',	253,	1),
(254,	16,	'Snapdragon 435',	'snapdragonsp435',	254,	1),
(255,	16,	'Snapdragon 625',	'snapdragonsp625',	255,	1),
(256,	16,	'Snapdragon 808',	'snapdragonsp808',	256,	1),
(257,	16,	'Snapdragon 82',	'snapdragonsp82',	257,	1),
(258,	16,	'Snapdragon 821',	'snapdragonsp821',	258,	1),
(259,	12,	'Super AMOLED Full HD',	'superspamoledspfullsphd',	259,	1),
(260,	25,	'TD-LTE',	'tdmlte',	260,	1),
(261,	10,	'Track builder',	'trackspbuilder',	261,	1),
(262,	35,	'USB Type-C. OTG. Аудио 3.5 мм',	'usbsptypemcdspotgdspaudiosp3d5spmm',	262,	1),
(263,	10,	'Workshop',	'workshop',	263,	1),
(264,	10,	'Базовые треки и игровые наборы',	'bazovyesptrekispispigrovyespnabory',	264,	1),
(265,	38,	'Белый. золотой. синий. серый. розовый',	'belyjdspzolotojdspsinijdspseryjdsprozovyj',	265,	1),
(266,	38,	'Белый. серый. золотой',	'belyjdspseryjdspzolotoj',	266,	1),
(267,	38,	'Белый. синий. серый. розовый',	'belyjdspsinijdspseryjdsprozovyj',	267,	1),
(268,	53,	'Боковое',	'bokovoe',	268,	1),
(269,	4,	'велюр',	'velyur',	269,	1),
(270,	59,	'Вертикальный',	'vertikalnyj',	270,	1),
(271,	66,	'гидротурбинка (электро)',	'gidroturbinkasplbelektrorb',	271,	1),
(272,	69,	'Две ступени',	'dvespstupeni',	272,	1),
(273,	27,	'двойная. по 13 Мп каждая',	'dvojnayadspposp13spmpspkazhdaya',	273,	1),
(274,	43,	'девочка..мальчик',	'devochkaddmalchik',	274,	1),
(275,	69,	'Десять ступеней',	'desyatspstupenej',	275,	1),
(276,	5,	'для детей до 12 лет',	'dlyaspdetejspdosp12splet',	276,	1),
(277,	20,	'до 128 ГБ',	'dosp128spgb',	277,	1),
(278,	20,	'до 32 ГБ',	'dosp32spgb',	278,	1),
(279,	1,	'до 4 кг',	'dosp4spkg',	279,	1),
(280,	20,	'до 64 ГБ',	'dosp64spgb',	280,	1),
(281,	10,	'Другие интерактивные питомцы',	'drugiespinteraktivnyesppitomtsy',	281,	1),
(282,	65,	'дымоход',	'dymohod',	282,	1),
(283,	29,	'Есть',	'est',	283,	1),
(284,	31,	'Есть',	'est',	284,	1),
(285,	32,	'Есть',	'est',	285,	1),
(286,	34,	'Есть',	'est',	286,	1),
(287,	39,	'Есть',	'est',	287,	1),
(288,	40,	'Есть',	'est',	288,	1),
(289,	41,	'есть',	'est',	289,	1),
(290,	69,	'есть',	'est',	290,	1),
(291,	40,	'Есть (mTouch)',	'estsplbmtouchrb',	291,	1),
(292,	4,	'жаккард',	'zhakkard',	292,	1),
(293,	48,	'Испания',	'ispaniya',	293,	1),
(294,	48,	'Италия',	'italiya',	294,	1),
(295,	43,	'мальчик',	'malchik',	295,	1),
(296,	4,	'микро-вельвет',	'mikromvelvet',	296,	1),
(297,	57,	'Настенный',	'nastennyj',	297,	1),
(298,	69,	'нет',	'net',	298,	1),
(299,	4,	'оксфорд (плащевая ткань)',	'oksfordsplbplaschevayasptkanrb',	299,	1),
(300,	66,	'от батареек (электро)',	'otspbatareeksplbelektrorb',	300,	1),
(301,	66,	'от батареек (электронный)',	'otspbatareeksplbelektronnyjrb',	301,	1),
(302,	63,	'открытый (\"мокрый\")',	'otkrytyjsplbqumokryjqurb',	302,	1),
(303,	6,	'пенополистирол 1-2 мм',	'penopolistirolsp1m2spmm',	303,	1),
(304,	45,	'Пластик',	'plastik',	304,	1),
(305,	48,	'Португалия',	'portugaliya',	305,	1),
(306,	60,	'прямоугольная',	'pryamougolnaya',	306,	1),
(307,	66,	'пьезорозжиг',	'pezorozzhig',	307,	1),
(308,	66,	'пьезорозжиг (кнопкой)',	'pezorozzhigsplbknopkojrb',	308,	1),
(309,	9,	'Россия',	'rossiya',	309,	1),
(310,	52,	'Секционная',	'sektsionnaya',	310,	1),
(311,	38,	'Серый. серебряный. золотой',	'seryjdspserebryanyjdspzolotoj',	311,	1),
(312,	38,	'Серый. серебряный. золотой. Rose-gold',	'seryjdspserebryanyjdspzolotojdsprosemgold',	312,	1),
(313,	63,	'скрытый (\"сухой\")',	'skrytyjsplbqusuhojqurb',	313,	1),
(314,	38,	'Темно-серый. золотой. серебряный',	'temnomseryjdspzolotojdspserebryanyj',	314,	1),
(315,	38,	'Темно-серый. золотой. серый',	'temnomseryjdspzolotojdspseryj',	315,	1),
(316,	38,	'Темно-серый. золотой. серый. Rose-gold',	'temnomseryjdspzolotojdspseryjdsprosemgold',	316,	1),
(317,	48,	'Украина',	'ukraina',	317,	1),
(318,	59,	'Универсальный',	'universalnyj',	318,	1),
(319,	60,	'Цилиндрическая',	'tsilindricheskaya',	319,	1),
(320,	38,	'Черный',	'chernyj',	320,	1),
(321,	38,	'Черный. Champagne. розовый',	'chernyjdspchampagnedsprozovyj',	321,	1),
(322,	38,	'Черный. голубой. розовый. белый. желтый',	'chernyjdspgolubojdsprozovyjdspbelyjdspzheltyj',	322,	1),
(323,	38,	'Черный. розовый. золотой. серебряный. бирюзовый',	'chernyjdsprozovyjdspzolotojdspserebryanyjdspbiryuzovyj',	323,	1),
(324,	74,	'Финляндия',	'finlyandiya',	324,	1),
(325,	74,	'Баранина',	'baranina',	325,	1),
(326,	74,	'Россия',	'rossiya',	326,	1),
(328,	75,	'Курица',	'kuritsa',	328,	1),
(329,	74,	'Говядина',	'govyadina',	329,	1),
(330,	75,	'Свинина',	'svinina',	330,	1),
(331,	45,	'Коттон',	'kotton',	331,	1),
(332,	76,	'Франция',	'frantsiya',	332,	1),
(333,	37,	'(H)218.5, (W)133.0',	'lbhrb218d5csplbwrb133d0',	333,	1),
(334,	77,	'8',	'8',	334,	1),
(335,	78,	'1.55м',	'1d55m',	335,	1),
(336,	79,	'да',	'da',	336,	1),
(337,	1,	'145кг.',	'145kgd',	337,	1),
(338,	1,	'295',	'295',	338,	1),
(339,	37,	'65.5L x 89.5W x 25.5H',	'65d5lspxsp89d5wspxsp25d5h',	339,	1),
(340,	45,	'Дерево',	'derevo',	340,	1),
(341,	76,	'Италия',	'italiya',	341,	1),
(342,	37,	'(H)91.0, (W)54ю8',	'lbhrb91d0csplbwrb54yu8',	342,	1),
(343,	77,	'нет',	'net',	343,	1),
(345,	80,	'С. Кінг',	'sdspking',	345,	1),
(346,	81,	'украинский',	'ukrainskij',	346,	1),
(347,	82,	'The Stand, vol.1',	'thespstandcspvold1',	347,	1),
(348,	83,	'переплет',	'pereplet',	348,	1),
(349,	84,	'576',	'576',	349,	1),
(350,	85,	'ч/б',	'chfb',	350,	1),
(351,	86,	'2019',	'2019',	351,	1),
(352,	87,	'Фантастика, фэнтези',	'fantastikacspfentezi',	352,	1),
(353,	86,	'2017',	'2017',	353,	1),
(354,	88,	'Велосипед',	'velosiped',	354,	1),
(355,	89,	'25.5 дюйма',	'25d5spdyujma',	355,	1),
(356,	90,	'от 130 до 150 мм',	'otsp130spdosp150spmm',	356,	1),
(357,	91,	'RockShox Revelation RC Lockout, air, Travel: 120mm, aluminium steerer tube 1 18 - 1 12 tapered, thru-axle Boost',	'rockshoxsprevelationsprcsplockoutcspaircsptravelcolsp120mmcspaluminiumspsteerersptubesp1sp18spmsp1sp12sptaperedcspthrumaxlespboost',	357,	1),
(358,	1,	'25.8 кг',	'25d8spkg',	358,	1),
(359,	92,	'Shimano Tourney RD-TY21B',	'shimanosptourneysprdmty21b',	359,	1),
(360,	93,	'Sram NX Eagle, 12 speed',	'sramspnxspeaglecsp12spspeed',	360,	1),
(361,	89,	'26.5 дюйма',	'26d5spdyujma',	361,	1),
(362,	90,	'от 110 до 160 мм',	'otsp110spdosp160spmm',	362,	1),
(363,	91,	'Жесткая стальная',	'zhestkayaspstalnaya',	363,	1),
(364,	92,	'алюминий PRO',	'alyuminijsppro',	364,	1),
(365,	94,	'без амортизатора',	'bezspamortizatora',	365,	1),
(366,	95,	'ободной',	'obodnoj',	366,	1),
(367,	1,	'793 г',	'793spg',	367,	1),
(368,	88,	'Велошлем',	'veloshlem',	368,	1),
(369,	89,	'нет',	'net',	369,	1),
(370,	90,	'нет',	'net',	370,	1),
(371,	91,	'нет',	'net',	371,	1),
(372,	92,	'нет',	'net',	372,	1),
(373,	93,	'нет',	'net',	373,	1),
(374,	94,	'нет',	'net',	374,	1),
(375,	88,	'Велоперчатка',	'veloperchatka',	375,	1),
(376,	1,	'332 г',	'332spg',	376,	1),
(377,	88,	'Велообувь',	'veloobuv',	377,	1),
(378,	1,	'6 кг',	'6spkg',	378,	1),
(379,	88,	'Гиря',	'girya',	379,	1),
(380,	1,	'8 кг',	'8spkg',	380,	1),
(381,	88,	'Гантели',	'ganteli',	381,	1),
(382,	1,	'136.5кг.',	'136d5kgd',	382,	1),
(383,	88,	'Велотренажер',	'velotrenazher',	383,	1),
(384,	1,	'139 кг',	'139spkg',	384,	1),
(385,	88,	'Тренажер',	'trenazher',	385,	1),
(386,	88,	'Гироскутер',	'giroskuter',	386,	1),
(387,	88,	'Гироборд',	'girobord',	387,	1),
(388,	88,	'Фитнесс-трекер',	'fitnessmtreker',	388,	1),
(389,	88,	'Экшн-камера',	'ekshnmkamera',	389,	1),
(390,	96,	'Windows POSReady 2009, Windows 7, Windows 8.1 Industry, Windows 10 IoT Enterprise',	'windowsspposreadysp2009cspwindowssp7cspwindowssp8d1spindustrycspwindowssp10spiotspenterprise',	390,	1),
(391,	16,	'Intel Celeron N3160 2,24 ГГц;',	'intelspceleronspn3160sp2c24spggtssem',	391,	1),
(392,	97,	'1 МБ SDRAM / 2 МБ Flash ROM',	'1spmbspsdramspfsp2spmbspflashsprom',	392,	1),
(393,	98,	'Цветной сенсорный ЖК 4,3″',	'tsvetnojspsensornyjspzhksp4c3',	393,	1),
(394,	99,	'На 28, 43 и 53 клавиши',	'nasp28csp43spisp53spklavishi',	394,	1),
(395,	100,	'Лазерный',	'lazernyj',	395,	1),
(396,	101,	'1D: UPC-A, UPC-E, EAN8, EAN13, CODE39, ITF, CODEBAR, CODE128, CODE93; 2D: PDF417, QR code(DataMatrix/Maxicode/Azec optional)',	'1dcolspupcmacspupcmecspean8cspean13cspcode39cspitfcspcodebarcspcode128cspcode93semsp2dcolsppdf417cspqrspcodelbdatamatrixfmaxicodefazecspoptionalrb',	396,	1),
(397,	30,	'есть',	'est',	397,	1),
(398,	33,	'нет',	'net',	398,	1),
(399,	102,	'нет',	'net',	399,	1),
(400,	103,	'датчик прозрачности (фиксированный по центру); датчик черной метки (подвижный); датчик открытой печатающей головки; датчик наличия этикетки',	'datchikspprozrachnostisplbfiksirovannyjspposptsentrurbsemspdatchikspchernojspmetkisplbpodvizhnyjrbsemspdatchikspotkrytojsppechatayuschejspgolovkisemspdatchikspnalichiyaspetiketki',	400,	1),
(401,	104,	'IP64 (корпус, закрывающий электронное оборудование, дисплей и клавиатура) согласно стандартам защиты IEC',	'ip64splbkorpuscspzakryvayuschijspelektronnoespoborudovaniecspdisplejspispklaviaturarbspsoglasnospstandartamspzaschityspiec',	401,	1),
(402,	105,	'нет',	'net',	402,	1),
(403,	106,	'от -20 до +45°C',	'otspm20spdospp45degc',	403,	1),
(404,	107,	'305 х 295 х 345 мм',	'305sphsp295sphsp345spmm',	404,	1),
(405,	76,	'Sam4s (Корея)',	'sam4ssplbkoreyarb',	405,	1),
(406,	108,	'57,5 мм',	'57c5spmm',	406,	1),
(407,	1,	'12г',	'12g',	407,	1),
(408,	42,	'Для взрослых кошек',	'dlyaspvzroslyhspkoshek',	408,	1),
(409,	109,	'Сухой корм',	'suhojspkorm',	409,	1),
(410,	110,	'Для крупных пород',	'dlyaspkrupnyhspporod',	410,	1),
(411,	111,	'Персидский',	'persidskij',	411,	1),
(412,	112,	'Премиум',	'premium',	412,	1),
(413,	1,	'10г',	'10g',	413,	1),
(414,	42,	'Для котят',	'dlyaspkotyat',	414,	1),
(415,	111,	'Британская',	'britanskaya',	415,	1),
(416,	42,	'От 12 мес.',	'otsp12spmesd',	416,	1),
(417,	111,	'Для всех',	'dlyaspvseh',	417,	1),
(418,	42,	'От 1 года',	'otsp1spgoda',	418,	1),
(419,	110,	'Основное кормление',	'osnovnoespkormlenie',	419,	1),
(420,	111,	'Всех видов',	'vsehspvidov',	420,	1),
(421,	1,	'79 кг.',	'79spkgd',	421,	1),
(422,	37,	'191-200см',	'191m200sm',	422,	1),
(423,	45,	'Буковые ламели',	'bukovyesplameli',	423,	1),
(424,	76,	'RedKing',	'redking',	424,	1),
(425,	78,	'191',	'191',	425,	1),
(426,	1,	'90кг.',	'90kgd',	426,	1),
(427,	37,	'150.9 х 115.2 х 87 cm',	'150d9sphsp115d2sphsp87spcm',	427,	1),
(428,	77,	'2',	'2',	428,	1),
(429,	78,	'160',	'160',	429,	1),
(430,	38,	'Белый',	'belyj',	430,	1),
(431,	45,	'Керамика',	'keramika',	431,	1),
(432,	113,	'напольный',	'napolnyj',	432,	1),
(433,	114,	'Распашные',	'raspashnye',	433,	1),
(434,	115,	'455x650x650',	'455x650x650',	434,	1),
(436,	38,	'Красный',	'krasnyj',	436,	1),
(437,	112,	'Супер премиум',	'supersppremium',	437,	1),
(438,	112,	'Эконом',	'ekonom',	438,	1);

DROP TABLE IF EXISTS `ok_features_values_aliases_values`;
CREATE TABLE `ok_features_values_aliases_values` (
  `feature_alias_id` int(11) NOT NULL,
  `translit` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `value` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `feature_id` int(11) NOT NULL,
  `lang_id` int(11) NOT NULL,
  KEY `feature_alias_id` (`feature_alias_id`),
  KEY `feature_id` (`feature_id`),
  KEY `lang_id` (`lang_id`),
  KEY `translit` (`translit`(100))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;


DROP TABLE IF EXISTS `ok_feedbacks`;
CREATE TABLE `ok_feedbacks` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ip` varchar(40) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `email` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `message` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `processed` tinyint(1) NOT NULL DEFAULT '0',
  `lang_id` int(11) NOT NULL DEFAULT '0',
  `is_admin` tinyint(1) NOT NULL DEFAULT '0',
  `parent_id` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_feedbacks` (`id`, `date`, `ip`, `name`, `email`, `message`, `processed`, `lang_id`, `is_admin`, `parent_id`) VALUES
(1,	'2019-11-20 15:37:14',	'192.168.220.1',	'Роман',	'test@gmail.com',	'Как к вам пройти?',	0,	1,	0,	0);

DROP TABLE IF EXISTS `ok_groups`;
CREATE TABLE `ok_groups` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `discount` decimal(5,2) NOT NULL DEFAULT '0.00',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_groups` (`id`, `name`, `discount`) VALUES
(1,	'Постоянный покупатель',	2.00);

DROP TABLE IF EXISTS `ok_images`;
CREATE TABLE `ok_images` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `product_id` int(11) NOT NULL DEFAULT '0',
  `filename` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `position` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `product_id` (`product_id`),
  KEY `position` (`position`),
  KEY `filename` (`filename`(100))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_images` (`id`, `name`, `product_id`, `filename`, `position`) VALUES
(1,	'',	1,	'beskarkasnoe_kreslo_meshok_grusha_copy_9.jpg',	1),
(2,	'',	1,	'beskarkasnoe_kreslo_meshok_grusha_copy_459.jpg',	2),
(3,	'',	2,	'beskarkasnoe_kreslo_meshok_grusha_copy_19.jpg',	3),
(4,	'',	3,	'beskarkasnoe_kreslo_meshok_grusha_copy_12.jpg',	4),
(5,	'',	4,	'beskarkasnoe_kreslo_meshok_grusha_copy_14.jpg',	5),
(6,	'',	5,	'beskarkasnoe_kreslo_meshok_grusha_Oksford_Bordo_4.jpg',	6),
(7,	'',	6,	'beskarkasnoe_kreslo_meshok_grusha_copy_3.jpg',	7),
(8,	'',	7,	'beskarkasnoe_kreslo_meshok_grusha_copy_8_9.jpg',	8),
(9,	'',	8,	'beskarkasnoe_kreslo_meshok_grusha_copy_46_2.jpg',	9),
(10,	'',	9,	'beskarkasnoe_kreslo_meshok_grusha_copy_7.jpg',	10),
(11,	'',	10,	'beskarkasnoe_kreslo_meshok_grusha_blue_velvet_1.jpg',	11),
(12,	'',	11,	'kreslo_meshok_grusha_turquoise_velvet.jpg',	12),
(13,	'',	12,	'beskarkasnoe_kreslo_meshok_grusha_copy_28.jpg',	13),
(14,	'',	13,	'kreslo_meshol_malina_4.jpg',	14),
(15,	'',	14,	'beskarkasnoe_kreslo_meshok_grusha_fuxia_2.jpg',	15),
(16,	'',	15,	'beskarkasnoe_kreslo_meshok_grusha_pink.jpg',	16),
(17,	'',	16,	'kreslo_meshok_velvet_lime.jpg',	17),
(18,	'',	16,	'kreslo_meshok_velvet_lime.jpg',	18),
(19,	'',	17,	'kreslo_meshok_biatrice_2.jpg',	19),
(20,	'',	18,	'kreslo_meshok_balloons_2.jpg',	20),
(21,	'',	19,	'kreslo_meshok_graffity_orange_2.jpg',	21),
(22,	'',	20,	'kreslo_meshok_mini_cooper_2.jpg',	22),
(23,	'',	21,	'kreslo_meshok_iphone_2.jpg',	0),
(24,	'',	22,	'kreslo_meshok_cats_2.jpg',	24),
(25,	'',	23,	'271012-01.jpg',	25),
(26,	'',	24,	'171101-01.jpg',	26),
(27,	'',	25,	'271011-01.jpg',	27),
(28,	'',	26,	's040708-02.jpg',	28),
(29,	'',	27,	's010785-01.jpg',	29),
(30,	'',	28,	's040703-02.jpg',	30),
(31,	'',	29,	's040721-02.jpg',	31),
(32,	'',	30,	's040722-01.jpg',	32),
(33,	'',	31,	's040709-01.jpg',	33),
(34,	'',	32,	's040719-01.jpg',	34),
(35,	'',	33,	's040718-02.jpg',	35),
(36,	'',	34,	's040704-01.jpg',	36),
(48,	'',	37,	's040727-01.jpg',	48),
(49,	'',	38,	's040753-02.jpg',	49),
(50,	'',	39,	'151213-02.jpg',	50),
(51,	'',	40,	'151218-01.jpg',	51),
(52,	'',	41,	'151220-01.jpg',	52),
(53,	'',	42,	's020301-01.jpg',	53),
(54,	'',	43,	'ss210205-01.jpg',	54),
(55,	'',	44,	's020307-01.jpg',	55),
(56,	'',	45,	's010303-01.jpg',	56),
(57,	'',	46,	's020306-01.jpg',	57),
(58,	'',	47,	's020304-01.jpg',	58),
(59,	'',	48,	'4h.jpg',	0),
(60,	'',	49,	'1_91.jpg',	60),
(61,	'',	49,	'2_89.jpg',	61),
(62,	'',	49,	'5_57.jpg',	62),
(63,	'',	49,	'6_47.jpg',	63),
(64,	'',	49,	'8_21.jpg',	64),
(65,	'',	49,	'9_4.jpg',	65),
(66,	'',	49,	'4_74.jpg',	66),
(67,	'',	49,	'7_33.jpg',	67),
(68,	'',	49,	'3_77.jpg',	68),
(69,	'',	50,	'1_92.jpg',	0),
(70,	'',	50,	'2_90.jpg',	1),
(71,	'',	50,	'5_58.jpg',	2),
(72,	'',	50,	'6_48.jpg',	3),
(73,	'',	50,	'7_34.jpg',	4),
(75,	'',	50,	'4_75.jpg',	5),
(76,	'',	50,	'3_78.jpg',	6),
(77,	'',	51,	'1_93.jpg',	77),
(78,	'',	51,	'2_91.jpg',	78),
(79,	'',	51,	'7_35.jpg',	79),
(80,	'',	51,	'6_49.jpg',	80),
(81,	'',	51,	'8_23.jpg',	81),
(82,	'',	51,	'9_5.jpg',	82),
(83,	'',	51,	'4_76.jpg',	83),
(84,	'',	51,	'5_59.jpg',	84),
(85,	'',	51,	'3_79.jpg',	85),
(86,	'',	52,	'1_94.jpg',	86),
(87,	'',	52,	'2_92.jpg',	87),
(88,	'',	52,	'7_36.jpg',	88),
(89,	'',	52,	'6_50.jpg',	89),
(90,	'',	52,	'8_24.jpg',	90),
(91,	'',	52,	'9_6.jpg',	91),
(92,	'',	52,	'4_77.jpg',	92),
(93,	'',	52,	'5_60.jpg',	93),
(94,	'',	52,	'3_80.jpg',	94),
(95,	'',	53,	'6_51.jpg',	95),
(96,	'',	53,	'1_100.jpg',	96),
(97,	'',	53,	'2_96.jpg',	97),
(98,	'',	53,	'7_37.jpg',	98),
(99,	'',	53,	'9_7.jpg',	99),
(100,	'',	53,	'3_83.jpg',	100),
(101,	'',	53,	'8_25.jpg',	101),
(102,	'',	53,	'5_63.jpg',	102),
(103,	'',	53,	'4_80.jpg',	103),
(104,	'',	54,	'1_102.jpg',	104),
(105,	'',	54,	'4_82.jpg',	105),
(106,	'',	54,	'2_98.jpg',	106),
(107,	'',	54,	'5_64.jpg',	107),
(108,	'',	54,	'3_85.jpg',	108),
(109,	'',	54,	'6_52.jpg',	109),
(110,	'',	55,	'1_103.jpg',	110),
(111,	'',	55,	'2_99.jpg',	111),
(112,	'',	55,	'6_53.jpg',	112),
(113,	'',	55,	'4_83.jpg',	113),
(114,	'',	55,	'5_65.jpg',	114),
(115,	'',	55,	'3_86.jpg',	115),
(116,	'',	56,	'1_101.jpg',	116),
(117,	'',	56,	'2_97.jpg',	117),
(118,	'',	56,	'3_84.jpg',	118),
(119,	'',	56,	'4_81.jpg',	119),
(120,	'',	57,	'1_99.jpg',	120),
(121,	'',	57,	'2_95.jpg',	121),
(122,	'',	57,	'3_82.jpg',	122),
(123,	'',	57,	'4_79.jpg',	123),
(124,	'',	57,	'5_62.jpg',	124),
(125,	'',	58,	'bgk04_1.jpg',	125),
(126,	'',	58,	'bgk04_5.jpg',	126),
(127,	'',	58,	'bgk04_4.jpg',	127),
(128,	'',	59,	'2_612.jpg',	128),
(129,	'',	59,	'3_567.jpg',	129),
(130,	'',	59,	'1_713.jpg',	130),
(131,	'',	60,	'3_568.jpg',	131),
(132,	'',	60,	'2_613.jpg',	132),
(133,	'',	60,	'4_519.jpg',	133),
(134,	'',	60,	'1_714.jpg',	134),
(135,	'',	61,	'2_614.jpg',	135),
(136,	'',	61,	'3_569.jpg',	136),
(137,	'',	61,	'1_715.jpg',	137),
(138,	'',	61,	'4_520.jpg',	138),
(139,	'',	61,	'7_311.jpg',	139),
(140,	'',	61,	'6_394.jpg',	140),
(141,	'',	61,	'5_436.jpg',	141),
(142,	'',	61,	'8_213.jpg',	142),
(143,	'',	62,	'1_716.jpg',	143),
(144,	'',	62,	'2_615.jpg',	144),
(145,	'',	62,	'3_570.jpg',	145),
(146,	'',	62,	'7_312.jpg',	146),
(147,	'',	62,	'4_521.jpg',	147),
(148,	'',	62,	'5_437.jpg',	148),
(149,	'',	62,	'6_395.jpg',	149),
(150,	'',	62,	'8_214.jpg',	150),
(151,	'',	62,	'9_146.jpg',	151),
(152,	'',	63,	'2_616.jpg',	152),
(153,	'',	63,	'1_717.jpg',	153),
(154,	'',	63,	'8_215.jpg',	154),
(155,	'',	63,	'7_313.jpg',	155),
(156,	'',	63,	'6_396.jpg',	156),
(157,	'',	63,	'3_571.jpg',	157),
(158,	'',	63,	'4_522.jpg',	158),
(159,	'',	63,	'5_438.jpg',	159),
(160,	'',	63,	'9_147.jpg',	160),
(161,	'',	64,	'1_718.jpg',	161),
(162,	'',	64,	'9_148.jpg',	162),
(163,	'',	64,	'5_439.jpg',	163),
(164,	'',	64,	'3_572.jpg',	164),
(165,	'',	64,	'2_617.jpg',	165),
(166,	'',	64,	'4_523.jpg',	166),
(167,	'',	64,	'6_397.jpg',	167),
(168,	'',	64,	'7_314.jpg',	168),
(169,	'',	64,	'8_216.jpg',	169),
(170,	'',	65,	'2_618.jpg',	170),
(171,	'',	65,	'5_440.jpg',	171),
(172,	'',	65,	'9_149.jpg',	172),
(173,	'',	65,	'1_719.jpg',	173),
(174,	'',	65,	'3_573.jpg',	174),
(175,	'',	65,	'4_524.jpg',	175),
(176,	'',	65,	'6_398.jpg',	176),
(177,	'',	65,	'8_217.jpg',	177),
(178,	'',	65,	'7_315.jpg',	178),
(179,	'',	66,	'3_574.jpg',	179),
(180,	'',	66,	'2_619.jpg',	180),
(181,	'',	66,	'1_720.jpg',	181),
(182,	'',	67,	'6_399.jpg',	182),
(183,	'',	67,	'7_316.jpg',	183),
(184,	'',	67,	'4_525.jpg',	184),
(185,	'',	67,	'2_620.jpg',	185),
(186,	'',	67,	'3_575.jpg',	186),
(187,	'',	67,	'1_721.jpg',	187),
(188,	'',	67,	'5_441.jpg',	188),
(189,	'',	68,	'1_722.jpg',	189),
(190,	'',	68,	'2_621.jpg',	190),
(191,	'',	68,	'4_526.jpg',	191),
(192,	'',	68,	'3_576.jpg',	192),
(193,	'',	69,	'1_723.jpg',	193),
(194,	'',	69,	'2_622.jpg',	194),
(195,	'',	69,	'7_317.jpg',	195),
(196,	'',	69,	'3_577.jpg',	196),
(197,	'',	69,	'6_400.jpg',	197),
(198,	'',	69,	'5_442.jpg',	198),
(199,	'',	69,	'4_527.jpg',	199),
(200,	'',	70,	'9_150.jpg',	200),
(201,	'',	70,	'5_443.jpg',	201),
(202,	'',	70,	'1_724.jpg',	202),
(203,	'',	70,	'2_623.jpg',	203),
(204,	'',	70,	'6_401.jpg',	204),
(205,	'',	70,	'7_318.jpg',	205),
(206,	'',	70,	'3_578.jpg',	206),
(207,	'',	70,	'8_218.jpg',	207),
(208,	'',	70,	'4_528.jpg',	208),
(209,	'',	71,	'3_579.jpg',	209),
(210,	'',	71,	'2_624.jpg',	210),
(211,	'',	71,	'1_725.jpg',	211),
(212,	'',	72,	'1_726.jpg',	212),
(213,	'',	72,	'2_625.jpg',	213),
(214,	'',	72,	'3_580.jpg',	214),
(215,	'',	72,	'5_444.jpg',	215),
(216,	'',	72,	'6_402.jpg',	216),
(217,	'',	72,	'4_529.jpg',	217),
(218,	'',	72,	'7_319.jpg',	218),
(219,	'',	73,	'bimetall-ALTERMO-400x400.jpg',	219),
(220,	'',	74,	'lrb500.jpg',	220),
(221,	'',	75,	'record_137200700.jpg',	221),
(222,	'',	76,	'iseo.jpg',	222),
(223,	'',	77,	'1362382587_aluminium-radiator-global.jpg',	223),
(224,	'',	78,	'1362382587_aluminium-radiator-global.jpg',	0),
(225,	'',	79,	'atlantic-vm-080-d400-2-bc.jpg',	225),
(226,	'',	79,	'opro-turbo-1.jpg',	226),
(227,	'',	79,	'opro-turbo.jpg',	227),
(228,	'',	80,	'Atlantic_VM_050_D400-2-B2.jpg',	228),
(229,	'',	80,	'opro-turbo.jpg',	229),
(230,	'',	81,	'atlantic-opro-profi.jpg',	230),
(231,	'',	82,	'atlantic-opro-profi.jpg',	231),
(232,	'',	83,	'atlantic-opro-slim.jpg',	232),
(233,	'',	83,	'atlantic-opro-slim-2.jpg',	233),
(234,	'',	84,	'Atlantic_VM_050_D400-2-BC.jpg',	234),
(235,	'',	84,	'atlantic-statite-elite-pro3.jpg',	235),
(236,	'',	84,	'atlantic-statite-elite-pro.jpg',	236),
(237,	'',	85,	'atlantic-slim-steatite-vm-80-n3cm-e-1_1.jpg',	237),
(238,	'',	85,	'atlantic-slim-steatite-80_1.jpg',	238),
(239,	'',	86,	'atlantic-statite-cube.jpg',	239),
(240,	'',	86,	'atlantic-statite-cube.jpg',	240),
(241,	'',	87,	'atlantic-statite-cube.jpg',	241),
(242,	'',	87,	'atlantic-statite-cube.jpg',	242),
(243,	'',	88,	'atlantic-statite-cube.jpg',	243),
(244,	'',	88,	'atlantic-statite-cube.jpg',	244),
(245,	'',	89,	'atlantic-vm-080-d400-2-bc.jpg',	245),
(246,	'',	89,	'opro-turbo-1.jpg',	246),
(247,	'',	89,	'opro-turbo.jpg',	247),
(248,	'',	90,	'atlantic-opro-profi.jpg',	248),
(249,	'',	91,	'Aqua_Idrabagno.jpg',	249),
(250,	'',	92,	'Aqua_Idrabagno.jpg',	250),
(251,	'',	93,	'Aqua_Idrabagno.jpg',	251),
(252,	'',	94,	'Aqua_Idrabagno.jpg',	252),
(253,	'',	95,	'bosch-wrd-13-2g.jpg',	253),
(254,	'',	96,	'Therm_4000.jpg',	254),
(255,	'',	97,	'Therm_4000.jpg',	255),
(256,	'',	98,	'bosch-wrd-13-2g.jpg',	256),
(257,	'',	99,	'bossh_wr_13_2_b.jpg',	257),
(258,	'',	100,	'Therm_4000.jpg',	258),
(259,	'',	101,	'bosch-wrd-13-2g.jpg',	259),
(260,	'',	102,	'bossh_wr_13_2_b.jpg',	260),
(261,	'',	103,	'Therm_4000.jpg',	261),
(262,	'',	104,	'Therm_4000.jpg',	262),
(263,	'',	105,	'THERM_2000_O.jpg',	263),
(264,	'',	105,	'bosch-therm-2000.jpg',	264),
(265,	'',	106,	'mag_370x500-kopiya.png',	265),
(266,	'',	106,	'_06_atmomag_gwh03_1014_04-kopiya.jpg',	266),
(267,	'',	107,	'mag_370x500-kopiya.png',	267),
(268,	'',	107,	'_06_atmomag_gwh03_1014_04-kopiya.jpg',	268),
(269,	'',	108,	'mag_370x500-kopiya.png',	269),
(270,	'',	108,	'_06_atmomag_gwh03_1014_04-kopiya.jpg',	270),
(271,	'',	109,	'mag_370x500-kopiya.png',	0),
(272,	'',	109,	'_06_atmomag_gwh03_1014_04-kopiya.jpg',	1),
(273,	'',	110,	'mag_pro_370x500.png',	0),
(274,	'',	111,	'4-600x600.jpg',	0),
(275,	'',	112,	'okay-food4.jpg',	0),
(276,	'',	112,	'okay-food9.jpg',	1),
(277,	'',	112,	'okay-food7.jpg',	2),
(278,	'',	112,	'okay-food8.jpg',	3),
(279,	'',	113,	'okay-food12.jpg',	0),
(284,	'',	113,	'okay-food2.jpg',	1),
(285,	'',	113,	'okay-food5.jpg',	2),
(286,	'',	113,	'okay-food8.jpg',	3),
(287,	'',	113,	'okay-food9.jpg',	4),
(288,	'',	114,	'okay-food13.jpg',	0),
(289,	'',	114,	'okay-food15.jpg',	1),
(290,	'',	114,	'okay-food2.jpg',	2),
(291,	'',	114,	'okay-food4.jpg',	3),
(292,	'',	114,	'okay-food11.jpg',	4),
(293,	'',	115,	'okay-food8.jpg',	0),
(294,	'',	115,	'okay-food1.jpg',	0),
(295,	'',	115,	'okay-food14.jpg',	0),
(296,	'',	115,	'okay-food5.jpg',	0),
(297,	'',	115,	'okay-food9.jpg',	0),
(298,	'',	115,	'okay-food10.jpg',	0),
(299,	'',	116,	'okay-food2.jpg',	0),
(300,	'',	116,	'okay-food3.jpg',	0),
(301,	'',	117,	'okay-food1.jpg',	0),
(302,	'',	117,	'okay-food11.jpg',	0),
(303,	'',	117,	'okay-food12.jpg',	0),
(304,	'',	118,	'okay-food7.jpg',	0),
(305,	'',	118,	'okay-food4.jpg',	0),
(306,	'',	118,	'okay-food14.jpg',	0),
(307,	'',	118,	'okay-food11.jpg',	0),
(308,	'',	118,	'okay-food9.jpg',	0),
(309,	'',	119,	'okay-food11.jpg',	0),
(310,	'',	119,	'okay-food2.jpg',	0),
(311,	'',	119,	'okay-food1.jpg',	0),
(312,	'',	119,	'okay-food7.jpg',	0),
(313,	'',	119,	'okay-food8.jpg',	0),
(314,	'',	119,	'okay-food9.jpg',	0),
(315,	'',	120,	'okay-food19.jpg',	0),
(316,	'',	120,	'okay-food18.jpg',	0),
(317,	'',	120,	'okay-food17.jpg',	0),
(318,	'',	121,	'okay-food20.jpg',	0),
(319,	'',	121,	'okay-food21.jpg',	1),
(320,	'',	122,	'okay-food23.jpg',	0),
(321,	'',	122,	'okay-food22.jpg',	0),
(322,	'',	123,	'okay-food25.jpg',	0),
(323,	'',	123,	'okay-food24.jpg',	0),
(324,	'',	124,	'okay-food26.jpg',	0),
(325,	'',	125,	'okay-food27.jpg',	0),
(326,	'',	125,	'okay-food28.jpg',	0),
(327,	'',	126,	'okay-food29.jpg',	0),
(328,	'',	126,	'okay-food30.jpg',	1),
(329,	'',	127,	'okay-food31.jpg',	0),
(330,	'',	127,	'okay-food33.jpg',	0),
(331,	'',	128,	'okay-food34.jpg',	0),
(332,	'',	129,	'okay-food36.jpg',	0),
(333,	'',	129,	'okay-food37.jpg',	0),
(334,	'',	130,	'okay-food38.jpg',	0),
(335,	'',	131,	'okay-food39.jpg',	0),
(336,	'',	132,	'okay-food40.jpg',	0),
(337,	'',	133,	'okay-food42.jpg',	0),
(338,	'',	133,	'okay-food41.jpg',	0),
(339,	'',	134,	'okay-food44.jpg',	0),
(340,	'',	134,	'okay-food43.jpg',	0),
(341,	'',	135,	'okay-food45.jpg',	0),
(342,	'',	136,	'okay-heals1.jpg',	0),
(343,	'',	136,	'okay-heals2.jpg',	1),
(346,	'',	137,	'okay-heals5.jpg',	1),
(347,	'',	137,	'okay-heals3.jpg',	0),
(348,	'',	137,	'okay-heals4.jpg',	2),
(355,	'',	138,	'okay-heals6.jpg',	0),
(356,	'',	138,	'okay-heals8.jpg',	1),
(357,	'',	138,	'okay-heals7.jpg',	2),
(361,	'',	139,	'okay-heals9.jpg',	0),
(362,	'',	139,	'okay-heals10.jpg',	0),
(363,	'',	139,	'okay-heals11.jpg',	0),
(367,	'',	140,	'okay-heals12.jpg',	0),
(368,	'',	140,	'okay-heals13.jpg',	1),
(369,	'',	140,	'okay-heals14.jpg',	2),
(373,	'',	141,	'okay-heals15.jpg',	0),
(374,	'',	141,	'okay-heals16.jpg',	0),
(375,	'',	141,	'okay-heals17.jpg',	0),
(379,	'',	142,	'okay-heals18.jpg',	0),
(380,	'',	142,	'okay-heals20.jpg',	0),
(381,	'',	142,	'okay-heals19.jpg',	0),
(385,	'',	143,	'okay-heals21.jpg',	0),
(386,	'',	143,	'okay-heals22.jpg',	0),
(387,	'',	143,	'okay-heals23.jpg',	0),
(388,	'',	144,	'okay_couch3.jpg',	0),
(389,	'',	144,	'okay_couch1.jpg',	1),
(390,	'',	144,	'okay_couch2.jpg',	2),
(391,	'',	144,	'okay_couch5.jpg',	3),
(392,	'',	144,	'okay_couch4.jpg',	4),
(393,	'',	145,	'okay_couch3.jpg',	1),
(394,	'',	145,	'okay_couch1.jpg',	0),
(395,	'',	145,	'okay_couch2.jpg',	2),
(396,	'',	145,	'okay_couch5.jpg',	3),
(397,	'',	145,	'okay_couch4.jpg',	4),
(398,	'',	146,	'okay_couch1.jpg',	2),
(399,	'',	146,	'okay_couch3.jpg',	1),
(400,	'',	146,	'okay_couch2.jpg',	3),
(401,	'',	146,	'okay_couch5.jpg',	0),
(402,	'',	146,	'okay_couch4.jpg',	4),
(403,	'',	147,	'okay_couch5.jpg',	1),
(404,	'',	147,	'okay_couch3.jpg',	2),
(405,	'',	147,	'okay_couch1.jpg',	3),
(406,	'',	147,	'okay_couch2.jpg',	4),
(407,	'',	147,	'okay_couch4.jpg',	0),
(408,	'',	148,	'okay_couch4.jpg',	1),
(409,	'',	148,	'okay_couch5.jpg',	2),
(410,	'',	148,	'okay_couch3.jpg',	3),
(411,	'',	148,	'okay_couch1.jpg',	4),
(412,	'',	148,	'okay_couch2.jpg',	0),
(418,	'',	150,	'okay_couch6.jpg',	0),
(419,	'',	150,	'okay_couch10.jpg',	1),
(420,	'',	150,	'okay_couch9.jpg',	2),
(421,	'',	150,	'okay_couch8png.jpg',	3),
(422,	'',	150,	'okay_couch7png.jpg',	4),
(423,	'',	150,	'okay_couch5.jpg',	5),
(424,	'',	151,	'okay_couch6.jpg',	1),
(425,	'',	151,	'okay_couch10.jpg',	0),
(426,	'',	151,	'okay_couch9.jpg',	2),
(427,	'',	151,	'okay_couch8png.jpg',	3),
(428,	'',	151,	'okay_couch7png.jpg',	4),
(429,	'',	151,	'okay_couch5.jpg',	5),
(430,	'',	152,	'okay_couch10.jpg',	1),
(431,	'',	152,	'okay_couch6.jpg',	2),
(432,	'',	152,	'okay_couch9.jpg',	3),
(433,	'',	152,	'okay_couch8png.jpg',	4),
(434,	'',	152,	'okay_couch7png.jpg',	5),
(435,	'',	152,	'okay_couch5.jpg',	0),
(436,	'',	153,	'okay_couch5.jpg',	1),
(437,	'',	153,	'okay_couch10.jpg',	2),
(438,	'',	153,	'okay_couch6.jpg',	3),
(439,	'',	153,	'okay_couch9.jpg',	4),
(440,	'',	153,	'okay_couch8png.jpg',	5),
(441,	'',	153,	'okay_couch7png.jpg',	0),
(442,	'',	154,	'okay_stool3.jpg',	0),
(443,	'',	154,	'okay_stool4.jpg',	0),
(444,	'',	154,	'okay_stool1.jpg',	0),
(445,	'',	154,	'okay_stool2.jpg',	0),
(446,	'',	154,	'okay_stool5.jpg',	0),
(447,	'',	155,	'okay_stool3.jpg',	1),
(448,	'',	155,	'okay_stool4.jpg',	2),
(449,	'',	155,	'okay_stool1.jpg',	3),
(450,	'',	155,	'okay_stool2.jpg',	0),
(451,	'',	155,	'okay_stool5.jpg',	4),
(452,	'',	156,	'okay_stool2.jpg',	1),
(453,	'',	156,	'okay_stool3.jpg',	2),
(454,	'',	156,	'okay_stool4.jpg',	3),
(455,	'',	156,	'okay_stool1.jpg',	0),
(456,	'',	156,	'okay_stool5.jpg',	4),
(457,	'',	157,	'okay_stool1.jpg',	1),
(458,	'',	157,	'okay_stool2.jpg',	2),
(459,	'',	157,	'okay_stool3.jpg',	3),
(460,	'',	157,	'okay_stool4.jpg',	0),
(461,	'',	157,	'okay_stool5.jpg',	4),
(473,	'',	158,	'okay_chaire5.jpg',	0),
(474,	'',	158,	'okay_chaire6png.jpg',	1),
(475,	'',	158,	'okay_chaire2.jpg',	2),
(476,	'',	158,	'okay_chaire7.jpg',	3),
(477,	'',	158,	'okay_chaire1.jpg',	4),
(478,	'',	158,	'okay_chaire3.jpg',	5),
(479,	'',	159,	'okay_chaire5.jpg',	1),
(480,	'',	159,	'okay_chaire6png.jpg',	2),
(481,	'',	159,	'okay_chaire2.jpg',	3),
(482,	'',	159,	'okay_chaire7.jpg',	0),
(483,	'',	159,	'okay_chaire1.jpg',	4),
(484,	'',	159,	'okay_chaire3.jpg',	5),
(485,	'',	160,	'okay_chaire7.jpg',	1),
(486,	'',	160,	'okay_chaire5.jpg',	2),
(487,	'',	160,	'okay_chaire6png.jpg',	0),
(488,	'',	160,	'okay_chaire2.jpg',	3),
(489,	'',	160,	'okay_chaire1.jpg',	4),
(490,	'',	160,	'okay_chaire3.jpg',	5),
(491,	'',	161,	'okay_chaire6png.jpg',	1),
(492,	'',	161,	'okay_chaire7.jpg',	2),
(493,	'',	161,	'okay_chaire5.jpg',	3),
(494,	'',	161,	'okay_chaire2.jpg',	0),
(495,	'',	161,	'okay_chaire1.jpg',	4),
(496,	'',	161,	'okay_chaire3.jpg',	5),
(497,	'',	162,	'79-large_default.jpg',	0),
(499,	'',	163,	'okay_quilt1.jpg',	0),
(501,	'',	164,	'okay_quilt2.jpg',	0),
(503,	'',	165,	'okay_quilt3.jpg',	0),
(505,	'',	166,	'okay_quilt4.jpg',	0),
(507,	'',	167,	'okay_quilt6.jpg',	0),
(508,	'',	167,	'okay_quilt7.jpg',	0),
(509,	'',	167,	'okay_quilt8.jpg',	0),
(510,	'',	166,	'okay_quilt5.jpg',	0),
(511,	'',	166,	'okay_quilt6.jpg',	0),
(512,	'',	166,	'okay_quilt7.jpg',	0),
(513,	'',	162,	'okay_quilt3.jpg',	1),
(514,	'',	162,	'okay_quilt1.jpg',	2),
(515,	'',	162,	'okay_quilt1.jpg',	3),
(516,	'',	162,	'okay_quilt2.jpg',	4),
(517,	'',	163,	'okay_quilt3.jpg',	1),
(518,	'',	163,	'okay_quilt4.jpg',	2),
(519,	'',	163,	'okay_quilt5.jpg',	3),
(520,	'',	164,	'79-large_default.jpg',	1),
(521,	'',	164,	'okay_quilt4.jpg',	2),
(522,	'',	165,	'okay_quilt5.jpg',	1),
(523,	'',	168,	'okay_bathroom_penal4.jpg',	0),
(524,	'',	168,	'okay_bathroom_penal5.jpg',	0),
(525,	'',	168,	'okay_bathroom_penal6.jpg',	0),
(526,	'',	169,	'okay_bathroom_penal4.jpg',	1),
(527,	'',	169,	'okay_bathroom_penal5.jpg',	0),
(528,	'',	169,	'okay_bathroom_penal6.jpg',	2),
(529,	'',	170,	'okay_bathroom_penal5.jpg',	1),
(530,	'',	170,	'okay_bathroom_penal4.jpg',	2),
(531,	'',	170,	'okay_bathroom_penal6.jpg',	0),
(535,	'',	171,	'okay_bathroom_penal1.jpg',	0),
(536,	'',	171,	'okay_bathroom_penal2.jpg',	1),
(537,	'',	171,	'okay_bathroom_penal3.jpg',	2),
(538,	'',	172,	'okay_bathroom_penal1.jpg',	1),
(539,	'',	172,	'okay_bathroom_penal2.jpg',	0),
(540,	'',	172,	'okay_bathroom_penal3.jpg',	2),
(541,	'',	173,	'okay_bathroom_penal2.jpg',	1),
(542,	'',	173,	'okay_bathroom_penal1.jpg',	2),
(543,	'',	173,	'okay_bathroom_penal3.jpg',	0),
(544,	'',	174,	'okay_bathroom_tumba1.jpg',	0),
(545,	'',	174,	'okay_bathroom_tumba2.jpg',	0),
(546,	'',	174,	'okay_bathroom_tumba3.jpg',	0),
(547,	'',	174,	'okay_bathroom_tumba5.jpg',	0),
(548,	'',	174,	'okay_bathroom_tumba4.jpg',	0),
(549,	'',	175,	'okay_bathroom_tumba1.jpg',	1),
(550,	'',	175,	'okay_bathroom_tumba2.jpg',	0),
(551,	'',	175,	'okay_bathroom_tumba3.jpg',	2),
(552,	'',	175,	'okay_bathroom_tumba5.jpg',	3),
(553,	'',	175,	'okay_bathroom_tumba4.jpg',	4),
(554,	'',	176,	'okay_bathroom_tumba2.jpg',	2),
(555,	'',	176,	'okay_bathroom_tumba1.jpg',	3),
(556,	'',	176,	'okay_bathroom_tumba3.jpg',	1),
(557,	'',	176,	'okay_bathroom_tumba5.jpg',	4),
(558,	'',	176,	'okay_bathroom_tumba4.jpg',	5),
(559,	'',	177,	'okay_bathroom_tumba3.jpg',	1),
(560,	'',	177,	'okay_bathroom_tumba2.jpg',	2),
(561,	'',	177,	'okay_bathroom_tumba1.jpg',	3),
(562,	'',	177,	'okay_bathroom_tumba5.jpg',	0),
(563,	'',	177,	'okay_bathroom_tumba4.jpg',	4),
(564,	'',	178,	'okay_bathroom_tumba5.jpg',	2),
(565,	'',	178,	'okay_bathroom_tumba3.jpg',	3),
(566,	'',	178,	'okay_bathroom_tumba2.jpg',	4),
(567,	'',	178,	'okay_bathroom_tumba1.jpg',	5),
(568,	'',	178,	'okay_bathroom_tumba4.jpg',	1),
(569,	'',	179,	'okay_screwdriver1.jpg',	0),
(570,	'',	179,	'okay_screwdriver2.jpg',	0),
(571,	'',	179,	'okay_screwdriver3.jpg',	0),
(575,	'',	180,	'okay_screwdriver4.jpg',	0),
(576,	'',	180,	'okay_screwdriver5.jpg',	0),
(577,	'',	180,	'okay_screwdriver6.jpg',	0),
(581,	'',	181,	'okay_screwdriver7.jpg',	0),
(582,	'',	181,	'okay_screwdriver8.jpg',	0),
(583,	'',	181,	'okay_screwdriver9.jpg',	0),
(587,	'',	182,	'okay_screwdriver10.jpg',	0),
(588,	'',	182,	'okay_screwdriver11.jpg',	1),
(589,	'',	182,	'okay_screwdriver12.jpg',	2),
(596,	'',	183,	'okay_screwdriver13.jpg',	0),
(597,	'',	183,	'okay_screwdriver14.jpg',	0),
(598,	'',	183,	'okay_screwdriver15.jpg',	0),
(602,	'',	185,	'okay_screwdriver16.jpg',	0),
(603,	'',	185,	'okay_screwdriver17.jpg',	0),
(604,	'',	185,	'okay_screwdriver18.jpg',	0),
(608,	'',	186,	'okay_screwdriver19.jpg',	0),
(609,	'',	186,	'okay_screwdriver20.jpg',	0),
(610,	'',	186,	'okay_screwdriver21.jpg',	0),
(614,	'',	187,	'okay_screwdriver22.jpg',	0),
(615,	'',	187,	'okay_screwdriver23.jpg',	0),
(616,	'',	187,	'okay_screwdriver24.jpg',	0),
(617,	'',	188,	'okay-book1.jpg',	0),
(619,	'',	189,	'okay-book2.jpg',	0),
(621,	'',	190,	'okay-book3.jpg',	0),
(623,	'',	191,	'okay-book4.jpg',	0),
(625,	'',	192,	'okay-book5.jpg',	0),
(627,	'',	193,	'okay-book6.jpg',	0),
(629,	'',	194,	'okay-book7.jpg',	0),
(631,	'',	195,	'okay-book8.jpg',	0),
(632,	'',	188,	'okay-book2.jpg',	0),
(633,	'',	188,	'okay-book4.jpg',	0),
(634,	'',	188,	'okay-book5.jpg',	0),
(635,	'',	188,	'okay-book3.jpg',	0),
(636,	'',	189,	'okay-book4.jpg',	0),
(637,	'',	189,	'okay-book6.jpg',	0),
(638,	'',	189,	'okay-book5.jpg',	0),
(639,	'',	189,	'okay-book3.jpg',	0),
(640,	'',	190,	'okay-book1.jpg',	0),
(641,	'',	190,	'okay-book8.jpg',	0),
(642,	'',	190,	'okay-book7.jpg',	0),
(643,	'',	191,	'okay-book5.jpg',	1),
(644,	'',	191,	'okay-book6.jpg',	2),
(645,	'',	192,	'okay-book7.jpg',	0),
(646,	'',	192,	'okay-book8.jpg',	0),
(647,	'',	193,	'okay-book3.jpg',	1),
(648,	'',	193,	'okay-book4.jpg',	2),
(649,	'',	193,	'okay-book5.jpg',	3),
(650,	'',	194,	'okay-book1.jpg',	0),
(651,	'',	194,	'okay-book2.jpg',	0),
(652,	'',	194,	'okay-book3.jpg',	0),
(653,	'',	195,	'okay-book3.jpg',	0),
(654,	'',	195,	'okay-book4.jpg',	0),
(655,	'',	195,	'okay-book5.jpg',	0),
(656,	'',	195,	'okay-book6.jpg',	0),
(657,	'',	196,	'okay_beauty1.jpg',	0),
(658,	'',	196,	'okay_beauty2.jpg',	0),
(659,	'',	196,	'okay_beauty3.jpg',	0),
(663,	'',	197,	'okay_beauty4.jpg',	0),
(664,	'',	197,	'okay_beauty5.jpg',	0),
(665,	'',	197,	'okay_beauty6.jpg',	0),
(669,	'',	198,	'okay_beauty7.jpg',	0),
(670,	'',	198,	'okay_beauty9.jpg',	1),
(671,	'',	198,	'okay_beauty8.jpg',	2),
(675,	'',	199,	'okay_beauty11.jpg',	0),
(676,	'',	199,	'okay_beauty10.jpg',	0),
(677,	'',	199,	'okay_beauty12.jpg',	0),
(681,	'',	200,	'okay_beauty13.jpg',	0),
(682,	'',	200,	'okay_beauty14.jpg',	0),
(683,	'',	201,	'okay_beauty15.jpg',	0),
(684,	'',	201,	'okay_beauty16.jpg',	0),
(685,	'',	201,	'okay_beauty17.jpg',	0),
(688,	'',	202,	'okay_beauty18.jpg',	0),
(689,	'',	202,	'okay_beauty19.jpg',	0),
(690,	'',	202,	'okay_beauty20.jpg',	0),
(691,	'',	203,	'okay_beauty18.jpg',	1),
(692,	'',	203,	'okay_beauty19.jpg',	2),
(693,	'',	203,	'okay_beauty20.jpg',	0),
(694,	'',	204,	'okay_beauty20.jpg',	1),
(695,	'',	204,	'okay_beauty18.jpg',	2),
(696,	'',	204,	'okay_beauty19.jpg',	0),
(697,	'',	205,	'okay_sport6.jpg',	0),
(698,	'',	205,	'okay_sport1.png',	0),
(699,	'',	205,	'okay_sport2.png',	0),
(700,	'',	205,	'okay_sport3.png',	0),
(701,	'',	205,	'okay_sport4.png',	0),
(702,	'',	206,	'okay_sport5.jpg',	0),
(703,	'',	206,	'okay_sport1.png',	1),
(704,	'',	206,	'okay_sport2.png',	2),
(705,	'',	206,	'okay_sport3.png',	3),
(706,	'',	206,	'okay_sport4.png',	4),
(707,	'',	206,	'okay_sport6.jpg',	5),
(708,	'',	207,	'okay_sport2.png',	0),
(709,	'',	207,	'okay_sport1.png',	1),
(710,	'',	207,	'okay_sport3.png',	2),
(711,	'',	207,	'okay_sport4.png',	3),
(712,	'',	208,	'okay_sport4.png',	0),
(713,	'',	208,	'okay_sport1.png',	0),
(714,	'',	208,	'okay_sport2.png',	0),
(715,	'',	208,	'okay_sport3.png',	0),
(716,	'',	209,	'okay_sport3.png',	0),
(717,	'',	209,	'okay_sport1.png',	0),
(718,	'',	209,	'okay_sport2.png',	0),
(719,	'',	209,	'okay_sport4.png',	0),
(720,	'',	210,	'okay_sport12.jpg',	0),
(721,	'',	210,	'okay_sport7.jpg',	1),
(722,	'',	210,	'okay_sport8.jpg',	2),
(723,	'',	210,	'okay_sport9.jpg',	3),
(724,	'',	210,	'okay_sport10.jpg',	4),
(725,	'',	210,	'okay_sport11.jpg',	5),
(726,	'',	211,	'okay_sport8.jpg',	0),
(727,	'',	211,	'okay_sport9.jpg',	0),
(728,	'',	211,	'okay_sport12.jpg',	0),
(729,	'',	212,	'okay_sport7.jpg',	0),
(730,	'',	212,	'okay_sport8.jpg',	1),
(731,	'',	212,	'okay_sport9.jpg',	2),
(732,	'',	213,	'okay_sport13.jpg',	0),
(733,	'',	213,	'okay_sport15.jpg',	0),
(734,	'',	213,	'okay_sport14.jpg',	0),
(735,	'',	214,	'okay_sport16.jpg',	0),
(736,	'',	214,	'okay_sport17.jpg',	1),
(737,	'',	215,	'okay_sport18.jpg',	0),
(738,	'',	215,	'okay_sport19.jpg',	0),
(739,	'',	216,	'okay_sport20.jpg',	0),
(740,	'',	217,	'okay_sport22.jpg',	1),
(741,	'',	217,	'okay_sport21.jpeg',	0),
(742,	'',	217,	'okay_sport23.jpeg',	2),
(743,	'',	217,	'okay_sport24.jpeg',	3),
(744,	'',	218,	'okay_sport21.jpeg',	1),
(745,	'',	218,	'okay_sport22.jpg',	0),
(746,	'',	218,	'okay_sport23.jpeg',	2),
(747,	'',	218,	'okay_sport24.jpeg',	3),
(748,	'',	219,	'okay_sport6.jpg',	1),
(749,	'',	219,	'okay_sport1.png',	0),
(750,	'',	219,	'okay_sport2.png',	2),
(751,	'',	219,	'okay_sport3.png',	3),
(752,	'',	219,	'okay_sport4.png',	4),
(753,	'',	220,	'okay_tech1.jpg',	0),
(754,	'',	220,	'okay_tech2.jpg',	1),
(755,	'',	220,	'okay_tech3.jpg',	2),
(759,	'',	221,	'okay_tech4.jpg',	0),
(760,	'',	221,	'okay_tech5.jpg',	0),
(763,	'',	222,	'okay_tech6.jpg',	0),
(764,	'',	222,	'okay_tech7.jpg',	0),
(767,	'',	223,	'okay_tech8.jpg',	0),
(768,	'',	223,	'okay_tech9.jpg',	1),
(771,	'',	224,	'okay_tech10.jpg',	0),
(772,	'',	224,	'okay_tech11.jpg',	1),
(773,	'',	224,	'okay_tech12.jpg',	2),
(774,	'',	225,	'okay_animal.jpg',	0),
(776,	'',	226,	'okay_animal2.jpg',	0),
(777,	'',	227,	'okay_animal3.jpg',	0),
(778,	'',	228,	'okay_animal4.jpg',	0),
(779,	'',	229,	'okay_animal6.jpg',	0),
(780,	'',	230,	'okay_couch1.jpg',	0),
(781,	'',	230,	'okay_couch2.jpg',	1),
(782,	'',	230,	'okay_couch3.jpg',	2),
(783,	'',	230,	'okay_couch4.jpg',	3),
(784,	'',	231,	'okay_couch2.jpg',	0),
(785,	'',	231,	'okay_couch1.jpg',	1),
(786,	'',	231,	'okay_couch3.jpg',	2),
(787,	'',	231,	'okay_couch4.jpg',	3),
(788,	'',	178,	'okay_bathroom_tumba4.png',	0),
(789,	'',	177,	'okay_bathroom_tumba5.jpg',	0),
(790,	'',	176,	'okay_bathroom_tumba6.png',	0);

DROP TABLE IF EXISTS `ok_import_log`;
CREATE TABLE `ok_import_log` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `product_id` int(11) NOT NULL,
  `status` varchar(8) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `product_name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `variant_name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  KEY `product_id` (`product_id`),
  KEY `status` (`status`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;


DROP TABLE IF EXISTS `ok_labels`;
CREATE TABLE `ok_labels` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `color` varchar(6) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `position` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_labels` (`id`, `name`, `color`, `position`) VALUES
(1,	'перезвонить',	'ff00ff',	1),
(2,	'ожидается товар',	'00d5fa',	2);

DROP TABLE IF EXISTS `ok_languages`;
CREATE TABLE `ok_languages` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `label` varchar(10) COLLATE utf8mb4_unicode_ci NOT NULL,
  `href_lang` varchar(10) COLLATE utf8mb4_unicode_ci NOT NULL,
  `enabled` tinyint(1) NOT NULL DEFAULT '0',
  `position` int(11) NOT NULL DEFAULT '0',
  `name_ru` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `name_ua` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `name_en` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_languages` (`id`, `name`, `label`, `href_lang`, `enabled`, `position`, `name_ru`, `name_ua`, `name_en`) VALUES
(1,	'Русский',	'ru',	'ru',	1,	1,	'Русский',	'Російська',	'Russian'),
(2,	'Английский',	'en',	'en',	1,	2,	'Английский',	'Англійська',	'English'),
(3,	'Украинский',	'ua',	'uk',	1,	3,	'Украинский',	'Українська',	'Ukrainian');

DROP TABLE IF EXISTS `ok_lang_advantages`;
CREATE TABLE `ok_lang_advantages` (
  `advantage_id` int(11) DEFAULT NULL,
  `lang_id` int(11) NOT NULL,
  `text` text COLLATE utf8mb4_unicode_ci,
  UNIQUE KEY `lang_id` (`advantage_id`,`lang_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_lang_advantages` (`advantage_id`, `lang_id`, `text`) VALUES
(1,	1,	'Доставка по всей стране'),
(1,	2,	'Nationwide delivery'),
(1,	3,	'Доставка по всій країні'),
(2,	1,	'100% гарантия качества'),
(2,	2,	'100% quality guarantee'),
(2,	3,	'100% гарантія якості'),
(3,	1,	'14 дней на возврат товара'),
(3,	2,	'14 days for return'),
(3,	3,	'14 днів на повернення товару'),
(4,	1,	'Самовывоз из магазина'),
(4,	2,	'Pickup'),
(4,	3,	'Самовивіз з магазину');

DROP TABLE IF EXISTS `ok_lang_blog`;
CREATE TABLE `ok_lang_blog` (
  `lang_id` int(11) NOT NULL,
  `blog_id` int(11) NOT NULL,
  `name` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `meta_title` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `meta_keywords` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `meta_description` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `annotation` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  UNIQUE KEY `lang_id` (`lang_id`,`blog_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_lang_blog` (`lang_id`, `blog_id`, `name`, `meta_title`, `meta_keywords`, `meta_description`, `annotation`, `description`) VALUES
(1,	1,	'Основные изменения в OkayCMS 2.0',	'Основные изменения в OkayCMS 2.0',	'Основные изменения в OkayCMS 2.0',	'1.        Административная панель.        Абсолютно новый дизайн, структура и верстка согласно современным подходам. Теперь админ-панель более дружелюбная, понятная и удобная для пользователя. Предусмотрено место для размещения нового функционала, доработок и модулей. Главный козырь новой админки &ndash; ее адаптивность. Вносить корректировки, обрабатывать заказы, отвечать на запросы теперь удобно с любого устройства.    \r\n   2.        Техническая поддержка OkayCMS.        В админ-панель внедрен функционал ',	'<p>1. Административная панель. Абсолютно новый дизайн, структура и верстка согласно современным подходам. Теперь админ-панель более дружелюбная, понятная и удобная для пользователя. Предусмотрено место для размещения нового функционала, доработок и модулей. Главный козырь новой админки &ndash; ее адаптивность. Вносить корректировки, обрабатывать заказы, отвечать на запросы теперь удобно с любого устройства.</p>',	'<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span style=\"color: #000000;\"><span lang=\"ru-RU\">1. </span></span><span style=\"color: #4f81bd;\"><span style=\"font-family: Cambria,serif;\"><span style=\"font-size: medium;\"><strong><span style=\"color: #000000;\">Административная панель. </span></strong></span></span></span><span style=\"color: #000000;\"><span lang=\"ru-RU\">Абсолютно новый дизайн, структура и верстка согласно современным подходам. Теперь админ-панель более дружелюбная, понятная и удобная для пользователя. Предусмотрено место для размещения нового функционала, доработок и модулей. Главный козырь новой админки &ndash; ее адаптивность. Вносить корректировки, обрабатывать заказы, отвечать на запросы теперь удобно с любого устройства. </span></span></p>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span style=\"color: #000000;\"><span lang=\"ru-RU\">2. </span></span><span style=\"color: #4f81bd;\"><span style=\"font-family: Cambria,serif;\"><span style=\"font-size: medium;\"><strong><span style=\"color: #000000;\">Техническая поддержка OkayCMS. </span></strong></span></span></span><span style=\"color: #000000;\"><span lang=\"ru-RU\">В админ-панель внедрен функционал для связи с техподдержкой </span></span><span style=\"color: #000000;\"><span lang=\"en-US\">OkayCMS</span></span><span style=\"color: #000000;\"><span lang=\"ru-RU\">. Теперь вам не нужно звонить, писать на почту или скайп. Задать вопросы, получить консультацию, помощь в установке </span></span><span style=\"color: #000000;\"><span lang=\"en-US\">CMS</span></span><span style=\"color: #000000;\"><span lang=\"ru-RU\">, шаблона или дополнения можно прямо из административной панели, отправив запрос в техподдержку. Это поможет нам быстрее отвечать на ваши вопросы, а история переписок по всем темам всегда будут храниться в одном месте - у вас в админке. <a href=\"https://okay-cms.com/support\">Подробнее о техподдержке</a>. </span></span></p>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span style=\"color: #000000;\"><span lang=\"ru-RU\">В 2.0 пользователь лицензионной </span><span lang=\"en-US\">OkayCMS</span> <span lang=\"en-US\">Pro</span><span lang=\"ru-RU\"> получит 10 часов бесплатной техподдержки, пользователь </span><span lang=\"en-US\">OkayCMS</span> <span lang=\"en-US\">Lite</span><span lang=\"ru-RU\"> &ndash; 30 минут с возможностью докупить часы техподдержки. </span></span></p>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span style=\"color: #000000;\"><span lang=\"ru-RU\">3. </span></span><span style=\"color: #4f81bd;\"><span style=\"font-family: Cambria,serif;\"><span style=\"font-size: medium;\"><strong><span style=\"color: #000000;\">Мультиязычнсть сайта. </span></strong></span></span></span><span style=\"color: #000000;\"><span lang=\"ru-RU\">Переделана мультиязычность клиентской части и добавлена мультиязычность админ-панели. Теперь переводы статических фраз хранятся не в базе данных, а в файлах. Для клиентской части это упрощает установку новых тем и возможность переключения между ними. Для обеих частей (как админки, так и клиентской) это облегчает перевод сайта на другие языки. Теперь сделать сайт для клиента полностью на иностранном языке не составляет проблемы. Для этого необходимо перевести фразы всего в двух файлах. На момент релиза в </span></span><span style=\"color: #000000;\"><span lang=\"en-US\">OkayCMS</span></span><span style=\"color: #000000;\"><span lang=\"ru-RU\"> 2.0 добавлено два языка для административной панели - русский и английский, но в ближайшее время их количество увеличится.</span></span></p>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span style=\"color: #000000;\"><span lang=\"ru-RU\">4. </span></span><span style=\"color: #4f81bd;\"><span style=\"font-family: Cambria,serif;\"><span style=\"font-size: medium;\"><strong><span style=\"color: #000000;\">Новый дефолтный шаблон.</span></strong></span></span></span><span style=\"color: #000000;\"><span lang=\"ru-RU\"> Код шаблона теперь чище и приятнее для разработчиков, детальнее прокомментирован. Сам шаблон теперь позволяет добавлять большое количество категорий.</span></span></p>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span style=\"color: #000000;\"><span lang=\"ru-RU\">5. </span></span><span style=\"color: #4f81bd;\"><span style=\"font-family: Cambria,serif;\"><span style=\"font-size: medium;\"><strong><span style=\"color: #000000;\">PHP 7.</span></strong></span></span></span><span style=\"color: #000000;\"><span lang=\"ru-RU\"> Полная поддержка PHP 7, которая позволит позволит сайтам на OkayCMS работать быстрее.</span></span></p>'),
(1,	2,	'Как работает техподдержка OkayCMS 2.0',	'Как работает техподдержка OkayCMS 2.0',	'Как работает техподдержка OkayCMS 2.0',	'Приобретая лицензию OkayCMS Pro 2.0, вы получаете 10 часов комплексной поддержки и консультаций по работе с OkayCMS. Предлагаем более подробно ознакомиться с видами консультаций и регламентом работы службы поддержки.  \r\n  Специалисты технической поддержки выполняют следующие работы:  \r\n \r\n \r\n  дают консультации о системных требованиях для оптимальной работы системы;  \r\n \r\n \r\n  дают консультации по работе c OkayCMS для администратора магазина;  \r\n \r\n \r\n  предоставляют консультации по внедрению дополнительног',	'<p>Приобретая лицензию OkayCMS Pro 2.0, вы получаете 10 часов комплексной поддержки и консультаций по работе с OkayCMS. Предлагаем более подробно ознакомиться с видами консультаций и регламентом работы службы поддержки.</p>',	'<p><span lang=\"ru-RU\">Приобретая лицензию OkayCMS Pro 2.0, вы получаете 10 часов комплексной поддержки и консультаций по работе с OkayCMS. Предлагаем более подробно ознакомиться с видами консультаций и регламентом работы службы поддержки.</span></p>\r\n<h2 class=\"western\"><span lang=\"ru-RU\">Специалисты технической поддержки выполняют следующие работы:</span></h2>\r\n<ul>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">дают консультации о системных требованиях для оптимальной работы системы;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">дают консультации&nbsp;по работе c OkayCMS для администратора магазина;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">предоставляют консультации по внедрению дополнительного функционала в OkayCMS;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">оказывают помощь в установке OkayCMS на хостинг;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">проводят установку шаблонов и дополнений из</span><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><a href=\"https://okay-cms.com/catalog/dopolneniya\"><span style=\"color: #38c0f3;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">MarketPlace OkayCMS</span></span></span></span></a><span lang=\"ru-RU\">;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">проводят обновление OkayCMS до последней актуальной версии.</span></p>\r\n</li>\r\n</ul>\r\n<h2 class=\"western\"><span lang=\"ru-RU\">Регламент работы:</span></h2>\r\n<ol>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">В административной панели вашего сайта на OkayCMS в разделе \"Техническая поддержка\" создайте новое обращение.</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Подробно опишите проблему и сформулируйте название обращения. После этого подайте обращение на рассмотрение.&nbsp;</span><strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">Внимание! Одно обращение в службу поддержки должно содержать одну проблему, не пишите несколько проблем в одном обращении.</span></span></span></span></strong></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Следите за </span><span lang=\"en-US\">E</span><span lang=\"ru-RU\">mail-уведомлениями о прогрессе решения вашего вопроса в течении одного рабочего дня. Ответ так же будет отображен в админ-панели вашего сайта.</span></p>\r\n</li>\r\n</ol>\r\n<h2 class=\"western\"><span lang=\"ru-RU\">Что может повлиять на время решения вашего запроса?</span></h2>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Для ускорения реакции на ваше обращение мы советуем следовать простым правилам:</span></p>\r\n<ul>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">подробно описывайте проблему, шаги к ее воспроизведению;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">укажите реквизиты доступа в административную часть вашего сайта;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">укажите актуальные доступы к FTP и СУБД (PHPMyAdmin), если для решения проблемы необходимо вмешательство в исходный код;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">предоставьте информацию о версии продукта.</span></p>\r\n</li>\r\n</ul>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Дополнительно службой поддержки может быть затребована информация о настройках ПО, а также информация для доступа к серверу по FTP, SSH или административной панели хостинг-провайдера.</span></p>\r\n<h2 class=\"western\"><span lang=\"ru-RU\">Обработка обращения прекращается в случае:</span></h2>\r\n<ul>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">если пользователь не может дать затребованную агентом поддержки информацию для решения вопроса;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">клиент не может предоставить доступы к сайту (FTP, SSH, панель управления хостингом и т. д.);</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">проблема не может быть воспроизведена;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">обращение содержит несколько связанных между собой проблем;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">хостинг не соответствует системным требованиям;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">вопрос задан неконкретно или диалог ведется в неконструктивной форме;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">вопрос выходит за рамки технической поддержки;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">если в течение 30 календарных дней ответ от пользователя не был получен, обращение считается обработанным автоматически.</span></p>\r\n</li>\r\n</ul>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"color: #767679;\">&nbsp;</span></p>\r\n<h2 class=\"western\"><span lang=\"ru-RU\">Услуги, которые не покрывает поддержка OkayCMS*:</span></h2>\r\n<ul>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">перенос данных с других систем;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">разработка дополнительного функционала;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">услуги по веб-разработке. Для этого обратитесь к нашим партнерам;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">web-дизайн;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">поддержка посторонних решений;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">работы по настройке сервера.&nbsp;</span></p>\r\n</li>\r\n</ul>\r\n<h2 class=\"western\"><span lang=\"ru-RU\">Если часы техподдержки закончились?</span></h2>\r\n<ol>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Перейдите на сайт </span><span lang=\"en-US\">okay</span><span lang=\"ru-RU\">-</span><span lang=\"en-US\">cms</span><span lang=\"ru-RU\">.</span><span lang=\"en-US\">com</span><span lang=\"ru-RU\">/</span><span lang=\"en-US\">support</span><span lang=\"ru-RU\"> в раздел Техническая поддержка.</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Приобретите необходимое количество часов техподдержки.</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Ожидайте обновления техподдержки в админ-панели своего сайта.</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">После обновления отправьте свой запрос в техподдержку.</span></p>\r\n</li>\r\n</ol>'),
(1,	3,	'Как установить OkayCMS 2.0 на сайт',	'Как установить OkayCMS 2.0 на сайт',	'Как установить OkayCMS 2.0 на сайт',	'Шаг 1.    Файлы    для установки OkayCMS  \r\n    \r\n \r\n \r\n  Зайдите на официальный сайт OkayCMS.   \r\n \r\n \r\n  Кликните по кнопке          Скачать CMS в шапке сайта. \r\n \r\n \r\n  Сохраните файл к себе на компьютер. Сохраненный файл-архив имеет вид OkayCMS_1.0.1.zip (цифры в названии файла после слова OkayCMS могут отличаться, это зависит от скачиваемой вами версии).  \r\n \r\n \r\n  Разархивируйте файл OkayCMS_1.0.1.zip. (Кликните правой кнопкой мыши на файле и выберите пункт Извлечь в OkayCMS_1.0.1.)           \r\n \r\n \r\n',	'<p>Шаг 1. Файлы для установки OkayCMS Зайдите на официальный сайт OkayCMS. Кликните по кнопке Скачать CMS в шапке сайта. Сохраните файл к себе на компьютер. Сохраненный файл-архив имеет вид OkayCMS_1.0.1.zip (цифры в названии файла после слова OkayCMS могут отличаться, это зависит от скачиваемой вами версии).</p>',	'<h2 class=\"western\"><strong>Шаг 1. </strong><strong><span lang=\"ru-RU\">Файлы</span></strong><strong> для установки OkayCMS</strong></h2>\r\n<p lang=\"ru-RU\" style=\"margin-bottom: 0.35cm; line-height: 115%;\"><br /><br /></p>\r\n<ol>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Зайдите на официальный сайт OkayCMS. </span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Кликните по кнопке</span><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span>Скачать CMS в шапке сайта.</p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Сохраните файл к себе на компьютер. Сохраненный файл-архив имеет вид OkayCMS_1.0.1.zip (цифры в названии файла после слова OkayCMS могут отличаться, это зависит от скачиваемой вами версии).</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Разархивируйте файл OkayCMS_1.0.1.zip. (Кликните правой кнопкой мыши на файле и выберите пункт Извлечь в OkayCMS_1.0.1.)</span><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">После распаковки архива появится папка OkayCMS_1.0.1, внутри которой будут 2 файла:&nbsp;install.php&nbsp;и&nbsp;okaycms.zip. Эти файлы необходимо загрузить на сервер вашего хостинг-провайдера в корень вашего сайта.</span></p>\r\n</li>\r\n</ol>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">ВНИМАНИЕ! В корень сайта необходимо поместить 2 файла, которые были извлечены из архива OkayCMS_1.0.1.zip, а не сам архив.</span></p>\r\n<h2 class=\"western\"><strong>Шаг 2. Создание базы данных</strong></h2>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"color: #767679;\">&nbsp;</span></p>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">ВНИМАНИЕ! Далее вы будете работать с панелью управления хостинга. Существует большое количество хостинг-провайдеров. Однако</span><span lang=\"ru-RU\">&nbsp;</span><span lang=\"ru-RU\">принцип проводимых действий везде одинаковый.</span></span></span></p>\r\n<p lang=\"ru-RU\" style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><br /><br /></p>\r\n<ol>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Зайдите в панель управления вашего хостинга и выберите пункт</span><span lang=\"ru-RU\">&nbsp;</span><span lang=\"ru-RU\">Базы данных.</span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Найдите и кликните</span><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">Создать базу данных</span></span></span></span></strong><span lang=\"ru-RU\">. В появившемся окне введите</span><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">имя базы данных, используя английскую раскладку</span></span></span></span></strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><span lang=\"ru-RU\">клавиатуры. Запишите его, оно вам пригодится далее.</span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Выберите кодировку</span><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">utf8_general_ci</span></span></span></span></strong><span lang=\"ru-RU\">. (Иногда вместо слова Кодировка может быть слово Сравнение)</span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Введите имя пользователя, если оно не сгенерировалось автоматически. Так же запишите это имя, оно будет использоваться далее. </span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Кликните кнопку</span><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">Создать.</span></span></span></span></strong></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Появится сообщение: база данных успешно создана.</span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Для доступа используйте логин ****** и пароль *******</span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Запишите пароль к базе данных.</span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Возможно, на некоторых хостингах пароль вам придется придумать самостоятельно.</span></span></span></p>\r\n</li>\r\n</ol>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\">&nbsp;</p>\r\n<h2 class=\"western\"><strong>Шаг 3. Загрузка дистрибутива на хостинг</strong></h2>\r\n<p lang=\"ru-RU\" style=\"margin-bottom: 0.35cm; line-height: 115%;\"><br /><br /></p>\r\n<ol>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Для загрузки файлов на хостинг понадобится FTP-менеджер, например</span><span lang=\"ru-RU\">&nbsp;</span><span lang=\"ru-RU\">FileZilla,</span><span lang=\"ru-RU\">&nbsp;</span><span lang=\"ru-RU\">Total Commander. </span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Запустите FTP-менеджер FileZilla. Для соединения с сервером введите данные, предоставленные вашим хостинг-провайдером и нажмите кнопку Соединение</span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">В одной из двух частей окна вашего файл-менеджера найдите папку OkayCMS, которую вы создали в Шаге1, зайдите в нее и закачайте файлы</span><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">install.php</span></span></span></span></strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><span lang=\"ru-RU\">и</span><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">okaycms_source.zip</span></span></span></span></strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><span lang=\"ru-RU\">на сервер в корень сайта. (Кликните правой кнопкой мыши на файле и выберите</span><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">Закачать на сервер</span></span></span></span></strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><span lang=\"ru-RU\">или просто перетащите файлы мышкой с левой в другую часть окна).</span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">На этом работа с FTP-менеджером FileZilla закончена.</span></span></span></p>\r\n</li>\r\n</ol>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"color: #767679;\">&nbsp;</span></p>\r\n<h2 class=\"western\"><a name=\"_GoBack\"></a><strong><span lang=\"ru-RU\">Шаг 4. Завершающий этап установки</span></strong></h2>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Далее читайте Инструкцию в <a href=\"https://okay-cms.com/article/kak-ustanovit-okaycms-na-sajt\">блоге OkayCMS</a>.</span></p>'),
(1,	4,	'Город Нью-Йорк (New York City)',	'Город Нью-Йорк (New York City)',	'Город Нью-Йорк (New York City)',	'Почти год мы работали над улучшением OkayCMS. Куда еще лучше? спроосите вы, а вот мы нашли. Технологии все время развиваются, и мы не хотим отставать. Наша цель вести свою систему к простоте и функциональности, своевременно удовлетворять запросы пользователей. Поэтому обновление принесло в OkayCMS новые полезные штуки и унесло неиспользуемый функционал и какие-то недочеты, которые в том числе и вы нам помогали искать. Что же в итоге получилось, узнаете из текста. ',	'<p>Нью-Йорк &mdash; пожалуй, самый известный город в мире, в котором сосредоточены финансовые учреждения, многочисленные исторические и культурные достопримечательности, музеи, магазины, театры и многое другое. Это шумный и яркий город небоскребов и свободы, который многим знаком по обилию кинофильмов и фото, где действие разворачивается на его улицах. Здесь столько возможностей, сколько можно вообразить. От Таймс-сквер до самого темного уголка Бронкса &mdash; царство крайностей. От русского анклава в Бруклине на Брайтон-Бич до филиала Южной Америки в Квинсе &mdash; сообщества из любой страны мира.</p>',	'<p><strong>Нью-Йорк</strong> &mdash; пожалуй, самый известный город в мире, в котором сосредоточены финансовые учреждения, многочисленные исторические и культурные достопримечательности, музеи, магазины, театры и многое другое. Это шумный и яркий город небоскребов и свободы, который многим знаком по обилию кинофильмов и фото, где действие разворачивается на его улицах. Здесь столько возможностей, сколько можно вообразить. От Таймс-сквер до самого темного уголка Бронкса &mdash; царство крайностей. От русского анклава в Бруклине на Брайтон-Бич до филиала Южной Америки в Квинсе &mdash; сообщества из любой страны мира.</p>\r\n<p class=\"video\" style=\"text-align: center;\"><iframe src=\"https://www.youtube.com/embed/TmDKbUrSYxQ\" width=\"560\" height=\"315\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe></p>\r\n<h3 style=\"text-align: center;\">Основные моменты</h3>\r\n<p>Две главные достопримечательности, давно ставшие символами Нью-Йорка &ndash; это его легендарные небоскребы (например, Эмпайр Стейт Билдинг) и Статуя Свободы. Величественные здания можно осмотреть и при пешей прогулке, а вот до другого объекта можно добраться только на пароме с Нижнего Манхеттена.</p>\r\n<div class=\"table\">\r\n<div class=\"table__row\">\r\n<div class=\"table__cell\">Практически все самые известные достопримечательности сосредоточены на Манхеттене. Здесь находятся известные на весь мир Уолт-стрит, где кипит финансовая жизнь всей Америки, Бродвей с многочисленными театрами, Центральный вокзал, самая дорогая улица &ndash; Пятая Авеню с шикарными магазинами и ресторанами, Рокфеллер-центр, около которого каждое Рождество устанавливают огромную ель, Музейная миля со всемирно известными музеями. Но самым посещаемым местом является Таймс Сквер. Здесь всегда многолюдно и в разгар рабочего дня, и ночью, когда включается впечатляющая неоновая подсветка.</div>\r\n<div class=\"table__cell\"><img src=\"../files/uploads/architecture-buildings-car-1634275.jpg\" width=\"800\" height=\"533\" /></div>\r\n</div>\r\n</div>\r\n<p>Непременно стоит заглянуть и в другие районы города. Хотя бы для того, чтобы почувствовать их атмосферу, в каждом из них можно найти много интересного. Так, например, Бронксе имеется зоопарк и ботанический сад.</p>\r\n<p>В каждом округе Нью-Йорка есть свои парки и скверы, но самым известным, несомненно, является огромный Центральный парк в сердце Манхеттена. Это искусственно созданный уголок природы посреди серого бетонного мегаполиса.</p>\r\n<p>Нью-Йорк уже давно приобрел славу одного из самых дорогих городов в мире. Поэтому проживание, еда, покупки и передвижение по городу обойдется в немалую сумму. Но все же здесь стоит побывать хотя бы раз в жизни. Кто-то влюбляется в Нью-Йорк с первого взгляда, кто-то начинает ненавидеть этот мегаполис с безумным ритмом жизни. В любом случае равнодушно относиться к этому городу невозможно.</p>\r\n<h3 style=\"text-align: center;\">Достопримечательности Нью-Йорка</h3>\r\n<div class=\"table\">\r\n<div class=\"table__row\">\r\n<div class=\"table__cell table__cell--col-3\">\r\n<figure><img src=\"../files/uploads/okay_mankhetten.jpg\" alt=\"Манхеттен\" width=\"380\" height=\"380\" />\r\n<figcaption>Манхэттен &ndash; самый маленький и при этом наиболее популярный среди туристов район...</figcaption>\r\n</figure>\r\n</div>\r\n<div class=\"table__cell table__cell--col-3\">\r\n<figure><img src=\"../files/uploads/okay_statuya_svobody.JPG\" alt=\"Статуя Свободы\" width=\"380\" height=\"380\" />\r\n<figcaption>Статуя Свободы &mdash; одна из самых знаменитых скульптур в мире, это символ Нью-Йорка ...</figcaption>\r\n</figure>\r\n</div>\r\n<div class=\"table__cell table__cell--col-3\">\r\n<figure><img src=\"../files/uploads/okay_bruklin.jpg\" alt=\"Бруклин\" width=\"380\" height=\"380\" />\r\n<figcaption>Бруклин &mdash; второй по популярности район в Нью-Йорке после Манхэттена, в котором проживает 2,5...</figcaption>\r\n</figure>\r\n</div>\r\n<div class=\"table__cell table__cell--col-3\">\r\n<figure><img src=\"../files/uploads/okay_pyatoe_avenyu.jpg\" alt=\"Пятая авеню\" width=\"380\" height=\"380\" />\r\n<figcaption>Пятая авеню &mdash; улица в самом центре Манхеттен, которая также представляет собой яркий символ...</figcaption>\r\n</figure>\r\n</div>\r\n<div class=\"table__cell table__cell--col-3\">\r\n<figure><img src=\"../files/uploads/okay_broadway.jpg\" alt=\"Бродвей\" width=\"380\" height=\"380\" />\r\n<figcaption>Бродвей &ndash; это не только главная улица Нью-Йорка, а возможно и всех Соединенных Штатов, это еще и...</figcaption>\r\n</figure>\r\n</div>\r\n<div class=\"table__cell table__cell--col-3\">\r\n<figure><img src=\"../files/uploads/okay_uoll_strit.jpg\" alt=\"Уолл Стрит\" width=\"380\" height=\"380\" />\r\n<figcaption>Уолл-стрит &mdash; небольшая узкая улица в нижней части Манхэттена, ведущая от Бродвея к побережью...</figcaption>\r\n</figure>\r\n</div>\r\n</div>\r\n</div>\r\n<h3 style=\"text-align: center;\">Музеи Нью-Йорка</h3>\r\n<div class=\"table\">\r\n<div class=\"table__row\">\r\n<div class=\"table__cell\"><img src=\"../files/uploads/okay_museum.jpg\" alt=\"Музеи нью Йорка\" width=\"1024\" height=\"500\" /></div>\r\n<div class=\"table__cell\">\r\n<p>Пожалуй, вся оставшаяся жизнь ушла бы у вас на посещение 120 музеев Нью-Йорка. Ниже приводится далеко не полный их перечень.</p>\r\n<ol>\r\n<li>Художественный музей Метрополитен.</li>\r\n<li>Музей современного искусства.</li>\r\n<li>Музей Гуггенхайма.</li>\r\n<li>Музей американского искусства Уитни.</li>\r\n<li>Американский музей естествознания.</li>\r\n<li>Музей города Нью-Йорка.</li>\r\n<li>Национальный музей американских индейцев.</li>\r\n</ol>\r\n</div>\r\n</div>\r\n</div>\r\n<h3 style=\"text-align: center;\">Остров Манхэттен</h3>\r\n<p>Этот остров длиной 21 км и шириной 3 км содержит почти все, что бы вам хотелось посмотреть. Четыре других городских района: Бруклин, Куинс, Стейтен-Айленд и Бронкс (все большей частью жилые) &mdash; по-своему неповторимы, но для местных жителей и приезжих Нью-Йорк &mdash; это Манхэттен.</p>\r\n<p><strong>Мидтаун.</strong> Вполне возможно, что ваша гостиница окажется в Мидтауне, откуда легко добраться пешком до любого лежащего окрест места. Нью-Йорк отличает еще то, что он замечательно подходит для пеших прогулок по своим широким тротуарам. В любом случае начинать надо от центра.</p>\r\n<p><strong>Рокфеллеровский центр</strong>. Это скопление вознесшихся вверх башен из индианского известняка между Пятой и Шестой авеню, от 48-й до 51-й улицы составляет сердцевину Нью-Йорка. Джон Д. Рокфеллер-младший арендовал данный участок земли у Колумбийского университета в 1928 г., чтобы спасти его от дурной славы притона для питейных заведений в пору действия сухого закона. Они вскоре исчезли, уступив место первым небоскребам, где размещались правления компаний и центр радиовещания, которые соединялись с подземным залом, где находилось свыше 200 магазинов и ресторанов.</p>\r\n<p><strong>Пятая авеню</strong>. Этот проспект, по меньшей мере отрезок между 34-й улицей и Центральным парком, стал олицетворением роскоши, которой можно вкусить или полюбоваться. Если ваши средства не позволяют остановиться в гостинице &laquo;Плаза&raquo;, можно насладиться не столь вызывающей роскошью усеянных бриллиантами витрин ювелирных магазинов Тиффани, либо Картье, либо Ван-Клефа и Арпельса. Они просто восхитительны, особенно под Рождество.</p>\r\n<blockquote>\r\n<p>Порой я устаю от прогулок по прекрасным улицам Лос-Анджелеса. Я понимаю, что это звучит ненормально, но у меня возникает желание съездить в Нью-Йорк и понаблюдать за страданиями людей.</p>\r\n<cite>Донна Саммер</cite></blockquote>\r\n<p><span style=\"font-size: 10pt;\">*Материалы для оформления этой статьи были частично взяты с ресурса <em>wikiway.com</em></span></p>'),
(1,	5,	'OkayCMS 3.0',	'OkayCMS 3.0',	'OkayCMS 3.0',	'Достопримечательности Нью-Йорка \r\n \r\n \r\n \r\n  \r\n Манхэттен &ndash; самый маленький и при этом наиболее популярный среди туристов район... \r\n \r\n \r\n \r\n  \r\n Статуя Свободы &mdash; одна из самых знаменитых скульптур в мире, это символ Нью-Йорка ... \r\n \r\n \r\n \r\n  \r\n Бруклин &mdash; второй по популярности район в Нью-Йорке после Манхэттена, в котором проживает 2,5... \r\n \r\n \r\n \r\n  \r\n Пятая авеню &mdash; улица в самом центре Манхеттен, которая также представляет собой яркий символ... \r\n \r\n \r\n \r\n  \r\n Бродвей &ndash; э',	'<p>Наша команда достаточно долго работала над новой версией OkayCMS 3.0.0 Изменения включенные в новую версию, существенно расширили функциональные возможности. Было внедрено множество глобальных изменений с полностью переработанным ядром и полностью обновленным программным кодом. Мы надеемся вы оцените нашу работу и новые возможности системы;</p>',	'<h3 style=\"text-align: center;\">Вышла новая версия OKAY CMS 3</h3>\r\n<p>Наша команда достаточно долго работала над новой версией OkayCMS 3.0.0 Изменения включенные в новую версию, существенно расширили функциональные возможности.</p>\r\n<p>Было внедрено множество глобальных изменений с полностью переработанным ядром и полностью обновленным программным кодом. Мы надеемся вы оцените нашу работу и новые возможности системы</p>\r\n<div class=\"table\">\r\n<div class=\"table__row\">\r\n<div class=\"table__cell\">\r\n<h5>1. Новый дизайн</h5>\r\n<figure><img src=\"../files/uploads/article_okay_design.jpg\" alt=\"\" width=\"800\" height=\"800\" />\r\n<figcaption>Новый дизайн разработан по всем требованиям юзабилити для интернет-магазинов</figcaption>\r\n</figure>\r\n</div>\r\n<div class=\"table__cell\">\r\n<h5>2. Раздел обучения</h5>\r\n<figure><img src=\"../files/uploads/article_okay_learning%20(1).jpg\" alt=\"Okaycms Learning\" width=\"800\" height=\"800\" />\r\n<figcaption>Новый раздел обучение, где собраны инструкции для базовых работ на сайте.</figcaption>\r\n</figure>\r\n</div>\r\n<div class=\"table__cell\">\r\n<h5>2. Модульность</h5>\r\n<figure><img src=\"../files/uploads/article_okay_module.jpg\" alt=\"OkaycmsModules\" width=\"800\" height=\"800\" />\r\n<figcaption>Полностью переработанная структура, появление модульности</figcaption>\r\n</figure>\r\n</div>\r\n<div class=\"table__cell\">\r\n<h5>2. Настройка цветов сайта</h5>\r\n<figure><img src=\"../files/uploads/article_okay_settings.jpg\" alt=\"Okaycms Settings\" width=\"800\" height=\"799\" />\r\n<figcaption>В настройках дизайна появился новый блок, для настройки цветов сайта</figcaption>\r\n</figure>\r\n</div>\r\n</div>\r\n</div>\r\n<h3 style=\"text-align: center;\">Почему мы пошли на такое глобальное изменение?</h3>\r\n<p><strong>Первая</strong>. Основа первой и второй версии OkayCMS была сделана с использованием старого кода. На момент создания нашей системы, в 2015 году код, который использовался ещё был актуальным, но входить в 2020 год с тем что было - нехорошо.</p>\r\n<p><strong>Вторая.</strong> Проблемы с расширением функционала магазина. В силу того что прошлые версии системы были не модульные, когда приходилось глобально расширять функционал - все изменения вносились сразу в ядро и это создавало сложный код. Все последующие доработки в такой проект внедрялись всё сложнее и сложнее. Сейчас, с переходом к модульности эта проблема частично будет решена.</p>\r\n<p><strong>Третья.</strong> Обновления системы. Эта проблема частично вытекает из второй. Когда доработки затрагивали ядро системы, сделать обновление доработанной системы было проблематично. В некоторых случаях более разумно было отказаться от обновлений сильно доработанной системы. Теперь, когда работы будут выполняться отдельно от ядра - обновления системы должны проходить быстрее и безболезненнее.</p>\r\n<p><strong>Четвертая.</strong> Удобство для новых пользователей. Основа успешного развития - это хорошее коммьюнити вокруг продукта. Код прошлых версий был простой, удобный, но всё же специфический, не использующий паттернов и сделанный \"по своему\". Проблема, которая из этого вытекала, новым программистам, которые начинали свое образование с разбирательсв с фреймворками вроде Laravel система казалась сразу непонятной и они не сильно хотели браться делать на ней небольшие доработки. Новая версия системы больше соответсвует основным трендам в мире программирования и должна сделать более простой порог входа для новых программистов, новых веб-студий и т.п. которые решат использовать нашу систему в работе.</p>\r\n<h3 style=\"text-align: center;\">Как обновиться с прошлых версий OkayCMS до версии 3.*?</h3>\r\n<p>OkayCMS 3 - это система с полностью переработанным ядром и полностью обновленным программным кодом, поэтому шаблоны и модули с прошлых версий несовместимы.</p>\r\n<p>Все владельцы лицензий Pro версии OkayCMS могут заказать перенос своих данных на новую версию или же, в случае большого количества доработок и индивидуальных шаблонов - остаться на версии 2.* которую мы будем продолжать поддерживать и на которую мы будем выпускать обновления, содержащие фиксы замечаний, о которых нам будет известно. Перенос данных на версию 3.* с предыдущих версий займет 1 час времени техподдержки.</p>\r\n<p>В случае переноса данных на новую версию мы перенесем на версию 3.* все ваши товары, категории, бренды, страницы, записи блога, заказы и зарегистрированных покупателей. После переноса вы получите сайт со всем функционалом версии OkayCMS 3.* дизайном версии 3.* и содержимым базы данных с вашего сайта на предыдущей версии OkayCMS. Для заказа обновления до 3.0 напишите нам на почту info@okay-cms.com или обратитесь в тех.поддержку из админ. панели.</p>'),
(2,	1,	'Основные изменения в OkayCMS 2.0',	'Основные изменения в OkayCMS 2.0',	'Основные изменения в OkayCMS 2.0',	'1.        Административная панель.        Абсолютно новый дизайн, структура и верстка согласно современным подходам. Теперь админ-панель более дружелюбная, понятная и удобная для пользователя. Предусмотрено место для размещения нового функционала, доработок и модулей. Главный козырь новой админки &ndash; ее адаптивность. Вносить корректировки, обрабатывать заказы, отвечать на запросы теперь удобно с любого устройства.    \r\n   2.        Техническая поддержка OkayCMS.        В админ-панель внедрен функционал ',	'<p>1. Административная панель. Абсолютно новый дизайн, структура и верстка согласно современным подходам. Теперь админ-панель более дружелюбная, понятная и удобная для пользователя. Предусмотрено место для размещения нового функционала, доработок и модулей. Главный козырь новой админки &ndash; ее адаптивность. Вносить корректировки, обрабатывать заказы, отвечать на запросы теперь удобно с любого устройства.</p>',	'<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span style=\"color: #000000;\"><span lang=\"ru-RU\">1. </span></span><span style=\"color: #4f81bd;\"><span style=\"font-family: Cambria,serif;\"><span style=\"font-size: medium;\"><strong><span style=\"color: #000000;\">Административная панель. </span></strong></span></span></span><span style=\"color: #000000;\"><span lang=\"ru-RU\">Абсолютно новый дизайн, структура и верстка согласно современным подходам. Теперь админ-панель более дружелюбная, понятная и удобная для пользователя. Предусмотрено место для размещения нового функционала, доработок и модулей. Главный козырь новой админки &ndash; ее адаптивность. Вносить корректировки, обрабатывать заказы, отвечать на запросы теперь удобно с любого устройства. </span></span></p>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span style=\"color: #000000;\"><span lang=\"ru-RU\">2. </span></span><span style=\"color: #4f81bd;\"><span style=\"font-family: Cambria,serif;\"><span style=\"font-size: medium;\"><strong><span style=\"color: #000000;\">Техническая поддержка OkayCMS. </span></strong></span></span></span><span style=\"color: #000000;\"><span lang=\"ru-RU\">В админ-панель внедрен функционал для связи с техподдержкой </span></span><span style=\"color: #000000;\"><span lang=\"en-US\">OkayCMS</span></span><span style=\"color: #000000;\"><span lang=\"ru-RU\">. Теперь вам не нужно звонить, писать на почту или скайп. Задать вопросы, получить консультацию, помощь в установке </span></span><span style=\"color: #000000;\"><span lang=\"en-US\">CMS</span></span><span style=\"color: #000000;\"><span lang=\"ru-RU\">, шаблона или дополнения можно прямо из административной панели, отправив запрос в техподдержку. Это поможет нам быстрее отвечать на ваши вопросы, а история переписок по всем темам всегда будут храниться в одном месте - у вас в админке. <a href=\"https://okay-cms.com/support\">Подробнее о техподдержке</a>. </span></span></p>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span style=\"color: #000000;\"><span lang=\"ru-RU\">В 2.0 пользователь лицензионной </span><span lang=\"en-US\">OkayCMS</span> <span lang=\"en-US\">Pro</span><span lang=\"ru-RU\"> получит 10 часов бесплатной техподдержки, пользователь </span><span lang=\"en-US\">OkayCMS</span> <span lang=\"en-US\">Lite</span><span lang=\"ru-RU\"> &ndash; 30 минут с возможностью докупить часы техподдержки. </span></span></p>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span style=\"color: #000000;\"><span lang=\"ru-RU\">3. </span></span><span style=\"color: #4f81bd;\"><span style=\"font-family: Cambria,serif;\"><span style=\"font-size: medium;\"><strong><span style=\"color: #000000;\">Мультиязычнсть сайта. </span></strong></span></span></span><span style=\"color: #000000;\"><span lang=\"ru-RU\">Переделана мультиязычность клиентской части и добавлена мультиязычность админ-панели. Теперь переводы статических фраз хранятся не в базе данных, а в файлах. Для клиентской части это упрощает установку новых тем и возможность переключения между ними. Для обеих частей (как админки, так и клиентской) это облегчает перевод сайта на другие языки. Теперь сделать сайт для клиента полностью на иностранном языке не составляет проблемы. Для этого необходимо перевести фразы всего в двух файлах. На момент релиза в </span></span><span style=\"color: #000000;\"><span lang=\"en-US\">OkayCMS</span></span><span style=\"color: #000000;\"><span lang=\"ru-RU\"> 2.0 добавлено два языка для административной панели - русский и английский, но в ближайшее время их количество увеличится.</span></span></p>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span style=\"color: #000000;\"><span lang=\"ru-RU\">4. </span></span><span style=\"color: #4f81bd;\"><span style=\"font-family: Cambria,serif;\"><span style=\"font-size: medium;\"><strong><span style=\"color: #000000;\">Новый дефолтный шаблон.</span></strong></span></span></span><span style=\"color: #000000;\"><span lang=\"ru-RU\"> Код шаблона теперь чище и приятнее для разработчиков, детальнее прокомментирован. Сам шаблон теперь позволяет добавлять большое количество категорий.</span></span></p>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span style=\"color: #000000;\"><span lang=\"ru-RU\">5. </span></span><span style=\"color: #4f81bd;\"><span style=\"font-family: Cambria,serif;\"><span style=\"font-size: medium;\"><strong><span style=\"color: #000000;\">PHP 7.</span></strong></span></span></span><span style=\"color: #000000;\"><span lang=\"ru-RU\"> Полная поддержка PHP 7, которая позволит позволит сайтам на OkayCMS работать быстрее.</span></span></p>'),
(2,	2,	'Как работает техподдержка OkayCMS 2.0',	'Как работает техподдержка OkayCMS 2.0',	'Как работает техподдержка OkayCMS 2.0',	'Приобретая лицензию OkayCMS Pro 2.0, вы получаете 10 часов комплексной поддержки и консультаций по работе с OkayCMS. Предлагаем более подробно ознакомиться с видами консультаций и регламентом работы службы поддержки.  \r\n  Специалисты технической поддержки выполняют следующие работы:  \r\n \r\n \r\n  дают консультации о системных требованиях для оптимальной работы системы;  \r\n \r\n \r\n  дают консультации по работе c OkayCMS для администратора магазина;  \r\n \r\n \r\n  предоставляют консультации по внедрению дополнительног',	'<p>Приобретая лицензию OkayCMS Pro 2.0, вы получаете 10 часов комплексной поддержки и консультаций по работе с OkayCMS. Предлагаем более подробно ознакомиться с видами консультаций и регламентом работы службы поддержки.</p>',	'<p><span lang=\"ru-RU\">Приобретая лицензию OkayCMS Pro 2.0, вы получаете 10 часов комплексной поддержки и консультаций по работе с OkayCMS. Предлагаем более подробно ознакомиться с видами консультаций и регламентом работы службы поддержки.</span></p>\r\n<h2 class=\"western\"><span lang=\"ru-RU\">Специалисты технической поддержки выполняют следующие работы:</span></h2>\r\n<ul>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">дают консультации о системных требованиях для оптимальной работы системы;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">дают консультации&nbsp;по работе c OkayCMS для администратора магазина;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">предоставляют консультации по внедрению дополнительного функционала в OkayCMS;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">оказывают помощь в установке OkayCMS на хостинг;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">проводят установку шаблонов и дополнений из</span><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><a href=\"https://okay-cms.com/catalog/dopolneniya\"><span style=\"color: #38c0f3;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">MarketPlace OkayCMS</span></span></span></span></a><span lang=\"ru-RU\">;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">проводят обновление OkayCMS до последней актуальной версии.</span></p>\r\n</li>\r\n</ul>\r\n<h2 class=\"western\"><span lang=\"ru-RU\">Регламент работы:</span></h2>\r\n<ol>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">В административной панели вашего сайта на OkayCMS в разделе \"Техническая поддержка\" создайте новое обращение.</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Подробно опишите проблему и сформулируйте название обращения. После этого подайте обращение на рассмотрение.&nbsp;</span><strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">Внимание! Одно обращение в службу поддержки должно содержать одну проблему, не пишите несколько проблем в одном обращении.</span></span></span></span></strong></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Следите за </span><span lang=\"en-US\">E</span><span lang=\"ru-RU\">mail-уведомлениями о прогрессе решения вашего вопроса в течении одного рабочего дня. Ответ так же будет отображен в админ-панели вашего сайта.</span></p>\r\n</li>\r\n</ol>\r\n<h2 class=\"western\"><span lang=\"ru-RU\">Что может повлиять на время решения вашего запроса?</span></h2>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Для ускорения реакции на ваше обращение мы советуем следовать простым правилам:</span></p>\r\n<ul>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">подробно описывайте проблему, шаги к ее воспроизведению;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">укажите реквизиты доступа в административную часть вашего сайта;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">укажите актуальные доступы к FTP и СУБД (PHPMyAdmin), если для решения проблемы необходимо вмешательство в исходный код;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">предоставьте информацию о версии продукта.</span></p>\r\n</li>\r\n</ul>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Дополнительно службой поддержки может быть затребована информация о настройках ПО, а также информация для доступа к серверу по FTP, SSH или административной панели хостинг-провайдера.</span></p>\r\n<h2 class=\"western\"><span lang=\"ru-RU\">Обработка обращения прекращается в случае:</span></h2>\r\n<ul>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">если пользователь не может дать затребованную агентом поддержки информацию для решения вопроса;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">клиент не может предоставить доступы к сайту (FTP, SSH, панель управления хостингом и т. д.);</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">проблема не может быть воспроизведена;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">обращение содержит несколько связанных между собой проблем;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">хостинг не соответствует системным требованиям;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">вопрос задан неконкретно или диалог ведется в неконструктивной форме;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">вопрос выходит за рамки технической поддержки;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">если в течение 30 календарных дней ответ от пользователя не был получен, обращение считается обработанным автоматически.</span></p>\r\n</li>\r\n</ul>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"color: #767679;\">&nbsp;</span></p>\r\n<h2 class=\"western\"><span lang=\"ru-RU\">Услуги, которые не покрывает поддержка OkayCMS*:</span></h2>\r\n<ul>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">перенос данных с других систем;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">разработка дополнительного функционала;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">услуги по веб-разработке. Для этого обратитесь к нашим партнерам;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">web-дизайн;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">поддержка посторонних решений;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">работы по настройке сервера.&nbsp;</span></p>\r\n</li>\r\n</ul>\r\n<h2 class=\"western\"><span lang=\"ru-RU\">Если часы техподдержки закончились?</span></h2>\r\n<ol>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Перейдите на сайт </span><span lang=\"en-US\">okay</span><span lang=\"ru-RU\">-</span><span lang=\"en-US\">cms</span><span lang=\"ru-RU\">.</span><span lang=\"en-US\">com</span><span lang=\"ru-RU\">/</span><span lang=\"en-US\">support</span><span lang=\"ru-RU\"> в раздел Техническая поддержка.</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Приобретите необходимое количество часов техподдержки.</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Ожидайте обновления техподдержки в админ-панели своего сайта.</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">После обновления отправьте свой запрос в техподдержку.</span></p>\r\n</li>\r\n</ol>'),
(2,	3,	'Как установить OkayCMS 2.0 на сайт',	'Как установить OkayCMS 2.0 на сайт',	'Как установить OkayCMS 2.0 на сайт',	'Шаг 1.    Файлы    для установки OkayCMS  \r\n    \r\n \r\n \r\n  Зайдите на официальный сайт OkayCMS.   \r\n \r\n \r\n  Кликните по кнопке          Скачать CMS в шапке сайта. \r\n \r\n \r\n  Сохраните файл к себе на компьютер. Сохраненный файл-архив имеет вид OkayCMS_1.0.1.zip (цифры в названии файла после слова OkayCMS могут отличаться, это зависит от скачиваемой вами версии).  \r\n \r\n \r\n  Разархивируйте файл OkayCMS_1.0.1.zip. (Кликните правой кнопкой мыши на файле и выберите пункт Извлечь в OkayCMS_1.0.1.)           \r\n \r\n \r\n',	'<p>Шаг 1. Файлы для установки OkayCMS\n    Зайдите на официальный сайт OkayCMS.\n    Кликните по кнопке Скачать CMS в шапке сайта.\n    Сохраните файл к себе на компьютер. Сохраненный файл-архив имеет вид OkayCMS_1.0.1.zip (цифры в названии файла после слова OkayCMS могут отличаться, это зависит от скачиваемой вами версии).</p>',	'<h2 class=\"western\"><strong>Шаг 1. </strong><strong><span lang=\"ru-RU\">Файлы</span></strong><strong> для установки OkayCMS</strong></h2>\r\n<p lang=\"ru-RU\" style=\"margin-bottom: 0.35cm; line-height: 115%;\"><br /><br /></p>\r\n<ol>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Зайдите на официальный сайт OkayCMS. </span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Кликните по кнопке</span><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span>Скачать CMS в шапке сайта.</p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Сохраните файл к себе на компьютер. Сохраненный файл-архив имеет вид OkayCMS_1.0.1.zip (цифры в названии файла после слова OkayCMS могут отличаться, это зависит от скачиваемой вами версии).</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Разархивируйте файл OkayCMS_1.0.1.zip. (Кликните правой кнопкой мыши на файле и выберите пункт Извлечь в OkayCMS_1.0.1.)</span><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">После распаковки архива появится папка OkayCMS_1.0.1, внутри которой будут 2 файла:&nbsp;install.php&nbsp;и&nbsp;okaycms.zip. Эти файлы необходимо загрузить на сервер вашего хостинг-провайдера в корень вашего сайта.</span></p>\r\n</li>\r\n</ol>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">ВНИМАНИЕ! В корень сайта необходимо поместить 2 файла, которые были извлечены из архива OkayCMS_1.0.1.zip, а не сам архив.</span></p>\r\n<h2 class=\"western\"><strong>Шаг 2. Создание базы данных</strong></h2>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"color: #767679;\">&nbsp;</span></p>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">ВНИМАНИЕ! Далее вы будете работать с панелью управления хостинга. Существует большое количество хостинг-провайдеров. Однако</span><span lang=\"ru-RU\">&nbsp;</span><span lang=\"ru-RU\">принцип проводимых действий везде одинаковый.</span></span></span></p>\r\n<p lang=\"ru-RU\" style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><br /><br /></p>\r\n<ol>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Зайдите в панель управления вашего хостинга и выберите пункт</span><span lang=\"ru-RU\">&nbsp;</span><span lang=\"ru-RU\">Базы данных.</span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Найдите и кликните</span><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">Создать базу данных</span></span></span></span></strong><span lang=\"ru-RU\">. В появившемся окне введите</span><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">имя базы данных, используя английскую раскладку</span></span></span></span></strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><span lang=\"ru-RU\">клавиатуры. Запишите его, оно вам пригодится далее.</span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Выберите кодировку</span><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">utf8_general_ci</span></span></span></span></strong><span lang=\"ru-RU\">. (Иногда вместо слова Кодировка может быть слово Сравнение)</span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Введите имя пользователя, если оно не сгенерировалось автоматически. Так же запишите это имя, оно будет использоваться далее. </span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Кликните кнопку</span><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">Создать.</span></span></span></span></strong></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Появится сообщение: база данных успешно создана.</span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Для доступа используйте логин ****** и пароль *******</span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Запишите пароль к базе данных.</span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Возможно, на некоторых хостингах пароль вам придется придумать самостоятельно.</span></span></span></p>\r\n</li>\r\n</ol>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\">&nbsp;</p>\r\n<h2 class=\"western\"><strong>Шаг 3. Загрузка дистрибутива на хостинг</strong></h2>\r\n<p lang=\"ru-RU\" style=\"margin-bottom: 0.35cm; line-height: 115%;\"><br /><br /></p>\r\n<ol>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Для загрузки файлов на хостинг понадобится FTP-менеджер, например</span><span lang=\"ru-RU\">&nbsp;</span><span lang=\"ru-RU\">FileZilla,</span><span lang=\"ru-RU\">&nbsp;</span><span lang=\"ru-RU\">Total Commander. </span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Запустите FTP-менеджер FileZilla. Для соединения с сервером введите данные, предоставленные вашим хостинг-провайдером и нажмите кнопку Соединение</span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">В одной из двух частей окна вашего файл-менеджера найдите папку OkayCMS, которую вы создали в Шаге1, зайдите в нее и закачайте файлы</span><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">install.php</span></span></span></span></strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><span lang=\"ru-RU\">и</span><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">okaycms_source.zip</span></span></span></span></strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><span lang=\"ru-RU\">на сервер в корень сайта. (Кликните правой кнопкой мыши на файле и выберите</span><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">Закачать на сервер</span></span></span></span></strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><span lang=\"ru-RU\">или просто перетащите файлы мышкой с левой в другую часть окна).</span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">На этом работа с FTP-менеджером FileZilla закончена.</span></span></span></p>\r\n</li>\r\n</ol>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"color: #767679;\">&nbsp;</span></p>\r\n<h2 class=\"western\"><a name=\"_GoBack\"></a><strong><span lang=\"ru-RU\">Шаг 4. Завершающий этап установки</span></strong></h2>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Далее читайте Инструкцию в <a href=\"https://okay-cms.com/article/kak-ustanovit-okaycms-na-sajt\">блоге OkayCMS</a>.</span></p>'),
(2,	4,	'OkayCMS 2.2.0',	'OkayCMS 2.2.0',	'OkayCMS 2.2.0',	'Почти год мы работали над улучшением OkayCMS. Куда еще лучше? спроосите вы, а вот мы нашли. Технологии все время развиваются, и мы не хотим отставать. Наша цель вести свою систему к простоте и функциональности, своевременно удовлетворять запросы пользователей. Поэтому обновление принесло в OkayCMS новые полезные штуки и унесло неиспользуемый функционал и какие-то недочеты, которые в том числе и вы нам помогали искать. Что же в итоге получилось, узнаете из текста. \r\n     \r\n  Улуч',	'<p>Почти год мы работали над улучшением OkayCMS. Куда еще лучше? спроосите вы, а вот мы нашли. Технологии все время развиваются, и мы не хотим отставать. Наша цель вести свою систему к простоте и функциональности, своевременно удовлетворять запросы пользователей. Поэтому обновление принесло в OkayCMS новые полезные штуки и унесло неиспользуемый функционал и какие-то недочеты, которые в том числе и вы нам помогали искать. Что же в итоге получилось, узнаете из текста.&nbsp;</p>',	'<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Почти год мы работали над улучшением OkayCMS. &laquo;Куда еще лучше?&raquo; &ndash; спроосите вы, а вот мы нашли. Технологии все время развиваются, и мы не хотим отставать. Наша цель &ndash; вести свою систему к простоте и функциональности, своевременно удовлетворять запросы пользователей. Поэтому обновление принесло в OkayCMS новые полезные штуки и унесло неиспользуемый функционал и какие-то недочеты, которые в том числе и вы нам помогали искать. Что же в итоге получилось, узнаете из текста.</span></p>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">&nbsp;</span></p>\r\n<h2><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #003366;\">Улучшения SEO в OkayCMS 2.2.0</span></h2>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Появились шаблоны описаний для страниц с фильтрами. Можно задавать мета-теги для страниц:</span></li>\r\n</ul>\r\n<ul style=\"list-style-type: circle;\">\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">категория+бренд</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">категория+свойство</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">категория+определенное свойство</span></li>\r\n</ul>\r\n<p style=\"text-align: center;\"><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\"><img src=\"../files/uploads/seo-filtr.png\" alt=\"новый seo-фильтр\" width=\"1918\" height=\"908\" /></span></p>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Для каждого свойства в новой версии доступны варианты слова (падежи и синонимы), которые позже можно использовать для заполнения метаданных фильтров.</span></p>\r\n<p style=\"text-align: center;\"><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\"><img src=\"../files/uploads/varianty_slova_dlya_seo.png\" alt=\"варианты слов\" width=\"1038\" height=\"602\" /></span></p>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">В ближайшее время мы напишем подробную статью, посвященную данному функционалу.</span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Чтобы перелинковка была более качественной, теперь можно делать свойство в товаре ссылкой на страницу фильтра &lt;категория +это свойство&gt;<img src=\"../files/uploads/svoistvo_ssylkoi.jpg\" alt=\"свойство ссылкой\" width=\"1062\" height=\"655\" /></span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Изменилась работа ЧПУ-фильтра: теперь индексируется категория+одно значение фильтра, остальное &ndash; нет</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Для страниц, которые создаются через админпанель, появилась возможность задавать отдельный от названия страницы Н1 прямо в админке</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Sitemap.xml теперь более универсальный и сам создает пагинацию карт сайта, когда количество ссылок в нем превышает 50 000</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Улучшена микроразметка, добавлена разметка twittercard</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Настроен 301-й редирект со страниц с \"/page-1\" на основную страницу категории</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Убрано дублирование текста на страницах фильтров, сортировок и пагинации. Текст категории выводится после обновления только на основной странице категории</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">В title при пагинации теперь автоматически подставляется номер страницы<img src=\"../files/uploads/schetchik_v_title.jpg\" alt=\"счетчик в title\" width=\"1273\" height=\"140\" /></span></li>\r\n<li></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif;\"><span style=\"font-size: 16px;\">Для индексации теперь доступны только страницы фильтрации категория+бренд или категория+1 свойство.</span></span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">&nbsp;</span></p>\r\n<h2><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000080;\">Улучшения для посетителей сайта на OkayCMS 2.2.0</span></h2>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Переверстана страница thank you page. Она стала более информативной для покупателя и правильной с точки зрения e-commerce</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\"><img src=\"../files/uploads/thank_you_page.jpg\" alt=\"страница оформленного заказа\" width=\"1366\" height=\"768\" /></span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">В категориях появилась возможность отфильтровать по рекомендуемым товарам или товарам со скидкой<img src=\"../files/uploads/filtr_skidki.png\" alt=\"фильтр по скидкам и хитам\" width=\"1174\" height=\"402\" /></span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Слева над фильтром теперь будут подкатегории</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Переделано отображение страницы ошибки 404</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Старая цена теперь лучше выделяется за счет того, что она перечеркнута</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Комментарии администратора также лучше выделяются среди комментариев обычных пользователей</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Сделано корректное определение варианта в наличии в Safari. Проблема была описана <a href=\"https://forum.okay-cms.com/viewtopic.php?f=7&amp;t=869&amp;sid=8a990552ca19ef5b94b8aa32037ba38f\">в теме на форуме</a></span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлена ошибка, когда в редких случаях после применения фильтра некорректно отображался каталог<img src=\"../files/uploads/oshibka_filtra_po_cene.png\" alt=\"ошибка верстки после фильтрации\" width=\"400\" height=\"326\" /></span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлена верстка корзины для мобильных устройств</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\"><img src=\"../files/uploads/osibka_mobilnoi_korziny.png\" alt=\"ошибка верстки мобильной корзины\" width=\"439\" height=\"229\" />&nbsp;</span></p>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">&nbsp;</span></p>\r\n<h2><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #003366;\">Улучшения в новой версии OkayCMS для администраторов сайта</span></h2>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Теперь есть возможность создавать несколько меню и добавлять к пунктам свои ссылки</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Можно добавлять и удалять&nbsp; подпункты меню, вставлять ссылки на текущий сайт (при этом они автоматически преобразуются в относительные) и на другие сайты, задать открытие в новой вкладке, просто перетянув ползунок.</span></p>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\"><img src=\"../files/uploads/svoe_menu.png\" alt=\"кастомное меню\" width=\"1030\" height=\"302\" /></span></p>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Собственные меню можно выводить в любом месте шаблона.</span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Вставлять скрипты стало проще</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Мы переделали раздел SEO: теперь вам нужно только дать название скрипту, выбрать из выпадающего списка, куда его вставлять, добавить код в специальное поле и сохранить. Любой из них можно изменить или удалить.</span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Сделан функционал добавления разных цветов к статусам заказа, чтобы легче ориентироваться в списке заказов. Реализовано на основе <a href=\"https://forum.okay-cms.com/viewtopic.php?f=6&amp;t=775&amp;p=3980#p3980\">пожелания с форума</a></span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\"><img src=\"../files/uploads/cveta_statusa_zakaza.png\" alt=\"разноцветные статусы заказа\" width=\"1038\" height=\"606\" /></span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Появился экспорт заказов в csv для дальнейшего импорта в сервисы рассылок e-mail, SMS и т.п. Выгружать можно по статусу, по меткам, по дате заказов</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">В админпанель добавлен фильтр по необработанным комментариям, заказам обратного звонка и обращениям с формы обратной связи</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Сделана возможность искать информацию в комментариях и обратной связи. Поиск проходит по сообщениям, имени и e-mail<img src=\"../files/uploads/poisk_i_sortirovka.png\" alt=\"поиск по обратной связи\" width=\"1258\" height=\"446\" /></span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Теперь можно выбрать количество отображаемых комментариев и сообщений обратной связи на одной странице</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Вместо стандартной капчи можно будет использовать reCAPTCHA или reCAPTCHA invisible, активировав нужную в настройках сайта<img src=\"../files/uploads/recaptcha.png\" alt=\"recaptcha\" width=\"1327\" height=\"307\" /></span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Сделана возможность включать и отключать автоматическое одобрение комментариев</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Теперь добавить карту на страницу контактов можно просто вставкой iframe в специальное поле<img src=\"../files/uploads/vstavka_karty.png\" alt=\"вставка карты в контакты\" width=\"1326\" height=\"195\" /></span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Заблокировано удаление или изменение URL для системных страниц</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Это сделано для избежания ошибок, которые возникают вследствие изменения адреса или удаления страниц типа главная, бренды, 404 и т.п. Даже при попытке массового удаления страниц, появится уведомление.</span></p>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\"><img src=\"../files/uploads/blok_sistemnyh_url.png\" alt=\"блокировка системных URL\" width=\"1903\" height=\"716\" /></span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Сделано форматирование сообщений в техподдержке</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Сделан счетчик символов в meta title и description</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Добавлено отображение фильтров в админпанели на мобильных устройствах</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">При экспорте категории для облегчения работы с файлом экспорта теперь выгружаются только свойства этой категории, а не все доступные</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлены ошибки, возникающие при попытке изменить порядок категорий в товаре: порядок не менялся, не всплывала кнопка &laquo;Применить&raquo;</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Нельзя было задать порядок фото до сохранения товара. Теперь можно</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Также при изменении порядка фото не появлялась кнопка &laquo;Применить&raquo;. Уже исправили</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Убрана в админпанели ненужная часть комментария админа<img src=\"../files/uploads/nenuzhny_komment.png\" alt=\"ненужная часть комментария\" width=\"986\" height=\"607\" /></span></li>\r\n</ul>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Удалены редкоиспользуемые разделы \"Яндекс.Метрика для сайта\" и \"Импорт/экспорт переводов\"</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Поле \"Активность\" в разделе \"Свойства\" теперь называется более понятно &ndash; \"В фильтре\"</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">При импорте товаров из 1С основное и дополнительные фото теперь обрабатываются более корректно.</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">&nbsp;</span></p>\r\n<h2><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #003366;\">Улучшения для разработчиков в OkayCMS 2.2.0</span></h2>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Сделана возможность включать отдельную тему для админа</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Когда она активирована, все действия в пунктах: &laquo;Файлы шаблонов&raquo;, &laquo;Стили шаблонов&raquo;, &laquo;Скрипты&raquo;, &laquo;Изображения&raquo;, &laquo;Переводы&raquo; &ndash;&nbsp; выполняются в теме для админа.</span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Когда активирована тема для админа, в версию всех скриптов и стилей подставляется время. В теме ничего не будет кешироваться, т.к. она нужна для разработки</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Добавлена возможность сбросить кеш шаблона</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Для избежания проблем с некорректным наложением водяного знака теперь подключена библиотека обработки изображений gregwar</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Новая библиотека gregwar имеет широкие возможности ресайза, обрезки и позиционирования картинок, позволяет обрабатывать изображение одной строкой, управлять кешированием и много новых крутых вещей.</span></p>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Например, иногда нужно все картинки сделать одного размера (даже пренебречь небольшой частью изображения). Т.е. широкие и высокие привести к единому форм-фактору, как здесь:</span></p>\r\n<p style=\"text-align: center;\"><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\"><img src=\"../files/uploads/podgon-kartinok.png\" alt=\"ресайз картинок\" width=\"839\" height=\"310\" /></span></p>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Для этого в параметрах ресайза нужно указать 5-й и 6-й параметры {$c-&gt;image|resize:140:140:false:$config-&gt;resizedcategoriesdir:center:top}:</span></p>\r\n<ul style=\"list-style-type: circle;\">\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">5-й параметр отвечает за положение результирующего изображения, если работали с широкой картинкой. Возможные значения: left, center, right</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">6-й параметр отвечает за положение результирующего изображения, если работали с высокой картинкой. Возможные значения: top, center, bottom</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">В отдельной статье мы детально расскажем, как работать с новой библиотекой.</span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Сборка PHP библиотек gregwar, smarty, mobiledetect и phpmailer теперь осуществляется через composer</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Теперь можно задавать ресайз для баннеров</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Сделана возможность добавлять config/config.local.php, в котором можно переопределить любую директиву из обычного config-а</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Это удобно, когда проект на Git, и часть config.php нужно добавить в игнор.</span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">В config/config.php сделана директива sql_debug = true, которая включает логирование нерабочих запросов</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Она включена по умолчанию, но можно и выключить. Логи собираются в файл log/sql.log. Папка закрыта в htaccess, просматривать можно только по FTP.</span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Улучшено определение пути к карте сайта для более легкой настройки действий по крону</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">В раздел системной информации добавлен IP-адрес, с которого осуществляются curl-запросы</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Нужно для корректной работы техподдержки, т.к. некоторые хостинги блокируют обращения с определенных IP. Для разблокировки нужно знать IP, теперь его удобно посмотреть в админке.</span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Метод отправки e-mail админу перенесен из Callback.php в Notify.php</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">&nbsp;</span></p>\r\n<h2><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #003366;\">Исправление ошибок в новой версии OkayCMS</span></h2>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлены проблемы, проявлявшиеся при работе с MySQL версии 5.7</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлена проблема с сохранением свойств, описанная на форуме в <a href=\"https://forum.okay-cms.com/viewtopic.php?p=4217#p4217\">теме</a></span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлено несколько ошибок, связанных с переключением языка на странице 404</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлена проблема с отображением каталога на планшетах с большим разрешением (&gt;992px), при которой меню каталога не срабатывало по нажатию.</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлена ситуация, когда картинка была доступна по разным URL</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлена 500 ошибка при попытке открыть несуществующее изображение</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">При редактировании заказа, если поменять способ доставки \"Оплачивается отдельно\" на другой, не считалась стоимость.&nbsp;Сейчас проблему устранили. Описание есть <a href=\"https://forum.okay-cms.com/viewtopic.php?f=7&amp;t=808&amp;p=4170#p4170\">на форуме</a></span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлена ошибка, когда при клике на плюсик в корзине нельзя было добавить больше 50 товаров в заказ</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">В текущей версии можно удалить изображение в баннере (раньше нужно было только заменять его на другое)</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Оптимизировано удаление валют из БД при включенной мультиязычности сайта</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Оптимизирован запрос search_products.php</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Убраны дублирующиеся элементы в верстке админпанели</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлена проблема, при которой пароль для базы данных со спецсимволами не принимался системой</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлена работа сортировки по цене после применения фильтра по цене</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Убраны ссылки на страницы с 302-м редиректом, которые появлялись при включении более чем одной валюты на сайте</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлена ошибка при сохранении JS в админке</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлена работа кнопки \"Печать заказа\". Больше не появляется ошибка 500</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Раньше к комментариям на странице грузились все ответы на все возможные комментарии</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Мы оптимизировали код, и теперь для 20 комментариев на странице загрузятся только их ответы.</span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправили баг в \"Обратной связи\"</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Если одобрить фидбек, но не написать ответ, то его больше нельзя будет написать. Сделали так, что ответов можно писать любое количество.</span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправили баг в подсчете кол-ва заказов при использовании фильтра по дате</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Раньше после фильтрации всегда показывало 0 заказов. Сейчас подсчет корректный.</span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлена ситуация, когда на второй странице пагинации в админпанели не отображались ответы на комментарии</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлено несоответствие название поля в админке с его содержанием<img src=\"../files/uploads/oshibka_nazvania_polya.jpg\" alt=\"неправильное название поля\" width=\"994\" height=\"312\" /></span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">&nbsp;</span></p>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Как видите, теперь OkayCMS стала еще красивее с подправленной версткой, глобально изменился SEO-раздел, в системе сделали много новых удобностей и учли ваши замечания. Продолжайте держать с нами обратную связь &ndash; мы уже планируем следующую версию.</span></p>'),
(2,	5,	'OkayCMS 3.0',	'OkayCMS 3.0',	'OkayCMS 3.0',	'OKAY CMS 3 Released \r\n Our team has been working on the new version of OkayCMS 3.0.0 for a long time. The changes included in the new version significantly expanded the functionality. \r\n Many global changes have been implemented with a completely redesigned kernel and completely updated program code. We hope you appreciate our work and new features of the system. \r\n \r\n \r\n \r\n 1. New design \r\n  \r\n The new design is designed to meet all usability requirements for online stores. \r\n \r\n \r\n \r\n 2. Training Section ',	'<p>Our team has been working on the new version of OkayCMS 3.0.0 for a long time. The changes included in the new version significantly expanded the functionality. Many global changes have been implemented with a completely redesigned kernel and completely updated program code. We hope you appreciate our work and new features of the system;</p>',	'<h3 style=\"text-align: center;\">OKAY CMS 3 Released</h3>\r\n<p>Our team has been working on the new version of OkayCMS 3.0.0 for a long time. The changes included in the new version significantly expanded the functionality.</p>\r\n<p>Many global changes have been implemented with a completely redesigned kernel and completely updated program code. We hope you appreciate our work and new features of the system.</p>\r\n<div class=\"table\">\r\n<div class=\"table__row\">\r\n<div class=\"table__cell\">\r\n<h5>1. New design</h5>\r\n<figure><img src=\"../files/uploads/article_okay_design.jpg\" alt=\"\" width=\"800\" height=\"800\" />\r\n<figcaption>The new design is designed to meet all usability requirements for online stores.</figcaption>\r\n</figure>\r\n</div>\r\n<div class=\"table__cell\">\r\n<h5>2. Training Section</h5>\r\n<figure><img src=\"../files/uploads/article_okay_learning%20(1).jpg\" alt=\"Okaycms Learning\" width=\"800\" height=\"800\" />\r\n<figcaption>A new training section, which contains instructions for basic work on the site.</figcaption>\r\n</figure>\r\n</div>\r\n<div class=\"table__cell\">\r\n<h5>2. Modularity</h5>\r\n<figure><img src=\"../files/uploads/article_okay_module.jpg\" alt=\"OkaycmsModules\" width=\"800\" height=\"800\" />\r\n<figcaption>Completely redesigned structure, the appearance of modularity</figcaption>\r\n</figure>\r\n</div>\r\n<div class=\"table__cell\">\r\n<h5>2. Setting site colors</h5>\r\n<figure><img src=\"../files/uploads/article_okay_settings.jpg\" alt=\"Okaycms Settings\" width=\"800\" height=\"799\" />\r\n<figcaption>A new block has appeared in the design settings for setting site colors</figcaption>\r\n</figure>\r\n</div>\r\n</div>\r\n</div>\r\n<h3 style=\"text-align: center;\">Why did we go for such a global change?</h3>\r\n<p><strong>First</strong>. The basis of the first and second versions of OkayCMS was made using the old code. At the time of the creation of our system, in 2015, the code that was used was still relevant, but entering 2020 with what was - is not good.</p>\r\n<p><strong>Second one</strong> Problems with expanding the functionality of the store. Due to the fact that previous versions of the system were not modular, when it was necessary to expand the functionality globally, all changes were made immediately to the kernel and this created complex code. All subsequent improvements to such a project were implemented more and more difficult. Now, with the transition to modularity, this problem will be partially solved.</p>\r\n<p><strong>Third.</strong> System updates. This problem partially arises from the second. When improvements touched the core of the system, updating the modified system was problematic. In some cases, it was more reasonable to refuse updates to a highly modified system. Now that the work will be carried out separately from the kernel, system updates should be faster and more painless.</p>\r\n<p><strong>Fourth.</strong> Convenience for new users. The basis for successful development is a good community around the product. The code of previous versions was simple, convenient, but still specific, not using patterns and made \"in its own way.\" The problem that arose from this, to new programmers who started their education with developers with frameworks like Laravel, the system seemed immediately incomprehensible and they did not really want to undertake to make small improvements on it. The new version of the system is more consistent with the main trends in the programming world and should make a simpler entry threshold for new programmers, new web studios, etc. who decide to use our system in their work.</p>\r\n<h3 style=\"text-align: center;\">How to upgrade from previous versions of OkayCMS to version 3. *?</h3>\r\n<p>OkayCMS 3 is a system with a completely redesigned kernel and completely updated program code, so templates and modules from previous versions are incompatible.</p>\r\n<p>All license holders of the Pro version of OkayCMS can order the transfer of their data to the new version or, in the case of a large number of improvements and individual templates, stay on version 2. * which we will continue to support and for which we will release updates containing fixes for comments about which we will know. Transferring data to version 3. * from previous versions will take 1 hour of technical support.</p>\r\n<p>In the case of transferring data to the new version, we will transfer to version 3. * all your products, categories, brands, pages, blog entries, orders and registered customers. After the transfer, you will receive a site with all the functionality of the OkayCMS version 3. * design of version 3. * and the contents of the database from your site on the previous version of OkayCMS. To order an upgrade to 3.0, write to us at info@okay-cms.com or contact technical support from the admin. panels.</p>'),
(3,	1,	'Основные изменения в OkayCMS 2.0',	'Основные изменения в OkayCMS 2.0',	'Основные изменения в OkayCMS 2.0',	'1.        Административная панель.        Абсолютно новый дизайн, структура и верстка согласно современным подходам. Теперь админ-панель более дружелюбная, понятная и удобная для пользователя. Предусмотрено место для размещения нового функционала, доработок и модулей. Главный козырь новой админки &ndash; ее адаптивность. Вносить корректировки, обрабатывать заказы, отвечать на запросы теперь удобно с любого устройства.    \r\n   2.        Техническая поддержка OkayCMS.        В админ-панель внедрен функционал ',	'<p>1. Административная панель. Абсолютно новый дизайн, структура и верстка согласно современным подходам. Теперь админ-панель более дружелюбная, понятная и удобная для пользователя. Предусмотрено место для размещения нового функционала, доработок и модулей. Главный козырь новой админки &ndash; ее адаптивность. Вносить корректировки, обрабатывать заказы, отвечать на запросы теперь удобно с любого устройства.</p>',	'<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span style=\"color: #000000;\"><span lang=\"ru-RU\">1. </span></span><span style=\"color: #4f81bd;\"><span style=\"font-family: Cambria,serif;\"><span style=\"font-size: medium;\"><strong><span style=\"color: #000000;\">Административная панель. </span></strong></span></span></span><span style=\"color: #000000;\"><span lang=\"ru-RU\">Абсолютно новый дизайн, структура и верстка согласно современным подходам. Теперь админ-панель более дружелюбная, понятная и удобная для пользователя. Предусмотрено место для размещения нового функционала, доработок и модулей. Главный козырь новой админки &ndash; ее адаптивность. Вносить корректировки, обрабатывать заказы, отвечать на запросы теперь удобно с любого устройства. </span></span></p>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span style=\"color: #000000;\"><span lang=\"ru-RU\">2. </span></span><span style=\"color: #4f81bd;\"><span style=\"font-family: Cambria,serif;\"><span style=\"font-size: medium;\"><strong><span style=\"color: #000000;\">Техническая поддержка OkayCMS. </span></strong></span></span></span><span style=\"color: #000000;\"><span lang=\"ru-RU\">В админ-панель внедрен функционал для связи с техподдержкой </span></span><span style=\"color: #000000;\"><span lang=\"en-US\">OkayCMS</span></span><span style=\"color: #000000;\"><span lang=\"ru-RU\">. Теперь вам не нужно звонить, писать на почту или скайп. Задать вопросы, получить консультацию, помощь в установке </span></span><span style=\"color: #000000;\"><span lang=\"en-US\">CMS</span></span><span style=\"color: #000000;\"><span lang=\"ru-RU\">, шаблона или дополнения можно прямо из административной панели, отправив запрос в техподдержку. Это поможет нам быстрее отвечать на ваши вопросы, а история переписок по всем темам всегда будут храниться в одном месте - у вас в админке. <a href=\"https://okay-cms.com/support\">Подробнее о техподдержке</a>. </span></span></p>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span style=\"color: #000000;\"><span lang=\"ru-RU\">В 2.0 пользователь лицензионной </span><span lang=\"en-US\">OkayCMS</span> <span lang=\"en-US\">Pro</span><span lang=\"ru-RU\"> получит 10 часов бесплатной техподдержки, пользователь </span><span lang=\"en-US\">OkayCMS</span> <span lang=\"en-US\">Lite</span><span lang=\"ru-RU\"> &ndash; 30 минут с возможностью докупить часы техподдержки. </span></span></p>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span style=\"color: #000000;\"><span lang=\"ru-RU\">3. </span></span><span style=\"color: #4f81bd;\"><span style=\"font-family: Cambria,serif;\"><span style=\"font-size: medium;\"><strong><span style=\"color: #000000;\">Мультиязычнсть сайта. </span></strong></span></span></span><span style=\"color: #000000;\"><span lang=\"ru-RU\">Переделана мультиязычность клиентской части и добавлена мультиязычность админ-панели. Теперь переводы статических фраз хранятся не в базе данных, а в файлах. Для клиентской части это упрощает установку новых тем и возможность переключения между ними. Для обеих частей (как админки, так и клиентской) это облегчает перевод сайта на другие языки. Теперь сделать сайт для клиента полностью на иностранном языке не составляет проблемы. Для этого необходимо перевести фразы всего в двух файлах. На момент релиза в </span></span><span style=\"color: #000000;\"><span lang=\"en-US\">OkayCMS</span></span><span style=\"color: #000000;\"><span lang=\"ru-RU\"> 2.0 добавлено два языка для административной панели - русский и английский, но в ближайшее время их количество увеличится.</span></span></p>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span style=\"color: #000000;\"><span lang=\"ru-RU\">4. </span></span><span style=\"color: #4f81bd;\"><span style=\"font-family: Cambria,serif;\"><span style=\"font-size: medium;\"><strong><span style=\"color: #000000;\">Новый дефолтный шаблон.</span></strong></span></span></span><span style=\"color: #000000;\"><span lang=\"ru-RU\"> Код шаблона теперь чище и приятнее для разработчиков, детальнее прокомментирован. Сам шаблон теперь позволяет добавлять большое количество категорий.</span></span></p>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span style=\"color: #000000;\"><span lang=\"ru-RU\">5. </span></span><span style=\"color: #4f81bd;\"><span style=\"font-family: Cambria,serif;\"><span style=\"font-size: medium;\"><strong><span style=\"color: #000000;\">PHP 7.</span></strong></span></span></span><span style=\"color: #000000;\"><span lang=\"ru-RU\"> Полная поддержка PHP 7, которая позволит позволит сайтам на OkayCMS работать быстрее.</span></span></p>'),
(3,	2,	'Как работает техподдержка OkayCMS 2.0',	'Как работает техподдержка OkayCMS 2.0',	'Как работает техподдержка OkayCMS 2.0',	'Приобретая лицензию OkayCMS Pro 2.0, вы получаете 10 часов комплексной поддержки и консультаций по работе с OkayCMS. Предлагаем более подробно ознакомиться с видами консультаций и регламентом работы службы поддержки.  \r\n  Специалисты технической поддержки выполняют следующие работы:  \r\n \r\n \r\n  дают консультации о системных требованиях для оптимальной работы системы;  \r\n \r\n \r\n  дают консультации по работе c OkayCMS для администратора магазина;  \r\n \r\n \r\n  предоставляют консультации по внедрению дополнительног',	'<p>Приобретая лицензию OkayCMS Pro 2.0, вы получаете 10 часов комплексной поддержки и консультаций по работе с OkayCMS. Предлагаем более подробно ознакомиться с видами консультаций и регламентом работы службы поддержки.</p>',	'<p><span lang=\"ru-RU\">Приобретая лицензию OkayCMS Pro 2.0, вы получаете 10 часов комплексной поддержки и консультаций по работе с OkayCMS. Предлагаем более подробно ознакомиться с видами консультаций и регламентом работы службы поддержки.</span></p>\r\n<h2 class=\"western\"><span lang=\"ru-RU\">Специалисты технической поддержки выполняют следующие работы:</span></h2>\r\n<ul>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">дают консультации о системных требованиях для оптимальной работы системы;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">дают консультации&nbsp;по работе c OkayCMS для администратора магазина;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">предоставляют консультации по внедрению дополнительного функционала в OkayCMS;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">оказывают помощь в установке OkayCMS на хостинг;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">проводят установку шаблонов и дополнений из</span><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><a href=\"https://okay-cms.com/catalog/dopolneniya\"><span style=\"color: #38c0f3;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">MarketPlace OkayCMS</span></span></span></span></a><span lang=\"ru-RU\">;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">проводят обновление OkayCMS до последней актуальной версии.</span></p>\r\n</li>\r\n</ul>\r\n<h2 class=\"western\"><span lang=\"ru-RU\">Регламент работы:</span></h2>\r\n<ol>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">В административной панели вашего сайта на OkayCMS в разделе \"Техническая поддержка\" создайте новое обращение.</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Подробно опишите проблему и сформулируйте название обращения. После этого подайте обращение на рассмотрение.&nbsp;</span><strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">Внимание! Одно обращение в службу поддержки должно содержать одну проблему, не пишите несколько проблем в одном обращении.</span></span></span></span></strong></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Следите за </span><span lang=\"en-US\">E</span><span lang=\"ru-RU\">mail-уведомлениями о прогрессе решения вашего вопроса в течении одного рабочего дня. Ответ так же будет отображен в админ-панели вашего сайта.</span></p>\r\n</li>\r\n</ol>\r\n<h2 class=\"western\"><span lang=\"ru-RU\">Что может повлиять на время решения вашего запроса?</span></h2>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Для ускорения реакции на ваше обращение мы советуем следовать простым правилам:</span></p>\r\n<ul>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">подробно описывайте проблему, шаги к ее воспроизведению;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">укажите реквизиты доступа в административную часть вашего сайта;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">укажите актуальные доступы к FTP и СУБД (PHPMyAdmin), если для решения проблемы необходимо вмешательство в исходный код;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">предоставьте информацию о версии продукта.</span></p>\r\n</li>\r\n</ul>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Дополнительно службой поддержки может быть затребована информация о настройках ПО, а также информация для доступа к серверу по FTP, SSH или административной панели хостинг-провайдера.</span></p>\r\n<h2 class=\"western\"><span lang=\"ru-RU\">Обработка обращения прекращается в случае:</span></h2>\r\n<ul>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">если пользователь не может дать затребованную агентом поддержки информацию для решения вопроса;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">клиент не может предоставить доступы к сайту (FTP, SSH, панель управления хостингом и т. д.);</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">проблема не может быть воспроизведена;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">обращение содержит несколько связанных между собой проблем;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">хостинг не соответствует системным требованиям;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">вопрос задан неконкретно или диалог ведется в неконструктивной форме;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">вопрос выходит за рамки технической поддержки;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">если в течение 30 календарных дней ответ от пользователя не был получен, обращение считается обработанным автоматически.</span></p>\r\n</li>\r\n</ul>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"color: #767679;\">&nbsp;</span></p>\r\n<h2 class=\"western\"><span lang=\"ru-RU\">Услуги, которые не покрывает поддержка OkayCMS*:</span></h2>\r\n<ul>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">перенос данных с других систем;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">разработка дополнительного функционала;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">услуги по веб-разработке. Для этого обратитесь к нашим партнерам;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">web-дизайн;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">поддержка посторонних решений;</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">работы по настройке сервера.&nbsp;</span></p>\r\n</li>\r\n</ul>\r\n<h2 class=\"western\"><span lang=\"ru-RU\">Если часы техподдержки закончились?</span></h2>\r\n<ol>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Перейдите на сайт </span><span lang=\"en-US\">okay</span><span lang=\"ru-RU\">-</span><span lang=\"en-US\">cms</span><span lang=\"ru-RU\">.</span><span lang=\"en-US\">com</span><span lang=\"ru-RU\">/</span><span lang=\"en-US\">support</span><span lang=\"ru-RU\"> в раздел Техническая поддержка.</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Приобретите необходимое количество часов техподдержки.</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Ожидайте обновления техподдержки в админ-панели своего сайта.</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">После обновления отправьте свой запрос в техподдержку.</span></p>\r\n</li>\r\n</ol>'),
(3,	3,	'Как установить OkayCMS 2.0 на сайт',	'Как установить OkayCMS 2.0 на сайт',	'Как установить OkayCMS 2.0 на сайт',	'Шаг 1.    Файлы    для установки OkayCMS  \r\n    \r\n \r\n \r\n  Зайдите на официальный сайт OkayCMS.   \r\n \r\n \r\n  Кликните по кнопке          Скачать CMS в шапке сайта. \r\n \r\n \r\n  Сохраните файл к себе на компьютер. Сохраненный файл-архив имеет вид OkayCMS_1.0.1.zip (цифры в названии файла после слова OkayCMS могут отличаться, это зависит от скачиваемой вами версии).  \r\n \r\n \r\n  Разархивируйте файл OkayCMS_1.0.1.zip. (Кликните правой кнопкой мыши на файле и выберите пункт Извлечь в OkayCMS_1.0.1.)           \r\n \r\n \r\n',	'<p>Шаг 1. Файлы для установки OkayCMS\n    Зайдите на официальный сайт OkayCMS.\n    Кликните по кнопке Скачать CMS в шапке сайта.\n    Сохраните файл к себе на компьютер. Сохраненный файл-архив имеет вид OkayCMS_1.0.1.zip (цифры в названии файла после слова OkayCMS могут отличаться, это зависит от скачиваемой вами версии).</p>',	'<h2 class=\"western\"><strong>Шаг 1. </strong><strong><span lang=\"ru-RU\">Файлы</span></strong><strong> для установки OkayCMS</strong></h2>\r\n<p lang=\"ru-RU\" style=\"margin-bottom: 0.35cm; line-height: 115%;\"><br /><br /></p>\r\n<ol>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Зайдите на официальный сайт OkayCMS. </span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Кликните по кнопке</span><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span>Скачать CMS в шапке сайта.</p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Сохраните файл к себе на компьютер. Сохраненный файл-архив имеет вид OkayCMS_1.0.1.zip (цифры в названии файла после слова OkayCMS могут отличаться, это зависит от скачиваемой вами версии).</span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Разархивируйте файл OkayCMS_1.0.1.zip. (Кликните правой кнопкой мыши на файле и выберите пункт Извлечь в OkayCMS_1.0.1.)</span><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">После распаковки архива появится папка OkayCMS_1.0.1, внутри которой будут 2 файла:&nbsp;install.php&nbsp;и&nbsp;okaycms.zip. Эти файлы необходимо загрузить на сервер вашего хостинг-провайдера в корень вашего сайта.</span></p>\r\n</li>\r\n</ol>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">ВНИМАНИЕ! В корень сайта необходимо поместить 2 файла, которые были извлечены из архива OkayCMS_1.0.1.zip, а не сам архив.</span></p>\r\n<h2 class=\"western\"><strong>Шаг 2. Создание базы данных</strong></h2>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"color: #767679;\">&nbsp;</span></p>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">ВНИМАНИЕ! Далее вы будете работать с панелью управления хостинга. Существует большое количество хостинг-провайдеров. Однако</span><span lang=\"ru-RU\">&nbsp;</span><span lang=\"ru-RU\">принцип проводимых действий везде одинаковый.</span></span></span></p>\r\n<p lang=\"ru-RU\" style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><br /><br /></p>\r\n<ol>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Зайдите в панель управления вашего хостинга и выберите пункт</span><span lang=\"ru-RU\">&nbsp;</span><span lang=\"ru-RU\">Базы данных.</span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Найдите и кликните</span><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">Создать базу данных</span></span></span></span></strong><span lang=\"ru-RU\">. В появившемся окне введите</span><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">имя базы данных, используя английскую раскладку</span></span></span></span></strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><span lang=\"ru-RU\">клавиатуры. Запишите его, оно вам пригодится далее.</span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Выберите кодировку</span><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">utf8_general_ci</span></span></span></span></strong><span lang=\"ru-RU\">. (Иногда вместо слова Кодировка может быть слово Сравнение)</span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Введите имя пользователя, если оно не сгенерировалось автоматически. Так же запишите это имя, оно будет использоваться далее. </span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Кликните кнопку</span><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">Создать.</span></span></span></span></strong></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Появится сообщение: база данных успешно создана.</span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Для доступа используйте логин ****** и пароль *******</span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Запишите пароль к базе данных.</span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Возможно, на некоторых хостингах пароль вам придется придумать самостоятельно.</span></span></span></p>\r\n</li>\r\n</ol>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\">&nbsp;</p>\r\n<h2 class=\"western\"><strong>Шаг 3. Загрузка дистрибутива на хостинг</strong></h2>\r\n<p lang=\"ru-RU\" style=\"margin-bottom: 0.35cm; line-height: 115%;\"><br /><br /></p>\r\n<ol>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Для загрузки файлов на хостинг понадобится FTP-менеджер, например</span><span lang=\"ru-RU\">&nbsp;</span><span lang=\"ru-RU\">FileZilla,</span><span lang=\"ru-RU\">&nbsp;</span><span lang=\"ru-RU\">Total Commander. </span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">Запустите FTP-менеджер FileZilla. Для соединения с сервером введите данные, предоставленные вашим хостинг-провайдером и нажмите кнопку Соединение</span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">В одной из двух частей окна вашего файл-менеджера найдите папку OkayCMS, которую вы создали в Шаге1, зайдите в нее и закачайте файлы</span><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">install.php</span></span></span></span></strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><span lang=\"ru-RU\">и</span><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">okaycms_source.zip</span></span></span></span></strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><span lang=\"ru-RU\">на сервер в корень сайта. (Кликните правой кнопкой мыши на файле и выберите</span><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">Закачать на сервер</span></span></span></span></strong><span style=\"color: #767679;\"><span style=\"font-family: Open Sans,serif;\"><span style=\"font-size: small;\"><span lang=\"ru-RU\">&nbsp;</span></span></span></span><span lang=\"ru-RU\">или просто перетащите файлы мышкой с левой в другую часть окна).</span></span></span></p>\r\n</li>\r\n<li>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"font-family: Times New Roman,serif;\"><span style=\"font-size: medium;\"><span lang=\"ru-RU\">На этом работа с FTP-менеджером FileZilla закончена.</span></span></span></p>\r\n</li>\r\n</ol>\r\n<p style=\"margin-top: 0.49cm; margin-bottom: 0.49cm; background: #ffffff; line-height: 115%;\"><span style=\"color: #767679;\">&nbsp;</span></p>\r\n<h2 class=\"western\"><a name=\"_GoBack\"></a><strong><span lang=\"ru-RU\">Шаг 4. Завершающий этап установки</span></strong></h2>\r\n<p style=\"margin-bottom: 0.35cm; line-height: 115%;\"><span lang=\"ru-RU\">Далее читайте Инструкцию в <a href=\"https://okay-cms.com/article/kak-ustanovit-okaycms-na-sajt\">блоге OkayCMS</a>.</span></p>'),
(3,	4,	'OkayCMS 2.2.0',	'OkayCMS 2.2.0',	'OkayCMS 2.2.0',	'Почти год мы работали над улучшением OkayCMS. Куда еще лучше? спроосите вы, а вот мы нашли. Технологии все время развиваются, и мы не хотим отставать. Наша цель вести свою систему к простоте и функциональности, своевременно удовлетворять запросы пользователей. Поэтому обновление принесло в OkayCMS новые полезные штуки и унесло неиспользуемый функционал и какие-то недочеты, которые в том числе и вы нам помогали искать. Что же в итоге получилось, узнаете из текста. \r\n     \r\n  Улуч',	'<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Почти год мы работали над улучшением OkayCMS. &laquo;Куда еще лучше?&raquo; &ndash; спроосите вы, а вот мы нашли. Технологии все время развиваются, и мы не хотим отставать. Наша цель &ndash; вести свою систему к простоте и функциональности, своевременно удовлетворять запросы пользователей. Поэтому обновление принесло в OkayCMS новые полезные штуки и унесло неиспользуемый функционал и какие-то недочеты, которые в том числе и вы нам помогали искать. Что же в итоге получилось, узнаете из текста.</span></p>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">&nbsp;</span></p>\r\n<h2><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #003366;\">Улучшения SEO в OkayCMS 2.2.0</span></h2>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Появились шаблоны описаний для страниц с фильтрами. Можно задавать мета-теги для страниц:</span></li>\r\n</ul>\r\n<ul style=\"list-style-type: circle;\">\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">категория+бренд</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">категория+свойство</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">категория+определенное свойство</span></li>\r\n</ul>\r\n<p style=\"text-align: center;\"><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\"><img src=\"../files/uploads/seo-filtr.png\" alt=\"новый seo-фильтр\" width=\"1918\" height=\"908\" /></span></p>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Для каждого свойства в новой версии доступны варианты слова (падежи и синонимы), которые позже можно использовать для заполнения метаданных фильтров.</span></p>\r\n<p style=\"text-align: center;\"><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\"><img src=\"../files/uploads/varianty_slova_dlya_seo.png\" alt=\"варианты слов\" width=\"1038\" height=\"602\" /></span></p>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">В ближайшее время мы напишем подробную статью, посвященную данному функционалу.</span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Чтобы перелинковка была более качественной, теперь можно делать свойство в товаре ссылкой на страницу фильтра &lt;категория +это свойство&gt;<img src=\"../files/uploads/svoistvo_ssylkoi.jpg\" alt=\"свойство ссылкой\" width=\"1062\" height=\"655\" /></span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Изменилась работа ЧПУ-фильтра: теперь индексируется категория+одно значение фильтра, остальное &ndash; нет</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Для страниц, которые создаются через админпанель, появилась возможность задавать отдельный от названия страницы Н1 прямо в админке</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Sitemap.xml теперь более универсальный и сам создает пагинацию карт сайта, когда количество ссылок в нем превышает 50 000</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Улучшена микроразметка, добавлена разметка twittercard</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Настроен 301-й редирект со страниц с \"/page-1\" на основную страницу категории</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Убрано дублирование текста на страницах фильтров, сортировок и пагинации. Текст категории выводится после обновления только на основной странице категории</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">В title при пагинации теперь автоматически подставляется номер страницы<img src=\"../files/uploads/schetchik_v_title.jpg\" alt=\"счетчик в title\" width=\"1273\" height=\"140\" /></span></li>\r\n<li></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif;\"><span style=\"font-size: 16px;\">Для индексации теперь доступны только страницы фильтрации категория+бренд или категория+1 свойство.</span></span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">&nbsp;</span></p>\r\n<h2><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000080;\">Улучшения для посетителей сайта на OkayCMS 2.2.0</span></h2>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Переверстана страница thank you page. Она стала более информативной для покупателя и правильной с точки зрения e-commerce</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\"><img src=\"../files/uploads/thank_you_page.jpg\" alt=\"страница оформленного заказа\" width=\"1366\" height=\"768\" /></span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">В категориях появилась возможность отфильтровать по рекомендуемым товарам или товарам со скидкой<img src=\"../files/uploads/filtr_skidki.png\" alt=\"фильтр по скидкам и хитам\" width=\"1174\" height=\"402\" /></span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Слева над фильтром теперь будут подкатегории</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Переделано отображение страницы ошибки 404</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Старая цена теперь лучше выделяется за счет того, что она перечеркнута</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Комментарии администратора также лучше выделяются среди комментариев обычных пользователей</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Сделано корректное определение варианта в наличии в Safari. Проблема была описана <a href=\"https://forum.okay-cms.com/viewtopic.php?f=7&amp;t=869&amp;sid=8a990552ca19ef5b94b8aa32037ba38f\">в теме на форуме</a></span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлена ошибка, когда в редких случаях после применения фильтра некорректно отображался каталог<img src=\"../files/uploads/oshibka_filtra_po_cene.png\" alt=\"ошибка верстки после фильтрации\" width=\"400\" height=\"326\" /></span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлена верстка корзины для мобильных устройств</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\"><img src=\"../files/uploads/osibka_mobilnoi_korziny.png\" alt=\"ошибка верстки мобильной корзины\" width=\"439\" height=\"229\" />&nbsp;</span></p>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">&nbsp;</span></p>\r\n<h2><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #003366;\">Улучшения в новой версии OkayCMS для администраторов сайта</span></h2>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Теперь есть возможность создавать несколько меню и добавлять к пунктам свои ссылки</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Можно добавлять и удалять&nbsp; подпункты меню, вставлять ссылки на текущий сайт (при этом они автоматически преобразуются в относительные) и на другие сайты, задать открытие в новой вкладке, просто перетянув ползунок.</span></p>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\"><img src=\"../files/uploads/svoe_menu.png\" alt=\"кастомное меню\" width=\"1030\" height=\"302\" /></span></p>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Собственные меню можно выводить в любом месте шаблона.</span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Вставлять скрипты стало проще</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Мы переделали раздел SEO: теперь вам нужно только дать название скрипту, выбрать из выпадающего списка, куда его вставлять, добавить код в специальное поле и сохранить. Любой из них можно изменить или удалить.</span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Сделан функционал добавления разных цветов к статусам заказа, чтобы легче ориентироваться в списке заказов. Реализовано на основе <a href=\"https://forum.okay-cms.com/viewtopic.php?f=6&amp;t=775&amp;p=3980#p3980\">пожелания с форума</a></span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\"><img src=\"../files/uploads/cveta_statusa_zakaza.png\" alt=\"разноцветные статусы заказа\" width=\"1038\" height=\"606\" /></span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Появился экспорт заказов в csv для дальнейшего импорта в сервисы рассылок e-mail, SMS и т.п. Выгружать можно по статусу, по меткам, по дате заказов</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">В админпанель добавлен фильтр по необработанным комментариям, заказам обратного звонка и обращениям с формы обратной связи</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Сделана возможность искать информацию в комментариях и обратной связи. Поиск проходит по сообщениям, имени и e-mail<img src=\"../files/uploads/poisk_i_sortirovka.png\" alt=\"поиск по обратной связи\" width=\"1258\" height=\"446\" /></span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Теперь можно выбрать количество отображаемых комментариев и сообщений обратной связи на одной странице</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Вместо стандартной капчи можно будет использовать reCAPTCHA или reCAPTCHA invisible, активировав нужную в настройках сайта<img src=\"../files/uploads/recaptcha.png\" alt=\"recaptcha\" width=\"1327\" height=\"307\" /></span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Сделана возможность включать и отключать автоматическое одобрение комментариев</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Теперь добавить карту на страницу контактов можно просто вставкой iframe в специальное поле<img src=\"../files/uploads/vstavka_karty.png\" alt=\"вставка карты в контакты\" width=\"1326\" height=\"195\" /></span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Заблокировано удаление или изменение URL для системных страниц</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Это сделано для избежания ошибок, которые возникают вследствие изменения адреса или удаления страниц типа главная, бренды, 404 и т.п. Даже при попытке массового удаления страниц, появится уведомление.</span></p>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\"><img src=\"../files/uploads/blok_sistemnyh_url.png\" alt=\"блокировка системных URL\" width=\"1903\" height=\"716\" /></span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Сделано форматирование сообщений в техподдержке</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Сделан счетчик символов в meta title и description</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Добавлено отображение фильтров в админпанели на мобильных устройствах</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">При экспорте категории для облегчения работы с файлом экспорта теперь выгружаются только свойства этой категории, а не все доступные</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлены ошибки, возникающие при попытке изменить порядок категорий в товаре: порядок не менялся, не всплывала кнопка &laquo;Применить&raquo;</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Нельзя было задать порядок фото до сохранения товара. Теперь можно</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Также при изменении порядка фото не появлялась кнопка &laquo;Применить&raquo;. Уже исправили</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Убрана в админпанели ненужная часть комментария админа<img src=\"../files/uploads/nenuzhny_komment.png\" alt=\"ненужная часть комментария\" width=\"986\" height=\"607\" /></span></li>\r\n</ul>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Удалены редкоиспользуемые разделы \"Яндекс.Метрика для сайта\" и \"Импорт/экспорт переводов\"</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Поле \"Активность\" в разделе \"Свойства\" теперь называется более понятно &ndash; \"В фильтре\"</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">При импорте товаров из 1С основное и дополнительные фото теперь обрабатываются более корректно.</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">&nbsp;</span></p>\r\n<h2><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #003366;\">Улучшения для разработчиков в OkayCMS 2.2.0</span></h2>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Сделана возможность включать отдельную тему для админа</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Когда она активирована, все действия в пунктах: &laquo;Файлы шаблонов&raquo;, &laquo;Стили шаблонов&raquo;, &laquo;Скрипты&raquo;, &laquo;Изображения&raquo;, &laquo;Переводы&raquo; &ndash;&nbsp; выполняются в теме для админа.</span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Когда активирована тема для админа, в версию всех скриптов и стилей подставляется время. В теме ничего не будет кешироваться, т.к. она нужна для разработки</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Добавлена возможность сбросить кеш шаблона</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Для избежания проблем с некорректным наложением водяного знака теперь подключена библиотека обработки изображений gregwar</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Новая библиотека gregwar имеет широкие возможности ресайза, обрезки и позиционирования картинок, позволяет обрабатывать изображение одной строкой, управлять кешированием и много новых крутых вещей.</span></p>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Например, иногда нужно все картинки сделать одного размера (даже пренебречь небольшой частью изображения). Т.е. широкие и высокие привести к единому форм-фактору, как здесь:</span></p>\r\n<p style=\"text-align: center;\"><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\"><img src=\"../files/uploads/podgon-kartinok.png\" alt=\"ресайз картинок\" width=\"839\" height=\"310\" /></span></p>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Для этого в параметрах ресайза нужно указать 5-й и 6-й параметры {$c-&gt;image|resize:140:140:false:$config-&gt;resizedcategoriesdir:center:top}:</span></p>\r\n<ul style=\"list-style-type: circle;\">\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">5-й параметр отвечает за положение результирующего изображения, если работали с широкой картинкой. Возможные значения: left, center, right</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">6-й параметр отвечает за положение результирующего изображения, если работали с высокой картинкой. Возможные значения: top, center, bottom</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">В отдельной статье мы детально расскажем, как работать с новой библиотекой.</span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Сборка PHP библиотек gregwar, smarty, mobiledetect и phpmailer теперь осуществляется через composer</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Теперь можно задавать ресайз для баннеров</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Сделана возможность добавлять config/config.local.php, в котором можно переопределить любую директиву из обычного config-а</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Это удобно, когда проект на Git, и часть config.php нужно добавить в игнор.</span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">В config/config.php сделана директива sql_debug = true, которая включает логирование нерабочих запросов</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Она включена по умолчанию, но можно и выключить. Логи собираются в файл log/sql.log. Папка закрыта в htaccess, просматривать можно только по FTP.</span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Улучшено определение пути к карте сайта для более легкой настройки действий по крону</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">В раздел системной информации добавлен IP-адрес, с которого осуществляются curl-запросы</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Нужно для корректной работы техподдержки, т.к. некоторые хостинги блокируют обращения с определенных IP. Для разблокировки нужно знать IP, теперь его удобно посмотреть в админке.</span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Метод отправки e-mail админу перенесен из Callback.php в Notify.php</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">&nbsp;</span></p>\r\n<h2><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #003366;\">Исправление ошибок в новой версии OkayCMS</span></h2>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлены проблемы, проявлявшиеся при работе с MySQL версии 5.7</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлена проблема с сохранением свойств, описанная на форуме в <a href=\"https://forum.okay-cms.com/viewtopic.php?p=4217#p4217\">теме</a></span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлено несколько ошибок, связанных с переключением языка на странице 404</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлена проблема с отображением каталога на планшетах с большим разрешением (&gt;992px), при которой меню каталога не срабатывало по нажатию.</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлена ситуация, когда картинка была доступна по разным URL</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлена 500 ошибка при попытке открыть несуществующее изображение</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">При редактировании заказа, если поменять способ доставки \"Оплачивается отдельно\" на другой, не считалась стоимость.&nbsp;Сейчас проблему устранили. Описание есть <a href=\"https://forum.okay-cms.com/viewtopic.php?f=7&amp;t=808&amp;p=4170#p4170\">на форуме</a></span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлена ошибка, когда при клике на плюсик в корзине нельзя было добавить больше 50 товаров в заказ</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">В текущей версии можно удалить изображение в баннере (раньше нужно было только заменять его на другое)</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Оптимизировано удаление валют из БД при включенной мультиязычности сайта</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Оптимизирован запрос search_products.php</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Убраны дублирующиеся элементы в верстке админпанели</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлена проблема, при которой пароль для базы данных со спецсимволами не принимался системой</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлена работа сортировки по цене после применения фильтра по цене</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Убраны ссылки на страницы с 302-м редиректом, которые появлялись при включении более чем одной валюты на сайте</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлена ошибка при сохранении JS в админке</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлена работа кнопки \"Печать заказа\". Больше не появляется ошибка 500</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Раньше к комментариям на странице грузились все ответы на все возможные комментарии</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Мы оптимизировали код, и теперь для 20 комментариев на странице загрузятся только их ответы.</span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправили баг в \"Обратной связи\"</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Если одобрить фидбек, но не написать ответ, то его больше нельзя будет написать. Сделали так, что ответов можно писать любое количество.</span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправили баг в подсчете кол-ва заказов при использовании фильтра по дате</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Раньше после фильтрации всегда показывало 0 заказов. Сейчас подсчет корректный.</span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлена ситуация, когда на второй странице пагинации в админпанели не отображались ответы на комментарии</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлено несоответствие название поля в админке с его содержанием<img src=\"../files/uploads/oshibka_nazvania_polya.jpg\" alt=\"неправильное название поля\" width=\"994\" height=\"312\" /></span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">&nbsp;</span></p>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Как видите, теперь OkayCMS стала еще красивее с подправленной версткой, глобально изменился SEO-раздел, в системе сделали много новых удобностей и учли ваши замечания. Продолжайте держать с нами обратную связь &ndash; мы уже планируем следующую версию.</span></p>',	'<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Почти год мы работали над улучшением OkayCMS. &laquo;Куда еще лучше?&raquo; &ndash; спроосите вы, а вот мы нашли. Технологии все время развиваются, и мы не хотим отставать. Наша цель &ndash; вести свою систему к простоте и функциональности, своевременно удовлетворять запросы пользователей. Поэтому обновление принесло в OkayCMS новые полезные штуки и унесло неиспользуемый функционал и какие-то недочеты, которые в том числе и вы нам помогали искать. Что же в итоге получилось, узнаете из текста.</span></p>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">&nbsp;</span></p>\r\n<h2><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #003366;\">Улучшения SEO в OkayCMS 2.2.0</span></h2>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Появились шаблоны описаний для страниц с фильтрами. Можно задавать мета-теги для страниц:</span></li>\r\n</ul>\r\n<ul style=\"list-style-type: circle;\">\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">категория+бренд</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">категория+свойство</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">категория+определенное свойство</span></li>\r\n</ul>\r\n<p style=\"text-align: center;\"><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\"><img src=\"../files/uploads/seo-filtr.png\" alt=\"новый seo-фильтр\" width=\"1918\" height=\"908\" /></span></p>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Для каждого свойства в новой версии доступны варианты слова (падежи и синонимы), которые позже можно использовать для заполнения метаданных фильтров.</span></p>\r\n<p style=\"text-align: center;\"><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\"><img src=\"../files/uploads/varianty_slova_dlya_seo.png\" alt=\"варианты слов\" width=\"1038\" height=\"602\" /></span></p>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">В ближайшее время мы напишем подробную статью, посвященную данному функционалу.</span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Чтобы перелинковка была более качественной, теперь можно делать свойство в товаре ссылкой на страницу фильтра &lt;категория +это свойство&gt;<img src=\"../files/uploads/svoistvo_ssylkoi.jpg\" alt=\"свойство ссылкой\" width=\"1062\" height=\"655\" /></span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Изменилась работа ЧПУ-фильтра: теперь индексируется категория+одно значение фильтра, остальное &ndash; нет</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Для страниц, которые создаются через админпанель, появилась возможность задавать отдельный от названия страницы Н1 прямо в админке</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Sitemap.xml теперь более универсальный и сам создает пагинацию карт сайта, когда количество ссылок в нем превышает 50 000</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Улучшена микроразметка, добавлена разметка twittercard</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Настроен 301-й редирект со страниц с \"/page-1\" на основную страницу категории</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Убрано дублирование текста на страницах фильтров, сортировок и пагинации. Текст категории выводится после обновления только на основной странице категории</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">В title при пагинации теперь автоматически подставляется номер страницы<img src=\"../files/uploads/schetchik_v_title.jpg\" alt=\"счетчик в title\" width=\"1273\" height=\"140\" /></span></li>\r\n<li></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif;\"><span style=\"font-size: 16px;\">Для индексации теперь доступны только страницы фильтрации категория+бренд или категория+1 свойство.</span></span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">&nbsp;</span></p>\r\n<h2><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000080;\">Улучшения для посетителей сайта на OkayCMS 2.2.0</span></h2>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Переверстана страница thank you page. Она стала более информативной для покупателя и правильной с точки зрения e-commerce</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\"><img src=\"../files/uploads/thank_you_page.jpg\" alt=\"страница оформленного заказа\" width=\"1366\" height=\"768\" /></span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">В категориях появилась возможность отфильтровать по рекомендуемым товарам или товарам со скидкой<img src=\"../files/uploads/filtr_skidki.png\" alt=\"фильтр по скидкам и хитам\" width=\"1174\" height=\"402\" /></span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Слева над фильтром теперь будут подкатегории</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Переделано отображение страницы ошибки 404</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Старая цена теперь лучше выделяется за счет того, что она перечеркнута</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Комментарии администратора также лучше выделяются среди комментариев обычных пользователей</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Сделано корректное определение варианта в наличии в Safari. Проблема была описана <a href=\"https://forum.okay-cms.com/viewtopic.php?f=7&amp;t=869&amp;sid=8a990552ca19ef5b94b8aa32037ba38f\">в теме на форуме</a></span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлена ошибка, когда в редких случаях после применения фильтра некорректно отображался каталог<img src=\"../files/uploads/oshibka_filtra_po_cene.png\" alt=\"ошибка верстки после фильтрации\" width=\"400\" height=\"326\" /></span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлена верстка корзины для мобильных устройств</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\"><img src=\"../files/uploads/osibka_mobilnoi_korziny.png\" alt=\"ошибка верстки мобильной корзины\" width=\"439\" height=\"229\" />&nbsp;</span></p>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">&nbsp;</span></p>\r\n<h2><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #003366;\">Улучшения в новой версии OkayCMS для администраторов сайта</span></h2>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Теперь есть возможность создавать несколько меню и добавлять к пунктам свои ссылки</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Можно добавлять и удалять&nbsp; подпункты меню, вставлять ссылки на текущий сайт (при этом они автоматически преобразуются в относительные) и на другие сайты, задать открытие в новой вкладке, просто перетянув ползунок.</span></p>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\"><img src=\"../files/uploads/svoe_menu.png\" alt=\"кастомное меню\" width=\"1030\" height=\"302\" /></span></p>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Собственные меню можно выводить в любом месте шаблона.</span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Вставлять скрипты стало проще</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Мы переделали раздел SEO: теперь вам нужно только дать название скрипту, выбрать из выпадающего списка, куда его вставлять, добавить код в специальное поле и сохранить. Любой из них можно изменить или удалить.</span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Сделан функционал добавления разных цветов к статусам заказа, чтобы легче ориентироваться в списке заказов. Реализовано на основе <a href=\"https://forum.okay-cms.com/viewtopic.php?f=6&amp;t=775&amp;p=3980#p3980\">пожелания с форума</a></span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\"><img src=\"../files/uploads/cveta_statusa_zakaza.png\" alt=\"разноцветные статусы заказа\" width=\"1038\" height=\"606\" /></span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Появился экспорт заказов в csv для дальнейшего импорта в сервисы рассылок e-mail, SMS и т.п. Выгружать можно по статусу, по меткам, по дате заказов</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">В админпанель добавлен фильтр по необработанным комментариям, заказам обратного звонка и обращениям с формы обратной связи</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Сделана возможность искать информацию в комментариях и обратной связи. Поиск проходит по сообщениям, имени и e-mail<img src=\"../files/uploads/poisk_i_sortirovka.png\" alt=\"поиск по обратной связи\" width=\"1258\" height=\"446\" /></span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Теперь можно выбрать количество отображаемых комментариев и сообщений обратной связи на одной странице</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Вместо стандартной капчи можно будет использовать reCAPTCHA или reCAPTCHA invisible, активировав нужную в настройках сайта<img src=\"../files/uploads/recaptcha.png\" alt=\"recaptcha\" width=\"1327\" height=\"307\" /></span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Сделана возможность включать и отключать автоматическое одобрение комментариев</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Теперь добавить карту на страницу контактов можно просто вставкой iframe в специальное поле<img src=\"../files/uploads/vstavka_karty.png\" alt=\"вставка карты в контакты\" width=\"1326\" height=\"195\" /></span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Заблокировано удаление или изменение URL для системных страниц</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Это сделано для избежания ошибок, которые возникают вследствие изменения адреса или удаления страниц типа главная, бренды, 404 и т.п. Даже при попытке массового удаления страниц, появится уведомление.</span></p>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\"><img src=\"../files/uploads/blok_sistemnyh_url.png\" alt=\"блокировка системных URL\" width=\"1903\" height=\"716\" /></span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Сделано форматирование сообщений в техподдержке</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Сделан счетчик символов в meta title и description</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Добавлено отображение фильтров в админпанели на мобильных устройствах</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">При экспорте категории для облегчения работы с файлом экспорта теперь выгружаются только свойства этой категории, а не все доступные</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлены ошибки, возникающие при попытке изменить порядок категорий в товаре: порядок не менялся, не всплывала кнопка &laquo;Применить&raquo;</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Нельзя было задать порядок фото до сохранения товара. Теперь можно</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Также при изменении порядка фото не появлялась кнопка &laquo;Применить&raquo;. Уже исправили</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Убрана в админпанели ненужная часть комментария админа<img src=\"../files/uploads/nenuzhny_komment.png\" alt=\"ненужная часть комментария\" width=\"986\" height=\"607\" /></span></li>\r\n</ul>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Удалены редкоиспользуемые разделы \"Яндекс.Метрика для сайта\" и \"Импорт/экспорт переводов\"</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Поле \"Активность\" в разделе \"Свойства\" теперь называется более понятно &ndash; \"В фильтре\"</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">При импорте товаров из 1С основное и дополнительные фото теперь обрабатываются более корректно.</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">&nbsp;</span></p>\r\n<h2><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #003366;\">Улучшения для разработчиков в OkayCMS 2.2.0</span></h2>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Сделана возможность включать отдельную тему для админа</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Когда она активирована, все действия в пунктах: &laquo;Файлы шаблонов&raquo;, &laquo;Стили шаблонов&raquo;, &laquo;Скрипты&raquo;, &laquo;Изображения&raquo;, &laquo;Переводы&raquo; &ndash;&nbsp; выполняются в теме для админа.</span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Когда активирована тема для админа, в версию всех скриптов и стилей подставляется время. В теме ничего не будет кешироваться, т.к. она нужна для разработки</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Добавлена возможность сбросить кеш шаблона</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Для избежания проблем с некорректным наложением водяного знака теперь подключена библиотека обработки изображений gregwar</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Новая библиотека gregwar имеет широкие возможности ресайза, обрезки и позиционирования картинок, позволяет обрабатывать изображение одной строкой, управлять кешированием и много новых крутых вещей.</span></p>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Например, иногда нужно все картинки сделать одного размера (даже пренебречь небольшой частью изображения). Т.е. широкие и высокие привести к единому форм-фактору, как здесь:</span></p>\r\n<p style=\"text-align: center;\"><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\"><img src=\"../files/uploads/podgon-kartinok.png\" alt=\"ресайз картинок\" width=\"839\" height=\"310\" /></span></p>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Для этого в параметрах ресайза нужно указать 5-й и 6-й параметры {$c-&gt;image|resize:140:140:false:$config-&gt;resizedcategoriesdir:center:top}:</span></p>\r\n<ul style=\"list-style-type: circle;\">\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">5-й параметр отвечает за положение результирующего изображения, если работали с широкой картинкой. Возможные значения: left, center, right</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">6-й параметр отвечает за положение результирующего изображения, если работали с высокой картинкой. Возможные значения: top, center, bottom</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">В отдельной статье мы детально расскажем, как работать с новой библиотекой.</span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Сборка PHP библиотек gregwar, smarty, mobiledetect и phpmailer теперь осуществляется через composer</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Теперь можно задавать ресайз для баннеров</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Сделана возможность добавлять config/config.local.php, в котором можно переопределить любую директиву из обычного config-а</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Это удобно, когда проект на Git, и часть config.php нужно добавить в игнор.</span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">В config/config.php сделана директива sql_debug = true, которая включает логирование нерабочих запросов</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Она включена по умолчанию, но можно и выключить. Логи собираются в файл log/sql.log. Папка закрыта в htaccess, просматривать можно только по FTP.</span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Улучшено определение пути к карте сайта для более легкой настройки действий по крону</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">В раздел системной информации добавлен IP-адрес, с которого осуществляются curl-запросы</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Нужно для корректной работы техподдержки, т.к. некоторые хостинги блокируют обращения с определенных IP. Для разблокировки нужно знать IP, теперь его удобно посмотреть в админке.</span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Метод отправки e-mail админу перенесен из Callback.php в Notify.php</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">&nbsp;</span></p>\r\n<h2><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #003366;\">Исправление ошибок в новой версии OkayCMS</span></h2>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлены проблемы, проявлявшиеся при работе с MySQL версии 5.7</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлена проблема с сохранением свойств, описанная на форуме в <a href=\"https://forum.okay-cms.com/viewtopic.php?p=4217#p4217\">теме</a></span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлено несколько ошибок, связанных с переключением языка на странице 404</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлена проблема с отображением каталога на планшетах с большим разрешением (&gt;992px), при которой меню каталога не срабатывало по нажатию.</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлена ситуация, когда картинка была доступна по разным URL</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлена 500 ошибка при попытке открыть несуществующее изображение</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">При редактировании заказа, если поменять способ доставки \"Оплачивается отдельно\" на другой, не считалась стоимость.&nbsp;Сейчас проблему устранили. Описание есть <a href=\"https://forum.okay-cms.com/viewtopic.php?f=7&amp;t=808&amp;p=4170#p4170\">на форуме</a></span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлена ошибка, когда при клике на плюсик в корзине нельзя было добавить больше 50 товаров в заказ</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">В текущей версии можно удалить изображение в баннере (раньше нужно было только заменять его на другое)</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Оптимизировано удаление валют из БД при включенной мультиязычности сайта</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Оптимизирован запрос search_products.php</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Убраны дублирующиеся элементы в верстке админпанели</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлена проблема, при которой пароль для базы данных со спецсимволами не принимался системой</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлена работа сортировки по цене после применения фильтра по цене</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Убраны ссылки на страницы с 302-м редиректом, которые появлялись при включении более чем одной валюты на сайте</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлена ошибка при сохранении JS в админке</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлена работа кнопки \"Печать заказа\". Больше не появляется ошибка 500</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Раньше к комментариям на странице грузились все ответы на все возможные комментарии</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Мы оптимизировали код, и теперь для 20 комментариев на странице загрузятся только их ответы.</span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправили баг в \"Обратной связи\"</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Если одобрить фидбек, но не написать ответ, то его больше нельзя будет написать. Сделали так, что ответов можно писать любое количество.</span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправили баг в подсчете кол-ва заказов при использовании фильтра по дате</span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Раньше после фильтрации всегда показывало 0 заказов. Сейчас подсчет корректный.</span></p>\r\n<ul>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлена ситуация, когда на второй странице пагинации в админпанели не отображались ответы на комментарии</span></li>\r\n<li><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">Исправлено несоответствие название поля в админке с его содержанием<img src=\"../files/uploads/oshibka_nazvania_polya.jpg\" alt=\"неправильное название поля\" width=\"994\" height=\"312\" /></span></li>\r\n</ul>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt;\">&nbsp;</span></p>\r\n<p><span style=\"font-family: arial, helvetica, sans-serif; font-size: 12pt; color: #000000;\">Как видите, теперь OkayCMS стала еще красивее с подправленной версткой, глобально изменился SEO-раздел, в системе сделали много новых удобностей и учли ваши замечания. Продолжайте держать с нами обратную связь &ndash; мы уже планируем следующую версию.</span></p>'),
(3,	5,	'OkayCMS 3.0',	'OkayCMS 3.0',	'OkayCMS 3.0',	'Вийшла нова версія OKAY CMS 3 \r\n Наша команда досить довго працювала над новою версією OkayCMS 3.0.0 Зміни включені в нову версію, істотно розширили функціональні можливості. \r\n Було впроваджено безліч глобальних змін з повністю переробленим ядром і повністю оновленим програмним кодом. Ми сподіваємося ви оціните нашу роботу і нові можливості системи \r\n \r\n \r\n \r\n 1. Новий дизайн \r\n  \r\n Новий дизайн розроблений за всіма вимогами юзабіліті для інтернет-магазинів \r\n \r\n \r\n \r\n 2. Розділ навчання \r\n  \r\n Новий розді',	'<p>Наша команда досить довго працювала над новою версією OkayCMS 3.0.0 Зміни включені в нову версію, істотно розширили функціональні можливості. Було впроваджено безліч глобальних змін з повністю переробленим ядром і повністю оновленим програмним кодом. Ми сподіваємося ви оціните нашу роботу і нові можливості системи;</p>',	'<h3 style=\"text-align: center;\">Вийшла нова версія OKAY CMS 3</h3>\r\n<p>Наша команда досить довго працювала над новою версією OkayCMS 3.0.0 Зміни включені в нову версію, істотно розширили функціональні можливості.</p>\r\n<p>Було впроваджено безліч глобальних змін з повністю переробленим ядром і повністю оновленим програмним кодом. Ми сподіваємося ви оціните нашу роботу і нові можливості системи</p>\r\n<div class=\"table\">\r\n<div class=\"table__row\">\r\n<div class=\"table__cell\">\r\n<h5>1. Новий дизайн</h5>\r\n<figure><img src=\"../files/uploads/article_okay_design.jpg\" alt=\"\" width=\"800\" height=\"800\" />\r\n<figcaption>Новий дизайн розроблений за всіма вимогами юзабіліті для інтернет-магазинів</figcaption>\r\n</figure>\r\n</div>\r\n<div class=\"table__cell\">\r\n<h5>2. Розділ навчання</h5>\r\n<figure><img src=\"../files/uploads/article_okay_learning%20(1).jpg\" alt=\"Okaycms Learning\" width=\"800\" height=\"800\" />\r\n<figcaption>Новий розділ навчання, де зібрані інструкції для базових робіт на сайті.</figcaption>\r\n</figure>\r\n</div>\r\n<div class=\"table__cell\">\r\n<h5>2. Модульність</h5>\r\n<figure><img src=\"../files/uploads/article_okay_module.jpg\" alt=\"OkaycmsModules\" width=\"800\" height=\"800\" />\r\n<figcaption>Повністю перероблена структура, поява модульности</figcaption>\r\n</figure>\r\n</div>\r\n<div class=\"table__cell\">\r\n<h5>2. Налаштування кольорів сайту</h5>\r\n<figure><img src=\"../files/uploads/article_okay_settings.jpg\" alt=\"Okaycms Settings\" width=\"800\" height=\"799\" />\r\n<figcaption>В налаштуваннях дизайну з\'явився новий блок, для настройки кольорів сайту</figcaption>\r\n</figure>\r\n</div>\r\n</div>\r\n</div>\r\n<h3 style=\"text-align: center;\">Чому ми пішли на таке глобальна зміна?</h3>\r\n<p><strong>Перша</strong>. Основа першої і другої версії OkayCMS була зроблена з використанням старого коду. На момент створення нашої системи, в 2015 році код, який використовувався ще був актуальним, але входити в 2020 рік з тим що було - недобре.</p>\r\n<p><strong>Друга.</strong> Проблеми з розширенням функціоналу магазину. В силу того що минулі версії системи були модульні, коли доводилося глобально розширювати функціонал - все зміни вносилися відразу в ядро ​​і це створювало складний код. Усі наступні доопрацювання в такий проект впроваджувалися все складніше і складніше. Зараз, з переходом до модульності ця проблема частково буде вирішена.</p>\r\n<p><strong>Третя.</strong> Оновлення системи. Ця проблема частково випливає з другої. Коли доопрацювання зачіпали ядро ​​системи, зробити оновлення доопрацьованій системи було проблематично. У деяких випадках більш розумно було відмовитися від оновлень сильно доопрацьованій системи. Тепер, коли роботи будуть виконуватися окремо від ядра - оновлення системи повинні проходити швидше і безболісніше.</p>\r\n<p><strong>Четверта.</strong> Зручність для нових користувачів. Основа успішного розвитку - це гарне ком\'юніті навколо продукту. Код минулих версій був простий, зручний, але все ж специфічний, що не використовує патернів і зроблений \"за своїм\". Проблема, яка з цього випливала, новим програмістам, які починали свою освіту з разбірательсв з фреймворками начебто Laravel система здавалася відразу незрозумілою і вони не сильно хотіли братися робити на ній невеликі доопрацювання. Нова версія системи більше відповідає основним трендам в світі програмування і повинна зробити простішою поріг входу для нових програмістів, нових веб-студій і т.п. які вирішать використовувати нашу систему в роботі.</p>\r\n<h3 style=\"text-align: center;\">Як оновитися з минулих версій OkayCMS до версії 3. *?</h3>\r\n<p>OkayCMS 3 - це система з повністю переробленим ядром і повністю оновленим програмним кодом, тому шаблони і модулі з попередніх версій несумісні.</p>\r\n<p>Всі власники ліцензій Pro версії OkayCMS можуть замовити перенесення своїх даних на нову версію або ж, у разі великої кількості доробок і індивідуальних шаблонів - залишитися на версії 2. * яку ми будемо продовжувати підтримувати і на яку ми будемо випускати оновлення, що містять фікси зауважень, про яких нам буде відомо. Перенесення даних на версію 3. * з попередніх версій займе 1 годину часу техпідтримки.</p>\r\n<p>У разі перенесення даних на нову версію ми перенесемо на версію 3. * всі ваші товари, категорії, бренди, сторінки, записи блога, замовлення і зареєстрованих покупців. Після перенесення ви отримаєте сайт з усім функціоналом версії OkayCMS 3. * дизайном версії 3. * і вмістом бази даних з вашого сайту на попередній версії OkayCMS. Для замовлення поновлення до 3.0 напишіть нам на пошту info@okay-cms.com або зверніться в тех.підтримку з адмін. панелі.</p>');

DROP TABLE IF EXISTS `ok_lang_brands`;
CREATE TABLE `ok_lang_brands` (
  `lang_id` int(11) NOT NULL,
  `brand_id` int(11) NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `meta_title` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `meta_keywords` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `meta_description` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `annotation` mediumtext COLLATE utf8mb4_unicode_ci,
  `description` mediumtext COLLATE utf8mb4_unicode_ci,
  UNIQUE KEY `lang_id` (`lang_id`,`brand_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_lang_brands` (`lang_id`, `brand_id`, `name`, `meta_title`, `meta_keywords`, `meta_description`, `annotation`, `description`) VALUES
(1,	1,	'Puff',	'Puff',	'Puff',	'Puff',	'',	''),
(1,	2,	'Алтермо',	'Алтермо',	'Алтермо',	'Алтермо',	'',	''),
(1,	3,	'Ferroli',	'Ferroli',	'Ferroli',	'Ferroli',	'',	''),
(1,	4,	'Global',	'Global',	'Global',	'Global',	'',	''),
(1,	5,	'Atlantic',	'Atlantic',	'Atlantic',	'Atlantic',	'',	''),
(1,	6,	'Beretta',	'Beretta',	'Beretta',	'Beretta',	'',	''),
(1,	7,	'Bosch',	'Bosch',	'Bosch',	'Bosch',	'<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus</p>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus</p>',	'<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus</p>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus</p>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus</p>'),
(1,	8,	'Vaillant',	'Vaillant',	'Vaillant',	'Vaillant',	'',	''),
(1,	10,	'Organik food',	'Organik food',	'Organik food',	'',	'',	''),
(1,	11,	'Nature product',	'Nature product',	'Nature product',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца.',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца.</p>',	''),
(1,	12,	'Fitbit',	'Fitbit',	'Fitbit',	'',	'',	''),
(1,	13,	'Britax romer',	'Britax romer',	'Britax romer',	'',	'',	''),
(1,	14,	'GARNIER',	'GARNIER',	'GARNIER',	'',	'',	''),
(1,	15,	'Haibike',	'Haibike',	'Haibike',	'',	'',	''),
(1,	16,	'Royal Canin',	'Royal Canin',	'Royal Canin',	'',	'',	''),
(2,	1,	'Puff',	'Puff',	'Puff',	'Puff',	'',	''),
(2,	2,	'Алтермо',	'Алтермо',	'Алтермо',	'Алтермо',	'',	''),
(2,	3,	'Ferroli',	'Ferroli',	'Ferroli',	'Ferroli',	'',	''),
(2,	4,	'Global',	'Global',	'Global',	'Global',	'',	''),
(2,	5,	'Atlantic',	'Atlantic',	'Atlantic',	'Atlantic',	'',	''),
(2,	6,	'Beretta',	'Beretta',	'Beretta',	'Beretta',	'',	''),
(2,	7,	'Bosch',	'Bosch',	'Bosch',	'Bosch',	'',	''),
(2,	8,	'Vaillant',	'Vaillant',	'Vaillant',	'Vaillant',	'',	''),
(2,	10,	'Organik food',	'Organik food',	'Organik food',	'',	'',	''),
(2,	11,	'Nature product',	'Nature product',	'Nature product',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца.',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца.</p>',	''),
(2,	12,	'Fitbit',	'Fitbit',	'Fitbit',	'',	'',	''),
(2,	13,	'Britax romer',	'Britax romer',	'Britax romer',	'',	'',	''),
(2,	14,	'GARNIER',	'GARNIER',	'GARNIER',	'',	'',	''),
(2,	15,	'Haibike',	'Haibike',	'Haibike',	'',	'',	''),
(2,	16,	'Royal Canin',	'Royal Canin',	'Royal Canin',	'',	'',	''),
(3,	1,	'Puff',	'Puff',	'Puff',	'Puff',	'',	''),
(3,	2,	'Алтермо',	'Алтермо',	'Алтермо',	'Алтермо',	'',	''),
(3,	3,	'Ferroli',	'Ferroli',	'Ferroli',	'Ferroli',	'',	''),
(3,	4,	'Global',	'Global',	'Global',	'Global',	'',	''),
(3,	5,	'Atlantic',	'Atlantic',	'Atlantic',	'Atlantic',	'',	''),
(3,	6,	'Beretta',	'Beretta',	'Beretta',	'Beretta',	'',	''),
(3,	7,	'Bosch',	'Bosch',	'Bosch',	'Bosch',	'',	''),
(3,	8,	'Vaillant',	'Vaillant',	'Vaillant',	'Vaillant',	'',	''),
(3,	10,	'Organik food',	'Organik food',	'Organik food',	'',	'',	''),
(3,	11,	'Nature product',	'Nature product',	'Nature product',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца.',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца.</p>',	''),
(3,	12,	'Fitbit',	'Fitbit',	'Fitbit',	'',	'',	''),
(3,	13,	'Britax romer',	'Britax romer',	'Britax romer',	'',	'',	''),
(3,	14,	'GARNIER',	'GARNIER',	'GARNIER',	'',	'',	''),
(3,	15,	'Haibike',	'Haibike',	'Haibike',	'',	'',	''),
(3,	16,	'Royal Canin',	'Royal Canin',	'Royal Canin',	'',	'',	'');

DROP TABLE IF EXISTS `ok_lang_categories`;
CREATE TABLE `ok_lang_categories` (
  `lang_id` int(11) NOT NULL,
  `category_id` int(11) NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `name_h1` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `meta_title` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `meta_keywords` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `meta_description` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `annotation` mediumtext COLLATE utf8mb4_unicode_ci,
  `description` mediumtext COLLATE utf8mb4_unicode_ci,
  `auto_meta_title` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `auto_meta_keywords` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `auto_meta_desc` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `auto_description` mediumtext COLLATE utf8mb4_unicode_ci,
  UNIQUE KEY `lang_id` (`lang_id`,`category_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_lang_categories` (`lang_id`, `category_id`, `name`, `name_h1`, `meta_title`, `meta_keywords`, `meta_description`, `annotation`, `description`, `auto_meta_title`, `auto_meta_keywords`, `auto_meta_desc`, `auto_description`) VALUES
(1,	1,	'Мебель для дома',	'',	'Мебель для дома',	'Мебель для дома',	'Мебель для дома',	'',	'',	'',	'',	'',	''),
(1,	2,	'Кресло мешок',	'',	'Кресло мешок',	'Кресло мешок',	'Кресло мешок',	'',	'',	'',	'',	'',	''),
(1,	3,	'Техника для дома',	'',	'Техника для дома',	'Техника для дома',	'Гаджеты',	'',	'',	'',	'',	'',	''),
(1,	4,	'Смартфоны',	'',	'Смартфоны',	'Смартфоны',	'Смартфоны',	'',	'',	'',	'',	'',	''),
(1,	5,	'Meizu',	'',	'Meizu',	'Meizu',	'Meizu',	'',	'',	'',	'',	'',	''),
(1,	8,	'Xiaomi',	'',	'Xiaomi',	'Xiaomi',	'Xiaomi',	'',	'',	'',	'',	'',	''),
(1,	9,	'Детские игрушки',	'',	'Детские игрушки',	'Детские игрушки',	'Детские игрушки',	'',	'',	'',	'',	'',	''),
(1,	10,	'Мягкие игрушки',	'',	'Мягкие игрушки',	'Мягкие игрушки',	'Мягкие игрушки',	'',	'',	'',	'',	'',	''),
(1,	11,	'Детские машинки',	'',	'Детские машинки',	'Детские машинки',	'Детские машинки',	'',	'',	'',	'',	'',	''),
(1,	17,	'Товары для бизнеса',	'',	'Товары для бизнеса',	'Товары для бизнеса',	'',	'',	'',	'',	'',	'',	NULL),
(1,	18,	'Одежда, обувь и украшения',	'',	'Одежда, обувь и украшения',	'Одежда, обувь и украшения',	'',	'',	'',	'',	'',	'',	NULL),
(1,	19,	'Художественная литература',	'',	'Художественная литература',	'Художественная литература',	'',	'',	'',	'',	'',	'',	NULL),
(1,	20,	'Строительные инструменты',	'',	'Строительные инструменты',	'Строительные инструменты',	'Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim a',	'<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus</p>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus</p>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus</p>',	'<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus</p>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus</p>',	'',	'',	'',	NULL),
(1,	21,	'Товары для спорта',	'',	'Товары для спорта',	'Товары для спорта',	'',	'',	'',	'',	'',	'',	NULL),
(1,	22,	'Красота и здоровье',	'',	'Красота и здоровье',	'Красота и здоровье',	'',	'',	'',	'',	'',	'',	NULL),
(1,	23,	'Напитки и продукты',	'',	'Напитки и продукты',	'Напитки и продукты',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца.',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца.</p>',	'<p>Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу показывает, как много веб-страниц всё ещё дожидаются своего настоящего рождения. За прошедшие годы текст Lorem Ipsum получил много версий. Некоторые версии появились по ошибке, некоторые - намеренно (например, юмористические варианты).</p>',	'',	'',	'',	NULL),
(1,	24,	'Товары для животных',	'',	'Товары для животных',	'Товары для животных',	'',	'',	'',	'',	'',	'',	NULL),
(1,	26,	'Фрукты и овощи',	'',	'Фрукты и овощи',	'Фрукты и овощи',	'',	'',	'',	'',	'',	'',	NULL),
(1,	27,	'Мясо и рыба',	'',	'Мясо и рыба',	'Мясо и рыба',	'',	'',	'',	'',	'',	'',	NULL),
(1,	28,	'Бакалея',	'',	'Бакалея',	'Бакалея',	'',	'',	'',	'',	'',	'',	NULL),
(1,	29,	'Соки',	'',	'Соки',	'Соки',	'',	'',	'',	'',	'',	'',	NULL),
(1,	30,	'Алкогольные напитки',	'',	'Алкогольные напитки',	'Алкогольные напитки',	'',	'',	'',	'',	'',	'',	NULL),
(1,	31,	'Витамины',	'',	'Витамины',	'Витамины',	'',	'',	'',	'',	'',	'',	NULL),
(1,	32,	'Cтолы и стулья',	'',	'Cтолы и стулья',	'Cтолы и стулья',	'',	'',	'',	'',	'',	'',	NULL),
(1,	33,	'Обеденные столы',	'',	'Обеденные столы',	'Обеденные столы',	'',	'',	'',	'',	'',	'',	NULL),
(1,	34,	'Журнальные столы',	'',	'Журнальные столы',	'Журнальные столы',	'',	'',	'',	'',	'',	'',	NULL),
(1,	35,	'Компьютерные столы',	'',	'Компьютерные столы',	'Компьютерные столы',	'',	'',	'',	'',	'',	'',	NULL),
(1,	36,	'Офисные кресла',	'',	'Офисные кресла',	'Офисные кресла',	'',	'',	'',	'',	'',	'',	NULL),
(1,	37,	'табуреты',	'',	'табуреты',	'табуреты',	'',	'',	'',	'',	'',	'',	NULL),
(1,	38,	'Столики для ноутбуков',	'',	'Столики для ноутбуков',	'Столики для ноутбуков',	'',	'',	'',	'',	'',	'',	NULL),
(1,	39,	'Складные столы',	'',	'Складные столы',	'Складные столы',	'',	'',	'',	'',	'',	'',	NULL),
(1,	40,	'Складные стулья',	'',	'Складные стулья',	'Складные стулья',	'',	'',	'',	'',	'',	'',	NULL),
(1,	42,	'Спальня',	'',	'Спальня',	'Спальня',	'',	'',	'',	'',	'',	'',	NULL),
(1,	43,	'Комоды',	'',	'Комоды',	'Комоды',	'',	'',	'',	'',	'',	'',	NULL),
(1,	44,	'Шкафы-купе',	'',	'Шкафы-купе',	'Шкафы-купе',	'',	'',	'',	'',	'',	'',	NULL),
(1,	45,	'Кровати',	'',	'Кровати',	'Кровати',	'',	'',	'',	'',	'',	'',	NULL),
(1,	46,	'Зеркала для спальни',	'',	'Зеркала для спальни',	'Зеркала для спальни',	'',	'',	'',	'',	'',	'',	NULL),
(1,	47,	'Туалетные столики',	'',	'Туалетные столики',	'Туалетные столики',	'',	'',	'',	'',	'',	'',	NULL),
(1,	48,	'Матрасы',	'',	'Матрасы',	'Матрасы',	'',	'',	'',	'',	'',	'',	NULL),
(1,	49,	'Прикроватные тумбы',	'',	'Прикроватные тумбы',	'Прикроватные тумбы',	'',	'',	'',	'',	'',	'',	NULL),
(1,	50,	'Ванная комната',	'',	'Ванная комната',	'Ванная комната',	'',	'',	'',	'',	'',	'',	NULL),
(1,	51,	'Пеналы',	'',	'Пеналы',	'Пеналы',	'',	'',	'',	'',	'',	'',	NULL),
(1,	52,	'Тумбы для ванной',	'',	'Тумбы для ванной',	'Тумбы для ванной',	'',	'',	'',	'',	'',	'',	NULL),
(1,	53,	'Комплекты для ванной',	'',	'Комплекты для ванной',	'Комплекты для ванной',	'',	'',	'',	'',	'',	'',	NULL),
(1,	54,	'Радиаторы отопления',	'',	'Радиаторы отопления',	'Радиаторы отопления',	'',	'',	'',	'',	'',	'',	NULL),
(1,	55,	'Водонагреватели',	'',	'Водонагреватели',	'Водонагреватели',	'',	'',	'',	'',	'',	'',	NULL),
(1,	56,	'Холодильники',	'',	'Холодильники',	'Холодильники',	'',	'',	'',	'',	'',	'',	NULL),
(1,	57,	'Телевизоры',	'',	'Телевизоры',	'Телевизоры',	'',	'',	'',	'',	'',	'',	NULL),
(1,	58,	'Стиральные машины',	'',	'Стиральные машины',	'Стиральные машины',	'',	'',	'',	'',	'',	'',	NULL),
(1,	59,	'Кондиционеры',	'',	'Кондиционеры',	'Кондиционеры',	'',	'',	'',	'',	'',	'',	NULL),
(1,	60,	'Микроволновые печи',	'',	'Микроволновые печи',	'Микроволновые печи',	'',	'',	'',	'',	'',	'',	NULL),
(1,	61,	'Акустика',	'',	'Акустика',	'Акустика',	'',	'',	'',	'',	'',	'',	NULL),
(1,	62,	'Вытяжки',	'',	'Вытяжки',	'Вытяжки',	'',	'',	'',	'',	'',	'',	NULL),
(1,	63,	'Спутниковые антенны',	'',	'Спутниковые антенны',	'Спутниковые антенны',	'',	'',	'',	'',	'',	'',	NULL),
(1,	64,	'Роутеры',	'',	'Роутеры',	'Роутеры',	'',	'',	'',	'',	'',	'',	NULL),
(1,	65,	'Газовые плиты',	'',	'Газовые плиты',	'Газовые плиты',	'',	'',	'',	'',	'',	'',	NULL),
(1,	66,	'Диваны',	'',	'Диваны',	'Диваны',	'',	'',	'',	'',	'',	'',	NULL),
(1,	67,	'Samsung Galaxy',	'',	'Samsung Galaxy',	'Samsung Galaxy',	'',	'',	'',	'',	'',	'',	NULL),
(1,	68,	'Iphone',	'',	'Iphone',	'Iphone',	'',	'',	'',	'',	'',	'',	NULL),
(1,	69,	'Косметика',	'',	'Косметика',	'Косметика',	'',	'',	'',	'',	'',	'',	NULL),
(2,	1,	'Home furniture',	'',	'Home furniture',	'Home furniture',	'Home furniture',	'',	'',	'',	'',	'',	''),
(2,	2,	'Bag chair',	'',	'Bag chair',	'Bag chair',	'Bag chair',	'',	'',	'',	'',	'',	''),
(2,	3,	'Gadgets',	'',	'Gadgets',	'Gadgets',	'Gadgets',	'',	'',	'',	'',	'',	''),
(2,	4,	'Smartphones',	'',	'Smartphones',	'Smartphones',	'Smartphones',	'',	'',	'',	'',	'',	''),
(2,	5,	'Meizu',	'',	'Meizu',	'Meizu',	'Meizu',	'',	'',	'',	'',	'',	''),
(2,	8,	'Xiaomi',	'',	'Xiaomi',	'Xiaomi',	'Xiaomi',	'',	'',	'',	'',	'',	''),
(2,	9,	'Kids toys',	'',	'Kids toys',	'Kids toys',	'Kids toys',	'',	'',	'',	'',	'',	''),
(2,	10,	'Stuffed toys',	'',	'Stuffed toys',	'Stuffed toys',	'Stuffed toys',	'',	'',	'',	'',	'',	''),
(2,	11,	'Kids cars',	'',	'Kids cars',	'Kids cars',	'Kids cars',	'',	'',	'',	'',	'',	''),
(2,	17,	'Товары для бизнеса',	'',	'Товары для бизнеса',	'Товары для бизнеса',	'',	'',	'',	'',	'',	'',	NULL),
(2,	18,	'Одежда, обувь и украшения',	'',	'Одежда, обувь и украшения',	'Одежда, обувь и украшения',	'',	'',	'',	'',	'',	'',	NULL),
(2,	19,	'Книги и канцтовары',	'',	'Книги и канцтовары',	'Книги и канцтовары',	'',	'',	'',	'',	'',	'',	NULL),
(2,	20,	'Строительные инструменты',	'',	'Строительные инструменты',	'Строительные инструменты',	'',	'',	'',	'',	'',	'',	NULL),
(2,	21,	'Товары для спорта',	'',	'Товары для спорта',	'Товары для спорта',	'',	'',	'',	'',	'',	'',	NULL),
(2,	22,	'Красота и здоровье',	'',	'Красота и здоровье',	'Красота и здоровье',	'',	'',	'',	'',	'',	'',	NULL),
(2,	23,	'Детские товары',	'',	'Детские товары',	'Детские товары',	'',	'',	'',	'',	'',	'',	NULL),
(2,	24,	'Товары для животных',	'',	'Товары для животных',	'Товары для животных',	'',	'',	'',	'',	'',	'',	NULL),
(2,	26,	'Фрукты и овощи',	'',	'Фрукты и овощи',	'Фрукты и овощи',	'',	'',	'',	'',	'',	'',	NULL),
(2,	27,	'Мясо и рыба',	'',	'Мясо и рыба',	'Мясо и рыба',	'',	'',	'',	'',	'',	'',	NULL),
(2,	28,	'Бакалея',	'',	'Бакалея',	'Бакалея',	'',	'',	'',	'',	'',	'',	NULL),
(2,	29,	'Соки',	'',	'Соки',	'Соки',	'',	'',	'',	'',	'',	'',	NULL),
(2,	30,	'Алкогольные напитки',	'',	'Алкогольные напитки',	'Алкогольные напитки',	'',	'',	'',	'',	'',	'',	NULL),
(2,	31,	'Витамины',	'',	'Витамины',	'Витамины',	'',	'',	'',	'',	'',	'',	NULL),
(2,	32,	'Cтолы',	'',	'Cтолы',	'Cтолы',	'',	'',	'',	'',	'',	'',	NULL),
(2,	33,	'Обеденные столы',	'',	'Обеденные столы',	'Обеденные столы',	'',	'',	'',	'',	'',	'',	NULL),
(2,	34,	'Журнальные столы',	'',	'Журнальные столы',	'Журнальные столы',	'',	'',	'',	'',	'',	'',	NULL),
(2,	35,	'Компьютерные столы',	'',	'Компьютерные столы',	'Компьютерные столы',	'',	'',	'',	'',	'',	'',	NULL),
(2,	36,	'Офисные кресла',	'',	'Офисные кресла',	'Офисные кресла',	'',	'',	'',	'',	'',	'',	NULL),
(2,	37,	'табуреты',	'',	'табуреты',	'табуреты',	'',	'',	'',	'',	'',	'',	NULL),
(2,	38,	'Столики для ноутбуков',	'',	'Столики для ноутбуков',	'Столики для ноутбуков',	'',	'',	'',	'',	'',	'',	NULL),
(2,	39,	'Шезлонги',	'',	'Шезлонги',	'Шезлонги',	'',	'',	'',	'',	'',	'',	NULL),
(2,	40,	'Складная мебель',	'',	'Складная мебель',	'Складная мебель',	'',	'',	'',	'',	'',	'',	NULL),
(2,	42,	'Для спальни',	'',	'Для спальни',	'Для спальни',	'',	'',	'',	'',	'',	'',	NULL),
(2,	43,	'Комоды',	'',	'Комоды',	'Комоды',	'',	'',	'',	'',	'',	'',	NULL),
(2,	44,	'Шкафы-купе',	'',	'Шкафы-купе',	'Шкафы-купе',	'',	'',	'',	'',	'',	'',	NULL),
(2,	45,	'Кровати',	'',	'Кровати',	'Кровати',	'',	'',	'',	'',	'',	'',	NULL),
(2,	46,	'Зеркала для спальни',	'',	'Зеркала для спальни',	'Зеркала для спальни',	'',	'',	'',	'',	'',	'',	NULL),
(2,	47,	'Туалетные столики',	'',	'Туалетные столики',	'Туалетные столики',	'',	'',	'',	'',	'',	'',	NULL),
(2,	48,	'Матрасы',	'',	'Матрасы',	'Матрасы',	'',	'',	'',	'',	'',	'',	NULL),
(2,	49,	'Прикроватные тумбы',	'',	'Прикроватные тумбы',	'Прикроватные тумбы',	'',	'',	'',	'',	'',	'',	NULL),
(2,	50,	'Ваннаа комната',	'',	'Ваннаа комната',	'Ваннаа комната',	'',	'',	'',	'',	'',	'',	NULL),
(2,	51,	'Пеналы',	'',	'Пеналы',	'Пеналы',	'',	'',	'',	'',	'',	'',	NULL),
(2,	52,	'Тумбы для ванной',	'',	'Тумбы для ванной',	'Тумбы для ванной',	'',	'',	'',	'',	'',	'',	NULL),
(2,	53,	'Комплекты для ванной',	'',	'Комплекты для ванной',	'Комплекты для ванной',	'',	'',	'',	'',	'',	'',	NULL),
(2,	54,	'Радиаторы отопления',	'',	'Радиаторы отопления',	'Радиаторы отопления',	'',	'',	'',	'',	'',	'',	NULL),
(2,	55,	'Водонагреватели',	'',	'Водонагреватели',	'Водонагреватели',	'',	'',	'',	'',	'',	'',	NULL),
(2,	56,	'Холодильники',	'',	'Холодильники',	'Холодильники',	'',	'',	'',	'',	'',	'',	NULL),
(2,	57,	'Телевизоры',	'',	'Телевизоры',	'Телевизоры',	'',	'',	'',	'',	'',	'',	NULL),
(2,	58,	'Стиральные машины',	'',	'Стиральные машины',	'Стиральные машины',	'',	'',	'',	'',	'',	'',	NULL),
(2,	59,	'Кондиционеры',	'',	'Кондиционеры',	'Кондиционеры',	'',	'',	'',	'',	'',	'',	NULL),
(2,	60,	'Микроволновые печи',	'',	'Микроволновые печи',	'Микроволновые печи',	'',	'',	'',	'',	'',	'',	NULL),
(2,	61,	'Акустика',	'',	'Акустика',	'Акустика',	'',	'',	'',	'',	'',	'',	NULL),
(2,	62,	'Вытяжки',	'',	'Вытяжки',	'Вытяжки',	'',	'',	'',	'',	'',	'',	NULL),
(2,	63,	'Спутниковые антенны',	'',	'Спутниковые антенны',	'Спутниковые антенны',	'',	'',	'',	'',	'',	'',	NULL),
(2,	64,	'Роутеры',	'',	'Роутеры',	'Роутеры',	'',	'',	'',	'',	'',	'',	NULL),
(2,	65,	'Газовые плиты',	'',	'Газовые плиты',	'Газовые плиты',	'',	'',	'',	'',	'',	'',	NULL),
(2,	66,	'Диваны',	'',	'Диваны',	'Диваны',	'',	'',	'',	'',	'',	'',	NULL),
(2,	67,	'Samsung Galaxy',	'',	'Samsung Galaxy',	'Samsung Galaxy',	'',	'',	'',	'',	'',	'',	NULL),
(2,	68,	'Iphone',	'',	'Iphone',	'Iphone',	'',	'',	'',	'',	'',	'',	NULL),
(2,	69,	'Косметика',	'',	'Косметика',	'Косметика',	'',	'',	'',	'',	'',	'',	NULL),
(3,	1,	'Меблі для дому',	'',	'Меблі для дому',	'Меблі для дому',	'Меблі для дому',	'',	'',	'',	'',	'',	''),
(3,	2,	'Крісло мішок',	'',	'Крісло мішок',	'Крісло мішок',	'Крісло мішок',	'',	'',	'',	'',	'',	''),
(3,	3,	'Гаджети',	'',	'Гаджети',	'Гаджети',	'Гаджети',	'',	'',	'',	'',	'',	''),
(3,	4,	'Смартфони',	'',	'Смартфони',	'Смартфони',	'Смартфони',	'',	'',	'',	'',	'',	''),
(3,	5,	'Meizu',	'',	'Meizu',	'Meizu',	'Meizu',	'',	'',	'',	'',	'',	''),
(3,	8,	'Xiaomi',	'',	'Xiaomi',	'Xiaomi',	'Xiaomi',	'',	'',	'',	'',	'',	''),
(3,	9,	'Дитячі іграшки',	'',	'Дитячі іграшки',	'Дитячі іграшки',	'Дитячі іграшки',	'',	'',	'',	'',	'',	''),
(3,	10,	'М\'які іграшки',	'',	'М\'які іграшки',	'М\'які іграшки',	'М\'які іграшки',	'',	'',	'',	'',	'',	''),
(3,	11,	'Дитячі машинки',	'',	'Дитячі машинки',	'Дитячі машинки',	'Дитячі машинки',	'',	'',	'',	'',	'',	''),
(3,	17,	'Товары для бизнеса',	'',	'Товары для бизнеса',	'Товары для бизнеса',	'',	'',	'',	'',	'',	'',	NULL),
(3,	18,	'Одежда, обувь и украшения',	'',	'Одежда, обувь и украшения',	'Одежда, обувь и украшения',	'',	'',	'',	'',	'',	'',	NULL),
(3,	19,	'Книги и канцтовары',	'',	'Книги и канцтовары',	'Книги и канцтовары',	'',	'',	'',	'',	'',	'',	NULL),
(3,	20,	'Строительные инструменты',	'',	'Строительные инструменты',	'Строительные инструменты',	'',	'',	'',	'',	'',	'',	NULL),
(3,	21,	'Товары для спорта',	'',	'Товары для спорта',	'Товары для спорта',	'',	'',	'',	'',	'',	'',	NULL),
(3,	22,	'Красота и здоровье',	'',	'Красота и здоровье',	'Красота и здоровье',	'',	'',	'',	'',	'',	'',	NULL),
(3,	23,	'Детские товары',	'',	'Детские товары',	'Детские товары',	'',	'',	'',	'',	'',	'',	NULL),
(3,	24,	'Товары для животных',	'',	'Товары для животных',	'Товары для животных',	'',	'',	'',	'',	'',	'',	NULL),
(3,	26,	'Фрукты и овощи',	'',	'Фрукты и овощи',	'Фрукты и овощи',	'',	'',	'',	'',	'',	'',	NULL),
(3,	27,	'Мясо и рыба',	'',	'Мясо и рыба',	'Мясо и рыба',	'',	'',	'',	'',	'',	'',	NULL),
(3,	28,	'Бакалея',	'',	'Бакалея',	'Бакалея',	'',	'',	'',	'',	'',	'',	NULL),
(3,	29,	'Соки',	'',	'Соки',	'Соки',	'',	'',	'',	'',	'',	'',	NULL),
(3,	30,	'Алкогольные напитки',	'',	'Алкогольные напитки',	'Алкогольные напитки',	'',	'',	'',	'',	'',	'',	NULL),
(3,	31,	'Витамины',	'',	'Витамины',	'Витамины',	'',	'',	'',	'',	'',	'',	NULL),
(3,	32,	'Cтолы',	'',	'Cтолы',	'Cтолы',	'',	'',	'',	'',	'',	'',	NULL),
(3,	33,	'Обеденные столы',	'',	'Обеденные столы',	'Обеденные столы',	'',	'',	'',	'',	'',	'',	NULL),
(3,	34,	'Журнальные столы',	'',	'Журнальные столы',	'Журнальные столы',	'',	'',	'',	'',	'',	'',	NULL),
(3,	35,	'Компьютерные столы',	'',	'Компьютерные столы',	'Компьютерные столы',	'',	'',	'',	'',	'',	'',	NULL),
(3,	36,	'Офисные кресла',	'',	'Офисные кресла',	'Офисные кресла',	'',	'',	'',	'',	'',	'',	NULL),
(3,	37,	'табуреты',	'',	'табуреты',	'табуреты',	'',	'',	'',	'',	'',	'',	NULL),
(3,	38,	'Столики для ноутбуков',	'',	'Столики для ноутбуков',	'Столики для ноутбуков',	'',	'',	'',	'',	'',	'',	NULL),
(3,	39,	'Шезлонги',	'',	'Шезлонги',	'Шезлонги',	'',	'',	'',	'',	'',	'',	NULL),
(3,	40,	'Складная мебель',	'',	'Складная мебель',	'Складная мебель',	'',	'',	'',	'',	'',	'',	NULL),
(3,	42,	'Для спальни',	'',	'Для спальни',	'Для спальни',	'',	'',	'',	'',	'',	'',	NULL),
(3,	43,	'Комоды',	'',	'Комоды',	'Комоды',	'',	'',	'',	'',	'',	'',	NULL),
(3,	44,	'Шкафы-купе',	'',	'Шкафы-купе',	'Шкафы-купе',	'',	'',	'',	'',	'',	'',	NULL),
(3,	45,	'Кровати',	'',	'Кровати',	'Кровати',	'',	'',	'',	'',	'',	'',	NULL),
(3,	46,	'Зеркала для спальни',	'',	'Зеркала для спальни',	'Зеркала для спальни',	'',	'',	'',	'',	'',	'',	NULL),
(3,	47,	'Туалетные столики',	'',	'Туалетные столики',	'Туалетные столики',	'',	'',	'',	'',	'',	'',	NULL),
(3,	48,	'Матрасы',	'',	'Матрасы',	'Матрасы',	'',	'',	'',	'',	'',	'',	NULL),
(3,	49,	'Прикроватные тумбы',	'',	'Прикроватные тумбы',	'Прикроватные тумбы',	'',	'',	'',	'',	'',	'',	NULL),
(3,	50,	'Ваннаа комната',	'',	'Ваннаа комната',	'Ваннаа комната',	'',	'',	'',	'',	'',	'',	NULL),
(3,	51,	'Пеналы',	'',	'Пеналы',	'Пеналы',	'',	'',	'',	'',	'',	'',	NULL),
(3,	52,	'Тумбы для ванной',	'',	'Тумбы для ванной',	'Тумбы для ванной',	'',	'',	'',	'',	'',	'',	NULL),
(3,	53,	'Комплекты для ванной',	'',	'Комплекты для ванной',	'Комплекты для ванной',	'',	'',	'',	'',	'',	'',	NULL),
(3,	54,	'Радиаторы отопления',	'',	'Радиаторы отопления',	'Радиаторы отопления',	'',	'',	'',	'',	'',	'',	NULL),
(3,	55,	'Водонагреватели',	'',	'Водонагреватели',	'Водонагреватели',	'',	'',	'',	'',	'',	'',	NULL),
(3,	56,	'Холодильники',	'',	'Холодильники',	'Холодильники',	'',	'',	'',	'',	'',	'',	NULL),
(3,	57,	'Телевизоры',	'',	'Телевизоры',	'Телевизоры',	'',	'',	'',	'',	'',	'',	NULL),
(3,	58,	'Стиральные машины',	'',	'Стиральные машины',	'Стиральные машины',	'',	'',	'',	'',	'',	'',	NULL),
(3,	59,	'Кондиционеры',	'',	'Кондиционеры',	'Кондиционеры',	'',	'',	'',	'',	'',	'',	NULL),
(3,	60,	'Микроволновые печи',	'',	'Микроволновые печи',	'Микроволновые печи',	'',	'',	'',	'',	'',	'',	NULL),
(3,	61,	'Акустика',	'',	'Акустика',	'Акустика',	'',	'',	'',	'',	'',	'',	NULL),
(3,	62,	'Вытяжки',	'',	'Вытяжки',	'Вытяжки',	'',	'',	'',	'',	'',	'',	NULL),
(3,	63,	'Спутниковые антенны',	'',	'Спутниковые антенны',	'Спутниковые антенны',	'',	'',	'',	'',	'',	'',	NULL),
(3,	64,	'Роутеры',	'',	'Роутеры',	'Роутеры',	'',	'',	'',	'',	'',	'',	NULL),
(3,	65,	'Газовые плиты',	'',	'Газовые плиты',	'Газовые плиты',	'',	'',	'',	'',	'',	'',	NULL),
(3,	66,	'Диваны',	'',	'Диваны',	'Диваны',	'',	'',	'',	'',	'',	'',	NULL),
(3,	67,	'Samsung Galaxy',	'',	'Samsung Galaxy',	'Samsung Galaxy',	'',	'',	'',	'',	'',	'',	NULL),
(3,	68,	'Iphone',	'',	'Iphone',	'Iphone',	'',	'',	'',	'',	'',	'',	NULL),
(3,	69,	'Косметика',	'',	'Косметика',	'Косметика',	'',	'',	'',	'',	'',	'',	NULL);

DROP TABLE IF EXISTS `ok_lang_currencies`;
CREATE TABLE `ok_lang_currencies` (
  `lang_id` int(11) NOT NULL,
  `currency_id` int(11) NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `sign` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  UNIQUE KEY `lang_id` (`lang_id`,`currency_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_lang_currencies` (`lang_id`, `currency_id`, `name`, `sign`) VALUES
(1,	1,	'доллары',	'$'),
(1,	2,	'рубли',	'руб'),
(1,	4,	'гривны',	'грн'),
(2,	1,	'dollars',	'$'),
(2,	2,	'rubles',	'rub'),
(2,	4,	'hryvnia',	'грн'),
(3,	1,	'долари',	'$'),
(3,	2,	'рублі',	'руб'),
(3,	4,	'гривні',	'грн');

DROP TABLE IF EXISTS `ok_lang_deliveries`;
CREATE TABLE `ok_lang_deliveries` (
  `lang_id` int(11) NOT NULL,
  `delivery_id` int(11) NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `description` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  UNIQUE KEY `lang_id` (`lang_id`,`delivery_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_lang_deliveries` (`lang_id`, `delivery_id`, `name`, `description`) VALUES
(1,	1,	'Курьерская доставка по городу',	'<p>Курьерская доставка осуществляется службой компаний-перевозчиков города. Ваш заказ будет отправлен на следующий день после заказа. Доставка занимает от 1 до 3 дней.</p>'),
(1,	2,	'Самовывоз',	'<p>Удобный, бесплатный и быстрый способ получения заказа.</p>\r\n<p>Адрес офиса: Москва, ул. Космонавта Волкова 14</p>'),
(2,	1,	'Courier delivery in the city',	'<p>Courier delivery is carried out by the service of the carrier companies of the city. Your order will be shipped the day after the order. Delivery takes from 1 to 3 days.</p>'),
(2,	2,	'Pickup',	'<p>Convenient, free and fast way to receive an order.</p>\r\n<p>Office address: Moscow, st. Cosmonaut Volkov 14</p>'),
(3,	1,	'Кур\'єрська доставка по місту',	'<p>Кур\'єрська доставка здійснюється службою компаній-перевізників міста. Ваше замовлення буде відправлений на наступний день після замовлення. Доставка займає від 1 до 3 днів.</p>'),
(3,	2,	'Самовивіз',	'<p>Зручний, безкоштовний і швидкий спосіб отримання замовлення.</p>\r\n<p>Місцезнаходження компанії: Москва, вул. Космонавта Волкова 14</p>');

DROP TABLE IF EXISTS `ok_lang_features`;
CREATE TABLE `ok_lang_features` (
  `lang_id` int(11) NOT NULL,
  `feature_id` int(11) NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `description` mediumtext COLLATE utf8mb4_unicode_ci,
  UNIQUE KEY `lang_id` (`lang_id`,`feature_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_lang_features` (`lang_id`, `feature_id`, `name`, `description`) VALUES
(1,	1,	'Вес',	NULL),
(1,	2,	'Высота',	NULL),
(1,	3,	'Диаметр',	NULL),
(1,	4,	'Ткань',	NULL),
(1,	5,	'Предназначение',	NULL),
(1,	6,	'Наполнитель',	NULL),
(1,	7,	'Количество наполнителя',	NULL),
(1,	8,	'Объемный вес для транспортных компаний',	NULL),
(1,	9,	'Производство ',	NULL),
(1,	10,	'Серия',	NULL),
(1,	11,	'Диагональ',	NULL),
(1,	12,	'Тип экрана',	NULL),
(1,	13,	'Разрешение экрана',	NULL),
(1,	14,	'Система',	NULL),
(1,	15,	'Количество ядер',	NULL),
(1,	16,	'Процессор',	NULL),
(1,	17,	'Частота процессора',	NULL),
(1,	18,	'Оперативная память',	NULL),
(1,	19,	'Встроенная память',	NULL),
(1,	20,	'Поддержка SD карт',	NULL),
(1,	21,	'Sim-карт',	NULL),
(1,	22,	'Размеры SIM',	NULL),
(1,	23,	'GSM (2G)',	NULL),
(1,	24,	'3G',	NULL),
(1,	25,	'LTE (4G)',	NULL),
(1,	26,	'WCDMA',	NULL),
(1,	27,	'Основная камера',	NULL),
(1,	28,	'Фронтальная камера',	NULL),
(1,	29,	'Вспышка',	NULL),
(1,	30,	'Bluetooth',	NULL),
(1,	31,	'GPS',	NULL),
(1,	32,	'A-GPS',	NULL),
(1,	33,	'Wi-Fi',	NULL),
(1,	34,	'ИК порт',	NULL),
(1,	35,	'Разъемы',	NULL),
(1,	36,	'Аккумулятор',	NULL),
(1,	37,	'Размеры',	NULL),
(1,	38,	'Цвет',	NULL),
(1,	39,	'Wi-Fi Hotspot',	NULL),
(1,	40,	'Сканер отпечатков пальцев',	NULL),
(1,	41,	'3G (UMTS)',	NULL),
(1,	42,	'Возраст',	NULL),
(1,	43,	'Пол',	NULL),
(1,	44,	'Комплектация',	NULL),
(1,	45,	'Материал',	NULL),
(1,	46,	'Размеры упаковки',	NULL),
(1,	47,	'Размер игрушки',	NULL),
(1,	48,	'Страна производитель',	NULL),
(1,	49,	'Тепловая мощность',	NULL),
(1,	50,	'Максимальная температура теплоносителя',	NULL),
(1,	51,	'Максимальное рабочее давление',	NULL),
(1,	52,	'Конструкция радиатора',	NULL),
(1,	53,	'Способ подключения',	NULL),
(1,	54,	'Кол-во секций в радиаторе',	NULL),
(1,	55,	'Объем воды в радиаторе',	NULL),
(1,	56,	'Опрессовочное давление',	NULL),
(1,	57,	'Способ установки',	NULL),
(1,	58,	'Номинальный объем водонагревателя',	NULL),
(1,	59,	'Положение установки',	NULL),
(1,	60,	'Форма',	NULL),
(1,	61,	'Мощность ТЭНа',	NULL),
(1,	62,	'Гарантия',	NULL),
(1,	63,	'Тип нагревательного элемента (ТЭНа)',	NULL),
(1,	64,	'Мощность',	NULL),
(1,	65,	'Отвод газов',	NULL),
(1,	66,	'Тип розжига',	NULL),
(1,	67,	'Производительность',	NULL),
(1,	68,	'Производительность ГВС',	NULL),
(1,	69,	'Модуляция мощности',	NULL),
(1,	70,	'Вес (кг)',	NULL),
(1,	71,	'Объем (м3)',	NULL),
(1,	72,	'Габариты В.Ш.Г. (мм.)',	NULL),
(1,	73,	'Мин. давление газа',	NULL),
(1,	74,	'Страна',	NULL),
(1,	75,	'Вид мяса',	NULL),
(1,	76,	'Производитель',	NULL),
(1,	77,	'Количество мест',	NULL),
(1,	78,	'Высота сиденья',	NULL),
(1,	79,	'Водонепронецаемый',	NULL),
(1,	80,	'Автор',	NULL),
(1,	81,	'Язык',	NULL),
(1,	82,	'Оригинальное название',	NULL),
(1,	83,	'Обложка',	NULL),
(1,	84,	'Страниц',	NULL),
(1,	85,	'Иллюстрации',	NULL),
(1,	86,	'Год издания',	NULL),
(1,	87,	'Рубрика',	NULL),
(1,	88,	'тип товара',	NULL),
(1,	89,	'диаметр колеса',	NULL),
(1,	90,	'длина хода вилки',	NULL),
(1,	91,	'вилка',	NULL),
(1,	92,	'материал рамы',	NULL),
(1,	93,	'задний переключатель',	NULL),
(1,	94,	'тип заднего амортизатора',	NULL),
(1,	95,	'тип тормозов',	NULL),
(1,	96,	'Операционная сиситема',	NULL),
(1,	97,	'Память',	NULL),
(1,	98,	'Дисплей',	NULL),
(1,	99,	'Клавиатура',	NULL),
(1,	100,	'Параметры сканера',	NULL),
(1,	101,	'Тип штрих-кодов',	NULL),
(1,	102,	'PTT',	NULL),
(1,	103,	'Датчик',	NULL),
(1,	104,	'Пылевлагозащита',	NULL),
(1,	105,	'Ударопрочность',	NULL),
(1,	106,	'Рабочая температура',	NULL),
(1,	107,	'Габариты (мм)',	NULL),
(1,	108,	'Ширина бумаги',	NULL),
(1,	109,	'Тип корма',	NULL),
(1,	110,	'Назначение корма',	NULL),
(1,	111,	'Порода',	NULL),
(1,	112,	'Класс корма',	NULL),
(1,	113,	'Монтаж',	NULL),
(1,	114,	'Дверцы',	NULL),
(1,	115,	'Габариты',	NULL),
(2,	1,	'Вес',	NULL),
(2,	2,	'Высота',	NULL),
(2,	3,	'Диаметр',	NULL),
(2,	4,	'Ткань',	NULL),
(2,	5,	'Предназначение',	NULL),
(2,	6,	'Наполнитель',	NULL),
(2,	7,	'Количество наполнителя',	NULL),
(2,	8,	'Объемный вес для транспортных компаний',	NULL),
(2,	9,	'Производство ',	NULL),
(2,	10,	'Серия',	NULL),
(2,	11,	'Диагональ',	NULL),
(2,	12,	'Тип экрана',	NULL),
(2,	13,	'Разрешение экрана',	NULL),
(2,	14,	'Система',	NULL),
(2,	15,	'Количество ядер',	NULL),
(2,	16,	'Процессор',	NULL),
(2,	17,	'Частота процессора',	NULL),
(2,	18,	'Оперативная память',	NULL),
(2,	19,	'Встроенная память',	NULL),
(2,	20,	'Поддержка SD карт',	NULL),
(2,	21,	'Sim-карт',	NULL),
(2,	22,	'Размеры SIM',	NULL),
(2,	23,	'GSM (2G)',	NULL),
(2,	24,	'3G',	NULL),
(2,	25,	'LTE (4G)',	NULL),
(2,	26,	'WCDMA',	NULL),
(2,	27,	'Основная камера',	NULL),
(2,	28,	'Фронтальная камера',	NULL),
(2,	29,	'Вспышка',	NULL),
(2,	30,	'Bluetooth',	NULL),
(2,	31,	'GPS',	NULL),
(2,	32,	'A-GPS',	NULL),
(2,	33,	'Wi-Fi',	NULL),
(2,	34,	'ИК порт',	NULL),
(2,	35,	'Разъемы',	NULL),
(2,	36,	'Аккумулятор',	NULL),
(2,	37,	'Размеры',	NULL),
(2,	38,	'Цвет',	NULL),
(2,	39,	'Wi-Fi Hotspot',	NULL),
(2,	40,	'Сканер отпечатков пальцев',	NULL),
(2,	41,	'3G (UMTS)',	NULL),
(2,	42,	'Возраст',	NULL),
(2,	43,	'Пол',	NULL),
(2,	44,	'Комплектация',	NULL),
(2,	45,	'Материал',	NULL),
(2,	46,	'Размеры упаковки',	NULL),
(2,	47,	'Размер игрушки',	NULL),
(2,	48,	'Страна производитель',	NULL),
(2,	49,	'Тепловая мощность',	NULL),
(2,	50,	'Максимальная температура теплоносителя',	NULL),
(2,	51,	'Максимальное рабочее давление',	NULL),
(2,	52,	'Конструкция радиатора',	NULL),
(2,	53,	'Способ подключения',	NULL),
(2,	54,	'Кол-во секций в радиаторе',	NULL),
(2,	55,	'Объем воды в радиаторе',	NULL),
(2,	56,	'Опрессовочное давление',	NULL),
(2,	57,	'Способ установки',	NULL),
(2,	58,	'Номинальный объем водонагревателя',	NULL),
(2,	59,	'Положение установки',	NULL),
(2,	60,	'Форма',	NULL),
(2,	61,	'Мощность ТЭНа',	NULL),
(2,	62,	'Гарантия',	NULL),
(2,	63,	'Тип нагревательного элемента (ТЭНа)',	NULL),
(2,	64,	'Мощность',	NULL),
(2,	65,	'Отвод газов',	NULL),
(2,	66,	'Тип розжига',	NULL),
(2,	67,	'Производительность',	NULL),
(2,	68,	'Производительность ГВС',	NULL),
(2,	69,	'Модуляция мощности',	NULL),
(2,	70,	'Вес (кг)',	NULL),
(2,	71,	'Объем (м3)',	NULL),
(2,	72,	'Габариты В.Ш.Г. (мм.)',	NULL),
(2,	73,	'Мин. давление газа',	NULL),
(2,	74,	'Страна',	NULL),
(2,	75,	'Вид мяса',	NULL),
(2,	76,	'Производитель',	NULL),
(2,	77,	'Количество мест',	NULL),
(2,	78,	'Высота сиденья',	NULL),
(2,	79,	'Водонепронецаемый',	NULL),
(2,	80,	'Автор',	NULL),
(2,	81,	'Язык',	NULL),
(2,	82,	'Оригинальное название',	NULL),
(2,	83,	'Обложка',	NULL),
(2,	84,	'Страниц',	NULL),
(2,	85,	'Иллюстрации',	NULL),
(2,	86,	'Год издания',	NULL),
(2,	87,	'Рубрика',	NULL),
(2,	88,	'тип товара',	NULL),
(2,	89,	'диаметр колеса',	NULL),
(2,	90,	'длина хода вилки',	NULL),
(2,	91,	'вилка',	NULL),
(2,	92,	'материал рамы',	NULL),
(2,	93,	'задний переключатель',	NULL),
(2,	94,	'тип заднего амортизатора',	NULL),
(2,	95,	'тип тормозов',	NULL),
(2,	96,	'Операционная сиситема',	NULL),
(2,	97,	'Память',	NULL),
(2,	98,	'Дисплей',	NULL),
(2,	99,	'Клавиатура',	NULL),
(2,	100,	'Параметры сканера',	NULL),
(2,	101,	'Тип штрих-кодов',	NULL),
(2,	102,	'PTT',	NULL),
(2,	103,	'Датчик',	NULL),
(2,	104,	'Пылевлагозащита',	NULL),
(2,	105,	'Ударопрочность',	NULL),
(2,	106,	'Рабочая температура',	NULL),
(2,	107,	'Габариты (мм)',	NULL),
(2,	108,	'Ширина бумаги',	NULL),
(2,	109,	'Тип корма',	NULL),
(2,	110,	'Назначение корма',	NULL),
(2,	111,	'Порода',	NULL),
(2,	112,	'Класс корма',	NULL),
(2,	113,	'Монтаж',	NULL),
(2,	114,	'Дверцы',	NULL),
(2,	115,	'Габариты',	NULL),
(3,	1,	'Вес',	NULL),
(3,	2,	'Высота',	NULL),
(3,	3,	'Диаметр',	NULL),
(3,	4,	'Ткань',	NULL),
(3,	5,	'Предназначение',	NULL),
(3,	6,	'Наполнитель',	NULL),
(3,	7,	'Количество наполнителя',	NULL),
(3,	8,	'Объемный вес для транспортных компаний',	NULL),
(3,	9,	'Производство ',	NULL),
(3,	10,	'Серия',	NULL),
(3,	11,	'Диагональ',	NULL),
(3,	12,	'Тип экрана',	NULL),
(3,	13,	'Разрешение экрана',	NULL),
(3,	14,	'Система',	NULL),
(3,	15,	'Количество ядер',	NULL),
(3,	16,	'Процессор',	NULL),
(3,	17,	'Частота процессора',	NULL),
(3,	18,	'Оперативная память',	NULL),
(3,	19,	'Встроенная память',	NULL),
(3,	20,	'Поддержка SD карт',	NULL),
(3,	21,	'Sim-карт',	NULL),
(3,	22,	'Размеры SIM',	NULL),
(3,	23,	'GSM (2G)',	NULL),
(3,	24,	'3G',	NULL),
(3,	25,	'LTE (4G)',	NULL),
(3,	26,	'WCDMA',	NULL),
(3,	27,	'Основная камера',	NULL),
(3,	28,	'Фронтальная камера',	NULL),
(3,	29,	'Вспышка',	NULL),
(3,	30,	'Bluetooth',	NULL),
(3,	31,	'GPS',	NULL),
(3,	32,	'A-GPS',	NULL),
(3,	33,	'Wi-Fi',	NULL),
(3,	34,	'ИК порт',	NULL),
(3,	35,	'Разъемы',	NULL),
(3,	36,	'Аккумулятор',	NULL),
(3,	37,	'Размеры',	NULL),
(3,	38,	'Цвет',	NULL),
(3,	39,	'Wi-Fi Hotspot',	NULL),
(3,	40,	'Сканер отпечатков пальцев',	NULL),
(3,	41,	'3G (UMTS)',	NULL),
(3,	42,	'Возраст',	NULL),
(3,	43,	'Пол',	NULL),
(3,	44,	'Комплектация',	NULL),
(3,	45,	'Материал',	NULL),
(3,	46,	'Размеры упаковки',	NULL),
(3,	47,	'Размер игрушки',	NULL),
(3,	48,	'Страна производитель',	NULL),
(3,	49,	'Тепловая мощность',	NULL),
(3,	50,	'Максимальная температура теплоносителя',	NULL),
(3,	51,	'Максимальное рабочее давление',	NULL),
(3,	52,	'Конструкция радиатора',	NULL),
(3,	53,	'Способ подключения',	NULL),
(3,	54,	'Кол-во секций в радиаторе',	NULL),
(3,	55,	'Объем воды в радиаторе',	NULL),
(3,	56,	'Опрессовочное давление',	NULL),
(3,	57,	'Способ установки',	NULL),
(3,	58,	'Номинальный объем водонагревателя',	NULL),
(3,	59,	'Положение установки',	NULL),
(3,	60,	'Форма',	NULL),
(3,	61,	'Мощность ТЭНа',	NULL),
(3,	62,	'Гарантия',	NULL),
(3,	63,	'Тип нагревательного элемента (ТЭНа)',	NULL),
(3,	64,	'Мощность',	NULL),
(3,	65,	'Отвод газов',	NULL),
(3,	66,	'Тип розжига',	NULL),
(3,	67,	'Производительность',	NULL),
(3,	68,	'Производительность ГВС',	NULL),
(3,	69,	'Модуляция мощности',	NULL),
(3,	70,	'Вес (кг)',	NULL),
(3,	71,	'Объем (м3)',	NULL),
(3,	72,	'Габариты В.Ш.Г. (мм.)',	NULL),
(3,	73,	'Мин. давление газа',	NULL),
(3,	74,	'Страна',	NULL),
(3,	75,	'Вид мяса',	NULL),
(3,	76,	'Производитель',	NULL),
(3,	77,	'Количество мест',	NULL),
(3,	78,	'Высота сиденья',	NULL),
(3,	79,	'Водонепронецаемый',	NULL),
(3,	80,	'Автор',	NULL),
(3,	81,	'Язык',	NULL),
(3,	82,	'Оригинальное название',	NULL),
(3,	83,	'Обложка',	NULL),
(3,	84,	'Страниц',	NULL),
(3,	85,	'Иллюстрации',	NULL),
(3,	86,	'Год издания',	NULL),
(3,	87,	'Рубрика',	NULL),
(3,	88,	'тип товара',	NULL),
(3,	89,	'диаметр колеса',	NULL),
(3,	90,	'длина хода вилки',	NULL),
(3,	91,	'вилка',	NULL),
(3,	92,	'материал рамы',	NULL),
(3,	93,	'задний переключатель',	NULL),
(3,	94,	'тип заднего амортизатора',	NULL),
(3,	95,	'тип тормозов',	NULL),
(3,	96,	'Операционная сиситема',	NULL),
(3,	97,	'Память',	NULL),
(3,	98,	'Дисплей',	NULL),
(3,	99,	'Клавиатура',	NULL),
(3,	100,	'Параметры сканера',	NULL),
(3,	101,	'Тип штрих-кодов',	NULL),
(3,	102,	'PTT',	NULL),
(3,	103,	'Датчик',	NULL),
(3,	104,	'Пылевлагозащита',	NULL),
(3,	105,	'Ударопрочность',	NULL),
(3,	106,	'Рабочая температура',	NULL),
(3,	107,	'Габариты (мм)',	NULL),
(3,	108,	'Ширина бумаги',	NULL),
(3,	109,	'Тип корма',	NULL),
(3,	110,	'Назначение корма',	NULL),
(3,	111,	'Порода',	NULL),
(3,	112,	'Класс корма',	NULL),
(3,	113,	'Монтаж',	NULL),
(3,	114,	'Дверцы',	NULL),
(3,	115,	'Габариты',	NULL);

DROP TABLE IF EXISTS `ok_lang_features_aliases`;
CREATE TABLE `ok_lang_features_aliases` (
  `lang_id` tinyint(11) NOT NULL,
  `feature_alias_id` int(11) NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  UNIQUE KEY `lang_id_feature_alias_id` (`lang_id`,`feature_alias_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;


DROP TABLE IF EXISTS `ok_lang_features_aliases_values`;
CREATE TABLE `ok_lang_features_aliases_values` (
  `lang_id` int(11) NOT NULL,
  `feature_alias_value_id` int(11) NOT NULL,
  `value` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  UNIQUE KEY `lang_id_feature_alias_value_id` (`lang_id`,`feature_alias_value_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;


DROP TABLE IF EXISTS `ok_lang_features_values`;
CREATE TABLE `ok_lang_features_values` (
  `lang_id` int(11) NOT NULL,
  `feature_value_id` int(11) NOT NULL,
  `value` varchar(1024) COLLATE utf8mb4_unicode_ci NOT NULL,
  `translit` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  KEY `lang_id` (`lang_id`),
  KEY `feature_value_id` (`feature_value_id`),
  KEY `value` (`value`(100)),
  KEY `translit_feature_id_lang_id` (`translit`(100),`lang_id`),
  KEY `translit` (`translit`(100))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_lang_features_values` (`lang_id`, `feature_value_id`, `value`, `translit`) VALUES
(1,	1,	'0.04',	'0d04'),
(1,	2,	'0.05',	'0d05'),
(1,	3,	'0.06',	'0d06'),
(1,	4,	'0.15бар',	'0d15bar'),
(1,	5,	'0.1бар',	'0d1bar'),
(1,	6,	'0.25 м3',	'0d25spm3'),
(1,	7,	'0.35л.',	'0d35ld'),
(1,	8,	'0.37л',	'0d37l'),
(1,	9,	'0.5л.',	'0d5ld'),
(1,	10,	'4.2',	'4d2'),
(1,	11,	'4.1',	'4d1'),
(1,	12,	'1 ГБ',	'1spgb'),
(1,	13,	'1 машинка',	'1spmashinka'),
(1,	14,	'1.0 Ггц',	'1d0spggts'),
(1,	15,	'1.1 ГГц',	'1d1spggts'),
(1,	16,	'1.2 ГГц',	'1d2spggts'),
(1,	17,	'1.4 ГГц',	'1d4spggts'),
(1,	18,	'1.5 ГГц',	'1d5spggts'),
(1,	19,	'1.5кВт.',	'1d5kvtd'),
(1,	20,	'1.7 ГГц',	'1d7spggts'),
(1,	21,	'1.8 ГГц',	'1d8spggts'),
(1,	22,	'10',	'10'),
(1,	23,	'10',	'10'),
(1,	24,	'10 (8- Cortex-A53 / 2- A72)',	'10splb8mspcortexma53spfsp2mspa72rb'),
(1,	25,	'10 секц.',	'10spsektsd'),
(1,	26,	'10 секций',	'10spsektsij'),
(1,	27,	'10.00',	'10d00'),
(1,	28,	'10.1\"',	'10d1qu'),
(1,	29,	'100л.',	'100ld'),
(1,	30,	'1024x600 пикс.',	'1024x600sppiksd'),
(1,	31,	'1080x1920 пикс.',	'1080x1920sppiksd'),
(1,	32,	'10кг.',	'10kgd'),
(1,	33,	'10л/мин.',	'10lfmind'),
(1,	34,	'11 кг.',	'11spkgd'),
(1,	35,	'11 л/мин',	'11splfmin'),
(1,	36,	'11.00',	'11d00'),
(1,	37,	'11.5кг.',	'11d5kgd'),
(1,	38,	'110 см',	'110spsm'),
(1,	39,	'110град.',	'110gradd'),
(1,	40,	'116 град.',	'116spgradd'),
(1,	41,	'11л.',	'11ld'),
(1,	42,	'12 Мп',	'12spmp'),
(1,	43,	'128 ГБ',	'128spgb'),
(1,	44,	'1280x720 пикс.',	'1280x720sppiksd'),
(1,	45,	'1280x800 пикс.',	'1280x800sppiksd'),
(1,	46,	'12кг.',	'12kgd'),
(1,	47,	'13 кг.',	'13spkgd'),
(1,	48,	'13 Мп',	'13spmp'),
(1,	49,	'13.5кг.',	'13d5kgd'),
(1,	50,	'130°C',	'130degc'),
(1,	51,	'132 г',	'132spg'),
(1,	52,	'134 г',	'134spg'),
(1,	53,	'134.0 x 67.2 x 9.2 мм',	'134d0spxsp67d2spxsp9d2spmm'),
(1,	54,	'нет',	'net'),
(1,	55,	'138.1 х 69.59 x 7.8 мм',	'138d1sphsp69d59spxsp7d8spmm'),
(1,	56,	'139.2 x 70.0 x 8.7 мм',	'139d2spxsp70d0spxsp8d7spmm'),
(1,	57,	'139.3 x 69.6 x 8.5 мм',	'139d3spxsp69d6spxsp8d5spmm'),
(1,	58,	'13л/мин.',	'13lfmind'),
(1,	59,	'14 л/мин',	'14splfmin'),
(1,	60,	'14.00',	'14d00'),
(1,	61,	'141.3 x 69.6 x 8.9 мм',	'141d3spxsp69d6spxsp8d9spmm'),
(1,	62,	'141.5 х 69.5 х 8.3 мм',	'141d5sphsp69d5sphsp8d3spmm'),
(1,	63,	'141.9 x 69.0 x 8.3 мм',	'141d9spxsp69d0spxsp8d3spmm'),
(1,	64,	'144 г',	'144spg'),
(1,	65,	'145Вт.',	'145vtd'),
(1,	66,	'147.7 х 70.8 х 7.3 мм',	'147d7sphsp70d8sphsp7d3spmm'),
(1,	67,	'149 г',	'149spg'),
(1,	68,	'13г.',	'13gd'),
(1,	69,	'14л.',	'14ld'),
(1,	70,	'15.5кг.',	'15d5kgd'),
(1,	71,	'150 г',	'150spg'),
(1,	72,	'150.9 х 75.2 х 8.7 мм',	'150d9sphsp75d2sphsp8d7spmm'),
(1,	73,	'151.0 x 76.0 x 8.35 мм',	'151d0spxsp76d0spxsp8d35spmm'),
(1,	74,	'151.0 x 76.0 x 8.4 мм',	'151d0spxsp76d0spxsp8d4spmm'),
(1,	75,	'153.6 х 75.2 х 7.25 мм',	'153d6sphsp75d2sphsp7d25spmm'),
(1,	76,	'153.6 х 75.5 х 8.2 мм',	'153d6sphsp75d5sphsp8d2spmm'),
(1,	77,	'154.6 х 77.7 х 8 мм',	'154d6sphsp77d7sphsp8spmm'),
(1,	78,	'155 г',	'155spg'),
(1,	79,	'156 г',	'156spg'),
(1,	80,	'156.7 х 78.0 х 7.5 мм',	'156d7sphsp78d0sphsp7d5spmm'),
(1,	81,	'15л/мин.',	'15lfmind'),
(1,	82,	'16 бар',	'16spbar'),
(1,	83,	'16 ГБ',	'16spgb'),
(1,	84,	'16.00',	'16d00'),
(1,	85,	'160 г',	'160spg'),
(1,	86,	'163 г',	'163spg'),
(1,	87,	'166Вт.',	'166vtd'),
(1,	88,	'168 г',	'168spg'),
(1,	89,	'169Вт.',	'169vtd'),
(1,	90,	'17.4кВт.',	'17d4kvtd'),
(1,	91,	'175 г',	'175spg'),
(1,	92,	'17кг.',	'17kgd'),
(1,	93,	'18.6кВт.',	'18d6kvtd'),
(1,	94,	'1800 / 1900 / 2100 / 2300 / 2500 / 2600 МГц',	'1800spfsp1900spfsp2100spfsp2300spfsp2500spfsp2600spmgts'),
(1,	95,	'1800. 1900. 2100. 2300. 2500. 2600. 850. 900 МГц',	'1800dsp1900dsp2100dsp2300dsp2500dsp2600dsp850dsp900spmgts'),
(1,	96,	'181Вт.',	'181vtd'),
(1,	97,	'18бар',	'18bar'),
(1,	98,	'19.2кВт.',	'19d2kvtd'),
(1,	99,	'191.0 х 101.0 х 8.8 мм',	'191d0sphsp101d0sphsp8d8spmm'),
(1,	100,	'195Вт.',	'195vtd'),
(1,	101,	'1:64 (машинка)',	'1col64splbmashinkarb'),
(1,	102,	'2 sim',	'2spsim'),
(1,	103,	'2 x 2.3GHz Cortex-A72 + 4 x 2.0GHz Cortex-A53 + 4 x 1.4GHz Cortex-A53',	'2spxsp2d3ghzspcortexma72sppsp4spxsp2d0ghzspcortexma53sppsp4spxsp1d4ghzspcortexma53'),
(1,	104,	'2 x 2.5 ГГц Cortex-A72 + 4 x 2.0 ГГц Cortex-A53 + 4 x 1.4 ГГц Cortex-A53',	'2spxsp2d5spggtsspcortexma72sppsp4spxsp2d0spggtsspcortexma53sppsp4spxsp1d4spggtsspcortexma53'),
(1,	105,	'2 ГБ',	'2spgb'),
(1,	106,	'2 емкости с водой. 1 машинка серии \"Измени цвет\"',	'2spemkostispsspvodojdsp1spmashinkaspseriispquizmenisptsvetqu'),
(1,	107,	'2 Мп',	'2spmp'),
(1,	108,	'2.0 ГГц',	'2d0spggts'),
(1,	109,	'2.1 ГГц',	'2d1spggts'),
(1,	110,	'2.1кВт.',	'2d1kvtd'),
(1,	111,	'2.35 ГГц',	'2d35spggts'),
(1,	112,	'2.4 бар',	'2d4spbar'),
(1,	113,	'2.4кВт.',	'2d4kvtd'),
(1,	114,	'2.5кВт.',	'2d5kvtd'),
(1,	115,	'200 литров',	'200splitrov'),
(1,	116,	'20кг.',	'20kgd'),
(1,	117,	'21 Мп',	'21spmp'),
(1,	118,	'21.16 Мп',	'21d16spmp'),
(1,	119,	'21.5 х 16 х 6 см',	'21d5sphsp16sphsp6spsm'),
(1,	120,	'22 кВт.',	'22spkvtd'),
(1,	121,	'22.6кВт.',	'22d6kvtd'),
(1,	122,	'2200 мАч',	'2200spmach'),
(1,	123,	'22кг.',	'22kgd'),
(1,	124,	'24.4кВт.',	'24d4kvtd'),
(1,	125,	'247.0 х 171.0 х 8.95 мм',	'247d0sphsp171d0sphsp8d95spmm'),
(1,	126,	'2560 мАч',	'2560spmach'),
(1,	127,	'25х25х9 см',	'25h25h9spsm'),
(1,	128,	'26.2кВт.',	'26d2kvtd'),
(1,	129,	'260 г',	'260spg'),
(1,	130,	'26кг.',	'26kgd'),
(1,	131,	'27.2 кВт.',	'27d2spkvtd'),
(1,	132,	'27кг.',	'27kgd'),
(1,	133,	'28 х 16 см',	'28sphsp16spsm'),
(1,	134,	'2870 мАч',	'2870spmach'),
(1,	135,	'2кВт.',	'2kvtd'),
(1,	136,	'3 ГБ',	'3spgb'),
(1,	137,	'3 года',	'3spgoda'),
(1,	138,	'3+',	'3p'),
(1,	139,	'30 см (длина одной дорожки)',	'30spsmsplbdlinaspodnojspdorozhkirb'),
(1,	140,	'3020 мАч',	'3020spmach'),
(1,	141,	'3020 мАч (съемный)',	'3020spmachsplbsemnyjrb'),
(1,	142,	'3050 мАч',	'3050spmach'),
(1,	143,	'3060 мАч',	'3060spmach'),
(1,	144,	'3080 мАч',	'3080spmach'),
(1,	145,	'30кг.',	'30kgd'),
(1,	146,	'30л.',	'30ld'),
(1,	147,	'31 х 5 х 3 см',	'31sphsp5sphsp3spsm'),
(1,	148,	'31 х 8х 5 см',	'31sphsp8hsp5spsm'),
(1,	149,	'3100 мАч',	'3100spmach'),
(1,	150,	'32 ГБ',	'32spgb'),
(1,	151,	'3450 мАч',	'3450spmach'),
(1,	152,	'3800 мАч',	'3800spmach'),
(1,	153,	'4',	'4'),
(1,	154,	'4 (Cortex A-53)',	'4splbcortexspam53rb'),
(1,	155,	'4 x 1.8 Ггц + 4 x 1.0 ГГц',	'4spxsp1d8spggtssppsp4spxsp1d0spggts'),
(1,	156,	'4 ГБ',	'4spgb'),
(1,	157,	'4 Мп',	'4spmp'),
(1,	158,	'4 х 1 ГГц + 4 х 1.5 ГГц',	'4sphsp1spggtssppsp4sphsp1d5spggts'),
(1,	159,	'4 х 2.1 ГГц + 4 х 1.5 ГГц',	'4sphsp2d1spggtssppsp4sphsp1d5spggts'),
(1,	160,	'4+',	'4p'),
(1,	161,	'4.0',	'4d0'),
(1,	162,	'4.2 LE',	'4d2sple'),
(1,	163,	'4.7\"',	'4d7qu'),
(1,	164,	'40.5 х 19 х 6 см',	'40d5sphsp19sphsp6spsm'),
(1,	165,	'4100 мАч',	'4100spmach'),
(1,	166,	'5 лет',	'5splet'),
(1,	167,	'5 Мп',	'5spmp'),
(1,	168,	'5 Мп',	'5spmp'),
(1,	169,	'5+',	'5p'),
(1,	170,	'5.0\"',	'5d0qu'),
(1,	171,	'5.2\"',	'5d2qu'),
(1,	172,	'5.5\"',	'5d5qu'),
(1,	173,	'5.7\"',	'5d7qu'),
(1,	174,	'50л.',	'50ld'),
(1,	175,	'51 х 30.5 х 7 см',	'51sphsp30d5sphsp7spsm'),
(1,	176,	'525 г',	'525spg'),
(1,	177,	'580х310х220',	'580h310h220'),
(1,	178,	'6 (Cortex A-57)',	'6splbcortexspam57rb'),
(1,	179,	'6 ГБ',	'6spgb'),
(1,	180,	'64 ГБ',	'64spgb'),
(1,	181,	'655х350х220',	'655h350h220'),
(1,	182,	'655х425х220',	'655h425h220'),
(1,	183,	'7 года',	'7spgoda'),
(1,	184,	'7 лет',	'7splet'),
(1,	185,	'7.0\"',	'7d0qu'),
(1,	186,	'7000 мАч',	'7000spmach'),
(1,	187,	'75л.',	'75ld'),
(1,	188,	'8',	'8'),
(1,	189,	'8 (Cortex A-53)',	'8splbcortexspam53rb'),
(1,	190,	'8 (Cortex A-57 + Cortex A-53)',	'8splbcortexspam57sppspcortexspam53rb'),
(1,	191,	'8 лет',	'8splet'),
(1,	192,	'8 Мп',	'8spmp'),
(1,	193,	'80 см',	'80spsm'),
(1,	194,	'802.11 a/b/g/n',	'802d11spafbfgfn'),
(1,	195,	'802.11 a/b/g/n/ac',	'802d11spafbfgfnfac'),
(1,	196,	'802.11 b/g/n',	'802d11spbfgfn'),
(1,	197,	'80л.',	'80ld'),
(1,	198,	'850 / 1900 / 2100 МГц',	'850spfsp1900spfsp2100spmgts'),
(1,	199,	'850 / 900 / 1800 / 1900 МГц',	'850spfsp900spfsp1800spfsp1900spmgts'),
(1,	200,	'850 / 900 / 1900 / 2100 МГц',	'850spfsp900spfsp1900spfsp2100spmgts'),
(1,	201,	'850 / 900 / 1900 / 2100 МГц',	'850spfsp900spfsp1900spfsp2100spmgts'),
(1,	202,	'850 / 900 / 1900 МГц',	'850spfsp900spfsp1900spmgts'),
(1,	203,	'900 / 1800 / 1900 МГц',	'900spfsp1800spfsp1900spmgts'),
(1,	204,	'900 / 1800 МГц',	'900spfsp1800spmgts'),
(1,	205,	'900 / 1900 / 2100 МГц',	'900spfsp1900spfsp2100spmgts'),
(1,	206,	'900 / 2100 МГц',	'900spfsp2100spmgts'),
(1,	207,	'900 / 2100 МГц',	'900spfsp2100spmgts'),
(1,	208,	'Android 4.4',	'androidsp4d4'),
(1,	209,	'Android 5.0',	'androidsp5d0'),
(1,	210,	'Android 5.1',	'androidsp5d1'),
(1,	211,	'Android 6.0',	'androidsp6d0'),
(1,	212,	'Android 6.0 + Flyme',	'androidsp6d0sppspflyme'),
(1,	213,	'Android 6.0.1 +  MIUI 8',	'androidsp6d0d1sppspspmiuisp8'),
(1,	214,	'Android 6.0.1 +  MIUI V8',	'androidsp6d0d1sppspspmiuispv8'),
(1,	215,	'City',	'city'),
(1,	216,	'Dark Blue',	'darkspblue'),
(1,	217,	'FDD-LTE',	'fddmlte'),
(1,	218,	'IGZO Full HD',	'igzospfullsphd'),
(1,	219,	'IPS',	'ips'),
(1,	220,	'IPS (Sharp)',	'ipssplbsharprb'),
(1,	221,	'IPS Full HD',	'ipsspfullsphd'),
(1,	222,	'IPS HD',	'ipssphd'),
(1,	223,	'M2',	'm2'),
(1,	224,	'M3',	'm3'),
(1,	225,	'MediaTek MT6750',	'mediatekspmt6750'),
(1,	226,	'MediaTek MT6753',	'mediatekspmt6753'),
(1,	227,	'MediaTek MT6755',	'mediatekspmt6755'),
(1,	228,	'MediaTek MT6797',	'mediatekspmt6797'),
(1,	229,	'MediaTek MT6797T',	'mediatekspmt6797t'),
(1,	230,	'MediaTek MT8735P',	'mediatekspmt8735p'),
(1,	231,	'Mi4C',	'mi4c'),
(1,	232,	'Mi5s',	'mi5s'),
(1,	233,	'micro-SIM',	'micromsim'),
(1,	234,	'micro-SIM. nano-SIM (microSD)',	'micromsimdspnanomsimsplbmicrosdrb'),
(1,	235,	'microUSB. OTG. Аудио 3.5 мм',	'microusbdspotgdspaudiosp3d5spmm'),
(1,	236,	'microUSB. Type-C. OTG. Аудио 3.5 мм',	'microusbdsptypemcdspotgdspaudiosp3d5spmm'),
(1,	237,	'microUSB. Аудио 3.5 мм',	'microusbdspaudiosp3d5spmm'),
(1,	238,	'microUSB. Аудио 3.5 мм. 2 слота для sim-карт',	'microusbdspaudiosp3d5spmmdsp2spslotaspdlyaspsimmkart'),
(1,	239,	'MX',	'mx'),
(1,	240,	'nano-SIM',	'nanomsim'),
(1,	241,	'nano-SIM. micro-SIM (microSD)',	'nanomsimdspmicromsimsplbmicrosdrb'),
(1,	242,	'nano-SIM. nano-SIM',	'nanomsimdspnanomsim'),
(1,	243,	'nano-SIM. nano-SIM (microSD)',	'nanomsimdspnanomsimsplbmicrosdrb'),
(1,	244,	'Pro',	'pro'),
(1,	245,	'Qualcomm Snapdragon 210',	'qualcommspsnapdragonsp210'),
(1,	246,	'Qualcomm Snapdragon 410',	'qualcommspsnapdragonsp410'),
(1,	247,	'Redmi 3S',	'redmisp3s'),
(1,	248,	'Redmi 4',	'redmisp4'),
(1,	249,	'Redmi Note',	'redmispnote'),
(1,	250,	'Redmi Note 4',	'redmispnotesp4'),
(1,	251,	'Samsung Exynos 7',	'samsungspexynossp7'),
(1,	252,	'Silver',	'silver'),
(1,	253,	'Snapdragon 430',	'snapdragonsp430'),
(1,	254,	'Snapdragon 435',	'snapdragonsp435'),
(1,	255,	'Snapdragon 625',	'snapdragonsp625'),
(1,	256,	'Snapdragon 808',	'snapdragonsp808'),
(1,	257,	'Snapdragon 82',	'snapdragonsp82'),
(1,	258,	'Snapdragon 821',	'snapdragonsp821'),
(1,	259,	'Super AMOLED Full HD',	'superspamoledspfullsphd'),
(1,	260,	'TD-LTE',	'tdmlte'),
(1,	261,	'Track builder',	'trackspbuilder'),
(1,	262,	'USB Type-C. OTG. Аудио 3.5 мм',	'usbsptypemcdspotgdspaudiosp3d5spmm'),
(1,	263,	'Workshop',	'workshop'),
(1,	264,	'Базовые треки и игровые наборы',	'bazovyesptrekispispigrovyespnabory'),
(1,	265,	'Белый. золотой. синий. серый. розовый',	'belyjdspzolotojdspsinijdspseryjdsprozovyj'),
(1,	266,	'Белый. серый. золотой',	'belyjdspseryjdspzolotoj'),
(1,	267,	'Белый. синий. серый. розовый',	'belyjdspsinijdspseryjdsprozovyj'),
(1,	268,	'Боковое',	'bokovoe'),
(1,	269,	'велюр',	'velyur'),
(1,	270,	'Вертикальный',	'vertikalnyj'),
(1,	271,	'гидротурбинка (электро)',	'gidroturbinkasplbelektrorb'),
(1,	272,	'Две ступени',	'dvespstupeni'),
(1,	273,	'двойная. по 13 Мп каждая',	'dvojnayadspposp13spmpspkazhdaya'),
(1,	274,	'девочка..мальчик',	'devochkaddmalchik'),
(1,	275,	'Десять ступеней',	'desyatspstupenej'),
(1,	276,	'для детей до 12 лет',	'dlyaspdetejspdosp12splet'),
(1,	277,	'до 128 ГБ',	'dosp128spgb'),
(1,	278,	'до 32 ГБ',	'dosp32spgb'),
(1,	279,	'до 4 кг',	'dosp4spkg'),
(1,	280,	'до 64 ГБ',	'dosp64spgb'),
(1,	281,	'Другие интерактивные питомцы',	'drugiespinteraktivnyesppitomtsy'),
(1,	282,	'дымоход',	'dymohod'),
(1,	283,	'Есть',	'est'),
(1,	284,	'Есть',	'est'),
(1,	285,	'Есть',	'est'),
(1,	286,	'Есть',	'est'),
(1,	287,	'Есть',	'est'),
(1,	288,	'Есть',	'est'),
(1,	289,	'есть',	'est'),
(1,	290,	'есть',	'est'),
(1,	291,	'Есть (mTouch)',	'estsplbmtouchrb'),
(1,	292,	'жаккард',	'zhakkard'),
(1,	293,	'Испания',	'ispaniya'),
(1,	294,	'Италия',	'italiya'),
(1,	295,	'мальчик',	'malchik'),
(1,	296,	'микро-вельвет',	'mikromvelvet'),
(1,	297,	'Настенный',	'nastennyj'),
(1,	298,	'нет',	'net'),
(1,	299,	'оксфорд (плащевая ткань)',	'oksfordsplbplaschevayasptkanrb'),
(1,	300,	'от батареек (электро)',	'otspbatareeksplbelektrorb'),
(1,	301,	'от батареек (электронный)',	'otspbatareeksplbelektronnyjrb'),
(1,	302,	'открытый (\"мокрый\")',	'otkrytyjsplbqumokryjqurb'),
(1,	303,	'пенополистирол 1-2 мм',	'penopolistirolsp1m2spmm'),
(1,	304,	'Пластик',	'plastik'),
(1,	305,	'Португалия',	'portugaliya'),
(1,	306,	'прямоугольная',	'pryamougolnaya'),
(1,	307,	'пьезорозжиг',	'pezorozzhig'),
(1,	308,	'пьезорозжиг (кнопкой)',	'pezorozzhigsplbknopkojrb'),
(1,	309,	'Россия',	'rossiya'),
(1,	310,	'Секционная',	'sektsionnaya'),
(1,	311,	'Серый. серебряный. золотой',	'seryjdspserebryanyjdspzolotoj'),
(1,	312,	'Серый. серебряный. золотой. Rose-gold',	'seryjdspserebryanyjdspzolotojdsprosemgold'),
(1,	313,	'скрытый (\"сухой\")',	'skrytyjsplbqusuhojqurb'),
(1,	314,	'Темно-серый. золотой. серебряный',	'temnomseryjdspzolotojdspserebryanyj'),
(1,	315,	'Темно-серый. золотой. серый',	'temnomseryjdspzolotojdspseryj'),
(1,	316,	'Темно-серый. золотой. серый. Rose-gold',	'temnomseryjdspzolotojdspseryjdsprosemgold'),
(1,	317,	'Украина',	'ukraina'),
(1,	318,	'Универсальный',	'universalnyj'),
(1,	319,	'Цилиндрическая',	'tsilindricheskaya'),
(1,	320,	'Черный',	'chernyj'),
(1,	321,	'Черный. Champagne. розовый',	'chernyjdspchampagnedsprozovyj'),
(1,	322,	'Черный. голубой. розовый. белый. желтый',	'chernyjdspgolubojdsprozovyjdspbelyjdspzheltyj'),
(1,	323,	'Черный. розовый. золотой. серебряный. бирюзовый',	'chernyjdsprozovyjdspzolotojdspserebryanyjdspbiryuzovyj'),
(2,	1,	'0.04',	'0d04'),
(2,	2,	'0.05',	'0d05'),
(2,	3,	'0.06',	'0d06'),
(2,	4,	'0.15бар',	'0d15bar'),
(2,	5,	'0.1бар',	'0d1bar'),
(2,	6,	'0.25 м3',	'0d25spm3'),
(2,	7,	'0.35л.',	'0d35ld'),
(2,	8,	'0.37л',	'0d37l'),
(2,	9,	'0.5л.',	'0d5ld'),
(2,	10,	'4.2',	'4d2'),
(2,	11,	'4.1',	'4d1'),
(2,	12,	'1 ГБ',	'1spgb'),
(2,	13,	'1 машинка',	'1spmashinka'),
(2,	14,	'1.0 Ггц',	'1d0spggts'),
(2,	15,	'1.1 ГГц',	'1d1spggts'),
(2,	16,	'1.2 ГГц',	'1d2spggts'),
(2,	17,	'1.4 ГГц',	'1d4spggts'),
(2,	18,	'1.5 ГГц',	'1d5spggts'),
(2,	19,	'1.5кВт.',	'1d5kvtd'),
(2,	20,	'1.7 ГГц',	'1d7spggts'),
(2,	21,	'1.8 ГГц',	'1d8spggts'),
(2,	22,	'10',	'10'),
(2,	23,	'10',	'10'),
(2,	24,	'10 (8- Cortex-A53 / 2- A72)',	'10splb8mspcortexma53spfsp2mspa72rb'),
(2,	25,	'10 секц.',	'10spsektsd'),
(2,	26,	'10 секций',	'10spsektsij'),
(2,	27,	'10.00',	'10d00'),
(2,	28,	'10.1\"',	'10d1qu'),
(2,	29,	'100л.',	'100ld'),
(2,	30,	'1024x600 пикс.',	'1024x600sppiksd'),
(2,	31,	'1080x1920 пикс.',	'1080x1920sppiksd'),
(2,	32,	'10кг.',	'10kgd'),
(2,	33,	'10л/мин.',	'10lfmind'),
(2,	34,	'11 кг.',	'11spkgd'),
(2,	35,	'11 л/мин',	'11splfmin'),
(2,	36,	'11.00',	'11d00'),
(2,	37,	'11.5кг.',	'11d5kgd'),
(2,	38,	'110 см',	'110spsm'),
(2,	39,	'110град.',	'110gradd'),
(2,	40,	'116 град.',	'116spgradd'),
(2,	41,	'11л.',	'11ld'),
(2,	42,	'12 Мп',	'12spmp'),
(2,	43,	'128 ГБ',	'128spgb'),
(2,	44,	'1280x720 пикс.',	'1280x720sppiksd'),
(2,	45,	'1280x800 пикс.',	'1280x800sppiksd'),
(2,	46,	'12кг.',	'12kgd'),
(2,	47,	'13 кг.',	'13spkgd'),
(2,	48,	'13 Мп',	'13spmp'),
(2,	49,	'13.5кг.',	'13d5kgd'),
(2,	50,	'130°C',	'130degc'),
(2,	51,	'132 г',	'132spg'),
(2,	52,	'134 г',	'134spg'),
(2,	53,	'134.0 x 67.2 x 9.2 мм',	'134d0spxsp67d2spxsp9d2spmm'),
(2,	54,	'138 г',	'138spg'),
(2,	55,	'138.1 х 69.59 x 7.8 мм',	'138d1sphsp69d59spxsp7d8spmm'),
(2,	56,	'139.2 x 70.0 x 8.7 мм',	'139d2spxsp70d0spxsp8d7spmm'),
(2,	57,	'139.3 x 69.6 x 8.5 мм',	'139d3spxsp69d6spxsp8d5spmm'),
(2,	58,	'13л/мин.',	'13lfmind'),
(2,	59,	'14 л/мин',	'14splfmin'),
(2,	60,	'14.00',	'14d00'),
(2,	61,	'141.3 x 69.6 x 8.9 мм',	'141d3spxsp69d6spxsp8d9spmm'),
(2,	62,	'141.5 х 69.5 х 8.3 мм',	'141d5sphsp69d5sphsp8d3spmm'),
(2,	63,	'141.9 x 69.0 x 8.3 мм',	'141d9spxsp69d0spxsp8d3spmm'),
(2,	64,	'144 г',	'144spg'),
(2,	65,	'145Вт.',	'145vtd'),
(2,	66,	'147.7 х 70.8 х 7.3 мм',	'147d7sphsp70d8sphsp7d3spmm'),
(2,	67,	'149 г',	'149spg'),
(2,	68,	'14кг.',	'14kgd'),
(2,	69,	'14л.',	'14ld'),
(2,	70,	'15.5кг.',	'15d5kgd'),
(2,	71,	'150 г',	'150spg'),
(2,	72,	'150.9 х 75.2 х 8.7 мм',	'150d9sphsp75d2sphsp8d7spmm'),
(2,	73,	'151.0 x 76.0 x 8.35 мм',	'151d0spxsp76d0spxsp8d35spmm'),
(2,	74,	'151.0 x 76.0 x 8.4 мм',	'151d0spxsp76d0spxsp8d4spmm'),
(2,	75,	'153.6 х 75.2 х 7.25 мм',	'153d6sphsp75d2sphsp7d25spmm'),
(2,	76,	'153.6 х 75.5 х 8.2 мм',	'153d6sphsp75d5sphsp8d2spmm'),
(2,	77,	'154.6 х 77.7 х 8 мм',	'154d6sphsp77d7sphsp8spmm'),
(2,	78,	'155 г',	'155spg'),
(2,	79,	'156 г',	'156spg'),
(2,	80,	'156.7 х 78.0 х 7.5 мм',	'156d7sphsp78d0sphsp7d5spmm'),
(2,	81,	'15л/мин.',	'15lfmind'),
(2,	82,	'16 бар',	'16spbar'),
(2,	83,	'16 ГБ',	'16spgb'),
(2,	84,	'16.00',	'16d00'),
(2,	85,	'160 г',	'160spg'),
(2,	86,	'163 г',	'163spg'),
(2,	87,	'166Вт.',	'166vtd'),
(2,	88,	'168 г',	'168spg'),
(2,	89,	'169Вт.',	'169vtd'),
(2,	90,	'17.4кВт.',	'17d4kvtd'),
(2,	91,	'175 г',	'175spg'),
(2,	92,	'17кг.',	'17kgd'),
(2,	93,	'18.6кВт.',	'18d6kvtd'),
(2,	94,	'1800 / 1900 / 2100 / 2300 / 2500 / 2600 МГц',	'1800spfsp1900spfsp2100spfsp2300spfsp2500spfsp2600spmgts'),
(2,	95,	'1800. 1900. 2100. 2300. 2500. 2600. 850. 900 МГц',	'1800dsp1900dsp2100dsp2300dsp2500dsp2600dsp850dsp900spmgts'),
(2,	96,	'181Вт.',	'181vtd'),
(2,	97,	'18бар',	'18bar'),
(2,	98,	'19.2кВт.',	'19d2kvtd'),
(2,	99,	'191.0 х 101.0 х 8.8 мм',	'191d0sphsp101d0sphsp8d8spmm'),
(2,	100,	'195Вт.',	'195vtd'),
(2,	101,	'1:64 (машинка)',	'1col64splbmashinkarb'),
(2,	102,	'2 sim',	'2spsim'),
(2,	103,	'2 x 2.3GHz Cortex-A72 + 4 x 2.0GHz Cortex-A53 + 4 x 1.4GHz Cortex-A53',	'2spxsp2d3ghzspcortexma72sppsp4spxsp2d0ghzspcortexma53sppsp4spxsp1d4ghzspcortexma53'),
(2,	104,	'2 x 2.5 ГГц Cortex-A72 + 4 x 2.0 ГГц Cortex-A53 + 4 x 1.4 ГГц Cortex-A53',	'2spxsp2d5spggtsspcortexma72sppsp4spxsp2d0spggtsspcortexma53sppsp4spxsp1d4spggtsspcortexma53'),
(2,	105,	'2 ГБ',	'2spgb'),
(2,	106,	'2 емкости с водой. 1 машинка серии \"Измени цвет\"',	'2spemkostispsspvodojdsp1spmashinkaspseriispquizmenisptsvetqu'),
(2,	107,	'2 Мп',	'2spmp'),
(2,	108,	'2.0 ГГц',	'2d0spggts'),
(2,	109,	'2.1 ГГц',	'2d1spggts'),
(2,	110,	'2.1кВт.',	'2d1kvtd'),
(2,	111,	'2.35 ГГц',	'2d35spggts'),
(2,	112,	'2.4 бар',	'2d4spbar'),
(2,	113,	'2.4кВт.',	'2d4kvtd'),
(2,	114,	'2.5кВт.',	'2d5kvtd'),
(2,	115,	'200 литров',	'200splitrov'),
(2,	116,	'20кг.',	'20kgd'),
(2,	117,	'21 Мп',	'21spmp'),
(2,	118,	'21.16 Мп',	'21d16spmp'),
(2,	119,	'21.5 х 16 х 6 см',	'21d5sphsp16sphsp6spsm'),
(2,	120,	'22 кВт.',	'22spkvtd'),
(2,	121,	'22.6кВт.',	'22d6kvtd'),
(2,	122,	'2200 мАч',	'2200spmach'),
(2,	123,	'22кг.',	'22kgd'),
(2,	124,	'24.4кВт.',	'24d4kvtd'),
(2,	125,	'247.0 х 171.0 х 8.95 мм',	'247d0sphsp171d0sphsp8d95spmm'),
(2,	126,	'2560 мАч',	'2560spmach'),
(2,	127,	'25х25х9 см',	'25h25h9spsm'),
(2,	128,	'26.2кВт.',	'26d2kvtd'),
(2,	129,	'260 г',	'260spg'),
(2,	130,	'26кг.',	'26kgd'),
(2,	131,	'27.2 кВт.',	'27d2spkvtd'),
(2,	132,	'27кг.',	'27kgd'),
(2,	133,	'28 х 16 см',	'28sphsp16spsm'),
(2,	134,	'2870 мАч',	'2870spmach'),
(2,	135,	'2кВт.',	'2kvtd'),
(2,	136,	'3 ГБ',	'3spgb'),
(2,	137,	'3 года',	'3spgoda'),
(2,	138,	'3+',	'3p'),
(2,	139,	'30 см (длина одной дорожки)',	'30spsmsplbdlinaspodnojspdorozhkirb'),
(2,	140,	'3020 мАч',	'3020spmach'),
(2,	141,	'3020 мАч (съемный)',	'3020spmachsplbsemnyjrb'),
(2,	142,	'3050 мАч',	'3050spmach'),
(2,	143,	'3060 мАч',	'3060spmach'),
(2,	144,	'3080 мАч',	'3080spmach'),
(2,	145,	'30кг.',	'30kgd'),
(2,	146,	'30л.',	'30ld'),
(2,	147,	'31 х 5 х 3 см',	'31sphsp5sphsp3spsm'),
(2,	148,	'31 х 8х 5 см',	'31sphsp8hsp5spsm'),
(2,	149,	'3100 мАч',	'3100spmach'),
(2,	150,	'32 ГБ',	'32spgb'),
(2,	151,	'3450 мАч',	'3450spmach'),
(2,	152,	'3800 мАч',	'3800spmach'),
(2,	153,	'4',	'4'),
(2,	154,	'4 (Cortex A-53)',	'4splbcortexspam53rb'),
(2,	155,	'4 x 1.8 Ггц + 4 x 1.0 ГГц',	'4spxsp1d8spggtssppsp4spxsp1d0spggts'),
(2,	156,	'4 ГБ',	'4spgb'),
(2,	157,	'4 Мп',	'4spmp'),
(2,	158,	'4 х 1 ГГц + 4 х 1.5 ГГц',	'4sphsp1spggtssppsp4sphsp1d5spggts'),
(2,	159,	'4 х 2.1 ГГц + 4 х 1.5 ГГц',	'4sphsp2d1spggtssppsp4sphsp1d5spggts'),
(2,	160,	'4+',	'4p'),
(2,	161,	'4.0',	'4d0'),
(2,	162,	'4.2 LE',	'4d2sple'),
(2,	163,	'4.7\"',	'4d7qu'),
(2,	164,	'40.5 х 19 х 6 см',	'40d5sphsp19sphsp6spsm'),
(2,	165,	'4100 мАч',	'4100spmach'),
(2,	166,	'5 лет',	'5splet'),
(2,	167,	'5 Мп',	'5spmp'),
(2,	168,	'5 Мп',	'5spmp'),
(2,	169,	'5+',	'5p'),
(2,	170,	'5.0\"',	'5d0qu'),
(2,	171,	'5.2\"',	'5d2qu'),
(2,	172,	'5.5\"',	'5d5qu'),
(2,	173,	'5.7\"',	'5d7qu'),
(2,	174,	'50л.',	'50ld'),
(2,	175,	'51 х 30.5 х 7 см',	'51sphsp30d5sphsp7spsm'),
(2,	176,	'525 г',	'525spg'),
(2,	177,	'580х310х220',	'580h310h220'),
(2,	178,	'6 (Cortex A-57)',	'6splbcortexspam57rb'),
(2,	179,	'6 ГБ',	'6spgb'),
(2,	180,	'64 ГБ',	'64spgb'),
(2,	181,	'655х350х220',	'655h350h220'),
(2,	182,	'655х425х220',	'655h425h220'),
(2,	183,	'7 года',	'7spgoda'),
(2,	184,	'7 лет',	'7splet'),
(2,	185,	'7.0\"',	'7d0qu'),
(2,	186,	'7000 мАч',	'7000spmach'),
(2,	187,	'75л.',	'75ld'),
(2,	188,	'8',	'8'),
(2,	189,	'8 (Cortex A-53)',	'8splbcortexspam53rb'),
(2,	190,	'8 (Cortex A-57 + Cortex A-53)',	'8splbcortexspam57sppspcortexspam53rb'),
(2,	191,	'8 лет',	'8splet'),
(2,	192,	'8 Мп',	'8spmp'),
(2,	193,	'80 см',	'80spsm'),
(2,	194,	'802.11 a/b/g/n',	'802d11spafbfgfn'),
(2,	195,	'802.11 a/b/g/n/ac',	'802d11spafbfgfnfac'),
(2,	196,	'802.11 b/g/n',	'802d11spbfgfn'),
(2,	197,	'80л.',	'80ld'),
(2,	198,	'850 / 1900 / 2100 МГц',	'850spfsp1900spfsp2100spmgts'),
(2,	199,	'850 / 900 / 1800 / 1900 МГц',	'850spfsp900spfsp1800spfsp1900spmgts'),
(2,	200,	'850 / 900 / 1900 / 2100 МГц',	'850spfsp900spfsp1900spfsp2100spmgts'),
(2,	201,	'850 / 900 / 1900 / 2100 МГц',	'850spfsp900spfsp1900spfsp2100spmgts'),
(2,	202,	'850 / 900 / 1900 МГц',	'850spfsp900spfsp1900spmgts'),
(2,	203,	'900 / 1800 / 1900 МГц',	'900spfsp1800spfsp1900spmgts'),
(2,	204,	'900 / 1800 МГц',	'900spfsp1800spmgts'),
(2,	205,	'900 / 1900 / 2100 МГц',	'900spfsp1900spfsp2100spmgts'),
(2,	206,	'900 / 2100 МГц',	'900spfsp2100spmgts'),
(2,	207,	'900 / 2100 МГц',	'900spfsp2100spmgts'),
(2,	208,	'Android 4.4',	'androidsp4d4'),
(2,	209,	'Android 5.0',	'androidsp5d0'),
(2,	210,	'Android 5.1',	'androidsp5d1'),
(2,	211,	'Android 6.0',	'androidsp6d0'),
(2,	212,	'Android 6.0 + Flyme',	'androidsp6d0sppspflyme'),
(2,	213,	'Android 6.0.1 +  MIUI 8',	'androidsp6d0d1sppspspmiuisp8'),
(2,	214,	'Android 6.0.1 +  MIUI V8',	'androidsp6d0d1sppspspmiuispv8'),
(2,	215,	'City',	'city'),
(2,	216,	'Dark Blue',	'darkspblue'),
(2,	217,	'FDD-LTE',	'fddmlte'),
(2,	218,	'IGZO Full HD',	'igzospfullsphd'),
(2,	219,	'IPS',	'ips'),
(2,	220,	'IPS (Sharp)',	'ipssplbsharprb'),
(2,	221,	'IPS Full HD',	'ipsspfullsphd'),
(2,	222,	'IPS HD',	'ipssphd'),
(2,	223,	'M2',	'm2'),
(2,	224,	'M3',	'm3'),
(2,	225,	'MediaTek MT6750',	'mediatekspmt6750'),
(2,	226,	'MediaTek MT6753',	'mediatekspmt6753'),
(2,	227,	'MediaTek MT6755',	'mediatekspmt6755'),
(2,	228,	'MediaTek MT6797',	'mediatekspmt6797'),
(2,	229,	'MediaTek MT6797T',	'mediatekspmt6797t'),
(2,	230,	'MediaTek MT8735P',	'mediatekspmt8735p'),
(2,	231,	'Mi4C',	'mi4c'),
(2,	232,	'Mi5s',	'mi5s'),
(2,	233,	'micro-SIM',	'micromsim'),
(2,	234,	'micro-SIM. nano-SIM (microSD)',	'micromsimdspnanomsimsplbmicrosdrb'),
(2,	235,	'microUSB. OTG. Аудио 3.5 мм',	'microusbdspotgdspaudiosp3d5spmm'),
(2,	236,	'microUSB. Type-C. OTG. Аудио 3.5 мм',	'microusbdsptypemcdspotgdspaudiosp3d5spmm'),
(2,	237,	'microUSB. Аудио 3.5 мм',	'microusbdspaudiosp3d5spmm'),
(2,	238,	'microUSB. Аудио 3.5 мм. 2 слота для sim-карт',	'microusbdspaudiosp3d5spmmdsp2spslotaspdlyaspsimmkart'),
(2,	239,	'MX',	'mx'),
(2,	240,	'nano-SIM',	'nanomsim'),
(2,	241,	'nano-SIM. micro-SIM (microSD)',	'nanomsimdspmicromsimsplbmicrosdrb'),
(2,	242,	'nano-SIM. nano-SIM',	'nanomsimdspnanomsim'),
(2,	243,	'nano-SIM. nano-SIM (microSD)',	'nanomsimdspnanomsimsplbmicrosdrb'),
(2,	244,	'Pro',	'pro'),
(2,	245,	'Qualcomm Snapdragon 210',	'qualcommspsnapdragonsp210'),
(2,	246,	'Qualcomm Snapdragon 410',	'qualcommspsnapdragonsp410'),
(2,	247,	'Redmi 3S',	'redmisp3s'),
(2,	248,	'Redmi 4',	'redmisp4'),
(2,	249,	'Redmi Note',	'redmispnote'),
(2,	250,	'Redmi Note 4',	'redmispnotesp4'),
(2,	251,	'Samsung Exynos 7',	'samsungspexynossp7'),
(2,	252,	'Silver',	'silver'),
(2,	253,	'Snapdragon 430',	'snapdragonsp430'),
(2,	254,	'Snapdragon 435',	'snapdragonsp435'),
(2,	255,	'Snapdragon 625',	'snapdragonsp625'),
(2,	256,	'Snapdragon 808',	'snapdragonsp808'),
(2,	257,	'Snapdragon 82',	'snapdragonsp82'),
(2,	258,	'Snapdragon 821',	'snapdragonsp821'),
(2,	259,	'Super AMOLED Full HD',	'superspamoledspfullsphd'),
(2,	260,	'TD-LTE',	'tdmlte'),
(2,	261,	'Track builder',	'trackspbuilder'),
(2,	262,	'USB Type-C. OTG. Аудио 3.5 мм',	'usbsptypemcdspotgdspaudiosp3d5spmm'),
(2,	263,	'Workshop',	'workshop'),
(2,	264,	'Базовые треки и игровые наборы',	'bazovyesptrekispispigrovyespnabory'),
(2,	265,	'Белый. золотой. синий. серый. розовый',	'belyjdspzolotojdspsinijdspseryjdsprozovyj'),
(2,	266,	'Белый. серый. золотой',	'belyjdspseryjdspzolotoj'),
(2,	267,	'Белый. синий. серый. розовый',	'belyjdspsinijdspseryjdsprozovyj'),
(2,	268,	'Боковое',	'bokovoe'),
(2,	269,	'велюр',	'velyur'),
(2,	270,	'Вертикальный',	'vertikalnyj'),
(2,	271,	'гидротурбинка (электро)',	'gidroturbinkasplbelektrorb'),
(2,	272,	'Две ступени',	'dvespstupeni'),
(2,	273,	'двойная. по 13 Мп каждая',	'dvojnayadspposp13spmpspkazhdaya'),
(2,	274,	'девочка..мальчик',	'devochkaddmalchik'),
(2,	275,	'Десять ступеней',	'desyatspstupenej'),
(2,	276,	'для детей до 12 лет',	'dlyaspdetejspdosp12splet'),
(2,	277,	'до 128 ГБ',	'dosp128spgb'),
(2,	278,	'до 32 ГБ',	'dosp32spgb'),
(2,	279,	'до 4 кг',	'dosp4spkg'),
(2,	280,	'до 64 ГБ',	'dosp64spgb'),
(2,	281,	'Другие интерактивные питомцы',	'drugiespinteraktivnyesppitomtsy'),
(2,	282,	'дымоход',	'dymohod'),
(2,	283,	'Есть',	'est'),
(2,	284,	'Есть',	'est'),
(2,	285,	'Есть',	'est'),
(2,	286,	'Есть',	'est'),
(2,	287,	'Есть',	'est'),
(2,	288,	'Есть',	'est'),
(2,	289,	'есть',	'est'),
(2,	290,	'есть',	'est'),
(2,	291,	'Есть (mTouch)',	'estsplbmtouchrb'),
(2,	292,	'жаккард',	'zhakkard'),
(2,	293,	'Испания',	'ispaniya'),
(2,	294,	'Италия',	'italiya'),
(2,	295,	'мальчик',	'malchik'),
(2,	296,	'микро-вельвет',	'mikromvelvet'),
(2,	297,	'Настенный',	'nastennyj'),
(2,	298,	'нет',	'net'),
(2,	299,	'оксфорд (плащевая ткань)',	'oksfordsplbplaschevayasptkanrb'),
(2,	300,	'от батареек (электро)',	'otspbatareeksplbelektrorb'),
(2,	301,	'от батареек (электронный)',	'otspbatareeksplbelektronnyjrb'),
(2,	302,	'открытый (\"мокрый\")',	'otkrytyjsplbqumokryjqurb'),
(2,	303,	'пенополистирол 1-2 мм',	'penopolistirolsp1m2spmm'),
(2,	304,	'Пластик',	'plastik'),
(2,	305,	'Португалия',	'portugaliya'),
(2,	306,	'прямоугольная',	'pryamougolnaya'),
(2,	307,	'пьезорозжиг',	'pezorozzhig'),
(2,	308,	'пьезорозжиг (кнопкой)',	'pezorozzhigsplbknopkojrb'),
(2,	309,	'Россия',	'rossiya'),
(2,	310,	'Секционная',	'sektsionnaya'),
(2,	311,	'Серый. серебряный. золотой',	'seryjdspserebryanyjdspzolotoj'),
(2,	312,	'Серый. серебряный. золотой. Rose-gold',	'seryjdspserebryanyjdspzolotojdsprosemgold'),
(2,	313,	'скрытый (\"сухой\")',	'skrytyjsplbqusuhojqurb'),
(2,	314,	'Темно-серый. золотой. серебряный',	'temnomseryjdspzolotojdspserebryanyj'),
(2,	315,	'Темно-серый. золотой. серый',	'temnomseryjdspzolotojdspseryj'),
(2,	316,	'Темно-серый. золотой. серый. Rose-gold',	'temnomseryjdspzolotojdspseryjdsprosemgold'),
(2,	317,	'Украина',	'ukraina'),
(2,	318,	'Универсальный',	'universalnyj'),
(2,	319,	'Цилиндрическая',	'tsilindricheskaya'),
(2,	320,	'Черный',	'chernyj'),
(2,	321,	'Черный. Champagne. розовый',	'chernyjdspchampagnedsprozovyj'),
(2,	322,	'Черный. голубой. розовый. белый. желтый',	'chernyjdspgolubojdsprozovyjdspbelyjdspzheltyj'),
(2,	323,	'Черный. розовый. золотой. серебряный. бирюзовый',	'chernyjdsprozovyjdspzolotojdspserebryanyjdspbiryuzovyj'),
(3,	1,	'0.04',	'0d04'),
(3,	2,	'0.05',	'0d05'),
(3,	3,	'0.06',	'0d06'),
(3,	4,	'0.15бар',	'0d15bar'),
(3,	5,	'0.1бар',	'0d1bar'),
(3,	6,	'0.25 м3',	'0d25spm3'),
(3,	7,	'0.35л.',	'0d35ld'),
(3,	8,	'0.37л',	'0d37l'),
(3,	9,	'0.5л.',	'0d5ld'),
(3,	10,	'4.2',	'4d2'),
(3,	11,	'4.1',	'4d1'),
(3,	12,	'1 ГБ',	'1spgb'),
(3,	13,	'1 машинка',	'1spmashinka'),
(3,	14,	'1.0 Ггц',	'1d0spggts'),
(3,	15,	'1.1 ГГц',	'1d1spggts'),
(3,	16,	'1.2 ГГц',	'1d2spggts'),
(3,	17,	'1.4 ГГц',	'1d4spggts'),
(3,	18,	'1.5 ГГц',	'1d5spggts'),
(3,	19,	'1.5кВт.',	'1d5kvtd'),
(3,	20,	'1.7 ГГц',	'1d7spggts'),
(3,	21,	'1.8 ГГц',	'1d8spggts'),
(3,	22,	'10',	'10'),
(3,	23,	'10',	'10'),
(3,	24,	'10 (8- Cortex-A53 / 2- A72)',	'10splb8mspcortexma53spfsp2mspa72rb'),
(3,	25,	'10 секц.',	'10spsektsd'),
(3,	26,	'10 секций',	'10spsektsij'),
(3,	27,	'10.00',	'10d00'),
(3,	28,	'10.1\"',	'10d1qu'),
(3,	29,	'100л.',	'100ld'),
(3,	30,	'1024x600 пикс.',	'1024x600sppiksd'),
(3,	31,	'1080x1920 пикс.',	'1080x1920sppiksd'),
(3,	32,	'10кг.',	'10kgd'),
(3,	33,	'10л/мин.',	'10lfmind'),
(3,	34,	'11 кг.',	'11spkgd'),
(3,	35,	'11 л/мин',	'11splfmin'),
(3,	36,	'11.00',	'11d00'),
(3,	37,	'11.5кг.',	'11d5kgd'),
(3,	38,	'110 см',	'110spsm'),
(3,	39,	'110град.',	'110gradd'),
(3,	40,	'116 град.',	'116spgradd'),
(3,	41,	'11л.',	'11ld'),
(3,	42,	'12 Мп',	'12spmp'),
(3,	43,	'128 ГБ',	'128spgb'),
(3,	44,	'1280x720 пикс.',	'1280x720sppiksd'),
(3,	45,	'1280x800 пикс.',	'1280x800sppiksd'),
(3,	46,	'12кг.',	'12kgd'),
(3,	47,	'13 кг.',	'13spkgd'),
(3,	48,	'13 Мп',	'13spmp'),
(3,	49,	'13.5кг.',	'13d5kgd'),
(3,	50,	'130°C',	'130degc'),
(3,	51,	'132 г',	'132spg'),
(3,	52,	'134 г',	'134spg'),
(3,	53,	'134.0 x 67.2 x 9.2 мм',	'134d0spxsp67d2spxsp9d2spmm'),
(3,	54,	'138 г',	'138spg'),
(3,	55,	'138.1 х 69.59 x 7.8 мм',	'138d1sphsp69d59spxsp7d8spmm'),
(3,	56,	'139.2 x 70.0 x 8.7 мм',	'139d2spxsp70d0spxsp8d7spmm'),
(3,	57,	'139.3 x 69.6 x 8.5 мм',	'139d3spxsp69d6spxsp8d5spmm'),
(3,	58,	'13л/мин.',	'13lfmind'),
(3,	59,	'14 л/мин',	'14splfmin'),
(3,	60,	'14.00',	'14d00'),
(3,	61,	'141.3 x 69.6 x 8.9 мм',	'141d3spxsp69d6spxsp8d9spmm'),
(3,	62,	'141.5 х 69.5 х 8.3 мм',	'141d5sphsp69d5sphsp8d3spmm'),
(3,	63,	'141.9 x 69.0 x 8.3 мм',	'141d9spxsp69d0spxsp8d3spmm'),
(3,	64,	'144 г',	'144spg'),
(3,	65,	'145Вт.',	'145vtd'),
(3,	66,	'147.7 х 70.8 х 7.3 мм',	'147d7sphsp70d8sphsp7d3spmm'),
(3,	67,	'149 г',	'149spg'),
(3,	68,	'14кг.',	'14kgd'),
(3,	69,	'14л.',	'14ld'),
(3,	70,	'15.5кг.',	'15d5kgd'),
(3,	71,	'150 г',	'150spg'),
(3,	72,	'150.9 х 75.2 х 8.7 мм',	'150d9sphsp75d2sphsp8d7spmm'),
(3,	73,	'151.0 x 76.0 x 8.35 мм',	'151d0spxsp76d0spxsp8d35spmm'),
(3,	74,	'151.0 x 76.0 x 8.4 мм',	'151d0spxsp76d0spxsp8d4spmm'),
(3,	75,	'153.6 х 75.2 х 7.25 мм',	'153d6sphsp75d2sphsp7d25spmm'),
(3,	76,	'153.6 х 75.5 х 8.2 мм',	'153d6sphsp75d5sphsp8d2spmm'),
(3,	77,	'154.6 х 77.7 х 8 мм',	'154d6sphsp77d7sphsp8spmm'),
(3,	78,	'155 г',	'155spg'),
(3,	79,	'156 г',	'156spg'),
(3,	80,	'156.7 х 78.0 х 7.5 мм',	'156d7sphsp78d0sphsp7d5spmm'),
(3,	81,	'15л/мин.',	'15lfmind'),
(3,	82,	'16 бар',	'16spbar'),
(3,	83,	'16 ГБ',	'16spgb'),
(3,	84,	'16.00',	'16d00'),
(3,	85,	'160 г',	'160spg'),
(3,	86,	'163 г',	'163spg'),
(3,	87,	'166Вт.',	'166vtd'),
(3,	88,	'168 г',	'168spg'),
(3,	89,	'169Вт.',	'169vtd'),
(3,	90,	'17.4кВт.',	'17d4kvtd'),
(3,	91,	'175 г',	'175spg'),
(3,	92,	'17кг.',	'17kgd'),
(3,	93,	'18.6кВт.',	'18d6kvtd'),
(3,	94,	'1800 / 1900 / 2100 / 2300 / 2500 / 2600 МГц',	'1800spfsp1900spfsp2100spfsp2300spfsp2500spfsp2600spmgts'),
(3,	95,	'1800. 1900. 2100. 2300. 2500. 2600. 850. 900 МГц',	'1800dsp1900dsp2100dsp2300dsp2500dsp2600dsp850dsp900spmgts'),
(3,	96,	'181Вт.',	'181vtd'),
(3,	97,	'18бар',	'18bar'),
(3,	98,	'19.2кВт.',	'19d2kvtd'),
(3,	99,	'191.0 х 101.0 х 8.8 мм',	'191d0sphsp101d0sphsp8d8spmm'),
(3,	100,	'195Вт.',	'195vtd'),
(3,	101,	'1:64 (машинка)',	'1col64splbmashinkarb'),
(3,	102,	'2 sim',	'2spsim'),
(3,	103,	'2 x 2.3GHz Cortex-A72 + 4 x 2.0GHz Cortex-A53 + 4 x 1.4GHz Cortex-A53',	'2spxsp2d3ghzspcortexma72sppsp4spxsp2d0ghzspcortexma53sppsp4spxsp1d4ghzspcortexma53'),
(3,	104,	'2 x 2.5 ГГц Cortex-A72 + 4 x 2.0 ГГц Cortex-A53 + 4 x 1.4 ГГц Cortex-A53',	'2spxsp2d5spggtsspcortexma72sppsp4spxsp2d0spggtsspcortexma53sppsp4spxsp1d4spggtsspcortexma53'),
(3,	105,	'2 ГБ',	'2spgb'),
(3,	106,	'2 емкости с водой. 1 машинка серии \"Измени цвет\"',	'2spemkostispsspvodojdsp1spmashinkaspseriispquizmenisptsvetqu'),
(3,	107,	'2 Мп',	'2spmp'),
(3,	108,	'2.0 ГГц',	'2d0spggts'),
(3,	109,	'2.1 ГГц',	'2d1spggts'),
(3,	110,	'2.1кВт.',	'2d1kvtd'),
(3,	111,	'2.35 ГГц',	'2d35spggts'),
(3,	112,	'2.4 бар',	'2d4spbar'),
(3,	113,	'2.4кВт.',	'2d4kvtd'),
(3,	114,	'2.5кВт.',	'2d5kvtd'),
(3,	115,	'200 литров',	'200splitrov'),
(3,	116,	'20кг.',	'20kgd'),
(3,	117,	'21 Мп',	'21spmp'),
(3,	118,	'21.16 Мп',	'21d16spmp'),
(3,	119,	'21.5 х 16 х 6 см',	'21d5sphsp16sphsp6spsm'),
(3,	120,	'22 кВт.',	'22spkvtd'),
(3,	121,	'22.6кВт.',	'22d6kvtd'),
(3,	122,	'2200 мАч',	'2200spmach'),
(3,	123,	'22кг.',	'22kgd'),
(3,	124,	'24.4кВт.',	'24d4kvtd'),
(3,	125,	'247.0 х 171.0 х 8.95 мм',	'247d0sphsp171d0sphsp8d95spmm'),
(3,	126,	'2560 мАч',	'2560spmach'),
(3,	127,	'25х25х9 см',	'25h25h9spsm'),
(3,	128,	'26.2кВт.',	'26d2kvtd'),
(3,	129,	'260 г',	'260spg'),
(3,	130,	'26кг.',	'26kgd'),
(3,	131,	'27.2 кВт.',	'27d2spkvtd'),
(3,	132,	'27кг.',	'27kgd'),
(3,	133,	'28 х 16 см',	'28sphsp16spsm'),
(3,	134,	'2870 мАч',	'2870spmach'),
(3,	135,	'2кВт.',	'2kvtd'),
(3,	136,	'3 ГБ',	'3spgb'),
(3,	137,	'3 года',	'3spgoda'),
(3,	138,	'3+',	'3p'),
(3,	139,	'30 см (длина одной дорожки)',	'30spsmsplbdlinaspodnojspdorozhkirb'),
(3,	140,	'3020 мАч',	'3020spmach'),
(3,	141,	'3020 мАч (съемный)',	'3020spmachsplbsemnyjrb'),
(3,	142,	'3050 мАч',	'3050spmach'),
(3,	143,	'3060 мАч',	'3060spmach'),
(3,	144,	'3080 мАч',	'3080spmach'),
(3,	145,	'30кг.',	'30kgd'),
(3,	146,	'30л.',	'30ld'),
(3,	147,	'31 х 5 х 3 см',	'31sphsp5sphsp3spsm'),
(3,	148,	'31 х 8х 5 см',	'31sphsp8hsp5spsm'),
(3,	149,	'3100 мАч',	'3100spmach'),
(3,	150,	'32 ГБ',	'32spgb'),
(3,	151,	'3450 мАч',	'3450spmach'),
(3,	152,	'3800 мАч',	'3800spmach'),
(3,	153,	'4',	'4'),
(3,	154,	'4 (Cortex A-53)',	'4splbcortexspam53rb'),
(3,	155,	'4 x 1.8 Ггц + 4 x 1.0 ГГц',	'4spxsp1d8spggtssppsp4spxsp1d0spggts'),
(3,	156,	'4 ГБ',	'4spgb'),
(3,	157,	'4 Мп',	'4spmp'),
(3,	158,	'4 х 1 ГГц + 4 х 1.5 ГГц',	'4sphsp1spggtssppsp4sphsp1d5spggts'),
(3,	159,	'4 х 2.1 ГГц + 4 х 1.5 ГГц',	'4sphsp2d1spggtssppsp4sphsp1d5spggts'),
(3,	160,	'4+',	'4p'),
(3,	161,	'4.0',	'4d0'),
(3,	162,	'4.2 LE',	'4d2sple'),
(3,	163,	'4.7\"',	'4d7qu'),
(3,	164,	'40.5 х 19 х 6 см',	'40d5sphsp19sphsp6spsm'),
(3,	165,	'4100 мАч',	'4100spmach'),
(3,	166,	'5 лет',	'5splet'),
(3,	167,	'5 Мп',	'5spmp'),
(3,	168,	'5 Мп',	'5spmp'),
(3,	169,	'5+',	'5p'),
(3,	170,	'5.0\"',	'5d0qu'),
(3,	171,	'5.2\"',	'5d2qu'),
(3,	172,	'5.5\"',	'5d5qu'),
(3,	173,	'5.7\"',	'5d7qu'),
(3,	174,	'50л.',	'50ld'),
(3,	175,	'51 х 30.5 х 7 см',	'51sphsp30d5sphsp7spsm'),
(3,	176,	'525 г',	'525spg'),
(3,	177,	'580х310х220',	'580h310h220'),
(3,	178,	'6 (Cortex A-57)',	'6splbcortexspam57rb'),
(3,	179,	'6 ГБ',	'6spgb'),
(3,	180,	'64 ГБ',	'64spgb'),
(3,	181,	'655х350х220',	'655h350h220'),
(3,	182,	'655х425х220',	'655h425h220'),
(3,	183,	'7 года',	'7spgoda'),
(3,	184,	'7 лет',	'7splet'),
(3,	185,	'7.0\"',	'7d0qu'),
(3,	186,	'7000 мАч',	'7000spmach'),
(3,	187,	'75л.',	'75ld'),
(3,	188,	'8',	'8'),
(3,	189,	'8 (Cortex A-53)',	'8splbcortexspam53rb'),
(3,	190,	'8 (Cortex A-57 + Cortex A-53)',	'8splbcortexspam57sppspcortexspam53rb'),
(3,	191,	'8 лет',	'8splet'),
(3,	192,	'8 Мп',	'8spmp'),
(3,	193,	'80 см',	'80spsm'),
(3,	194,	'802.11 a/b/g/n',	'802d11spafbfgfn'),
(3,	195,	'802.11 a/b/g/n/ac',	'802d11spafbfgfnfac'),
(3,	196,	'802.11 b/g/n',	'802d11spbfgfn'),
(3,	197,	'80л.',	'80ld'),
(3,	198,	'850 / 1900 / 2100 МГц',	'850spfsp1900spfsp2100spmgts'),
(3,	199,	'850 / 900 / 1800 / 1900 МГц',	'850spfsp900spfsp1800spfsp1900spmgts'),
(3,	200,	'850 / 900 / 1900 / 2100 МГц',	'850spfsp900spfsp1900spfsp2100spmgts'),
(3,	201,	'850 / 900 / 1900 / 2100 МГц',	'850spfsp900spfsp1900spfsp2100spmgts'),
(3,	202,	'850 / 900 / 1900 МГц',	'850spfsp900spfsp1900spmgts'),
(3,	203,	'900 / 1800 / 1900 МГц',	'900spfsp1800spfsp1900spmgts'),
(3,	204,	'900 / 1800 МГц',	'900spfsp1800spmgts'),
(3,	205,	'900 / 1900 / 2100 МГц',	'900spfsp1900spfsp2100spmgts'),
(3,	206,	'900 / 2100 МГц',	'900spfsp2100spmgts'),
(3,	207,	'900 / 2100 МГц',	'900spfsp2100spmgts'),
(3,	208,	'Android 4.4',	'androidsp4d4'),
(3,	209,	'Android 5.0',	'androidsp5d0'),
(3,	210,	'Android 5.1',	'androidsp5d1'),
(3,	211,	'Android 6.0',	'androidsp6d0'),
(3,	212,	'Android 6.0 + Flyme',	'androidsp6d0sppspflyme'),
(3,	213,	'Android 6.0.1 +  MIUI 8',	'androidsp6d0d1sppspspmiuisp8'),
(3,	214,	'Android 6.0.1 +  MIUI V8',	'androidsp6d0d1sppspspmiuispv8'),
(3,	215,	'City',	'city'),
(3,	216,	'Dark Blue',	'darkspblue'),
(3,	217,	'FDD-LTE',	'fddmlte'),
(3,	218,	'IGZO Full HD',	'igzospfullsphd'),
(3,	219,	'IPS',	'ips'),
(3,	220,	'IPS (Sharp)',	'ipssplbsharprb'),
(3,	221,	'IPS Full HD',	'ipsspfullsphd'),
(3,	222,	'IPS HD',	'ipssphd'),
(3,	223,	'M2',	'm2'),
(3,	224,	'M3',	'm3'),
(3,	225,	'MediaTek MT6750',	'mediatekspmt6750'),
(3,	226,	'MediaTek MT6753',	'mediatekspmt6753'),
(3,	227,	'MediaTek MT6755',	'mediatekspmt6755'),
(3,	228,	'MediaTek MT6797',	'mediatekspmt6797'),
(3,	229,	'MediaTek MT6797T',	'mediatekspmt6797t'),
(3,	230,	'MediaTek MT8735P',	'mediatekspmt8735p'),
(3,	231,	'Mi4C',	'mi4c'),
(3,	232,	'Mi5s',	'mi5s'),
(3,	233,	'micro-SIM',	'micromsim'),
(3,	234,	'micro-SIM. nano-SIM (microSD)',	'micromsimdspnanomsimsplbmicrosdrb'),
(3,	235,	'microUSB. OTG. Аудио 3.5 мм',	'microusbdspotgdspaudiosp3d5spmm'),
(3,	236,	'microUSB. Type-C. OTG. Аудио 3.5 мм',	'microusbdsptypemcdspotgdspaudiosp3d5spmm'),
(3,	237,	'microUSB. Аудио 3.5 мм',	'microusbdspaudiosp3d5spmm'),
(3,	238,	'microUSB. Аудио 3.5 мм. 2 слота для sim-карт',	'microusbdspaudiosp3d5spmmdsp2spslotaspdlyaspsimmkart'),
(3,	239,	'MX',	'mx'),
(3,	240,	'nano-SIM',	'nanomsim'),
(3,	241,	'nano-SIM. micro-SIM (microSD)',	'nanomsimdspmicromsimsplbmicrosdrb'),
(3,	242,	'nano-SIM. nano-SIM',	'nanomsimdspnanomsim'),
(3,	243,	'nano-SIM. nano-SIM (microSD)',	'nanomsimdspnanomsimsplbmicrosdrb'),
(3,	244,	'Pro',	'pro'),
(3,	245,	'Qualcomm Snapdragon 210',	'qualcommspsnapdragonsp210'),
(3,	246,	'Qualcomm Snapdragon 410',	'qualcommspsnapdragonsp410'),
(3,	247,	'Redmi 3S',	'redmisp3s'),
(3,	248,	'Redmi 4',	'redmisp4'),
(3,	249,	'Redmi Note',	'redmispnote'),
(3,	250,	'Redmi Note 4',	'redmispnotesp4'),
(3,	251,	'Samsung Exynos 7',	'samsungspexynossp7'),
(3,	252,	'Silver',	'silver'),
(3,	253,	'Snapdragon 430',	'snapdragonsp430'),
(3,	254,	'Snapdragon 435',	'snapdragonsp435'),
(3,	255,	'Snapdragon 625',	'snapdragonsp625'),
(3,	256,	'Snapdragon 808',	'snapdragonsp808'),
(3,	257,	'Snapdragon 82',	'snapdragonsp82'),
(3,	258,	'Snapdragon 821',	'snapdragonsp821'),
(3,	259,	'Super AMOLED Full HD',	'superspamoledspfullsphd'),
(3,	260,	'TD-LTE',	'tdmlte'),
(3,	261,	'Track builder',	'trackspbuilder'),
(3,	262,	'USB Type-C. OTG. Аудио 3.5 мм',	'usbsptypemcdspotgdspaudiosp3d5spmm'),
(3,	263,	'Workshop',	'workshop'),
(3,	264,	'Базовые треки и игровые наборы',	'bazovyesptrekispispigrovyespnabory'),
(3,	265,	'Белый. золотой. синий. серый. розовый',	'belyjdspzolotojdspsinijdspseryjdsprozovyj'),
(3,	266,	'Белый. серый. золотой',	'belyjdspseryjdspzolotoj'),
(3,	267,	'Белый. синий. серый. розовый',	'belyjdspsinijdspseryjdsprozovyj'),
(3,	268,	'Боковое',	'bokovoe'),
(3,	269,	'велюр',	'velyur'),
(3,	270,	'Вертикальный',	'vertikalnyj'),
(3,	271,	'гидротурбинка (электро)',	'gidroturbinkasplbelektrorb'),
(3,	272,	'Две ступени',	'dvespstupeni'),
(3,	273,	'двойная. по 13 Мп каждая',	'dvojnayadspposp13spmpspkazhdaya'),
(3,	274,	'девочка..мальчик',	'devochkaddmalchik'),
(3,	275,	'Десять ступеней',	'desyatspstupenej'),
(3,	276,	'для детей до 12 лет',	'dlyaspdetejspdosp12splet'),
(3,	277,	'до 128 ГБ',	'dosp128spgb'),
(3,	278,	'до 32 ГБ',	'dosp32spgb'),
(3,	279,	'до 4 кг',	'dosp4spkg'),
(3,	280,	'до 64 ГБ',	'dosp64spgb'),
(3,	281,	'Другие интерактивные питомцы',	'drugiespinteraktivnyesppitomtsy'),
(3,	282,	'дымоход',	'dymohod'),
(3,	283,	'Есть',	'est'),
(3,	284,	'Есть',	'est'),
(3,	285,	'Есть',	'est'),
(3,	286,	'Есть',	'est'),
(3,	287,	'Есть',	'est'),
(3,	288,	'Есть',	'est'),
(3,	289,	'есть',	'est'),
(3,	290,	'есть',	'est'),
(3,	291,	'Есть (mTouch)',	'estsplbmtouchrb'),
(3,	292,	'жаккард',	'zhakkard'),
(3,	293,	'Испания',	'ispaniya'),
(3,	294,	'Италия',	'italiya'),
(3,	295,	'мальчик',	'malchik'),
(3,	296,	'микро-вельвет',	'mikromvelvet'),
(3,	297,	'Настенный',	'nastennyj'),
(3,	298,	'нет',	'net'),
(3,	299,	'оксфорд (плащевая ткань)',	'oksfordsplbplaschevayasptkanrb'),
(3,	300,	'от батареек (электро)',	'otspbatareeksplbelektrorb'),
(3,	301,	'от батареек (электронный)',	'otspbatareeksplbelektronnyjrb'),
(3,	302,	'открытый (\"мокрый\")',	'otkrytyjsplbqumokryjqurb'),
(3,	303,	'пенополистирол 1-2 мм',	'penopolistirolsp1m2spmm'),
(3,	304,	'Пластик',	'plastik'),
(3,	305,	'Португалия',	'portugaliya'),
(3,	306,	'прямоугольная',	'pryamougolnaya'),
(3,	307,	'пьезорозжиг',	'pezorozzhig'),
(3,	308,	'пьезорозжиг (кнопкой)',	'pezorozzhigsplbknopkojrb'),
(3,	309,	'Россия',	'rossiya'),
(3,	310,	'Секционная',	'sektsionnaya'),
(3,	311,	'Серый. серебряный. золотой',	'seryjdspserebryanyjdspzolotoj'),
(3,	312,	'Серый. серебряный. золотой. Rose-gold',	'seryjdspserebryanyjdspzolotojdsprosemgold'),
(3,	313,	'скрытый (\"сухой\")',	'skrytyjsplbqusuhojqurb'),
(3,	314,	'Темно-серый. золотой. серебряный',	'temnomseryjdspzolotojdspserebryanyj'),
(3,	315,	'Темно-серый. золотой. серый',	'temnomseryjdspzolotojdspseryj'),
(3,	316,	'Темно-серый. золотой. серый. Rose-gold',	'temnomseryjdspzolotojdspseryjdsprosemgold'),
(3,	317,	'Украина',	'ukraina'),
(3,	318,	'Универсальный',	'universalnyj'),
(3,	319,	'Цилиндрическая',	'tsilindricheskaya'),
(3,	320,	'Черный',	'chernyj'),
(3,	321,	'Черный. Champagne. розовый',	'chernyjdspchampagnedsprozovyj'),
(3,	322,	'Черный. голубой. розовый. белый. желтый',	'chernyjdspgolubojdsprozovyjdspbelyjdspzheltyj'),
(3,	323,	'Черный. розовый. золотой. серебряный. бирюзовый',	'chernyjdsprozovyjdspzolotojdspserebryanyjdspbiryuzovyj'),
(1,	324,	'Финляндия',	'finlyandiya'),
(2,	324,	'Польша',	'polsha'),
(3,	324,	'Польша',	'polsha'),
(1,	325,	'Баранина',	'baranina'),
(2,	325,	'Украина',	'ukraina'),
(3,	325,	'Украина',	'ukraina'),
(1,	326,	'Россия',	'rossiya'),
(2,	326,	'Россия',	'rossiya'),
(3,	326,	'Россия',	'rossiya'),
(1,	328,	'Курица',	'kuritsa'),
(2,	328,	'Курица',	'kuritsa'),
(3,	328,	'Курица',	'kuritsa'),
(1,	329,	'Говядина',	'govyadina'),
(2,	329,	'Австралия',	'avstraliya'),
(3,	329,	'Австралия',	'avstraliya'),
(1,	330,	'Свинина',	'svinina'),
(2,	330,	'Свинина',	'svinina'),
(3,	330,	'Свинина',	'svinina'),
(1,	331,	'Коттон',	'kotton'),
(2,	331,	'Коттон',	'kotton'),
(3,	331,	'Коттон',	'kotton'),
(1,	332,	'Франция',	'frantsiya'),
(2,	332,	'Франция',	'frantsiya'),
(3,	332,	'Франция',	'frantsiya'),
(1,	333,	'(H)218.5, (W)133.0',	'lbhrb218d5csplbwrb133d0'),
(2,	333,	'(H)204.5, (W)133.0, (Dia)133.0cm',	'lbhrb204d5csplbwrb133d0csplbdiarb133d0cm'),
(3,	333,	'(H)204.5, (W)133.0, (Dia)133.0cm',	'lbhrb204d5csplbwrb133d0csplbdiarb133d0cm'),
(1,	334,	'8',	'8'),
(2,	334,	'6',	'6'),
(3,	334,	'6',	'6'),
(1,	335,	'1.55м',	'1d55m'),
(2,	335,	'1.5м',	'1d5m'),
(3,	335,	'1.5м',	'1d5m'),
(1,	336,	'да',	'da'),
(2,	336,	'да',	'da'),
(3,	336,	'да',	'da'),
(1,	337,	'145кг.',	'145kgd'),
(2,	337,	'120кг.',	'120kgd'),
(3,	337,	'120кг.',	'120kgd'),
(1,	338,	'295',	'295'),
(2,	338,	'215',	'215'),
(3,	338,	'215',	'215'),
(1,	339,	'65.5L x 89.5W x 25.5H',	'65d5lspxsp89d5wspxsp25d5h'),
(2,	339,	'147.7 х 70.8 х 7.3 cм',	'147d7sphsp70d8sphsp7d3spcm'),
(3,	339,	'147.7 х 70.8 х 7.3 cм',	'147d7sphsp70d8sphsp7d3spcm'),
(1,	340,	'Дерево',	'derevo'),
(2,	340,	'Дерево',	'derevo'),
(3,	340,	'Дерево',	'derevo'),
(1,	341,	'Италия',	'italiya'),
(2,	341,	'Италия',	'italiya'),
(3,	341,	'Италия',	'italiya'),
(1,	342,	'(H)91.0, (W)54ю8',	'lbhrb91d0csplbwrb54yu8'),
(2,	342,	'(H)91.0, (W)54ю8',	'lbhrb91d0csplbwrb54yu8'),
(3,	342,	'(H)91.0, (W)54ю8',	'lbhrb91d0csplbwrb54yu8'),
(1,	343,	'нет',	'net'),
(2,	343,	'1',	'1'),
(3,	343,	'1',	'1'),
(1,	345,	'С. Кінг',	'sdspking'),
(2,	345,	'С. Кінг',	'sdspking'),
(3,	345,	'С. Кінг',	'sdspking'),
(1,	346,	'украинский',	'ukrainskij'),
(2,	346,	'украинский',	'ukrainskij'),
(3,	346,	'украинский',	'ukrainskij'),
(1,	347,	'The Stand, vol.1',	'thespstandcspvold1'),
(2,	347,	'The Outsider',	'thespoutsider'),
(3,	347,	'The Outsider',	'thespoutsider'),
(1,	348,	'переплет',	'pereplet'),
(2,	348,	'переплет',	'pereplet'),
(3,	348,	'переплет',	'pereplet'),
(1,	349,	'576',	'576'),
(2,	349,	'592',	'592'),
(3,	349,	'592',	'592'),
(1,	350,	'ч/б',	'chfb'),
(2,	350,	'ч/б',	'chfb'),
(3,	350,	'ч/б',	'chfb'),
(1,	351,	'2019',	'2019'),
(2,	351,	'2019',	'2019'),
(3,	351,	'2019',	'2019'),
(1,	352,	'Фантастика, фэнтези',	'fantastikacspfentezi'),
(2,	352,	'Фантастика, фэнтези',	'fantastikacspfentezi'),
(3,	352,	'Фантастика, фэнтези',	'fantastikacspfentezi'),
(1,	353,	'2017',	'2017'),
(2,	353,	'2017',	'2017'),
(3,	353,	'2017',	'2017'),
(1,	354,	'Велосипед',	'velosiped'),
(2,	354,	'Велосипед',	'velosiped'),
(3,	354,	'Велосипед',	'velosiped'),
(1,	355,	'25.5 дюйма',	'25d5spdyujma'),
(2,	355,	'27.5 дюйма',	'27d5spdyujma'),
(3,	355,	'27.5 дюйма',	'27d5spdyujma'),
(1,	356,	'от 130 до 150 мм',	'otsp130spdosp150spmm'),
(2,	356,	'от 100 до 150 мм',	'otsp100spdosp150spmm'),
(3,	356,	'от 100 до 150 мм',	'otsp100spdosp150spmm'),
(1,	357,	'RockShox Revelation RC Lockout, air, Travel: 120mm, aluminium steerer tube 1 18 - 1 12 tapered, thru-axle Boost',	'rockshoxsprevelationsprcsplockoutcspaircsptravelcolsp120mmcspaluminiumspsteerersptubesp1sp18spmsp1sp12sptaperedcspthrumaxlespboost'),
(2,	357,	'RockShox Revelation RC Lockout, air, Travel: 120mm, aluminium steerer tube 1 18 - 1 12 tapered, thru-axle Boost',	'rockshoxsprevelationsprcsplockoutcspaircsptravelcolsp120mmcspaluminiumspsteerersptubesp1sp18spmsp1sp12sptaperedcspthrumaxlespboost'),
(3,	357,	'RockShox Revelation RC Lockout, air, Travel: 120mm, aluminium steerer tube 1 18 - 1 12 tapered, thru-axle Boost',	'rockshoxsprevelationsprcsplockoutcspaircsptravelcolsp120mmcspaluminiumspsteerersptubesp1sp18spmsp1sp12sptaperedcspthrumaxlespboost'),
(1,	358,	'25.8 кг',	'25d8spkg'),
(2,	358,	'24.8 кг',	'24d8spkg'),
(3,	358,	'24.8 кг',	'24d8spkg'),
(1,	359,	'Shimano Tourney RD-TY21B',	'shimanosptourneysprdmty21b'),
(2,	359,	'алюминий',	'alyuminij'),
(3,	359,	'алюминий',	'alyuminij'),
(1,	360,	'Sram NX Eagle, 12 speed',	'sramspnxspeaglecsp12spspeed'),
(2,	360,	'Sram NX Eagle, 12 speed',	'sramspnxspeaglecsp12spspeed'),
(3,	360,	'Sram NX Eagle, 12 speed',	'sramspnxspeaglecsp12spspeed'),
(1,	361,	'26.5 дюйма',	'26d5spdyujma'),
(2,	361,	'26.5 дюйма',	'26d5spdyujma'),
(3,	361,	'26.5 дюйма',	'26d5spdyujma'),
(1,	362,	'от 110 до 160 мм',	'otsp110spdosp160spmm'),
(2,	362,	'от 110 до 160 мм',	'otsp110spdosp160spmm'),
(3,	362,	'от 110 до 160 мм',	'otsp110spdosp160spmm'),
(1,	363,	'Жесткая стальная',	'zhestkayaspstalnaya'),
(2,	363,	'Жесткая стальная',	'zhestkayaspstalnaya'),
(3,	363,	'Жесткая стальная',	'zhestkayaspstalnaya'),
(1,	364,	'алюминий PRO',	'alyuminijsppro'),
(2,	364,	'алюминий PRO',	'alyuminijsppro'),
(3,	364,	'алюминий PRO',	'alyuminijsppro'),
(1,	365,	'без амортизатора',	'bezspamortizatora'),
(2,	365,	'без амортизатора',	'bezspamortizatora'),
(3,	365,	'без амортизатора',	'bezspamortizatora'),
(1,	366,	'ободной',	'obodnoj'),
(2,	366,	'ободной',	'obodnoj'),
(3,	366,	'ободной',	'obodnoj'),
(1,	367,	'793 г',	'793spg'),
(2,	367,	'793 г',	'793spg'),
(3,	367,	'793 г',	'793spg'),
(1,	368,	'Велошлем',	'veloshlem'),
(2,	368,	'Велошлем',	'veloshlem'),
(3,	368,	'Велошлем',	'veloshlem'),
(1,	369,	'нет',	'net'),
(2,	369,	'нет',	'net'),
(3,	369,	'нет',	'net'),
(1,	370,	'нет',	'net'),
(2,	370,	'нет',	'net'),
(3,	370,	'нет',	'net'),
(1,	371,	'нет',	'net'),
(2,	371,	'нет',	'net'),
(3,	371,	'нет',	'net'),
(1,	372,	'нет',	'net'),
(2,	372,	'нет',	'net'),
(3,	372,	'нет',	'net'),
(1,	373,	'нет',	'net'),
(2,	373,	'нет',	'net'),
(3,	373,	'нет',	'net'),
(1,	374,	'нет',	'net'),
(2,	374,	'нет',	'net'),
(3,	374,	'нет',	'net'),
(1,	375,	'Велоперчатка',	'veloperchatka'),
(2,	375,	'Велоперчатка',	'veloperchatka'),
(3,	375,	'Велоперчатка',	'veloperchatka'),
(1,	376,	'332 г',	'332spg'),
(2,	376,	'332 г',	'332spg'),
(3,	376,	'332 г',	'332spg'),
(1,	377,	'Велообувь',	'veloobuv'),
(2,	377,	'Велообувь',	'veloobuv'),
(3,	377,	'Велообувь',	'veloobuv'),
(1,	378,	'6 кг',	'6spkg'),
(2,	378,	'6 кг',	'6spkg'),
(3,	378,	'6 кг',	'6spkg'),
(1,	379,	'Гиря',	'girya'),
(2,	379,	'Гиря',	'girya'),
(3,	379,	'Гиря',	'girya'),
(1,	380,	'8 кг',	'8spkg'),
(2,	380,	'8 кг',	'8spkg'),
(3,	380,	'8 кг',	'8spkg'),
(1,	381,	'Гантели',	'ganteli'),
(2,	381,	'Гантели',	'ganteli'),
(3,	381,	'Гантели',	'ganteli'),
(1,	382,	'136.5кг.',	'136d5kgd'),
(2,	382,	'136.5кг.',	'136d5kgd'),
(3,	382,	'136.5кг.',	'136d5kgd'),
(1,	383,	'Велотренажер',	'velotrenazher'),
(2,	383,	'Велотренажер',	'velotrenazher'),
(3,	383,	'Велотренажер',	'velotrenazher'),
(1,	384,	'139 кг',	'139spkg'),
(2,	384,	'139 кг',	'139spkg'),
(3,	384,	'139 кг',	'139spkg'),
(1,	385,	'Тренажер',	'trenazher'),
(2,	385,	'Тренажер',	'trenazher'),
(3,	385,	'Тренажер',	'trenazher'),
(1,	386,	'Гироскутер',	'giroskuter'),
(2,	386,	'Гироскутер',	'giroskuter'),
(3,	386,	'Гироскутер',	'giroskuter'),
(1,	387,	'Гироборд',	'girobord'),
(2,	387,	'Гироборд',	'girobord'),
(3,	387,	'Гироборд',	'girobord'),
(1,	388,	'Фитнесс-трекер',	'fitnessmtreker'),
(2,	388,	'Фитнесс-трекер',	'fitnessmtreker'),
(3,	388,	'Фитнесс-трекер',	'fitnessmtreker'),
(1,	389,	'Экшн-камера',	'ekshnmkamera'),
(2,	389,	'Экшн-камера',	'ekshnmkamera'),
(3,	389,	'Экшн-камера',	'ekshnmkamera'),
(1,	390,	'Windows POSReady 2009, Windows 7, Windows 8.1 Industry, Windows 10 IoT Enterprise',	'windowsspposreadysp2009cspwindowssp7cspwindowssp8d1spindustrycspwindowssp10spiotspenterprise'),
(2,	390,	'Windows Embedded CE 7.0; Windows Embedded Handheld 6.5.3; Android 4.4.4 (KitKat)',	'windowsspembeddedspcesp7d0semspwindowsspembeddedsphandheldsp6d5d3semspandroidsp4d4d4splbkitkatrb'),
(3,	390,	'Windows Embedded CE 7.0; Windows Embedded Handheld 6.5.3; Android 4.4.4 (KitKat)',	'windowsspembeddedspcesp7d0semspwindowsspembeddedsphandheldsp6d5d3semspandroidsp4d4d4splbkitkatrb'),
(1,	391,	'Intel Celeron N3160 2,24 ГГц;',	'intelspceleronspn3160sp2c24spggtssem'),
(2,	391,	'OMAP4 (1 ГГц)',	'omap4splb1spggtsrb'),
(3,	391,	'OMAP4 (1 ГГц)',	'omap4splb1spggtsrb'),
(1,	392,	'1 МБ SDRAM / 2 МБ Flash ROM',	'1spmbspsdramspfsp2spmbspflashsprom'),
(2,	392,	'512 Мбайт SRAM; 2 Гбайт Flash стандартный; 1 Гбайт SRAM; 2 Гбайт Flash премиум',	'512spmbajtspsramsemsp2spgbajtspflashspstandartnyjsemsp1spgbajtspsramsemsp2spgbajtspflashsppremium'),
(3,	392,	'512 Мбайт SRAM; 2 Гбайт Flash стандартный; 1 Гбайт SRAM; 2 Гбайт Flash премиум',	'512spmbajtspsramsemsp2spgbajtspflashspstandartnyjsemsp1spgbajtspsramsemsp2spgbajtspflashsppremium'),
(1,	393,	'Цветной сенсорный ЖК 4,3″',	'tsvetnojspsensornyjspzhksp4c3'),
(2,	393,	'3.7\" разрешение VGA (480 x 640); цветной; Стекло Corning GorillaTM',	'3d7qusprazresheniespvgasplb480spxsp640rbsemsptsvetnojsemspsteklospcorningspgorillatm'),
(3,	393,	'3.7\" разрешение VGA (480 x 640); цветной; Стекло Corning GorillaTM',	'3d7qusprazresheniespvgasplb480spxsp640rbsemsptsvetnojsemspsteklospcorningspgorillatm'),
(1,	394,	'На 28, 43 и 53 клавиши',	'nasp28csp43spisp53spklavishi'),
(2,	394,	'На 28, 43 и 53 клавиши; эмуляция терминала (5250, 3270, VT)',	'nasp28csp43spisp53spklavishisemspemulyatsiyaspterminalasplb5250csp3270cspvtrb'),
(3,	394,	'На 28, 43 и 53 клавиши; эмуляция терминала (5250, 3270, VT)',	'nasp28csp43spisp53spklavishisemspemulyatsiyaspterminalasplb5250csp3270cspvtrb'),
(1,	395,	'Лазерный',	'lazernyj'),
(2,	395,	'Motorola SE965, Motorola SE1524-ER, Motorola SE4500, Motorola SE4750, Motorola SE4600, Motorola SE4500-DL, Motorola SE4500-HD',	'motorolaspse965cspmotorolaspse1524mercspmotorolaspse4500cspmotorolaspse4750cspmotorolaspse4600cspmotorolaspse4500mdlcspmotorolaspse4500mhd'),
(3,	395,	'Motorola SE965, Motorola SE1524-ER, Motorola SE4500, Motorola SE4750, Motorola SE4600, Motorola SE4500-DL, Motorola SE4500-HD',	'motorolaspse965cspmotorolaspse1524mercspmotorolaspse4500cspmotorolaspse4750cspmotorolaspse4600cspmotorolaspse4500mdlcspmotorolaspse4500mhd'),
(1,	396,	'1D: UPC-A, UPC-E, EAN8, EAN13, CODE39, ITF, CODEBAR, CODE128, CODE93; 2D: PDF417, QR code(DataMatrix/Maxicode/Azec optional)',	'1dcolspupcmacspupcmecspean8cspean13cspcode39cspitfcspcodebarcspcode128cspcode93semsp2dcolsppdf417cspqrspcodelbdatamatrixfmaxicodefazecspoptionalrb'),
(2,	396,	'1D: Code 39, Code 128, Code 93, Codabar, Code 11, Discrete 2 of 5, Interleaved 2 of 5, EAN-8, EAN-13, MSI, UPCA, UPCE, UPC/EAN supplementals, Coupon Code, Trioptic 39, Webcode, RSS-14, RSS Limited, RSS Expanded, Chinese 2 of 5',	'1dcolspcodesp39cspcodesp128cspcodesp93cspcodabarcspcodesp11cspdiscretesp2spofsp5cspinterleavedsp2spofsp5cspeanm8cspeanm13cspmsicspupcacspupcecspupcfeanspsupplementalscspcouponspcodecsptriopticsp39cspwebcodecsprssm14csprsssplimitedcsprssspexpandedcspchines'),
(3,	396,	'1D: Code 39, Code 128, Code 93, Codabar, Code 11, Discrete 2 of 5, Interleaved 2 of 5, EAN-8, EAN-13, MSI, UPCA, UPCE, UPC/EAN supplementals, Coupon Code, Trioptic 39, Webcode, RSS-14, RSS Limited, RSS Expanded, Chinese 2 of 5',	'1dcolspcodesp39cspcodesp128cspcodesp93cspcodabarcspcodesp11cspdiscretesp2spofsp5cspinterleavedsp2spofsp5cspeanm8cspeanm13cspmsicspupcacspupcecspupcfeanspsupplementalscspcouponspcodecsptriopticsp39cspwebcodecsprssm14csprsssplimitedcsprssspexpandedcspchines'),
(1,	397,	'есть',	'est'),
(2,	397,	'Stonestreet-стек: Bluetooth 4.0 плюс BLE или WBA; Microsoft-стек: Bluetooth, версия 2.1 с EDR',	'stonestreetmstekcolspbluetoothsp4d0spplyusspblespilispwbasemspmicrosoftmstekcolspbluetoothcspversiyasp2d1spsspedr'),
(3,	397,	'Stonestreet-стек: Bluetooth 4.0 плюс BLE или WBA; Microsoft-стек: Bluetooth, версия 2.1 с EDR',	'stonestreetmstekcolspbluetoothsp4d0spplyusspblespilispwbasemspmicrosoftmstekcolspbluetoothcspversiyasp2d1spsspedr'),
(1,	398,	'нет',	'net'),
(2,	398,	'Android 4.4.4 (KitKat): IEEE 802.11 a/b/g/n/d/h/i/k/r или Windows Embedded CE 7.0 / Windows Embedded Handheld 6.5.3: IEEE 802.11 a/b/g/n/d/h/i (Защита: WPA2 Enterprise, 802.1x; EAP-TLS; TTLS (CHAP, MS-CHAP, MS-CHAPv2, PAP или MD5); PEAP (TLS, MSCHAPv2, EA',	'androidsp4d4d4splbkitkatrbcolspieeesp802d11spafbfgfnfdfhfifkfrspilispwindowsspembeddedspcesp7d0spfspwindowsspembeddedsphandheldsp6d5d3colspieeesp802d11spafbfgfnfdfhfisplbzaschitacolspwpa2spenterprisecsp802d1xsemspeapmtlssemspttlssplbchapcspmsmchapcspmsmch'),
(3,	398,	'Android 4.4.4 (KitKat): IEEE 802.11 a/b/g/n/d/h/i/k/r или Windows Embedded CE 7.0 / Windows Embedded Handheld 6.5.3: IEEE 802.11 a/b/g/n/d/h/i (Защита: WPA2 Enterprise, 802.1x; EAP-TLS; TTLS (CHAP, MS-CHAP, MS-CHAPv2, PAP или MD5); PEAP (TLS, MSCHAPv2, EA',	'androidsp4d4d4splbkitkatrbcolspieeesp802d11spafbfgfnfdfhfifkfrspilispwindowsspembeddedspcesp7d0spfspwindowsspembeddedsphandheldsp6d5d3colspieeesp802d11spafbfgfnfdfhfisplbzaschitacolspwpa2spenterprisecsp802d1xsemspeapmtlssemspttlssplbchapcspmsmchapcspmsmch'),
(1,	399,	'нет',	'net'),
(2,	399,	'Встроенная технология UHF Gen2 (только для моделей категории \"Премиум\")',	'vstroennayasptehnologiyaspuhfspgen2splbtolkospdlyaspmodelejspkategoriispqupremiumqurb'),
(3,	399,	'Встроенная технология UHF Gen2 (только для моделей категории \"Премиум\")',	'vstroennayasptehnologiyaspuhfspgen2splbtolkospdlyaspmodelejspkategoriispqupremiumqurb'),
(1,	400,	'датчик прозрачности (фиксированный по центру); датчик черной метки (подвижный); датчик открытой печатающей головки; датчик наличия этикетки',	'datchikspprozrachnostisplbfiksirovannyjspposptsentrurbsemspdatchikspchernojspmetkisplbpodvizhnyjrbsemspdatchikspotkrytojsppechatayuschejspgolovkisemspdatchikspnalichiyaspetiketki'),
(2,	400,	'Датчики на базе технологии IST (только для моделей категории \"Премиум\")',	'datchikispnaspbazesptehnologiispistsplbtolkospdlyaspmodelejspkategoriispqupremiumqurb'),
(3,	400,	'Датчики на базе технологии IST (только для моделей категории \"Премиум\")',	'datchikispnaspbazesptehnologiispistsplbtolkospdlyaspmodelejspkategoriispqupremiumqurb'),
(1,	401,	'IP64 (корпус, закрывающий электронное оборудование, дисплей и клавиатура) согласно стандартам защиты IEC',	'ip64splbkorpuscspzakryvayuschijspelektronnoespoborudovaniecspdisplejspispklaviaturarbspsoglasnospstandartamspzaschityspiec'),
(2,	401,	'IP64 (корпус, закрывающий электронное оборудование, дисплей и клавиатура) согласно стандартам защиты IEC',	'ip64splbkorpuscspzakryvayuschijspelektronnoespoborudovaniecspdisplejspispklaviaturarbspsoglasnospstandartamspzaschityspiec'),
(3,	401,	'IP64 (корпус, закрывающий электронное оборудование, дисплей и клавиатура) согласно стандартам защиты IEC',	'ip64splbkorpuscspzakryvayuschijspelektronnoespoborudovaniecspdisplejspispklaviaturarbspsoglasnospstandartamspzaschityspiec'),
(1,	402,	'нет',	'net'),
(2,	402,	'Устойчивость к падениям: Многократные падения на бетонное покрытие до 1.8 м в диапазоне рабочих температур; соответствует и превышает требования стандарта MIL-STD 810G;Устойчивость к циклическим падениям: 4000 падений с высоты 1 м; соответствует и превыша',	'ustojchivostspksppadeniyamcolspmnogokratnyesppadeniyaspnaspbetonnoesppokrytiespdosp1d8spmspvspdiapazonesprabochihsptemperatursemspsootvetstvuetspispprevyshaetsptrebovaniyaspstandartaspmilmstdsp810gsemustojchivostspksptsiklicheskimsppadeniyamcolsp4000sppad'),
(3,	402,	'Устойчивость к падениям: Многократные падения на бетонное покрытие до 1.8 м в диапазоне рабочих температур; соответствует и превышает требования стандарта MIL-STD 810G;Устойчивость к циклическим падениям: 4000 падений с высоты 1 м; соответствует и превыша',	'ustojchivostspksppadeniyamcolspmnogokratnyesppadeniyaspnaspbetonnoesppokrytiespdosp1d8spmspvspdiapazonesprabochihsptemperatursemspsootvetstvuetspispprevyshaetsptrebovaniyaspstandartaspmilmstdsp810gsemustojchivostspksptsiklicheskimsppadeniyamcolsp4000sppad'),
(1,	403,	'от -20 до +45°C',	'otspm20spdospp45degc'),
(2,	403,	'от -20 до +50°C',	'otspm20spdospp50degc'),
(3,	403,	'от -20 до +50°C',	'otspm20spdospp50degc'),
(1,	404,	'305 х 295 х 345 мм',	'305sphsp295sphsp345spmm'),
(2,	404,	'231 x 91 x 193 мм',	'231spxsp91spxsp193spmm'),
(3,	404,	'231 x 91 x 193 мм',	'231spxsp91spxsp193spmm'),
(1,	405,	'Sam4s (Корея)',	'sam4ssplbkoreyarb'),
(2,	405,	'Zebra (США)',	'zebrasplbssharb'),
(3,	405,	'Zebra (США)',	'zebrasplbssharb'),
(1,	406,	'57,5 мм',	'57c5spmm'),
(2,	406,	'57,5 мм',	'57c5spmm'),
(3,	406,	'57,5 мм',	'57c5spmm'),
(1,	407,	'12г',	'12g'),
(2,	407,	'10г',	'10g'),
(3,	407,	'10г',	'10g'),
(1,	408,	'Для взрослых кошек',	'dlyaspvzroslyhspkoshek'),
(2,	408,	'Для взрослых кошек',	'dlyaspvzroslyhspkoshek'),
(3,	408,	'Для взрослых кошек',	'dlyaspvzroslyhspkoshek'),
(1,	409,	'Сухой корм',	'suhojspkorm'),
(2,	409,	'Сухой корм',	'suhojspkorm'),
(3,	409,	'Сухой корм',	'suhojspkorm'),
(1,	410,	'Для крупных пород',	'dlyaspkrupnyhspporod'),
(2,	410,	'Специальный',	'spetsialnyj'),
(3,	410,	'Специальный',	'spetsialnyj'),
(1,	411,	'Персидский',	'persidskij'),
(2,	411,	'Мейк-кун',	'mejkmkun'),
(3,	411,	'Мейк-кун',	'mejkmkun'),
(1,	412,	'Премиум',	'premium'),
(2,	412,	'Супер премиум',	'supersppremium'),
(3,	412,	'Супер премиум',	'supersppremium'),
(1,	413,	'10г',	'10g'),
(2,	413,	'10г',	'10g'),
(3,	413,	'10г',	'10g'),
(1,	414,	'Для котят',	'dlyaspkotyat'),
(2,	414,	'Для котят',	'dlyaspkotyat'),
(3,	414,	'Для котят',	'dlyaspkotyat'),
(1,	415,	'Британская',	'britanskaya'),
(2,	415,	'Британская',	'britanskaya'),
(3,	415,	'Британская',	'britanskaya'),
(1,	416,	'От 12 мес.',	'otsp12spmesd'),
(2,	416,	'От 12 мес.',	'otsp12spmesd'),
(3,	416,	'От 12 мес.',	'otsp12spmesd'),
(1,	417,	'Для всех',	'dlyaspvseh'),
(2,	417,	'Для всех',	'dlyaspvseh'),
(3,	417,	'Для всех',	'dlyaspvseh'),
(1,	418,	'От 1 года',	'otsp1spgoda'),
(2,	418,	'От 1 года',	'otsp1spgoda'),
(3,	418,	'От 1 года',	'otsp1spgoda'),
(1,	419,	'Основное кормление',	'osnovnoespkormlenie'),
(2,	419,	'Основное кормление',	'osnovnoespkormlenie'),
(3,	419,	'Основное кормление',	'osnovnoespkormlenie'),
(1,	420,	'Всех видов',	'vsehspvidov'),
(2,	420,	'Всех видов',	'vsehspvidov'),
(3,	420,	'Всех видов',	'vsehspvidov'),
(1,	421,	'79 кг.',	'79spkgd'),
(2,	421,	'79 кг.',	'79spkgd'),
(3,	421,	'79 кг.',	'79spkgd'),
(1,	422,	'191-200см',	'191m200sm'),
(2,	422,	'191-200см',	'191m200sm'),
(3,	422,	'191-200см',	'191m200sm'),
(1,	423,	'Буковые ламели',	'bukovyesplameli'),
(2,	423,	'Буковые ламели',	'bukovyesplameli'),
(3,	423,	'Буковые ламели',	'bukovyesplameli'),
(1,	424,	'RedKing',	'redking'),
(2,	424,	'RedKing',	'redking'),
(3,	424,	'RedKing',	'redking'),
(1,	425,	'191',	'191'),
(2,	425,	'191',	'191'),
(3,	425,	'191',	'191'),
(1,	426,	'90кг.',	'90kgd'),
(2,	426,	'90кг.',	'90kgd'),
(3,	426,	'90кг.',	'90kgd'),
(1,	427,	'150.9 х 115.2 х 87 cm',	'150d9sphsp115d2sphsp87spcm'),
(2,	427,	'150.9 х 115.2 х 87 cm',	'150d9sphsp115d2sphsp87spcm'),
(3,	427,	'150.9 х 115.2 х 87 cm',	'150d9sphsp115d2sphsp87spcm'),
(1,	428,	'2',	'2'),
(2,	428,	'2',	'2'),
(3,	428,	'2',	'2'),
(1,	429,	'160',	'160'),
(2,	429,	'160',	'160'),
(3,	429,	'160',	'160'),
(1,	430,	'Белый',	'belyj'),
(2,	430,	'Белый',	'belyj'),
(3,	430,	'Белый',	'belyj'),
(1,	431,	'Керамика',	'keramika'),
(2,	431,	'Керамика',	'keramika'),
(3,	431,	'Керамика',	'keramika'),
(1,	432,	'напольный',	'napolnyj'),
(2,	432,	'напольный',	'napolnyj'),
(3,	432,	'напольный',	'napolnyj'),
(1,	433,	'Распашные',	'raspashnye'),
(2,	433,	'Распашные',	'raspashnye'),
(3,	433,	'Распашные',	'raspashnye'),
(1,	434,	'455x650x650',	'455x650x650'),
(2,	434,	'545x850x440',	'545x850x440'),
(3,	434,	'545x850x440',	'545x850x440'),
(1,	436,	'Красный',	'krasnyj'),
(2,	436,	'Красный',	'krasnyj'),
(3,	436,	'Красный',	'krasnyj'),
(1,	437,	'Супер премиум',	'supersppremium'),
(2,	437,	'Супер премиум',	'supersppremium'),
(3,	437,	'Супер премиум',	'supersppremium'),
(1,	438,	'Эконом',	'ekonom'),
(2,	438,	'Эконом',	'ekonom'),
(3,	438,	'Эконом',	'ekonom');

DROP TABLE IF EXISTS `ok_lang_languages`;
CREATE TABLE `ok_lang_languages` (
  `lang_id` int(11) NOT NULL,
  `language_id` int(11) NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  UNIQUE KEY `lang_id` (`lang_id`,`language_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_lang_languages` (`lang_id`, `language_id`, `name`) VALUES
(1,	1,	'Русский'),
(1,	2,	'Английский'),
(1,	3,	'Украинский'),
(2,	1,	'Russian'),
(2,	2,	'English'),
(2,	3,	'Ukrainian'),
(3,	1,	'Російська'),
(3,	2,	'Англійська'),
(3,	3,	'Українська');

DROP TABLE IF EXISTS `ok_lang_lessons`;
CREATE TABLE `ok_lang_lessons` (
  `lesson_id` int(11) NOT NULL,
  `lang_id` int(11) NOT NULL,
  `title` varchar(255) DEFAULT NULL,
  `description` text,
  `button` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`lesson_id`,`lang_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `ok_lang_lessons` (`lesson_id`, `lang_id`, `title`, `description`, `button`) VALUES
(1,	1,	'Добавление категорий на сайт',	'Категории используются для построения правильной структуры сайта. Старайтесь не допускать категорий со слишком большим количеством товаров.',	'Перейти к добавлению категорий'),
(1,	2,	'Adding Categories To Site',	'Categories are used to build the correct site structure. Try to avoid categories with too many products.',	'Go To Add Categories'),
(1,	3,	'Додавання категорій на сайт',	'Категорії використовуються для побудови правильної структури сайту. Намагайтеся не допускати категорій з дуже великою кількістю товарів.',	'Перейти до додавання категорій'),
(2,	1,	'Добавление бренда на сайт',	'Бренды используются в фильтре в категориях товаров. Также они важны для покупателей, которые опираются на бренд при выборе товара.',	'Перейти к добавлению бренда'),
(2,	2,	'Adding Brand To Site',	'Brands are used in the filter in product categories. They are also important for buyers who rely on the brand when choosing a product.',	'Go To Add Brand'),
(2,	3,	'Додавання бренду на сайт',	'Бренди використовуються в фільтрі в категоріях товарів. Також вони важливі для покупців, які спираються на бренд при виборі товару.',	'Перейти до додавання бренду'),
(3,	1,	'Добавление товара на сайт',	'Чем качественнее будет заполнена информация о товаре, тем больше шансов что клиент остановит свой поиск именно у вас. Обязательно укажите в товаре его фото и основные характеристики.',	'Перейти к добавлению товара'),
(3,	2,	'Adding Product To Site',	'The better the product information is filled out, the more likely it is that the client will stop your search exactly with you. Be sure to include in the product its photo and main characteristics.',	'Go to Add Product'),
(3,	3,	'Додавання товару на сайт',	'Чим якісніше буде заповнена інформація про товар, тим більше шансів що клієнт зупинить свій пошук саме у вас. Обов\'язково вкажіть в товарі його фото і основні характеристики.',	'Перейти до додавання товару'),
(4,	1,	'Настройка валюты',	'Укажите валюту вашей страны основной на сайте. Если же вы используете несколько валют для формирования цен товаров, укажите соответствующие курсы валют в админ. панели.',	'Перейти к настройке валюты'),
(4,	2,	'Currency Settings',	'Indicate the currency of your country of primary on the site. If you use several currencies for pricing of goods, specify the appropriate exchange rates in the admin. panels.',	'Go To Currency Settings'),
(4,	3,	'Налаштування валюти',	'Вкажіть валюту вашої країни основний на сайті. Якщо ж ви використовуєте кілька валют для формування цін товарів, вкажіть відповідні курси валют в адмін. панелі.',	'Перейти до налаштування валюти'),
(5,	1,	'Добавление способа доставки',	'Выбор способов доставки важен для клиентов при оформлении заказа. Некоторые клиенты отказываются от оформления заказа не увидев подходящий вариант доставки. Постарайтесь добавить самые популярные способы доставки на ваш сайт.',	'Перейти к добавлению способа доставки'),
(5,	2,	'Adding Delivery Method',	'The choice of delivery methods is important for customers when placing an order. Some customers refuse to place an order without seeing the appropriate delivery option. Try to add the most popular delivery methods to your site.',	'Go To Add Delivery Method'),
(5,	3,	'Додавання способу доставки',	'Вибір способів доставки важливий для клієнтів при оформленні замовлення. Деякі клієнти відмовляються від оформлення замовлення не побачивши підходящий варіант доставки. Постарайтеся додати найпопулярніші способи доставки на ваш сайт.',	'Перейти до додавання способу доставки'),
(6,	1,	'Добавление способа оплаты',	'Всё больше клиентов готовы оплатить заказ сразу после оформление. Предоставьте им такую возможность подключив интеграцию с платежной системой на ваш сайт.',	'Перейти к добавлению способа оплаты'),
(6,	2,	'Adding Payment Method',	'More and more customers are ready to pay for the order immediately after registration. Give them such an opportunity by connecting integration with the payment system to your website.',	'Go To Add Payment Method'),
(6,	3,	'Додавання способу оплати',	'Все більше клієнтів готові оплатити замовлення відразу після оформлення. Необхідно надати їм таку можливість підключивши інтеграцію з платіжною системою на ваш сайт.',	'Перейти до додавання способу оплати'),
(7,	1,	'Настройка каталога',	'Задайте водяной знак, настройте работу с товарами не в наличии и сделайте прочие настройки каталога на этой странице.',	'Перейти к настройке каталога'),
(7,	2,	'Catalog Settings',	'Set a watermark, configure work with out-of-stock goods and make other catalog settings on this page.',	'Go To Catalog Settings'),
(7,	3,	'Налаштування каталога',	'Задайте водяний знак, налаштуйте роботу з товарами не в наявності і зробіть інші настройки каталогу на цій сторінці.',	'Перейти до налаштування каталогу'),
(8,	1,	'Настройка отправки уведомлений',	'Настройте отправку уведомлений с сайта, укажите эмейл администратора и прочие настройки писем на этой странице.',	'Перейти к настройке отправки уведомлений'),
(8,	2,	'Notify Settings',	'Configure sending notifications from the site, specify the administrator\'s email address and other settings for letters on this page.',	'Go To Notify Settings'),
(8,	3,	'Налаштування відправки повідомлень',	'Налаштуйте відправку повідомлень з сайту, вкажіть емейл адміністратора та інші настройки листів на цій сторінці.',	'Перейти до налаштування відправки повідомлень'),
(9,	1,	'Настройка SEO (синонимы свойства)',	'Этот раздел важен для тонкой SEO оптимизации вашего магазина. К нему стоит приступать после того как вы сделали остальные пункты. С помощью синонимов свойств вы можете гибко настроить заголовки и мета-теги для страниц каталога.',	'Перейти к настройке SEO (синонимы свойства)'),
(9,	2,	'SEO customization (synonyms for properties)',	'This section is important for fine-tuning SEO of your store. It is worth starting after you have done the rest of the points. Using property synonyms, you can flexibly customize headers and meta tags for catalog pages.',	'Go To SEO customization (synonyms for properties)'),
(9,	3,	'Налаштування SEO (синоніми властивості)',	'Цей розділ важливий для тонкої SEO оптимізації вашого магазину. До нього варто приступати після того як ви зробили інші пункти. За допомогою синонімів властивостей ви можете гнучко налаштувати заголовки і мета-теги для сторінок каталогу.',	'Перейти до налаштування SEO (синоніми властивості)');

DROP TABLE IF EXISTS `ok_lang_menu_items`;
CREATE TABLE `ok_lang_menu_items` (
  `lang_id` int(11) NOT NULL,
  `menu_item_id` int(11) NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`lang_id`,`menu_item_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_lang_menu_items` (`lang_id`, `menu_item_id`, `name`) VALUES
(1,	2,	'Доставка'),
(1,	3,	'Новости'),
(1,	4,	'Главная'),
(1,	8,	'Блог'),
(1,	9,	'Статьи'),
(1,	11,	'Контакты'),
(1,	12,	'Бренды'),
(1,	13,	'Статьи'),
(1,	14,	'Новости'),
(1,	15,	'Главная'),
(1,	16,	'Контакты'),
(1,	17,	'Оплата'),
(1,	18,	'Доставка'),
(1,	19,	'Частые вопросы'),
(1,	20,	'Статьи'),
(1,	22,	'Оплата'),
(1,	23,	'Бренды'),
(1,	24,	'Контакты'),
(1,	25,	'Акции'),
(1,	26,	'Блог'),
(1,	27,	'Бренды'),
(1,	28,	'Клиентам'),
(1,	29,	'Контакты'),
(1,	30,	'Новости'),
(1,	31,	'Статьи'),
(1,	32,	'Доставка'),
(1,	33,	'Оплата'),
(1,	34,	'Акции'),
(1,	35,	'Политика конфиденцальности'),
(2,	2,	'Delivery'),
(2,	3,	'News'),
(2,	4,	'Home'),
(2,	8,	'Blog'),
(2,	9,	'Article'),
(2,	11,	'Contacts'),
(2,	12,	'Brands'),
(2,	13,	'Articles'),
(2,	14,	'News'),
(2,	15,	'Home'),
(2,	16,	'Contacts'),
(2,	17,	'Payment'),
(2,	18,	'Delivery'),
(2,	19,	'FAQ'),
(2,	20,	'Articles'),
(2,	22,	'Payment'),
(2,	23,	'Brands'),
(2,	24,	'Contact'),
(2,	25,	'Акции'),
(2,	26,	'Блог'),
(2,	27,	'Бренды'),
(2,	28,	'Клиентам'),
(2,	29,	'Контакты'),
(2,	30,	'Новости'),
(2,	31,	'Статьи'),
(2,	32,	'Доставка'),
(2,	33,	'Оплата'),
(2,	34,	'Акции'),
(2,	35,	'Privacy policy'),
(3,	2,	'Доставка'),
(3,	3,	'Новини'),
(3,	4,	'Головна'),
(3,	8,	'Блог'),
(3,	9,	'Статті'),
(3,	11,	'Контакти'),
(3,	12,	'Бренди'),
(3,	13,	'Статті'),
(3,	14,	'Новини'),
(3,	15,	'Головна'),
(3,	16,	'Контакти'),
(3,	17,	'Оплата'),
(3,	18,	'Доставка'),
(3,	19,	'Часті питання'),
(3,	20,	'Статті'),
(3,	22,	'Оплата'),
(3,	23,	'Бренди'),
(3,	24,	'Контакти'),
(3,	25,	'Акции'),
(3,	26,	'Блог'),
(3,	27,	'Бренды'),
(3,	28,	'Клиентам'),
(3,	29,	'Контакты'),
(3,	30,	'Новости'),
(3,	31,	'Статьи'),
(3,	32,	'Доставка'),
(3,	33,	'Оплата'),
(3,	34,	'Акции'),
(3,	35,	'Політика конфіденцальності');

DROP TABLE IF EXISTS `ok_lang_okaycms__banners_images`;
CREATE TABLE `ok_lang_okaycms__banners_images` (
  `lang_id` int(11) DEFAULT NULL,
  `banner_image_id` int(11) DEFAULT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `alt` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `title` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `url` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `description` text COLLATE utf8mb4_unicode_ci NOT NULL,
  UNIQUE KEY `lang_id_banner_image_id` (`lang_id`,`banner_image_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_lang_okaycms__banners_images` (`lang_id`, `banner_image_id`, `name`, `alt`, `title`, `url`, `description`) VALUES
(1,	1,	'variant1',	'Коллекция техники LG',	'Коллекция техники LG',	'catalog/tehnika-dlya-doma',	''),
(2,	1,	'variant1',	'LG Technology Collection',	'LG Technology Collection',	'catalog/tehnika-dlya-doma',	''),
(3,	1,	'variant1',	'Колекція техніки LG',	'Колекція техніки LG',	'catalog/tehnika-dlya-doma',	''),
(1,	2,	'variant2',	'United Colors of Benetton',	'United Colors of Benetton',	'catalog/odezhda-obuv-i-ukrasheniya',	'Легкость, стиль и простота в каждом образе'),
(2,	2,	'variant2',	'United Colors of Benetton',	'United Colors of Benetton',	'catalog/odezhda-obuv-i-ukrasheniya',	'Lightness, style and simplicity in every look'),
(3,	2,	'variant2',	'United Colors of Benetton',	'United Colors of Benetton',	'catalog/odezhda-obuv-i-ukrasheniya',	'Легкість, стиль і простота в кожному образі'),
(1,	3,	'variant3',	'Mi 9T Pro',	'Mi 9T Pro',	'catalog/xiaomi',	'Qualcomm® Snapdragon™ 855<br>\r\n6.39 \" AMOLED -екран<br>\r\n48 Мп потрійна основна камера з AI<br>\r\n20 Мп висувна селфі-камера'),
(2,	3,	'variant3',	'Mi 9T Pro',	'Mi 9T Pro',	'catalog/xiaomi',	'Qualcomm® Snapdragon ™ 855 <br>\r\n6.39 \"AMOLED Screen <br>\r\n48 megapixel main camera with AI <br>\r\n20 megapixel visuvna selfie camera'),
(3,	3,	'variant3',	'Mi 9T Pro',	'Mi 9T Pro',	'catalog/xiaomi',	'Qualcomm® Snapdragon ™ 855 <br>\r\n6.39 \"AMOLED -екран <br>\r\n48 Мп потрійна основна камера з AI <br>\r\n20 Мп висувна селфі-камера'),
(1,	4,	'variant4',	'PlayStation 4 Pro 1TB Black + FIFA 20',	'PlayStation 4 Pro 1TB Black + FIFA 20',	'',	'При покупке игровой консоли PlayStation 4 PRO 1ТБ получите в подарок FIFA 20'),
(2,	4,	'variant4',	'PlayStation 4 Pro 1TB Black + FIFA 20',	'PlayStation 4 Pro 1TB Black + FIFA 20',	'',	'When you purchase a PlayStation 4 PRO 1TB game console, you will receive FIFA 20 as a gift'),
(3,	4,	'variant4',	'PlayStation 4 Pro 1TB Black + FIFA 20',	'PlayStation 4 Pro 1TB Black + FIFA 20',	'',	'При покупці ігрової консолі PlayStation 4 PRO 1ТБ отримаєте в подарунок FIFA 20');

DROP TABLE IF EXISTS `ok_lang_okaycms__faq__faq`;
CREATE TABLE `ok_lang_okaycms__faq__faq` (
  `faq_id` int(11) DEFAULT NULL,
  `lang_id` int(11) DEFAULT NULL,
  `question` text NOT NULL,
  `answer` text
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

INSERT INTO `ok_lang_okaycms__faq__faq` (`faq_id`, `lang_id`, `question`, `answer`) VALUES
(1,	1,	'ЧТО ДЕЛАТЬ, ЕСЛИ ТОВАР НЕ ПОДОШЕЛ ПО ФОРМЕ, ЦВЕТУ ИЛИ РАЗМЕРУ И ДРУГИЕ ПРИЧИНЫ?',	'<p>В течение 14 дней от даты приобретения товара (не считая дату покупки) - Вы можете товар, который не использовался, сохранен товарный вид и потребительские свойства, и отсутствует в перечне товаров, не подлежащих обмену или возврату: Обменять на аналогичный без пересчета стоимости Обменять на любой другой с соответствующим перерасчетом стоимости Вернуть и получить уплаченные за него денежные средства Как оценить сохранность товарного вида: При хорошем освещении, без применения специальных средств, на товаре не должно быть видимых следов пользования в виде мелких царапин, потертостей, а тем более сколов, вмятин или трещин. Проще всего оценить сохранен ли товарный вид, ответив себе на вопрос: &laquo;Купил бы я этот товар в таком виде, как новый?\"</p>'),
(1,	2,	'WHAT TO DO IF THE PRODUCT DOES NOT FIT BY FORM, COLOR OR SIZE AND OTHER REASONS?',	'<p><span class=\"tlid-translation translation\" lang=\"en\">Within 14 days from the date of purchase of the goods (not including the date of purchase) - you can goods that have not been used, the presentation and consumer properties are preserved, and are not in the list of goods not subject to exchange or return: Exchange for a similar item without recounting the value Exchange for any other with appropriate recalculation of value Return and receive the money paid for it How to assess the safety of presentation: In good lighting, without the use of special means, the product should not have visible traces of lzovaniya as fine scratches, abrasions, and even more chips, nicks or cracks. The easiest way is to evaluate whether the presentation is preserved by answering the question: &ldquo;Would I buy this product in the same condition as a new one?&rdquo;</span></p>'),
(1,	3,	'ЩО РОБИТИ, якщо товар не підійшов ЗА ФОРМОЮ, КОЛЬОРУ АБО РОЗМІРОМ І ІНШІ ПРИЧИНИ?',	'<p><span class=\"tlid-translation translation\" lang=\"uk\">Протягом 14 днів від дати придбання товару (не рахуючи дати придбання) - Ви можете товар, який не використовувався, збережено товарний вигляд і споживчі властивості, і відсутня в переліку товарів, що не підлягають обміну або поверненню: Обміняти на аналогічний без перерахунку вартості Обміняти на будь-який інший з відповідним перерахуванням вартості Повернути і отримати сплачені за нього кошти Як оцінити збереження товарного вигляду: При хорошому освітленні, без застосування спеціальних засобів, на товарі не повинно бути видимих ​​слідів п льзованія у вигляді дрібних подряпин, потертостей, а тим більше відколів, вм\'ятин або тріщин. Найпростіше оцінити збережений чи товарний вигляд, відповівши собі на питання: &laquo;Купив би я цей товар в такому вигляді, як новий?\"</span></p>'),
(2,	1,	'КАКОЙ ГАРАНТИЙНЫЙ СРОК У МОЕГО ТОВАРА?',	'<p>Гарантийный срок товара исчисляется со дня его продажи. Он обычно указан в эксплуатационном документе на товар (гарантийном талоне, техническом паспорте, этикетке или в другом документе, прилагаемом к товару). &nbsp;На сайте производителя Вашего товара</p>'),
(2,	2,	'WHAT IS THE WARRANTY DURATION OF MY PRODUCT?',	'<p><span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">The warranty period of the goods is calculated from the date of its sale.</span> <span title=\"\">It is usually indicated in the product&rsquo;s operating document (warranty card, data sheet, label, or other document attached to the product).</span> <span title=\"\">On the website of the manufacturer of your product</span></span></p>'),
(2,	3,	'ЯКА ГАРАНТІЯ У МОГО ТОВАРУ?',	'<p><span class=\"tlid-translation translation\" lang=\"uk\"><span class=\"\" title=\"\">Гарантійний</span> <span title=\"\">термін</span> <span title=\"\">товару</span> <span title=\"\">обчислюється з</span> <span title=\"\">дня</span> <span title=\"\">його</span> <span title=\"\">продажу</span><span title=\"\">.</span> <span title=\"\">Він</span> <span title=\"\">зазвичай вказаний</span> <span title=\"\">в</span> <span title=\"\">експлуатаційному</span> <span title=\"\">документі</span> <span title=\"\">на</span> <span title=\"\">товар</span> <span title=\"\">(</span><span title=\"\">гарантійному</span> <span title=\"\">талоні</span><span title=\"\">,</span> <span title=\"\">технічному</span> <span title=\"\">паспорті</span><span title=\"\">,</span> <span title=\"\">етикетці</span> <span title=\"\">або</span> <span title=\"\">в</span> <span title=\"\">іншому</span> <span title=\"\">документі</span><span title=\"\">,</span> <span title=\"\">що додається до товару</span><span title=\"\">)</span><span title=\"\">.</span> <span title=\"\">На</span> <span title=\"\">сайті</span> <span title=\"\">виробника</span> <span title=\"\">Вашого товару</span></span></p>'),
(3,	1,	'Осуществляете ли Вы доставку до квартиры и подъем на этаж?',	'<p>Пожалуйста, обратите внимание, что адресная доставка осуществляется до входа в здание.<br />Товары из раздела &laquo;Бытовая техника и интерьер&raquo;, крупногабаритные товары из разделов \"Фитнес\", и \"Детский мир\" (тренажеры, детские кроватки, детская мебель, матрасы и т. д.)доставляются до квартиры.<br />Стоимость ручного заноса в квартиру зависит от: габаритов техники, сложности подъема и наличия лифта (куда товар помещается в упаковке).</p>'),
(3,	2,	'Do you deliver to the apartment and rise to the floor?',	'<p><span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">Please note that targeted delivery takes place before entering the building.</span><br /><span title=\"\">The goods from the &ldquo;Home Appliances and Interior&rdquo; section, bulky goods from the &ldquo;Fitness&rdquo; and &ldquo;Detsky Mir&rdquo; sections (exercise machines, cribs, children\'s furniture, mattresses, etc.) are delivered to the apartment.</span><br /><span title=\"\">The cost of manually entering the apartment depends on: the dimensions of the equipment, the difficulty of lifting and the availability of an elevator (where the goods are placed in the package).</span></span></p>'),
(3,	3,	'Чи здійснюєте Ви доставку до квартири і підйом на поверх?',	'<p><span class=\"tlid-translation translation\" lang=\"uk\"><span class=\"\" title=\"\">Будь ласка</span><span title=\"\">,</span> <span title=\"\">зверніть</span> <span title=\"\">увагу</span><span title=\"\">,</span> <span title=\"\">що</span> <span title=\"\">адресна</span> <span title=\"\">доставка</span> <span title=\"\">здійснюється</span> <span class=\"\" title=\"\">до</span> <span class=\"\" title=\"\">входу</span> <span title=\"\">в</span> <span title=\"\">будівлю</span><span title=\"\">.</span><br /><span title=\"\">Товари</span> <span title=\"\">з</span> <span class=\"\" title=\"\">розділу</span> <span class=\"\" title=\"\">&laquo;</span><span title=\"\">Побутова</span> <span title=\"\">техніка</span> <span title=\"\">і</span> <span title=\"\">інтер\'єр</span><span title=\"\">&raquo;</span><span title=\"\">,</span> <span title=\"\">великогабаритні</span> <span title=\"\">товари</span> <span title=\"\">з</span> <span title=\"\">розділів</span> <span class=\"\" title=\"\">\"</span><span title=\"\">Фітнес</span><span title=\"\">\"</span><span title=\"\">,</span> <span title=\"\">і</span> <span title=\"\">\"</span><span title=\"\">Дитячий</span> <span title=\"\">світ</span><span title=\"\">\"</span> <span title=\"\">(</span><span title=\"\">тренажери</span><span title=\"\">,</span> <span title=\"\">дитячі</span> <span title=\"\">ліжечка</span><span title=\"\">,</span> <span title=\"\">дитячі меблі</span><span title=\"\">,</span> <span title=\"\">матраци</span> <span title=\"\">і</span> <span title=\"\">т</span><span title=\"\">.</span> <span title=\"\">Д</span><span title=\"\">.</span><span title=\"\">)</span> <span title=\"\">Доставляються</span> <span title=\"\">до</span> <span title=\"\">квартири</span><span title=\"\">.</span><br /><span title=\"\">Вартість</span> <span title=\"\">ручного</span> <span title=\"\">занесення</span> <span title=\"\">в</span> <span title=\"\">квартиру</span> <span title=\"\">залежить</span> <span title=\"\">від</span><span title=\"\">:</span> <span title=\"\">габаритів</span> <span title=\"\">техніки</span><span title=\"\">,</span> <span title=\"\">складності</span> <span title=\"\">підйому</span> <span title=\"\">і</span> <span title=\"\">наявності</span> <span title=\"\">ліфта</span> <span title=\"\">(</span><span title=\"\">куди</span> <span title=\"\">товар</span> <span title=\"\">поміщається</span> <span title=\"\">в</span> <span title=\"\">упаковці</span><span title=\"\">)</span><span title=\"\">.</span></span></p>'),
(4,	1,	'Возможно ли купить товар в рассрочку?',	'<p>К сожалению, в данный момент возможности приобретать товары в рассрочку нет.<br />Вы можете оформить заказ на интересующий Вас товар, доступный у нас на сайте, в кредит<br />Также, если Вы являетесь клиентом ПриватБанка, мы можем предложить Вам рассмотреть вариант оформления заказа с помощью услуг &laquo;Мгновенная рассрочка&raquo; и &laquo;Оплата частями&raquo;</p>'),
(4,	2,	'Is it possible to buy goods by installments?',	'<p><span class=\"tlid-translation translation\" lang=\"en\"><span class=\"\" title=\"\">Unfortunately, at the moment there is no possibility to purchase goods by installments.</span><br /><span title=\"\">You can place an order for goods of interest to you, available on our website, on credit</span><br /><span title=\"\">Also, if you are a client of PrivatBank, we can offer you to consider the option of placing an order using the services &ldquo;Instant installments&rdquo; and &ldquo;Payment by installments&rdquo;</span></span></p>'),
(4,	3,	'Чи можливо купити товар в розстрочку?',	'<p><span class=\"tlid-translation translation\" lang=\"uk\"><span class=\"\" title=\"\">На жаль</span><span title=\"\">,</span> <span title=\"\">в</span> <span title=\"\">даний</span> <span title=\"\">момент</span> <span title=\"\">можливості</span> <span title=\"\">купувати товари</span> <span title=\"\">в</span> <span class=\"\" title=\"\">розстрочку</span> <span title=\"\">немає</span><span title=\"\">.</span><br /><span title=\"\">Ви</span> <span title=\"\">можете</span> <span title=\"\">оформити</span> <span title=\"\">замовлення</span> <span title=\"\">на</span> <span title=\"\">товар, який Вас</span><span title=\"\">,</span> <span title=\"\">доступний</span> <span title=\"\">у</span> <span title=\"\">нас</span> <span title=\"\">на</span> <span title=\"\">сайті</span><span title=\"\">,</span> <span title=\"\">в</span> <span title=\"\">кредит</span><br /><span title=\"\">Також</span><span title=\"\">,</span> <span title=\"\">якщо</span> <span title=\"\">Ви є</span> <span title=\"\">клієнтом</span> <span title=\"\">ПриватБанку</span><span title=\"\">,</span> <span title=\"\">ми</span> <span title=\"\">можемо</span> <span title=\"\">запропонувати</span> <span title=\"\">Вам</span> <span title=\"\">розглянути</span> <span title=\"\">варіант</span> <span title=\"\">оформлення</span> <span title=\"\">замовлення</span> <span title=\"\">за допомогою</span> <span title=\"\">послуг</span> <span title=\"\">&laquo;</span><span title=\"\">Миттєва</span> <span title=\"\">розстрочка</span><span title=\"\">&raquo;</span> <span title=\"\">і</span> <span title=\"\">&laquo;</span><span title=\"\">Оплата</span> <span title=\"\">частинами</span><span title=\"\">&raquo;</span></span></p>');

DROP TABLE IF EXISTS `ok_lang_orders_labels`;
CREATE TABLE `ok_lang_orders_labels` (
  `lang_id` int(11) NOT NULL,
  `order_labels_id` int(11) NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  UNIQUE KEY `lang_id` (`lang_id`,`order_labels_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_lang_orders_labels` (`lang_id`, `order_labels_id`, `name`) VALUES
(1,	1,	'перезвонить'),
(1,	2,	'ожидается товар'),
(2,	1,	'перезвонить'),
(2,	2,	'ожидается товар'),
(3,	1,	'перезвонить'),
(3,	2,	'ожидается товар');

DROP TABLE IF EXISTS `ok_lang_orders_status`;
CREATE TABLE `ok_lang_orders_status` (
  `lang_id` int(11) NOT NULL,
  `order_status_id` int(11) NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  UNIQUE KEY `lang_id` (`lang_id`,`order_status_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_lang_orders_status` (`lang_id`, `order_status_id`, `name`) VALUES
(1,	1,	'Новый'),
(1,	2,	'Принят'),
(1,	3,	'У курьера'),
(1,	4,	'Выполнен'),
(1,	5,	'Удален'),
(2,	1,	'Новый'),
(2,	2,	'Принят'),
(2,	3,	'У курьера'),
(2,	4,	'Выполнен'),
(2,	5,	'Удален'),
(3,	1,	'Новый'),
(3,	2,	'Принят'),
(3,	3,	'У курьера'),
(3,	4,	'Выполнен'),
(3,	5,	'Удален');

DROP TABLE IF EXISTS `ok_lang_pages`;
CREATE TABLE `ok_lang_pages` (
  `lang_id` int(11) NOT NULL,
  `page_id` int(11) NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `name_h1` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `meta_title` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `meta_description` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `meta_keywords` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `description` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  UNIQUE KEY `lang_id` (`lang_id`,`page_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_lang_pages` (`lang_id`, `page_id`, `name`, `name_h1`, `meta_title`, `meta_description`, `meta_keywords`, `description`) VALUES
(1,	1,	'Главная',	'',	'Интернет-магазин на OkayCMS',	'OKAYCMS  - простая система управления интернет-магазином с широкими возможностями. Разработана с учетом требований SEO-специалистов для эффективного продвижения интернет-магазинов в сети. \r\n Админ панель содержит функционал добавления товаров и категорий, управления заказами, SEO, маркетинговые инструменты для увеличения продаж, интеграции с разными сервисами и прайс-агрегаторами (Яндекс.Маркет, price.ua, hotline.ua). \r\n Адаптивный шаблон на нескольких языках легко настроить для продажи любых товаров - от о',	'Хиты продаж',	'<div class=\"inner_infobox\">\r\n<p style=\"text-align: left;\"><strong>OKAYCMS</strong> - простая система управления интернет-магазином с широкими возможностями. Разработана с учетом требований SEO-специалистов для эффективного продвижения интернет-магазинов в сети.</p>\r\n<p><img style=\"float: right;\" src=\"../files/uploads/okay_about_image.png\" alt=\"\" width=\"286\" height=\"250\" /></p>\r\n<p style=\"text-align: left;\">Админ панель содержит функционал добавления товаров и категорий, управления заказами, SEO, маркетинговые инструменты для увеличения продаж, интеграции с разными сервисами и прайс-агрегаторами (Яндекс.Маркет, price.ua, hotline.ua).</p>\r\n<p style=\"text-align: left;\">Адаптивный шаблон на нескольких языках легко настроить для продажи любых товаров - от одежды, строительных материалов, мобильных телефонов и чехлов, до музыкальных треков, видео-уроков, аудиокниг и постеров.</p>\r\n<p style=\"text-align: left;\">OKAYCMS&nbsp;- легкая и гибкая система для запуска вашего бизнеса в онлайн.</p>\r\n<p style=\"text-align: left;\">Этот магазин является демонстрацией скрипта интернет-магазина <a href=\"http://okay-cms.com\" target=\"_blank\" rel=\"noopener noreferrer\">Okay</a>. Все материалы на этом сайте присутствуют исключительно в демострационных целях.</p>\r\n</div>'),
(1,	2,	'Оплата',	'',	'Оплата',	'Оплата',	'Оплата',	'<h2><span>Наличными курьеру</span></h2><p>Вы можете оплатить заказ курьеру в рублях непосредственно в момент доставки. Курьерская доставка осуществляется по Москве на следующий день после принятия заказа.</p><h2>Яндекс.Деньги</h2><p><span>Яндекс</span><span>.</span><span>Деньги</span><span>&nbsp;&mdash; доступный и безопасный способ платить за товары и услуги через интернет</span>.</p><h2>Банковская карта</h2><p><span>Оплата банковской картой Visa или MasterCard через систему Яндекс.Деньги.</span></p><h2>Через терминал</h2><p><span>Оплатите наличными через многочисленные терминалы в любом городе России. Можно заплатить и с банковской карты через многие банкоматы. Для этого найдите в меню терминала или банкомата логотип Яндекса и укажите код платежа.</span></p><h2>Со счета мобильного телефона</h2><p><span>Оплата со&nbsp;счета мобильного телефона&nbsp;через систему Яндекс.Деньги.</span></p><h2>Webmoney</h2><p>После оформления заказа вы сможете перейти на сайт webmoney для оплаты заказа, где сможете оплатить заказ в автоматическом режиме, а так же проверить наш сертификат продавца.</p><h2>Квитанция</h2><p><span>Вы можете распечатать квитанцию и оплатить её в любом отделении банка.</span></p><h2>Робокасса</h2><p><span>ROBOKASSA &ndash; сервис для организации приема платежей на сайте, интернет магазине и социальных сетях. Прием платежей осуществляется при минимальных комиссиях.</span></p><h2>PayPal</h2><p><span>Совершайте покупки безопасно, без раскрытия информации о своей кредитной карте. PayPal защитит вас, если возникнут проблемы с покупкой.</span></p><h2>Оплата через Интеркассу</h2><p><span>Это удобный в использовании сервис, подключение к которому позволит Интернет-магазинам, веб-сайтам и прочим торговым площадкам принимать все возможные формы оплаты в максимально короткие сроки.</span></p><h2>Оплата картой через Liqpay.com</h2><p><span>Благодаря своей открытости и универсальности LiqPAY стремительно интегрируется со многими платежными системами и платформами и становится стандартом платежных операций.</span></p><h2>Оплата через Pay2Pay</h2><p><span>Универсальный платежный сервис Pay2Pay призван облегчить и максимально упростить процесс приема электронных платежей на Вашем сайте. Мы открыты для всего нового и сверхсовременного.</span></p><h2>Оплатить через QIWI</h2><p><span>QIWI &mdash; удобный сервис для оплаты повседневных услуг.</span></p><h2><span style=\"font-size: 20px;\">Наличными в офисе Автолюкса</span></h2><p>При доставке заказа системой Автолюкс, вы сможете оплатить заказ в их офисе непосредственно в момент получения товаров.</p>'),
(1,	3,	'Доставка',	'',	'Доставка',	'Доставка',	'Доставка',	'<h2>Курьерская доставка по&nbsp;Москве</h2><p>Курьерская доставка осуществляется на следующий день после оформления заказа<span style=\"margin-right: -0.2em;\">,</span><span style=\"margin-left: 0.2em;\"> </span>если товар есть в&nbsp;наличии. Курьерская доставка осуществляется в&nbsp;пределах Томска и&nbsp;Северска ежедневно с&nbsp;10.00 до&nbsp;21.00. Заказ на&nbsp;сумму свыше 300 рублей доставляется бесплатно. <br /><br />Стоимость бесплатной доставки раcсчитывается от&nbsp;суммы заказа с&nbsp;учтенной скидкой. В&nbsp;случае если сумма заказа после применения скидки менее 300р<span style=\"margin-right: -0.2em;\">,</span><span style=\"margin-left: 0.2em;\"> </span>осуществляется платная доставка. <br /><br />При сумме заказа менее 300 рублей стоимость доставки составляет от 50 рублей.</p><h2>Самовывоз</h2><p>Удобный<span style=\"margin-right: -0.2em;\">,</span><span style=\"margin-left: 0.2em;\"> </span>бесплатный и быстрый способ получения заказа.<br />Адрес офиса: Москва<span style=\"margin-right: -0.2em;\">,</span><span style=\"margin-left: 0.2em;\"> </span>ул. Арбат<span style=\"margin-right: -0.2em;\">,</span><span style=\"margin-left: 0.2em;\"> </span>1/3<span style=\"margin-right: -0.2em;\">,</span><span style=\"margin-left: 0.2em;\"> </span>офис 419.</p><h2>Доставка с&nbsp;помощью предприятия<span style=\"margin-right: 0.44em;\"> </span><span style=\"margin-left: -0.44em;\">&laquo;</span>Автотрейдинг&raquo;</h2><p>Удобный и быстрый способ доставки в крупные города России. Посылка доставляется в офис<span style=\"margin-right: 0.44em;\"> </span><span style=\"margin-left: -0.44em;\">&laquo;</span>Автотрейдинг&raquo; в&nbsp;Вашем городе. Для получения необходимо предъявить паспорт и&nbsp;номер грузовой декларации<span style=\"margin-right: 0.3em;\"> </span><span style=\"margin-left: -0.3em;\">(</span>сообщит наш менеджер после отправки). Посылку желательно получить в&nbsp;течение 24 часов с&nbsp;момента прихода груза<span style=\"margin-right: -0.2em;\">,</span><span style=\"margin-left: 0.2em;\"> </span>иначе компания<span style=\"margin-right: 0.44em;\"> </span><span style=\"margin-left: -0.44em;\">&laquo;</span>Автотрейдинг&raquo; может взыскать с Вас дополнительную оплату за хранение. Срок доставки и стоимость Вы можете рассчитать на сайте компании.</p><h2>Наложенным платежом</h2><p>При доставке заказа наложенным платежом с помощью<span style=\"margin-right: 0.44em;\"> </span><span style=\"margin-left: -0.44em;\">&laquo;</span>Почты России&raquo;, вы&nbsp;сможете оплатить заказ непосредственно в&nbsp;момент получения товаров.</p>'),
(1,	4,	'Блог',	'',	'Блог',	'Описание страницы блог',	'Блог',	''),
(1,	5,	'Страница не найдена',	'',	'Страница не найдена',	'Страница не найдена',	'Страница не найдена',	'<p><span data-language=\"page404_text\">Страница, которую вы запрашиваете, не существует, или она удалена. Возможно, вы набрали неправильный адрес. Попробуйте ввести еще раз.</span></p>'),
(1,	6,	'Контакты',	'',	'Контакты',	'Контакты',	'Контакты',	'<p>Москва, ул. Космонавта Волкова 14.</p>\r\n<p>Телефон 777-15-51</p>'),
(1,	7,	'Все товары',	'',	'Все товары',	'Все товары',	'Все товары',	''),
(1,	8,	'Бренды',	'',	'Бренды',	'Бренды',	'Бренды',	'<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus</p>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus</p>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus</p>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus</p>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus</p>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus</p>'),
(1,	10,	'Акционные товары',	'',	'Акционные товары',	'Акционные товары',	'Акционные товары',	''),
(1,	11,	'Хиты продаж',	'',	'Хиты продаж',	'Хиты продаж',	'Хиты продаж',	''),
(1,	12,	'Новости',	'',	'Новости',	'Новости',	'Новости',	''),
(1,	13,	'Вход в личный кабинет',	'',	'Вход в личный кабинет',	'Создайте учетную запись у нас, и вы сможете:  \r\n \r\n Получать ваши персональные скидки \r\n Сохранять ваши контактные данные для оформления заказа \r\n Просматривать историю ваших заказов \r\n Отслеживать статусы новых заказов \r\n Участвовать в различных акциях',	'Вход в личный кабинет',	'<p><strong>Создайте учетную запись у нас, и вы сможете:</strong></p>\r\n<ul>\r\n<li>Получать ваши персональные скидки</li>\r\n<li>Сохранять ваши контактные данные для оформления заказа</li>\r\n<li>Просматривать историю ваших заказов</li>\r\n<li>Отслеживать статусы новых заказов</li>\r\n<li>Участвовать в различных акциях</li>\r\n</ul>'),
(1,	14,	'Регистрация',	'',	'Регистрация',	'Регистрация через соц. сеть \r\n  Вы можете зарегистрироваться на сайте с помощью учетных записей социальных сетей:',	'Регистрация',	'<div class=\"block_explanation__header\">Регистрация через соц. сеть</div>\r\n<div>Вы можете зарегистрироваться на сайте с помощью учетных записей социальных сетей:</div>'),
(1,	16,	'Политика конфиденцальности',	'',	'Политика конфиденцальности',	'1. ОБЩИЕ ПОЛОЖЕНИЯ   &middot;         1.1. Использование Пользователем сайта означает согласие с настоящей Политикой конфиденциальности и условиями обработки персональных данных Пользователя.  &middot;         1.2. В случае несогласия с условиями Политики конфиденциальности Пользователь должен прекратить использование сайта.  &middot;         1.3. Настоящая Политика конфиденциальности применяется только к этому сайту. Администрация сайта не контролирует и не несет ответственность за сайты третьих лиц, на ко',	'Политика конфиденцальности',	'<p><strong>1. ОБЩИЕ ПОЛОЖЕНИЯ</strong><br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 1.1. Использование Пользователем сайта означает согласие с настоящей Политикой конфиденциальности и условиями обработки персональных данных Пользователя.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 1.2. В случае несогласия с условиями Политики конфиденциальности Пользователь должен прекратить использование сайта.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 1.3. Настоящая Политика конфиденциальности применяется только к этому сайту. Администрация сайта не контролирует и не несет ответственность за сайты третьих лиц, на которые Пользователь может перейти по ссылкам, доступным на сайте.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 1.4. Администрация сайта не проверяет достоверность персональных данных, предоставляемых Пользователем сайта.<br /><br /><strong>2. ПРЕДМЕТ ПОЛИТИКИ КОНФИДЕНЦИАЛЬНОСТИ</strong><br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 2.1. Настоящая Политика конфиденциальности устанавливает обязательства Администрации сайта по неразглашению и обеспечению режима защиты конфиденциальности персональных данных, которые Пользователь предоставляет по запросу Администрации сайта.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 2.2. Персональные данные, разрешённые к обработке в рамках настоящей Политики конфиденциальности, предоставляются Пользователем путём заполнения регистрационной формы на сайте.<br /><br /><strong>3. ЦЕЛИ СБОРА ПЕРСОНАЛЬНОЙ ИНФОРМАЦИИ ПОЛЬЗОВАТЕЛЯ</strong><br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1. Персональные данные Пользователя Администрация сайта может использовать в целях:<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1.1. Идентификации Пользователя для оформления заказа.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1.2. Предоставления Пользователю доступа к персонализированным ресурсам Сайта.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1.3. Установления с Пользователем обратной связи, включая направление уведомлений, запросов, касающихся использования Сайта, оказания услуг, обработка запросов и заявок от Пользователя.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1.4. Определения места нахождения Пользователя для обеспечения безопасности, предотвращения мошенничества.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1.5. Подтверждения достоверности и полноты персональных данных, предоставленных Пользователем.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1.6. Уведомления Пользователя Сайта о состоянии Заказа.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1.7. Предоставления Пользователю эффективной клиентской и технической поддержки при возникновении проблем, связанных с использованием Сайта.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1.8. Предоставления Пользователю с его согласия, обновлений продукции, специальных предложений, информации о ценах, новостной рассылки и иных сведений от имени сайта или от имени партнеров сайта.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1.9. Осуществления рекламной деятельности с согласия Пользователя.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1.10. Предоставления доступа Пользователю на сайты или сервисы партнеров с целью получения продуктов, обновлений и услуг.<br /><br /><strong>4. ОБЯЗАТЕЛЬСТВА СТОРОН</strong><br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 4.1. Пользователь обязан:<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 4.1.1. Предоставить информацию о персональных данных, необходимую для пользования Сайтом.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 4.1.2. Обновить, дополнить предоставленную информацию о персональных данных в случае изменения данной информации.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 4.2. Администрация сайта обязана:<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 4.2.1. Использовать полученную информацию исключительно для целей, указанных в п. 3 настоящей Политики конфиденциальности.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 4.2.2. Обеспечить хранение конфиденциальной информации в тайне, не разглашать без предварительного письменного разрешения Пользователя, а также не осуществлять продажу, обмен, опубликование, либо разглашение иными возможными способами переданных персональных данных Пользователя.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 4.2.3. Принимать меры предосторожности для защиты конфиденциальности персональных данных Пользователя согласно порядку, обычно используемого для защиты такого рода информации в существующем деловом обороте.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 4.2.4. Осуществить блокирование персональных данных, относящихся к соответствующему Пользователю, с момента обращения или запроса Пользователя или его законного представителя либо уполномоченного органа по защите прав субъектов персональных данных на период проверки, в случае выявления недостоверных персональных данных или неправомерных действий.<br /><br /><strong>5. ОТВЕТСТВЕННОСТЬ СТОРОН</strong><br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 5.1. Администрация сайта, не исполнившая свои обязательства, несёт ответственность за убытки, понесённые Пользователем в связи с неправомерным использованием персональных данных, в соответствии с законодательством Украины.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 5.2. В случае утраты или разглашения Конфиденциальной информации Администрация сайта не несёт ответственность, если данная конфиденциальная информация:<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 5.2.1. Стала публичным достоянием до её утраты или разглашения.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 5.2.2. Была получена от третьей стороны до момента её получения Администрацией сайта.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 5.2.3. Была разглашена с согласия Пользователя.<br /><br /><strong>6. РАЗРЕШЕНИЕ СПОРОВ</strong><br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 6.1. До обращения в суд с иском по спорам, возникающим из отношений между Пользователем сайта и Администрацией сайта, обязательным является предъявление претензии (письменного предложения о добровольном урегулировании спора).<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 6.2. Получатель претензии в течение 30 календарных дней со дня получения претензии, письменно уведомляет заявителя претензии о результатах рассмотрения претензии.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 6.3. При не достижении соглашения спор будет передан на рассмотрение в судебный орган в соответствии с действующим законодательством Украины.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 6.4. К настоящей Политике конфиденциальности и отношениям между Пользователем и Администрацией сайта применяется действующее законодательство Украины.<br /><br /><strong>7. ДОПОЛНИТЕЛЬНЫЕ УСЛОВИЯ</strong><br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 7.1. Администрация сайта вправе вносить изменения в настоящую Политику конфиденциальности без согласия Пользователя.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 7.2. Новая Политика конфиденциальности вступает в силу с момента ее размещения на Сайте интернет-магазина, если иное не предусмотрено новой редакцией Политики <br /><br />Новости образования Подписаться на рассылку Политика конфиденциальности</p>'),
(1,	17,	'FAQ',	'',	'FAQ',	'',	'FAQ',	''),
(2,	1,	'Home',	'',	'Internet shop based on Okay-CMS',	'This store is a demonstration of the script online store Okay . All materials on this site are present only in demostratsionnyh purposes.',	'Bestsellers',	'<p>This store is a demonstration of the script online store Okay . All materials on this site are present only in demonstratic purposes.</p>'),
(2,	2,	'Payment',	'',	'Payment',	'Payment',	'Payment',	'<h2>Cash</h2><p><span class=\"translation-chunk\" data-align=\"0:2\">You</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"3:24\">can pay</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"25:32\">the courier</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"42:57\">directly</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"33:41\">in rubles</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"58:75\">at the time of delivery</span><span class=\"translation-chunk\">. </span><span class=\"translation-chunk\" data-align=\"77:111\">The Express delivery</span><span class=\"translation-chunk\">&nbsp;within</span><span class=\"translation-chunk\" data-align=\"112:121\">&nbsp;Moscow</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"122:139\">next day</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"140:145\">after</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"146:161\">order acceptance</span><span class=\"translation-chunk\">.</span></p><h2>Yandex.Money</h2><p><span class=\"translation-chunk\" data-align=\"0:7\">Yandex.</span><span class=\"translation-chunk\"></span><span class=\"translation-chunk\" data-align=\"7:15\">Money &mdash;</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"16:45\">affordable and secure way</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"46:63\">to pay for goods</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"64:88\">and services via the Internet.</span></p><h2>Bank&nbsp;<span>account</span></h2><p><span class=\"translation-chunk\" data-align=\"0:24\">Pay with your credit card</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"25:44\">Visa or MasterCard</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"45:65\">via Yandex</span><span class=\"translation-chunk\">.</span><span class=\"translation-chunk\" data-align=\"66:72\">Money</span><span class=\"translation-chunk\">.</span></p><h2><span>Terminal</span></h2><p><span class=\"translation-chunk\" data-align=\"0:8\">Pay</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"9:18\">by cash</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"19:51\">through numerous of terminals in</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"52:71\">any city of Russia</span><span class=\"translation-chunk\">. </span><span class=\"translation-chunk\" data-align=\"73:90\">You can pay</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"91:115\">with a credit card through</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"116:122\">many</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"123:132\">ATMs</span><span class=\"translation-chunk\">. </span><span class=\"translation-chunk\" data-align=\"134:151\">To do this, find&nbsp;<span>Yandex logo in the menu of</span></span><span class=\"translation-chunk\" data-align=\"159:168\">&nbsp;terminal</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"169:172\">or</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"173:198\">ATM, </span><span class=\"translation-chunk\" data-align=\"199:208\">and enter&nbsp;</span><span class=\"translation-chunk\" data-align=\"209:220\">the payment code</span><span class=\"translation-chunk\">.</span></p><h2><span>Phone bill</span></h2><p><span class=\"translation-chunk\" data-align=\"0:6\">Payment</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"7:9\">with</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"10:35\">mobile phone account</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"36:56\">via Yandex</span><span class=\"translation-chunk\">.</span><span class=\"translation-chunk\" data-align=\"57:63\">Money</span><span class=\"translation-chunk\">.</span></p><h2>Webmoney</h2><p><span class=\"translation-chunk\" data-align=\"0:23\">After ordering,</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"24:42\">you can go</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"43:50\">to the </span><span class=\"translation-chunk\" data-align=\"51:59\">webmoney&nbsp;<span class=\"translation-chunk\" data-align=\"43:50\">website</span></span><span class=\"translation-chunk\">&nbsp;</span><span class=\"translation-chunk\" data-align=\"60:77\">for payment</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"77:105\">where you can pay for your order</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"106:129\">in automatic mode</span><span class=\"translation-chunk\"></span><span class=\"translation-chunk\" data-align=\"129:139\">, as well as</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"140:164\">to verify our <span>seller\'s&nbsp;</span>certificate</span><span class=\"translation-chunk\" data-align=\"165:173\">&nbsp;</span><span class=\"translation-chunk\">.</span></p><h2><span>Receipt</span></h2><p>You can print a receipt and pay it at any Bank.</p><h2>Robokassa</h2><p><span>ROBOKASSA &ndash;&nbsp;<span class=\"translation-chunk\" data-align=\"0:22\">the service for</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"23:38\">accepting payments</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"39:47\">on the website</span><span class=\"translation-chunk\">, </span><span class=\"translation-chunk\" data-align=\"49:68\">online store and</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"69:86\">social networks.</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"87:116\">Payments are accepted</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"117:143\">with minimal commissions.</span></span></p><p><span><span class=\"translation-chunk\" data-align=\"117:143\"></span></span><span style=\"font-size: 20px;\">PayPal</span></p><p><span class=\"translation-chunk\" data-align=\"0:18\">Make purchases</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"19:28\">safely</span><span class=\"translation-chunk\">, </span><span class=\"translation-chunk\" data-align=\"30:54\">without disclosing information</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"55:78\">about your credit card</span><span class=\"translation-chunk\">. </span><span class=\"translation-chunk\" data-align=\"80:86\">PayPal</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"87:94\">will protect</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"95:104\">you if</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"105:123\">problems occur</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"124:135\">with purchase.</span></p><h2><span>Payment via Interkassa</span></h2><p><span class=\"translation-chunk\" data-align=\"0:3\">This</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"4:27\">easy to use</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"28:34\">service</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"34:58\">that you connect t,</span><span class=\"translation-chunk\">&nbsp;</span><span class=\"translation-chunk\" data-align=\"59:77\">will allow online</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"77:87\">shopping</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"88:98\">websites</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"99:126\">and other trading platforms</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"127:150\">to take all possible</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"151:163\">forms of payment</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"164:165\">in</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"166:193\">maximum short terms.</span></p><h2><span class=\"translation-chunk\" data-align=\"0:13\">Card payment</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"14:19\">via&nbsp;</span>Liqpay.com</h2><p><span class=\"translation-chunk\" data-align=\"0:15\">Due to its</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"16:26\">openness</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"27:44\">and universality</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"45:51\">LiqPAY</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"52:64\">rapidly</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"65:78\">integrates</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"79:89\">with many</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"90:126\">payment systems and platforms and</span><span class=\"translation-chunk\" data-align=\"127:148\">&nbsp;becomes the standard</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"149:168\">payment transactions.</span></p><h2><span>Payment via</span><span style=\"font-size: 20px;\">&nbsp;Pay2Pay</span></h2><p><span class=\"translation-chunk\" data-align=\"0:23\">Universal payment</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"24:30\">service</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"31:38\">Pay2Pay</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"39:56\">is intended to facilitate</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"57:80\">and simplify</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"81:88\">the process</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"89:119\">of electronic payment acceptance on</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"120:131\">Your website</span><span class=\"translation-chunk\">. </span><span class=\"translation-chunk\" data-align=\"133:143\">We are open</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"144:160\">to everything new</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"161:162\">and</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"163:180\">modern</span><span class=\"translation-chunk\">.</span></p><h2><span>Payment via</span><span style=\"font-size: 20px;\">&nbsp;QIWI</span></h2><p><span>QIWI &mdash;&nbsp;<span class=\"translation-chunk\" data-align=\"0:14\">convenient service</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"15:25\">to pay for</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"26:44\">everyday services</span><span class=\"translation-chunk\">.</span></span></p><h2><span style=\"font-size: 20px;\">Cash at autolux office</span></h2><p><span class=\"translation-chunk\" data-align=\"0:19\">Upon delivery of</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"20:28\">the system</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"29:37\">Autolux</span><span class=\"translation-chunk\">, </span><span class=\"translation-chunk\" data-align=\"39:49\">you will be able</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"50:64\">to pay for the order</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"65:75\">in their office</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"76:91\">immediately</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"92:110\">upon receipt</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"111:118\">of goods</span><span class=\"translation-chunk\">.</span></p>'),
(2,	3,	'Delivery',	'',	'Delivery',	'Delivery',	'Delivery',	'<h2>Shipping within Moscow</h2><p><span class=\"translation-chunk\" data-align=\"0:34\">Courier delivery is made</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"35:52\">the next day</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"53:76\">after ordering</span><span class=\"translation-chunk\">, </span><span class=\"translation-chunk\" data-align=\"78:103\">if the item is in stock</span><span class=\"translation-chunk\">. </span><span class=\"translation-chunk\" data-align=\"105:139\">Courier delivery is made</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"140:157\">within the Tomsk</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"158:168\">and Seversk</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"169:180\">daily from</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"181:189\">10.00 to</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"190:195\">21.00</span><span class=\"translation-chunk\">. </span><span class=\"translation-chunk\" data-align=\"197:211\">For orders</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"212:221\">more than 300</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"222:251\">rubles delivered free of charge</span><span class=\"translation-chunk\">.</span><br /><br /><span class=\"translation-chunk\" data-align=\"0:9\">Cost</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"10:44\">free delivery is calculated</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"45:47\">from</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"48:60\">the total order</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"61:62\">with</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"72:79\">the discount</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"63:71\">taken into account</span><span class=\"translation-chunk\">. </span><span class=\"translation-chunk\" data-align=\"81:107\">If the order amount</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"108:131\">after applying the discount</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"132:137\">less than</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"138:142\">300 r</span><span class=\"translation-chunk\">, </span><span class=\"translation-chunk\" data-align=\"144:158\">is</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"159:175\">a paid service</span><span class=\"translation-chunk\">.</span></p><p><span class=\"translation-chunk\" data-align=\"0:11\">For orders</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"12:21\">less than 300</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"22:28\">rubles</span><span class=\"translation-chunk\">, </span><span class=\"translation-chunk\" data-align=\"30:59\">the <span>delivery </span>cost is</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"60:69\">50 rubles</span><span class=\"translation-chunk\">.</span></p><h2>Store pickup</h2><p><span class=\"translation-chunk\" data-align=\"0:7\">Convenient</span><span class=\"translation-chunk\"></span><span class=\"translation-chunk\" data-align=\"7:19\">, free</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"20:21\">and</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"22:54\">fast way of receiving your order.</span><span class=\"translation-chunk\"> </span></p><p><span class=\"translation-chunk\"></span><span class=\"translation-chunk\" data-align=\"55:67\">Office address:</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"68:75\">Moscow,</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"80:85\">Arbat</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"76:79\">str.</span><span class=\"translation-chunk\"></span><span class=\"translation-chunk\" data-align=\"85:90\">, 1/3</span><span class=\"translation-chunk\"></span><span class=\"translation-chunk\" data-align=\"90:96\">, office</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"97:100\">419</span><span class=\"translation-chunk\">.</span></p><h2><span class=\"translation-chunk\" data-align=\"19:32\">\"</span><span class=\"translation-chunk\"></span><span class=\"translation-chunk\" data-align=\"32:45\">Autotrading\" delivery</span></h2><p><span class=\"translation-chunk\" data-align=\"0:24\">A convenient and fast way</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"25:33\">of delivery</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"34:43\">in large</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"44:57\">cities of Russia</span><span class=\"translation-chunk\">. </span><span class=\"translation-chunk\" data-align=\"59:79\">Parcel is delivered</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"80:86\">to the office</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"87:101\">\"autotrading\"</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"102:117\">in Your city.</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"118:131\">To receive</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"132:161\">you must present your passport</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"162:163\">and</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"164:189\">number of the cargo declaration</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"190:198\">(</span><span class=\"translation-chunk\" data-align=\"199:211\">our manager will inform You</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"212:226\">after sending</span><span class=\"translation-chunk\">). </span><span class=\"translation-chunk\" data-align=\"229:236\">The parcel</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"237:256\">it is advisable to get</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"257:258\">in</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"259:269\">within 24</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"270:285\">hours after</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"286:299\">arrival of the goods</span><span class=\"translation-chunk\"></span><span class=\"translation-chunk\" data-align=\"299:315\">, or the company</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"316:330\">\"Autotrading\"</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"331:351\">may charge You an</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"352:373\">additional fee</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"374:386\">for storage.</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"387:400\">The delivery time</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"401:402\">and</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"403:412\">the cost</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"413:433\">You can calculate</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"434:451\">on the company\'s website</span><span class=\"translation-chunk\">.</span></p><h2>C.O.D (Cash On Delivery)</h2><p><span class=\"translation-chunk\" data-align=\"0:19\">On delivery order</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"20:39\">cash on delivery</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"40:49\">through</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"50:63\">\"mail of Russia</span><span class=\"translation-chunk\">\", </span><span class=\"translation-chunk\" data-align=\"66:76\">you will be able</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"77:91\">to pay for the order</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"92:116\">at the time</span><span class=\"translation-chunk\"> </span><span class=\"translation-chunk\" data-align=\"117:134\">goods are received</span><span class=\"translation-chunk\">.</span></p>'),
(2,	4,	'Blog',	'',	'Blog',	'Blog description',	'Blog',	''),
(2,	5,	'Page not found',	'',	'Page not found',	'Page not found',	'Page not found',	'<p><img src=\"../files/uploads/404okay.png\" alt=\"\" width=\"374\" height=\"514\" /></p>'),
(2,	6,	'Contacts',	'',	'Contacts',	'Contacts',	'Contacts',	'<p>Moscow, Kosmonavt Volkov street, house 14.</p>\r\n<p>Phone 777-15-51</p>'),
(2,	7,	'All goods',	'',	'All goods',	'All goods',	'All goods',	''),
(2,	8,	'Brands',	'',	'Brands',	'Brands',	'Brands',	''),
(2,	10,	'Action goods',	'',	'Action goods',	'Action goods',	'Action goods',	''),
(2,	11,	'Bestsellers',	'',	'Bestsellers',	'Bestsellers',	'Bestsellers',	''),
(2,	12,	'News',	'',	'News',	'News',	'News',	''),
(2,	13,	'Вход в личный кабинет',	'',	'Вход в личный кабинет',	'Создайте учетную запись у нас, и вы сможете: \r\n \r\n Проверять заказы \r\n Сохранить адреса для доставки \r\n Доступ к вашей истории заказов \r\n Отслеживать новые заказы \r\n Сохраните элементы в вашем списке пожеланий',	'Вход в личный кабинет',	'<p><strong>Create an account with us and you can:</strong></p>\r\n<ul>\r\n<li>Receive your personal discounts</li>\r\n<li>Save your contact details for ordering</li>\r\n<li>View your order history</li>\r\n<li>Track the status of new orders</li>\r\n<li>Participate in various promotions</li>\r\n</ul>'),
(2,	14,	'Регистрация',	'',	'Регистрация',	'Registration through the social network \r\n You can register on the site using social networking accounts:',	'Регистрация',	'<div class=\"block_explanation__header\">Registration through the social network</div>\r\n<div>You can register on the site using social networking accounts:</div>'),
(2,	16,	'Политика конфиденцальности',	'',	'Политика конфиденцальности',	'1. ОБЩИЕ ПОЛОЖЕНИЯ  &middot;         1.1. Использование Пользователем сайта означает согласие с настоящей Политикой конфиденциальности и условиями обработки персональных данных Пользователя.  &middot;         1.2. В случае несогласия с условиями Политики конфиденциальности Пользователь должен прекратить использование сайта.  &middot;         1.3. Настоящая Политика конфиденциальности применяется только к этому сайту. Администрация сайта не контролирует и не несет ответственность за сайты третьих лиц, на кот',	'Политика конфиденцальности',	'<p>1. ОБЩИЕ ПОЛОЖЕНИЯ<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 1.1. Использование Пользователем сайта означает согласие с настоящей Политикой конфиденциальности и условиями обработки персональных данных Пользователя.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 1.2. В случае несогласия с условиями Политики конфиденциальности Пользователь должен прекратить использование сайта.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 1.3. Настоящая Политика конфиденциальности применяется только к этому сайту. Администрация сайта не контролирует и не несет ответственность за сайты третьих лиц, на которые Пользователь может перейти по ссылкам, доступным на сайте.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 1.4. Администрация сайта не проверяет достоверность персональных данных, предоставляемых Пользователем сайта.<br /><br />2. ПРЕДМЕТ ПОЛИТИКИ КОНФИДЕНЦИАЛЬНОСТИ<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 2.1. Настоящая Политика конфиденциальности устанавливает обязательства Администрации сайта по неразглашению и обеспечению режима защиты конфиденциальности персональных данных, которые Пользователь предоставляет по запросу Администрации сайта.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 2.2. Персональные данные, разрешённые к обработке в рамках настоящей Политики конфиденциальности, предоставляются Пользователем путём заполнения регистрационной формы на сайте.<br /><br />3. ЦЕЛИ СБОРА ПЕРСОНАЛЬНОЙ ИНФОРМАЦИИ ПОЛЬЗОВАТЕЛЯ<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1. Персональные данные Пользователя Администрация сайта может использовать в целях:<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1.1. Идентификации Пользователя для оформления заказа.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1.2. Предоставления Пользователю доступа к персонализированным ресурсам Сайта.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1.3. Установления с Пользователем обратной связи, включая направление уведомлений, запросов, касающихся использования Сайта, оказания услуг, обработка запросов и заявок от Пользователя.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1.4. Определения места нахождения Пользователя для обеспечения безопасности, предотвращения мошенничества.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1.5. Подтверждения достоверности и полноты персональных данных, предоставленных Пользователем.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1.6. Уведомления Пользователя Сайта о состоянии Заказа.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1.7. Предоставления Пользователю эффективной клиентской и технической поддержки при возникновении проблем, связанных с использованием Сайта.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1.8. Предоставления Пользователю с его согласия, обновлений продукции, специальных предложений, информации о ценах, новостной рассылки и иных сведений от имени сайта или от имени партнеров сайта.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1.9. Осуществления рекламной деятельности с согласия Пользователя.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1.10. Предоставления доступа Пользователю на сайты или сервисы партнеров с целью получения продуктов, обновлений и услуг.<br /><br />4. ОБЯЗАТЕЛЬСТВА СТОРОН<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 4.1. Пользователь обязан:<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 4.1.1. Предоставить информацию о персональных данных, необходимую для пользования Сайтом.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 4.1.2. Обновить, дополнить предоставленную информацию о персональных данных в случае изменения данной информации.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 4.2. Администрация сайта обязана:<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 4.2.1. Использовать полученную информацию исключительно для целей, указанных в п. 3 настоящей Политики конфиденциальности.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 4.2.2. Обеспечить хранение конфиденциальной информации в тайне, не разглашать без предварительного письменного разрешения Пользователя, а также не осуществлять продажу, обмен, опубликование, либо разглашение иными возможными способами переданных персональных данных Пользователя.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 4.2.3. Принимать меры предосторожности для защиты конфиденциальности персональных данных Пользователя согласно порядку, обычно используемого для защиты такого рода информации в существующем деловом обороте.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 4.2.4. Осуществить блокирование персональных данных, относящихся к соответствующему Пользователю, с момента обращения или запроса Пользователя или его законного представителя либо уполномоченного органа по защите прав субъектов персональных данных на период проверки, в случае выявления недостоверных персональных данных или неправомерных действий.<br /><br />5. ОТВЕТСТВЕННОСТЬ СТОРОН<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 5.1. Администрация сайта, не исполнившая свои обязательства, несёт ответственность за убытки, понесённые Пользователем в связи с неправомерным использованием персональных данных, в соответствии с законодательством Украины.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 5.2. В случае утраты или разглашения Конфиденциальной информации Администрация сайта не несёт ответственность, если данная конфиденциальная информация:<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 5.2.1. Стала публичным достоянием до её утраты или разглашения.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 5.2.2. Была получена от третьей стороны до момента её получения Администрацией сайта.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 5.2.3. Была разглашена с согласия Пользователя.<br /><br />6. РАЗРЕШЕНИЕ СПОРОВ<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 6.1. До обращения в суд с иском по спорам, возникающим из отношений между Пользователем сайта и Администрацией сайта, обязательным является предъявление претензии (письменного предложения о добровольном урегулировании спора).<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 6.2. Получатель претензии в течение 30 календарных дней со дня получения претензии, письменно уведомляет заявителя претензии о результатах рассмотрения претензии.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 6.3. При не достижении соглашения спор будет передан на рассмотрение в судебный орган в соответствии с действующим законодательством Украины.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 6.4. К настоящей Политике конфиденциальности и отношениям между Пользователем и Администрацией сайта применяется действующее законодательство Украины.<br /><br />7. ДОПОЛНИТЕЛЬНЫЕ УСЛОВИЯ<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 7.1. Администрация сайта вправе вносить изменения в настоящую Политику конфиденциальности без согласия Пользователя.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 7.2. Новая Политика конфиденциальности вступает в силу с момента ее размещения на Сайте интернет-магазина, если иное не предусмотрено новой редакцией Политики <br /><br />Новости образования Подписаться на рассылку Политика конфиденциальности</p>'),
(2,	17,	'FAQ',	'',	'FAQ',	'',	'FAQ',	''),
(3,	1,	'Головна',	'',	'Інтернет-магазин на OkayCMS',	'Цей магазин є демонстрацією скрипта інтернет-магазину Okay. Всі матеріали на цьому сайті присутні виключно в демостраціонних цілях.',	'Хіти продажу',	'<p>Цей магазин є демонстрацією скрипта інтернет-магазину Okay. Всі матеріали на цьому сайті присутні виключно в демостраціонних цілях.</p>'),
(3,	2,	'Оплата',	'',	'Оплата',	'Оплата',	'Оплата',	'<h2><span>Наличными курьеру</span></h2><p>Вы можете оплатить заказ курьеру в гривнах непосредственно в момент доставки. Курьерская доставка осуществляется по Москве на следующий день после принятия заказа.</p><h2>Яндекс.Деньги</h2><p><span>Яндекс</span><span>.</span><span>Деньги</span><span>&nbsp;&mdash; доступный и безопасный способ платить за товары и услуги через интернет</span>.</p><h2>Банковская карта</h2><p><span>Оплата банковской картой Visa или MasterCard через систему Яндекс.Деньги.</span></p><h2>Через терминал</h2><p><span>Оплатита наличными через многочисленные терминалы в любом городе России. Можно заплатить и с банковской карты через многие банкоматы. Для этого найдите в меню терминала или банкомата логотип Яндекса и укажите код платежа.</span></p><h2>Со счета мобильного телефона</h2><p><span>Оплата со&nbsp;счета мобильного телефона&nbsp;через систему Яндекс.Деньги.</span></p><h2>Webmoney</h2><p>После оформления заказа вы сможете перейти на сайт webmoney для оплаты заказа, где сможете оплатить заказ в автоматическом режиме, а так же проверить наш сертификат продавца.</p><h2>Квитанция</h2><p><span>Вы можете распечатать квитанцию и оплатить её в любом отделении банка.</span></p><h2>Робокасса</h2><p><span>ROBOKASSA &ndash; сервис для организации приема платежей на сайте, интернет магазине и социальных сетях. Прием платежей осуществляется при минимальных комиссиях.</span></p><h2>PayPal</h2><p><span>Совершайте покупки безопасно, без раскрытия информации о своей кредитной карте. PayPal защитит вас, если возникнут проблемы с покупкой.</span></p><h2>Оплата через Интеркассу</h2><p><span>Это удобный в использовании сервис, подключение к которому позволит Интернет-магазинам, веб-сайтам и прочим торговым площадкам принимать все возможные формы оплаты в максимально короткие сроки.</span></p><h2>Оплата картой через Liqpay.com</h2><p><span>Благодаря своей открытости и универсальности LiqPAY стремительно интегрируется со многими платежными системами и платформами и становится стандартом платежных операций.</span></p><h2>Оплата через Pay2Pay</h2><p><span>Универсальный платежный сервис Pay2Pay призван облегчить и максимально упростить процесс приема электронных платежей на Вашем сайте. Мы открыты для всего нового и сверхсовременного.</span></p><h2>Оплатить через QIWI</h2><p><span>QIWI &mdash; удобный сервис для оплаты повседневных услуг.</span></p><h2><span style=\"font-size: 20px;\">Наличными в офисе Автолюкса</span></h2><p>При доставке заказа системой Автолюкс, вы сможете оплатить заказ в их офисе непосредственно в момент получения товаров.</p>'),
(3,	3,	'Доставка',	'',	'Доставка',	'Доставка',	'Доставка',	'<h2>Курьерская доставка по&nbsp;Москве</h2><p>Курьерская доставка осуществляется на следующий день после оформления заказа<span style=\"margin-right: -0.2em;\">,</span><span style=\"margin-left: 0.2em;\"> </span>если товар есть в&nbsp;наличии. Курьерская доставка осуществляется в&nbsp;пределах Томска и&nbsp;Северска ежедневно с&nbsp;10.00 до&nbsp;21.00. Заказ на&nbsp;сумму свыше 300 рублей доставляется бесплатно. <br /><br />Стоимость бесплатной доставки раcсчитывается от&nbsp;суммы заказа с&nbsp;учтенной скидкой. В&nbsp;случае если сумма заказа после применения скидки менее 300р<span style=\"margin-right: -0.2em;\">,</span><span style=\"margin-left: 0.2em;\"> </span>осуществляется платная доставка. <br /><br />При сумме заказа менее 300 рублей стоимость доставки составляет от 50 рублей.</p><h2>Самовывоз</h2><p>Удобный<span style=\"margin-right: -0.2em;\">,</span><span style=\"margin-left: 0.2em;\"> </span>бесплатный и быстрый способ получения заказа.<br />Адрес офиса: Москва<span style=\"margin-right: -0.2em;\">,</span><span style=\"margin-left: 0.2em;\"> </span>ул. Арбат<span style=\"margin-right: -0.2em;\">,</span><span style=\"margin-left: 0.2em;\"> </span>1/3<span style=\"margin-right: -0.2em;\">,</span><span style=\"margin-left: 0.2em;\"> </span>офис 419.</p><h2>Доставка с&nbsp;помощью предприятия<span style=\"margin-right: 0.44em;\"> </span><span style=\"margin-left: -0.44em;\">&laquo;</span>Автотрейдинг&raquo;</h2><p>Удобный и быстрый способ доставки в крупные города России. Посылка доставляется в офис<span style=\"margin-right: 0.44em;\"> </span><span style=\"margin-left: -0.44em;\">&laquo;</span>Автотрейдинг&raquo; в&nbsp;Вашем городе. Для получения необходимо предъявить паспорт и&nbsp;номер грузовой декларации<span style=\"margin-right: 0.3em;\"> </span><span style=\"margin-left: -0.3em;\">(</span>сообщит наш менеджер после отправки). Посылку желательно получить в&nbsp;течение 24 часов с&nbsp;момента прихода груза<span style=\"margin-right: -0.2em;\">,</span><span style=\"margin-left: 0.2em;\"> </span>иначе компания<span style=\"margin-right: 0.44em;\"> </span><span style=\"margin-left: -0.44em;\">&laquo;</span>Автотрейдинг&raquo; может взыскать с Вас дополнительную оплату за хранение. Срок доставки и стоимость Вы можете рассчитать на сайте компании.</p><h2>Наложенным платежом</h2><p>При доставке заказа наложенным платежом с помощью<span style=\"margin-right: 0.44em;\"> </span><span style=\"margin-left: -0.44em;\">&laquo;</span>Почты России&raquo;, вы&nbsp;сможете оплатить заказ непосредственно в&nbsp;момент получения товаров.</p>'),
(3,	4,	'Блог',	'',	'Блог',	'Блог',	'Блог',	''),
(3,	5,	'Сторінку не знайдено',	'',	'Сторінку не знайдено',	'Сторінку не знайдено',	'Сторінку не знайдено',	'<p><img src=\"../files/uploads/404okay.png\" alt=\"\" width=\"374\" height=\"514\" /></p>'),
(3,	6,	'Контакти',	'',	'Контакти',	'Контакти',	'Контакти',	'<p>Москва, ул. Космонавта Волкова 14.</p>\r\n<p>Телефон 777-15-51</p>'),
(3,	7,	'Усі товари',	'',	'Усі товари',	'Усі товари',	'Усі товари',	''),
(3,	8,	'Бренди',	'',	'Бренди',	'Бренди',	'Бренди',	''),
(3,	10,	'Акційні товари',	'',	'Акційні товари',	'Акційні товари',	'Акційні товари',	''),
(3,	11,	'Хіти продажу',	'',	'Хіти продажу',	'Хіти продажу',	'Хіти продажу',	''),
(3,	12,	'Новини',	'',	'Новини',	'Новини',	'Новини',	''),
(3,	13,	'Вход в личный кабинет',	'',	'Вход в личный кабинет',	'Создайте учетную запись у нас, и вы сможете: \r\n \r\n Проверять заказы \r\n Сохранить адреса для доставки \r\n Доступ к вашей истории заказов \r\n Отслеживать новые заказы \r\n Сохраните элементы в вашем списке пожеланий',	'Вход в личный кабинет',	'<p><strong>Створіть обліковий запис у нас, і ви зможете:</strong></p>\r\n<ul>\r\n<li>Отримувати ваші персональні знижки</li>\r\n<li>Зберігати ваші контактні дані для оформлення замовлення</li>\r\n<li>Переглядати історію ваших замовлень</li>\r\n<li>Відслідковувати статуси нових замовлень</li>\r\n<li>Брати участь в різних акціях</li>\r\n</ul>'),
(3,	14,	'Регистрация',	'',	'Регистрация',	'Реєстрація через соц. мережі \r\n Ви можете зареєструватися на сайті за допомогою облікових записів соціальних мереж:',	'Регистрация',	'<div class=\"block_explanation__header\">Реєстрація через соц. мережі</div>\r\n<div>Ви можете зареєструватися на сайті за допомогою облікових записів соціальних мереж:</div>'),
(3,	16,	'Политика конфиденцальности',	'',	'Политика конфиденцальности',	'1. ОБЩИЕ ПОЛОЖЕНИЯ  &middot;         1.1. Использование Пользователем сайта означает согласие с настоящей Политикой конфиденциальности и условиями обработки персональных данных Пользователя.  &middot;         1.2. В случае несогласия с условиями Политики конфиденциальности Пользователь должен прекратить использование сайта.  &middot;         1.3. Настоящая Политика конфиденциальности применяется только к этому сайту. Администрация сайта не контролирует и не несет ответственность за сайты третьих лиц, на кот',	'Политика конфиденцальности',	'<p>1. ОБЩИЕ ПОЛОЖЕНИЯ<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 1.1. Использование Пользователем сайта означает согласие с настоящей Политикой конфиденциальности и условиями обработки персональных данных Пользователя.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 1.2. В случае несогласия с условиями Политики конфиденциальности Пользователь должен прекратить использование сайта.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 1.3. Настоящая Политика конфиденциальности применяется только к этому сайту. Администрация сайта не контролирует и не несет ответственность за сайты третьих лиц, на которые Пользователь может перейти по ссылкам, доступным на сайте.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 1.4. Администрация сайта не проверяет достоверность персональных данных, предоставляемых Пользователем сайта.<br /><br />2. ПРЕДМЕТ ПОЛИТИКИ КОНФИДЕНЦИАЛЬНОСТИ<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 2.1. Настоящая Политика конфиденциальности устанавливает обязательства Администрации сайта по неразглашению и обеспечению режима защиты конфиденциальности персональных данных, которые Пользователь предоставляет по запросу Администрации сайта.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 2.2. Персональные данные, разрешённые к обработке в рамках настоящей Политики конфиденциальности, предоставляются Пользователем путём заполнения регистрационной формы на сайте.<br /><br />3. ЦЕЛИ СБОРА ПЕРСОНАЛЬНОЙ ИНФОРМАЦИИ ПОЛЬЗОВАТЕЛЯ<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1. Персональные данные Пользователя Администрация сайта может использовать в целях:<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1.1. Идентификации Пользователя для оформления заказа.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1.2. Предоставления Пользователю доступа к персонализированным ресурсам Сайта.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1.3. Установления с Пользователем обратной связи, включая направление уведомлений, запросов, касающихся использования Сайта, оказания услуг, обработка запросов и заявок от Пользователя.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1.4. Определения места нахождения Пользователя для обеспечения безопасности, предотвращения мошенничества.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1.5. Подтверждения достоверности и полноты персональных данных, предоставленных Пользователем.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1.6. Уведомления Пользователя Сайта о состоянии Заказа.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1.7. Предоставления Пользователю эффективной клиентской и технической поддержки при возникновении проблем, связанных с использованием Сайта.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1.8. Предоставления Пользователю с его согласия, обновлений продукции, специальных предложений, информации о ценах, новостной рассылки и иных сведений от имени сайта или от имени партнеров сайта.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1.9. Осуществления рекламной деятельности с согласия Пользователя.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1.10. Предоставления доступа Пользователю на сайты или сервисы партнеров с целью получения продуктов, обновлений и услуг.<br /><br />4. ОБЯЗАТЕЛЬСТВА СТОРОН<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 4.1. Пользователь обязан:<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 4.1.1. Предоставить информацию о персональных данных, необходимую для пользования Сайтом.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 4.1.2. Обновить, дополнить предоставленную информацию о персональных данных в случае изменения данной информации.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 4.2. Администрация сайта обязана:<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 4.2.1. Использовать полученную информацию исключительно для целей, указанных в п. 3 настоящей Политики конфиденциальности.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 4.2.2. Обеспечить хранение конфиденциальной информации в тайне, не разглашать без предварительного письменного разрешения Пользователя, а также не осуществлять продажу, обмен, опубликование, либо разглашение иными возможными способами переданных персональных данных Пользователя.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 4.2.3. Принимать меры предосторожности для защиты конфиденциальности персональных данных Пользователя согласно порядку, обычно используемого для защиты такого рода информации в существующем деловом обороте.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 4.2.4. Осуществить блокирование персональных данных, относящихся к соответствующему Пользователю, с момента обращения или запроса Пользователя или его законного представителя либо уполномоченного органа по защите прав субъектов персональных данных на период проверки, в случае выявления недостоверных персональных данных или неправомерных действий.<br /><br />5. ОТВЕТСТВЕННОСТЬ СТОРОН<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 5.1. Администрация сайта, не исполнившая свои обязательства, несёт ответственность за убытки, понесённые Пользователем в связи с неправомерным использованием персональных данных, в соответствии с законодательством Украины.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 5.2. В случае утраты или разглашения Конфиденциальной информации Администрация сайта не несёт ответственность, если данная конфиденциальная информация:<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 5.2.1. Стала публичным достоянием до её утраты или разглашения.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 5.2.2. Была получена от третьей стороны до момента её получения Администрацией сайта.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 5.2.3. Была разглашена с согласия Пользователя.<br /><br />6. РАЗРЕШЕНИЕ СПОРОВ<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 6.1. До обращения в суд с иском по спорам, возникающим из отношений между Пользователем сайта и Администрацией сайта, обязательным является предъявление претензии (письменного предложения о добровольном урегулировании спора).<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 6.2. Получатель претензии в течение 30 календарных дней со дня получения претензии, письменно уведомляет заявителя претензии о результатах рассмотрения претензии.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 6.3. При не достижении соглашения спор будет передан на рассмотрение в судебный орган в соответствии с действующим законодательством Украины.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 6.4. К настоящей Политике конфиденциальности и отношениям между Пользователем и Администрацией сайта применяется действующее законодательство Украины.<br /><br />7. ДОПОЛНИТЕЛЬНЫЕ УСЛОВИЯ<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 7.1. Администрация сайта вправе вносить изменения в настоящую Политику конфиденциальности без согласия Пользователя.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 7.2. Новая Политика конфиденциальности вступает в силу с момента ее размещения на Сайте интернет-магазина, если иное не предусмотрено новой редакцией Политики <br /><br />Новости образования Подписаться на рассылку Политика конфиденциальности</p>'),
(3,	17,	'FAQ',	'',	'FAQ',	'',	'FAQ',	'');

DROP TABLE IF EXISTS `ok_lang_payment_methods`;
CREATE TABLE `ok_lang_payment_methods` (
  `lang_id` int(11) NOT NULL,
  `payment_id` int(11) NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `description` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  UNIQUE KEY `lang_id` (`lang_id`,`payment_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_lang_payment_methods` (`lang_id`, `payment_id`, `name`, `description`) VALUES
(1,	6,	'Оплата картой через Liqpay.com',	'<p>LiqPay &mdash; платежная система, позволяющая проводить оплату банковскими картами MasterСard и VISA, а также наличными через терминалы самообслуживания Приватбанка. Оплата возможна после входа в аккаунт через номер мобильного телефона.</p>'),
(1,	14,	'Оплата наличными курьеру',	'<p>Если вы не хотите предварительно оплачивать заказ, у вас есть возможность рассчитаться с курьером наличными в момент получения посылки. Чтобы процесс был максимально комфортным и для вас, и для курьера, рекомендуем заранее подготовить нужную сумму.</p>'),
(1,	18,	'Оплата наложенным платежом',	'<p>Оплата производится наложенным платежом после получения товара.</p>'),
(1,	19,	'Оплата через PayKeeper',	'<p>PayKeeper &mdash; международная платежная система, осуществляющая прием платежей, проводимых с использованием банковских карт через интернет.</p>'),
(1,	20,	'Оплата через WayForPay',	'<p>WayForPay &mdash; это онлайн-сервис с оплатой через банковские карты платежных систем VISA и MasterCard. Доступные методы платежа: Приват 24, терминал, сервис обслуживает прием платежей через систему Bitcoin.</p>'),
(1,	21,	'Яндекс Касса',	'<p>Яндекс.Касса &mdash; российский платёжный провайдер, сервис по приёму платежей через интернет в пользу юридических лиц, индивидуальных предпринимателей и некоммерческих организаций.</p>'),
(2,	6,	'Card payment through Liqpay.com',	'<p>LiqPay is a payment system that allows you to pay with MasterCard and VISA credit cards, as well as in cash through Privatbank self-service terminals. Payment is possible after entering the account through a mobile phone number.</p>'),
(2,	14,	'Cash payment to courier',	'<p>If you do not want to pre-pay the order, you have the opportunity to pay the courier in cash at the time of receipt of the parcel. To make the process as comfortable as possible for both you and the courier, we recommend that you prepare the required amount in advance.</p>'),
(2,	18,	'Cash on delivery',	'<p>Payment is due on delivery after receiving the goods.</p>'),
(2,	19,	'Payment via PayKeeper',	'<p>PayKeeper is an international payment system that accepts payments made using bank cards via the Internet.</p>'),
(2,	20,	'Payment via WayForPay',	'<p>WayForPay is an online service with payment through bank cards of VISA and MasterCard payment systems. Available payment methods: Privat 24, terminal, the service serves the acceptance of payments through the Bitcoin system.</p>'),
(2,	21,	'Yandex Cashier',	'<p>Yandex.Kassa is a Russian payment provider, a service for accepting payments via the Internet in favor of legal entities, individual entrepreneurs and non-profit organizations.</p>'),
(3,	6,	'Оплата карткою через Liqpay.com',	'<p>LiqPay - платіжна система, що дозволяє проводити оплату банківськими картами MasterСard і VISA, а також готівкою через термінали самообслуговування Приватбанку. Оплата можлива після входу в обліковий запис через номер мобільного телефону.</p>'),
(3,	14,	'Оплата готівкою кур\'єру',	'<p>Якщо ви не хочете попередньо оплачувати замовлення, у вас є можливість розрахуватися з кур\'єром готівкою в момент отримання посилки. Щоб процес був максимально комфортним і для вас, і для кур\'єра, рекомендуємо заздалегідь підготувати потрібну суму.</p>'),
(3,	18,	'Оплата післяплатою',	'<p>Оплата проводиться післяплатою після отримання товару.</p>'),
(3,	19,	'Оплата через PayKeeper',	'<p>PayKeeper - міжнародна платіжна система, що здійснює прийом платежів, що проводяться з використанням банківських карт через інтернет.</p>'),
(3,	20,	'Оплата через WayForPay',	'<p>WayForPay - це онлайн-сервіс з оплатою через банківські картки платіжних систем VISA і MasterCard. Доступні методи платежу: Приват 24, термінал, сервіс обслуговує прийом платежів через систему Bitcoin.</p>'),
(3,	21,	'Яндекс Каса',	'<p>Яндекс.Касса - російський платіжний провайдер, сервіс з прийому платежів через інтернет на користь юридичних осіб, індивідуальних підприємців і некомерційних організацій.</p>');

DROP TABLE IF EXISTS `ok_lang_products`;
CREATE TABLE `ok_lang_products` (
  `lang_id` int(11) NOT NULL,
  `product_id` int(11) NOT NULL,
  `name` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `annotation` mediumtext COLLATE utf8mb4_unicode_ci,
  `description` mediumtext COLLATE utf8mb4_unicode_ci,
  `meta_title` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `meta_keywords` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `meta_description` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `special` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT '',
  UNIQUE KEY `lang_id` (`lang_id`,`product_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_lang_products` (`lang_id`, `product_id`, `name`, `annotation`, `description`, `meta_title`, `meta_keywords`, `meta_description`, `special`) VALUES
(1,	1,	'Кресло мешок груша L Oksford Black',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Oksford Black',	'Кресло мешок груша L Oksford Black',	'Кресло мешок груша L Oksford Black',	''),
(1,	2,	'Кресло мешок груша L Oksford Dark Blue',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Oksford Dark Blue',	'Кресло мешок груша L Oksford Dark Blue',	'Кресло мешок груша L Oksford Dark Blue',	''),
(1,	3,	'Кресло мешок груша L Oksford Blue',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Oksford Blue',	'Кресло мешок груша L Oksford Blue',	'Кресло мешок груша L Oksford Blue',	''),
(1,	4,	'Кресло мешок груша L Oksford Green',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Oksford Green',	'Кресло мешок груша L Oksford Green',	'Кресло мешок груша L Oksford Green',	''),
(1,	5,	'Кресло мешок груша L Oksford bordo',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Oksford bordo',	'Кресло мешок груша L Oksford bordo',	'Кресло мешок груша L Oksford bordo',	''),
(1,	6,	'Кресло мешок груша L Oksford Red',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Oksford Red',	'Кресло мешок груша L Oksford Red',	'Кресло мешок груша L Oksford Red',	''),
(1,	7,	'Кресло мешок груша L Oksford Orange',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Oksford Orange',	'Кресло мешок груша L Oksford Orange',	'Кресло мешок груша L Oksford Orange',	''),
(1,	8,	'Кресло мешок груша L Oksford Lime',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Oksford Lime',	'Кресло мешок груша L Oksford Lime',	'Кресло мешок груша L Oksford Lime',	''),
(1,	9,	'Кресло мешок груша L Oksford Yellow',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Oksford Yellow',	'Кресло мешок груша L Oksford Yellow',	'Кресло мешок груша L Oksford Yellow',	''),
(1,	10,	'Кресло мешок груша L Blue Velvet',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Blue Velvet',	'Кресло мешок груша L Blue Velvet',	'Кресло мешок груша L Blue Velvet',	''),
(1,	11,	'Кресло мешок груша L Turquoise Velvet',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Turquoise Velvet',	'Кресло мешок груша L Turquoise Velvet',	'Кресло мешок груша L Turquoise Velvet',	''),
(1,	12,	'Кресло мешок груша L Red Velvet',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Red Velvet',	'Кресло мешок груша L Red Velvet',	'Кресло мешок груша L Red Velvet',	''),
(1,	13,	'Кресло мешок груша L Malina Velvet',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Malina Velvet',	'Кресло мешок груша L Malina Velvet',	'Кресло мешок груша L Malina Velvet',	''),
(1,	14,	'Кресло мешок груша L Fuxia Velvet',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Fuxia Velvet',	'Кресло мешок груша L Fuxia Velvet',	'Кресло мешок груша L Fuxia Velvet',	''),
(1,	15,	'Кресло мешок груша L Pink Velvet',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Pink Velvet',	'Кресло мешок груша L Pink Velvet',	'Кресло мешок груша L Pink Velvet',	''),
(1,	16,	'Кресло мешок груша L Lime Velvet',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Lime Velvet',	'Кресло мешок груша L Lime Velvet',	'Кресло мешок груша L Lime Velvet',	''),
(1,	17,	'Кресло мешок груша L Beatrice',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Beatrice',	'Кресло мешок груша L Beatrice',	'Кресло мешок груша L Beatrice',	''),
(1,	18,	'Кресло-мешок L Balloons',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло-мешок L Balloons',	'Кресло-мешок L Balloons',	'Кресло-мешок L Balloons',	''),
(1,	19,	'Кресло мешок груша L Graffity Orange',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Graffity Orange',	'Кресло мешок груша L Graffity Orange',	'Кресло мешок груша L Graffity Orange',	''),
(1,	20,	'Кресло мешок груша L Mini Cooper',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Mini Cooper',	'Кресло мешок груша L Mini Cooper',	'Кресло мешок груша L Mini Cooper',	''),
(1,	21,	'Кресло мешок груша L iPhone',	'<div>Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.</div>',	'<p>Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.</p>',	'Кресло мешок груша L iPhone',	'Кресло мешок груша L iPhone',	'Кресло мешок груша L iPhone',	''),
(1,	22,	'Кресло мешок груша L Cats',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Cats',	'Кресло мешок груша L Cats',	'Кресло мешок груша L Cats',	''),
(1,	23,	'Телефон Meizu M3 mini M688U 16 Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Meizu M3 mini M688U 16 Gb',	'Телефон Meizu M3 mini M688U 16 Gb',	'Телефон Meizu M3 mini M688U 16 Gb',	''),
(1,	24,	'Телефон Meizu MX6',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Meizu MX6',	'Телефон Meizu MX6',	'Телефон Meizu MX6',	''),
(1,	25,	'Телефон Meizu M3 mini 32Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Meizu M3 mini 32Gb',	'Телефон Meizu M3 mini 32Gb',	'Телефон Meizu M3 mini 32Gb',	''),
(1,	26,	'Телефон Meizu M3S 3+32Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Meizu M3S 3+32Gb',	'Телефон Meizu M3S 3+32Gb',	'Телефон Meizu M3S 3+32Gb',	''),
(1,	27,	'Телефон Meizu M2 Note 16GB',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Meizu M2 Note 16GB',	'Телефон Meizu M2 Note 16GB',	'Телефон Meizu M2 Note 16GB',	''),
(1,	28,	'Телефон Meizu M3 Note 32Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Meizu M3 Note 32Gb',	'Телефон Meizu M3 Note 32Gb',	'Телефон Meizu M3 Note 32Gb',	''),
(1,	29,	'Телефон Meizu Pro 6 64Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Meizu Pro 6 64Gb',	'Телефон Meizu Pro 6 64Gb',	'Телефон Meizu Pro 6 64Gb',	''),
(1,	30,	'Телефон Meizu Pro 6 32Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Meizu Pro 6 32Gb',	'Телефон Meizu Pro 6 32Gb',	'Телефон Meizu Pro 6 32Gb',	''),
(1,	31,	'Телефон Meizu M3S 2+16Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Meizu M3S 2+16Gb',	'Телефон Meizu M3S 2+16Gb',	'Телефон Meizu M3S 2+16Gb',	''),
(1,	32,	'Телефон Meizu Pro 5 32Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Meizu Pro 5 32Gb',	'Телефон Meizu Pro 5 32Gb',	'Телефон Meizu Pro 5 32Gb',	''),
(1,	33,	'Телефон Meizu Pro 5 64Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Meizu Pro 5 64Gb',	'Телефон Meizu Pro 5 64Gb',	'Телефон Meizu Pro 5 64Gb',	''),
(1,	34,	'Телефон Meizu M3 Note 16Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Meizu M3 Note 16Gb',	'Телефон Meizu M3 Note 16Gb',	'Телефон Meizu M3 Note 16Gb',	''),
(1,	37,	'Телефон Xiaomi Redmi 2 Enhanced 2+16Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Xiaomi Redmi 2 Enhanced 2+16Gb',	'Телефон Xiaomi Redmi 2 Enhanced 2+16Gb',	'Телефон Xiaomi Redmi 2 Enhanced 2+16Gb',	''),
(1,	38,	'Телефон Xiaomi Mi4C 3+32Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Xiaomi Mi4C 3+32Gb',	'Телефон Xiaomi Mi4C 3+32Gb',	'Телефон Xiaomi Mi4C 3+32Gb',	''),
(1,	39,	'Телефон Xiaomi Redmi Note 4 - 3+32Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Xiaomi Redmi Note 4 - 3+32Gb',	'Телефон Xiaomi Redmi Note 4 - 3+32Gb',	'Телефон Xiaomi Redmi Note 4 - 3+32Gb',	''),
(1,	40,	'Телефон Xiaomi Mi5s Plus 4+64Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Xiaomi Mi5s Plus 4+64Gb',	'Телефон Xiaomi Mi5s Plus 4+64Gb',	'Телефон Xiaomi Mi5s Plus 4+64Gb',	''),
(1,	41,	'Телефон Xiaomi Mi5s Plus 6+128Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Xiaomi Mi5s Plus 6+128Gb',	'Телефон Xiaomi Mi5s Plus 6+128Gb',	'Телефон Xiaomi Mi5s Plus 6+128Gb',	''),
(1,	42,	'Телефон Xiaomi Redmi 4 Pro',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Xiaomi Redmi 4 Pro',	'Телефон Xiaomi Redmi 4 Pro',	'Телефон Xiaomi Redmi 4 Pro',	''),
(1,	43,	'Телефон Xiaomi Redmi 4',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Xiaomi Redmi 4',	'Телефон Xiaomi Redmi 4',	'Телефон Xiaomi Redmi 4',	''),
(1,	44,	'Телефон Xiaomi Redmi Note 4X - 2+32Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Xiaomi Redmi Note 4X - 2+32Gb',	'Телефон Xiaomi Redmi Note 4X - 2+32Gb',	'Телефон Xiaomi Redmi Note 4X - 2+32Gb',	''),
(1,	45,	'Телефон Xiaomi Redmi Note 4X - 3+32Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Xiaomi Redmi Note 4X - 3+32Gb',	'Телефон Xiaomi Redmi Note 4X - 3+32Gb',	'Телефон Xiaomi Redmi Note 4X - 3+32Gb',	''),
(1,	46,	'Телефон Xiaomi Redmi Note 4X - 4+64Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Xiaomi Redmi Note 4X - 4+64Gb',	'Телефон Xiaomi Redmi Note 4X - 4+64Gb',	'Телефон Xiaomi Redmi Note 4X - 4+64Gb',	''),
(1,	47,	'Телефон Xiaomi Redmi 3S - 3+32Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Xiaomi Redmi 3S - 3+32Gb',	'Телефон Xiaomi Redmi 3S - 3+32Gb',	'Телефон Xiaomi Redmi 3S - 3+32Gb',	''),
(1,	48,	'Телефон Xiaomi Redmi 4X - 2+16Gb',	'<div>Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.</div>',	'<p>Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.</p>',	'Телефон Xiaomi Redmi 4X - 2+16Gb',	'Телефон Xiaomi Redmi 4X - 2+16Gb',	'Телефон Xiaomi Redmi 4X - 2+16Gb',	''),
(1,	49,	'Hatchimals: Пингви в яйце номер 1',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hatchimals: Пингви в яйце номер 1',	'Hatchimals: Пингви в яйце номер 1',	'Hatchimals: Пингви в яйце номер 1',	''),
(1,	50,	'Hatchimals: Драко в яйце номер 1',	'<div>Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.</div>',	'<p>Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.</p>',	'Hatchimals: Драко в яйце номер 1',	'Hatchimals: Драко в яйце номер 1',	'Hatchimals: Драко в яйце номер 1',	''),
(1,	51,	'Hatchimals: Пингви в яйце номер 2',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hatchimals: Пингви в яйце номер 2',	'Hatchimals: Пингви в яйце номер 2',	'Hatchimals: Пингви в яйце номер 2',	''),
(1,	52,	'Hatchimals: Драко в яйце номер 2',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hatchimals: Драко в яйце номер 2',	'Hatchimals: Драко в яйце номер 2',	'Hatchimals: Драко в яйце номер 2',	''),
(1,	53,	'Машинка Hot Wheels \"Измени цвет\"',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Машинка Hot Wheels \"Измени цвет\"',	'Машинка Hot Wheels \"Измени цвет\"',	'Машинка Hot Wheels \"Измени цвет\"',	''),
(1,	54,	'Hot Wheels Набор Препятствия в пути (2 вида)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Набор Препятствия в пути (2 вида)',	'Hot Wheels Набор Препятствия в пути (2 вида)',	'Hot Wheels Набор Препятствия в пути (2 вида)',	''),
(1,	55,	'Hot Wheels Набор Суперскорость',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Набор Суперскорость',	'Hot Wheels Набор Суперскорость',	'Hot Wheels Набор Суперскорость',	''),
(1,	56,	'Hot Wheels Игровой набор \"Взрыв цветов\" (2 вида)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Игровой набор \"Взрыв цветов\" (2 вида)',	'Hot Wheels Игровой набор \"Взрыв цветов\" (2 вида)',	'Hot Wheels Игровой набор \"Взрыв цветов\" (2 вида)',	''),
(1,	57,	'Hot Wheels Игровой набор \"Приключения в большом городе\" (2 вида)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Игровой набор \"Приключения в большом городе\" (2 вида)',	'Hot Wheels Игровой набор \"Приключения в большом городе\" (2 вида)',	'Hot Wheels Игровой набор \"Приключения в большом городе\" (2 вида)',	''),
(1,	58,	'Hot Wheels Трек \"Охота на акулу\" серии \"Измени цвет\"',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Трек \"Охота на акулу\" серии \"Измени цвет\"',	'Hot Wheels Трек \"Охота на акулу\" серии \"Измени цвет\"',	'Hot Wheels Трек \"Охота на акулу\" серии \"Измени цвет\"',	''),
(1,	59,	'Hot Wheels Трек \"Мега Прыжок\" (несколько видов)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Трек \"Мега Прыжок\" (несколько видов)',	'Hot Wheels Трек \"Мега Прыжок\" (несколько видов)',	'Hot Wheels Трек \"Мега Прыжок\" (несколько видов)',	''),
(1,	60,	'Hot Wheels Грузовик-транспортёр',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Грузовик-транспортёр',	'Hot Wheels Грузовик-транспортёр',	'Hot Wheels Грузовик-транспортёр',	''),
(1,	61,	'Hot Wheels Легендарный гараж',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Легендарный гараж',	'Hot Wheels Легендарный гараж',	'Hot Wheels Легендарный гараж',	''),
(1,	62,	'Hot Wheels Карманный трек \"Гонки\" (несколько видов)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Карманный трек \"Гонки\" (несколько видов)',	'Hot Wheels Карманный трек \"Гонки\" (несколько видов)',	'Hot Wheels Карманный трек \"Гонки\" (несколько видов)',	''),
(1,	63,	'Hot Wheels Игровой набор \"Город чудовищ\" (3 вида)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Игровой набор \"Город чудовищ\" (3 вида)',	'Hot Wheels Игровой набор \"Город чудовищ\" (3 вида)',	'Hot Wheels Игровой набор \"Город чудовищ\" (3 вида)',	''),
(1,	64,	'Hot Wheels Игровой набор \"Автосервис\" (4 вида)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Игровой набор \"Автосервис\" (4 вида)',	'Hot Wheels Игровой набор \"Автосервис\" (4 вида)',	'Hot Wheels Игровой набор \"Автосервис\" (4 вида)',	''),
(1,	65,	'Hot Wheels Базовый трек (3 вида)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Базовый трек (3 вида)',	'Hot Wheels Базовый трек (3 вида)',	'Hot Wheels Базовый трек (3 вида)',	''),
(1,	66,	'Hot Wheels Набор \"Готов к игре!\" (несколько видов)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Набор \"Готов к игре!\" (несколько видов)',	'Hot Wheels Набор \"Готов к игре!\" (несколько видов)',	'Hot Wheels Набор \"Готов к игре!\" (несколько видов)',	''),
(1,	67,	'Hot Wheels Игровой набор \"Атака дракона\"',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Игровой набор \"Атака дракона\"',	'Hot Wheels Игровой набор \"Атака дракона\"',	'Hot Wheels Игровой набор \"Атака дракона\"',	''),
(1,	68,	'Hot Wheels Трек \"Рекордный прыжок\"',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Трек \"Рекордный прыжок\"',	'Hot Wheels Трек \"Рекордный прыжок\"',	'Hot Wheels Трек \"Рекордный прыжок\"',	''),
(1,	69,	'Hot Wheels Трек \"Противостояние\"',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Трек \"Противостояние\"',	'Hot Wheels Трек \"Противостояние\"',	'Hot Wheels Трек \"Противостояние\"',	''),
(1,	70,	'Hot Wheels Игровой трек \"Перекрестное столкновение\"',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Игровой трек \"Перекрестное столкновение\"',	'Hot Wheels Игровой трек \"Перекрестное столкновение\"',	'Hot Wheels Игровой трек \"Перекрестное столкновение\"',	''),
(1,	71,	'Hot Wheels Набор дополнительных дорожек трека',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Набор дополнительных дорожек трека',	'Hot Wheels Набор дополнительных дорожек трека',	'Hot Wheels Набор дополнительных дорожек трека',	''),
(1,	72,	'Hot Wheels Аксессуар-препятствие для трека (4 вида)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Аксессуар-препятствие для трека (4 вида)',	'Hot Wheels Аксессуар-препятствие для трека (4 вида)',	'Hot Wheels Аксессуар-препятствие для трека (4 вида)',	''),
(1,	73,	'Биметаллический радиатор АЛТЕРМО РИО 500',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Биметаллический радиатор АЛТЕРМО РИО 500',	'Биметаллический радиатор АЛТЕРМО РИО 500',	'Биметаллический радиатор АЛТЕРМО РИО 500',	''),
(1,	74,	'Биметаллический радиатор АЛТЕРМО ЛРБ 500',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Биметаллический радиатор АЛТЕРМО ЛРБ 500',	'Биметаллический радиатор АЛТЕРМО ЛРБ 500',	'Биметаллический радиатор АЛТЕРМО ЛРБ 500',	''),
(1,	75,	'Радиаторы алюминиевые Ferroli Infiniti 500/10',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Радиаторы алюминиевые Ferroli Infiniti 500/10',	'Радиаторы алюминиевые Ferroli Infiniti 500/10',	'Радиаторы алюминиевые Ferroli Infiniti 500/10',	''),
(1,	76,	'Алюминиевый радиатор Global ISEO 500/80',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Алюминиевый радиатор Global ISEO 500/80',	'Алюминиевый радиатор Global ISEO 500/80',	'Алюминиевый радиатор Global ISEO 500/80',	''),
(1,	77,	'Алюминиевый радиатор Global VOX 350/100',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Алюминиевый радиатор Global VOX 350/100',	'Алюминиевый радиатор Global VOX 350/100',	'Алюминиевый радиатор Global VOX 350/100',	''),
(1,	78,	'Алюминиевый радиатор Global VOX 500/100',	'<div>Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.</div>',	'<p>Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.</p>',	'Алюминиевый радиатор Global VOX 500/100',	'Алюминиевый радиатор Global VOX 500/100',	'Алюминиевый радиатор Global VOX 500/100',	''),
(1,	79,	'Бойлер Atlantic VM 100 D400-2-B O\'Pro Turbo',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Бойлер Atlantic VM 100 D400-2-B O\'Pro Turbo',	'Бойлер Atlantic VM 100 D400-2-B O\'Pro Turbo',	'Бойлер Atlantic VM 100 D400-2-B O\'Pro Turbo',	''),
(1,	80,	'Бойлер Atlantic VM 050 D400-2-B O\'Pro Turbo',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Бойлер Atlantic VM 050 D400-2-B O\'Pro Turbo',	'Бойлер Atlantic VM 050 D400-2-B O\'Pro Turbo',	'Бойлер Atlantic VM 050 D400-2-B O\'Pro Turbo',	''),
(1,	81,	'Бойлер Atlantic VM 100 D400-1-M O\'Pro Profi',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Бойлер Atlantic VM 100 D400-1-M O\'Pro Profi',	'Бойлер Atlantic VM 100 D400-1-M O\'Pro Profi',	'Бойлер Atlantic VM 100 D400-1-M O\'Pro Profi',	''),
(1,	82,	'Бойлер Atlantic VM 050 D400-1-M O\'Pro Profi',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Бойлер Atlantic VM 050 D400-1-M O\'Pro Profi',	'Бойлер Atlantic VM 050 D400-1-M O\'Pro Profi',	'Бойлер Atlantic VM 050 D400-1-M O\'Pro Profi',	''),
(1,	83,	'Бойлер Atlantic PC 30 O\'Pro Slim',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Бойлер Atlantic PC 30 O\'Pro Slim',	'Бойлер Atlantic PC 30 O\'Pro Slim',	'Бойлер Atlantic PC 30 O\'Pro Slim',	''),
(1,	84,	'Бойлер Atlantic Steatite PRO VM 050 D400-2-BC',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Бойлер Atlantic Steatite PRO VM 050 D400-2-BC',	'Бойлер Atlantic Steatite PRO VM 050 D400-2-BC',	'Бойлер Atlantic Steatite PRO VM 050 D400-2-BC',	''),
(1,	85,	'Бойлер ATLANTIC STEATITE SLIM VM 080 D325-2-BC',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Бойлер ATLANTIC STEATITE SLIM VM 080 D325-2-BC',	'Бойлер ATLANTIC STEATITE SLIM VM 080 D325-2-BC',	'Бойлер ATLANTIC STEATITE SLIM VM 080 D325-2-BC',	''),
(1,	86,	'Бойлер Atlantic VM 100 S4 СМ CUBE STEATITE',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Бойлер Atlantic VM 100 S4 СМ CUBE STEATITE',	'Бойлер Atlantic VM 100 S4 СМ CUBE STEATITE',	'Бойлер Atlantic VM 100 S4 СМ CUBE STEATITE',	''),
(1,	87,	'Бойлер Atlantic VM 75 S4 СМ CUBE STEATITE',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Бойлер Atlantic VM 75 S4 СМ CUBE STEATITE',	'Бойлер Atlantic VM 75 S4 СМ CUBE STEATITE',	'Бойлер Atlantic VM 75 S4 СМ CUBE STEATITE',	''),
(1,	88,	'Бойлер Atlantic VM 30 S3С CUBE STEATITE',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Бойлер Atlantic VM 30 S3С CUBE STEATITE',	'Бойлер Atlantic VM 30 S3С CUBE STEATITE',	'Бойлер Atlantic VM 30 S3С CUBE STEATITE',	''),
(1,	89,	'Бойлер Atlantic VM 080 D400-2-B O\'Pro Turbo',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Бойлер Atlantic VM 080 D400-2-B O\'Pro Turbo',	'Бойлер Atlantic VM 080 D400-2-B O\'Pro Turbo',	'Бойлер Atlantic VM 080 D400-2-B O\'Pro Turbo',	''),
(1,	90,	'Бойлер Atlantic VM 080 D400-1-M O\'Pro Profi',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Бойлер Atlantic VM 080 D400-1-M O\'Pro Profi',	'Бойлер Atlantic VM 080 D400-1-M O\'Pro Profi',	'Бойлер Atlantic VM 080 D400-1-M O\'Pro Profi',	''),
(1,	91,	'Газовая колонка Beretta Aqua Idrabagno 14i',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Beretta Aqua Idrabagno 14i',	'Газовая колонка Beretta Aqua Idrabagno 14i',	'Газовая колонка Beretta Aqua Idrabagno 14i',	''),
(1,	92,	'Газовая колонка Beretta Aqua Idrabagno 14',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Beretta Aqua Idrabagno 14',	'Газовая колонка Beretta Aqua Idrabagno 14',	'Газовая колонка Beretta Aqua Idrabagno 14',	''),
(1,	93,	'Газовая колонка Beretta Aqua Idrabagno 11i',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Beretta Aqua Idrabagno 11i',	'Газовая колонка Beretta Aqua Idrabagno 11i',	'Газовая колонка Beretta Aqua Idrabagno 11i',	''),
(1,	94,	'Газовая колонка Beretta Aqua Idrabagno 11',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Beretta Aqua Idrabagno 11',	'Газовая колонка Beretta Aqua Idrabagno 11',	'Газовая колонка Beretta Aqua Idrabagno 11',	''),
(1,	95,	'Газовая колонка Bosch Therm 6000 O WR 15-2 G',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Bosch Therm 6000 O WR 15-2 G',	'Газовая колонка Bosch Therm 6000 O WR 15-2 G',	'Газовая колонка Bosch Therm 6000 O WR 15-2 G',	''),
(1,	96,	'Газовая колонка Bosch Therm 4000 O WR 15-2 B',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Bosch Therm 4000 O WR 15-2 B',	'Газовая колонка Bosch Therm 4000 O WR 15-2 B',	'Газовая колонка Bosch Therm 4000 O WR 15-2 B',	''),
(1,	97,	'Газовая колонка Bosch Therm 4000 O WR 15-2 P',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Bosch Therm 4000 O WR 15-2 P',	'Газовая колонка Bosch Therm 4000 O WR 15-2 P',	'Газовая колонка Bosch Therm 4000 O WR 15-2 P',	''),
(1,	98,	'Газовая колонка Bosch Therm 6000 O WR 13-2 G',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Bosch Therm 6000 O WR 13-2 G',	'Газовая колонка Bosch Therm 6000 O WR 13-2 G',	'Газовая колонка Bosch Therm 6000 O WR 13-2 G',	''),
(1,	99,	'Газовая колонка Bosch Therm 4000 O WR 13-2 B',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Bosch Therm 4000 O WR 13-2 B',	'Газовая колонка Bosch Therm 4000 O WR 13-2 B',	'Газовая колонка Bosch Therm 4000 O WR 13-2 B',	''),
(1,	100,	'Газовая колонка Bosch Therm 4000 O WR 13-2 P',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Bosch Therm 4000 O WR 13-2 P',	'Газовая колонка Bosch Therm 4000 O WR 13-2 P',	'Газовая колонка Bosch Therm 4000 O WR 13-2 P',	''),
(1,	101,	'Газовая колонка Bosch Therm 6000 O WR 10-2 G',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Bosch Therm 6000 O WR 10-2 G',	'Газовая колонка Bosch Therm 6000 O WR 10-2 G',	'Газовая колонка Bosch Therm 6000 O WR 10-2 G',	''),
(1,	102,	'Газовая колонка Bosch Therm 4000 O WR 10-2 B',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Bosch Therm 4000 O WR 10-2 B',	'Газовая колонка Bosch Therm 4000 O WR 10-2 B',	'Газовая колонка Bosch Therm 4000 O WR 10-2 B',	''),
(1,	103,	'Газовая колонка Bosch Therm 4000 O WR 10-2 P',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Bosch Therm 4000 O WR 10-2 P',	'Газовая колонка Bosch Therm 4000 O WR 10-2 P',	'Газовая колонка Bosch Therm 4000 O WR 10-2 P',	''),
(1,	104,	'Газовая колонка Bosch Therm 4000 O W 10-2 P',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Bosch Therm 4000 O W 10-2 P',	'Газовая колонка Bosch Therm 4000 O W 10-2 P',	'Газовая колонка Bosch Therm 4000 O W 10-2 P',	''),
(1,	105,	'Газовая колонка Bosch Therm 2000 O W 10 KB',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Bosch Therm 2000 O W 10 KB',	'Газовая колонка Bosch Therm 2000 O W 10 KB',	'Газовая колонка Bosch Therm 2000 O W 10 KB',	''),
(1,	106,	'Газовая колонка Vaillant MAG OE 14-0/0 RXI H (электро розжиг)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Vaillant MAG OE 14-0/0 RXI H (электро розжиг)',	'Газовая колонка Vaillant MAG OE 14-0/0 RXI H (электро розжиг)',	'Газовая колонка Vaillant MAG OE 14-0/0 RXI H (электро розжиг)',	''),
(1,	107,	'Газовая колонка Vaillant MAG OE 14-0/0 RXZ H (пьезорозжиг)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Vaillant MAG OE 14-0/0 RXZ H (пьезорозжиг)',	'Газовая колонка Vaillant MAG OE 14-0/0 RXZ H (пьезорозжиг)',	'Газовая колонка Vaillant MAG OE 14-0/0 RXZ H (пьезорозжиг)',	''),
(1,	108,	'Газовая колонка Vaillant MAG mini OE 11-0/0 RXI H (электро розжиг)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Vaillant MAG mini OE 11-0/0 RXI H (электро розжиг)',	'Газовая колонка Vaillant MAG mini OE 11-0/0 RXI H (электро розжиг)',	'Газовая колонка Vaillant MAG mini OE 11-0/0 RXI H (электро розжиг)',	''),
(1,	109,	'Газовая колонка Vaillant MAG mini OE 11-0/0 RXZ H (пьезорозжиг)',	'<div>Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.</div>',	'<p>Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.</p>',	'Газовая колонка Vaillant MAG mini OE 11-0/0 RXZ H (пьезорозжиг)',	'Газовая колонка Vaillant MAG mini OE 11-0/0 RXZ H (пьезорозжиг)',	'Газовая колонка Vaillant MAG mini OE 11-0/0 RXZ H (пьезорозжиг)',	'akciya.png'),
(1,	110,	'Газовая колонка Vaillant MAG OE 11-0/0 XZ C+ H (пьезорозжиг)',	'<div>Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.</div>',	'<p>Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.</p>',	'Газовая колонка Vaillant MAG OE 11-0/0 XZ C+ H (пьезорозжиг)',	'Газовая колонка Vaillant MAG OE 11-0/0 XZ C+ H (пьезорозжиг)',	'Газовая колонка Vaillant MAG OE 11-0/0 XZ C+ H (пьезорозжиг)',	'hit.png'),
(1,	111,	'Апельсиновый сок',	'',	'',	'Апельсиновый сок',	'Апельсиновый сок, Nature product, Соки',	'',	''),
(1,	112,	'Савойская капуста',	'',	'',	'Савойская капуста',	'Савойская капуста, Organik food, Напитки и продукты',	'',	''),
(1,	113,	'Китайская петрушка Кориандр',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь.</p>',	'',	'Китайская петрушка Кориандр',	'Китайская петрушка Кориандр, Organik food, Фрукты и овощи',	'',	'new.png'),
(1,	114,	'Желтый стручковый перец',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца.</p>',	'<p>Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу показывает, как много веб-страниц всё ещё дожидаются своего настоящего рождения. За прошедшие годы текст Lorem Ipsum получил много версий. Некоторые версии появились по ошибке, некоторые - намеренно (например, юмористические варианты).</p>',	'Желтый стручковый перец',	'Желтый стручковый перец, Nature product, Фрукты и овощи',	'Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу ',	''),
(1,	115,	'Вегетарианский радужный шпинат',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь.</p>',	'<p>Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу показывает, как много веб-страниц всё ещё дожидаются своего настоящего рождения. За прошедшие годы текст Lorem Ipsum получил много версий. Некоторые версии появились по ошибке, некоторые - намеренно (например, юмористические варианты).</p>',	'Вегетарианский радужный шпинат',	'Вегетарианский радужный шпинат, Nature product, Фрукты и овощи',	'Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу ',	'hit.png'),
(1,	116,	'Сладкая кукуруза',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации</p>',	'<p>Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу показывает, как много веб-страниц всё ещё дожидаются своего настоящего рождения. За прошедшие годы текст Lorem Ipsum получил много версий. Некоторые версии появились по ошибке, некоторые - намеренно (например, юмористические варианты).</p>',	'Сладкая кукуруза',	'Сладкая кукуруза, Organik food, Фрукты и овощи',	'Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу ',	'hit.png'),
(1,	117,	'Горох',	'',	'<p>Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу показывает, как много веб-страниц всё ещё дожидаются своего настоящего рождения. За прошедшие годы текст Lorem Ipsum получил много версий. Некоторые версии появились по ошибке, некоторые - намеренно (например, юмористические варианты).</p>',	'Горох',	'Горох, Organik food, Фрукты и овощи',	'Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу ',	'hit.png'),
(1,	118,	'Красная капуста',	'',	'<p>Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу показывает, как много веб-страниц всё ещё дожидаются своего настоящего рождения. За прошедшие годы текст Lorem Ipsum получил много версий. Некоторые версии появились по ошибке, некоторые - намеренно (например, юмористические варианты).</p>',	'Красная капуста',	'Красная капуста, Nature product, Фрукты и овощи',	'Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу ',	''),
(1,	119,	'Органический свежий австралийский кабачок цуккини',	'',	'<p>Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу показывает, как много веб-страниц всё ещё дожидаются своего настоящего рождения. За прошедшие годы текст Lorem Ipsum получил много версий. Некоторые версии появились по ошибке, некоторые - намеренно (например, юмористические варианты).</p>',	'Органический свежий австралийский кабачок цуккини',	'Органический свежий австралийский кабачок цуккини, Organik food, Фрукты и овощи',	'Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу ',	''),
(1,	120,	'Свежие цельные куриные ножки',	'',	'<p>Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу показывает, как много веб-страниц всё ещё дожидаются своего настоящего рождения. За прошедшие годы текст Lorem Ipsum получил много версий. Некоторые версии появились по ошибке, некоторые - намеренно (например, юмористические варианты).</p>',	'Свежие цельные куриные ножки',	'Свежие цельные куриные ножки, Organik food, Мясо и рыба',	'Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу ',	''),
(1,	121,	'Котлеты из баранины 6 в упаковке',	'',	'<p>Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу показывает, как много веб-страниц всё ещё дожидаются своего настоящего рождения. За прошедшие годы текст Lorem Ipsum получил много версий. Некоторые версии появились по ошибке, некоторые - намеренно (например, юмористические варианты).</p>',	'Котлеты из баранины 6 в упаковке',	'Котлеты из баранины 6 в упаковке, Nature product, Мясо и рыба',	'Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу ',	''),
(1,	122,	'Мясо со свиным торцом - Австралия',	'<p>Многие думают, что Lorem Ipsum - взятый с потолка псевдо-латинский набор слов, но это не совсем так.</p>',	'<p>Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу показывает, как много веб-страниц всё ещё дожидаются своего настоящего рождения. За прошедшие годы текст Lorem Ipsum получил много версий. Некоторые версии появились по ошибке, некоторые - намеренно (например, юмористические варианты).</p>',	'Мясо со свиным торцом - Австралия',	'Мясо со свиным торцом - Австралия, Organik food, Мясо и рыба',	'Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу ',	''),
(1,	123,	'Свежие кубики говядины',	'',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим Lorem Ipsum генератором. Он использует словарь из более чем 200 латинских слов, а также набор моделей предложений. В результате сгенерированный Lorem Ipsum выглядит правдоподобно, не имеет повторяющихся абзацей или \"невозможных\" слов.</p>',	'Свежие кубики говядины',	'Свежие кубики говядины, Organik food, Мясо и рыба',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим',	''),
(1,	124,	'Heinz Томатный кетчуп',	'',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим Lorem Ipsum генератором. Он использует словарь из более чем 200 латинских слов, а также набор моделей предложений. В результате сгенерированный Lorem Ipsum выглядит правдоподобно, не имеет повторяющихся абзацей или \"невозможных\" слов.</p>',	'Heinz Томатный кетчуп',	'Heinz Томатный кетчуп, Nature product, Бакалея',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим',	''),
(1,	125,	'San Remo Пенне Ригате № 18',	'',	'',	'San Remo Пенне Ригате № 18',	'San Remo Пенне Ригате № 18, Nature product, Бакалея',	'',	''),
(1,	126,	'Chobani Банановый кленовый мешок овса',	'',	'',	'Chobani Банановый кленовый мешок овса',	'Chobani Банановый кленовый мешок овса, Nature product, Бакалея',	'',	''),
(1,	127,	'Спелый сок манго',	'',	'',	'Спелый сок манго',	'Спелый сок манго, Organik food, Соки',	'',	''),
(1,	128,	'пелый клюквенный суперфруктовый сок',	'',	'',	'пелый клюквенный суперфруктовый сок',	'пелый клюквенный суперфруктовый сок, Organik food, Соки',	'',	''),
(1,	129,	'Боттега Манцони Пинк Платт Москато Роуз',	'',	'',	'Боттега Манцони Пинк Платт Москато Роуз',	'Боттега Манцони Пинк Платт Москато Роуз, Organik food, Алкогольные напитки',	'',	''),
(1,	130,	'World\'s Cellar Chateau Gillet Bordeaux Красное вино',	'',	'',	'World\'s Cellar Chateau Gillet Bordeaux Красное вино',	'World\'s Cellar Chateau Gillet Bordeaux Красное вино, Nature product, Алкогольные напитки',	'',	''),
(1,	131,	'Moet & Chandon Ice Imperial',	'',	'',	'Moet & Chandon Ice Imperial',	'Moet & Chandon Ice Imperial, Nature product, Алкогольные напитки',	'',	''),
(1,	132,	'Bottega Millesimato Brut Prosecco',	'',	'',	'Bottega Millesimato Brut Prosecco',	'Bottega Millesimato Brut Prosecco, Nature product, Алкогольные напитки',	'',	''),
(1,	133,	'Heineken Светлое пиво',	'',	'',	'Heineken Светлое пиво',	'Heineken Светлое пиво, Organik food, Алкогольные напитки',	'',	''),
(1,	134,	'Bitburger',	'',	'',	'Bitburger',	'Bitburger, Алкогольные напитки',	'',	''),
(1,	135,	'Йогурт с клубникой и черникой в ​​греческом стиле',	'',	'',	'Йогурт с клубникой и черникой в ​​греческом стиле',	'Йогурт с клубникой и черникой в ​​греческом стиле, Nature product, Бакалея',	'',	''),
(1,	136,	'Молочный чертополох',	'<ol>\r\n<li>Lorem ipsum dolor amet.</li>\r\n<li>Aliquam tincidunt.</li>\r\n<li>Vestibulum auctor dapibus.</li>\r\n</ol>',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим Lorem Ipsum генератором. Он использует словарь из более чем 200 латинских слов, а также набор моделей предложений. В результате сгенерированный Lorem Ipsum выглядит правдоподобно, не имеет повторяющихся абзацей или \"невозможных\" слов.</p>',	'Молочный чертополох',	'Молочный чертополох, Britax romer, Витамины',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим',	''),
(1,	137,	'Country Life Экстракт расторопши',	'<ol>\r\n<li>Lorem ipsum dolor amet.</li>\r\n<li>Aliquam tincidunt.</li>\r\n<li>Vestibulum auctor dapibus.</li>\r\n</ol>',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим Lorem Ipsum генератором. Он использует словарь из более чем 200 латинских слов, а также набор моделей предложений. В результате сгенерированный Lorem Ipsum выглядит правдоподобно, не имеет повторяющихся абзацей или \"невозможных\" слов.</p>',	'Country Life Экстракт расторопши',	'Country Life Экстракт расторопши, Britax romer, Витамины',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим',	'garant.png'),
(1,	138,	'Клинический Лобный Термометр Новый 2017',	'<ol>\r\n<li>Lorem ipsum dolor amet.</li>\r\n<li>Aliquam tincidunt.</li>\r\n<li>Vestibulum auctor dapibus.</li>\r\n</ol>',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим Lorem Ipsum генератором. Он использует словарь из более чем 200 латинских слов, а также набор моделей предложений. В результате сгенерированный Lorem Ipsum выглядит правдоподобно, не имеет повторяющихся абзацей или \"невозможных\" слов.</p>',	'Клинический Лобный Термометр Новый 2017',	'Клинический Лобный Термометр Новый 2017, Britax romer, Витамины',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим',	'akciya.png'),
(1,	139,	'Коромега Омега 3',	'<ol>\r\n<li>Lorem ipsum dolor amet.</li>\r\n<li>Aliquam tincidunt.</li>\r\n<li>Vestibulum auctor dapibus.</li>\r\n</ol>',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим Lorem Ipsum генератором. Он использует словарь из более чем 200 латинских слов, а также набор моделей предложений. В результате сгенерированный Lorem Ipsum выглядит правдоподобно, не имеет повторяющихся абзацей или \"невозможных\" слов.</p>',	'Коромега Омега 3',	'Коромега Омега 3, Fitbit, Витамины',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим',	'akciya.png'),
(1,	140,	'MuscleTech Platinum',	'<ol>\r\n<li>Lorem ipsum dolor amet.</li>\r\n<li>Aliquam tincidunt.</li>\r\n<li>Vestibulum auctor dapibus.</li>\r\n</ol>',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим Lorem Ipsum генератором. Он использует словарь из более чем 200 латинских слов, а также набор моделей предложений. В результате сгенерированный Lorem Ipsum выглядит правдоподобно, не имеет повторяющихся абзацей или \"невозможных\" слов.</p>',	'MuscleTech Platinum',	'MuscleTech Platinum, Fitbit, Витамины',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим',	'new.png'),
(1,	141,	'Premium Collagen Peptides',	'<ol>\r\n<li>Lorem ipsum dolor amet.</li>\r\n<li>Aliquam tincidunt.</li>\r\n<li>Vestibulum auctor dapibus.</li>\r\n</ol>',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим Lorem Ipsum генератором. Он использует словарь из более чем 200 латинских слов, а также набор моделей предложений. В результате сгенерированный Lorem Ipsum выглядит правдоподобно, не имеет повторяющихся абзацей или \"невозможных\" слов.</p>',	'Premium Collagen Peptides',	'Premium Collagen Peptides, Britax romer, Витамины',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим',	'new.png'),
(1,	142,	'Куркума Куркумин с биоперином 1500 мг',	'<ol>\r\n<li>Lorem ipsum dolor amet.</li>\r\n<li>Aliquam tincidunt.</li>\r\n<li>Vestibulum auctor dapibus.</li>\r\n</ol>',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим Lorem Ipsum генератором. Он использует словарь из более чем 200 латинских слов, а также набор моделей предложений. В результате сгенерированный Lorem Ipsum выглядит правдоподобно, не имеет повторяющихся абзацей или \"невозможных\" слов.</p>',	'Куркума Куркумин с биоперином 1500 мг',	'Куркума Куркумин с биоперином 1500 мг, Britax romer, Витамины',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим',	'hit.png'),
(1,	143,	'Куркума Куркумин-2250 мг',	'<ol>\r\n<li>Lorem ipsum dolor amet.</li>\r\n<li>Aliquam tincidunt.</li>\r\n<li>Vestibulum auctor dapibus.</li>\r\n</ol>',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим Lorem Ipsum генератором. Он использует словарь из более чем 200 латинских слов, а также набор моделей предложений. В результате сгенерированный Lorem Ipsum выглядит правдоподобно, не имеет повторяющихся абзацей или \"невозможных\" слов.</p>',	'Куркума Куркумин-2250 мг',	'Куркума Куркумин-2250 мг, Britax romer, Витамины',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим',	'hit.png'),
(1,	144,	'LexMod Twirl Outdoor Wicker',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">(H)204.5, (W)133.0</span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>6</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.5м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Водонепронецаемый:<strong> да</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>120кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'LexMod Twirl Outdoor Wicker',	'LexMod Twirl Outdoor Wicker, Puff, Диваны',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	''),
(1,	145,	'LexMod Twirl pro Outdoor Wicker',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">(H)208.5, (W)136.0</span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>6</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.6м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Водонепронецаемый:<strong> нет</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>130кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'LexMod Twirl pro Outdoor Wicker',	'LexMod Twirl pro Outdoor Wicker, Puff, Диваны',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	''),
(1,	146,	'LexMod Twirl Lazy Outdoor Wicker',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">(H)208.5, (W)136.0</span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>7</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.3м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Водонепронецаемый:<strong> нет</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>140кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'LexMod Twirl Lazy Outdoor Wicker',	'LexMod Twirl Lazy Outdoor Wicker, Puff, Диваны',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	''),
(1,	147,	'LexMod Twirl Medium Outdoor Wicker',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">(H)208.5, (W)136.0</span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>5</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.45м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Водонепронецаемый:<strong> да<br /></strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>145кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'LexMod Twirl Medium Outdoor Wicker',	'LexMod Twirl Medium Outdoor Wicker, Puff, Диваны',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	''),
(1,	148,	'LexMod Twirl Mono Outdoor Wicker',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">(H)218.5, (W)133.0</span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>5</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.55м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Водонепронецаемый:<strong> да<br /></strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>145кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'LexMod Twirl Mono Outdoor Wicker',	'LexMod Twirl Mono Outdoor Wicker, Puff, Диваны',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	''),
(1,	150,	'LexMod Taiji Outdoor Wicker Patio Daybed',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">47L x 104W x 33.5H<br /></span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>5</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.55м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Водонепронецаемый:<strong> да<br /></strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>215кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'LexMod Taiji Outdoor Wicker Patio Daybed',	'LexMod Taiji Outdoor Wicker Patio Daybed, Britax romer, Диваны',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	'hit.png'),
(1,	151,	'LexMod Taiji Out Wicker Patio Daybed',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">65.5L x 89.5W x 25.5H<br /></span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>6</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.55м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Водонепронецаемый:<strong> да<br /></strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>215кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'LexMod Taiji Out Wicker Patio Daybed',	'LexMod Taiji Out Wicker Patio Daybed, Britax romer, Диваны',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	'hit.png'),
(1,	152,	'LexMod Taiji Wicker Patio Daybed',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">65.5L x 89.5W x 25.5H<br /></span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>7</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.55м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Водонепронецаемый:<strong> да<br /></strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>215кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'LexMod Taiji Wicker Patio Daybed',	'LexMod Taiji Wicker Patio Daybed, Britax romer, Диваны',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	'hit.png'),
(1,	153,	'LexMod Pro Taiji Wicker Patio Daybed',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">89L x 69.5W x 28.5H<br /></span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>8</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.55м</strong></span><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\"><strong><br /></strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>295кг.</strong></span></li>\r\n</ul>',	'',	'LexMod Pro Taiji Wicker Patio Daybed',	'LexMod Pro Taiji Wicker Patio Daybed, Britax romer, Книги и канцтовары',	'Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже. \r\n 1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар): \r\n     \r\n После добавления файла - сохраните товар. \r\n 2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после ',	'hit.png'),
(1,	154,	'Классический табурет Trex34',	'',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'Классический табурет Trex34',	'Классический табурет Trex34, Beretta, табуреты',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	''),
(1,	155,	'Классический табурет Trex37',	'',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'Классический табурет Trex37',	'Классический табурет Trex37, Beretta, табуреты',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	''),
(1,	156,	'Классический табурет Trex30',	'',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'Классический табурет Trex30',	'Классический табурет Trex30, Beretta, табуреты',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	''),
(1,	157,	'Классический табурет Trex40',	'',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'Классический табурет Trex40',	'Классический табурет Trex40, Beretta, табуреты',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	''),
(1,	158,	'Folding chair Catalina',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">(H)91.0, (W)54ю8 <br /></span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>1</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.2м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страна:<strong> Италия</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>12кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'Folding chair Catalina',	'Folding chair Catalina, Beretta, Складные стулья',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	''),
(1,	159,	'Складной стул Shine Catalina',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">(H)91.0, (W)54ю8 <br /></span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>1</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.2м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страна:<strong> Франция<br /></strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>11.5кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'Складной стул Shine Catalina',	'Складной стул Shine Catalina, Fitbit, Складные стулья',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	'akciya.png'),
(1,	160,	'Складной стул Shine Catalina 34',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">(H)91.0, (W)54ю8 <br /></span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>1</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.2м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страна:<strong> Франция<br /></strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>13кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'Складной стул Shine Catalina 34',	'Складной стул Shine Catalina 34, Fitbit, Складные стулья',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	'garant.png'),
(1,	161,	'Складной стул Shine Catalina 37',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">(H)91.0, (W)54ю8 <br /></span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>1</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.2м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страна:<strong> Франция<br /></strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>13кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'Складной стул Shine Catalina 37',	'Складной стул Shine Catalina 37, Fitbit, Складные стулья',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	'garant.png'),
(1,	162,	'Кровать  Chikasha Natural Quilt',	'',	'',	'Кровать  Chikasha Natural Quilt',	'Кровать  Chikasha Natural Quilt, Кровати',	'',	''),
(1,	163,	'Кровать  Shelly Beach Quilt 2',	'',	'',	'Кровать  Shelly Beach Quilt 2',	'Кровать  Shelly Beach Quilt 2, Кровати',	'',	''),
(1,	164,	'Кровать  Shelly Cover Natural',	'',	'',	'Кровать  Shelly Cover Natural',	'Кровать  Shelly Cover Natural, Кровати',	'',	''),
(1,	165,	'Кровать  Shelly Cover Natural2',	'',	'',	'Кровать  Shelly Cover Natural2',	'Кровать  Shelly Cover Natural2, Кровати',	'',	''),
(1,	166,	'Кровать  Kerela Quilt Cover',	'',	'',	'Кровать  Kerela Quilt Cover',	'Кровать  Kerela Quilt Cover, Кровати',	'',	''),
(1,	167,	'Кровать Kerela Quilt',	'',	'',	'Кровать Kerela Quilt',	'Кровать Kerela Quilt, Кровати',	'',	''),
(1,	168,	'Пенал для ванной Bookends1',	'',	'',	'Пенал для ванной Bookends1',	'Пенал для ванной Bookends1, Пеналы',	'',	''),
(1,	169,	'Пенал для ванной Bookends2',	'',	'',	'Пенал для ванной Bookends2',	'Пенал для ванной Bookends2, Пеналы',	'',	''),
(1,	170,	'Пенал для ванной Bookends3',	'',	'',	'Пенал для ванной Bookends3',	'Пенал для ванной Bookends3, Пеналы',	'',	''),
(1,	171,	'Пенал для ванной Grinder',	'',	'',	'Пенал для ванной Grinder',	'Пенал для ванной Grinder, Пеналы',	'',	''),
(1,	172,	'Пенал для ванной Grinder2',	'',	'',	'Пенал для ванной Grinder2',	'Пенал для ванной Grinder2, Пеналы',	'',	''),
(1,	173,	'Пенал для ванной Grinder Bronze',	'',	'',	'Пенал для ванной Grinder Bronze',	'Пенал для ванной Grinder Bronze, Пеналы',	'',	''),
(1,	174,	'Тумба под раковину Aquwastyle1',	'',	'',	'Тумба под раковину Aquwastyle1',	'Тумба под раковину Aquwastyle1, Beretta, Тумбы для ванной',	'',	''),
(1,	175,	'Тумба под раковину Aquwastyle2',	'',	'',	'Тумба под раковину Aquwastyle2',	'Тумба под раковину Aquwastyle2, Beretta, Тумбы для ванной',	'',	''),
(1,	176,	'Тумба под раковину Aquwastyle3',	'<ul>\r\n<li>Вес: <strong>120кг</strong></li>\r\n<li>Гарантия: <strong>8лет</strong></li>\r\n<li>Класс: <strong>Премиум</strong></li>\r\n</ul>',	'',	'Тумба под раковину Aquwastyle3',	'Тумба под раковину Aquwastyle3, Beretta, Тумбы для ванной',	'',	''),
(1,	177,	'Тумба под раковину Aquwastyle4',	'<ul>\r\n<li>Вес: <strong>45кг</strong></li>\r\n<li>Гарантия: <strong>5лет</strong></li>\r\n<li>Класс: <strong>Супер премиум</strong></li>\r\n</ul>',	'',	'Тумба под раковину Aquwastyle4',	'Тумба под раковину Aquwastyle4, Beretta, Тумбы для ванной',	'',	''),
(1,	178,	'Тумба под раковину Aquwastyle5',	'<ul>\r\n<li>Цвет:&nbsp;<strong>Белый</strong></li>\r\n<li>Гарантия:&nbsp;<strong>3 года</strong></li>\r\n<li>Ширина:&nbsp;<strong>45-60см</strong></li>\r\n</ul>',	'',	'Тумба под раковину Aquwastyle5',	'Тумба под раковину Aquwastyle5, Beretta, Тумбы для ванной',	'',	''),
(1,	179,	'Шуруповерт аккумуляторный DeWalt Speed',	'',	'',	'Шуруповерт аккумуляторный DeWalt Speed',	'Шуруповерт аккумуляторный DeWalt Speed, Bosch, Строительные инструменты',	'',	''),
(1,	180,	'Корпус дисковой пилы Bosch',	'',	'',	'Корпус дисковой пилы Bosch',	'Корпус дисковой пилы Bosch, Bosch, Строительные инструменты',	'',	''),
(1,	181,	'Беспроводной перфоратор Bosch Plus',	'',	'',	'Беспроводной перфоратор Bosch Plus',	'Беспроводной перфоратор Bosch Plus, Bosch, Строительные инструменты',	'',	''),
(1,	182,	'Отбойный молоток Bosch GSH 6784',	'',	'',	'Отбойный молоток Bosch GSH 6784',	'Отбойный молоток Bosch GSH 6784, Bosch, Строительные инструменты',	'',	''),
(1,	183,	'Пылезащитный прибор Bosch',	'',	'',	'Пылезащитный прибор Bosch',	'Пылезащитный прибор Bosch, Bosch, Строительные инструменты',	'',	''),
(1,	185,	'Профессиональный мини-пылесос Bosch',	'',	'',	'Профессиональный мини-пылесос Bosch',	'Профессиональный мини-пылесос Bosch, Bosch, Строительные инструменты',	'',	''),
(1,	186,	'Отбойный молоток Bosch GSH 7 VC',	'',	'',	'Отбойный молоток Bosch GSH 7 VC',	'Отбойный молоток Bosch GSH 7 VC, Bosch, Строительные инструменты',	'',	''),
(1,	187,	'Шуруповерт аккумуляторный Bosch',	'',	'',	'Шуруповерт аккумуляторный Bosch',	'Шуруповерт аккумуляторный Bosch, Bosch, Строительные инструменты',	'',	''),
(1,	188,	'Аутсайдер Стивен Кинг',	'<ul>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Автор: <strong>Стивен Кинг</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страниц: </span><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\"><strong>592</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Год издания: <strong>2019</strong></span></li>\r\n</ul>',	'<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар):</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Добавление цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS.png\" alt=\"Добавление цифрового товара\" width=\"auto\" height=\"auto\" /></span></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">После добавления файла - сохраните товар.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после оплаты заказа.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту до оплаты:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS1.png\" alt=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту после оплаты заказа:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Ссылка на скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS2.png\" alt=\"Ссылка на скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">3. Получение клиентом заказанного товара:</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px auto; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto; display: block;\" title=\"Скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS3.png\" alt=\"Скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Тоже самое можно проделать с любым электронным файлом.</p>\r\n<ul style=\"box-sizing: border-box; margin: 0px 0px 1rem 25px; padding: 0px 0px 0px 25px; list-style-type: disc; color: #212330; font-family: \'Open Sans\', sans-serif; font-size: 16px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы продаете музыкальные композиции - загрузите в описание к товару кусочек своего трека.</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы занимаетесь продажей видеороликов - добавьте в качестве фотографий товара несколько скриншотов своего видео.&nbsp;</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Возможно вы продаете ценную информацию, например, книги? Несколько абзацев в описании к товару заинтересуют покупателя.</span></li>\r\n</ul>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Пробуйте и у вас получится.</p>',	'Аутсайдер Стивен Кинг',	'Аутсайдер Стивен Кинг, Книги и канцтовары',	'Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже. \r\n 1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар): \r\n     \r\n После добавления файла - сохраните товар. \r\n 2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после ',	'new.png'),
(1,	189,	'Кладбище домашних животных Стивен Кинг',	'<ul>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Автор: <strong>Стивен Кинг</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страниц:</span><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\"><strong>400</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Год издания: <strong>2019</strong></span></li>\r\n</ul>',	'<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар):</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Добавление цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS.png\" alt=\"Добавление цифрового товара\" width=\"auto\" height=\"auto\" /></span></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">После добавления файла - сохраните товар.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после оплаты заказа.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту до оплаты:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS1.png\" alt=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту после оплаты заказа:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Ссылка на скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS2.png\" alt=\"Ссылка на скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">3. Получение клиентом заказанного товара:</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px auto; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto; display: block;\" title=\"Скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS3.png\" alt=\"Скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Тоже самое можно проделать с любым электронным файлом.</p>\r\n<ul style=\"box-sizing: border-box; margin: 0px 0px 1rem 25px; padding: 0px 0px 0px 25px; list-style-type: disc; color: #212330; font-family: \'Open Sans\', sans-serif; font-size: 16px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы продаете музыкальные композиции - загрузите в описание к товару кусочек своего трека.</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы занимаетесь продажей видеороликов - добавьте в качестве фотографий товара несколько скриншотов своего видео.&nbsp;</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Возможно вы продаете ценную информацию, например, книги? Несколько абзацев в описании к товару заинтересуют покупателя.</span></li>\r\n</ul>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Пробуйте и у вас получится.</p>',	'Кладбище домашних животных Стивен Кинг',	'Кладбище домашних животных Стивен Кинг, Книги и канцтовары',	'Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже. \r\n 1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар): \r\n     \r\n После добавления файла - сохраните товар. \r\n 2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после ',	'akciya.png'),
(1,	190,	'Керри животных Стивен Кинг',	'<ul>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Автор: <strong>Стивен Кинг</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страниц: </span><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\"><strong>224</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Год издания: <strong>2018</strong></span></li>\r\n</ul>',	'<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар):</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Добавление цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS.png\" alt=\"Добавление цифрового товара\" width=\"auto\" height=\"auto\" /></span></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">После добавления файла - сохраните товар.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после оплаты заказа.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту до оплаты:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS1.png\" alt=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту после оплаты заказа:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Ссылка на скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS2.png\" alt=\"Ссылка на скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">3. Получение клиентом заказанного товара:</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px auto; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto; display: block;\" title=\"Скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS3.png\" alt=\"Скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Тоже самое можно проделать с любым электронным файлом.</p>\r\n<ul style=\"box-sizing: border-box; margin: 0px 0px 1rem 25px; padding: 0px 0px 0px 25px; list-style-type: disc; color: #212330; font-family: \'Open Sans\', sans-serif; font-size: 16px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы продаете музыкальные композиции - загрузите в описание к товару кусочек своего трека.</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы занимаетесь продажей видеороликов - добавьте в качестве фотографий товара несколько скриншотов своего видео.&nbsp;</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Возможно вы продаете ценную информацию, например, книги? Несколько абзацев в описании к товару заинтересуют покупателя.</span></li>\r\n</ul>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Пробуйте и у вас получится.</p>',	'Керри животных Стивен Кинг',	'Керри животных Стивен Кинг, Книги и канцтовары',	'Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже. \r\n 1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар): \r\n     \r\n После добавления файла - сохраните товар. \r\n 2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после ',	'hit.png'),
(1,	191,	'Зеленая миля Стивен Кинг',	'<ul>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Автор: <strong>Стивен Кинг</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страниц: </span><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\"><strong>432</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Год издания: <strong>2017</strong></span></li>\r\n</ul>',	'<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар):</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Добавление цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS.png\" alt=\"Добавление цифрового товара\" width=\"auto\" height=\"auto\" /></span></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">После добавления файла - сохраните товар.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после оплаты заказа.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту до оплаты:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS1.png\" alt=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту после оплаты заказа:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Ссылка на скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS2.png\" alt=\"Ссылка на скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">3. Получение клиентом заказанного товара:</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px auto; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto; display: block;\" title=\"Скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS3.png\" alt=\"Скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Тоже самое можно проделать с любым электронным файлом.</p>\r\n<ul style=\"box-sizing: border-box; margin: 0px 0px 1rem 25px; padding: 0px 0px 0px 25px; list-style-type: disc; color: #212330; font-family: \'Open Sans\', sans-serif; font-size: 16px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы продаете музыкальные композиции - загрузите в описание к товару кусочек своего трека.</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы занимаетесь продажей видеороликов - добавьте в качестве фотографий товара несколько скриншотов своего видео.&nbsp;</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Возможно вы продаете ценную информацию, например, книги? Несколько абзацев в описании к товару заинтересуют покупателя.</span></li>\r\n</ul>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Пробуйте и у вас получится.</p>',	'Зеленая миля Стивен Кинг',	'Зеленая миля Стивен Кинг, Книги и канцтовары',	'Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже. \r\n 1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар): \r\n     \r\n После добавления файла - сохраните товар. \r\n 2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после ',	'akciya.png'),
(1,	192,	'Стрелец. Темная Башня Стивен Кинг',	'<ul>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Автор: <strong>Стивен Кинг</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страниц: </span><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\"><strong>240</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Год издания: <strong>2017</strong></span></li>\r\n</ul>',	'<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар):</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Добавление цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS.png\" alt=\"Добавление цифрового товара\" width=\"auto\" height=\"auto\" /></span></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">После добавления файла - сохраните товар.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после оплаты заказа.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту до оплаты:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS1.png\" alt=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту после оплаты заказа:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Ссылка на скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS2.png\" alt=\"Ссылка на скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">3. Получение клиентом заказанного товара:</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px auto; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto; display: block;\" title=\"Скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS3.png\" alt=\"Скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Тоже самое можно проделать с любым электронным файлом.</p>\r\n<ul style=\"box-sizing: border-box; margin: 0px 0px 1rem 25px; padding: 0px 0px 0px 25px; list-style-type: disc; color: #212330; font-family: \'Open Sans\', sans-serif; font-size: 16px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы продаете музыкальные композиции - загрузите в описание к товару кусочек своего трека.</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы занимаетесь продажей видеороликов - добавьте в качестве фотографий товара несколько скриншотов своего видео.&nbsp;</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Возможно вы продаете ценную информацию, например, книги? Несколько абзацев в описании к товару заинтересуют покупателя.</span></li>\r\n</ul>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Пробуйте и у вас получится.</p>',	'Стрелец. Темная Башня Стивен Кинг',	'Стрелец. Темная Башня Стивен Кинг, Книги и канцтовары',	'Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже. \r\n 1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар): \r\n     \r\n После добавления файла - сохраните товар. \r\n 2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после ',	''),
(1,	193,	'Спящие красавицы Стивен Кинг',	'<ul>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Автор: <strong>Стивен Кинг</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страниц: </span><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\"><strong>880</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Год издания: <strong>2018</strong></span></li>\r\n</ul>',	'<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар):</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Добавление цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS.png\" alt=\"Добавление цифрового товара\" width=\"auto\" height=\"auto\" /></span></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">После добавления файла - сохраните товар.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после оплаты заказа.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту до оплаты:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS1.png\" alt=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту после оплаты заказа:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Ссылка на скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS2.png\" alt=\"Ссылка на скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">3. Получение клиентом заказанного товара:</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px auto; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto; display: block;\" title=\"Скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS3.png\" alt=\"Скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Тоже самое можно проделать с любым электронным файлом.</p>\r\n<ul style=\"box-sizing: border-box; margin: 0px 0px 1rem 25px; padding: 0px 0px 0px 25px; list-style-type: disc; color: #212330; font-family: \'Open Sans\', sans-serif; font-size: 16px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы продаете музыкальные композиции - загрузите в описание к товару кусочек своего трека.</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы занимаетесь продажей видеороликов - добавьте в качестве фотографий товара несколько скриншотов своего видео.&nbsp;</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Возможно вы продаете ценную информацию, например, книги? Несколько абзацев в описании к товару заинтересуют покупателя.</span></li>\r\n</ul>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Пробуйте и у вас получится.</p>',	'Спящие красавицы Стивен Кинг',	'Спящие красавицы Стивен Кинг, Книги и канцтовары',	'Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже. \r\n 1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар): \r\n     \r\n После добавления файла - сохраните товар. \r\n 2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после ',	''),
(1,	194,	'Ловец снов Стивен Кинг',	'<ul>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Автор: <strong>Стивен Кинг</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страниц: </span><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\"><strong>672</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Год издания: <strong>2016</strong></span></li>\r\n</ul>',	'<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар):</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Добавление цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS.png\" alt=\"Добавление цифрового товара\" width=\"auto\" height=\"auto\" /></span></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">После добавления файла - сохраните товар.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после оплаты заказа.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту до оплаты:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS1.png\" alt=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту после оплаты заказа:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Ссылка на скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS2.png\" alt=\"Ссылка на скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">3. Получение клиентом заказанного товара:</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px auto; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto; display: block;\" title=\"Скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS3.png\" alt=\"Скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Тоже самое можно проделать с любым электронным файлом.</p>\r\n<ul style=\"box-sizing: border-box; margin: 0px 0px 1rem 25px; padding: 0px 0px 0px 25px; list-style-type: disc; color: #212330; font-family: \'Open Sans\', sans-serif; font-size: 16px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы продаете музыкальные композиции - загрузите в описание к товару кусочек своего трека.</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы занимаетесь продажей видеороликов - добавьте в качестве фотографий товара несколько скриншотов своего видео.&nbsp;</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Возможно вы продаете ценную информацию, например, книги? Несколько абзацев в описании к товару заинтересуют покупателя.</span></li>\r\n</ul>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Пробуйте и у вас получится.</p>',	'Ловец снов Стивен Кинг',	'Ловец снов Стивен Кинг, Книги и канцтовары',	'Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже. \r\n 1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар): \r\n     \r\n После добавления файла - сохраните товар. \r\n 2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после ',	''),
(1,	195,	'Противостояние, том 1 Стивен Кинг',	'<ul>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Автор: <strong>Стивен Кинг</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страниц: </span><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\"><strong>576</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Год издания: <strong>2017</strong></span></li>\r\n</ul>',	'<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар):</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Добавление цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS.png\" alt=\"Добавление цифрового товара\" width=\"auto\" height=\"auto\" /></span></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">После добавления файла - сохраните товар.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после оплаты заказа.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту до оплаты:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS1.png\" alt=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту после оплаты заказа:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Ссылка на скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS2.png\" alt=\"Ссылка на скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">3. Получение клиентом заказанного товара:</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px auto; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto; display: block;\" title=\"Скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS3.png\" alt=\"Скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Тоже самое можно проделать с любым электронным файлом.</p>\r\n<ul style=\"box-sizing: border-box; margin: 0px 0px 1rem 25px; padding: 0px 0px 0px 25px; list-style-type: disc; color: #212330; font-family: \'Open Sans\', sans-serif; font-size: 16px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы продаете музыкальные композиции - загрузите в описание к товару кусочек своего трека.</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы занимаетесь продажей видеороликов - добавьте в качестве фотографий товара несколько скриншотов своего видео.&nbsp;</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Возможно вы продаете ценную информацию, например, книги? Несколько абзацев в описании к товару заинтересуют покупателя.</span></li>\r\n</ul>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Пробуйте и у вас получится.</p>',	'Противостояние, том 1 Стивен Кинг',	'Противостояние, том 1 Стивен Кинг, Книги и канцтовары',	'Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже. \r\n 1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар): \r\n     \r\n После добавления файла - сохраните товар. \r\n 2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после ',	''),
(1,	196,	'Наращивание ресниц',	'',	'',	'Наращивание ресниц',	'Наращивание ресниц, GARNIER, Косметика',	'',	''),
(1,	197,	'Духи с ароматом стородины',	'',	'',	'Духи с ароматом стородины',	'Духи с ароматом стородины, GARNIER, Косметика',	'',	''),
(1,	198,	'Универсальная маска для лица',	'',	'',	'Универсальная маска для лица',	'Универсальная маска для лица, GARNIER, Косметика',	'',	''),
(1,	199,	'Духи Versace Bright crystal ABSOLU',	'',	'',	'Духи Versace Bright crystal ABSOLU',	'Духи Versace Bright crystal ABSOLU, GARNIER, Косметика',	'',	''),
(1,	200,	'Крем для лица ESTEE LAUDER',	'',	'',	'Крем для лица ESTEE LAUDER',	'Крем для лица ESTEE LAUDER, GARNIER, Косметика',	'',	''),
(1,	201,	'Набор меосметических кистей Bellapierre',	'',	'',	'Набор меосметических кистей Bellapierre',	'Набор меосметических кистей Bellapierre, GARNIER, Косметика',	'',	''),
(1,	202,	'Мягкий матовый крем для губ',	'',	'',	'Мягкий матовый крем для губ',	'Мягкий матовый крем для губ, GARNIER, Косметика',	'',	''),
(1,	203,	'Мягкие матовые тени',	'',	'',	'Мягкие матовые тени',	'Мягкие матовые тени, GARNIER, Косметика',	'',	''),
(1,	204,	'Комплект из матовой аомады и тени для глах',	'',	'',	'Комплект из матовой аомады и тени для глах',	'Комплект из матовой аомады и тени для глах, GARNIER, Косметика',	'',	''),
(1,	205,	'Электровелосипед Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2019',	'',	'<p><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-size: 13px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Модель Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2019 предназначена как для агрессивного катания по лесным трассам, так и для неторопливых прогулок по живописным маршрутам. Основная особенность модели - мощный электромотор, который поможет без труда заехать в сложный подъем или преодолеть длительный трансфер от одной трассы к другой. Рама велосипед изготовлена из алюминиевого сплава с применением технологии гидроформинга, что позволило сделать велосипед легким и прочным. Модель оснащена двумя амортизаторами, которые позволят настроить байк под любую трассу. За переключение передач отвечает оборудование Sram NX Eagle.</span></p>',	'Электровелосипед Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2019',	'Электровелосипед Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2019, Haibike, Товары для спорта',	'Модель Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2019 предназначена как для агрессивного катания по лесным трассам, так и для неторопливых прогулок по живописным маршрутам. Основная особенность модели - мощный электромотор, который поможет без труда заехать в сложный подъем или преодолеть длительный трансфер от одной трассы к другой. Рама велосипед изготовлена из алюминиевого сплава с применением технологии гидроформинга, что позволило сделать велосипед легким и прочным. Модель оснащена двумя амортизаторам',	''),
(1,	206,	'Складной велосипед Forward Tracer 1.0 2018',	'<ul>\r\n<li><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-size: 13px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #f8f6f7; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">пол: <strong>мужской</strong><br /></span></li>\r\n<li><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-size: 13px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #f8f6f7; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\"><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-size: 13px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">тип рамы</span>: <strong><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">хардтейл</span></strong><br /></span></li>\r\n<li><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-size: 13px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #f8f6f7; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">цепь: <strong>KMC HV408</strong><br /></span></li>\r\n<li><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-size: 13px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #f8f6f7; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">седло: <strong>FWD MTB</strong><br /></span></li>\r\n</ul>',	'<p><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-size: 13px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Forward Tracer 1.0 станет настоящим подарком для поклонников активного времяпровождения и спортивных велозаездов. 6-скоростная трансмиссия переключается с помощью удобных манеток Shimano Tourney RS35 и дает райдеру полный контроль над движением. Система ободных тормозов Promax TX-119L сделает каждую остановку плавной и своевременной. Материалом для изготовления рамы послужил легкий, но устойчивый к деформации алюминий, а амортизационная вилка велосипеда выполнена из стали.</span></p>',	'Складной велосипед Forward Tracer 1.0 2018',	'Складной велосипед Forward Tracer 1.0 2018, Haibike, Товары для спорта',	'Forward Tracer 1.0 станет настоящим подарком для поклонников активного времяпровождения и спортивных велозаездов. 6-скоростная трансмиссия переключается с помощью удобных манеток Shimano Tourney RS35 и дает райдеру полный контроль над движением. Система ободных тормозов Promax TX-119L сделает каждую остановку плавной и своевременной. Материалом для изготовления рамы послужил легкий, но устойчивый к деформации алюминий, а амортизационная вилка велосипеда выполнена из стали.',	'akciya.png'),
(1,	207,	'Велошлем Scott Arx',	'',	'<p><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-size: 13px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Велошлем с усиленной защитой и системой подгонки MRAS2. Scott ARX &ndash; велосипедный шлем с технологией in-mold: при падении шлем не раскалывается, а сохраняет цельность. Плотно облегает, хорошо защищает голову. Крупные отверстия создают равномерную вентиляцию кожи во время поездки. Легкий (240 г), прочный шлем подходит для гонок и тренировок. Система подгонки позволяет одной рукой с помощью небольшого колесика отрегулировать посадку, не прерывая движение.</span></p>',	'Велошлем Scott Arx',	'Велошлем Scott Arx, Haibike, Товары для спорта',	'Велошлем с усиленной защитой и системой подгонки MRAS2. Scott ARX &ndash; велосипедный шлем с технологией in-mold: при падении шлем не раскалывается, а сохраняет цельность. Плотно облегает, хорошо защищает голову. Крупные отверстия создают равномерную вентиляцию кожи во время поездки. Легкий (240 г), прочный шлем подходит для гонок и тренировок. Система подгонки позволяет одной рукой с помощью небольшого колесика отрегулировать посадку, не прерывая движение.',	'new.png'),
(1,	208,	'Велоперчатка BBB BBW-54 LiteZone',	'',	'<p><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-size: 13px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вентилируемая перчатка из практичных материалов. Велоперчатки LiteZone BBW-54 обеспечивают надежный крепкий хват во время велопрогулки и тренировки. Надежное удержание руля повышает уверенность велосипедиста на дороге. Ладонь дополнена силиконовыми вставками, большой и указательный пальцы дополнительно защищены. Руки в перчатках хорошо вентилируются.</span></p>',	'Велоперчатка BBB BBW-54 LiteZone',	'Велоперчатка BBB BBW-54 LiteZone, Haibike, Товары для спорта',	'Вентилируемая перчатка из практичных материалов. Велоперчатки LiteZone BBW-54 обеспечивают надежный крепкий хват во время велопрогулки и тренировки. Надежное удержание руля повышает уверенность велосипедиста на дороге. Ладонь дополнена силиконовыми вставками, большой и указательный пальцы дополнительно защищены. Руки в перчатках хорошо вентилируются.',	'garant.png'),
(1,	209,	'Велообувь Shimano SH-RP501 Men',	'',	'',	'Велообувь Shimano SH-RP501 Men',	'Велообувь Shimano SH-RP501 Men, Haibike, Товары для спорта',	'',	'hit.png'),
(1,	210,	'Гиря Hop-Sport 6 кг',	'',	'<p><span style=\"color: #666666; font-family: \'Open Sans\', sans-serif; font-size: 12px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Физические нагрузки, которые вы получите с помощью гирь, наиболее оптимальны для вашего организма. Гири спроектированы специальным образом, имеют удобную ручку для хвата. Характеристики: обхват &ndash; 50 см; объем ручки &ndash; 10 см; покрытие &ndash; винил; наполнение &ndash; бетон. Также занятия с гирями доставят удовольствие женщинам, так как помогут сбросить вес и обрести подтянутую фигуру.</span></p>',	'Гиря Hop-Sport 6 кг',	'Гиря Hop-Sport 6 кг, Haibike, Товары для спорта',	'Физические нагрузки, которые вы получите с помощью гирь, наиболее оптимальны для вашего организма. Гири спроектированы специальным образом, имеют удобную ручку для хвата. Характеристики: обхват &ndash; 50 см; объем ручки &ndash; 10 см; покрытие &ndash; винил; наполнение &ndash; бетон. Также занятия с гирями доставят удовольствие женщинам, так как помогут сбросить вес и обрести подтянутую фигуру.',	'new.png'),
(1,	211,	'Гантели Lifemaxx 8 кг',	'',	'<p><span style=\"color: #666666; font-family: \'Open Sans\', sans-serif; font-size: 12px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Гантели &ndash; широко известный универсальный снаряд с давней историей. Предназначена она для увеличения мышечной массы и выполнения силовых упражнений. Тренировки с гирей позволяют накачать бицепс, трицепс, мышцы спины, брюшного пресса, ягодичные мышцы. Имея дома один такой универсальный снаряд, вы можете обеспечить себя полноценной физической нагрузкой. Преимущество резиновых гирь с хромированной ручкой - нет необходимости оборудования страховочной поверхности на полу. Гири в резиновой оболочке прекрасно подходят для занятий как в спортивном зале, так и дома. Выбирать гирю необходимо в соответствии со своей физической формой и весом.</span></p>',	'Гантели Lifemaxx 8 кг',	'Гантели Lifemaxx 8 кг, Haibike, Товары для спорта',	'Гантели &ndash; широко известный универсальный снаряд с давней историей. Предназначена она для увеличения мышечной массы и выполнения силовых упражнений. Тренировки с гирей позволяют накачать бицепс, трицепс, мышцы спины, брюшного пресса, ягодичные мышцы. Имея дома один такой универсальный снаряд, вы можете обеспечить себя полноценной физической нагрузкой. Преимущество резиновых гирь с хромированной ручкой - нет необходимости оборудования страховочной поверхности на полу. Гири в резиновой оболочке прекрасно',	'garant.png'),
(1,	212,	'Велотренажер HouseFit',	'<ul>\r\n<li>Страна: <strong>США</strong></li>\r\n<li>Питание:<strong> батарея</strong></li>\r\n<li>Тип: <strong>классика</strong></li>\r\n</ul>',	'<p><span style=\"color: #666666; font-family: \'Open Sans\', sans-serif; font-size: 12px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Велотренажер HSF 8012. Механическая бесступенчатая регулируемая система нагрузки. Корпус с полированным лакокрасочным покрытием. Очень легкая и компактная конструкция. Регулируемое по высоте сиденье. Ножки с регулировкой для неровного пола. Компьютер: функции &ndash; скорость, потраченные калории, время, расстояние. В наличии цвета: оранжевый, синий.</span></p>',	'Велотренажер HouseFit',	'Велотренажер HouseFit, Haibike, Товары для спорта',	'Велотренажер HSF 8012. Механическая бесступенчатая регулируемая система нагрузки. Корпус с полированным лакокрасочным покрытием. Очень легкая и компактная конструкция. Регулируемое по высоте сиденье. Ножки с регулировкой для неровного пола. Компьютер: функции &ndash; скорость, потраченные калории, время, расстояние. В наличии цвета: оранжевый, синий.',	'hit.png'),
(1,	213,	'Тренажер для мышц плеча MARBO-SPORT 348',	'<ul>\r\n<li>Цвет: <strong>черный</strong></li>\r\n<li>Назначение: <strong>руки, плечи</strong></li>\r\n<li>Габариты: <strong>139x140x147</strong></li>\r\n</ul>',	'<p><strong>Тренажер для мышц плеча Marbo-Sport MF-U007 (MF-U007-k1t4)</strong> &ndash; высококачественное, эффективное оборудование, предназначенное для проработки рук и плечевого пояса. Нагрузка на данной моделе основана на свободном весе. Конструкция тренажера изготовлена из толстостенного стального профиля, обеспечивающего надежность и безопасность. В качестве покрытия использована качественная порошковая краска, защищающая раму от коррозии. Регулировка высоты сиденья осуществляется быстро и легко при помощи специальных приводов. Для расположения олимпийских блинов, на оборудовании предусмотрены специальные посадочные места, которые покрыты полиамидом, препятствующим появление царапин, а также снижающие уровень шума при касании инвентаря о втулки. Благодаря трехступенчатой регулировке угла наклона спинки, спортсмен может увеличивать или уменьшать нагрузку. Ручки, имеют покрытие из прочного, противоскользящего вспененного полимера, гарантирующего качественное сцепление. Данное оборудование максимально устойчиво даже на не совсем ровной поверхности благодаря специальным компенсаторам неровности пола и резиновым накладкам на ножках. Тренажер прошел необходимое тестирование и имеет сертификат безопасности Европейского центра качества.<br /><br /><strong>Особенности тренажера:</strong></p>\r\n<ul>\r\n<li>силовой, на свободных весах;</li>\r\n<li>для коммерческого использования;</li>\r\n<li>оптимальное удобство и эффективность;</li>\r\n<li>безопасность при использовании;</li>\r\n<li>для проработки мышц рук и плечевого пояса;</li>\r\n<li>конструкция из высокопрочного стального профиля и цельнокроеных металлических пластин;</li>\r\n<li>обивка из высокотехнологичной синтетической кожи;</li>\r\n<li>резиновые накладки на ножках.&nbsp;<br /><br /></li>\r\n</ul>\r\n<p><strong>Характеристики:</strong><br /><strong>&nbsp;Тип:</strong> силовой тренажер;<br /><strong>&nbsp;Вид:</strong> для горизонтального жима;<br /><strong>&nbsp;Нагрузка:</strong> на свободных весах;<br /><strong>&nbsp;Назначение:</strong> руки, плечи;<br /><strong>&nbsp;Профили: </strong>100х50x3 мм;<br /><strong>&nbsp;Общий вес тренажера:</strong> 121 кг;<br /><strong>&nbsp;Нагрузка: </strong>до 400 кг;<br /><strong>&nbsp;Габариты: </strong>139х140х147 см.<br /><br /><strong>Производитель:</strong> Marbo-Sport (Польша).<br />Торговая марка Marbo-Sport была основана более 30 лет назад в Польше, городе Страховице. Компания специализируется на производстве высококачественного спортивного оборудования. Ассортимент товаров бренда представлен стойками, скамьями, силовыми станциями, многофункциональными турниками, мультистанциями и многими другими тренажерами и аксессуарами к ним. Продукция Marbo-Sport отличается высоким качеством, надежностью и безопасностью, проходит обязательное тестирование и имеет длительную гарантию.</p>',	'Тренажер для мышц плеча MARBO-SPORT 348',	'Тренажер для мышц плеча MARBO-SPORT 348, Haibike, Товары для спорта',	'Тренажер для мышц плеча Marbo-Sport MF-U007 (MF-U007-k1t4)  &ndash; высококачественное, эффективное оборудование, предназначенное для проработки рук и плечевого пояса. Нагрузка на данной моделе основана на свободном весе. Конструкция тренажера изготовлена из толстостенного стального профиля, обеспечивающего надежность и безопасность. В качестве покрытия использована качественная порошковая краска, защищающая раму от коррозии. Регулировка высоты сиденья осуществляется быстро и легко при помощи специальных пр',	''),
(1,	214,	'Гироскутер NINEDROP BY SEGWAY 34, БЕЛЫЙ',	'<ul>\r\n<li>Цвет: <strong>белый</strong></li>\r\n<li>Запас хода: <strong>30км</strong></li>\r\n<li>Вес: <strong>3.8кг</strong></li>\r\n<li>Диаметр: <strong>10дюймов</strong></li>\r\n</ul>',	'<p><strong>Гироскутер Ninebot by Segway MiniPro 320,&nbsp;белый </strong>- невероятно удобная и простая в эксплуатации модель. Эргономичный дизайн и умные датчики облегчают поездку и делают ее безопасней. Рулевая ручка регулируется по высоте под пользователя, а также используется для транспортировки. Защита IP54 позволит передвигаться во время дождя или же по пыльной дороге. Гироскутер идеально приспособлен к городским условиям, так как инженеры оснастили его алгоритмом динамического питания, который определяет наклоны, препятствия и автоматически регулирует мощность. Персональный транспорт может быть синхронизирован со смартфоном для удобного дистанционного управления, определения динамики движения и диагностики неполадок. LED-подсветка выполняет декоративную функцию и сигнализирует о движении: синий - движение вперед, мигание желтого - поворот, красный - торможение. Рама выполнена из мaгниевого сплава, кoторый обеспечивaет прочность конcтрукции и имеет небoльшой вес. Компактные размеры позволяют с легкостью транспортировать гироскутер в общественном транспорте или же в багажнике автомобиля.</p>\r\n<p>&nbsp;</p>\r\n<p><strong>Особенности</strong>:</p>\r\n<ul>\r\n<li>стильный дизайн;</li>\r\n<li>увеличенные колеса;</li>\r\n<li>LED-подсветка;</li>\r\n<li>цветовая сигнализация о движении;</li>\r\n<li>система идентификации;</li>\r\n<li>безопасное передвижение;</li>\r\n<li>ручка для управления и переноски;</li>\r\n<li>синхронизация со смартфоном;</li>\r\n<li>мобильное приложение;</li>\r\n<li>дистанционное управление;</li>\r\n<li>пыле- и влагозащитный корпус;</li>\r\n<li>длительная работа на одном заряде;</li>\r\n<li>мощный электромотор;</li>\r\n<li>удлинитель для подкачки колес;</li>\r\n<li>компактные размеры;</li>\r\n<li>прочный корпус.</li>\r\n</ul>\r\n<p>&nbsp;</p>\r\n<p><strong>Характеристики</strong>:<br />&nbsp;<strong>Тип</strong>: гироскутер; <br />&nbsp;<strong>Возрастная категория</strong>: 16 - 60 лет; <br />&nbsp;<strong>Рекомендyемый рост</strong>: 120 - 200 см; <br />&nbsp;<strong>Диаметр кoлес</strong>: 10,5\"; <br />&nbsp;<strong>Скорость мах</strong>: 18 км/ч; <br />&nbsp;<strong>Угoл нaклoна</strong>: до 15 градусов; <br />&nbsp;<strong>Мощность</strong>: 1600 Вт; <br />&nbsp;<strong>Батарея</strong>: Li-ion 310 Вт-ч; <br />&nbsp;<strong>Запас хoда</strong>: до 30 км; <br />&nbsp;<strong>Врeмя полоной зарядки</strong>: 4 ч; <br />&nbsp;<strong>Нагрузка</strong>: до 100 кг; <br />&nbsp;<strong>Защита</strong>: IP54; <br />&nbsp;<strong>Беспроводная связь</strong>: Bluetоoth; <br />&nbsp;<strong>Размeр</strong>: 54,6x26,2x61,1-86,6 см; <br />&nbsp;<strong>Вeс</strong>: 12,8 кг; <br />&nbsp;<strong>Цвeт</strong>: белый; <br />&nbsp;<strong>Гарaнтия</strong>: 12 месяцев.</p>',	'Гироскутер NINEDROP BY SEGWAY 34, БЕЛЫЙ',	'Гироскутер NINEDROP BY SEGWAY 34, БЕЛЫЙ, Haibike, Товары для спорта',	'Гироскутер Ninebot by Segway MiniPro 320, белый  - невероятно удобная и простая в эксплуатации модель. Эргономичный дизайн и умные датчики облегчают поездку и делают ее безопасней. Рулевая ручка регулируется по высоте под пользователя, а также используется для транспортировки. Защита IP54 позволит передвигаться во время дождя или же по пыльной дороге. Гироскутер идеально приспособлен к городским условиям, так как инженеры оснастили его алгоритмом динамического питания, который определяет наклоны, препятстви',	'garant.png'),
(1,	215,	'Гироборд 56GTA 102 10” POWER',	'<ul>\r\n<li>Цвет: <strong>красный</strong></li>\r\n<li>Запас хода: <strong>30км</strong></li>\r\n<li>Вес: 1<strong>3.8кг</strong></li>\r\n<li>Диаметр: <strong>10дюймов</strong></li>\r\n</ul>',	'<p><strong>Гироборд 2Е HB 102 10&rdquo; Power, серо-красный (2E-HB102-10P-GR) </strong>- совpеменное решение для пeредвижения по городу или прогулок. Гироскутер оборудован 10\" колесами с шиpокими покрышками, кoторые обеспечивают отличнyю проходимoсть. Заряда батареи хватает на 16 чаcов активной pаботы. Прорезиненные подножки обеспечивают отличное сцепление с обувью и устойчивость. Персональный транспорт это oтличная альтернатива pоликам или скейту. Также модель оборудована LED-диcплеем с подсвeткой.</p>\r\n<p><strong>Особенности</strong>:</p>\r\n<ul>\r\n<li>прочная конструкция;</li>\r\n<li>стильный дизайн;</li>\r\n<li>широкие колеса;</li>\r\n<li>отличная проходимость;</li>\r\n<li>мощная батарея;</li>\r\n<li>нескользящие подножки;</li>\r\n<li>автобалансировка;</li>\r\n<li>LED-дисплей.</li>\r\n</ul>\r\n<p><strong>Характеристики</strong>:<br />&nbsp;<strong>Ти</strong><strong>п</strong>: гиpоборд; <br />&nbsp;<strong>Скорость</strong> <strong>мах</strong>: 12 км/ч; <br />&nbsp;<strong>Диаметр колес</strong>: 10\"; <br />&nbsp;<strong>Мощноcть</strong>: 700 Вт (2 x 350 Вт); <br />&nbsp;<strong>Батарея</strong>: Li-ion 158 Вт*ч; <br />&nbsp;<strong>Длительность работы</strong>: до 16 ч; <br />&nbsp;<strong>Время полоной зарядки</strong>: 130 мин; <br />&nbsp;<strong>Размер</strong>: 73 х 28 х 30 см; <br />&nbsp;<strong>Веc</strong>: 13,5 кг; <br />&nbsp;<strong>Цвет</strong>: серый, красный; <br />&nbsp;<strong>Гаpантия</strong>: 12 меcяцев.</p>',	'Гироборд 56GTA 102 10” POWER',	'Гироборд 56GTA 102 10” POWER, Haibike, Товары для спорта',	'Гироборд 2Е HB 102 10&rdquo; Power, серо-красный (2E-HB102-10P-GR)  - совpеменное решение для пeредвижения по городу или прогулок. Гироскутер оборудован 10\" колесами с шиpокими покрышками, кoторые обеспечивают отличнyю проходимoсть. Заряда батареи хватает на 16 чаcов активной pаботы. Прорезиненные подножки обеспечивают отличное сцепление с обувью и устойчивость. Персональный транспорт это oтличная альтернатива pоликам или скейту. Также модель оборудована LED-диcплеем с подсвeткой. \r\n  Особенности : \r\n \r\n пр',	'new.png'),
(1,	216,	'Фитнесс-трекер SOUSHTRACK IFaT ACTIVE 3 В 1',	'<ul>\r\n<li>Цвет: <strong>черный</strong></li>\r\n<li>Тип: <strong>smart часы</strong></li>\r\n<li>Разъём: <strong>microUSB</strong></li>\r\n<li>Гарантия: <strong>12 мес</strong></li>\r\n</ul>',	'<p class=\"MsoNormal\"><strong>Фитнес-трекер NordicTrack iFit Active 3 в 1 </strong>&ndash; очень полезный умный гаджет людям живущим активной спортивной жизнью. Данный умный девайс поможет Вам упорядочить свои спортивные нагрузки, а также проанализировать полученные результаты с помощью устройств с ОС <span lang=\"EN-US\">IOS </span>или<span lang=\"EN-US\"> Android</span>.</p>\r\n<p>Данное устройство поможет вам подсчитать съеденные калории, благодаря встроенной библиотеке блюд, что поможет вам построить правильную диету во время тренировочных нагрузок, кроме этого устройство умеет считывать параметры вашего организма во время сна, и подбирает самое удачное время для вашего пробуждения. Еще одним достоинством является сопряжение устройства с системой Fit Active, где вы можете общаться и обмениваться своими результатами с другими пользователями.</p>\r\n<p><strong>Особенности:</strong></p>\r\n<p>- яркий экран;</p>\r\n<p>- полная совместимость с устройствами <span lang=\"EN-US\">IOS </span>или<span lang=\"EN-US\"> Android</span>;</p>\r\n<p>- отображение количества пройдённых &nbsp;шагов, дистанции, сколько было сожжено калорий, время и качества сна<br /><br /></p>\r\n<p>NordicTrack &ndash; Американский бренд, составная часть группы компаний&nbsp; ICON Health&amp;Fitness, производитель с 40 летней репутацией, и огромнейшим количеством моделей. Больше 35 лет этот бренд известен своим оборудованием предназаначеным для оздоровления и фитнеса. На сегодня&nbsp; компания не останавливается на достигнутых результатах, постоянно исследуя и применяя инновации в своей продукции. Простота конструкций, эффективность, качество и уникальные решения в проектировке &ndash; быстро завоевали симпатии клиентов и принесли компании узнаваемость и признание во всем мире.</p>',	'Фитнесс-трекер SOUSHTRACK IFaT ACTIVE 3 В 1',	'Фитнесс-трекер SOUSHTRACK IFaT ACTIVE 3 В 1, Haibike, Товары для спорта',	'Фитнес-трекер NordicTrack iFit Active 3 в 1  &ndash; очень полезный умный гаджет людям живущим активной спортивной жизнью. Данный умный девайс поможет Вам упорядочить свои спортивные нагрузки, а также проанализировать полученные результаты с помощью устройств с ОС  IOS  или  Android . \r\n Данное устройство поможет вам подсчитать съеденные калории, благодаря встроенной библиотеке блюд, что поможет вам построить правильную диету во время тренировочных нагрузок, кроме этого устройство умеет считывать параметры ',	''),
(1,	217,	'Экшн-камера ThiEYE T5 Edge',	'<ul>\r\n<li>Матрица: CMOS</li>\r\n<li>Диагональ: 2 дюйма</li>\r\n<li>Формат: <span style=\"color: #000000; font-family: Helvetica, Arial, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 300; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">AVC (H.264/MPEG-4), MP4</span></li>\r\n</ul>',	'<h2 class=\"pd_prop_h2\" style=\"font-size: initial; font-weight: initial; color: #000000; font-family: Helvetica, Arial, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial; margin: initial initial 16px initial;\"><span class=\"pd_prop-val\" style=\"color: #000000; font-weight: initial; padding: initial; margin-top: 16px; font-size: 14px;\">Голосовое дистанционное управление (поддерживается только английское произношение, встроенная 1 x 3 В CR1632 батарея): прозвучат простые голосовые команды на пульте дистанционного управления или нажмите кнопку на пульте дистанционного управления, и вы можете управлять своей камерой. Удивительная технология голосовых команд дает вам свободный контроль над вашим T5 Edge. Родное видео с разрешением 4K 30 кадров в секунду: запись видео высокой четкости с разрешением 4K 30 кадров в секунду и захват действия более подробно. Встроенный 2-дюймовый экран ульта HD IPS: больше, чем предыдущее поколение, для легкой настройки камеры, просмотра и воспроизведения видео и фотографий. 14 Mп фото, различные режимы фото: одиночная съемка, автоспуск, фотосъемка, фотоснимок и длительная экспозиция. Стабилизатор гироскопа (EIS при 4K и 1080P): минимизировать размытие и компенсировать дрожание устройства, чтобы обеспечить четкие и стабильные изображения. Поворотные крепления на 360 градусов и резьбовая вставка 1/4 дюйма. Уникальный поворот на 360 градусов позволяет вам регулировать различные углы съемки, а резьбовая вставка 1/4 дюйма автоматически соединяется с штативом или самоуправляемой рукояткой. Коррекция искажений: уменьшите или устраните искажения, чтобы получить более естественный эффект съемки. Длительное воздействие: вы можете записывать орбиты съемок, водопады, водителя автомобиля из-за продления времени экспозиции. Водонепроницаемость до 60 м: оснащен профессиональным водонепроницаемым корпусом IP68, водонепроницаемый T5 Edge до 60 м. APP для дистанционного управления, редактирования и совместного использования: Подключите устройства Android или iOS к камере действия через ThiEYE Cam APP (затем загрузите с официального сайта http://www.thieye.com), затем вы можете настроить камеру, просматривать, редактировать и делиться своими видео и фотографиями.</span></h2>',	'Экшн-камера ThiEYE T5 Edge',	'Экшн-камера ThiEYE T5 Edge, Haibike, Товары для спорта',	'Голосовое дистанционное управление (поддерживается только английское произношение, встроенная 1 x 3 В CR1632 батарея): прозвучат простые голосовые команды на пульте дистанционного управления или нажмите кнопку на пульте дистанционного управления, и вы можете управлять своей камерой. Удивительная технология голосовых команд дает вам свободный контроль над вашим T5 Edge. Родное видео с разрешением 4K 30 кадров в секунду: запись видео высокой четкости с разрешением 4K 30 кадров в секунду и захват действия боле',	'akciya.png'),
(1,	218,	'Экшн-камера ThiEYE T34 Edge',	'<ul>\r\n<li>Матрица: CMOS</li>\r\n<li>Диагональ: 2 дюйма</li>\r\n<li>Формат: <span style=\"color: #000000; font-family: Helvetica, Arial, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 300; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">AVC (H.264/MPEG-4), MP4</span></li>\r\n</ul>',	'<h2 class=\"pd_prop_h2\" style=\"font-size: initial; font-weight: initial; color: #000000; font-family: Helvetica, Arial, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial; margin: initial initial 16px initial;\"><span class=\"pd_prop-val\" style=\"color: #000000; font-weight: initial; padding: initial; margin-top: 16px; font-size: 14px;\">Голосовое дистанционное управление (поддерживается только английское произношение, встроенная 1 x 3 В CR1632 батарея): прозвучат простые голосовые команды на пульте дистанционного управления или нажмите кнопку на пульте дистанционного управления, и вы можете управлять своей камерой. Удивительная технология голосовых команд дает вам свободный контроль над вашим T5 Edge. Родное видео с разрешением 4K 30 кадров в секунду: запись видео высокой четкости с разрешением 4K 30 кадров в секунду и захват действия более подробно. Встроенный 2-дюймовый экран ульта HD IPS: больше, чем предыдущее поколение, для легкой настройки камеры, просмотра и воспроизведения видео и фотографий. 14 Mп фото, различные режимы фото: одиночная съемка, автоспуск, фотосъемка, фотоснимок и длительная экспозиция. Стабилизатор гироскопа (EIS при 4K и 1080P): минимизировать размытие и компенсировать дрожание устройства, чтобы обеспечить четкие и стабильные изображения. Поворотные крепления на 360 градусов и резьбовая вставка 1/4 дюйма. Уникальный поворот на 360 градусов позволяет вам регулировать различные углы съемки, а резьбовая вставка 1/4 дюйма автоматически соединяется с штативом или самоуправляемой рукояткой. Коррекция искажений: уменьшите или устраните искажения, чтобы получить более естественный эффект съемки. Длительное воздействие: вы можете записывать орбиты съемок, водопады, водителя автомобиля из-за продления времени экспозиции. Водонепроницаемость до 60 м: оснащен профессиональным водонепроницаемым корпусом IP68, водонепроницаемый T5 Edge до 60 м. APP для дистанционного управления, редактирования и совместного использования: Подключите устройства Android или iOS к камере действия через ThiEYE Cam APP (затем загрузите с официального сайта http://www.thieye.com), затем вы можете настроить камеру, просматривать, редактировать и делиться своими видео и фотографиями.</span></h2>',	'Экшн-камера ThiEYE T34 Edge',	'Экшн-камера ThiEYE T34 Edge, Haibike, Товары для спорта',	'Голосовое дистанционное управление (поддерживается только английское произношение, встроенная 1 x 3 В CR1632 батарея): прозвучат простые голосовые команды на пульте дистанционного управления или нажмите кнопку на пульте дистанционного управления, и вы можете управлять своей камерой. Удивительная технология голосовых команд дает вам свободный контроль над вашим T5 Edge. Родное видео с разрешением 4K 30 кадров в секунду: запись видео высокой четкости с разрешением 4K 30 кадров в секунду и захват действия боле',	'akciya.png'),
(1,	219,	'Электровелосипед Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2018',	'<ul>\r\n<li>Тип: <strong>горный</strong></li>\r\n<li>Диаметр: <strong>25.5 дюйма</strong></li>\r\n<li>Вес: <strong>25.8 кг</strong></li>\r\n</ul>',	'<p><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-size: 13px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Модель Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2019 предназначена как для агрессивного катания по лесным трассам, так и для неторопливых прогулок по живописным маршрутам. Основная особенность модели - мощный электромотор, который поможет без труда заехать в сложный подъем или преодолеть длительный трансфер от одной трассы к другой. Рама велосипед изготовлена из алюминиевого сплава с применением технологии гидроформинга, что позволило сделать велосипед легким и прочным. Модель оснащена двумя амортизаторами, которые позволят настроить байк под любую трассу. За переключение передач отвечает оборудование Sram NX Eagle.</span></p>',	'Электровелосипед Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2018',	'Электровелосипед Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2018, Haibike, Товары для спорта',	'Модель Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2019 предназначена как для агрессивного катания по лесным трассам, так и для неторопливых прогулок по живописным маршрутам. Основная особенность модели - мощный электромотор, который поможет без труда заехать в сложный подъем или преодолеть длительный трансфер от одной трассы к другой. Рама велосипед изготовлена из алюминиевого сплава с применением технологии гидроформинга, что позволило сделать велосипед легким и прочным. Модель оснащена двумя амортизаторам',	'garant.png'),
(1,	220,	'ТСД Motorola (Zebra/Symbol) MC9200',	'<ul>\r\n<li>Сканер: <strong>2D Imager PRZM</strong></li>\r\n<li>Система: <strong>Android 4.4.4</strong></li>\r\n<li>Память: <strong>2 ГБайт Flash</strong></li>\r\n<li>Интерфейс: <strong>USB</strong></li>\r\n</ul>',	'',	'ТСД Motorola (Zebra/Symbol) MC9200',	'ТСД Motorola (Zebra/Symbol) MC9200, Товары для бизнеса',	'',	'hit.png'),
(1,	221,	'Сканер Jepod JP-M234',	'<ul>\r\n<li>Сканер: <strong>лазерный</strong></li>\r\n<li>Система: <strong>Android 3.2.1</strong></li>\r\n<li>Память: <strong>1 ГБайт Flash</strong></li>\r\n<li>Частота: <strong>433МГц</strong></li>\r\n</ul>',	'',	'Сканер Jepod JP-M234',	'Сканер Jepod JP-M234, Товары для бизнеса',	'',	''),
(1,	222,	'Принтер чеков-этикеток JPRT LQ258',	'<ul>\r\n<li>Разрешение: <strong>203 dpi<br /></strong></li>\r\n<li>Система: <strong>Android 3.2.1</strong></li>\r\n<li>Память: <strong>1 МБ SDRAM<br /></strong></li>\r\n<li>Материал: <strong>термобумага</strong></li>\r\n</ul>',	'',	'Принтер чеков-этикеток JPRT LQ258',	'Принтер чеков-этикеток JPRT LQ258, Товары для бизнеса',	'',	''),
(1,	223,	'POS-терминал Sam4s Titan-S 260',	'<ul>\r\n<li>Дисплей: <strong>15\" LED<br /></strong></li>\r\n<li>Процессор:&nbsp;<strong>Intel Quad</strong></li>\r\n<li>Память: <strong>4 ГБ DDR3</strong></li>\r\n<li>ОС:&nbsp;<strong>Windows 7</strong></li>\r\n</ul>',	'',	'POS-терминал Sam4s Titan-S 260',	'POS-терминал Sam4s Titan-S 260, Товары для бизнеса',	'',	''),
(1,	224,	'Счетчик банкнот DORS 800',	'<ul>\r\n<li>Скорость: <strong>600/900</strong></li>\r\n<li>Дисплей:&nbsp;<strong>цветной</strong></li>\r\n<li>Вместимость:&nbsp;<strong>800</strong></li>\r\n</ul>',	'<div class=\"voxes\">\r\n<div><span style=\"color: #000000;\"><span style=\"font-size: 14px;\"><span style=\"font-family: arial,helvetica,sans-serif;\"><strong>Dors 800</strong> &ndash; многофункциональный мультивалютный счётчик-сортировщик банковского класса. Подходит для решения любых задач по обработке наличности. Может работать с 70 видами различных валют, в том числе с гривнами, рублями РФ, евро и долларами США. Одновременно с пересчётом осуществляется проверка и сортировка банкнот. Доступно 4 скорости пересчёта </span></span></span><span style=\"font-size: 14px;\"><span style=\"font-family: arial,helvetica,sans-serif;\">- 600, 900, 1200, 1500 банкнот за минуту. В подающий карман помещается до 800 банкнот, в приёмный &ndash; до 200.</span></span></div>\r\n<div>&nbsp;</div>\r\n<div><strong><span style=\"color: #000000;\"><span style=\"font-size: 14px;\"><span style=\"font-family: arial,helvetica,sans-serif;\">Сортировка валют</span></span></span></strong></div>\r\n<div><span style=\"color: #000000;\"><span style=\"font-size: 14px;\"><span style=\"font-family: arial,helvetica,sans-serif;\">Определение валюты происходит по первой посчитанной купюре. Благодаря наличию отбраковочного кармана пересчёт и сортировка осуществляется безостановочно. Запуск отсчёта может проводиться в ручном или автоматическом режиме. Данный параметр задаётся в настройках счётчика.</span></span></span></div>\r\n<div>&nbsp;</div>\r\n<div><strong><span style=\"color: #000000;\"><span style=\"font-size: 14px;\"><span style=\"font-family: arial,helvetica,sans-serif;\">Три режима пересчёта</span></span></span></strong></div>\r\n<div><span style=\"color: #000000;\"><span style=\"font-size: 14px;\"><span style=\"font-family: arial,helvetica,sans-serif;\">Режим &laquo;СЧЁТ&raquo; &ndash; самый простой, он позволяет выполнять отсчёт количества банкнот. В режиме &laquo;МИКС&raquo; можно работать со смешанными пачками одной валюты. Счётчик Dors 800 автоматически определяет номинал и просчитывает купюры любой ориентации. По завершению пересчёта на дисплее отображается детализированный отчёт по каждому паритету. Режим &laquo;НОМИНАЛ&raquo; используется для пересчёта банкнот одной номинальной стоимости независимо от ориентации. Данный режим позволяет отсортировывать купюры одного номинала, в то время как другие номиналы накапливаются в реджект кармане. При необходимости, можно задавать количество отсчитываемых купюр, что особенно удобно при формировании пачек.</span></span></span></div>\r\n<div>&nbsp;</div>\r\n<div><strong><span style=\"color: #000000;\"><span style=\"font-size: 14px;\"><span style=\"font-family: arial,helvetica,sans-serif;\">Экспертный уровень проверки</span></span></span></strong></div>\r\n<div><span style=\"color: #000000;\"><span style=\"font-size: 14px;\"><span style=\"font-family: arial,helvetica,sans-serif;\">Счётчик банкнот Dors 800 обеспечивает девять видов проверки подлинности. Распознаёт 4 машиночитаемых признака подлинности &ndash; по образу банкноты в видимом диапазоне, ИК-диапазоне, магнитным меткам, отсутствию фонового свечения банкнотной бумаги в УФ-диапазоне. Также проверка осуществляется по оптической плотности, геометрическим размерам банкнот, сдвоенности и целостности.</span></span></span></div>\r\n<div>&nbsp;</div>\r\n<div><strong><span style=\"color: #000000;\"><span style=\"font-size: 14px;\"><span style=\"font-family: arial,helvetica,sans-serif;\">Возможность обновления системы</span></span></span></strong></div>\r\n<div><span style=\"color: #000000;\"><span style=\"font-size: 14px;\"><span style=\"font-family: arial,helvetica,sans-serif;\">Счётчик валют Dors 800 может обновляться путём подключения к ПК (через <strong>USB</strong>), имеющего доступ к интернету. Специальное приложение обращается к серверу, находит обновление и устанавливает его. По завершению обновления устройство готово к работе. Периодическое обновление ПО для любого счётчика очень важно, так как технологии подделки денежных знаков постоянно усовершенствуются.</span></span></span></div>\r\n<div>&nbsp;</div>\r\n<div><strong><span style=\"color: #000000;\"><span style=\"font-size: 14px;\"><span style=\"font-family: arial,helvetica,sans-serif;\">Подключение дополнительного оборудования</span></span></span></strong></div>\r\n<div><span style=\"color: #000000;\"><span style=\"font-size: 14px;\"><span style=\"font-family: arial,helvetica,sans-serif;\">К счётчику-сортировщику Dors 800 могут подключаться устройства различного типа &ndash; выносные дисплеи (Dors 85 и Dors 90), чековые принтеры, системы видеонаблюдений. Выносной дисплей может быть востребован на операционной кассе. Его разворачивают в сторону клиента, чтобы он мог убедиться в правильности пересчитываемой суммы. После пересчёта Dors 800 может передавать данные о просчитанных банкнотах на чековый принтер. Совместимость с ЧЕКТВ БАНК позволяет контролировать все операции, выполняемые кассиром.</span></span></span></div>\r\n<div>&nbsp;</div>\r\n<div><strong><span style=\"color: #000000;\"><span style=\"font-size: 14px;\"><span style=\"font-family: arial,helvetica,sans-serif;\">Сенсорный дисплей</span></span></span></strong></div>\r\n<div><span style=\"color: #000000;\"><span style=\"font-size: 14px;\"><span style=\"font-family: arial,helvetica,sans-serif;\">Интерфейс Dors 800 позволяет кассиру быстро решать любые задачи по обработке наличности. Устройство оборудовано цветным сенсорным дисплеем диагональю 4,3 дюйма. Настройка нужных параметров осуществляется легко. Технология &laquo;Touchscreen&raquo; обеспечивает возможность переключения режимов работы в одно касание.</span></span></span></div>\r\n<div>&nbsp;</div>\r\n<div><strong><span style=\"color: #000000;\"><span style=\"font-size: 14px;\"><span style=\"font-family: arial,helvetica,sans-serif;\">Надёжная конструкция</span></span></span></strong></div>\r\n<div><span style=\"color: #000000;\"><span style=\"font-size: 14px;\"><span style=\"font-family: arial,helvetica,sans-serif;\">Части корпуса, подверженные наибольшим нагрузкам, изготовлены из ударопрочного пластика с добавлением карбонового волокна. Механизм пересчёта хорошо отлажен, захват банкнот осуществляется чётко и бережно. В случае проникновения в механизм инородного предмета, например скрепки, процесс пересчёта приостанавливается во избежание повреждения банкнот.<span id=\"ctrlcopy\"></span></span></span></span></div>\r\n</div>',	'Счетчик банкнот DORS 800',	'Счетчик банкнот DORS 800, Товары для бизнеса',	'Dors 800  &ndash; многофункциональный мультивалютный счётчик-сортировщик банковского класса. Подходит для решения любых задач по обработке наличности. Может работать с 70 видами различных валют, в том числе с гривнами, рублями РФ, евро и долларами США. Одновременно с пересчётом осуществляется проверка и сортировка банкнот. Доступно 4 скорости пересчёта      - 600, 900, 1200, 1500 банкнот за минуту. В подающий карман помещается до 800 банкнот, в приёмный &ndash; до 200.   \r\n   \r\n     Сортировка валют     \r\n ',	''),
(1,	225,	'Royal Canin Maine Coon Adult сухой корм для котов породы мейн-кун',	'<ul>\r\n<li>Вес: <strong>10г</strong></li>\r\n<li>Тип: <strong>Сухой корм</strong></li>\r\n<li>Класс: <strong>Супер премиум</strong></li>\r\n</ul>',	'<p><strong>СПЕЦИАЛЬНО ДЛЯ КОШЕК С БОЛЬШИМИ ЧЕЛЮСТЯМИ</strong><br /><br />Специально разработанные крокеты кубической формы, которые адаптированы к большим квадратным челюстям кошек породы мейн-кун. Уникальная форма крокет стимулирует животное к их разгрызанию, что способствует поддержанию гигиены ротовой полости.<br /><br /><strong>ЭКСКЛЮЗИВНАЯ ФОРМУЛА:</strong><br /><br />Таурин и омега-3 жирные кислоты<br /><br /><strong>ЗДОРОВЬЕ СУСТАВОВ</strong><br /><br />Вследствие большого размера и веса кошки породы мейн-кун ее суставы подвергаются значительной нагрузке на протяжении всей жизни животного. Формула рациона способствует поддержанию здорового состояния костей и суставов. Рацион обогащен омега-3 жирными кислотами (ЭПК и ДГК).<br /><br /><strong>ЗДОРОВЬЕ СЕРДЦА</strong><br /><br />Рацион обогащен такими питательными веществами, как таурин, ЭПК и ДГК, которые способствуют поддержанию здоровой работы сердца.<br /><br /><strong>ЗДОРОВЬЕ КОЖИ И БЛЕСК ШЕРСТИ</strong><br /><br />Серосодержащие аминокислоты, витамины, омега-3 и омега-6 жирные кислоты способствуют поддержанию здоровья кожи и блеска шерсти.<br /><br /><strong>ЗДОРОВЬЕ МОЧЕВЫДЕЛИТЕЛЬНОЙ СИСТЕМЫ</strong><br /><br />Соответствующий баланс минеральных веществ в рационе способствует поддержанию здоровья мочевыделительной системы взрослых кошек.<br /><br />Мейн-кун<br /><br />Мейн-кун является крупнейшим и самым длинным котом в мире, благодаря чему он производит впечатление чрезвычайной мощи и силы. Мейн-кун может достигать 1 м в длину (вместе с хвостом), а вес котов этой породы может достигать 10-12 кг. Учитывая большой размер и тяжелый костяк особое внимание следует уделять защите суставов кошек этой породы.</p>',	'Royal Canin Maine Coon Adult сухой корм для котов породы мейн-кун',	'Royal Canin Maine Coon Adult сухой корм для котов породы мейн-кун, Royal Canin, Товары для животных',	'СПЕЦИАЛЬНО ДЛЯ КОШЕК С БОЛЬШИМИ ЧЕЛЮСТЯМИ   Специально разработанные крокеты кубической формы, которые адаптированы к большим квадратным челюстям кошек породы мейн-кун. Уникальная форма крокет стимулирует животное к их разгрызанию, что способствует поддержанию гигиены ротовой полости.   ЭКСКЛЮЗИВНАЯ ФОРМУЛА:   Таурин и омега-3 жирные кислоты   ЗДОРОВЬЕ СУСТАВОВ   Вследствие большого размера и веса кошки породы мейн-кун ее суставы подвергаются значительной нагрузке на протяжении всей жизни животного. Формула',	'hit.png'),
(1,	226,	'Royal Canin Persian Adult сухой корм для котов персидской породы',	'<ul>\r\n<li>Вес: <strong>11г</strong></li>\r\n<li>Тип: <strong>Сухой корм</strong></li>\r\n<li>Класс: <strong>Супер премиум</strong></li>\r\n</ul>',	'<p><strong>СПЕЦИАЛЬНО ДЛЯ КОШЕК С БОЛЬШИМИ ЧЕЛЮСТЯМИ</strong><br /><br />Специально разработанные крокеты кубической формы, которые адаптированы к большим квадратным челюстям кошек породы британская. Уникальная форма крокет стимулирует животное к их разгрызанию, что способствует поддержанию гигиены ротовой полости.<br /><br /><strong>ЭКСКЛЮЗИВНАЯ ФОРМУЛА:</strong><br /><br />Таурин и омега-3 жирные кислоты<br /><br /><strong>ЗДОРОВЬЕ СУСТАВОВ</strong><br /><br />Вследствие большого размера и веса кошки породы персидский ее суставы подвергаются значительной нагрузке на протяжении всей жизни животного. Формула рациона способствует поддержанию здорового состояния костей и суставов. Рацион обогащен омега-3 жирными кислотами (ЭПК и ДГК).<br /><br /><strong>ЗДОРОВЬЕ СЕРДЦА</strong><br /><br />Рацион обогащен такими питательными веществами, как таурин, ЭПК и ДГК, которые способствуют поддержанию здоровой работы сердца.<br /><br /><strong>ЗДОРОВЬЕ КОЖИ И БЛЕСК ШЕРСТИ</strong><br /><br />Серосодержащие аминокислоты, витамины, омега-3 и омега-6 жирные кислоты способствуют поддержанию здоровья кожи и блеска шерсти.<br /><br /><strong>ЗДОРОВЬЕ МОЧЕВЫДЕЛИТЕЛЬНОЙ СИСТЕМЫ</strong><br /><br />Соответствующий баланс минеральных веществ в рационе способствует поддержанию здоровья мочевыделительной системы взрослых кошек.<br /><br />персидский является крупнейшим и самым длинным котом в мире, благодаря чему он производит впечатление чрезвычайной мощи и силы. британская может достигать 1 м в длину (вместе с хвостом), а вес котов этой породы может достигать 10-12 кг. Учитывая большой размер и тяжелый костяк особое внимание следует уделять защите суставов кошек этой породы.</p>',	'Royal Canin Persian Adult сухой корм для котов персидской породы',	'Royal Canin Persian Adult сухой корм для котов персидской породы, Royal Canin, Товары для животных',	'СПЕЦИАЛЬНО ДЛЯ КОШЕК С БОЛЬШИМИ ЧЕЛЮСТЯМИ   Специально разработанные крокеты кубической формы, которые адаптированы к большим квадратным челюстям кошек породы британская. Уникальная форма крокет стимулирует животное к их разгрызанию, что способствует поддержанию гигиены ротовой полости.   ЭКСКЛЮЗИВНАЯ ФОРМУЛА:   Таурин и омега-3 жирные кислоты   ЗДОРОВЬЕ СУСТАВОВ   Вследствие большого размера и веса кошки породы персидский ее суставы подвергаются значительной нагрузке на протяжении всей жизни животного. Фор',	'new.png'),
(1,	227,	'Royal Canin British Shorthair Kitten сухой корм для котят породы британская короткошерстная',	'<ul>\r\n<li>Вес: <strong>10г</strong></li>\r\n<li>Тип: <strong>Сухой корм</strong></li>\r\n<li>Класс: <strong>Супер премиум</strong></li>\r\n</ul>',	'<p><strong>СПЕЦИАЛЬНО ДЛЯ КОШЕК С БОЛЬШИМИ ЧЕЛЮСТЯМИ</strong><br /><br />Специально разработанные крокеты кубической формы, которые адаптированы к большим квадратным челюстям кошек породы британская. Уникальная форма крокет стимулирует животное к их разгрызанию, что способствует поддержанию гигиены ротовой полости.<br /><br /><strong>ЭКСКЛЮЗИВНАЯ ФОРМУЛА:</strong><br /><br />Таурин и омега-3 жирные кислоты<br /><br /><strong>ЗДОРОВЬЕ СУСТАВОВ</strong><br /><br />Вследствие большого размера и веса кошки породы персидский ее суставы подвергаются значительной нагрузке на протяжении всей жизни животного. Формула рациона способствует поддержанию здорового состояния костей и суставов. Рацион обогащен омега-3 жирными кислотами (ЭПК и ДГК).<br /><br /><strong>ЗДОРОВЬЕ СЕРДЦА</strong><br /><br />Рацион обогащен такими питательными веществами, как таурин, ЭПК и ДГК, которые способствуют поддержанию здоровой работы сердца.<br /><br /><strong>ЗДОРОВЬЕ КОЖИ И БЛЕСК ШЕРСТИ</strong><br /><br />Серосодержащие аминокислоты, витамины, омега-3 и омега-6 жирные кислоты способствуют поддержанию здоровья кожи и блеска шерсти.<br /><br /><strong>ЗДОРОВЬЕ МОЧЕВЫДЕЛИТЕЛЬНОЙ СИСТЕМЫ</strong><br /><br />Соответствующий баланс минеральных веществ в рационе способствует поддержанию здоровья мочевыделительной системы взрослых кошек.<br /><br />персидский является крупнейшим и самым длинным котом в мире, благодаря чему он производит впечатление чрезвычайной мощи и силы. британская может достигать 1 м в длину (вместе с хвостом), а вес котов этой породы может достигать 10-12 кг. Учитывая большой размер и тяжелый костяк особое внимание следует уделять защите суставов кошек этой породы.</p>',	'Royal Canin British Shorthair Kitten сухой корм для котят породы британская короткошерстная',	'Royal Canin British Shorthair Kitten сухой корм для котят породы британская короткошерстная, Royal Canin, Товары для животных',	'СПЕЦИАЛЬНО ДЛЯ КОШЕК С БОЛЬШИМИ ЧЕЛЮСТЯМИ   Специально разработанные крокеты кубической формы, которые адаптированы к большим квадратным челюстям кошек породы британская. Уникальная форма крокет стимулирует животное к их разгрызанию, что способствует поддержанию гигиены ротовой полости.   ЭКСКЛЮЗИВНАЯ ФОРМУЛА:   Таурин и омега-3 жирные кислоты   ЗДОРОВЬЕ СУСТАВОВ   Вследствие большого размера и веса кошки породы персидский ее суставы подвергаются значительной нагрузке на протяжении всей жизни животного. Фор',	''),
(1,	228,	'Сухой корм для взрослых собак Club 4 paws для крупных пород',	'<ul>\r\n<li>Вес:&nbsp;<strong>13г.</strong></li>\r\n<li>Тип: <strong>Сухой корм</strong></li>\r\n<li>Класс: <strong>Супер премиум</strong></li>\r\n</ul>',	'',	'Сухой корм для взрослых собак Club 4 paws для крупных пород',	'Сухой корм для взрослых собак Club 4 paws для крупных пород, Royal Canin, Товары для животных',	'',	''),
(1,	229,	'Сухой беззерновой полнорационный корм Optimeal для взрослых собак всех пород',	'<ul>\r\n<li>Вес: <strong>10г</strong></li>\r\n<li>Тип: <strong>Сухой корм</strong></li>\r\n<li>Класс: <strong>Супер премиум</strong></li>\r\n</ul>',	'<p><strong>Optimeal</strong> беззерновой для взрослых собак индейка и овощи &mdash; оптимальный корм для вашего любимца. В его состав входит уникальный микс из полезных трав, ягод, отборных мясных ингредиентов и пребиотиков. Все это создает ежедневную естественную защиту иммунитета вашей собаки, а также гарантирует здоровье и красоту вашего любимца на долгие годы.<br /><br />Высокое содержание отборного мяса индейки, а также включение в рецептуру корма свежего мяса индейки в виде фарша, обеспечат вашего питомца высококачественным легкоусвояемым протеином животного происхождения.<br /><br />Отсутствие злаков и глютена сохранит пищеварительную систему вашей собаки от дополнительной нагрузки, которой обычно подвергается кишечник и поджелудочная железа для переваривания таких неестественных для собак компонентов корма, как злаковая клейковина (глютен).<br /><br />Высокое содержание ягод и овощей обеспечивает организм собаки естественным источником витаминов и растительной клетчатки, что значительно улучшит работу пищеварительной системы и здоровья кишечника. Высокое содержание овощей (источников углеводов с низким гликемическим индексом) предотвратит развитие такого страшного заболевания, как сахарный диабет, а также сохранит здоровую стройную фигуру вашей собаки.<br /><br />Уникальный комплекс для поддержки и укрепления иммунитета Immunity Support Mix состоит из:<br />Специально очищенные бета-глюканы &mdash; улучшают работу иммунной системы для долгой жизни питомца.<br />Пребиотик нового поколения Actigen &mdash; нормализует баланс полезной микрофлоры кишечника и обеспечивает здоровое пищеварение.<br />Натуральный антиоксидант SubStar ULTRA на основе розмарина благодаря противомикробным и противовоспалительным свойствам &mdash; предотвращает разрушение клеток организма и заболеваниям домашних любимцев.<br /><br />OMEGA 3 и 6 / Цинк / Биотин &mdash; поддерживают кожу здоровой, а шерсть &mdash; красивой.<br />СОСТАВ:<br />дегидратированный протеин мяса индейки, не менее 39%, крахмал картофеля, мясо индейки 12%, жир из птицы, картофель cушена, тапиока, белок гидролизованный животный, зеленый горошек 4,11%, масло лосося, мякоть свеклы , растительная клетчатка, минералы, тыква 1%, морковь 0,79%, семян льна 0,79%, пивные дрожжи, клюква 0,2%, масло огуречника, MacroGard&reg; (источник &beta;-глюкан) 0,05%, Actigen &trade; (источник пребиотик &mdash; мананоолигосахариды) 0,04%, бархатцы (источник лютеина) 0,04%, корень лопуха, корень алтея, цветы ромашки 0,03%, крапива 0,03%, экстракт юкки, тимьян 0,015 %.<br /><br />Питательная ценность (анализ) корма:<br /><br />сырой белок 32%, сырые масло и жири- 16%, сырая зола- 5,9%, сырая клитковина- 2,6%.<br /><br />На 1 кг корма: омега-3 жирные кислоты- 6,4 г, в т. Ч. EPA / DHA- 3,8 г омега-6 жирные кислоты- 27,6 г.<br /><br />Добавлено добавки: Питательные добавки (на 1 кг корма), мг / кг:<br /><br />витамин А: 15000 МЕ, витамин Д3: 800 МЕ, витамин Е 500, витамин С 200, витамин B6 2,22, витамин Н (биотин): 0,14, таурин: 1100, цинк: 104,96 , медь: 11,24, марганец: 2,57, селен: 0,08.<br /><br />Технологические добавки (на 1 кг корма), мг / кг: антиоксидант природного происхождения: 330, экстракт токоферола природного происхождения: 600.<br /><br />Энергетическая ценность (калорийность) 100 г корма: 1 628,16 кДж (389,15 ккал).<br /><br />Хранить в темном месте закрытой потребительской таре при температуре от +5 &deg; С до +25 &deg; С и относительной влажности не более 75%</p>',	'Сухой беззерновой полнорационный корм Optimeal для взрослых собак всех пород',	'Сухой беззерновой полнорационный корм Optimeal для взрослых собак всех пород, Royal Canin, Товары для животных',	'Optimeal  беззерновой для взрослых собак индейка и овощи &mdash; оптимальный корм для вашего любимца. В его состав входит уникальный микс из полезных трав, ягод, отборных мясных ингредиентов и пребиотиков. Все это создает ежедневную естественную защиту иммунитета вашей собаки, а также гарантирует здоровье и красоту вашего любимца на долгие годы.  Высокое содержание отборного мяса индейки, а также включение в рецептуру корма свежего мяса индейки в виде фарша, обеспечат вашего питомца высококачественным легко',	''),
(1,	230,	'Диван RedKing',	'<ul>\r\n<li>Ширина: <strong>120см</strong></li>\r\n<li>Глубина: <strong>80см</strong></li>\r\n<li>Высота: <strong>43см </strong></li>\r\n</ul>',	'',	'Диван RedKing',	'Диван RedKing, Britax romer, Диваны',	'',	''),
(1,	231,	'Диван-кровать Max 1,2 в ткани Кордрой',	'<ul>\r\n<li>Вес: <strong>90кг</strong></li>\r\n<li>Тип: <strong>Аккордеон</strong></li>\r\n<li>Размер: <strong>120х200 см<br /></strong></li>\r\n</ul>',	'<p>Диван-кровать Max 1,2&nbsp; в ткани Кордрой 336/кордрой 230</p>\r\n<p>Механизм трансформации: аккордеон</p>\r\n<p>Спальное место: 120х200 см</p>\r\n<p>Каркас: металлический с буковыми ламелями</p>\r\n<p>Наполнение матраса: ППУ 10 см</p>',	'Диван-кровать Max 1,2 в ткани Кордрой',	'Диван-кровать Max 1,2 в ткани Кордрой, Fitbit, Диваны',	'Диван-кровать Max 1,2  в ткани Кордрой 336/кордрой 230 \r\n Механизм трансформации: аккордеон \r\n Спальное место: 120х200 см \r\n Каркас: металлический с буковыми ламелями \r\n Наполнение матраса: ППУ 10 см',	''),
(2,	1,	'Кресло мешок груша L Oksford Black',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Oksford Black',	'Кресло мешок груша L Oksford Black',	'Кресло мешок груша L Oksford Black',	''),
(2,	2,	'Кресло мешок груша L Oksford Dark Blue',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Oksford Dark Blue',	'Кресло мешок груша L Oksford Dark Blue',	'Кресло мешок груша L Oksford Dark Blue',	''),
(2,	3,	'Кресло мешок груша L Oksford Blue',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Oksford Blue',	'Кресло мешок груша L Oksford Blue',	'Кресло мешок груша L Oksford Blue',	''),
(2,	4,	'Кресло мешок груша L Oksford Green',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Oksford Green',	'Кресло мешок груша L Oksford Green',	'Кресло мешок груша L Oksford Green',	''),
(2,	5,	'Кресло мешок груша L Oksford bordo',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Oksford bordo',	'Кресло мешок груша L Oksford bordo',	'Кресло мешок груша L Oksford bordo',	''),
(2,	6,	'Кресло мешок груша L Oksford Red',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Oksford Red',	'Кресло мешок груша L Oksford Red',	'Кресло мешок груша L Oksford Red',	''),
(2,	7,	'Кресло мешок груша L Oksford Orange',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Oksford Orange',	'Кресло мешок груша L Oksford Orange',	'Кресло мешок груша L Oksford Orange',	''),
(2,	8,	'Кресло мешок груша L Oksford Lime',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Oksford Lime',	'Кресло мешок груша L Oksford Lime',	'Кресло мешок груша L Oksford Lime',	''),
(2,	9,	'Кресло мешок груша L Oksford Yellow',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Oksford Yellow',	'Кресло мешок груша L Oksford Yellow',	'Кресло мешок груша L Oksford Yellow',	''),
(2,	10,	'Кресло мешок груша L Blue Velvet',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Blue Velvet',	'Кресло мешок груша L Blue Velvet',	'Кресло мешок груша L Blue Velvet',	''),
(2,	11,	'Кресло мешок груша L Turquoise Velvet',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Turquoise Velvet',	'Кресло мешок груша L Turquoise Velvet',	'Кресло мешок груша L Turquoise Velvet',	''),
(2,	12,	'Кресло мешок груша L Red Velvet',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Red Velvet',	'Кресло мешок груша L Red Velvet',	'Кресло мешок груша L Red Velvet',	''),
(2,	13,	'Кресло мешок груша L Malina Velvet',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Malina Velvet',	'Кресло мешок груша L Malina Velvet',	'Кресло мешок груша L Malina Velvet',	''),
(2,	14,	'Кресло мешок груша L Fuxia Velvet',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Fuxia Velvet',	'Кресло мешок груша L Fuxia Velvet',	'Кресло мешок груша L Fuxia Velvet',	''),
(2,	15,	'Кресло мешок груша L Pink Velvet',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Pink Velvet',	'Кресло мешок груша L Pink Velvet',	'Кресло мешок груша L Pink Velvet',	''),
(2,	16,	'Кресло мешок груша L Lime Velvet',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Lime Velvet',	'Кресло мешок груша L Lime Velvet',	'Кресло мешок груша L Lime Velvet',	''),
(2,	17,	'Кресло мешок груша L Beatrice',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Beatrice',	'Кресло мешок груша L Beatrice',	'Кресло мешок груша L Beatrice',	''),
(2,	18,	'Кресло-мешок L Balloons',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло-мешок L Balloons',	'Кресло-мешок L Balloons',	'Кресло-мешок L Balloons',	''),
(2,	19,	'Кресло мешок груша L Graffity Orange',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Graffity Orange',	'Кресло мешок груша L Graffity Orange',	'Кресло мешок груша L Graffity Orange',	''),
(2,	20,	'Кресло мешок груша L Mini Cooper',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Mini Cooper',	'Кресло мешок груша L Mini Cooper',	'Кресло мешок груша L Mini Cooper',	''),
(2,	21,	'Кресло мешок груша L iPhone',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L iPhone',	'Кресло мешок груша L iPhone',	'Кресло мешок груша L iPhone',	''),
(2,	22,	'Кресло мешок груша L Cats',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Cats',	'Кресло мешок груша L Cats',	'Кресло мешок груша L Cats',	''),
(2,	23,	'Телефон Meizu M3 mini M688U 16 Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Meizu M3 mini M688U 16 Gb',	'Телефон Meizu M3 mini M688U 16 Gb',	'Телефон Meizu M3 mini M688U 16 Gb',	''),
(2,	24,	'Телефон Meizu MX6',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Meizu MX6',	'Телефон Meizu MX6',	'Телефон Meizu MX6',	''),
(2,	25,	'Телефон Meizu M3 mini 32Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Meizu M3 mini 32Gb',	'Телефон Meizu M3 mini 32Gb',	'Телефон Meizu M3 mini 32Gb',	''),
(2,	26,	'Телефон Meizu M3S 3+32Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Meizu M3S 3+32Gb',	'Телефон Meizu M3S 3+32Gb',	'Телефон Meizu M3S 3+32Gb',	''),
(2,	27,	'Телефон Meizu M2 Note 16GB',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Meizu M2 Note 16GB',	'Телефон Meizu M2 Note 16GB',	'Телефон Meizu M2 Note 16GB',	''),
(2,	28,	'Телефон Meizu M3 Note 32Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Meizu M3 Note 32Gb',	'Телефон Meizu M3 Note 32Gb',	'Телефон Meizu M3 Note 32Gb',	''),
(2,	29,	'Телефон Meizu Pro 6 64Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Meizu Pro 6 64Gb',	'Телефон Meizu Pro 6 64Gb',	'Телефон Meizu Pro 6 64Gb',	''),
(2,	30,	'Телефон Meizu Pro 6 32Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Meizu Pro 6 32Gb',	'Телефон Meizu Pro 6 32Gb',	'Телефон Meizu Pro 6 32Gb',	''),
(2,	31,	'Телефон Meizu M3S 2+16Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Meizu M3S 2+16Gb',	'Телефон Meizu M3S 2+16Gb',	'Телефон Meizu M3S 2+16Gb',	''),
(2,	32,	'Телефон Meizu Pro 5 32Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Meizu Pro 5 32Gb',	'Телефон Meizu Pro 5 32Gb',	'Телефон Meizu Pro 5 32Gb',	''),
(2,	33,	'Телефон Meizu Pro 5 64Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Meizu Pro 5 64Gb',	'Телефон Meizu Pro 5 64Gb',	'Телефон Meizu Pro 5 64Gb',	''),
(2,	34,	'Телефон Meizu M3 Note 16Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Meizu M3 Note 16Gb',	'Телефон Meizu M3 Note 16Gb',	'Телефон Meizu M3 Note 16Gb',	''),
(2,	37,	'Телефон Xiaomi Redmi 2 Enhanced 2+16Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Xiaomi Redmi 2 Enhanced 2+16Gb',	'Телефон Xiaomi Redmi 2 Enhanced 2+16Gb',	'Телефон Xiaomi Redmi 2 Enhanced 2+16Gb',	''),
(2,	38,	'Телефон Xiaomi Mi4C 3+32Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Xiaomi Mi4C 3+32Gb',	'Телефон Xiaomi Mi4C 3+32Gb',	'Телефон Xiaomi Mi4C 3+32Gb',	''),
(2,	39,	'Телефон Xiaomi Redmi Note 4 - 3+32Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Xiaomi Redmi Note 4 - 3+32Gb',	'Телефон Xiaomi Redmi Note 4 - 3+32Gb',	'Телефон Xiaomi Redmi Note 4 - 3+32Gb',	''),
(2,	40,	'Телефон Xiaomi Mi5s Plus 4+64Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Xiaomi Mi5s Plus 4+64Gb',	'Телефон Xiaomi Mi5s Plus 4+64Gb',	'Телефон Xiaomi Mi5s Plus 4+64Gb',	''),
(2,	41,	'Телефон Xiaomi Mi5s Plus 6+128Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Xiaomi Mi5s Plus 6+128Gb',	'Телефон Xiaomi Mi5s Plus 6+128Gb',	'Телефон Xiaomi Mi5s Plus 6+128Gb',	''),
(2,	42,	'Телефон Xiaomi Redmi 4 Pro',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Xiaomi Redmi 4 Pro',	'Телефон Xiaomi Redmi 4 Pro',	'Телефон Xiaomi Redmi 4 Pro',	''),
(2,	43,	'Телефон Xiaomi Redmi 4',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Xiaomi Redmi 4',	'Телефон Xiaomi Redmi 4',	'Телефон Xiaomi Redmi 4',	''),
(2,	44,	'Телефон Xiaomi Redmi Note 4X - 2+32Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Xiaomi Redmi Note 4X - 2+32Gb',	'Телефон Xiaomi Redmi Note 4X - 2+32Gb',	'Телефон Xiaomi Redmi Note 4X - 2+32Gb',	''),
(2,	45,	'Телефон Xiaomi Redmi Note 4X - 3+32Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Xiaomi Redmi Note 4X - 3+32Gb',	'Телефон Xiaomi Redmi Note 4X - 3+32Gb',	'Телефон Xiaomi Redmi Note 4X - 3+32Gb',	''),
(2,	46,	'Телефон Xiaomi Redmi Note 4X - 4+64Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Xiaomi Redmi Note 4X - 4+64Gb',	'Телефон Xiaomi Redmi Note 4X - 4+64Gb',	'Телефон Xiaomi Redmi Note 4X - 4+64Gb',	''),
(2,	47,	'Телефон Xiaomi Redmi 3S - 3+32Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Xiaomi Redmi 3S - 3+32Gb',	'Телефон Xiaomi Redmi 3S - 3+32Gb',	'Телефон Xiaomi Redmi 3S - 3+32Gb',	''),
(2,	48,	'Телефон Xiaomi Redmi 4X - 2+16Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Xiaomi Redmi 4X - 2+16Gb',	'Телефон Xiaomi Redmi 4X - 2+16Gb',	'Телефон Xiaomi Redmi 4X - 2+16Gb',	''),
(2,	49,	'Hatchimals: Пингви в яйце номер 1',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hatchimals: Пингви в яйце номер 1',	'Hatchimals: Пингви в яйце номер 1',	'Hatchimals: Пингви в яйце номер 1',	''),
(2,	50,	'Hatchimals: Драко в яйце номер 1',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hatchimals: Драко в яйце номер 1',	'Hatchimals: Драко в яйце номер 1',	'Hatchimals: Драко в яйце номер 1',	''),
(2,	51,	'Hatchimals: Пингви в яйце номер 2',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hatchimals: Пингви в яйце номер 2',	'Hatchimals: Пингви в яйце номер 2',	'Hatchimals: Пингви в яйце номер 2',	''),
(2,	52,	'Hatchimals: Драко в яйце номер 2',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hatchimals: Драко в яйце номер 2',	'Hatchimals: Драко в яйце номер 2',	'Hatchimals: Драко в яйце номер 2',	''),
(2,	53,	'Машинка Hot Wheels \"Измени цвет\"',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Машинка Hot Wheels \"Измени цвет\"',	'Машинка Hot Wheels \"Измени цвет\"',	'Машинка Hot Wheels \"Измени цвет\"',	''),
(2,	54,	'Hot Wheels Набор Препятствия в пути (2 вида)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Набор Препятствия в пути (2 вида)',	'Hot Wheels Набор Препятствия в пути (2 вида)',	'Hot Wheels Набор Препятствия в пути (2 вида)',	''),
(2,	55,	'Hot Wheels Набор Суперскорость',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Набор Суперскорость',	'Hot Wheels Набор Суперскорость',	'Hot Wheels Набор Суперскорость',	''),
(2,	56,	'Hot Wheels Игровой набор \"Взрыв цветов\" (2 вида)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Игровой набор \"Взрыв цветов\" (2 вида)',	'Hot Wheels Игровой набор \"Взрыв цветов\" (2 вида)',	'Hot Wheels Игровой набор \"Взрыв цветов\" (2 вида)',	''),
(2,	57,	'Hot Wheels Игровой набор \"Приключения в большом городе\" (2 вида)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Игровой набор \"Приключения в большом городе\" (2 вида)',	'Hot Wheels Игровой набор \"Приключения в большом городе\" (2 вида)',	'Hot Wheels Игровой набор \"Приключения в большом городе\" (2 вида)',	''),
(2,	58,	'Hot Wheels Трек \"Охота на акулу\" серии \"Измени цвет\"',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Трек \"Охота на акулу\" серии \"Измени цвет\"',	'Hot Wheels Трек \"Охота на акулу\" серии \"Измени цвет\"',	'Hot Wheels Трек \"Охота на акулу\" серии \"Измени цвет\"',	''),
(2,	59,	'Hot Wheels Трек \"Мега Прыжок\" (несколько видов)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Трек \"Мега Прыжок\" (несколько видов)',	'Hot Wheels Трек \"Мега Прыжок\" (несколько видов)',	'Hot Wheels Трек \"Мега Прыжок\" (несколько видов)',	''),
(2,	60,	'Hot Wheels Грузовик-транспортёр',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Грузовик-транспортёр',	'Hot Wheels Грузовик-транспортёр',	'Hot Wheels Грузовик-транспортёр',	''),
(2,	61,	'Hot Wheels Легендарный гараж',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Легендарный гараж',	'Hot Wheels Легендарный гараж',	'Hot Wheels Легендарный гараж',	''),
(2,	62,	'Hot Wheels Карманный трек \"Гонки\" (несколько видов)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Карманный трек \"Гонки\" (несколько видов)',	'Hot Wheels Карманный трек \"Гонки\" (несколько видов)',	'Hot Wheels Карманный трек \"Гонки\" (несколько видов)',	''),
(2,	63,	'Hot Wheels Игровой набор \"Город чудовищ\" (3 вида)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Игровой набор \"Город чудовищ\" (3 вида)',	'Hot Wheels Игровой набор \"Город чудовищ\" (3 вида)',	'Hot Wheels Игровой набор \"Город чудовищ\" (3 вида)',	''),
(2,	64,	'Hot Wheels Игровой набор \"Автосервис\" (4 вида)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Игровой набор \"Автосервис\" (4 вида)',	'Hot Wheels Игровой набор \"Автосервис\" (4 вида)',	'Hot Wheels Игровой набор \"Автосервис\" (4 вида)',	''),
(2,	65,	'Hot Wheels Базовый трек (3 вида)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Базовый трек (3 вида)',	'Hot Wheels Базовый трек (3 вида)',	'Hot Wheels Базовый трек (3 вида)',	''),
(2,	66,	'Hot Wheels Набор \"Готов к игре!\" (несколько видов)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Набор \"Готов к игре!\" (несколько видов)',	'Hot Wheels Набор \"Готов к игре!\" (несколько видов)',	'Hot Wheels Набор \"Готов к игре!\" (несколько видов)',	''),
(2,	67,	'Hot Wheels Игровой набор \"Атака дракона\"',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Игровой набор \"Атака дракона\"',	'Hot Wheels Игровой набор \"Атака дракона\"',	'Hot Wheels Игровой набор \"Атака дракона\"',	''),
(2,	68,	'Hot Wheels Трек \"Рекордный прыжок\"',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Трек \"Рекордный прыжок\"',	'Hot Wheels Трек \"Рекордный прыжок\"',	'Hot Wheels Трек \"Рекордный прыжок\"',	''),
(2,	69,	'Hot Wheels Трек \"Противостояние\"',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Трек \"Противостояние\"',	'Hot Wheels Трек \"Противостояние\"',	'Hot Wheels Трек \"Противостояние\"',	''),
(2,	70,	'Hot Wheels Игровой трек \"Перекрестное столкновение\"',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Игровой трек \"Перекрестное столкновение\"',	'Hot Wheels Игровой трек \"Перекрестное столкновение\"',	'Hot Wheels Игровой трек \"Перекрестное столкновение\"',	''),
(2,	71,	'Hot Wheels Набор дополнительных дорожек трека',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Набор дополнительных дорожек трека',	'Hot Wheels Набор дополнительных дорожек трека',	'Hot Wheels Набор дополнительных дорожек трека',	''),
(2,	72,	'Hot Wheels Аксессуар-препятствие для трека (4 вида)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Аксессуар-препятствие для трека (4 вида)',	'Hot Wheels Аксессуар-препятствие для трека (4 вида)',	'Hot Wheels Аксессуар-препятствие для трека (4 вида)',	''),
(2,	73,	'Биметаллический радиатор АЛТЕРМО РИО 500',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Биметаллический радиатор АЛТЕРМО РИО 500',	'Биметаллический радиатор АЛТЕРМО РИО 500',	'Биметаллический радиатор АЛТЕРМО РИО 500',	''),
(2,	74,	'Биметаллический радиатор АЛТЕРМО ЛРБ 500',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Биметаллический радиатор АЛТЕРМО ЛРБ 500',	'Биметаллический радиатор АЛТЕРМО ЛРБ 500',	'Биметаллический радиатор АЛТЕРМО ЛРБ 500',	''),
(2,	75,	'Радиаторы алюминиевые Ferroli Infiniti 500/10',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Радиаторы алюминиевые Ferroli Infiniti 500/10',	'Радиаторы алюминиевые Ferroli Infiniti 500/10',	'Радиаторы алюминиевые Ferroli Infiniti 500/10',	''),
(2,	76,	'Алюминиевый радиатор Global ISEO 500/80',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Алюминиевый радиатор Global ISEO 500/80',	'Алюминиевый радиатор Global ISEO 500/80',	'Алюминиевый радиатор Global ISEO 500/80',	''),
(2,	77,	'Алюминиевый радиатор Global VOX 350/100',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Алюминиевый радиатор Global VOX 350/100',	'Алюминиевый радиатор Global VOX 350/100',	'Алюминиевый радиатор Global VOX 350/100',	''),
(2,	78,	'Алюминиевый радиатор Global VOX 500/100',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Алюминиевый радиатор Global VOX 500/100',	'Алюминиевый радиатор Global VOX 500/100',	'Алюминиевый радиатор Global VOX 500/100',	''),
(2,	79,	'Бойлер Atlantic VM 100 D400-2-B O\'Pro Turbo',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Бойлер Atlantic VM 100 D400-2-B O\'Pro Turbo',	'Бойлер Atlantic VM 100 D400-2-B O\'Pro Turbo',	'Бойлер Atlantic VM 100 D400-2-B O\'Pro Turbo',	''),
(2,	80,	'Бойлер Atlantic VM 050 D400-2-B O\'Pro Turbo',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Бойлер Atlantic VM 050 D400-2-B O\'Pro Turbo',	'Бойлер Atlantic VM 050 D400-2-B O\'Pro Turbo',	'Бойлер Atlantic VM 050 D400-2-B O\'Pro Turbo',	''),
(2,	81,	'Бойлер Atlantic VM 100 D400-1-M O\'Pro Profi',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Бойлер Atlantic VM 100 D400-1-M O\'Pro Profi',	'Бойлер Atlantic VM 100 D400-1-M O\'Pro Profi',	'Бойлер Atlantic VM 100 D400-1-M O\'Pro Profi',	''),
(2,	82,	'Бойлер Atlantic VM 050 D400-1-M O\'Pro Profi',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Бойлер Atlantic VM 050 D400-1-M O\'Pro Profi',	'Бойлер Atlantic VM 050 D400-1-M O\'Pro Profi',	'Бойлер Atlantic VM 050 D400-1-M O\'Pro Profi',	''),
(2,	83,	'Бойлер Atlantic PC 30 O\'Pro Slim',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Бойлер Atlantic PC 30 O\'Pro Slim',	'Бойлер Atlantic PC 30 O\'Pro Slim',	'Бойлер Atlantic PC 30 O\'Pro Slim',	''),
(2,	84,	'Бойлер Atlantic Steatite PRO VM 050 D400-2-BC',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Бойлер Atlantic Steatite PRO VM 050 D400-2-BC',	'Бойлер Atlantic Steatite PRO VM 050 D400-2-BC',	'Бойлер Atlantic Steatite PRO VM 050 D400-2-BC',	''),
(2,	85,	'Бойлер ATLANTIC STEATITE SLIM VM 080 D325-2-BC',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Бойлер ATLANTIC STEATITE SLIM VM 080 D325-2-BC',	'Бойлер ATLANTIC STEATITE SLIM VM 080 D325-2-BC',	'Бойлер ATLANTIC STEATITE SLIM VM 080 D325-2-BC',	''),
(2,	86,	'Бойлер Atlantic VM 100 S4 СМ CUBE STEATITE',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Бойлер Atlantic VM 100 S4 СМ CUBE STEATITE',	'Бойлер Atlantic VM 100 S4 СМ CUBE STEATITE',	'Бойлер Atlantic VM 100 S4 СМ CUBE STEATITE',	''),
(2,	87,	'Бойлер Atlantic VM 75 S4 СМ CUBE STEATITE',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Бойлер Atlantic VM 75 S4 СМ CUBE STEATITE',	'Бойлер Atlantic VM 75 S4 СМ CUBE STEATITE',	'Бойлер Atlantic VM 75 S4 СМ CUBE STEATITE',	''),
(2,	88,	'Бойлер Atlantic VM 30 S3С CUBE STEATITE',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Бойлер Atlantic VM 30 S3С CUBE STEATITE',	'Бойлер Atlantic VM 30 S3С CUBE STEATITE',	'Бойлер Atlantic VM 30 S3С CUBE STEATITE',	''),
(2,	89,	'Бойлер Atlantic VM 080 D400-2-B O\'Pro Turbo',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Бойлер Atlantic VM 080 D400-2-B O\'Pro Turbo',	'Бойлер Atlantic VM 080 D400-2-B O\'Pro Turbo',	'Бойлер Atlantic VM 080 D400-2-B O\'Pro Turbo',	''),
(2,	90,	'Бойлер Atlantic VM 080 D400-1-M O\'Pro Profi',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Бойлер Atlantic VM 080 D400-1-M O\'Pro Profi',	'Бойлер Atlantic VM 080 D400-1-M O\'Pro Profi',	'Бойлер Atlantic VM 080 D400-1-M O\'Pro Profi',	''),
(2,	91,	'Газовая колонка Beretta Aqua Idrabagno 14i',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Beretta Aqua Idrabagno 14i',	'Газовая колонка Beretta Aqua Idrabagno 14i',	'Газовая колонка Beretta Aqua Idrabagno 14i',	''),
(2,	92,	'Газовая колонка Beretta Aqua Idrabagno 14',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Beretta Aqua Idrabagno 14',	'Газовая колонка Beretta Aqua Idrabagno 14',	'Газовая колонка Beretta Aqua Idrabagno 14',	''),
(2,	93,	'Газовая колонка Beretta Aqua Idrabagno 11i',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Beretta Aqua Idrabagno 11i',	'Газовая колонка Beretta Aqua Idrabagno 11i',	'Газовая колонка Beretta Aqua Idrabagno 11i',	''),
(2,	94,	'Газовая колонка Beretta Aqua Idrabagno 11',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Beretta Aqua Idrabagno 11',	'Газовая колонка Beretta Aqua Idrabagno 11',	'Газовая колонка Beretta Aqua Idrabagno 11',	''),
(2,	95,	'Газовая колонка Bosch Therm 6000 O WR 15-2 G',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Bosch Therm 6000 O WR 15-2 G',	'Газовая колонка Bosch Therm 6000 O WR 15-2 G',	'Газовая колонка Bosch Therm 6000 O WR 15-2 G',	''),
(2,	96,	'Газовая колонка Bosch Therm 4000 O WR 15-2 B',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Bosch Therm 4000 O WR 15-2 B',	'Газовая колонка Bosch Therm 4000 O WR 15-2 B',	'Газовая колонка Bosch Therm 4000 O WR 15-2 B',	''),
(2,	97,	'Газовая колонка Bosch Therm 4000 O WR 15-2 P',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Bosch Therm 4000 O WR 15-2 P',	'Газовая колонка Bosch Therm 4000 O WR 15-2 P',	'Газовая колонка Bosch Therm 4000 O WR 15-2 P',	''),
(2,	98,	'Газовая колонка Bosch Therm 6000 O WR 13-2 G',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Bosch Therm 6000 O WR 13-2 G',	'Газовая колонка Bosch Therm 6000 O WR 13-2 G',	'Газовая колонка Bosch Therm 6000 O WR 13-2 G',	''),
(2,	99,	'Газовая колонка Bosch Therm 4000 O WR 13-2 B',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Bosch Therm 4000 O WR 13-2 B',	'Газовая колонка Bosch Therm 4000 O WR 13-2 B',	'Газовая колонка Bosch Therm 4000 O WR 13-2 B',	''),
(2,	100,	'Газовая колонка Bosch Therm 4000 O WR 13-2 P',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Bosch Therm 4000 O WR 13-2 P',	'Газовая колонка Bosch Therm 4000 O WR 13-2 P',	'Газовая колонка Bosch Therm 4000 O WR 13-2 P',	''),
(2,	101,	'Газовая колонка Bosch Therm 6000 O WR 10-2 G',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Bosch Therm 6000 O WR 10-2 G',	'Газовая колонка Bosch Therm 6000 O WR 10-2 G',	'Газовая колонка Bosch Therm 6000 O WR 10-2 G',	''),
(2,	102,	'Газовая колонка Bosch Therm 4000 O WR 10-2 B',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Bosch Therm 4000 O WR 10-2 B',	'Газовая колонка Bosch Therm 4000 O WR 10-2 B',	'Газовая колонка Bosch Therm 4000 O WR 10-2 B',	''),
(2,	103,	'Газовая колонка Bosch Therm 4000 O WR 10-2 P',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Bosch Therm 4000 O WR 10-2 P',	'Газовая колонка Bosch Therm 4000 O WR 10-2 P',	'Газовая колонка Bosch Therm 4000 O WR 10-2 P',	''),
(2,	104,	'Газовая колонка Bosch Therm 4000 O W 10-2 P',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Bosch Therm 4000 O W 10-2 P',	'Газовая колонка Bosch Therm 4000 O W 10-2 P',	'Газовая колонка Bosch Therm 4000 O W 10-2 P',	''),
(2,	105,	'Газовая колонка Bosch Therm 2000 O W 10 KB',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Bosch Therm 2000 O W 10 KB',	'Газовая колонка Bosch Therm 2000 O W 10 KB',	'Газовая колонка Bosch Therm 2000 O W 10 KB',	''),
(2,	106,	'Газовая колонка Vaillant MAG OE 14-0/0 RXI H (электро розжиг)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Vaillant MAG OE 14-0/0 RXI H (электро розжиг)',	'Газовая колонка Vaillant MAG OE 14-0/0 RXI H (электро розжиг)',	'Газовая колонка Vaillant MAG OE 14-0/0 RXI H (электро розжиг)',	''),
(2,	107,	'Газовая колонка Vaillant MAG OE 14-0/0 RXZ H (пьезорозжиг)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Vaillant MAG OE 14-0/0 RXZ H (пьезорозжиг)',	'Газовая колонка Vaillant MAG OE 14-0/0 RXZ H (пьезорозжиг)',	'Газовая колонка Vaillant MAG OE 14-0/0 RXZ H (пьезорозжиг)',	''),
(2,	108,	'Газовая колонка Vaillant MAG mini OE 11-0/0 RXI H (электро розжиг)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Vaillant MAG mini OE 11-0/0 RXI H (электро розжиг)',	'Газовая колонка Vaillant MAG mini OE 11-0/0 RXI H (электро розжиг)',	'Газовая колонка Vaillant MAG mini OE 11-0/0 RXI H (электро розжиг)',	''),
(2,	109,	'Газовая колонка Vaillant MAG mini OE 11-0/0 RXZ H (пьезорозжиг)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Vaillant MAG mini OE 11-0/0 RXZ H (пьезорозжиг)',	'Газовая колонка Vaillant MAG mini OE 11-0/0 RXZ H (пьезорозжиг)',	'Газовая колонка Vaillant MAG mini OE 11-0/0 RXZ H (пьезорозжиг)',	''),
(2,	110,	'Газовая колонка Vaillant MAG OE 11-0/0 XZ C+ H (пьезорозжиг)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Vaillant MAG OE 11-0/0 XZ C+ H (пьезорозжиг)',	'Газовая колонка Vaillant MAG OE 11-0/0 XZ C+ H (пьезорозжиг)',	'Газовая колонка Vaillant MAG OE 11-0/0 XZ C+ H (пьезорозжиг)',	''),
(2,	111,	'Сок',	'',	'',	'Сок',	'Сок, Напитки и продукты',	'',	''),
(2,	112,	'Савойская капуста',	'',	'',	'Савойская капуста',	'Савойская капуста, Напитки и продукты',	'',	''),
(2,	113,	'Китайская петрушка Кориандр',	'',	'',	'Китайская петрушка Кориандр',	'Китайская петрушка Кориандр, Organik food, Фрукты и овощи',	'',	''),
(2,	114,	'Желтый стручковый перец',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца.</p>',	'<p>Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу показывает, как много веб-страниц всё ещё дожидаются своего настоящего рождения. За прошедшие годы текст Lorem Ipsum получил много версий. Некоторые версии появились по ошибке, некоторые - намеренно (например, юмористические варианты).</p>',	'Желтый стручковый перец',	'Желтый стручковый перец, Nature product, Фрукты и овощи',	'Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу ',	''),
(2,	115,	'Вегетарианский радужный шпинат',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь.</p>',	'<p>Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу показывает, как много веб-страниц всё ещё дожидаются своего настоящего рождения. За прошедшие годы текст Lorem Ipsum получил много версий. Некоторые версии появились по ошибке, некоторые - намеренно (например, юмористические варианты).</p>',	'Вегетарианский радужный шпинат',	'Вегетарианский радужный шпинат, Nature product, Фрукты и овощи',	'Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу ',	'hit.png'),
(2,	116,	'Сладкая кукуруза',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации</p>',	'<p>Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу показывает, как много веб-страниц всё ещё дожидаются своего настоящего рождения. За прошедшие годы текст Lorem Ipsum получил много версий. Некоторые версии появились по ошибке, некоторые - намеренно (например, юмористические варианты).</p>',	'Сладкая кукуруза',	'Сладкая кукуруза, Organik food, Фрукты и овощи',	'Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу ',	'hit.png'),
(2,	117,	'Горох',	'',	'<p>Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу показывает, как много веб-страниц всё ещё дожидаются своего настоящего рождения. За прошедшие годы текст Lorem Ipsum получил много версий. Некоторые версии появились по ошибке, некоторые - намеренно (например, юмористические варианты).</p>',	'Горох',	'Горох, Organik food, Фрукты и овощи',	'Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу ',	'hit.png'),
(2,	118,	'Красная капуста',	'',	'<p>Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу показывает, как много веб-страниц всё ещё дожидаются своего настоящего рождения. За прошедшие годы текст Lorem Ipsum получил много версий. Некоторые версии появились по ошибке, некоторые - намеренно (например, юмористические варианты).</p>',	'Красная капуста',	'Красная капуста, Nature product, Фрукты и овощи',	'Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу ',	''),
(2,	119,	'Органический свежий австралийский кабачок цуккини',	'',	'<p>Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу показывает, как много веб-страниц всё ещё дожидаются своего настоящего рождения. За прошедшие годы текст Lorem Ipsum получил много версий. Некоторые версии появились по ошибке, некоторые - намеренно (например, юмористические варианты).</p>',	'Органический свежий австралийский кабачок цуккини',	'Органический свежий австралийский кабачок цуккини, Organik food, Фрукты и овощи',	'Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу ',	''),
(2,	120,	'Свежие цельные куриные ножки',	'',	'<p>Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу показывает, как много веб-страниц всё ещё дожидаются своего настоящего рождения. За прошедшие годы текст Lorem Ipsum получил много версий. Некоторые версии появились по ошибке, некоторые - намеренно (например, юмористические варианты).</p>',	'Свежие цельные куриные ножки',	'Свежие цельные куриные ножки, Organik food, Мясо и рыба',	'Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу ',	''),
(2,	121,	'Котлеты из баранины 6 в упаковке',	'',	'<p>Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу показывает, как много веб-страниц всё ещё дожидаются своего настоящего рождения. За прошедшие годы текст Lorem Ipsum получил много версий. Некоторые версии появились по ошибке, некоторые - намеренно (например, юмористические варианты).</p>',	'Котлеты из баранины 6 в упаковке',	'Котлеты из баранины 6 в упаковке, Nature product, Мясо и рыба',	'Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу ',	''),
(2,	122,	'Мясо со свиным торцом - Австралия',	'<p>Многие думают, что Lorem Ipsum - взятый с потолка псевдо-латинский набор слов, но это не совсем так.</p>',	'<p>Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу показывает, как много веб-страниц всё ещё дожидаются своего настоящего рождения. За прошедшие годы текст Lorem Ipsum получил много версий. Некоторые версии появились по ошибке, некоторые - намеренно (например, юмористические варианты).</p>',	'Мясо со свиным торцом - Австралия',	'Мясо со свиным торцом - Австралия, Organik food, Мясо и рыба',	'Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу ',	''),
(2,	123,	'Свежие кубики говядины',	'',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим Lorem Ipsum генератором. Он использует словарь из более чем 200 латинских слов, а также набор моделей предложений. В результате сгенерированный Lorem Ipsum выглядит правдоподобно, не имеет повторяющихся абзацей или \"невозможных\" слов.</p>',	'Свежие кубики говядины',	'Свежие кубики говядины, Organik food, Мясо и рыба',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим',	''),
(2,	124,	'Heinz Томатный кетчуп',	'',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим Lorem Ipsum генератором. Он использует словарь из более чем 200 латинских слов, а также набор моделей предложений. В результате сгенерированный Lorem Ipsum выглядит правдоподобно, не имеет повторяющихся абзацей или \"невозможных\" слов.</p>',	'Heinz Томатный кетчуп',	'Heinz Томатный кетчуп, Nature product, Бакалея',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим',	''),
(2,	125,	'San Remo Пенне Ригате № 18',	'',	'',	'San Remo Пенне Ригате № 18',	'San Remo Пенне Ригате № 18, Nature product, Бакалея',	'',	''),
(2,	126,	'Chobani Банановый кленовый мешок овса',	'',	'',	'Chobani Банановый кленовый мешок овса',	'Chobani Банановый кленовый мешок овса, Nature product, Бакалея',	'',	''),
(2,	127,	'Спелый сок манго',	'',	'',	'Спелый сок манго',	'Спелый сок манго, Organik food, Соки',	'',	''),
(2,	128,	'пелый клюквенный суперфруктовый сок',	'',	'',	'пелый клюквенный суперфруктовый сок',	'пелый клюквенный суперфруктовый сок, Organik food, Соки',	'',	''),
(2,	129,	'Боттега Манцони Пинк Платт Москато Роуз',	'',	'',	'Боттега Манцони Пинк Платт Москато Роуз',	'Боттега Манцони Пинк Платт Москато Роуз, Organik food, Алкогольные напитки',	'',	''),
(2,	130,	'World\'s Cellar Chateau Gillet Bordeaux Красное вино',	'',	'',	'World\'s Cellar Chateau Gillet Bordeaux Красное вино',	'World\'s Cellar Chateau Gillet Bordeaux Красное вино, Nature product, Алкогольные напитки',	'',	''),
(2,	131,	'Moet & Chandon Ice Imperial',	'',	'',	'Moet & Chandon Ice Imperial',	'Moet & Chandon Ice Imperial, Nature product, Алкогольные напитки',	'',	''),
(2,	132,	'Bottega Millesimato Brut Prosecco',	'',	'',	'Bottega Millesimato Brut Prosecco',	'Bottega Millesimato Brut Prosecco, Nature product, Алкогольные напитки',	'',	''),
(2,	133,	'Heineken Светлое пиво',	'',	'',	'Heineken Светлое пиво',	'Heineken Светлое пиво, Organik food, Алкогольные напитки',	'',	''),
(2,	134,	'Bitburger',	'',	'',	'Bitburger',	'Bitburger, Алкогольные напитки',	'',	''),
(2,	135,	'Йогурт с клубникой и черникой в ​​греческом стиле',	'',	'',	'Йогурт с клубникой и черникой в ​​греческом стиле',	'Йогурт с клубникой и черникой в ​​греческом стиле, Nature product, Бакалея',	'',	''),
(2,	136,	'Молочный чертополох',	'<p>&lt;ol&gt;<br />&nbsp;&nbsp; &lt;li&gt;Lorem ipsum dolor amet.&lt;/li&gt;<br />&nbsp;&nbsp; &lt;li&gt;Aliquam tincidunt.&lt;/li&gt;<br />&nbsp;&nbsp; &lt;li&gt;Vestibulum auctor dapibus.&lt;/li&gt;<br />&lt;/ol&gt;</p>',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим Lorem Ipsum генератором. Он использует словарь из более чем 200 латинских слов, а также набор моделей предложений. В результате сгенерированный Lorem Ipsum выглядит правдоподобно, не имеет повторяющихся абзацей или \"невозможных\" слов.</p>',	'Молочный чертополох',	'Молочный чертополох, Витамины',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим',	''),
(2,	137,	'Молочный чертополох',	'<p>&lt;ol&gt;<br />&nbsp;&nbsp; &lt;li&gt;Lorem ipsum dolor amet.&lt;/li&gt;<br />&nbsp;&nbsp; &lt;li&gt;Aliquam tincidunt.&lt;/li&gt;<br />&nbsp;&nbsp; &lt;li&gt;Vestibulum auctor dapibus.&lt;/li&gt;<br />&lt;/ol&gt;</p>',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим Lorem Ipsum генератором. Он использует словарь из более чем 200 латинских слов, а также набор моделей предложений. В результате сгенерированный Lorem Ipsum выглядит правдоподобно, не имеет повторяющихся абзацей или \"невозможных\" слов.</p>',	'Молочный чертополох',	'Молочный чертополох, Britax romer, Витамины',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим',	''),
(2,	138,	'Country Life Экстракт расторопши',	'<p>&lt;ol&gt;<br />&nbsp;&nbsp; &lt;li&gt;Lorem ipsum dolor amet.&lt;/li&gt;<br />&nbsp;&nbsp; &lt;li&gt;Aliquam tincidunt.&lt;/li&gt;<br />&nbsp;&nbsp; &lt;li&gt;Vestibulum auctor dapibus.&lt;/li&gt;<br />&lt;/ol&gt;</p>',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим Lorem Ipsum генератором. Он использует словарь из более чем 200 латинских слов, а также набор моделей предложений. В результате сгенерированный Lorem Ipsum выглядит правдоподобно, не имеет повторяющихся абзацей или \"невозможных\" слов.</p>',	'Country Life Экстракт расторопши',	'Country Life Экстракт расторопши, Britax romer, Витамины',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим',	'garant.png'),
(2,	139,	'Клинический Лобный Термометр Новый 2017',	'<ol>\r\n<li>Lorem ipsum dolor amet.</li>\r\n<li>Aliquam tincidunt.</li>\r\n<li>Vestibulum auctor dapibus.</li>\r\n</ol>',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим Lorem Ipsum генератором. Он использует словарь из более чем 200 латинских слов, а также набор моделей предложений. В результате сгенерированный Lorem Ipsum выглядит правдоподобно, не имеет повторяющихся абзацей или \"невозможных\" слов.</p>',	'Клинический Лобный Термометр Новый 2017',	'Клинический Лобный Термометр Новый 2017, Britax romer, Витамины',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим',	'akciya.png'),
(2,	140,	'Коромега Омега 3',	'<ol>\r\n<li>Lorem ipsum dolor amet.</li>\r\n<li>Aliquam tincidunt.</li>\r\n<li>Vestibulum auctor dapibus.</li>\r\n</ol>',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим Lorem Ipsum генератором. Он использует словарь из более чем 200 латинских слов, а также набор моделей предложений. В результате сгенерированный Lorem Ipsum выглядит правдоподобно, не имеет повторяющихся абзацей или \"невозможных\" слов.</p>',	'Коромега Омега 3',	'Коромега Омега 3, Fitbit, Витамины',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим',	'akciya.png'),
(2,	141,	'MuscleTech Platinum',	'<ol>\r\n<li>Lorem ipsum dolor amet.</li>\r\n<li>Aliquam tincidunt.</li>\r\n<li>Vestibulum auctor dapibus.</li>\r\n</ol>',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим Lorem Ipsum генератором. Он использует словарь из более чем 200 латинских слов, а также набор моделей предложений. В результате сгенерированный Lorem Ipsum выглядит правдоподобно, не имеет повторяющихся абзацей или \"невозможных\" слов.</p>',	'MuscleTech Platinum',	'MuscleTech Platinum, Fitbit, Витамины',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим',	'new.png'),
(2,	142,	'Premium Collagen Peptides',	'<ol>\r\n<li>Lorem ipsum dolor amet.</li>\r\n<li>Aliquam tincidunt.</li>\r\n<li>Vestibulum auctor dapibus.</li>\r\n</ol>',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим Lorem Ipsum генератором. Он использует словарь из более чем 200 латинских слов, а также набор моделей предложений. В результате сгенерированный Lorem Ipsum выглядит правдоподобно, не имеет повторяющихся абзацей или \"невозможных\" слов.</p>',	'Premium Collagen Peptides',	'Premium Collagen Peptides, Britax romer, Витамины',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим',	'new.png'),
(2,	143,	'Куркума Куркумин с биоперином 1500 мг',	'<ol>\r\n<li>Lorem ipsum dolor amet.</li>\r\n<li>Aliquam tincidunt.</li>\r\n<li>Vestibulum auctor dapibus.</li>\r\n</ol>',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим Lorem Ipsum генератором. Он использует словарь из более чем 200 латинских слов, а также набор моделей предложений. В результате сгенерированный Lorem Ipsum выглядит правдоподобно, не имеет повторяющихся абзацей или \"невозможных\" слов.</p>',	'Куркума Куркумин с биоперином 1500 мг',	'Куркума Куркумин с биоперином 1500 мг, Britax romer, Витамины',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим',	'hit.png'),
(2,	144,	'LexMod Twirl Outdoor Wicker',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">(H)204.5, (W)133.0, (Dia)133.0cm</span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>6</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.5м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Водонепронецаемый:<strong> да</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>120кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'LexMod Twirl Outdoor Wicker',	'LexMod Twirl Outdoor Wicker, Puff, Диваны',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	''),
(2,	145,	'LexMod Twirl Outdoor Wicker',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">(H)204.5, (W)133.0</span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>6</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.5м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Водонепронецаемый:<strong> да</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>120кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'LexMod Twirl Outdoor Wicker',	'LexMod Twirl Outdoor Wicker, Puff, Диваны',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	''),
(2,	146,	'LexMod Twirl pro Outdoor Wicker',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">(H)208.5, (W)136.0</span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>6</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.6м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Водонепронецаемый:<strong> нет</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>130кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'LexMod Twirl pro Outdoor Wicker',	'LexMod Twirl pro Outdoor Wicker, Puff, Диваны',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	''),
(2,	147,	'LexMod Twirl Lazy Outdoor Wicker',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">(H)208.5, (W)136.0</span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>7</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.3м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Водонепронецаемый:<strong> нет</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>140кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'LexMod Twirl Lazy Outdoor Wicker',	'LexMod Twirl Lazy Outdoor Wicker, Puff, Диваны',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	''),
(2,	148,	'LexMod Twirl Medium Outdoor Wicker',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">(H)208.5, (W)136.0</span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>5</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.45м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Водонепронецаемый:<strong> да<br /></strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>145кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'LexMod Twirl Medium Outdoor Wicker',	'LexMod Twirl Medium Outdoor Wicker, Puff, Диваны',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	''),
(2,	150,	'LexMod Taiji Outdoor Wicker Patio Daybed',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">47L x 104W x 33.5H<br /></span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>5</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.55м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Водонепронецаемый:<strong> да<br /></strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>215кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'LexMod Taiji Outdoor Wicker Patio Daybed',	'LexMod Taiji Outdoor Wicker Patio Daybed, Britax romer, Диваны',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	'hit.png'),
(2,	151,	'LexMod Taiji Outdoor Wicker Patio Daybed',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">47L x 104W x 33.5H<br /></span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>5</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.55м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Водонепронецаемый:<strong> да<br /></strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>215кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'LexMod Taiji Outdoor Wicker Patio Daybed',	'LexMod Taiji Outdoor Wicker Patio Daybed, Britax romer, Диваны',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	'hit.png'),
(2,	152,	'LexMod Taiji Out Wicker Patio Daybed',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">65.5L x 89.5W x 25.5H<br /></span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>6</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.55м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Водонепронецаемый:<strong> да<br /></strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>215кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'LexMod Taiji Out Wicker Patio Daybed',	'LexMod Taiji Out Wicker Patio Daybed, Britax romer, Диваны',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	'hit.png'),
(2,	153,	'LexMod Taiji Wicker Patio Daybed',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">65.5L x 89.5W x 25.5H<br /></span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>7</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.55м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Водонепронецаемый:<strong> да<br /></strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>215кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'LexMod Taiji Wicker Patio Daybed',	'LexMod Taiji Wicker Patio Daybed, Britax romer, Диваны',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	'hit.png'),
(2,	154,	'Классический табурет Trex34',	'',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'Классический табурет Trex34',	'Классический табурет Trex34, Beretta, табуреты',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	''),
(2,	155,	'Классический табурет Trex34',	'',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'Классический табурет Trex34',	'Классический табурет Trex34, Beretta, табуреты',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	''),
(2,	156,	'Классический табурет Trex37',	'',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'Классический табурет Trex37',	'Классический табурет Trex37, Beretta, табуреты',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	''),
(2,	157,	'Классический табурет Trex30',	'',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'Классический табурет Trex30',	'Классический табурет Trex30, Beretta, табуреты',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	''),
(2,	158,	'Классический табурет Trex40',	'',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'Классический табурет Trex40',	'Классический табурет Trex40, Beretta, табуреты',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	''),
(2,	159,	'Folding chair Catalina',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">(H)91.0, (W)54ю8 <br /></span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>1</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.2м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страна:<strong> Италия</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>12кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'Folding chair Catalina',	'Folding chair Catalina, Beretta, Складные стулья',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	''),
(2,	160,	'Складной стул Shine Catalina',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">(H)91.0, (W)54ю8 <br /></span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>1</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.2м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страна:<strong> Франция<br /></strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>11.5кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'Складной стул Shine Catalina',	'Складной стул Shine Catalina, Fitbit, Складные стулья',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	'akciya.png'),
(2,	161,	'Складной стул Shine Catalina 34',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">(H)91.0, (W)54ю8 <br /></span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>1</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.2м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страна:<strong> Франция<br /></strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>13кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'Складной стул Shine Catalina 34',	'Складной стул Shine Catalina 34, Fitbit, Складные стулья',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	'garant.png'),
(2,	162,	'Кровать  Chikasha Natural Quilt',	'',	'',	'Кровать  Chikasha Natural Quilt',	'Кровать  Chikasha Natural Quilt, Кровати',	'',	''),
(2,	163,	'Кровать  Chikasha Natural Quilt',	'',	'',	'Кровать  Chikasha Natural Quilt',	'Кровать  Chikasha Natural Quilt, Кровати',	'',	''),
(2,	164,	'Кровать  Shelly Beach Quilt 2',	'',	'',	'Кровать  Shelly Beach Quilt 2',	'Кровать  Shelly Beach Quilt 2, Кровати',	'',	''),
(2,	165,	'Кровать  Shelly Cover Natural',	'',	'',	'Кровать  Shelly Cover Natural',	'Кровать  Shelly Cover Natural, Кровати',	'',	''),
(2,	166,	'Кровать  Shelly Cover Natural2',	'',	'',	'Кровать  Shelly Cover Natural2',	'Кровать  Shelly Cover Natural2, Кровати',	'',	''),
(2,	167,	'Кровать  Kerela Quilt Cover',	'',	'',	'Кровать  Kerela Quilt Cover',	'Кровать  Kerela Quilt Cover, Кровати',	'',	''),
(2,	168,	'Пенал для ванной Bookends1',	'',	'',	'Пенал для ванной Bookends1',	'Пенал для ванной Bookends1, Пеналы',	'',	''),
(2,	169,	'Пенал для ванной Bookends1',	'',	'',	'Пенал для ванной Bookends1',	'Пенал для ванной Bookends1, Пеналы',	'',	''),
(2,	170,	'Пенал для ванной Bookends2',	'',	'',	'Пенал для ванной Bookends2',	'Пенал для ванной Bookends2, Пеналы',	'',	''),
(2,	171,	'Пенал для ванной Bookends3',	'',	'',	'Пенал для ванной Bookends3',	'Пенал для ванной Bookends3, Пеналы',	'',	''),
(2,	172,	'Пенал для ванной Grinder',	'',	'',	'Пенал для ванной Grinder',	'Пенал для ванной Grinder, Пеналы',	'',	''),
(2,	173,	'Пенал для ванной Grinder2',	'',	'',	'Пенал для ванной Grinder2',	'Пенал для ванной Grinder2, Пеналы',	'',	''),
(2,	174,	'Тумба под раковину Aquwastyle1',	'',	'',	'Тумба под раковину Aquwastyle1',	'Тумба под раковину Aquwastyle1, Beretta, Тумбы для ванной',	'',	''),
(2,	175,	'Тумба под раковину Aquwastyle1',	'',	'',	'Тумба под раковину Aquwastyle1',	'Тумба под раковину Aquwastyle1, Beretta, Тумбы для ванной',	'',	''),
(2,	176,	'Тумба под раковину Aquwastyle2',	'',	'',	'Тумба под раковину Aquwastyle2',	'Тумба под раковину Aquwastyle2, Beretta, Тумбы для ванной',	'',	''),
(2,	177,	'Тумба под раковину Aquwastyle3',	'',	'',	'Тумба под раковину Aquwastyle3',	'Тумба под раковину Aquwastyle3, Beretta, Тумбы для ванной',	'',	''),
(2,	178,	'Тумба под раковину Aquwastyle4',	'',	'',	'Тумба под раковину Aquwastyle4',	'Тумба под раковину Aquwastyle4, Beretta, Тумбы для ванной',	'',	''),
(2,	179,	'Шуруповерт аккумуляторный DeWalt Speed',	'',	'',	'Шуруповерт аккумуляторный DeWalt Speed',	'Шуруповерт аккумуляторный DeWalt Speed, Bosch, Строительные инструменты',	'',	''),
(2,	180,	'Шуруповерт аккумуляторный DeWalt Speed',	'',	'',	'Шуруповерт аккумуляторный DeWalt Speed',	'Шуруповерт аккумуляторный DeWalt Speed, Bosch, Строительные инструменты',	'',	''),
(2,	181,	'Корпус дисковой пилы Bosch',	'',	'',	'Корпус дисковой пилы Bosch',	'Корпус дисковой пилы Bosch, Bosch, Строительные инструменты',	'',	''),
(2,	182,	'Беспроводной перфоратор Bosch Plus',	'',	'',	'Беспроводной перфоратор Bosch Plus',	'Беспроводной перфоратор Bosch Plus, Bosch, Строительные инструменты',	'',	''),
(2,	183,	'Отбойный молоток Bosch GSH 6784',	'',	'',	'Отбойный молоток Bosch GSH 6784',	'Отбойный молоток Bosch GSH 6784, Bosch, Строительные инструменты',	'',	''),
(2,	185,	'Пылезащитный прибор Bosch',	'',	'',	'Пылезащитный прибор Bosch',	'Пылезащитный прибор Bosch, Bosch, Строительные инструменты',	'',	''),
(2,	186,	'Профессиональный мини-пылесос Bosch',	'',	'',	'Профессиональный мини-пылесос Bosch',	'Профессиональный мини-пылесос Bosch, Bosch, Строительные инструменты',	'',	''),
(2,	187,	'Отбойный молоток Bosch GSH 7 VC',	'',	'',	'Отбойный молоток Bosch GSH 7 VC',	'Отбойный молоток Bosch GSH 7 VC, Bosch, Строительные инструменты',	'',	''),
(2,	188,	'Аутсайдер Стивен Кинг',	'<ul>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Автор: <strong>Стивен Кинг</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страниц: </span><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\"><strong>592</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Год издания: <strong>2019</strong></span></li>\r\n</ul>',	'<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар):</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Добавление цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS.png\" alt=\"Добавление цифрового товара\" width=\"auto\" height=\"auto\" /></span></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">После добавления файла - сохраните товар.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после оплаты заказа.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту до оплаты:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS1.png\" alt=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту после оплаты заказа:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Ссылка на скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS2.png\" alt=\"Ссылка на скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">3. Получение клиентом заказанного товара:</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px auto; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto; display: block;\" title=\"Скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS3.png\" alt=\"Скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Тоже самое можно проделать с любым электронным файлом.</p>\r\n<ul style=\"box-sizing: border-box; margin: 0px 0px 1rem 25px; padding: 0px 0px 0px 25px; list-style-type: disc; color: #212330; font-family: \'Open Sans\', sans-serif; font-size: 16px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы продаете музыкальные композиции - загрузите в описание к товару кусочек своего трека.</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы занимаетесь продажей видеороликов - добавьте в качестве фотографий товара несколько скриншотов своего видео.&nbsp;</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Возможно вы продаете ценную информацию, например, книги? Несколько абзацев в описании к товару заинтересуют покупателя.</span></li>\r\n</ul>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Пробуйте и у вас получится.</p>',	'Аутсайдер Стивен Кинг',	'Аутсайдер Стивен Кинг, Книги и канцтовары',	'Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже. \r\n 1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар): \r\n     \r\n После добавления файла - сохраните товар. \r\n 2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после ',	'new.png'),
(2,	189,	'Аутсайдер Стивен Кинг',	'<ul>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Автор: <strong>Стивен Кинг</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страниц: </span><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\"><strong>592</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Год издания: <strong>2019</strong></span></li>\r\n</ul>',	'<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар):</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Добавление цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS.png\" alt=\"Добавление цифрового товара\" width=\"auto\" height=\"auto\" /></span></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">После добавления файла - сохраните товар.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после оплаты заказа.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту до оплаты:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS1.png\" alt=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту после оплаты заказа:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Ссылка на скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS2.png\" alt=\"Ссылка на скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">3. Получение клиентом заказанного товара:</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px auto; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto; display: block;\" title=\"Скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS3.png\" alt=\"Скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Тоже самое можно проделать с любым электронным файлом.</p>\r\n<ul style=\"box-sizing: border-box; margin: 0px 0px 1rem 25px; padding: 0px 0px 0px 25px; list-style-type: disc; color: #212330; font-family: \'Open Sans\', sans-serif; font-size: 16px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы продаете музыкальные композиции - загрузите в описание к товару кусочек своего трека.</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы занимаетесь продажей видеороликов - добавьте в качестве фотографий товара несколько скриншотов своего видео.&nbsp;</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Возможно вы продаете ценную информацию, например, книги? Несколько абзацев в описании к товару заинтересуют покупателя.</span></li>\r\n</ul>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Пробуйте и у вас получится.</p>',	'Аутсайдер Стивен Кинг',	'Аутсайдер Стивен Кинг, Книги и канцтовары',	'Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже. \r\n 1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар): \r\n     \r\n После добавления файла - сохраните товар. \r\n 2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после ',	'new.png'),
(2,	190,	'Кладбище домашних животных Стивен Кинг',	'<ul>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Автор: <strong>Стивен Кинг</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страниц:</span><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\"><strong>400</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Год издания: <strong>2019</strong></span></li>\r\n</ul>',	'<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар):</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Добавление цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS.png\" alt=\"Добавление цифрового товара\" width=\"auto\" height=\"auto\" /></span></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">После добавления файла - сохраните товар.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после оплаты заказа.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту до оплаты:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS1.png\" alt=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту после оплаты заказа:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Ссылка на скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS2.png\" alt=\"Ссылка на скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">3. Получение клиентом заказанного товара:</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px auto; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto; display: block;\" title=\"Скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS3.png\" alt=\"Скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Тоже самое можно проделать с любым электронным файлом.</p>\r\n<ul style=\"box-sizing: border-box; margin: 0px 0px 1rem 25px; padding: 0px 0px 0px 25px; list-style-type: disc; color: #212330; font-family: \'Open Sans\', sans-serif; font-size: 16px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы продаете музыкальные композиции - загрузите в описание к товару кусочек своего трека.</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы занимаетесь продажей видеороликов - добавьте в качестве фотографий товара несколько скриншотов своего видео.&nbsp;</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Возможно вы продаете ценную информацию, например, книги? Несколько абзацев в описании к товару заинтересуют покупателя.</span></li>\r\n</ul>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Пробуйте и у вас получится.</p>',	'Кладбище домашних животных Стивен Кинг',	'Кладбище домашних животных Стивен Кинг, Книги и канцтовары',	'Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже. \r\n 1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар): \r\n     \r\n После добавления файла - сохраните товар. \r\n 2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после ',	'akciya.png'),
(2,	191,	'Керри животных Стивен Кинг',	'<ul>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Автор: <strong>Стивен Кинг</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страниц: </span><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\"><strong>224</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Год издания: <strong>2018</strong></span></li>\r\n</ul>',	'<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар):</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Добавление цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS.png\" alt=\"Добавление цифрового товара\" width=\"auto\" height=\"auto\" /></span></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">После добавления файла - сохраните товар.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после оплаты заказа.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту до оплаты:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS1.png\" alt=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту после оплаты заказа:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Ссылка на скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS2.png\" alt=\"Ссылка на скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">3. Получение клиентом заказанного товара:</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px auto; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto; display: block;\" title=\"Скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS3.png\" alt=\"Скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Тоже самое можно проделать с любым электронным файлом.</p>\r\n<ul style=\"box-sizing: border-box; margin: 0px 0px 1rem 25px; padding: 0px 0px 0px 25px; list-style-type: disc; color: #212330; font-family: \'Open Sans\', sans-serif; font-size: 16px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы продаете музыкальные композиции - загрузите в описание к товару кусочек своего трека.</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы занимаетесь продажей видеороликов - добавьте в качестве фотографий товара несколько скриншотов своего видео.&nbsp;</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Возможно вы продаете ценную информацию, например, книги? Несколько абзацев в описании к товару заинтересуют покупателя.</span></li>\r\n</ul>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Пробуйте и у вас получится.</p>',	'Керри животных Стивен Кинг',	'Керри животных Стивен Кинг, Книги и канцтовары',	'Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже. \r\n 1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар): \r\n     \r\n После добавления файла - сохраните товар. \r\n 2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после ',	'hit.png'),
(2,	192,	'Зеленая миля Стивен Кинг',	'<ul>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Автор: <strong>Стивен Кинг</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страниц: </span><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\"><strong>432</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Год издания: <strong>2017</strong></span></li>\r\n</ul>',	'<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар):</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Добавление цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS.png\" alt=\"Добавление цифрового товара\" width=\"auto\" height=\"auto\" /></span></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">После добавления файла - сохраните товар.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после оплаты заказа.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту до оплаты:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS1.png\" alt=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту после оплаты заказа:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Ссылка на скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS2.png\" alt=\"Ссылка на скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">3. Получение клиентом заказанного товара:</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px auto; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto; display: block;\" title=\"Скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS3.png\" alt=\"Скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Тоже самое можно проделать с любым электронным файлом.</p>\r\n<ul style=\"box-sizing: border-box; margin: 0px 0px 1rem 25px; padding: 0px 0px 0px 25px; list-style-type: disc; color: #212330; font-family: \'Open Sans\', sans-serif; font-size: 16px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы продаете музыкальные композиции - загрузите в описание к товару кусочек своего трека.</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы занимаетесь продажей видеороликов - добавьте в качестве фотографий товара несколько скриншотов своего видео.&nbsp;</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Возможно вы продаете ценную информацию, например, книги? Несколько абзацев в описании к товару заинтересуют покупателя.</span></li>\r\n</ul>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Пробуйте и у вас получится.</p>',	'Зеленая миля Стивен Кинг',	'Зеленая миля Стивен Кинг, Книги и канцтовары',	'Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже. \r\n 1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар): \r\n     \r\n После добавления файла - сохраните товар. \r\n 2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после ',	'akciya.png');
INSERT INTO `ok_lang_products` (`lang_id`, `product_id`, `name`, `annotation`, `description`, `meta_title`, `meta_keywords`, `meta_description`, `special`) VALUES
(2,	193,	'Стрелец. Темная Башня Стивен Кинг',	'<ul>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Автор: <strong>Стивен Кинг</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страниц: </span><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\"><strong>240</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Год издания: <strong>2017</strong></span></li>\r\n</ul>',	'<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар):</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Добавление цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS.png\" alt=\"Добавление цифрового товара\" width=\"auto\" height=\"auto\" /></span></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">После добавления файла - сохраните товар.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после оплаты заказа.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту до оплаты:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS1.png\" alt=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту после оплаты заказа:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Ссылка на скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS2.png\" alt=\"Ссылка на скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">3. Получение клиентом заказанного товара:</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px auto; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto; display: block;\" title=\"Скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS3.png\" alt=\"Скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Тоже самое можно проделать с любым электронным файлом.</p>\r\n<ul style=\"box-sizing: border-box; margin: 0px 0px 1rem 25px; padding: 0px 0px 0px 25px; list-style-type: disc; color: #212330; font-family: \'Open Sans\', sans-serif; font-size: 16px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы продаете музыкальные композиции - загрузите в описание к товару кусочек своего трека.</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы занимаетесь продажей видеороликов - добавьте в качестве фотографий товара несколько скриншотов своего видео.&nbsp;</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Возможно вы продаете ценную информацию, например, книги? Несколько абзацев в описании к товару заинтересуют покупателя.</span></li>\r\n</ul>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Пробуйте и у вас получится.</p>',	'Стрелец. Темная Башня Стивен Кинг',	'Стрелец. Темная Башня Стивен Кинг, Книги и канцтовары',	'Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже. \r\n 1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар): \r\n     \r\n После добавления файла - сохраните товар. \r\n 2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после ',	''),
(2,	194,	'Спящие красавицы Стивен Кинг',	'<ul>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Автор: <strong>Стивен Кинг</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страниц: </span><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\"><strong>880</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Год издания: <strong>2018</strong></span></li>\r\n</ul>',	'<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар):</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Добавление цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS.png\" alt=\"Добавление цифрового товара\" width=\"auto\" height=\"auto\" /></span></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">После добавления файла - сохраните товар.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после оплаты заказа.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту до оплаты:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS1.png\" alt=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту после оплаты заказа:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Ссылка на скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS2.png\" alt=\"Ссылка на скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">3. Получение клиентом заказанного товара:</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px auto; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto; display: block;\" title=\"Скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS3.png\" alt=\"Скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Тоже самое можно проделать с любым электронным файлом.</p>\r\n<ul style=\"box-sizing: border-box; margin: 0px 0px 1rem 25px; padding: 0px 0px 0px 25px; list-style-type: disc; color: #212330; font-family: \'Open Sans\', sans-serif; font-size: 16px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы продаете музыкальные композиции - загрузите в описание к товару кусочек своего трека.</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы занимаетесь продажей видеороликов - добавьте в качестве фотографий товара несколько скриншотов своего видео.&nbsp;</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Возможно вы продаете ценную информацию, например, книги? Несколько абзацев в описании к товару заинтересуют покупателя.</span></li>\r\n</ul>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Пробуйте и у вас получится.</p>',	'Спящие красавицы Стивен Кинг',	'Спящие красавицы Стивен Кинг, Книги и канцтовары',	'Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже. \r\n 1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар): \r\n     \r\n После добавления файла - сохраните товар. \r\n 2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после ',	''),
(2,	195,	'Ловец снов Стивен Кинг',	'<ul>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Автор: <strong>Стивен Кинг</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страниц: </span><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\"><strong>672</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Год издания: <strong>2016</strong></span></li>\r\n</ul>',	'<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар):</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Добавление цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS.png\" alt=\"Добавление цифрового товара\" width=\"auto\" height=\"auto\" /></span></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">После добавления файла - сохраните товар.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после оплаты заказа.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту до оплаты:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS1.png\" alt=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту после оплаты заказа:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Ссылка на скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS2.png\" alt=\"Ссылка на скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">3. Получение клиентом заказанного товара:</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px auto; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto; display: block;\" title=\"Скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS3.png\" alt=\"Скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Тоже самое можно проделать с любым электронным файлом.</p>\r\n<ul style=\"box-sizing: border-box; margin: 0px 0px 1rem 25px; padding: 0px 0px 0px 25px; list-style-type: disc; color: #212330; font-family: \'Open Sans\', sans-serif; font-size: 16px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы продаете музыкальные композиции - загрузите в описание к товару кусочек своего трека.</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы занимаетесь продажей видеороликов - добавьте в качестве фотографий товара несколько скриншотов своего видео.&nbsp;</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Возможно вы продаете ценную информацию, например, книги? Несколько абзацев в описании к товару заинтересуют покупателя.</span></li>\r\n</ul>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Пробуйте и у вас получится.</p>',	'Ловец снов Стивен Кинг',	'Ловец снов Стивен Кинг, Книги и канцтовары',	'Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже. \r\n 1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар): \r\n     \r\n После добавления файла - сохраните товар. \r\n 2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после ',	''),
(2,	196,	'Наращивание ресниц',	'',	'',	'Наращивание ресниц',	'Наращивание ресниц, GARNIER, Косметика',	'',	''),
(2,	197,	'Наращивание ресниц',	'',	'',	'Наращивание ресниц',	'Наращивание ресниц, GARNIER, Косметика',	'',	''),
(2,	198,	'Духи с ароматом стородины',	'',	'',	'Духи с ароматом стородины',	'Духи с ароматом стородины, GARNIER, Косметика',	'',	''),
(2,	199,	'Универсальная маска для лица',	'',	'',	'Универсальная маска для лица',	'Универсальная маска для лица, GARNIER, Косметика',	'',	''),
(2,	200,	'Духи Versace Bright crystal ABSOLU',	'',	'',	'Духи Versace Bright crystal ABSOLU',	'Духи Versace Bright crystal ABSOLU, GARNIER, Косметика',	'',	''),
(2,	201,	'Набор меосметических кистей Bellapierre',	'',	'',	'Набор меосметических кистей Bellapierre',	'Набор меосметических кистей Bellapierre, GARNIER, Косметика',	'',	''),
(2,	202,	'Крем для лица ESTEE LAUDER',	'',	'',	'Крем для лица ESTEE LAUDER',	'Крем для лица ESTEE LAUDER, GARNIER, Косметика',	'',	''),
(2,	203,	'Мягкий матовый крем для губ',	'',	'',	'Мягкий матовый крем для губ',	'Мягкий матовый крем для губ, GARNIER, Косметика',	'',	''),
(2,	204,	'Мягкие матовые тени',	'',	'',	'Мягкие матовые тени',	'Мягкие матовые тени, GARNIER, Косметика',	'',	''),
(2,	205,	'Электровелосипед Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2019',	'',	'<p><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-size: 13px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Модель Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2019 предназначена как для агрессивного катания по лесным трассам, так и для неторопливых прогулок по живописным маршрутам. Основная особенность модели - мощный электромотор, который поможет без труда заехать в сложный подъем или преодолеть длительный трансфер от одной трассы к другой. Рама велосипед изготовлена из алюминиевого сплава с применением технологии гидроформинга, что позволило сделать велосипед легким и прочным. Модель оснащена двумя амортизаторами, которые позволят настроить байк под любую трассу. За переключение передач отвечает оборудование Sram NX Eagle.</span></p>',	'Электровелосипед Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2019',	'Электровелосипед Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2019, Haibike, Товары для спорта',	'Модель Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2019 предназначена как для агрессивного катания по лесным трассам, так и для неторопливых прогулок по живописным маршрутам. Основная особенность модели - мощный электромотор, который поможет без труда заехать в сложный подъем или преодолеть длительный трансфер от одной трассы к другой. Рама велосипед изготовлена из алюминиевого сплава с применением технологии гидроформинга, что позволило сделать велосипед легким и прочным. Модель оснащена двумя амортизаторам',	'hit.png'),
(2,	206,	'Складной велосипед Forward Tracer 1.0 2018',	'<ul>\r\n<li><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-size: 13px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #f8f6f7; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">пол: <strong>мужской</strong><br /></span></li>\r\n<li><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-size: 13px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #f8f6f7; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\"><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-size: 13px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">тип рамы</span>: <strong><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">хардтейл</span></strong><br /></span></li>\r\n<li><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-size: 13px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #f8f6f7; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">цепь: <strong>KMC HV408</strong><br /></span></li>\r\n<li><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-size: 13px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #f8f6f7; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">седло: <strong>FWD MTB</strong><br /></span></li>\r\n</ul>',	'<p><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-size: 13px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Forward Tracer 1.0 станет настоящим подарком для поклонников активного времяпровождения и спортивных велозаездов. 6-скоростная трансмиссия переключается с помощью удобных манеток Shimano Tourney RS35 и дает райдеру полный контроль над движением. Система ободных тормозов Promax TX-119L сделает каждую остановку плавной и своевременной. Материалом для изготовления рамы послужил легкий, но устойчивый к деформации алюминий, а амортизационная вилка велосипеда выполнена из стали.</span></p>',	'Складной велосипед Forward Tracer 1.0 2018',	'Складной велосипед Forward Tracer 1.0 2018, Haibike, Товары для спорта',	'Forward Tracer 1.0 станет настоящим подарком для поклонников активного времяпровождения и спортивных велозаездов. 6-скоростная трансмиссия переключается с помощью удобных манеток Shimano Tourney RS35 и дает райдеру полный контроль над движением. Система ободных тормозов Promax TX-119L сделает каждую остановку плавной и своевременной. Материалом для изготовления рамы послужил легкий, но устойчивый к деформации алюминий, а амортизационная вилка велосипеда выполнена из стали.',	''),
(2,	207,	'Велошлем Scott Arx',	'',	'<p><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-size: 13px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Велошлем с усиленной защитой и системой подгонки MRAS2. Scott ARX &ndash; велосипедный шлем с технологией in-mold: при падении шлем не раскалывается, а сохраняет цельность. Плотно облегает, хорошо защищает голову. Крупные отверстия создают равномерную вентиляцию кожи во время поездки. Легкий (240 г), прочный шлем подходит для гонок и тренировок. Система подгонки позволяет одной рукой с помощью небольшого колесика отрегулировать посадку, не прерывая движение.</span></p>',	'Велошлем Scott Arx',	'Велошлем Scott Arx, Haibike, Товары для спорта',	'Велошлем с усиленной защитой и системой подгонки MRAS2. Scott ARX &ndash; велосипедный шлем с технологией in-mold: при падении шлем не раскалывается, а сохраняет цельность. Плотно облегает, хорошо защищает голову. Крупные отверстия создают равномерную вентиляцию кожи во время поездки. Легкий (240 г), прочный шлем подходит для гонок и тренировок. Система подгонки позволяет одной рукой с помощью небольшого колесика отрегулировать посадку, не прерывая движение.',	'new.png'),
(2,	208,	'Велоперчатка BBB BBW-54 LiteZone',	'',	'<p><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-size: 13px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вентилируемая перчатка из практичных материалов. Велоперчатки LiteZone BBW-54 обеспечивают надежный крепкий хват во время велопрогулки и тренировки. Надежное удержание руля повышает уверенность велосипедиста на дороге. Ладонь дополнена силиконовыми вставками, большой и указательный пальцы дополнительно защищены. Руки в перчатках хорошо вентилируются.</span></p>',	'Велоперчатка BBB BBW-54 LiteZone',	'Велоперчатка BBB BBW-54 LiteZone, Haibike, Товары для спорта',	'Вентилируемая перчатка из практичных материалов. Велоперчатки LiteZone BBW-54 обеспечивают надежный крепкий хват во время велопрогулки и тренировки. Надежное удержание руля повышает уверенность велосипедиста на дороге. Ладонь дополнена силиконовыми вставками, большой и указательный пальцы дополнительно защищены. Руки в перчатках хорошо вентилируются.',	'garant.png'),
(2,	209,	'Велообувь Shimano SH-RP501 Men',	'',	'',	'Велообувь Shimano SH-RP501 Men',	'Велообувь Shimano SH-RP501 Men, Haibike, Товары для спорта',	'',	'hit.png'),
(2,	210,	'Гиря Hop-Sport 6 кг',	'',	'<p><span style=\"color: #666666; font-family: \'Open Sans\', sans-serif; font-size: 12px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Физические нагрузки, которые вы получите с помощью гирь, наиболее оптимальны для вашего организма. Гири спроектированы специальным образом, имеют удобную ручку для хвата. Характеристики: обхват &ndash; 50 см; объем ручки &ndash; 10 см; покрытие &ndash; винил; наполнение &ndash; бетон. Также занятия с гирями доставят удовольствие женщинам, так как помогут сбросить вес и обрести подтянутую фигуру.</span></p>',	'Гиря Hop-Sport 6 кг',	'Гиря Hop-Sport 6 кг, Haibike, Товары для спорта',	'Физические нагрузки, которые вы получите с помощью гирь, наиболее оптимальны для вашего организма. Гири спроектированы специальным образом, имеют удобную ручку для хвата. Характеристики: обхват &ndash; 50 см; объем ручки &ndash; 10 см; покрытие &ndash; винил; наполнение &ndash; бетон. Также занятия с гирями доставят удовольствие женщинам, так как помогут сбросить вес и обрести подтянутую фигуру.',	'new.png'),
(2,	211,	'Гантели Lifemaxx 8 кг',	'',	'<p><span style=\"color: #666666; font-family: \'Open Sans\', sans-serif; font-size: 12px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Гантели &ndash; широко известный универсальный снаряд с давней историей. Предназначена она для увеличения мышечной массы и выполнения силовых упражнений. Тренировки с гирей позволяют накачать бицепс, трицепс, мышцы спины, брюшного пресса, ягодичные мышцы. Имея дома один такой универсальный снаряд, вы можете обеспечить себя полноценной физической нагрузкой. Преимущество резиновых гирь с хромированной ручкой - нет необходимости оборудования страховочной поверхности на полу. Гири в резиновой оболочке прекрасно подходят для занятий как в спортивном зале, так и дома. Выбирать гирю необходимо в соответствии со своей физической формой и весом.</span></p>',	'Гантели Lifemaxx 8 кг',	'Гантели Lifemaxx 8 кг, Haibike, Товары для спорта',	'Гантели &ndash; широко известный универсальный снаряд с давней историей. Предназначена она для увеличения мышечной массы и выполнения силовых упражнений. Тренировки с гирей позволяют накачать бицепс, трицепс, мышцы спины, брюшного пресса, ягодичные мышцы. Имея дома один такой универсальный снаряд, вы можете обеспечить себя полноценной физической нагрузкой. Преимущество резиновых гирь с хромированной ручкой - нет необходимости оборудования страховочной поверхности на полу. Гири в резиновой оболочке прекрасно',	'garant.png'),
(2,	212,	'Велотренажер HouseFit',	'<ul>\r\n<li>Страна: США</li>\r\n<li>Питание: батарея</li>\r\n<li>Тип: классика</li>\r\n</ul>',	'<p><span style=\"color: #666666; font-family: \'Open Sans\', sans-serif; font-size: 12px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Велотренажер HSF 8012. Механическая бесступенчатая регулируемая система нагрузки. Корпус с полированным лакокрасочным покрытием. Очень легкая и компактная конструкция. Регулируемое по высоте сиденье. Ножки с регулировкой для неровного пола. Компьютер: функции &ndash; скорость, потраченные калории, время, расстояние. В наличии цвета: оранжевый, синий.</span></p>',	'Велотренажер HouseFit',	'Велотренажер HouseFit, Haibike, Товары для спорта',	'Велотренажер HSF 8012. Механическая бесступенчатая регулируемая система нагрузки. Корпус с полированным лакокрасочным покрытием. Очень легкая и компактная конструкция. Регулируемое по высоте сиденье. Ножки с регулировкой для неровного пола. Компьютер: функции &ndash; скорость, потраченные калории, время, расстояние. В наличии цвета: оранжевый, синий.',	'hit.png'),
(2,	213,	'ТРЕНАЖЕР ДЛЯ МЫШЦ ПЛЕЧА MARBO-SPORT 348',	'<ul>\r\n<li>Цвет: <strong>черный</strong></li>\r\n<li>Назначение: <strong>руки, плечи</strong></li>\r\n<li>Габариты: <strong>139x140x147</strong></li>\r\n</ul>',	'<p><strong>Тренажер для мышц плеча Marbo-Sport MF-U007 (MF-U007-k1t4)</strong> &ndash; высококачественное, эффективное оборудование, предназначенное для проработки рук и плечевого пояса. Нагрузка на данной моделе основана на свободном весе. Конструкция тренажера изготовлена из толстостенного стального профиля, обеспечивающего надежность и безопасность. В качестве покрытия использована качественная порошковая краска, защищающая раму от коррозии. Регулировка высоты сиденья осуществляется быстро и легко при помощи специальных приводов. Для расположения олимпийских блинов, на оборудовании предусмотрены специальные посадочные места, которые покрыты полиамидом, препятствующим появление царапин, а также снижающие уровень шума при касании инвентаря о втулки. Благодаря трехступенчатой регулировке угла наклона спинки, спортсмен может увеличивать или уменьшать нагрузку. Ручки, имеют покрытие из прочного, противоскользящего вспененного полимера, гарантирующего качественное сцепление. Данное оборудование максимально устойчиво даже на не совсем ровной поверхности благодаря специальным компенсаторам неровности пола и резиновым накладкам на ножках. Тренажер прошел необходимое тестирование и имеет сертификат безопасности Европейского центра качества.<br /><br /><strong>Особенности тренажера:</strong></p>\r\n<ul>\r\n<li>силовой, на свободных весах;</li>\r\n<li>для коммерческого использования;</li>\r\n<li>оптимальное удобство и эффективность;</li>\r\n<li>безопасность при использовании;</li>\r\n<li>для проработки мышц рук и плечевого пояса;</li>\r\n<li>конструкция из высокопрочного стального профиля и цельнокроеных металлических пластин;</li>\r\n<li>обивка из высокотехнологичной синтетической кожи;</li>\r\n<li>резиновые накладки на ножках.&nbsp;<br /><br /></li>\r\n</ul>\r\n<p><strong>Характеристики:</strong><br /><strong>&nbsp;Тип:</strong> силовой тренажер;<br /><strong>&nbsp;Вид:</strong> для горизонтального жима;<br /><strong>&nbsp;Нагрузка:</strong> на свободных весах;<br /><strong>&nbsp;Назначение:</strong> руки, плечи;<br /><strong>&nbsp;Профили: </strong>100х50x3 мм;<br /><strong>&nbsp;Общий вес тренажера:</strong> 121 кг;<br /><strong>&nbsp;Нагрузка: </strong>до 400 кг;<br /><strong>&nbsp;Габариты: </strong>139х140х147 см.<br /><br /><strong>Производитель:</strong> Marbo-Sport (Польша).<br />Торговая марка Marbo-Sport была основана более 30 лет назад в Польше, городе Страховице. Компания специализируется на производстве высококачественного спортивного оборудования. Ассортимент товаров бренда представлен стойками, скамьями, силовыми станциями, многофункциональными турниками, мультистанциями и многими другими тренажерами и аксессуарами к ним. Продукция Marbo-Sport отличается высоким качеством, надежностью и безопасностью, проходит обязательное тестирование и имеет длительную гарантию.</p>',	'ТРЕНАЖЕР ДЛЯ МЫШЦ ПЛЕЧА MARBO-SPORT 348',	'ТРЕНАЖЕР ДЛЯ МЫШЦ ПЛЕЧА MARBO-SPORT 348, Haibike, Товары для спорта',	'Тренажер для мышц плеча Marbo-Sport MF-U007 (MF-U007-k1t4)  &ndash; высококачественное, эффективное оборудование, предназначенное для проработки рук и плечевого пояса. Нагрузка на данной моделе основана на свободном весе. Конструкция тренажера изготовлена из толстостенного стального профиля, обеспечивающего надежность и безопасность. В качестве покрытия использована качественная порошковая краска, защищающая раму от коррозии. Регулировка высоты сиденья осуществляется быстро и легко при помощи специальных пр',	'akciya.png'),
(2,	214,	'Гироскутер NINEDROP BY SEGWAY 34, БЕЛЫЙ',	'<ul>\r\n<li>Цвет: белый</li>\r\n<li>Запас хода: 30км</li>\r\n<li>Вес: 3.8кг</li>\r\n<li>Диаметр: 10 дюёмов</li>\r\n</ul>',	'<p><strong>Гироскутер Ninebot by Segway MiniPro 320,&nbsp;белый </strong>- невероятно удобная и простая в эксплуатации модель. Эргономичный дизайн и умные датчики облегчают поездку и делают ее безопасней. Рулевая ручка регулируется по высоте под пользователя, а также используется для транспортировки. Защита IP54 позволит передвигаться во время дождя или же по пыльной дороге. Гироскутер идеально приспособлен к городским условиям, так как инженеры оснастили его алгоритмом динамического питания, который определяет наклоны, препятствия и автоматически регулирует мощность. Персональный транспорт может быть синхронизирован со смартфоном для удобного дистанционного управления, определения динамики движения и диагностики неполадок. LED-подсветка выполняет декоративную функцию и сигнализирует о движении: синий - движение вперед, мигание желтого - поворот, красный - торможение. Рама выполнена из мaгниевого сплава, кoторый обеспечивaет прочность конcтрукции и имеет небoльшой вес. Компактные размеры позволяют с легкостью транспортировать гироскутер в общественном транспорте или же в багажнике автомобиля.</p>\r\n<p>&nbsp;</p>\r\n<p><strong>Особенности</strong>:</p>\r\n<ul>\r\n<li>стильный дизайн;</li>\r\n<li>увеличенные колеса;</li>\r\n<li>LED-подсветка;</li>\r\n<li>цветовая сигнализация о движении;</li>\r\n<li>система идентификации;</li>\r\n<li>безопасное передвижение;</li>\r\n<li>ручка для управления и переноски;</li>\r\n<li>синхронизация со смартфоном;</li>\r\n<li>мобильное приложение;</li>\r\n<li>дистанционное управление;</li>\r\n<li>пыле- и влагозащитный корпус;</li>\r\n<li>длительная работа на одном заряде;</li>\r\n<li>мощный электромотор;</li>\r\n<li>удлинитель для подкачки колес;</li>\r\n<li>компактные размеры;</li>\r\n<li>прочный корпус.</li>\r\n</ul>\r\n<p>&nbsp;</p>\r\n<p><strong>Характеристики</strong>:<br />&nbsp;<strong>Тип</strong>: гироскутер; <br />&nbsp;<strong>Возрастная категория</strong>: 16 - 60 лет; <br />&nbsp;<strong>Рекомендyемый рост</strong>: 120 - 200 см; <br />&nbsp;<strong>Диаметр кoлес</strong>: 10,5\"; <br />&nbsp;<strong>Скорость мах</strong>: 18 км/ч; <br />&nbsp;<strong>Угoл нaклoна</strong>: до 15 градусов; <br />&nbsp;<strong>Мощность</strong>: 1600 Вт; <br />&nbsp;<strong>Батарея</strong>: Li-ion 310 Вт-ч; <br />&nbsp;<strong>Запас хoда</strong>: до 30 км; <br />&nbsp;<strong>Врeмя полоной зарядки</strong>: 4 ч; <br />&nbsp;<strong>Нагрузка</strong>: до 100 кг; <br />&nbsp;<strong>Защита</strong>: IP54; <br />&nbsp;<strong>Беспроводная связь</strong>: Bluetоoth; <br />&nbsp;<strong>Размeр</strong>: 54,6x26,2x61,1-86,6 см; <br />&nbsp;<strong>Вeс</strong>: 12,8 кг; <br />&nbsp;<strong>Цвeт</strong>: белый; <br />&nbsp;<strong>Гарaнтия</strong>: 12 месяцев.</p>',	'Гироскутер NINEDROP BY SEGWAY 34, БЕЛЫЙ',	'Гироскутер NINEDROP BY SEGWAY 34, БЕЛЫЙ, Haibike, Товары для спорта',	'Гироскутер Ninebot by Segway MiniPro 320, белый  - невероятно удобная и простая в эксплуатации модель. Эргономичный дизайн и умные датчики облегчают поездку и делают ее безопасней. Рулевая ручка регулируется по высоте под пользователя, а также используется для транспортировки. Защита IP54 позволит передвигаться во время дождя или же по пыльной дороге. Гироскутер идеально приспособлен к городским условиям, так как инженеры оснастили его алгоритмом динамического питания, который определяет наклоны, препятстви',	'garant.png'),
(2,	215,	'Гироборд 56GTA 102 10” POWER',	'<ul>\r\n<li>Цвет: <strong>красный</strong></li>\r\n<li>Запас хода: <strong>30км</strong></li>\r\n<li>Вес: 1<strong>3.8кг</strong></li>\r\n<li>Диаметр: <strong>10дюймов</strong></li>\r\n</ul>',	'<p><strong>Гироборд 2Е HB 102 10&rdquo; Power, серо-красный (2E-HB102-10P-GR) </strong>- совpеменное решение для пeредвижения по городу или прогулок. Гироскутер оборудован 10\" колесами с шиpокими покрышками, кoторые обеспечивают отличнyю проходимoсть. Заряда батареи хватает на 16 чаcов активной pаботы. Прорезиненные подножки обеспечивают отличное сцепление с обувью и устойчивость. Персональный транспорт это oтличная альтернатива pоликам или скейту. Также модель оборудована LED-диcплеем с подсвeткой.</p>\r\n<p><strong>Особенности</strong>:</p>\r\n<ul>\r\n<li>прочная конструкция;</li>\r\n<li>стильный дизайн;</li>\r\n<li>широкие колеса;</li>\r\n<li>отличная проходимость;</li>\r\n<li>мощная батарея;</li>\r\n<li>нескользящие подножки;</li>\r\n<li>автобалансировка;</li>\r\n<li>LED-дисплей.</li>\r\n</ul>\r\n<p><strong>Характеристики</strong>:<br />&nbsp;<strong>Ти</strong><strong>п</strong>: гиpоборд; <br />&nbsp;<strong>Скорость</strong> <strong>мах</strong>: 12 км/ч; <br />&nbsp;<strong>Диаметр колес</strong>: 10\"; <br />&nbsp;<strong>Мощноcть</strong>: 700 Вт (2 x 350 Вт); <br />&nbsp;<strong>Батарея</strong>: Li-ion 158 Вт*ч; <br />&nbsp;<strong>Длительность работы</strong>: до 16 ч; <br />&nbsp;<strong>Время полоной зарядки</strong>: 130 мин; <br />&nbsp;<strong>Размер</strong>: 73 х 28 х 30 см; <br />&nbsp;<strong>Веc</strong>: 13,5 кг; <br />&nbsp;<strong>Цвет</strong>: серый, красный; <br />&nbsp;<strong>Гаpантия</strong>: 12 меcяцев.</p>',	'Гироборд 56GTA 102 10” POWER',	'Гироборд 56GTA 102 10” POWER, Haibike, Товары для спорта',	'Гироборд 2Е HB 102 10&rdquo; Power, серо-красный (2E-HB102-10P-GR)  - совpеменное решение для пeредвижения по городу или прогулок. Гироскутер оборудован 10\" колесами с шиpокими покрышками, кoторые обеспечивают отличнyю проходимoсть. Заряда батареи хватает на 16 чаcов активной pаботы. Прорезиненные подножки обеспечивают отличное сцепление с обувью и устойчивость. Персональный транспорт это oтличная альтернатива pоликам или скейту. Также модель оборудована LED-диcплеем с подсвeткой. \r\n  Особенности : \r\n \r\n пр',	'new.png'),
(2,	216,	'Фитнесс-трекер SOUSHTRACK IFaT ACTIVE 3 В 1',	'<ul>\r\n<li>Цвет: черный</li>\r\n<li>Тип: smart часы</li>\r\n<li>Разъём: microUSB</li>\r\n<li>Гарантия: 12 мес</li>\r\n</ul>',	'<p class=\"MsoNormal\"><strong>Фитнес-трекер NordicTrack iFit Active 3 в 1 </strong>&ndash; очень полезный умный гаджет людям живущим активной спортивной жизнью. Данный умный девайс поможет Вам упорядочить свои спортивные нагрузки, а также проанализировать полученные результаты с помощью устройств с ОС <span lang=\"EN-US\">IOS </span>или<span lang=\"EN-US\"> Android</span>.</p>\r\n<p>Данное устройство поможет вам подсчитать съеденные калории, благодаря встроенной библиотеке блюд, что поможет вам построить правильную диету во время тренировочных нагрузок, кроме этого устройство умеет считывать параметры вашего организма во время сна, и подбирает самое удачное время для вашего пробуждения. Еще одним достоинством является сопряжение устройства с системой Fit Active, где вы можете общаться и обмениваться своими результатами с другими пользователями.</p>\r\n<p><strong>Особенности:</strong></p>\r\n<p>- яркий экран;</p>\r\n<p>- полная совместимость с устройствами <span lang=\"EN-US\">IOS </span>или<span lang=\"EN-US\"> Android</span>;</p>\r\n<p>- отображение количества пройдённых &nbsp;шагов, дистанции, сколько было сожжено калорий, время и качества сна<br /><br /></p>\r\n<p>NordicTrack &ndash; Американский бренд, составная часть группы компаний&nbsp; ICON Health&amp;Fitness, производитель с 40 летней репутацией, и огромнейшим количеством моделей. Больше 35 лет этот бренд известен своим оборудованием предназаначеным для оздоровления и фитнеса. На сегодня&nbsp; компания не останавливается на достигнутых результатах, постоянно исследуя и применяя инновации в своей продукции. Простота конструкций, эффективность, качество и уникальные решения в проектировке &ndash; быстро завоевали симпатии клиентов и принесли компании узнаваемость и признание во всем мире.</p>',	'Фитнесс-трекер SOUSHTRACK IFaT ACTIVE 3 В 1',	'Фитнесс-трекер SOUSHTRACK IFaT ACTIVE 3 В 1, Haibike, Товары для спорта',	'Фитнес-трекер NordicTrack iFit Active 3 в 1  &ndash; очень полезный умный гаджет людям живущим активной спортивной жизнью. Данный умный девайс поможет Вам упорядочить свои спортивные нагрузки, а также проанализировать полученные результаты с помощью устройств с ОС  IOS  или  Android . \r\n Данное устройство поможет вам подсчитать съеденные калории, благодаря встроенной библиотеке блюд, что поможет вам построить правильную диету во время тренировочных нагрузок, кроме этого устройство умеет считывать параметры ',	''),
(2,	217,	'Экшн-камера ThiEYE T5 Edge',	'<ul>\r\n<li>Матрица: CMOS</li>\r\n<li>Диагональ: 2 дюйма</li>\r\n<li>Формат: <span style=\"color: #000000; font-family: Helvetica, Arial, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 300; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">AVC (H.264/MPEG-4), MP4</span></li>\r\n</ul>',	'<h2 class=\"pd_prop_h2\" style=\"font-size: initial; font-weight: initial; color: #000000; font-family: Helvetica, Arial, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial; margin: initial initial 16px initial;\"><span class=\"pd_prop-val\" style=\"color: #000000; font-weight: initial; padding: initial; margin-top: 16px; font-size: 14px;\">Голосовое дистанционное управление (поддерживается только английское произношение, встроенная 1 x 3 В CR1632 батарея): прозвучат простые голосовые команды на пульте дистанционного управления или нажмите кнопку на пульте дистанционного управления, и вы можете управлять своей камерой. Удивительная технология голосовых команд дает вам свободный контроль над вашим T5 Edge. Родное видео с разрешением 4K 30 кадров в секунду: запись видео высокой четкости с разрешением 4K 30 кадров в секунду и захват действия более подробно. Встроенный 2-дюймовый экран ульта HD IPS: больше, чем предыдущее поколение, для легкой настройки камеры, просмотра и воспроизведения видео и фотографий. 14 Mп фото, различные режимы фото: одиночная съемка, автоспуск, фотосъемка, фотоснимок и длительная экспозиция. Стабилизатор гироскопа (EIS при 4K и 1080P): минимизировать размытие и компенсировать дрожание устройства, чтобы обеспечить четкие и стабильные изображения. Поворотные крепления на 360 градусов и резьбовая вставка 1/4 дюйма. Уникальный поворот на 360 градусов позволяет вам регулировать различные углы съемки, а резьбовая вставка 1/4 дюйма автоматически соединяется с штативом или самоуправляемой рукояткой. Коррекция искажений: уменьшите или устраните искажения, чтобы получить более естественный эффект съемки. Длительное воздействие: вы можете записывать орбиты съемок, водопады, водителя автомобиля из-за продления времени экспозиции. Водонепроницаемость до 60 м: оснащен профессиональным водонепроницаемым корпусом IP68, водонепроницаемый T5 Edge до 60 м. APP для дистанционного управления, редактирования и совместного использования: Подключите устройства Android или iOS к камере действия через ThiEYE Cam APP (затем загрузите с официального сайта http://www.thieye.com), затем вы можете настроить камеру, просматривать, редактировать и делиться своими видео и фотографиями.</span></h2>',	'Экшн-камера ThiEYE T5 Edge',	'Экшн-камера ThiEYE T5 Edge, Haibike, Товары для спорта',	'Голосовое дистанционное управление (поддерживается только английское произношение, встроенная 1 x 3 В CR1632 батарея): прозвучат простые голосовые команды на пульте дистанционного управления или нажмите кнопку на пульте дистанционного управления, и вы можете управлять своей камерой. Удивительная технология голосовых команд дает вам свободный контроль над вашим T5 Edge. Родное видео с разрешением 4K 30 кадров в секунду: запись видео высокой четкости с разрешением 4K 30 кадров в секунду и захват действия боле',	'akciya.png'),
(2,	218,	'Экшн-камера ThiEYE T5 Edge',	'<ul>\r\n<li>Матрица: CMOS</li>\r\n<li>Диагональ: 2 дюйма</li>\r\n<li>Формат: <span style=\"color: #000000; font-family: Helvetica, Arial, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 300; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">AVC (H.264/MPEG-4), MP4</span></li>\r\n</ul>',	'<h2 class=\"pd_prop_h2\" style=\"font-size: initial; font-weight: initial; color: #000000; font-family: Helvetica, Arial, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial; margin: initial initial 16px initial;\"><span class=\"pd_prop-val\" style=\"color: #000000; font-weight: initial; padding: initial; margin-top: 16px; font-size: 14px;\">Голосовое дистанционное управление (поддерживается только английское произношение, встроенная 1 x 3 В CR1632 батарея): прозвучат простые голосовые команды на пульте дистанционного управления или нажмите кнопку на пульте дистанционного управления, и вы можете управлять своей камерой. Удивительная технология голосовых команд дает вам свободный контроль над вашим T5 Edge. Родное видео с разрешением 4K 30 кадров в секунду: запись видео высокой четкости с разрешением 4K 30 кадров в секунду и захват действия более подробно. Встроенный 2-дюймовый экран ульта HD IPS: больше, чем предыдущее поколение, для легкой настройки камеры, просмотра и воспроизведения видео и фотографий. 14 Mп фото, различные режимы фото: одиночная съемка, автоспуск, фотосъемка, фотоснимок и длительная экспозиция. Стабилизатор гироскопа (EIS при 4K и 1080P): минимизировать размытие и компенсировать дрожание устройства, чтобы обеспечить четкие и стабильные изображения. Поворотные крепления на 360 градусов и резьбовая вставка 1/4 дюйма. Уникальный поворот на 360 градусов позволяет вам регулировать различные углы съемки, а резьбовая вставка 1/4 дюйма автоматически соединяется с штативом или самоуправляемой рукояткой. Коррекция искажений: уменьшите или устраните искажения, чтобы получить более естественный эффект съемки. Длительное воздействие: вы можете записывать орбиты съемок, водопады, водителя автомобиля из-за продления времени экспозиции. Водонепроницаемость до 60 м: оснащен профессиональным водонепроницаемым корпусом IP68, водонепроницаемый T5 Edge до 60 м. APP для дистанционного управления, редактирования и совместного использования: Подключите устройства Android или iOS к камере действия через ThiEYE Cam APP (затем загрузите с официального сайта http://www.thieye.com), затем вы можете настроить камеру, просматривать, редактировать и делиться своими видео и фотографиями.</span></h2>',	'Экшн-камера ThiEYE T5 Edge',	'Экшн-камера ThiEYE T5 Edge, Haibike, Товары для спорта',	'Голосовое дистанционное управление (поддерживается только английское произношение, встроенная 1 x 3 В CR1632 батарея): прозвучат простые голосовые команды на пульте дистанционного управления или нажмите кнопку на пульте дистанционного управления, и вы можете управлять своей камерой. Удивительная технология голосовых команд дает вам свободный контроль над вашим T5 Edge. Родное видео с разрешением 4K 30 кадров в секунду: запись видео высокой четкости с разрешением 4K 30 кадров в секунду и захват действия боле',	'akciya.png'),
(2,	219,	'Электровелосипед Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2019',	'',	'<p><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-size: 13px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Модель Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2019 предназначена как для агрессивного катания по лесным трассам, так и для неторопливых прогулок по живописным маршрутам. Основная особенность модели - мощный электромотор, который поможет без труда заехать в сложный подъем или преодолеть длительный трансфер от одной трассы к другой. Рама велосипед изготовлена из алюминиевого сплава с применением технологии гидроформинга, что позволило сделать велосипед легким и прочным. Модель оснащена двумя амортизаторами, которые позволят настроить байк под любую трассу. За переключение передач отвечает оборудование Sram NX Eagle.</span></p>',	'Электровелосипед Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2019',	'Электровелосипед Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2019, Haibike, Товары для спорта',	'Модель Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2019 предназначена как для агрессивного катания по лесным трассам, так и для неторопливых прогулок по живописным маршрутам. Основная особенность модели - мощный электромотор, который поможет без труда заехать в сложный подъем или преодолеть длительный трансфер от одной трассы к другой. Рама велосипед изготовлена из алюминиевого сплава с применением технологии гидроформинга, что позволило сделать велосипед легким и прочным. Модель оснащена двумя амортизаторам',	'hit.png'),
(2,	220,	'ТСД Motorola (Zebra/Symbol) MC9200',	'<ul>\r\n<li>Сканер: <strong>2D Imager PRZM</strong></li>\r\n<li>Операционная система: <strong>Android 4.4.4</strong></li>\r\n<li>Память: <strong>2 ГБайт Flash</strong></li>\r\n<li>Интерфейс подключения: <strong>USB</strong></li>\r\n</ul>',	'',	'ТСД Motorola (Zebra/Symbol) MC9200',	'ТСД Motorola (Zebra/Symbol) MC9200, Товары для бизнеса',	'',	'hit.png'),
(2,	221,	'ТСД Motorola (Zebra/Symbol) MC9200',	'<ul>\r\n<li>Сканер: <strong>2D Imager PRZM</strong></li>\r\n<li>Система: <strong>Android 4.4.4</strong></li>\r\n<li>Память: <strong>2 ГБайт Flash</strong></li>\r\n<li>Интерфейс: <strong>USB</strong></li>\r\n</ul>',	'',	'ТСД Motorola (Zebra/Symbol) MC9200',	'ТСД Motorola (Zebra/Symbol) MC9200, Товары для бизнеса',	'',	'hit.png'),
(2,	222,	'Сканер Jepod JP-M234',	'<ul>\r\n<li>Сканер: <strong>лазерный</strong></li>\r\n<li>Система: <strong>Android 3.2.1</strong></li>\r\n<li>Память: <strong>1 ГБайт Flash</strong></li>\r\n<li>Частота: <strong>433МГц</strong></li>\r\n</ul>',	'',	'Сканер Jepod JP-M234',	'Сканер Jepod JP-M234, Товары для бизнеса',	'',	'new.png'),
(2,	223,	'Принтер чеков-этикеток JPRT LQ258',	'<ul>\r\n<li>Разрешение: <strong>203 dpi<br /></strong></li>\r\n<li>Система: <strong>Android 3.2.1</strong></li>\r\n<li>Память: <strong>1 МБ SDRAM<br /></strong></li>\r\n<li>Материал: <strong>термобумага</strong></li>\r\n</ul>',	'',	'Принтер чеков-этикеток JPRT LQ258',	'Принтер чеков-этикеток JPRT LQ258, Товары для бизнеса',	'',	'akciya.png'),
(2,	224,	'POS-терминал Sam4s Titan-S 260',	'<ul>\r\n<li>Дисплей: <strong>15\" LED<br /></strong></li>\r\n<li>Процессор:&nbsp;<strong>Intel Quad</strong></li>\r\n<li>Память: <strong>4 ГБ DDR3</strong></li>\r\n<li>ОС:&nbsp;<strong>Windows 7</strong></li>\r\n</ul>',	'',	'POS-терминал Sam4s Titan-S 260',	'POS-терминал Sam4s Titan-S 260, Товары для бизнеса',	'',	'garant.png'),
(2,	225,	'Royal Canin Maine Coon Adult сухой корм для котов породы мейн-кун',	'<ul>\r\n<li>Вес: 10г</li>\r\n<li>Тип: Сухой корм</li>\r\n<li>Класс: Супер премиум</li>\r\n</ul>',	'<p>СПЕЦИАЛЬНО ДЛЯ КОШЕК С БОЛЬШИМИ ЧЕЛЮСТЯМИ<br /><br />Специально разработанные крокеты кубической формы, которые адаптированы к большим квадратным челюстям кошек породы мейн-кун. Уникальная форма крокет стимулирует животное к их разгрызанию, что способствует поддержанию гигиены ротовой полости.<br /><br />ЭКСКЛЮЗИВНАЯ ФОРМУЛА:<br /><br />Таурин и омега-3 жирные кислоты<br /><br />ЗДОРОВЬЕ СУСТАВОВ<br /><br />Вследствие большого размера и веса кошки породы мейн-кун ее суставы подвергаются значительной нагрузке на протяжении всей жизни животного. Формула рациона способствует поддержанию здорового состояния костей и суставов. Рацион обогащен омега-3 жирными кислотами (ЭПК и ДГК).<br /><br />ЗДОРОВЬЕ СЕРДЦА<br /><br />Рацион обогащен такими питательными веществами, как таурин, ЭПК и ДГК, которые способствуют поддержанию здоровой работы сердца.<br /><br />ЗДОРОВЬЕ КОЖИ И БЛЕСК ШЕРСТИ<br /><br />Серосодержащие аминокислоты, витамины, омега-3 и омега-6 жирные кислоты способствуют поддержанию здоровья кожи и блеска шерсти.<br /><br />ЗДОРОВЬЕ МОЧЕВЫДЕЛИТЕЛЬНОЙ СИСТЕМЫ<br /><br />Соответствующий баланс минеральных веществ в рационе способствует поддержанию здоровья мочевыделительной системы взрослых кошек.<br /><br />Мейн-кун<br /><br />Мейн-кун является крупнейшим и самым длинным котом в мире, благодаря чему он производит впечатление чрезвычайной мощи и силы. Мейн-кун может достигать 1 м в длину (вместе с хвостом), а вес котов этой породы может достигать 10-12 кг. Учитывая большой размер и тяжелый костяк особое внимание следует уделять защите суставов кошек этой породы.</p>',	'Royal Canin Maine Coon Adult сухой корм для котов породы мейн-кун',	'Royal Canin Maine Coon Adult сухой корм для котов породы мейн-кун, Royal Canin, Товары для животных',	'СПЕЦИАЛЬНО ДЛЯ КОШЕК С БОЛЬШИМИ ЧЕЛЮСТЯМИ  Специально разработанные крокеты кубической формы, которые адаптированы к большим квадратным челюстям кошек породы мейн-кун. Уникальная форма крокет стимулирует животное к их разгрызанию, что способствует поддержанию гигиены ротовой полости.  ЭКСКЛЮЗИВНАЯ ФОРМУЛА:  Таурин и омега-3 жирные кислоты  ЗДОРОВЬЕ СУСТАВОВ  Вследствие большого размера и веса кошки породы мейн-кун ее суставы подвергаются значительной нагрузке на протяжении всей жизни животного. Формула раци',	'hit.png'),
(2,	226,	'Royal Canin Maine Coon Adult сухой корм для котов породы мейн-кун',	'<ul>\r\n<li>Вес: <strong>10г</strong></li>\r\n<li>Тип: <strong>Сухой корм</strong></li>\r\n<li>Класс: <strong>Супер премиум</strong></li>\r\n</ul>',	'<p><strong>СПЕЦИАЛЬНО ДЛЯ КОШЕК С БОЛЬШИМИ ЧЕЛЮСТЯМИ</strong><br /><br />Специально разработанные крокеты кубической формы, которые адаптированы к большим квадратным челюстям кошек породы мейн-кун. Уникальная форма крокет стимулирует животное к их разгрызанию, что способствует поддержанию гигиены ротовой полости.<br /><br /><strong>ЭКСКЛЮЗИВНАЯ ФОРМУЛА:</strong><br /><br />Таурин и омега-3 жирные кислоты<br /><br /><strong>ЗДОРОВЬЕ СУСТАВОВ</strong><br /><br />Вследствие большого размера и веса кошки породы мейн-кун ее суставы подвергаются значительной нагрузке на протяжении всей жизни животного. Формула рациона способствует поддержанию здорового состояния костей и суставов. Рацион обогащен омега-3 жирными кислотами (ЭПК и ДГК).<br /><br /><strong>ЗДОРОВЬЕ СЕРДЦА</strong><br /><br />Рацион обогащен такими питательными веществами, как таурин, ЭПК и ДГК, которые способствуют поддержанию здоровой работы сердца.<br /><br /><strong>ЗДОРОВЬЕ КОЖИ И БЛЕСК ШЕРСТИ</strong><br /><br />Серосодержащие аминокислоты, витамины, омега-3 и омега-6 жирные кислоты способствуют поддержанию здоровья кожи и блеска шерсти.<br /><br /><strong>ЗДОРОВЬЕ МОЧЕВЫДЕЛИТЕЛЬНОЙ СИСТЕМЫ</strong><br /><br />Соответствующий баланс минеральных веществ в рационе способствует поддержанию здоровья мочевыделительной системы взрослых кошек.<br /><br />Мейн-кун<br /><br />Мейн-кун является крупнейшим и самым длинным котом в мире, благодаря чему он производит впечатление чрезвычайной мощи и силы. Мейн-кун может достигать 1 м в длину (вместе с хвостом), а вес котов этой породы может достигать 10-12 кг. Учитывая большой размер и тяжелый костяк особое внимание следует уделять защите суставов кошек этой породы.</p>',	'Royal Canin Maine Coon Adult сухой корм для котов породы мейн-кун',	'Royal Canin Maine Coon Adult сухой корм для котов породы мейн-кун, Royal Canin, Товары для животных',	'СПЕЦИАЛЬНО ДЛЯ КОШЕК С БОЛЬШИМИ ЧЕЛЮСТЯМИ   Специально разработанные крокеты кубической формы, которые адаптированы к большим квадратным челюстям кошек породы мейн-кун. Уникальная форма крокет стимулирует животное к их разгрызанию, что способствует поддержанию гигиены ротовой полости.   ЭКСКЛЮЗИВНАЯ ФОРМУЛА:   Таурин и омега-3 жирные кислоты   ЗДОРОВЬЕ СУСТАВОВ   Вследствие большого размера и веса кошки породы мейн-кун ее суставы подвергаются значительной нагрузке на протяжении всей жизни животного. Формула',	'hit.png'),
(2,	227,	'Royal Canin British Shorthair Kitten сухой корм для котят породы британская короткошерстная',	'<ul>\r\n<li>Вес: <strong>10г</strong></li>\r\n<li>Тип: <strong>Сухой корм</strong></li>\r\n<li>Класс: <strong>Супер премиум</strong></li>\r\n</ul>',	'<p><strong>СПЕЦИАЛЬНО ДЛЯ КОШЕК С БОЛЬШИМИ ЧЕЛЮСТЯМИ</strong><br /><br />Специально разработанные крокеты кубической формы, которые адаптированы к большим квадратным челюстям кошек породы британская. Уникальная форма крокет стимулирует животное к их разгрызанию, что способствует поддержанию гигиены ротовой полости.<br /><br /><strong>ЭКСКЛЮЗИВНАЯ ФОРМУЛА:</strong><br /><br />Таурин и омега-3 жирные кислоты<br /><br /><strong>ЗДОРОВЬЕ СУСТАВОВ</strong><br /><br />Вследствие большого размера и веса кошки породы персидский ее суставы подвергаются значительной нагрузке на протяжении всей жизни животного. Формула рациона способствует поддержанию здорового состояния костей и суставов. Рацион обогащен омега-3 жирными кислотами (ЭПК и ДГК).<br /><br /><strong>ЗДОРОВЬЕ СЕРДЦА</strong><br /><br />Рацион обогащен такими питательными веществами, как таурин, ЭПК и ДГК, которые способствуют поддержанию здоровой работы сердца.<br /><br /><strong>ЗДОРОВЬЕ КОЖИ И БЛЕСК ШЕРСТИ</strong><br /><br />Серосодержащие аминокислоты, витамины, омега-3 и омега-6 жирные кислоты способствуют поддержанию здоровья кожи и блеска шерсти.<br /><br /><strong>ЗДОРОВЬЕ МОЧЕВЫДЕЛИТЕЛЬНОЙ СИСТЕМЫ</strong><br /><br />Соответствующий баланс минеральных веществ в рационе способствует поддержанию здоровья мочевыделительной системы взрослых кошек.<br /><br />персидский является крупнейшим и самым длинным котом в мире, благодаря чему он производит впечатление чрезвычайной мощи и силы. британская может достигать 1 м в длину (вместе с хвостом), а вес котов этой породы может достигать 10-12 кг. Учитывая большой размер и тяжелый костяк особое внимание следует уделять защите суставов кошек этой породы.</p>',	'Royal Canin British Shorthair Kitten сухой корм для котят породы британская короткошерстная',	'Royal Canin British Shorthair Kitten сухой корм для котят породы британская короткошерстная, Royal Canin, Товары для животных',	'СПЕЦИАЛЬНО ДЛЯ КОШЕК С БОЛЬШИМИ ЧЕЛЮСТЯМИ   Специально разработанные крокеты кубической формы, которые адаптированы к большим квадратным челюстям кошек породы британская. Уникальная форма крокет стимулирует животное к их разгрызанию, что способствует поддержанию гигиены ротовой полости.   ЭКСКЛЮЗИВНАЯ ФОРМУЛА:   Таурин и омега-3 жирные кислоты   ЗДОРОВЬЕ СУСТАВОВ   Вследствие большого размера и веса кошки породы персидский ее суставы подвергаются значительной нагрузке на протяжении всей жизни животного. Фор',	'new.png'),
(2,	228,	'Сухой корм для взрослых собак Club 4 paws для крупных пород',	'<ul>\r\n<li>Вес:&nbsp;<strong>14кг.</strong></li>\r\n<li>Тип: <strong>Сухой корм</strong></li>\r\n<li>Класс: <strong>Супер премиум</strong></li>\r\n</ul>',	'',	'Сухой корм для взрослых собак Club 4 paws для крупных пород',	'Сухой корм для взрослых собак Club 4 paws для крупных пород, Royal Canin, Товары для животных',	'',	'akciya.png'),
(2,	229,	'Сухой беззерновой полнорационный корм Optimeal для взрослых собак всех пород',	'<ul>\r\n<li>Вес: <strong>10г</strong></li>\r\n<li>Тип: <strong>Сухой корм</strong></li>\r\n<li>Класс: <strong>Супер премиум</strong></li>\r\n</ul>',	'<p><strong>Optimeal</strong> беззерновой для взрослых собак индейка и овощи &mdash; оптимальный корм для вашего любимца. В его состав входит уникальный микс из полезных трав, ягод, отборных мясных ингредиентов и пребиотиков. Все это создает ежедневную естественную защиту иммунитета вашей собаки, а также гарантирует здоровье и красоту вашего любимца на долгие годы.<br /><br />Высокое содержание отборного мяса индейки, а также включение в рецептуру корма свежего мяса индейки в виде фарша, обеспечат вашего питомца высококачественным легкоусвояемым протеином животного происхождения.<br /><br />Отсутствие злаков и глютена сохранит пищеварительную систему вашей собаки от дополнительной нагрузки, которой обычно подвергается кишечник и поджелудочная железа для переваривания таких неестественных для собак компонентов корма, как злаковая клейковина (глютен).<br /><br />Высокое содержание ягод и овощей обеспечивает организм собаки естественным источником витаминов и растительной клетчатки, что значительно улучшит работу пищеварительной системы и здоровья кишечника. Высокое содержание овощей (источников углеводов с низким гликемическим индексом) предотвратит развитие такого страшного заболевания, как сахарный диабет, а также сохранит здоровую стройную фигуру вашей собаки.<br /><br />Уникальный комплекс для поддержки и укрепления иммунитета Immunity Support Mix состоит из:<br />Специально очищенные бета-глюканы &mdash; улучшают работу иммунной системы для долгой жизни питомца.<br />Пребиотик нового поколения Actigen &mdash; нормализует баланс полезной микрофлоры кишечника и обеспечивает здоровое пищеварение.<br />Натуральный антиоксидант SubStar ULTRA на основе розмарина благодаря противомикробным и противовоспалительным свойствам &mdash; предотвращает разрушение клеток организма и заболеваниям домашних любимцев.<br /><br />OMEGA 3 и 6 / Цинк / Биотин &mdash; поддерживают кожу здоровой, а шерсть &mdash; красивой.<br />СОСТАВ:<br />дегидратированный протеин мяса индейки, не менее 39%, крахмал картофеля, мясо индейки 12%, жир из птицы, картофель cушена, тапиока, белок гидролизованный животный, зеленый горошек 4,11%, масло лосося, мякоть свеклы , растительная клетчатка, минералы, тыква 1%, морковь 0,79%, семян льна 0,79%, пивные дрожжи, клюква 0,2%, масло огуречника, MacroGard&reg; (источник &beta;-глюкан) 0,05%, Actigen &trade; (источник пребиотик &mdash; мананоолигосахариды) 0,04%, бархатцы (источник лютеина) 0,04%, корень лопуха, корень алтея, цветы ромашки 0,03%, крапива 0,03%, экстракт юкки, тимьян 0,015 %.<br /><br />Питательная ценность (анализ) корма:<br /><br />сырой белок 32%, сырые масло и жири- 16%, сырая зола- 5,9%, сырая клитковина- 2,6%.<br /><br />На 1 кг корма: омега-3 жирные кислоты- 6,4 г, в т. Ч. EPA / DHA- 3,8 г омега-6 жирные кислоты- 27,6 г.<br /><br />Добавлено добавки: Питательные добавки (на 1 кг корма), мг / кг:<br /><br />витамин А: 15000 МЕ, витамин Д3: 800 МЕ, витамин Е 500, витамин С 200, витамин B6 2,22, витамин Н (биотин): 0,14, таурин: 1100, цинк: 104,96 , медь: 11,24, марганец: 2,57, селен: 0,08.<br /><br />Технологические добавки (на 1 кг корма), мг / кг: антиоксидант природного происхождения: 330, экстракт токоферола природного происхождения: 600.<br /><br />Энергетическая ценность (калорийность) 100 г корма: 1 628,16 кДж (389,15 ккал).<br /><br />Хранить в темном месте закрытой потребительской таре при температуре от +5 &deg; С до +25 &deg; С и относительной влажности не более 75%</p>',	'Сухой беззерновой полнорационный корм Optimeal для взрослых собак всех пород',	'Сухой беззерновой полнорационный корм Optimeal для взрослых собак всех пород, Royal Canin, Товары для животных',	'Optimeal  беззерновой для взрослых собак индейка и овощи &mdash; оптимальный корм для вашего любимца. В его состав входит уникальный микс из полезных трав, ягод, отборных мясных ингредиентов и пребиотиков. Все это создает ежедневную естественную защиту иммунитета вашей собаки, а также гарантирует здоровье и красоту вашего любимца на долгие годы.  Высокое содержание отборного мяса индейки, а также включение в рецептуру корма свежего мяса индейки в виде фарша, обеспечат вашего питомца высококачественным легко',	''),
(2,	230,	'Диван RedKing',	'<ul>\r\n<li>Ширина: <strong>120см</strong></li>\r\n<li>Глубина: <strong>80см</strong></li>\r\n<li>Высота: <strong>43см </strong></li>\r\n</ul>',	'',	'Диван RedKing',	'Диван RedKing, Britax romer, Диваны',	'',	'hit.png'),
(2,	231,	'Диван-кровать Max 1,2 в ткани Кордрой',	'<ul>\r\n<li>Вес: <strong>90кг</strong></li>\r\n<li>Тип: <strong>Аккордеон</strong></li>\r\n<li>Размер: <strong>120х200 см<br /></strong></li>\r\n</ul>',	'<p>Диван-кровать Max 1,2&nbsp; в ткани Кордрой 336/кордрой 230</p>\r\n<p>Механизм трансформации: аккордеон</p>\r\n<p>Спальное место: 120х200 см</p>\r\n<p>Каркас: металлический с буковыми ламелями</p>\r\n<p>Наполнение матраса: ППУ 10 см</p>',	'Диван-кровать Max 1,2 в ткани Кордрой',	'Диван-кровать Max 1,2 в ткани Кордрой, Fitbit, Диваны',	'Диван-кровать Max 1,2  в ткани Кордрой 336/кордрой 230 \r\n Механизм трансформации: аккордеон \r\n Спальное место: 120х200 см \r\n Каркас: металлический с буковыми ламелями \r\n Наполнение матраса: ППУ 10 см',	'akciya.png'),
(3,	1,	'Кресло мешок груша L Oksford Black',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Oksford Black',	'Кресло мешок груша L Oksford Black',	'Кресло мешок груша L Oksford Black',	''),
(3,	2,	'Кресло мешок груша L Oksford Dark Blue',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Oksford Dark Blue',	'Кресло мешок груша L Oksford Dark Blue',	'Кресло мешок груша L Oksford Dark Blue',	''),
(3,	3,	'Кресло мешок груша L Oksford Blue',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Oksford Blue',	'Кресло мешок груша L Oksford Blue',	'Кресло мешок груша L Oksford Blue',	''),
(3,	4,	'Кресло мешок груша L Oksford Green',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Oksford Green',	'Кресло мешок груша L Oksford Green',	'Кресло мешок груша L Oksford Green',	''),
(3,	5,	'Кресло мешок груша L Oksford bordo',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Oksford bordo',	'Кресло мешок груша L Oksford bordo',	'Кресло мешок груша L Oksford bordo',	''),
(3,	6,	'Кресло мешок груша L Oksford Red',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Oksford Red',	'Кресло мешок груша L Oksford Red',	'Кресло мешок груша L Oksford Red',	''),
(3,	7,	'Кресло мешок груша L Oksford Orange',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Oksford Orange',	'Кресло мешок груша L Oksford Orange',	'Кресло мешок груша L Oksford Orange',	''),
(3,	8,	'Кресло мешок груша L Oksford Lime',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Oksford Lime',	'Кресло мешок груша L Oksford Lime',	'Кресло мешок груша L Oksford Lime',	''),
(3,	9,	'Кресло мешок груша L Oksford Yellow',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Oksford Yellow',	'Кресло мешок груша L Oksford Yellow',	'Кресло мешок груша L Oksford Yellow',	''),
(3,	10,	'Кресло мешок груша L Blue Velvet',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Blue Velvet',	'Кресло мешок груша L Blue Velvet',	'Кресло мешок груша L Blue Velvet',	''),
(3,	11,	'Кресло мешок груша L Turquoise Velvet',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Turquoise Velvet',	'Кресло мешок груша L Turquoise Velvet',	'Кресло мешок груша L Turquoise Velvet',	''),
(3,	12,	'Кресло мешок груша L Red Velvet',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Red Velvet',	'Кресло мешок груша L Red Velvet',	'Кресло мешок груша L Red Velvet',	''),
(3,	13,	'Кресло мешок груша L Malina Velvet',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Malina Velvet',	'Кресло мешок груша L Malina Velvet',	'Кресло мешок груша L Malina Velvet',	''),
(3,	14,	'Кресло мешок груша L Fuxia Velvet',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Fuxia Velvet',	'Кресло мешок груша L Fuxia Velvet',	'Кресло мешок груша L Fuxia Velvet',	''),
(3,	15,	'Кресло мешок груша L Pink Velvet',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Pink Velvet',	'Кресло мешок груша L Pink Velvet',	'Кресло мешок груша L Pink Velvet',	''),
(3,	16,	'Кресло мешок груша L Lime Velvet',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Lime Velvet',	'Кресло мешок груша L Lime Velvet',	'Кресло мешок груша L Lime Velvet',	''),
(3,	17,	'Кресло мешок груша L Beatrice',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Beatrice',	'Кресло мешок груша L Beatrice',	'Кресло мешок груша L Beatrice',	''),
(3,	18,	'Кресло-мешок L Balloons',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло-мешок L Balloons',	'Кресло-мешок L Balloons',	'Кресло-мешок L Balloons',	''),
(3,	19,	'Кресло мешок груша L Graffity Orange',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Graffity Orange',	'Кресло мешок груша L Graffity Orange',	'Кресло мешок груша L Graffity Orange',	''),
(3,	20,	'Кресло мешок груша L Mini Cooper',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Mini Cooper',	'Кресло мешок груша L Mini Cooper',	'Кресло мешок груша L Mini Cooper',	''),
(3,	21,	'Кресло мешок груша L iPhone',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L iPhone',	'Кресло мешок груша L iPhone',	'Кресло мешок груша L iPhone',	''),
(3,	22,	'Кресло мешок груша L Cats',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Кресло мешок груша L Cats',	'Кресло мешок груша L Cats',	'Кресло мешок груша L Cats',	''),
(3,	23,	'Телефон Meizu M3 mini M688U 16 Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Meizu M3 mini M688U 16 Gb',	'Телефон Meizu M3 mini M688U 16 Gb',	'Телефон Meizu M3 mini M688U 16 Gb',	''),
(3,	24,	'Телефон Meizu MX6',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Meizu MX6',	'Телефон Meizu MX6',	'Телефон Meizu MX6',	''),
(3,	25,	'Телефон Meizu M3 mini 32Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Meizu M3 mini 32Gb',	'Телефон Meizu M3 mini 32Gb',	'Телефон Meizu M3 mini 32Gb',	''),
(3,	26,	'Телефон Meizu M3S 3+32Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Meizu M3S 3+32Gb',	'Телефон Meizu M3S 3+32Gb',	'Телефон Meizu M3S 3+32Gb',	''),
(3,	27,	'Телефон Meizu M2 Note 16GB',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Meizu M2 Note 16GB',	'Телефон Meizu M2 Note 16GB',	'Телефон Meizu M2 Note 16GB',	''),
(3,	28,	'Телефон Meizu M3 Note 32Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Meizu M3 Note 32Gb',	'Телефон Meizu M3 Note 32Gb',	'Телефон Meizu M3 Note 32Gb',	''),
(3,	29,	'Телефон Meizu Pro 6 64Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Meizu Pro 6 64Gb',	'Телефон Meizu Pro 6 64Gb',	'Телефон Meizu Pro 6 64Gb',	''),
(3,	30,	'Телефон Meizu Pro 6 32Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Meizu Pro 6 32Gb',	'Телефон Meizu Pro 6 32Gb',	'Телефон Meizu Pro 6 32Gb',	''),
(3,	31,	'Телефон Meizu M3S 2+16Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Meizu M3S 2+16Gb',	'Телефон Meizu M3S 2+16Gb',	'Телефон Meizu M3S 2+16Gb',	''),
(3,	32,	'Телефон Meizu Pro 5 32Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Meizu Pro 5 32Gb',	'Телефон Meizu Pro 5 32Gb',	'Телефон Meizu Pro 5 32Gb',	''),
(3,	33,	'Телефон Meizu Pro 5 64Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Meizu Pro 5 64Gb',	'Телефон Meizu Pro 5 64Gb',	'Телефон Meizu Pro 5 64Gb',	''),
(3,	34,	'Телефон Meizu M3 Note 16Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Meizu M3 Note 16Gb',	'Телефон Meizu M3 Note 16Gb',	'Телефон Meizu M3 Note 16Gb',	''),
(3,	37,	'Телефон Xiaomi Redmi 2 Enhanced 2+16Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Xiaomi Redmi 2 Enhanced 2+16Gb',	'Телефон Xiaomi Redmi 2 Enhanced 2+16Gb',	'Телефон Xiaomi Redmi 2 Enhanced 2+16Gb',	''),
(3,	38,	'Телефон Xiaomi Mi4C 3+32Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Xiaomi Mi4C 3+32Gb',	'Телефон Xiaomi Mi4C 3+32Gb',	'Телефон Xiaomi Mi4C 3+32Gb',	''),
(3,	39,	'Телефон Xiaomi Redmi Note 4 - 3+32Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Xiaomi Redmi Note 4 - 3+32Gb',	'Телефон Xiaomi Redmi Note 4 - 3+32Gb',	'Телефон Xiaomi Redmi Note 4 - 3+32Gb',	''),
(3,	40,	'Телефон Xiaomi Mi5s Plus 4+64Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Xiaomi Mi5s Plus 4+64Gb',	'Телефон Xiaomi Mi5s Plus 4+64Gb',	'Телефон Xiaomi Mi5s Plus 4+64Gb',	''),
(3,	41,	'Телефон Xiaomi Mi5s Plus 6+128Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Xiaomi Mi5s Plus 6+128Gb',	'Телефон Xiaomi Mi5s Plus 6+128Gb',	'Телефон Xiaomi Mi5s Plus 6+128Gb',	''),
(3,	42,	'Телефон Xiaomi Redmi 4 Pro',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Xiaomi Redmi 4 Pro',	'Телефон Xiaomi Redmi 4 Pro',	'Телефон Xiaomi Redmi 4 Pro',	''),
(3,	43,	'Телефон Xiaomi Redmi 4',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Xiaomi Redmi 4',	'Телефон Xiaomi Redmi 4',	'Телефон Xiaomi Redmi 4',	''),
(3,	44,	'Телефон Xiaomi Redmi Note 4X - 2+32Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Xiaomi Redmi Note 4X - 2+32Gb',	'Телефон Xiaomi Redmi Note 4X - 2+32Gb',	'Телефон Xiaomi Redmi Note 4X - 2+32Gb',	''),
(3,	45,	'Телефон Xiaomi Redmi Note 4X - 3+32Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Xiaomi Redmi Note 4X - 3+32Gb',	'Телефон Xiaomi Redmi Note 4X - 3+32Gb',	'Телефон Xiaomi Redmi Note 4X - 3+32Gb',	''),
(3,	46,	'Телефон Xiaomi Redmi Note 4X - 4+64Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Xiaomi Redmi Note 4X - 4+64Gb',	'Телефон Xiaomi Redmi Note 4X - 4+64Gb',	'Телефон Xiaomi Redmi Note 4X - 4+64Gb',	''),
(3,	47,	'Телефон Xiaomi Redmi 3S - 3+32Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Xiaomi Redmi 3S - 3+32Gb',	'Телефон Xiaomi Redmi 3S - 3+32Gb',	'Телефон Xiaomi Redmi 3S - 3+32Gb',	''),
(3,	48,	'Телефон Xiaomi Redmi 4X - 2+16Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Телефон Xiaomi Redmi 4X - 2+16Gb',	'Телефон Xiaomi Redmi 4X - 2+16Gb',	'Телефон Xiaomi Redmi 4X - 2+16Gb',	''),
(3,	49,	'Hatchimals: Пингви в яйце номер 1',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hatchimals: Пингви в яйце номер 1',	'Hatchimals: Пингви в яйце номер 1',	'Hatchimals: Пингви в яйце номер 1',	''),
(3,	50,	'Hatchimals: Драко в яйце номер 1',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hatchimals: Драко в яйце номер 1',	'Hatchimals: Драко в яйце номер 1',	'Hatchimals: Драко в яйце номер 1',	''),
(3,	51,	'Hatchimals: Пингви в яйце номер 2',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hatchimals: Пингви в яйце номер 2',	'Hatchimals: Пингви в яйце номер 2',	'Hatchimals: Пингви в яйце номер 2',	''),
(3,	52,	'Hatchimals: Драко в яйце номер 2',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hatchimals: Драко в яйце номер 2',	'Hatchimals: Драко в яйце номер 2',	'Hatchimals: Драко в яйце номер 2',	''),
(3,	53,	'Машинка Hot Wheels \"Измени цвет\"',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Машинка Hot Wheels \"Измени цвет\"',	'Машинка Hot Wheels \"Измени цвет\"',	'Машинка Hot Wheels \"Измени цвет\"',	''),
(3,	54,	'Hot Wheels Набор Препятствия в пути (2 вида)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Набор Препятствия в пути (2 вида)',	'Hot Wheels Набор Препятствия в пути (2 вида)',	'Hot Wheels Набор Препятствия в пути (2 вида)',	''),
(3,	55,	'Hot Wheels Набор Суперскорость',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Набор Суперскорость',	'Hot Wheels Набор Суперскорость',	'Hot Wheels Набор Суперскорость',	''),
(3,	56,	'Hot Wheels Игровой набор \"Взрыв цветов\" (2 вида)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Игровой набор \"Взрыв цветов\" (2 вида)',	'Hot Wheels Игровой набор \"Взрыв цветов\" (2 вида)',	'Hot Wheels Игровой набор \"Взрыв цветов\" (2 вида)',	''),
(3,	57,	'Hot Wheels Игровой набор \"Приключения в большом городе\" (2 вида)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Игровой набор \"Приключения в большом городе\" (2 вида)',	'Hot Wheels Игровой набор \"Приключения в большом городе\" (2 вида)',	'Hot Wheels Игровой набор \"Приключения в большом городе\" (2 вида)',	''),
(3,	58,	'Hot Wheels Трек \"Охота на акулу\" серии \"Измени цвет\"',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Трек \"Охота на акулу\" серии \"Измени цвет\"',	'Hot Wheels Трек \"Охота на акулу\" серии \"Измени цвет\"',	'Hot Wheels Трек \"Охота на акулу\" серии \"Измени цвет\"',	''),
(3,	59,	'Hot Wheels Трек \"Мега Прыжок\" (несколько видов)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Трек \"Мега Прыжок\" (несколько видов)',	'Hot Wheels Трек \"Мега Прыжок\" (несколько видов)',	'Hot Wheels Трек \"Мега Прыжок\" (несколько видов)',	''),
(3,	60,	'Hot Wheels Грузовик-транспортёр',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Грузовик-транспортёр',	'Hot Wheels Грузовик-транспортёр',	'Hot Wheels Грузовик-транспортёр',	''),
(3,	61,	'Hot Wheels Легендарный гараж',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Легендарный гараж',	'Hot Wheels Легендарный гараж',	'Hot Wheels Легендарный гараж',	''),
(3,	62,	'Hot Wheels Карманный трек \"Гонки\" (несколько видов)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Карманный трек \"Гонки\" (несколько видов)',	'Hot Wheels Карманный трек \"Гонки\" (несколько видов)',	'Hot Wheels Карманный трек \"Гонки\" (несколько видов)',	''),
(3,	63,	'Hot Wheels Игровой набор \"Город чудовищ\" (3 вида)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Игровой набор \"Город чудовищ\" (3 вида)',	'Hot Wheels Игровой набор \"Город чудовищ\" (3 вида)',	'Hot Wheels Игровой набор \"Город чудовищ\" (3 вида)',	''),
(3,	64,	'Hot Wheels Игровой набор \"Автосервис\" (4 вида)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Игровой набор \"Автосервис\" (4 вида)',	'Hot Wheels Игровой набор \"Автосервис\" (4 вида)',	'Hot Wheels Игровой набор \"Автосервис\" (4 вида)',	''),
(3,	65,	'Hot Wheels Базовый трек (3 вида)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Базовый трек (3 вида)',	'Hot Wheels Базовый трек (3 вида)',	'Hot Wheels Базовый трек (3 вида)',	''),
(3,	66,	'Hot Wheels Набор \"Готов к игре!\" (несколько видов)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Набор \"Готов к игре!\" (несколько видов)',	'Hot Wheels Набор \"Готов к игре!\" (несколько видов)',	'Hot Wheels Набор \"Готов к игре!\" (несколько видов)',	''),
(3,	67,	'Hot Wheels Игровой набор \"Атака дракона\"',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Игровой набор \"Атака дракона\"',	'Hot Wheels Игровой набор \"Атака дракона\"',	'Hot Wheels Игровой набор \"Атака дракона\"',	''),
(3,	68,	'Hot Wheels Трек \"Рекордный прыжок\"',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Трек \"Рекордный прыжок\"',	'Hot Wheels Трек \"Рекордный прыжок\"',	'Hot Wheels Трек \"Рекордный прыжок\"',	''),
(3,	69,	'Hot Wheels Трек \"Противостояние\"',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Трек \"Противостояние\"',	'Hot Wheels Трек \"Противостояние\"',	'Hot Wheels Трек \"Противостояние\"',	''),
(3,	70,	'Hot Wheels Игровой трек \"Перекрестное столкновение\"',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Игровой трек \"Перекрестное столкновение\"',	'Hot Wheels Игровой трек \"Перекрестное столкновение\"',	'Hot Wheels Игровой трек \"Перекрестное столкновение\"',	''),
(3,	71,	'Hot Wheels Набор дополнительных дорожек трека',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Набор дополнительных дорожек трека',	'Hot Wheels Набор дополнительных дорожек трека',	'Hot Wheels Набор дополнительных дорожек трека',	''),
(3,	72,	'Hot Wheels Аксессуар-препятствие для трека (4 вида)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Hot Wheels Аксессуар-препятствие для трека (4 вида)',	'Hot Wheels Аксессуар-препятствие для трека (4 вида)',	'Hot Wheels Аксессуар-препятствие для трека (4 вида)',	''),
(3,	73,	'Биметаллический радиатор АЛТЕРМО РИО 500',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Биметаллический радиатор АЛТЕРМО РИО 500',	'Биметаллический радиатор АЛТЕРМО РИО 500',	'Биметаллический радиатор АЛТЕРМО РИО 500',	''),
(3,	74,	'Биметаллический радиатор АЛТЕРМО ЛРБ 500',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Биметаллический радиатор АЛТЕРМО ЛРБ 500',	'Биметаллический радиатор АЛТЕРМО ЛРБ 500',	'Биметаллический радиатор АЛТЕРМО ЛРБ 500',	''),
(3,	75,	'Радиаторы алюминиевые Ferroli Infiniti 500/10',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Радиаторы алюминиевые Ferroli Infiniti 500/10',	'Радиаторы алюминиевые Ferroli Infiniti 500/10',	'Радиаторы алюминиевые Ferroli Infiniti 500/10',	''),
(3,	76,	'Алюминиевый радиатор Global ISEO 500/80',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Алюминиевый радиатор Global ISEO 500/80',	'Алюминиевый радиатор Global ISEO 500/80',	'Алюминиевый радиатор Global ISEO 500/80',	''),
(3,	77,	'Алюминиевый радиатор Global VOX 350/100',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Алюминиевый радиатор Global VOX 350/100',	'Алюминиевый радиатор Global VOX 350/100',	'Алюминиевый радиатор Global VOX 350/100',	''),
(3,	78,	'Алюминиевый радиатор Global VOX 500/100',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Алюминиевый радиатор Global VOX 500/100',	'Алюминиевый радиатор Global VOX 500/100',	'Алюминиевый радиатор Global VOX 500/100',	''),
(3,	79,	'Бойлер Atlantic VM 100 D400-2-B O\'Pro Turbo',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Бойлер Atlantic VM 100 D400-2-B O\'Pro Turbo',	'Бойлер Atlantic VM 100 D400-2-B O\'Pro Turbo',	'Бойлер Atlantic VM 100 D400-2-B O\'Pro Turbo',	''),
(3,	80,	'Бойлер Atlantic VM 050 D400-2-B O\'Pro Turbo',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Бойлер Atlantic VM 050 D400-2-B O\'Pro Turbo',	'Бойлер Atlantic VM 050 D400-2-B O\'Pro Turbo',	'Бойлер Atlantic VM 050 D400-2-B O\'Pro Turbo',	''),
(3,	81,	'Бойлер Atlantic VM 100 D400-1-M O\'Pro Profi',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Бойлер Atlantic VM 100 D400-1-M O\'Pro Profi',	'Бойлер Atlantic VM 100 D400-1-M O\'Pro Profi',	'Бойлер Atlantic VM 100 D400-1-M O\'Pro Profi',	''),
(3,	82,	'Бойлер Atlantic VM 050 D400-1-M O\'Pro Profi',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Бойлер Atlantic VM 050 D400-1-M O\'Pro Profi',	'Бойлер Atlantic VM 050 D400-1-M O\'Pro Profi',	'Бойлер Atlantic VM 050 D400-1-M O\'Pro Profi',	''),
(3,	83,	'Бойлер Atlantic PC 30 O\'Pro Slim',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Бойлер Atlantic PC 30 O\'Pro Slim',	'Бойлер Atlantic PC 30 O\'Pro Slim',	'Бойлер Atlantic PC 30 O\'Pro Slim',	''),
(3,	84,	'Бойлер Atlantic Steatite PRO VM 050 D400-2-BC',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Бойлер Atlantic Steatite PRO VM 050 D400-2-BC',	'Бойлер Atlantic Steatite PRO VM 050 D400-2-BC',	'Бойлер Atlantic Steatite PRO VM 050 D400-2-BC',	''),
(3,	85,	'Бойлер ATLANTIC STEATITE SLIM VM 080 D325-2-BC',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Бойлер ATLANTIC STEATITE SLIM VM 080 D325-2-BC',	'Бойлер ATLANTIC STEATITE SLIM VM 080 D325-2-BC',	'Бойлер ATLANTIC STEATITE SLIM VM 080 D325-2-BC',	''),
(3,	86,	'Бойлер Atlantic VM 100 S4 СМ CUBE STEATITE',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Бойлер Atlantic VM 100 S4 СМ CUBE STEATITE',	'Бойлер Atlantic VM 100 S4 СМ CUBE STEATITE',	'Бойлер Atlantic VM 100 S4 СМ CUBE STEATITE',	''),
(3,	87,	'Бойлер Atlantic VM 75 S4 СМ CUBE STEATITE',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Бойлер Atlantic VM 75 S4 СМ CUBE STEATITE',	'Бойлер Atlantic VM 75 S4 СМ CUBE STEATITE',	'Бойлер Atlantic VM 75 S4 СМ CUBE STEATITE',	''),
(3,	88,	'Бойлер Atlantic VM 30 S3С CUBE STEATITE',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Бойлер Atlantic VM 30 S3С CUBE STEATITE',	'Бойлер Atlantic VM 30 S3С CUBE STEATITE',	'Бойлер Atlantic VM 30 S3С CUBE STEATITE',	''),
(3,	89,	'Бойлер Atlantic VM 080 D400-2-B O\'Pro Turbo',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Бойлер Atlantic VM 080 D400-2-B O\'Pro Turbo',	'Бойлер Atlantic VM 080 D400-2-B O\'Pro Turbo',	'Бойлер Atlantic VM 080 D400-2-B O\'Pro Turbo',	''),
(3,	90,	'Бойлер Atlantic VM 080 D400-1-M O\'Pro Profi',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Бойлер Atlantic VM 080 D400-1-M O\'Pro Profi',	'Бойлер Atlantic VM 080 D400-1-M O\'Pro Profi',	'Бойлер Atlantic VM 080 D400-1-M O\'Pro Profi',	''),
(3,	91,	'Газовая колонка Beretta Aqua Idrabagno 14i',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Beretta Aqua Idrabagno 14i',	'Газовая колонка Beretta Aqua Idrabagno 14i',	'Газовая колонка Beretta Aqua Idrabagno 14i',	''),
(3,	92,	'Газовая колонка Beretta Aqua Idrabagno 14',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Beretta Aqua Idrabagno 14',	'Газовая колонка Beretta Aqua Idrabagno 14',	'Газовая колонка Beretta Aqua Idrabagno 14',	''),
(3,	93,	'Газовая колонка Beretta Aqua Idrabagno 11i',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Beretta Aqua Idrabagno 11i',	'Газовая колонка Beretta Aqua Idrabagno 11i',	'Газовая колонка Beretta Aqua Idrabagno 11i',	''),
(3,	94,	'Газовая колонка Beretta Aqua Idrabagno 11',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Beretta Aqua Idrabagno 11',	'Газовая колонка Beretta Aqua Idrabagno 11',	'Газовая колонка Beretta Aqua Idrabagno 11',	''),
(3,	95,	'Газовая колонка Bosch Therm 6000 O WR 15-2 G',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Bosch Therm 6000 O WR 15-2 G',	'Газовая колонка Bosch Therm 6000 O WR 15-2 G',	'Газовая колонка Bosch Therm 6000 O WR 15-2 G',	''),
(3,	96,	'Газовая колонка Bosch Therm 4000 O WR 15-2 B',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Bosch Therm 4000 O WR 15-2 B',	'Газовая колонка Bosch Therm 4000 O WR 15-2 B',	'Газовая колонка Bosch Therm 4000 O WR 15-2 B',	''),
(3,	97,	'Газовая колонка Bosch Therm 4000 O WR 15-2 P',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Bosch Therm 4000 O WR 15-2 P',	'Газовая колонка Bosch Therm 4000 O WR 15-2 P',	'Газовая колонка Bosch Therm 4000 O WR 15-2 P',	''),
(3,	98,	'Газовая колонка Bosch Therm 6000 O WR 13-2 G',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Bosch Therm 6000 O WR 13-2 G',	'Газовая колонка Bosch Therm 6000 O WR 13-2 G',	'Газовая колонка Bosch Therm 6000 O WR 13-2 G',	''),
(3,	99,	'Газовая колонка Bosch Therm 4000 O WR 13-2 B',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Bosch Therm 4000 O WR 13-2 B',	'Газовая колонка Bosch Therm 4000 O WR 13-2 B',	'Газовая колонка Bosch Therm 4000 O WR 13-2 B',	''),
(3,	100,	'Газовая колонка Bosch Therm 4000 O WR 13-2 P',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Bosch Therm 4000 O WR 13-2 P',	'Газовая колонка Bosch Therm 4000 O WR 13-2 P',	'Газовая колонка Bosch Therm 4000 O WR 13-2 P',	''),
(3,	101,	'Газовая колонка Bosch Therm 6000 O WR 10-2 G',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Bosch Therm 6000 O WR 10-2 G',	'Газовая колонка Bosch Therm 6000 O WR 10-2 G',	'Газовая колонка Bosch Therm 6000 O WR 10-2 G',	''),
(3,	102,	'Газовая колонка Bosch Therm 4000 O WR 10-2 B',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Bosch Therm 4000 O WR 10-2 B',	'Газовая колонка Bosch Therm 4000 O WR 10-2 B',	'Газовая колонка Bosch Therm 4000 O WR 10-2 B',	''),
(3,	103,	'Газовая колонка Bosch Therm 4000 O WR 10-2 P',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Bosch Therm 4000 O WR 10-2 P',	'Газовая колонка Bosch Therm 4000 O WR 10-2 P',	'Газовая колонка Bosch Therm 4000 O WR 10-2 P',	''),
(3,	104,	'Газовая колонка Bosch Therm 4000 O W 10-2 P',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Bosch Therm 4000 O W 10-2 P',	'Газовая колонка Bosch Therm 4000 O W 10-2 P',	'Газовая колонка Bosch Therm 4000 O W 10-2 P',	''),
(3,	105,	'Газовая колонка Bosch Therm 2000 O W 10 KB',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Bosch Therm 2000 O W 10 KB',	'Газовая колонка Bosch Therm 2000 O W 10 KB',	'Газовая колонка Bosch Therm 2000 O W 10 KB',	''),
(3,	106,	'Газовая колонка Vaillant MAG OE 14-0/0 RXI H (электро розжиг)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Vaillant MAG OE 14-0/0 RXI H (электро розжиг)',	'Газовая колонка Vaillant MAG OE 14-0/0 RXI H (электро розжиг)',	'Газовая колонка Vaillant MAG OE 14-0/0 RXI H (электро розжиг)',	''),
(3,	107,	'Газовая колонка Vaillant MAG OE 14-0/0 RXZ H (пьезорозжиг)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Vaillant MAG OE 14-0/0 RXZ H (пьезорозжиг)',	'Газовая колонка Vaillant MAG OE 14-0/0 RXZ H (пьезорозжиг)',	'Газовая колонка Vaillant MAG OE 14-0/0 RXZ H (пьезорозжиг)',	''),
(3,	108,	'Газовая колонка Vaillant MAG mini OE 11-0/0 RXI H (электро розжиг)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Vaillant MAG mini OE 11-0/0 RXI H (электро розжиг)',	'Газовая колонка Vaillant MAG mini OE 11-0/0 RXI H (электро розжиг)',	'Газовая колонка Vaillant MAG mini OE 11-0/0 RXI H (электро розжиг)',	''),
(3,	109,	'Газовая колонка Vaillant MAG mini OE 11-0/0 RXZ H (пьезорозжиг)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Vaillant MAG mini OE 11-0/0 RXZ H (пьезорозжиг)',	'Газовая колонка Vaillant MAG mini OE 11-0/0 RXZ H (пьезорозжиг)',	'Газовая колонка Vaillant MAG mini OE 11-0/0 RXZ H (пьезорозжиг)',	''),
(3,	110,	'Газовая колонка Vaillant MAG OE 11-0/0 XZ C+ H (пьезорозжиг)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	'Газовая колонка Vaillant MAG OE 11-0/0 XZ C+ H (пьезорозжиг)',	'Газовая колонка Vaillant MAG OE 11-0/0 XZ C+ H (пьезорозжиг)',	'Газовая колонка Vaillant MAG OE 11-0/0 XZ C+ H (пьезорозжиг)',	''),
(3,	111,	'Сок',	'',	'',	'Сок',	'Сок, Напитки и продукты',	'',	''),
(3,	112,	'Савойская капуста',	'',	'',	'Савойская капуста',	'Савойская капуста, Напитки и продукты',	'',	''),
(3,	113,	'Китайская петрушка Кориандр',	'',	'',	'Китайская петрушка Кориандр',	'Китайская петрушка Кориандр, Organik food, Фрукты и овощи',	'',	''),
(3,	114,	'Желтый стручковый перец',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца.</p>',	'<p>Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу показывает, как много веб-страниц всё ещё дожидаются своего настоящего рождения. За прошедшие годы текст Lorem Ipsum получил много версий. Некоторые версии появились по ошибке, некоторые - намеренно (например, юмористические варианты).</p>',	'Желтый стручковый перец',	'Желтый стручковый перец, Nature product, Фрукты и овощи',	'Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу ',	''),
(3,	115,	'Вегетарианский радужный шпинат',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь.</p>',	'<p>Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу показывает, как много веб-страниц всё ещё дожидаются своего настоящего рождения. За прошедшие годы текст Lorem Ipsum получил много версий. Некоторые версии появились по ошибке, некоторые - намеренно (например, юмористические варианты).</p>',	'Вегетарианский радужный шпинат',	'Вегетарианский радужный шпинат, Nature product, Фрукты и овощи',	'Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу ',	'hit.png'),
(3,	116,	'Сладкая кукуруза',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации</p>',	'<p>Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу показывает, как много веб-страниц всё ещё дожидаются своего настоящего рождения. За прошедшие годы текст Lorem Ipsum получил много версий. Некоторые версии появились по ошибке, некоторые - намеренно (например, юмористические варианты).</p>',	'Сладкая кукуруза',	'Сладкая кукуруза, Organik food, Фрукты и овощи',	'Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу ',	'hit.png'),
(3,	117,	'Горох',	'',	'<p>Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу показывает, как много веб-страниц всё ещё дожидаются своего настоящего рождения. За прошедшие годы текст Lorem Ipsum получил много версий. Некоторые версии появились по ошибке, некоторые - намеренно (например, юмористические варианты).</p>',	'Горох',	'Горох, Organik food, Фрукты и овощи',	'Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу ',	'hit.png'),
(3,	118,	'Красная капуста',	'',	'<p>Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу показывает, как много веб-страниц всё ещё дожидаются своего настоящего рождения. За прошедшие годы текст Lorem Ipsum получил много версий. Некоторые версии появились по ошибке, некоторые - намеренно (например, юмористические варианты).</p>',	'Красная капуста',	'Красная капуста, Nature product, Фрукты и овощи',	'Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу ',	''),
(3,	119,	'Органический свежий австралийский кабачок цуккини',	'',	'<p>Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу показывает, как много веб-страниц всё ещё дожидаются своего настоящего рождения. За прошедшие годы текст Lorem Ipsum получил много версий. Некоторые версии появились по ошибке, некоторые - намеренно (например, юмористические варианты).</p>',	'Органический свежий австралийский кабачок цуккини',	'Органический свежий австралийский кабачок цуккини, Organik food, Фрукты и овощи',	'Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу ',	''),
(3,	120,	'Свежие цельные куриные ножки',	'',	'<p>Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу показывает, как много веб-страниц всё ещё дожидаются своего настоящего рождения. За прошедшие годы текст Lorem Ipsum получил много версий. Некоторые версии появились по ошибке, некоторые - намеренно (например, юмористические варианты).</p>',	'Свежие цельные куриные ножки',	'Свежие цельные куриные ножки, Organik food, Мясо и рыба',	'Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу ',	''),
(3,	121,	'Котлеты из баранины 6 в упаковке',	'',	'<p>Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу показывает, как много веб-страниц всё ещё дожидаются своего настоящего рождения. За прошедшие годы текст Lorem Ipsum получил много версий. Некоторые версии появились по ошибке, некоторые - намеренно (например, юмористические варианты).</p>',	'Котлеты из баранины 6 в упаковке',	'Котлеты из баранины 6 в упаковке, Nature product, Мясо и рыба',	'Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу ',	''),
(3,	122,	'Мясо со свиным торцом - Австралия',	'<p>Многие думают, что Lorem Ipsum - взятый с потолка псевдо-латинский набор слов, но это не совсем так.</p>',	'<p>Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу показывает, как много веб-страниц всё ещё дожидаются своего настоящего рождения. За прошедшие годы текст Lorem Ipsum получил много версий. Некоторые версии появились по ошибке, некоторые - намеренно (например, юмористические варианты).</p>',	'Мясо со свиным торцом - Австралия',	'Мясо со свиным торцом - Австралия, Organik food, Мясо и рыба',	'Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу ',	''),
(3,	123,	'Свежие кубики говядины',	'',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим Lorem Ipsum генератором. Он использует словарь из более чем 200 латинских слов, а также набор моделей предложений. В результате сгенерированный Lorem Ipsum выглядит правдоподобно, не имеет повторяющихся абзацей или \"невозможных\" слов.</p>',	'Свежие кубики говядины',	'Свежие кубики говядины, Organik food, Мясо и рыба',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим',	''),
(3,	124,	'Heinz Томатный кетчуп',	'',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим Lorem Ipsum генератором. Он использует словарь из более чем 200 латинских слов, а также набор моделей предложений. В результате сгенерированный Lorem Ipsum выглядит правдоподобно, не имеет повторяющихся абзацей или \"невозможных\" слов.</p>',	'Heinz Томатный кетчуп',	'Heinz Томатный кетчуп, Nature product, Бакалея',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим',	''),
(3,	125,	'San Remo Пенне Ригате № 18',	'',	'',	'San Remo Пенне Ригате № 18',	'San Remo Пенне Ригате № 18, Nature product, Бакалея',	'',	''),
(3,	126,	'Chobani Банановый кленовый мешок овса',	'',	'',	'Chobani Банановый кленовый мешок овса',	'Chobani Банановый кленовый мешок овса, Nature product, Бакалея',	'',	''),
(3,	127,	'Спелый сок манго',	'',	'',	'Спелый сок манго',	'Спелый сок манго, Organik food, Соки',	'',	''),
(3,	128,	'пелый клюквенный суперфруктовый сок',	'',	'',	'пелый клюквенный суперфруктовый сок',	'пелый клюквенный суперфруктовый сок, Organik food, Соки',	'',	''),
(3,	129,	'Боттега Манцони Пинк Платт Москато Роуз',	'',	'',	'Боттега Манцони Пинк Платт Москато Роуз',	'Боттега Манцони Пинк Платт Москато Роуз, Organik food, Алкогольные напитки',	'',	''),
(3,	130,	'World\'s Cellar Chateau Gillet Bordeaux Красное вино',	'',	'',	'World\'s Cellar Chateau Gillet Bordeaux Красное вино',	'World\'s Cellar Chateau Gillet Bordeaux Красное вино, Nature product, Алкогольные напитки',	'',	''),
(3,	131,	'Moet & Chandon Ice Imperial',	'',	'',	'Moet & Chandon Ice Imperial',	'Moet & Chandon Ice Imperial, Nature product, Алкогольные напитки',	'',	''),
(3,	132,	'Bottega Millesimato Brut Prosecco',	'',	'',	'Bottega Millesimato Brut Prosecco',	'Bottega Millesimato Brut Prosecco, Nature product, Алкогольные напитки',	'',	''),
(3,	133,	'Heineken Светлое пиво',	'',	'',	'Heineken Светлое пиво',	'Heineken Светлое пиво, Organik food, Алкогольные напитки',	'',	''),
(3,	134,	'Bitburger',	'',	'',	'Bitburger',	'Bitburger, Алкогольные напитки',	'',	''),
(3,	135,	'Йогурт с клубникой и черникой в ​​греческом стиле',	'',	'',	'Йогурт с клубникой и черникой в ​​греческом стиле',	'Йогурт с клубникой и черникой в ​​греческом стиле, Nature product, Бакалея',	'',	''),
(3,	136,	'Молочный чертополох',	'<p>&lt;ol&gt;<br />&nbsp;&nbsp; &lt;li&gt;Lorem ipsum dolor amet.&lt;/li&gt;<br />&nbsp;&nbsp; &lt;li&gt;Aliquam tincidunt.&lt;/li&gt;<br />&nbsp;&nbsp; &lt;li&gt;Vestibulum auctor dapibus.&lt;/li&gt;<br />&lt;/ol&gt;</p>',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим Lorem Ipsum генератором. Он использует словарь из более чем 200 латинских слов, а также набор моделей предложений. В результате сгенерированный Lorem Ipsum выглядит правдоподобно, не имеет повторяющихся абзацей или \"невозможных\" слов.</p>',	'Молочный чертополох',	'Молочный чертополох, Витамины',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим',	''),
(3,	137,	'Молочный чертополох',	'<p>&lt;ol&gt;<br />&nbsp;&nbsp; &lt;li&gt;Lorem ipsum dolor amet.&lt;/li&gt;<br />&nbsp;&nbsp; &lt;li&gt;Aliquam tincidunt.&lt;/li&gt;<br />&nbsp;&nbsp; &lt;li&gt;Vestibulum auctor dapibus.&lt;/li&gt;<br />&lt;/ol&gt;</p>',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим Lorem Ipsum генератором. Он использует словарь из более чем 200 латинских слов, а также набор моделей предложений. В результате сгенерированный Lorem Ipsum выглядит правдоподобно, не имеет повторяющихся абзацей или \"невозможных\" слов.</p>',	'Молочный чертополох',	'Молочный чертополох, Britax romer, Витамины',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим',	''),
(3,	138,	'Country Life Экстракт расторопши',	'<p>&lt;ol&gt;<br />&nbsp;&nbsp; &lt;li&gt;Lorem ipsum dolor amet.&lt;/li&gt;<br />&nbsp;&nbsp; &lt;li&gt;Aliquam tincidunt.&lt;/li&gt;<br />&nbsp;&nbsp; &lt;li&gt;Vestibulum auctor dapibus.&lt;/li&gt;<br />&lt;/ol&gt;</p>',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим Lorem Ipsum генератором. Он использует словарь из более чем 200 латинских слов, а также набор моделей предложений. В результате сгенерированный Lorem Ipsum выглядит правдоподобно, не имеет повторяющихся абзацей или \"невозможных\" слов.</p>',	'Country Life Экстракт расторопши',	'Country Life Экстракт расторопши, Britax romer, Витамины',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим',	'garant.png'),
(3,	139,	'Клинический Лобный Термометр Новый 2017',	'<ol>\r\n<li>Lorem ipsum dolor amet.</li>\r\n<li>Aliquam tincidunt.</li>\r\n<li>Vestibulum auctor dapibus.</li>\r\n</ol>',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим Lorem Ipsum генератором. Он использует словарь из более чем 200 латинских слов, а также набор моделей предложений. В результате сгенерированный Lorem Ipsum выглядит правдоподобно, не имеет повторяющихся абзацей или \"невозможных\" слов.</p>',	'Клинический Лобный Термометр Новый 2017',	'Клинический Лобный Термометр Новый 2017, Britax romer, Витамины',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим',	'akciya.png'),
(3,	140,	'Коромега Омега 3',	'<ol>\r\n<li>Lorem ipsum dolor amet.</li>\r\n<li>Aliquam tincidunt.</li>\r\n<li>Vestibulum auctor dapibus.</li>\r\n</ol>',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим Lorem Ipsum генератором. Он использует словарь из более чем 200 латинских слов, а также набор моделей предложений. В результате сгенерированный Lorem Ipsum выглядит правдоподобно, не имеет повторяющихся абзацей или \"невозможных\" слов.</p>',	'Коромега Омега 3',	'Коромега Омега 3, Fitbit, Витамины',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим',	'akciya.png'),
(3,	141,	'MuscleTech Platinum',	'<ol>\r\n<li>Lorem ipsum dolor amet.</li>\r\n<li>Aliquam tincidunt.</li>\r\n<li>Vestibulum auctor dapibus.</li>\r\n</ol>',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим Lorem Ipsum генератором. Он использует словарь из более чем 200 латинских слов, а также набор моделей предложений. В результате сгенерированный Lorem Ipsum выглядит правдоподобно, не имеет повторяющихся абзацей или \"невозможных\" слов.</p>',	'MuscleTech Platinum',	'MuscleTech Platinum, Fitbit, Витамины',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим',	'new.png'),
(3,	142,	'Premium Collagen Peptides',	'<ol>\r\n<li>Lorem ipsum dolor amet.</li>\r\n<li>Aliquam tincidunt.</li>\r\n<li>Vestibulum auctor dapibus.</li>\r\n</ol>',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим Lorem Ipsum генератором. Он использует словарь из более чем 200 латинских слов, а также набор моделей предложений. В результате сгенерированный Lorem Ipsum выглядит правдоподобно, не имеет повторяющихся абзацей или \"невозможных\" слов.</p>',	'Premium Collagen Peptides',	'Premium Collagen Peptides, Britax romer, Витамины',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим',	'new.png'),
(3,	143,	'Куркума Куркумин с биоперином 1500 мг',	'<ol>\r\n<li>Lorem ipsum dolor amet.</li>\r\n<li>Aliquam tincidunt.</li>\r\n<li>Vestibulum auctor dapibus.</li>\r\n</ol>',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим Lorem Ipsum генератором. Он использует словарь из более чем 200 латинских слов, а также набор моделей предложений. В результате сгенерированный Lorem Ipsum выглядит правдоподобно, не имеет повторяющихся абзацей или \"невозможных\" слов.</p>',	'Куркума Куркумин с биоперином 1500 мг',	'Куркума Куркумин с биоперином 1500 мг, Britax romer, Витамины',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим',	'hit.png'),
(3,	144,	'LexMod Twirl Outdoor Wicker',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">(H)204.5, (W)133.0, (Dia)133.0cm</span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>6</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.5м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Водонепронецаемый:<strong> да</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>120кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'LexMod Twirl Outdoor Wicker',	'LexMod Twirl Outdoor Wicker, Puff, Диваны',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	''),
(3,	145,	'LexMod Twirl Outdoor Wicker',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">(H)204.5, (W)133.0</span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>6</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.5м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Водонепронецаемый:<strong> да</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>120кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'LexMod Twirl Outdoor Wicker',	'LexMod Twirl Outdoor Wicker, Puff, Диваны',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	''),
(3,	146,	'LexMod Twirl pro Outdoor Wicker',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">(H)208.5, (W)136.0</span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>6</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.6м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Водонепронецаемый:<strong> нет</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>130кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'LexMod Twirl pro Outdoor Wicker',	'LexMod Twirl pro Outdoor Wicker, Puff, Диваны',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	''),
(3,	147,	'LexMod Twirl Lazy Outdoor Wicker',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">(H)208.5, (W)136.0</span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>7</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.3м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Водонепронецаемый:<strong> нет</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>140кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'LexMod Twirl Lazy Outdoor Wicker',	'LexMod Twirl Lazy Outdoor Wicker, Puff, Диваны',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	''),
(3,	148,	'LexMod Twirl Medium Outdoor Wicker',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">(H)208.5, (W)136.0</span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>5</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.45м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Водонепронецаемый:<strong> да<br /></strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>145кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'LexMod Twirl Medium Outdoor Wicker',	'LexMod Twirl Medium Outdoor Wicker, Puff, Диваны',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	''),
(3,	150,	'LexMod Taiji Outdoor Wicker Patio Daybed',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">47L x 104W x 33.5H<br /></span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>5</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.55м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Водонепронецаемый:<strong> да<br /></strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>215кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'LexMod Taiji Outdoor Wicker Patio Daybed',	'LexMod Taiji Outdoor Wicker Patio Daybed, Britax romer, Диваны',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	'hit.png'),
(3,	151,	'LexMod Taiji Outdoor Wicker Patio Daybed',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">47L x 104W x 33.5H<br /></span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>5</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.55м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Водонепронецаемый:<strong> да<br /></strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>215кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'LexMod Taiji Outdoor Wicker Patio Daybed',	'LexMod Taiji Outdoor Wicker Patio Daybed, Britax romer, Диваны',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	'hit.png'),
(3,	152,	'LexMod Taiji Out Wicker Patio Daybed',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">65.5L x 89.5W x 25.5H<br /></span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>6</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.55м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Водонепронецаемый:<strong> да<br /></strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>215кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'LexMod Taiji Out Wicker Patio Daybed',	'LexMod Taiji Out Wicker Patio Daybed, Britax romer, Диваны',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	'hit.png'),
(3,	153,	'LexMod Taiji Wicker Patio Daybed',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">65.5L x 89.5W x 25.5H<br /></span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>7</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.55м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Водонепронецаемый:<strong> да<br /></strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>215кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'LexMod Taiji Wicker Patio Daybed',	'LexMod Taiji Wicker Patio Daybed, Britax romer, Диваны',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	'hit.png'),
(3,	154,	'Классический табурет Trex34',	'',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'Классический табурет Trex34',	'Классический табурет Trex34, Beretta, табуреты',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	''),
(3,	155,	'Классический табурет Trex34',	'',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'Классический табурет Trex34',	'Классический табурет Trex34, Beretta, табуреты',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	''),
(3,	156,	'Классический табурет Trex37',	'',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'Классический табурет Trex37',	'Классический табурет Trex37, Beretta, табуреты',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	''),
(3,	157,	'Классический табурет Trex30',	'',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'Классический табурет Trex30',	'Классический табурет Trex30, Beretta, табуреты',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	''),
(3,	158,	'Классический табурет Trex40',	'',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'Классический табурет Trex40',	'Классический табурет Trex40, Beretta, табуреты',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	''),
(3,	159,	'Folding chair Catalina',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">(H)91.0, (W)54ю8 <br /></span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>1</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.2м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страна:<strong> Италия</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>12кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'Folding chair Catalina',	'Folding chair Catalina, Beretta, Складные стулья',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	''),
(3,	160,	'Складной стул Shine Catalina',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">(H)91.0, (W)54ю8 <br /></span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>1</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.2м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страна:<strong> Франция<br /></strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>11.5кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'Складной стул Shine Catalina',	'Складной стул Shine Catalina, Fitbit, Складные стулья',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	'akciya.png'),
(3,	161,	'Складной стул Shine Catalina 34',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">(H)91.0, (W)54ю8 <br /></span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>1</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.2м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страна:<strong> Франция<br /></strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>13кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	'Складной стул Shine Catalina 34',	'Складной стул Shine Catalina 34, Fitbit, Складные стулья',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	'garant.png'),
(3,	162,	'Кровать  Chikasha Natural Quilt',	'',	'',	'Кровать  Chikasha Natural Quilt',	'Кровать  Chikasha Natural Quilt, Кровати',	'',	''),
(3,	163,	'Кровать  Chikasha Natural Quilt',	'',	'',	'Кровать  Chikasha Natural Quilt',	'Кровать  Chikasha Natural Quilt, Кровати',	'',	''),
(3,	164,	'Кровать  Shelly Beach Quilt 2',	'',	'',	'Кровать  Shelly Beach Quilt 2',	'Кровать  Shelly Beach Quilt 2, Кровати',	'',	''),
(3,	165,	'Кровать  Shelly Cover Natural',	'',	'',	'Кровать  Shelly Cover Natural',	'Кровать  Shelly Cover Natural, Кровати',	'',	''),
(3,	166,	'Кровать  Shelly Cover Natural2',	'',	'',	'Кровать  Shelly Cover Natural2',	'Кровать  Shelly Cover Natural2, Кровати',	'',	''),
(3,	167,	'Кровать  Kerela Quilt Cover',	'',	'',	'Кровать  Kerela Quilt Cover',	'Кровать  Kerela Quilt Cover, Кровати',	'',	''),
(3,	168,	'Пенал для ванной Bookends1',	'',	'',	'Пенал для ванной Bookends1',	'Пенал для ванной Bookends1, Пеналы',	'',	''),
(3,	169,	'Пенал для ванной Bookends1',	'',	'',	'Пенал для ванной Bookends1',	'Пенал для ванной Bookends1, Пеналы',	'',	''),
(3,	170,	'Пенал для ванной Bookends2',	'',	'',	'Пенал для ванной Bookends2',	'Пенал для ванной Bookends2, Пеналы',	'',	''),
(3,	171,	'Пенал для ванной Bookends3',	'',	'',	'Пенал для ванной Bookends3',	'Пенал для ванной Bookends3, Пеналы',	'',	''),
(3,	172,	'Пенал для ванной Grinder',	'',	'',	'Пенал для ванной Grinder',	'Пенал для ванной Grinder, Пеналы',	'',	''),
(3,	173,	'Пенал для ванной Grinder2',	'',	'',	'Пенал для ванной Grinder2',	'Пенал для ванной Grinder2, Пеналы',	'',	''),
(3,	174,	'Тумба под раковину Aquwastyle1',	'',	'',	'Тумба под раковину Aquwastyle1',	'Тумба под раковину Aquwastyle1, Beretta, Тумбы для ванной',	'',	''),
(3,	175,	'Тумба под раковину Aquwastyle1',	'',	'',	'Тумба под раковину Aquwastyle1',	'Тумба под раковину Aquwastyle1, Beretta, Тумбы для ванной',	'',	''),
(3,	176,	'Тумба под раковину Aquwastyle2',	'',	'',	'Тумба под раковину Aquwastyle2',	'Тумба под раковину Aquwastyle2, Beretta, Тумбы для ванной',	'',	''),
(3,	177,	'Тумба под раковину Aquwastyle3',	'',	'',	'Тумба под раковину Aquwastyle3',	'Тумба под раковину Aquwastyle3, Beretta, Тумбы для ванной',	'',	''),
(3,	178,	'Тумба под раковину Aquwastyle4',	'',	'',	'Тумба под раковину Aquwastyle4',	'Тумба под раковину Aquwastyle4, Beretta, Тумбы для ванной',	'',	''),
(3,	179,	'Шуруповерт аккумуляторный DeWalt Speed',	'',	'',	'Шуруповерт аккумуляторный DeWalt Speed',	'Шуруповерт аккумуляторный DeWalt Speed, Bosch, Строительные инструменты',	'',	''),
(3,	180,	'Шуруповерт аккумуляторный DeWalt Speed',	'',	'',	'Шуруповерт аккумуляторный DeWalt Speed',	'Шуруповерт аккумуляторный DeWalt Speed, Bosch, Строительные инструменты',	'',	''),
(3,	181,	'Корпус дисковой пилы Bosch',	'',	'',	'Корпус дисковой пилы Bosch',	'Корпус дисковой пилы Bosch, Bosch, Строительные инструменты',	'',	''),
(3,	182,	'Беспроводной перфоратор Bosch Plus',	'',	'',	'Беспроводной перфоратор Bosch Plus',	'Беспроводной перфоратор Bosch Plus, Bosch, Строительные инструменты',	'',	''),
(3,	183,	'Отбойный молоток Bosch GSH 6784',	'',	'',	'Отбойный молоток Bosch GSH 6784',	'Отбойный молоток Bosch GSH 6784, Bosch, Строительные инструменты',	'',	''),
(3,	185,	'Пылезащитный прибор Bosch',	'',	'',	'Пылезащитный прибор Bosch',	'Пылезащитный прибор Bosch, Bosch, Строительные инструменты',	'',	''),
(3,	186,	'Профессиональный мини-пылесос Bosch',	'',	'',	'Профессиональный мини-пылесос Bosch',	'Профессиональный мини-пылесос Bosch, Bosch, Строительные инструменты',	'',	''),
(3,	187,	'Отбойный молоток Bosch GSH 7 VC',	'',	'',	'Отбойный молоток Bosch GSH 7 VC',	'Отбойный молоток Bosch GSH 7 VC, Bosch, Строительные инструменты',	'',	''),
(3,	188,	'Аутсайдер Стивен Кинг',	'<ul>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Автор: <strong>Стивен Кинг</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страниц: </span><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\"><strong>592</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Год издания: <strong>2019</strong></span></li>\r\n</ul>',	'<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар):</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Добавление цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS.png\" alt=\"Добавление цифрового товара\" width=\"auto\" height=\"auto\" /></span></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">После добавления файла - сохраните товар.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после оплаты заказа.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту до оплаты:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS1.png\" alt=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту после оплаты заказа:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Ссылка на скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS2.png\" alt=\"Ссылка на скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">3. Получение клиентом заказанного товара:</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px auto; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto; display: block;\" title=\"Скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS3.png\" alt=\"Скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Тоже самое можно проделать с любым электронным файлом.</p>\r\n<ul style=\"box-sizing: border-box; margin: 0px 0px 1rem 25px; padding: 0px 0px 0px 25px; list-style-type: disc; color: #212330; font-family: \'Open Sans\', sans-serif; font-size: 16px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы продаете музыкальные композиции - загрузите в описание к товару кусочек своего трека.</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы занимаетесь продажей видеороликов - добавьте в качестве фотографий товара несколько скриншотов своего видео.&nbsp;</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Возможно вы продаете ценную информацию, например, книги? Несколько абзацев в описании к товару заинтересуют покупателя.</span></li>\r\n</ul>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Пробуйте и у вас получится.</p>',	'Аутсайдер Стивен Кинг',	'Аутсайдер Стивен Кинг, Книги и канцтовары',	'Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже. \r\n 1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар): \r\n     \r\n После добавления файла - сохраните товар. \r\n 2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после ',	'new.png'),
(3,	189,	'Аутсайдер Стивен Кинг',	'<ul>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Автор: <strong>Стивен Кинг</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страниц: </span><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\"><strong>592</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Год издания: <strong>2019</strong></span></li>\r\n</ul>',	'<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар):</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Добавление цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS.png\" alt=\"Добавление цифрового товара\" width=\"auto\" height=\"auto\" /></span></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">После добавления файла - сохраните товар.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после оплаты заказа.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту до оплаты:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS1.png\" alt=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту после оплаты заказа:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Ссылка на скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS2.png\" alt=\"Ссылка на скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">3. Получение клиентом заказанного товара:</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px auto; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto; display: block;\" title=\"Скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS3.png\" alt=\"Скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Тоже самое можно проделать с любым электронным файлом.</p>\r\n<ul style=\"box-sizing: border-box; margin: 0px 0px 1rem 25px; padding: 0px 0px 0px 25px; list-style-type: disc; color: #212330; font-family: \'Open Sans\', sans-serif; font-size: 16px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы продаете музыкальные композиции - загрузите в описание к товару кусочек своего трека.</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы занимаетесь продажей видеороликов - добавьте в качестве фотографий товара несколько скриншотов своего видео.&nbsp;</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Возможно вы продаете ценную информацию, например, книги? Несколько абзацев в описании к товару заинтересуют покупателя.</span></li>\r\n</ul>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Пробуйте и у вас получится.</p>',	'Аутсайдер Стивен Кинг',	'Аутсайдер Стивен Кинг, Книги и канцтовары',	'Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже. \r\n 1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар): \r\n     \r\n После добавления файла - сохраните товар. \r\n 2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после ',	'new.png'),
(3,	190,	'Кладбище домашних животных Стивен Кинг',	'<ul>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Автор: <strong>Стивен Кинг</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страниц:</span><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\"><strong>400</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Год издания: <strong>2019</strong></span></li>\r\n</ul>',	'<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар):</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Добавление цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS.png\" alt=\"Добавление цифрового товара\" width=\"auto\" height=\"auto\" /></span></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">После добавления файла - сохраните товар.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после оплаты заказа.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту до оплаты:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS1.png\" alt=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту после оплаты заказа:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Ссылка на скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS2.png\" alt=\"Ссылка на скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">3. Получение клиентом заказанного товара:</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px auto; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto; display: block;\" title=\"Скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS3.png\" alt=\"Скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Тоже самое можно проделать с любым электронным файлом.</p>\r\n<ul style=\"box-sizing: border-box; margin: 0px 0px 1rem 25px; padding: 0px 0px 0px 25px; list-style-type: disc; color: #212330; font-family: \'Open Sans\', sans-serif; font-size: 16px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы продаете музыкальные композиции - загрузите в описание к товару кусочек своего трека.</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы занимаетесь продажей видеороликов - добавьте в качестве фотографий товара несколько скриншотов своего видео.&nbsp;</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Возможно вы продаете ценную информацию, например, книги? Несколько абзацев в описании к товару заинтересуют покупателя.</span></li>\r\n</ul>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Пробуйте и у вас получится.</p>',	'Кладбище домашних животных Стивен Кинг',	'Кладбище домашних животных Стивен Кинг, Книги и канцтовары',	'Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже. \r\n 1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар): \r\n     \r\n После добавления файла - сохраните товар. \r\n 2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после ',	'akciya.png'),
(3,	191,	'Керри животных Стивен Кинг',	'<ul>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Автор: <strong>Стивен Кинг</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страниц: </span><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\"><strong>224</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Год издания: <strong>2018</strong></span></li>\r\n</ul>',	'<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар):</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Добавление цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS.png\" alt=\"Добавление цифрового товара\" width=\"auto\" height=\"auto\" /></span></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">После добавления файла - сохраните товар.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после оплаты заказа.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту до оплаты:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS1.png\" alt=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту после оплаты заказа:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Ссылка на скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS2.png\" alt=\"Ссылка на скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">3. Получение клиентом заказанного товара:</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px auto; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto; display: block;\" title=\"Скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS3.png\" alt=\"Скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Тоже самое можно проделать с любым электронным файлом.</p>\r\n<ul style=\"box-sizing: border-box; margin: 0px 0px 1rem 25px; padding: 0px 0px 0px 25px; list-style-type: disc; color: #212330; font-family: \'Open Sans\', sans-serif; font-size: 16px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы продаете музыкальные композиции - загрузите в описание к товару кусочек своего трека.</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы занимаетесь продажей видеороликов - добавьте в качестве фотографий товара несколько скриншотов своего видео.&nbsp;</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Возможно вы продаете ценную информацию, например, книги? Несколько абзацев в описании к товару заинтересуют покупателя.</span></li>\r\n</ul>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Пробуйте и у вас получится.</p>',	'Керри животных Стивен Кинг',	'Керри животных Стивен Кинг, Книги и канцтовары',	'Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже. \r\n 1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар): \r\n     \r\n После добавления файла - сохраните товар. \r\n 2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после ',	'hit.png'),
(3,	192,	'Зеленая миля Стивен Кинг',	'<ul>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Автор: <strong>Стивен Кинг</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страниц: </span><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\"><strong>432</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Год издания: <strong>2017</strong></span></li>\r\n</ul>',	'<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар):</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Добавление цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS.png\" alt=\"Добавление цифрового товара\" width=\"auto\" height=\"auto\" /></span></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">После добавления файла - сохраните товар.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после оплаты заказа.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту до оплаты:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS1.png\" alt=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту после оплаты заказа:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Ссылка на скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS2.png\" alt=\"Ссылка на скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">3. Получение клиентом заказанного товара:</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px auto; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto; display: block;\" title=\"Скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS3.png\" alt=\"Скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Тоже самое можно проделать с любым электронным файлом.</p>\r\n<ul style=\"box-sizing: border-box; margin: 0px 0px 1rem 25px; padding: 0px 0px 0px 25px; list-style-type: disc; color: #212330; font-family: \'Open Sans\', sans-serif; font-size: 16px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы продаете музыкальные композиции - загрузите в описание к товару кусочек своего трека.</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы занимаетесь продажей видеороликов - добавьте в качестве фотографий товара несколько скриншотов своего видео.&nbsp;</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Возможно вы продаете ценную информацию, например, книги? Несколько абзацев в описании к товару заинтересуют покупателя.</span></li>\r\n</ul>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Пробуйте и у вас получится.</p>',	'Зеленая миля Стивен Кинг',	'Зеленая миля Стивен Кинг, Книги и канцтовары',	'Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже. \r\n 1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар): \r\n     \r\n После добавления файла - сохраните товар. \r\n 2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после ',	'akciya.png'),
(3,	193,	'Стрелец. Темная Башня Стивен Кинг',	'<ul>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Автор: <strong>Стивен Кинг</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страниц: </span><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\"><strong>240</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Год издания: <strong>2017</strong></span></li>\r\n</ul>',	'<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар):</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Добавление цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS.png\" alt=\"Добавление цифрового товара\" width=\"auto\" height=\"auto\" /></span></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">После добавления файла - сохраните товар.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после оплаты заказа.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту до оплаты:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS1.png\" alt=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту после оплаты заказа:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Ссылка на скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS2.png\" alt=\"Ссылка на скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">3. Получение клиентом заказанного товара:</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px auto; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto; display: block;\" title=\"Скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS3.png\" alt=\"Скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Тоже самое можно проделать с любым электронным файлом.</p>\r\n<ul style=\"box-sizing: border-box; margin: 0px 0px 1rem 25px; padding: 0px 0px 0px 25px; list-style-type: disc; color: #212330; font-family: \'Open Sans\', sans-serif; font-size: 16px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы продаете музыкальные композиции - загрузите в описание к товару кусочек своего трека.</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы занимаетесь продажей видеороликов - добавьте в качестве фотографий товара несколько скриншотов своего видео.&nbsp;</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Возможно вы продаете ценную информацию, например, книги? Несколько абзацев в описании к товару заинтересуют покупателя.</span></li>\r\n</ul>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Пробуйте и у вас получится.</p>',	'Стрелец. Темная Башня Стивен Кинг',	'Стрелец. Темная Башня Стивен Кинг, Книги и канцтовары',	'Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже. \r\n 1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар): \r\n     \r\n После добавления файла - сохраните товар. \r\n 2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после ',	''),
(3,	194,	'Спящие красавицы Стивен Кинг',	'<ul>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Автор: <strong>Стивен Кинг</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страниц: </span><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\"><strong>880</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Год издания: <strong>2018</strong></span></li>\r\n</ul>',	'<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар):</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Добавление цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS.png\" alt=\"Добавление цифрового товара\" width=\"auto\" height=\"auto\" /></span></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">После добавления файла - сохраните товар.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после оплаты заказа.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту до оплаты:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS1.png\" alt=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту после оплаты заказа:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Ссылка на скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS2.png\" alt=\"Ссылка на скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">3. Получение клиентом заказанного товара:</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px auto; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto; display: block;\" title=\"Скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS3.png\" alt=\"Скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Тоже самое можно проделать с любым электронным файлом.</p>\r\n<ul style=\"box-sizing: border-box; margin: 0px 0px 1rem 25px; padding: 0px 0px 0px 25px; list-style-type: disc; color: #212330; font-family: \'Open Sans\', sans-serif; font-size: 16px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы продаете музыкальные композиции - загрузите в описание к товару кусочек своего трека.</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы занимаетесь продажей видеороликов - добавьте в качестве фотографий товара несколько скриншотов своего видео.&nbsp;</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Возможно вы продаете ценную информацию, например, книги? Несколько абзацев в описании к товару заинтересуют покупателя.</span></li>\r\n</ul>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Пробуйте и у вас получится.</p>',	'Спящие красавицы Стивен Кинг',	'Спящие красавицы Стивен Кинг, Книги и канцтовары',	'Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже. \r\n 1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар): \r\n     \r\n После добавления файла - сохраните товар. \r\n 2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после ',	''),
(3,	195,	'Ловец снов Стивен Кинг',	'<ul>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Автор: <strong>Стивен Кинг</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страниц: </span><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\"><strong>672</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Год издания: <strong>2016</strong></span></li>\r\n</ul>',	'<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар):</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Добавление цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS.png\" alt=\"Добавление цифрового товара\" width=\"auto\" height=\"auto\" /></span></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">После добавления файла - сохраните товар.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после оплаты заказа.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту до оплаты:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS1.png\" alt=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту после оплаты заказа:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Ссылка на скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS2.png\" alt=\"Ссылка на скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">3. Получение клиентом заказанного товара:</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px auto; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto; display: block;\" title=\"Скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS3.png\" alt=\"Скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Тоже самое можно проделать с любым электронным файлом.</p>\r\n<ul style=\"box-sizing: border-box; margin: 0px 0px 1rem 25px; padding: 0px 0px 0px 25px; list-style-type: disc; color: #212330; font-family: \'Open Sans\', sans-serif; font-size: 16px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы продаете музыкальные композиции - загрузите в описание к товару кусочек своего трека.</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы занимаетесь продажей видеороликов - добавьте в качестве фотографий товара несколько скриншотов своего видео.&nbsp;</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Возможно вы продаете ценную информацию, например, книги? Несколько абзацев в описании к товару заинтересуют покупателя.</span></li>\r\n</ul>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Пробуйте и у вас получится.</p>',	'Ловец снов Стивен Кинг',	'Ловец снов Стивен Кинг, Книги и канцтовары',	'Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже. \r\n 1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар): \r\n     \r\n После добавления файла - сохраните товар. \r\n 2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после ',	''),
(3,	196,	'Наращивание ресниц',	'',	'',	'Наращивание ресниц',	'Наращивание ресниц, GARNIER, Косметика',	'',	''),
(3,	197,	'Наращивание ресниц',	'',	'',	'Наращивание ресниц',	'Наращивание ресниц, GARNIER, Косметика',	'',	''),
(3,	198,	'Духи с ароматом стородины',	'',	'',	'Духи с ароматом стородины',	'Духи с ароматом стородины, GARNIER, Косметика',	'',	''),
(3,	199,	'Универсальная маска для лица',	'',	'',	'Универсальная маска для лица',	'Универсальная маска для лица, GARNIER, Косметика',	'',	''),
(3,	200,	'Духи Versace Bright crystal ABSOLU',	'',	'',	'Духи Versace Bright crystal ABSOLU',	'Духи Versace Bright crystal ABSOLU, GARNIER, Косметика',	'',	''),
(3,	201,	'Набор меосметических кистей Bellapierre',	'',	'',	'Набор меосметических кистей Bellapierre',	'Набор меосметических кистей Bellapierre, GARNIER, Косметика',	'',	''),
(3,	202,	'Крем для лица ESTEE LAUDER',	'',	'',	'Крем для лица ESTEE LAUDER',	'Крем для лица ESTEE LAUDER, GARNIER, Косметика',	'',	''),
(3,	203,	'Мягкий матовый крем для губ',	'',	'',	'Мягкий матовый крем для губ',	'Мягкий матовый крем для губ, GARNIER, Косметика',	'',	''),
(3,	204,	'Мягкие матовые тени',	'',	'',	'Мягкие матовые тени',	'Мягкие матовые тени, GARNIER, Косметика',	'',	''),
(3,	205,	'Электровелосипед Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2019',	'',	'<p><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-size: 13px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Модель Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2019 предназначена как для агрессивного катания по лесным трассам, так и для неторопливых прогулок по живописным маршрутам. Основная особенность модели - мощный электромотор, который поможет без труда заехать в сложный подъем или преодолеть длительный трансфер от одной трассы к другой. Рама велосипед изготовлена из алюминиевого сплава с применением технологии гидроформинга, что позволило сделать велосипед легким и прочным. Модель оснащена двумя амортизаторами, которые позволят настроить байк под любую трассу. За переключение передач отвечает оборудование Sram NX Eagle.</span></p>',	'Электровелосипед Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2019',	'Электровелосипед Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2019, Haibike, Товары для спорта',	'Модель Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2019 предназначена как для агрессивного катания по лесным трассам, так и для неторопливых прогулок по живописным маршрутам. Основная особенность модели - мощный электромотор, который поможет без труда заехать в сложный подъем или преодолеть длительный трансфер от одной трассы к другой. Рама велосипед изготовлена из алюминиевого сплава с применением технологии гидроформинга, что позволило сделать велосипед легким и прочным. Модель оснащена двумя амортизаторам',	'hit.png'),
(3,	206,	'Складной велосипед Forward Tracer 1.0 2018',	'<ul>\r\n<li><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-size: 13px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #f8f6f7; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">пол: <strong>мужской</strong><br /></span></li>\r\n<li><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-size: 13px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #f8f6f7; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\"><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-size: 13px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">тип рамы</span>: <strong><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">хардтейл</span></strong><br /></span></li>\r\n<li><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-size: 13px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #f8f6f7; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">цепь: <strong>KMC HV408</strong><br /></span></li>\r\n<li><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-size: 13px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #f8f6f7; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">седло: <strong>FWD MTB</strong><br /></span></li>\r\n</ul>',	'<p><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-size: 13px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Forward Tracer 1.0 станет настоящим подарком для поклонников активного времяпровождения и спортивных велозаездов. 6-скоростная трансмиссия переключается с помощью удобных манеток Shimano Tourney RS35 и дает райдеру полный контроль над движением. Система ободных тормозов Promax TX-119L сделает каждую остановку плавной и своевременной. Материалом для изготовления рамы послужил легкий, но устойчивый к деформации алюминий, а амортизационная вилка велосипеда выполнена из стали.</span></p>',	'Складной велосипед Forward Tracer 1.0 2018',	'Складной велосипед Forward Tracer 1.0 2018, Haibike, Товары для спорта',	'Forward Tracer 1.0 станет настоящим подарком для поклонников активного времяпровождения и спортивных велозаездов. 6-скоростная трансмиссия переключается с помощью удобных манеток Shimano Tourney RS35 и дает райдеру полный контроль над движением. Система ободных тормозов Promax TX-119L сделает каждую остановку плавной и своевременной. Материалом для изготовления рамы послужил легкий, но устойчивый к деформации алюминий, а амортизационная вилка велосипеда выполнена из стали.',	''),
(3,	207,	'Велошлем Scott Arx',	'',	'<p><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-size: 13px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Велошлем с усиленной защитой и системой подгонки MRAS2. Scott ARX &ndash; велосипедный шлем с технологией in-mold: при падении шлем не раскалывается, а сохраняет цельность. Плотно облегает, хорошо защищает голову. Крупные отверстия создают равномерную вентиляцию кожи во время поездки. Легкий (240 г), прочный шлем подходит для гонок и тренировок. Система подгонки позволяет одной рукой с помощью небольшого колесика отрегулировать посадку, не прерывая движение.</span></p>',	'Велошлем Scott Arx',	'Велошлем Scott Arx, Haibike, Товары для спорта',	'Велошлем с усиленной защитой и системой подгонки MRAS2. Scott ARX &ndash; велосипедный шлем с технологией in-mold: при падении шлем не раскалывается, а сохраняет цельность. Плотно облегает, хорошо защищает голову. Крупные отверстия создают равномерную вентиляцию кожи во время поездки. Легкий (240 г), прочный шлем подходит для гонок и тренировок. Система подгонки позволяет одной рукой с помощью небольшого колесика отрегулировать посадку, не прерывая движение.',	'new.png'),
(3,	208,	'Велоперчатка BBB BBW-54 LiteZone',	'',	'<p><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-size: 13px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вентилируемая перчатка из практичных материалов. Велоперчатки LiteZone BBW-54 обеспечивают надежный крепкий хват во время велопрогулки и тренировки. Надежное удержание руля повышает уверенность велосипедиста на дороге. Ладонь дополнена силиконовыми вставками, большой и указательный пальцы дополнительно защищены. Руки в перчатках хорошо вентилируются.</span></p>',	'Велоперчатка BBB BBW-54 LiteZone',	'Велоперчатка BBB BBW-54 LiteZone, Haibike, Товары для спорта',	'Вентилируемая перчатка из практичных материалов. Велоперчатки LiteZone BBW-54 обеспечивают надежный крепкий хват во время велопрогулки и тренировки. Надежное удержание руля повышает уверенность велосипедиста на дороге. Ладонь дополнена силиконовыми вставками, большой и указательный пальцы дополнительно защищены. Руки в перчатках хорошо вентилируются.',	'garant.png'),
(3,	209,	'Велообувь Shimano SH-RP501 Men',	'',	'',	'Велообувь Shimano SH-RP501 Men',	'Велообувь Shimano SH-RP501 Men, Haibike, Товары для спорта',	'',	'hit.png'),
(3,	210,	'Гиря Hop-Sport 6 кг',	'',	'<p><span style=\"color: #666666; font-family: \'Open Sans\', sans-serif; font-size: 12px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Физические нагрузки, которые вы получите с помощью гирь, наиболее оптимальны для вашего организма. Гири спроектированы специальным образом, имеют удобную ручку для хвата. Характеристики: обхват &ndash; 50 см; объем ручки &ndash; 10 см; покрытие &ndash; винил; наполнение &ndash; бетон. Также занятия с гирями доставят удовольствие женщинам, так как помогут сбросить вес и обрести подтянутую фигуру.</span></p>',	'Гиря Hop-Sport 6 кг',	'Гиря Hop-Sport 6 кг, Haibike, Товары для спорта',	'Физические нагрузки, которые вы получите с помощью гирь, наиболее оптимальны для вашего организма. Гири спроектированы специальным образом, имеют удобную ручку для хвата. Характеристики: обхват &ndash; 50 см; объем ручки &ndash; 10 см; покрытие &ndash; винил; наполнение &ndash; бетон. Также занятия с гирями доставят удовольствие женщинам, так как помогут сбросить вес и обрести подтянутую фигуру.',	'new.png'),
(3,	211,	'Гантели Lifemaxx 8 кг',	'',	'<p><span style=\"color: #666666; font-family: \'Open Sans\', sans-serif; font-size: 12px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Гантели &ndash; широко известный универсальный снаряд с давней историей. Предназначена она для увеличения мышечной массы и выполнения силовых упражнений. Тренировки с гирей позволяют накачать бицепс, трицепс, мышцы спины, брюшного пресса, ягодичные мышцы. Имея дома один такой универсальный снаряд, вы можете обеспечить себя полноценной физической нагрузкой. Преимущество резиновых гирь с хромированной ручкой - нет необходимости оборудования страховочной поверхности на полу. Гири в резиновой оболочке прекрасно подходят для занятий как в спортивном зале, так и дома. Выбирать гирю необходимо в соответствии со своей физической формой и весом.</span></p>',	'Гантели Lifemaxx 8 кг',	'Гантели Lifemaxx 8 кг, Haibike, Товары для спорта',	'Гантели &ndash; широко известный универсальный снаряд с давней историей. Предназначена она для увеличения мышечной массы и выполнения силовых упражнений. Тренировки с гирей позволяют накачать бицепс, трицепс, мышцы спины, брюшного пресса, ягодичные мышцы. Имея дома один такой универсальный снаряд, вы можете обеспечить себя полноценной физической нагрузкой. Преимущество резиновых гирь с хромированной ручкой - нет необходимости оборудования страховочной поверхности на полу. Гири в резиновой оболочке прекрасно',	'garant.png'),
(3,	212,	'Велотренажер HouseFit',	'<ul>\r\n<li>Страна: США</li>\r\n<li>Питание: батарея</li>\r\n<li>Тип: классика</li>\r\n</ul>',	'<p><span style=\"color: #666666; font-family: \'Open Sans\', sans-serif; font-size: 12px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Велотренажер HSF 8012. Механическая бесступенчатая регулируемая система нагрузки. Корпус с полированным лакокрасочным покрытием. Очень легкая и компактная конструкция. Регулируемое по высоте сиденье. Ножки с регулировкой для неровного пола. Компьютер: функции &ndash; скорость, потраченные калории, время, расстояние. В наличии цвета: оранжевый, синий.</span></p>',	'Велотренажер HouseFit',	'Велотренажер HouseFit, Haibike, Товары для спорта',	'Велотренажер HSF 8012. Механическая бесступенчатая регулируемая система нагрузки. Корпус с полированным лакокрасочным покрытием. Очень легкая и компактная конструкция. Регулируемое по высоте сиденье. Ножки с регулировкой для неровного пола. Компьютер: функции &ndash; скорость, потраченные калории, время, расстояние. В наличии цвета: оранжевый, синий.',	'hit.png'),
(3,	213,	'ТРЕНАЖЕР ДЛЯ МЫШЦ ПЛЕЧА MARBO-SPORT 348',	'<ul>\r\n<li>Цвет: <strong>черный</strong></li>\r\n<li>Назначение: <strong>руки, плечи</strong></li>\r\n<li>Габариты: <strong>139x140x147</strong></li>\r\n</ul>',	'<p><strong>Тренажер для мышц плеча Marbo-Sport MF-U007 (MF-U007-k1t4)</strong> &ndash; высококачественное, эффективное оборудование, предназначенное для проработки рук и плечевого пояса. Нагрузка на данной моделе основана на свободном весе. Конструкция тренажера изготовлена из толстостенного стального профиля, обеспечивающего надежность и безопасность. В качестве покрытия использована качественная порошковая краска, защищающая раму от коррозии. Регулировка высоты сиденья осуществляется быстро и легко при помощи специальных приводов. Для расположения олимпийских блинов, на оборудовании предусмотрены специальные посадочные места, которые покрыты полиамидом, препятствующим появление царапин, а также снижающие уровень шума при касании инвентаря о втулки. Благодаря трехступенчатой регулировке угла наклона спинки, спортсмен может увеличивать или уменьшать нагрузку. Ручки, имеют покрытие из прочного, противоскользящего вспененного полимера, гарантирующего качественное сцепление. Данное оборудование максимально устойчиво даже на не совсем ровной поверхности благодаря специальным компенсаторам неровности пола и резиновым накладкам на ножках. Тренажер прошел необходимое тестирование и имеет сертификат безопасности Европейского центра качества.<br /><br /><strong>Особенности тренажера:</strong></p>\r\n<ul>\r\n<li>силовой, на свободных весах;</li>\r\n<li>для коммерческого использования;</li>\r\n<li>оптимальное удобство и эффективность;</li>\r\n<li>безопасность при использовании;</li>\r\n<li>для проработки мышц рук и плечевого пояса;</li>\r\n<li>конструкция из высокопрочного стального профиля и цельнокроеных металлических пластин;</li>\r\n<li>обивка из высокотехнологичной синтетической кожи;</li>\r\n<li>резиновые накладки на ножках.&nbsp;<br /><br /></li>\r\n</ul>\r\n<p><strong>Характеристики:</strong><br /><strong>&nbsp;Тип:</strong> силовой тренажер;<br /><strong>&nbsp;Вид:</strong> для горизонтального жима;<br /><strong>&nbsp;Нагрузка:</strong> на свободных весах;<br /><strong>&nbsp;Назначение:</strong> руки, плечи;<br /><strong>&nbsp;Профили: </strong>100х50x3 мм;<br /><strong>&nbsp;Общий вес тренажера:</strong> 121 кг;<br /><strong>&nbsp;Нагрузка: </strong>до 400 кг;<br /><strong>&nbsp;Габариты: </strong>139х140х147 см.<br /><br /><strong>Производитель:</strong> Marbo-Sport (Польша).<br />Торговая марка Marbo-Sport была основана более 30 лет назад в Польше, городе Страховице. Компания специализируется на производстве высококачественного спортивного оборудования. Ассортимент товаров бренда представлен стойками, скамьями, силовыми станциями, многофункциональными турниками, мультистанциями и многими другими тренажерами и аксессуарами к ним. Продукция Marbo-Sport отличается высоким качеством, надежностью и безопасностью, проходит обязательное тестирование и имеет длительную гарантию.</p>',	'ТРЕНАЖЕР ДЛЯ МЫШЦ ПЛЕЧА MARBO-SPORT 348',	'ТРЕНАЖЕР ДЛЯ МЫШЦ ПЛЕЧА MARBO-SPORT 348, Haibike, Товары для спорта',	'Тренажер для мышц плеча Marbo-Sport MF-U007 (MF-U007-k1t4)  &ndash; высококачественное, эффективное оборудование, предназначенное для проработки рук и плечевого пояса. Нагрузка на данной моделе основана на свободном весе. Конструкция тренажера изготовлена из толстостенного стального профиля, обеспечивающего надежность и безопасность. В качестве покрытия использована качественная порошковая краска, защищающая раму от коррозии. Регулировка высоты сиденья осуществляется быстро и легко при помощи специальных пр',	'akciya.png'),
(3,	214,	'Гироскутер NINEDROP BY SEGWAY 34, БЕЛЫЙ',	'<ul>\r\n<li>Цвет: белый</li>\r\n<li>Запас хода: 30км</li>\r\n<li>Вес: 3.8кг</li>\r\n<li>Диаметр: 10 дюёмов</li>\r\n</ul>',	'<p><strong>Гироскутер Ninebot by Segway MiniPro 320,&nbsp;белый </strong>- невероятно удобная и простая в эксплуатации модель. Эргономичный дизайн и умные датчики облегчают поездку и делают ее безопасней. Рулевая ручка регулируется по высоте под пользователя, а также используется для транспортировки. Защита IP54 позволит передвигаться во время дождя или же по пыльной дороге. Гироскутер идеально приспособлен к городским условиям, так как инженеры оснастили его алгоритмом динамического питания, который определяет наклоны, препятствия и автоматически регулирует мощность. Персональный транспорт может быть синхронизирован со смартфоном для удобного дистанционного управления, определения динамики движения и диагностики неполадок. LED-подсветка выполняет декоративную функцию и сигнализирует о движении: синий - движение вперед, мигание желтого - поворот, красный - торможение. Рама выполнена из мaгниевого сплава, кoторый обеспечивaет прочность конcтрукции и имеет небoльшой вес. Компактные размеры позволяют с легкостью транспортировать гироскутер в общественном транспорте или же в багажнике автомобиля.</p>\r\n<p>&nbsp;</p>\r\n<p><strong>Особенности</strong>:</p>\r\n<ul>\r\n<li>стильный дизайн;</li>\r\n<li>увеличенные колеса;</li>\r\n<li>LED-подсветка;</li>\r\n<li>цветовая сигнализация о движении;</li>\r\n<li>система идентификации;</li>\r\n<li>безопасное передвижение;</li>\r\n<li>ручка для управления и переноски;</li>\r\n<li>синхронизация со смартфоном;</li>\r\n<li>мобильное приложение;</li>\r\n<li>дистанционное управление;</li>\r\n<li>пыле- и влагозащитный корпус;</li>\r\n<li>длительная работа на одном заряде;</li>\r\n<li>мощный электромотор;</li>\r\n<li>удлинитель для подкачки колес;</li>\r\n<li>компактные размеры;</li>\r\n<li>прочный корпус.</li>\r\n</ul>\r\n<p>&nbsp;</p>\r\n<p><strong>Характеристики</strong>:<br />&nbsp;<strong>Тип</strong>: гироскутер; <br />&nbsp;<strong>Возрастная категория</strong>: 16 - 60 лет; <br />&nbsp;<strong>Рекомендyемый рост</strong>: 120 - 200 см; <br />&nbsp;<strong>Диаметр кoлес</strong>: 10,5\"; <br />&nbsp;<strong>Скорость мах</strong>: 18 км/ч; <br />&nbsp;<strong>Угoл нaклoна</strong>: до 15 градусов; <br />&nbsp;<strong>Мощность</strong>: 1600 Вт; <br />&nbsp;<strong>Батарея</strong>: Li-ion 310 Вт-ч; <br />&nbsp;<strong>Запас хoда</strong>: до 30 км; <br />&nbsp;<strong>Врeмя полоной зарядки</strong>: 4 ч; <br />&nbsp;<strong>Нагрузка</strong>: до 100 кг; <br />&nbsp;<strong>Защита</strong>: IP54; <br />&nbsp;<strong>Беспроводная связь</strong>: Bluetоoth; <br />&nbsp;<strong>Размeр</strong>: 54,6x26,2x61,1-86,6 см; <br />&nbsp;<strong>Вeс</strong>: 12,8 кг; <br />&nbsp;<strong>Цвeт</strong>: белый; <br />&nbsp;<strong>Гарaнтия</strong>: 12 месяцев.</p>',	'Гироскутер NINEDROP BY SEGWAY 34, БЕЛЫЙ',	'Гироскутер NINEDROP BY SEGWAY 34, БЕЛЫЙ, Haibike, Товары для спорта',	'Гироскутер Ninebot by Segway MiniPro 320, белый  - невероятно удобная и простая в эксплуатации модель. Эргономичный дизайн и умные датчики облегчают поездку и делают ее безопасней. Рулевая ручка регулируется по высоте под пользователя, а также используется для транспортировки. Защита IP54 позволит передвигаться во время дождя или же по пыльной дороге. Гироскутер идеально приспособлен к городским условиям, так как инженеры оснастили его алгоритмом динамического питания, который определяет наклоны, препятстви',	'garant.png'),
(3,	215,	'Гироборд 56GTA 102 10” POWER',	'<ul>\r\n<li>Цвет: <strong>красный</strong></li>\r\n<li>Запас хода: <strong>30км</strong></li>\r\n<li>Вес: 1<strong>3.8кг</strong></li>\r\n<li>Диаметр: <strong>10дюймов</strong></li>\r\n</ul>',	'<p><strong>Гироборд 2Е HB 102 10&rdquo; Power, серо-красный (2E-HB102-10P-GR) </strong>- совpеменное решение для пeредвижения по городу или прогулок. Гироскутер оборудован 10\" колесами с шиpокими покрышками, кoторые обеспечивают отличнyю проходимoсть. Заряда батареи хватает на 16 чаcов активной pаботы. Прорезиненные подножки обеспечивают отличное сцепление с обувью и устойчивость. Персональный транспорт это oтличная альтернатива pоликам или скейту. Также модель оборудована LED-диcплеем с подсвeткой.</p>\r\n<p><strong>Особенности</strong>:</p>\r\n<ul>\r\n<li>прочная конструкция;</li>\r\n<li>стильный дизайн;</li>\r\n<li>широкие колеса;</li>\r\n<li>отличная проходимость;</li>\r\n<li>мощная батарея;</li>\r\n<li>нескользящие подножки;</li>\r\n<li>автобалансировка;</li>\r\n<li>LED-дисплей.</li>\r\n</ul>\r\n<p><strong>Характеристики</strong>:<br />&nbsp;<strong>Ти</strong><strong>п</strong>: гиpоборд; <br />&nbsp;<strong>Скорость</strong> <strong>мах</strong>: 12 км/ч; <br />&nbsp;<strong>Диаметр колес</strong>: 10\"; <br />&nbsp;<strong>Мощноcть</strong>: 700 Вт (2 x 350 Вт); <br />&nbsp;<strong>Батарея</strong>: Li-ion 158 Вт*ч; <br />&nbsp;<strong>Длительность работы</strong>: до 16 ч; <br />&nbsp;<strong>Время полоной зарядки</strong>: 130 мин; <br />&nbsp;<strong>Размер</strong>: 73 х 28 х 30 см; <br />&nbsp;<strong>Веc</strong>: 13,5 кг; <br />&nbsp;<strong>Цвет</strong>: серый, красный; <br />&nbsp;<strong>Гаpантия</strong>: 12 меcяцев.</p>',	'Гироборд 56GTA 102 10” POWER',	'Гироборд 56GTA 102 10” POWER, Haibike, Товары для спорта',	'Гироборд 2Е HB 102 10&rdquo; Power, серо-красный (2E-HB102-10P-GR)  - совpеменное решение для пeредвижения по городу или прогулок. Гироскутер оборудован 10\" колесами с шиpокими покрышками, кoторые обеспечивают отличнyю проходимoсть. Заряда батареи хватает на 16 чаcов активной pаботы. Прорезиненные подножки обеспечивают отличное сцепление с обувью и устойчивость. Персональный транспорт это oтличная альтернатива pоликам или скейту. Также модель оборудована LED-диcплеем с подсвeткой. \r\n  Особенности : \r\n \r\n пр',	'new.png'),
(3,	216,	'Фитнесс-трекер SOUSHTRACK IFaT ACTIVE 3 В 1',	'<ul>\r\n<li>Цвет: черный</li>\r\n<li>Тип: smart часы</li>\r\n<li>Разъём: microUSB</li>\r\n<li>Гарантия: 12 мес</li>\r\n</ul>',	'<p class=\"MsoNormal\"><strong>Фитнес-трекер NordicTrack iFit Active 3 в 1 </strong>&ndash; очень полезный умный гаджет людям живущим активной спортивной жизнью. Данный умный девайс поможет Вам упорядочить свои спортивные нагрузки, а также проанализировать полученные результаты с помощью устройств с ОС <span lang=\"EN-US\">IOS </span>или<span lang=\"EN-US\"> Android</span>.</p>\r\n<p>Данное устройство поможет вам подсчитать съеденные калории, благодаря встроенной библиотеке блюд, что поможет вам построить правильную диету во время тренировочных нагрузок, кроме этого устройство умеет считывать параметры вашего организма во время сна, и подбирает самое удачное время для вашего пробуждения. Еще одним достоинством является сопряжение устройства с системой Fit Active, где вы можете общаться и обмениваться своими результатами с другими пользователями.</p>\r\n<p><strong>Особенности:</strong></p>\r\n<p>- яркий экран;</p>\r\n<p>- полная совместимость с устройствами <span lang=\"EN-US\">IOS </span>или<span lang=\"EN-US\"> Android</span>;</p>\r\n<p>- отображение количества пройдённых &nbsp;шагов, дистанции, сколько было сожжено калорий, время и качества сна<br /><br /></p>\r\n<p>NordicTrack &ndash; Американский бренд, составная часть группы компаний&nbsp; ICON Health&amp;Fitness, производитель с 40 летней репутацией, и огромнейшим количеством моделей. Больше 35 лет этот бренд известен своим оборудованием предназаначеным для оздоровления и фитнеса. На сегодня&nbsp; компания не останавливается на достигнутых результатах, постоянно исследуя и применяя инновации в своей продукции. Простота конструкций, эффективность, качество и уникальные решения в проектировке &ndash; быстро завоевали симпатии клиентов и принесли компании узнаваемость и признание во всем мире.</p>',	'Фитнесс-трекер SOUSHTRACK IFaT ACTIVE 3 В 1',	'Фитнесс-трекер SOUSHTRACK IFaT ACTIVE 3 В 1, Haibike, Товары для спорта',	'Фитнес-трекер NordicTrack iFit Active 3 в 1  &ndash; очень полезный умный гаджет людям живущим активной спортивной жизнью. Данный умный девайс поможет Вам упорядочить свои спортивные нагрузки, а также проанализировать полученные результаты с помощью устройств с ОС  IOS  или  Android . \r\n Данное устройство поможет вам подсчитать съеденные калории, благодаря встроенной библиотеке блюд, что поможет вам построить правильную диету во время тренировочных нагрузок, кроме этого устройство умеет считывать параметры ',	''),
(3,	217,	'Экшн-камера ThiEYE T5 Edge',	'<ul>\r\n<li>Матрица: CMOS</li>\r\n<li>Диагональ: 2 дюйма</li>\r\n<li>Формат: <span style=\"color: #000000; font-family: Helvetica, Arial, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 300; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">AVC (H.264/MPEG-4), MP4</span></li>\r\n</ul>',	'<h2 class=\"pd_prop_h2\" style=\"font-size: initial; font-weight: initial; color: #000000; font-family: Helvetica, Arial, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial; margin: initial initial 16px initial;\"><span class=\"pd_prop-val\" style=\"color: #000000; font-weight: initial; padding: initial; margin-top: 16px; font-size: 14px;\">Голосовое дистанционное управление (поддерживается только английское произношение, встроенная 1 x 3 В CR1632 батарея): прозвучат простые голосовые команды на пульте дистанционного управления или нажмите кнопку на пульте дистанционного управления, и вы можете управлять своей камерой. Удивительная технология голосовых команд дает вам свободный контроль над вашим T5 Edge. Родное видео с разрешением 4K 30 кадров в секунду: запись видео высокой четкости с разрешением 4K 30 кадров в секунду и захват действия более подробно. Встроенный 2-дюймовый экран ульта HD IPS: больше, чем предыдущее поколение, для легкой настройки камеры, просмотра и воспроизведения видео и фотографий. 14 Mп фото, различные режимы фото: одиночная съемка, автоспуск, фотосъемка, фотоснимок и длительная экспозиция. Стабилизатор гироскопа (EIS при 4K и 1080P): минимизировать размытие и компенсировать дрожание устройства, чтобы обеспечить четкие и стабильные изображения. Поворотные крепления на 360 градусов и резьбовая вставка 1/4 дюйма. Уникальный поворот на 360 градусов позволяет вам регулировать различные углы съемки, а резьбовая вставка 1/4 дюйма автоматически соединяется с штативом или самоуправляемой рукояткой. Коррекция искажений: уменьшите или устраните искажения, чтобы получить более естественный эффект съемки. Длительное воздействие: вы можете записывать орбиты съемок, водопады, водителя автомобиля из-за продления времени экспозиции. Водонепроницаемость до 60 м: оснащен профессиональным водонепроницаемым корпусом IP68, водонепроницаемый T5 Edge до 60 м. APP для дистанционного управления, редактирования и совместного использования: Подключите устройства Android или iOS к камере действия через ThiEYE Cam APP (затем загрузите с официального сайта http://www.thieye.com), затем вы можете настроить камеру, просматривать, редактировать и делиться своими видео и фотографиями.</span></h2>',	'Экшн-камера ThiEYE T5 Edge',	'Экшн-камера ThiEYE T5 Edge, Haibike, Товары для спорта',	'Голосовое дистанционное управление (поддерживается только английское произношение, встроенная 1 x 3 В CR1632 батарея): прозвучат простые голосовые команды на пульте дистанционного управления или нажмите кнопку на пульте дистанционного управления, и вы можете управлять своей камерой. Удивительная технология голосовых команд дает вам свободный контроль над вашим T5 Edge. Родное видео с разрешением 4K 30 кадров в секунду: запись видео высокой четкости с разрешением 4K 30 кадров в секунду и захват действия боле',	'akciya.png'),
(3,	218,	'Экшн-камера ThiEYE T5 Edge',	'<ul>\r\n<li>Матрица: CMOS</li>\r\n<li>Диагональ: 2 дюйма</li>\r\n<li>Формат: <span style=\"color: #000000; font-family: Helvetica, Arial, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 300; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">AVC (H.264/MPEG-4), MP4</span></li>\r\n</ul>',	'<h2 class=\"pd_prop_h2\" style=\"font-size: initial; font-weight: initial; color: #000000; font-family: Helvetica, Arial, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial; margin: initial initial 16px initial;\"><span class=\"pd_prop-val\" style=\"color: #000000; font-weight: initial; padding: initial; margin-top: 16px; font-size: 14px;\">Голосовое дистанционное управление (поддерживается только английское произношение, встроенная 1 x 3 В CR1632 батарея): прозвучат простые голосовые команды на пульте дистанционного управления или нажмите кнопку на пульте дистанционного управления, и вы можете управлять своей камерой. Удивительная технология голосовых команд дает вам свободный контроль над вашим T5 Edge. Родное видео с разрешением 4K 30 кадров в секунду: запись видео высокой четкости с разрешением 4K 30 кадров в секунду и захват действия более подробно. Встроенный 2-дюймовый экран ульта HD IPS: больше, чем предыдущее поколение, для легкой настройки камеры, просмотра и воспроизведения видео и фотографий. 14 Mп фото, различные режимы фото: одиночная съемка, автоспуск, фотосъемка, фотоснимок и длительная экспозиция. Стабилизатор гироскопа (EIS при 4K и 1080P): минимизировать размытие и компенсировать дрожание устройства, чтобы обеспечить четкие и стабильные изображения. Поворотные крепления на 360 градусов и резьбовая вставка 1/4 дюйма. Уникальный поворот на 360 градусов позволяет вам регулировать различные углы съемки, а резьбовая вставка 1/4 дюйма автоматически соединяется с штативом или самоуправляемой рукояткой. Коррекция искажений: уменьшите или устраните искажения, чтобы получить более естественный эффект съемки. Длительное воздействие: вы можете записывать орбиты съемок, водопады, водителя автомобиля из-за продления времени экспозиции. Водонепроницаемость до 60 м: оснащен профессиональным водонепроницаемым корпусом IP68, водонепроницаемый T5 Edge до 60 м. APP для дистанционного управления, редактирования и совместного использования: Подключите устройства Android или iOS к камере действия через ThiEYE Cam APP (затем загрузите с официального сайта http://www.thieye.com), затем вы можете настроить камеру, просматривать, редактировать и делиться своими видео и фотографиями.</span></h2>',	'Экшн-камера ThiEYE T5 Edge',	'Экшн-камера ThiEYE T5 Edge, Haibike, Товары для спорта',	'Голосовое дистанционное управление (поддерживается только английское произношение, встроенная 1 x 3 В CR1632 батарея): прозвучат простые голосовые команды на пульте дистанционного управления или нажмите кнопку на пульте дистанционного управления, и вы можете управлять своей камерой. Удивительная технология голосовых команд дает вам свободный контроль над вашим T5 Edge. Родное видео с разрешением 4K 30 кадров в секунду: запись видео высокой четкости с разрешением 4K 30 кадров в секунду и захват действия боле',	'akciya.png'),
(3,	219,	'Электровелосипед Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2019',	'',	'<p><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-size: 13px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Модель Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2019 предназначена как для агрессивного катания по лесным трассам, так и для неторопливых прогулок по живописным маршрутам. Основная особенность модели - мощный электромотор, который поможет без труда заехать в сложный подъем или преодолеть длительный трансфер от одной трассы к другой. Рама велосипед изготовлена из алюминиевого сплава с применением технологии гидроформинга, что позволило сделать велосипед легким и прочным. Модель оснащена двумя амортизаторами, которые позволят настроить байк под любую трассу. За переключение передач отвечает оборудование Sram NX Eagle.</span></p>',	'Электровелосипед Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2019',	'Электровелосипед Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2019, Haibike, Товары для спорта',	'Модель Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2019 предназначена как для агрессивного катания по лесным трассам, так и для неторопливых прогулок по живописным маршрутам. Основная особенность модели - мощный электромотор, который поможет без труда заехать в сложный подъем или преодолеть длительный трансфер от одной трассы к другой. Рама велосипед изготовлена из алюминиевого сплава с применением технологии гидроформинга, что позволило сделать велосипед легким и прочным. Модель оснащена двумя амортизаторам',	'hit.png'),
(3,	220,	'ТСД Motorola (Zebra/Symbol) MC9200',	'<ul>\r\n<li>Сканер: <strong>2D Imager PRZM</strong></li>\r\n<li>Операционная система: <strong>Android 4.4.4</strong></li>\r\n<li>Память: <strong>2 ГБайт Flash</strong></li>\r\n<li>Интерфейс подключения: <strong>USB</strong></li>\r\n</ul>',	'',	'ТСД Motorola (Zebra/Symbol) MC9200',	'ТСД Motorola (Zebra/Symbol) MC9200, Товары для бизнеса',	'',	'hit.png'),
(3,	221,	'ТСД Motorola (Zebra/Symbol) MC9200',	'<ul>\r\n<li>Сканер: <strong>2D Imager PRZM</strong></li>\r\n<li>Система: <strong>Android 4.4.4</strong></li>\r\n<li>Память: <strong>2 ГБайт Flash</strong></li>\r\n<li>Интерфейс: <strong>USB</strong></li>\r\n</ul>',	'',	'ТСД Motorola (Zebra/Symbol) MC9200',	'ТСД Motorola (Zebra/Symbol) MC9200, Товары для бизнеса',	'',	'hit.png'),
(3,	222,	'Сканер Jepod JP-M234',	'<ul>\r\n<li>Сканер: <strong>лазерный</strong></li>\r\n<li>Система: <strong>Android 3.2.1</strong></li>\r\n<li>Память: <strong>1 ГБайт Flash</strong></li>\r\n<li>Частота: <strong>433МГц</strong></li>\r\n</ul>',	'',	'Сканер Jepod JP-M234',	'Сканер Jepod JP-M234, Товары для бизнеса',	'',	'new.png'),
(3,	223,	'Принтер чеков-этикеток JPRT LQ258',	'<ul>\r\n<li>Разрешение: <strong>203 dpi<br /></strong></li>\r\n<li>Система: <strong>Android 3.2.1</strong></li>\r\n<li>Память: <strong>1 МБ SDRAM<br /></strong></li>\r\n<li>Материал: <strong>термобумага</strong></li>\r\n</ul>',	'',	'Принтер чеков-этикеток JPRT LQ258',	'Принтер чеков-этикеток JPRT LQ258, Товары для бизнеса',	'',	'akciya.png'),
(3,	224,	'POS-терминал Sam4s Titan-S 260',	'<ul>\r\n<li>Дисплей: <strong>15\" LED<br /></strong></li>\r\n<li>Процессор:&nbsp;<strong>Intel Quad</strong></li>\r\n<li>Память: <strong>4 ГБ DDR3</strong></li>\r\n<li>ОС:&nbsp;<strong>Windows 7</strong></li>\r\n</ul>',	'',	'POS-терминал Sam4s Titan-S 260',	'POS-терминал Sam4s Titan-S 260, Товары для бизнеса',	'',	'garant.png'),
(3,	225,	'Royal Canin Maine Coon Adult сухой корм для котов породы мейн-кун',	'<ul>\r\n<li>Вес: 10г</li>\r\n<li>Тип: Сухой корм</li>\r\n<li>Класс: Супер премиум</li>\r\n</ul>',	'<p>СПЕЦИАЛЬНО ДЛЯ КОШЕК С БОЛЬШИМИ ЧЕЛЮСТЯМИ<br /><br />Специально разработанные крокеты кубической формы, которые адаптированы к большим квадратным челюстям кошек породы мейн-кун. Уникальная форма крокет стимулирует животное к их разгрызанию, что способствует поддержанию гигиены ротовой полости.<br /><br />ЭКСКЛЮЗИВНАЯ ФОРМУЛА:<br /><br />Таурин и омега-3 жирные кислоты<br /><br />ЗДОРОВЬЕ СУСТАВОВ<br /><br />Вследствие большого размера и веса кошки породы мейн-кун ее суставы подвергаются значительной нагрузке на протяжении всей жизни животного. Формула рациона способствует поддержанию здорового состояния костей и суставов. Рацион обогащен омега-3 жирными кислотами (ЭПК и ДГК).<br /><br />ЗДОРОВЬЕ СЕРДЦА<br /><br />Рацион обогащен такими питательными веществами, как таурин, ЭПК и ДГК, которые способствуют поддержанию здоровой работы сердца.<br /><br />ЗДОРОВЬЕ КОЖИ И БЛЕСК ШЕРСТИ<br /><br />Серосодержащие аминокислоты, витамины, омега-3 и омега-6 жирные кислоты способствуют поддержанию здоровья кожи и блеска шерсти.<br /><br />ЗДОРОВЬЕ МОЧЕВЫДЕЛИТЕЛЬНОЙ СИСТЕМЫ<br /><br />Соответствующий баланс минеральных веществ в рационе способствует поддержанию здоровья мочевыделительной системы взрослых кошек.<br /><br />Мейн-кун<br /><br />Мейн-кун является крупнейшим и самым длинным котом в мире, благодаря чему он производит впечатление чрезвычайной мощи и силы. Мейн-кун может достигать 1 м в длину (вместе с хвостом), а вес котов этой породы может достигать 10-12 кг. Учитывая большой размер и тяжелый костяк особое внимание следует уделять защите суставов кошек этой породы.</p>',	'Royal Canin Maine Coon Adult сухой корм для котов породы мейн-кун',	'Royal Canin Maine Coon Adult сухой корм для котов породы мейн-кун, Royal Canin, Товары для животных',	'СПЕЦИАЛЬНО ДЛЯ КОШЕК С БОЛЬШИМИ ЧЕЛЮСТЯМИ  Специально разработанные крокеты кубической формы, которые адаптированы к большим квадратным челюстям кошек породы мейн-кун. Уникальная форма крокет стимулирует животное к их разгрызанию, что способствует поддержанию гигиены ротовой полости.  ЭКСКЛЮЗИВНАЯ ФОРМУЛА:  Таурин и омега-3 жирные кислоты  ЗДОРОВЬЕ СУСТАВОВ  Вследствие большого размера и веса кошки породы мейн-кун ее суставы подвергаются значительной нагрузке на протяжении всей жизни животного. Формула раци',	'hit.png'),
(3,	226,	'Royal Canin Maine Coon Adult сухой корм для котов породы мейн-кун',	'<ul>\r\n<li>Вес: <strong>10г</strong></li>\r\n<li>Тип: <strong>Сухой корм</strong></li>\r\n<li>Класс: <strong>Супер премиум</strong></li>\r\n</ul>',	'<p><strong>СПЕЦИАЛЬНО ДЛЯ КОШЕК С БОЛЬШИМИ ЧЕЛЮСТЯМИ</strong><br /><br />Специально разработанные крокеты кубической формы, которые адаптированы к большим квадратным челюстям кошек породы мейн-кун. Уникальная форма крокет стимулирует животное к их разгрызанию, что способствует поддержанию гигиены ротовой полости.<br /><br /><strong>ЭКСКЛЮЗИВНАЯ ФОРМУЛА:</strong><br /><br />Таурин и омега-3 жирные кислоты<br /><br /><strong>ЗДОРОВЬЕ СУСТАВОВ</strong><br /><br />Вследствие большого размера и веса кошки породы мейн-кун ее суставы подвергаются значительной нагрузке на протяжении всей жизни животного. Формула рациона способствует поддержанию здорового состояния костей и суставов. Рацион обогащен омега-3 жирными кислотами (ЭПК и ДГК).<br /><br /><strong>ЗДОРОВЬЕ СЕРДЦА</strong><br /><br />Рацион обогащен такими питательными веществами, как таурин, ЭПК и ДГК, которые способствуют поддержанию здоровой работы сердца.<br /><br /><strong>ЗДОРОВЬЕ КОЖИ И БЛЕСК ШЕРСТИ</strong><br /><br />Серосодержащие аминокислоты, витамины, омега-3 и омега-6 жирные кислоты способствуют поддержанию здоровья кожи и блеска шерсти.<br /><br /><strong>ЗДОРОВЬЕ МОЧЕВЫДЕЛИТЕЛЬНОЙ СИСТЕМЫ</strong><br /><br />Соответствующий баланс минеральных веществ в рационе способствует поддержанию здоровья мочевыделительной системы взрослых кошек.<br /><br />Мейн-кун<br /><br />Мейн-кун является крупнейшим и самым длинным котом в мире, благодаря чему он производит впечатление чрезвычайной мощи и силы. Мейн-кун может достигать 1 м в длину (вместе с хвостом), а вес котов этой породы может достигать 10-12 кг. Учитывая большой размер и тяжелый костяк особое внимание следует уделять защите суставов кошек этой породы.</p>',	'Royal Canin Maine Coon Adult сухой корм для котов породы мейн-кун',	'Royal Canin Maine Coon Adult сухой корм для котов породы мейн-кун, Royal Canin, Товары для животных',	'СПЕЦИАЛЬНО ДЛЯ КОШЕК С БОЛЬШИМИ ЧЕЛЮСТЯМИ   Специально разработанные крокеты кубической формы, которые адаптированы к большим квадратным челюстям кошек породы мейн-кун. Уникальная форма крокет стимулирует животное к их разгрызанию, что способствует поддержанию гигиены ротовой полости.   ЭКСКЛЮЗИВНАЯ ФОРМУЛА:   Таурин и омега-3 жирные кислоты   ЗДОРОВЬЕ СУСТАВОВ   Вследствие большого размера и веса кошки породы мейн-кун ее суставы подвергаются значительной нагрузке на протяжении всей жизни животного. Формула',	'hit.png'),
(3,	227,	'Royal Canin British Shorthair Kitten сухой корм для котят породы британская короткошерстная',	'<ul>\r\n<li>Вес: <strong>10г</strong></li>\r\n<li>Тип: <strong>Сухой корм</strong></li>\r\n<li>Класс: <strong>Супер премиум</strong></li>\r\n</ul>',	'<p><strong>СПЕЦИАЛЬНО ДЛЯ КОШЕК С БОЛЬШИМИ ЧЕЛЮСТЯМИ</strong><br /><br />Специально разработанные крокеты кубической формы, которые адаптированы к большим квадратным челюстям кошек породы британская. Уникальная форма крокет стимулирует животное к их разгрызанию, что способствует поддержанию гигиены ротовой полости.<br /><br /><strong>ЭКСКЛЮЗИВНАЯ ФОРМУЛА:</strong><br /><br />Таурин и омега-3 жирные кислоты<br /><br /><strong>ЗДОРОВЬЕ СУСТАВОВ</strong><br /><br />Вследствие большого размера и веса кошки породы персидский ее суставы подвергаются значительной нагрузке на протяжении всей жизни животного. Формула рациона способствует поддержанию здорового состояния костей и суставов. Рацион обогащен омега-3 жирными кислотами (ЭПК и ДГК).<br /><br /><strong>ЗДОРОВЬЕ СЕРДЦА</strong><br /><br />Рацион обогащен такими питательными веществами, как таурин, ЭПК и ДГК, которые способствуют поддержанию здоровой работы сердца.<br /><br /><strong>ЗДОРОВЬЕ КОЖИ И БЛЕСК ШЕРСТИ</strong><br /><br />Серосодержащие аминокислоты, витамины, омега-3 и омега-6 жирные кислоты способствуют поддержанию здоровья кожи и блеска шерсти.<br /><br /><strong>ЗДОРОВЬЕ МОЧЕВЫДЕЛИТЕЛЬНОЙ СИСТЕМЫ</strong><br /><br />Соответствующий баланс минеральных веществ в рационе способствует поддержанию здоровья мочевыделительной системы взрослых кошек.<br /><br />персидский является крупнейшим и самым длинным котом в мире, благодаря чему он производит впечатление чрезвычайной мощи и силы. британская может достигать 1 м в длину (вместе с хвостом), а вес котов этой породы может достигать 10-12 кг. Учитывая большой размер и тяжелый костяк особое внимание следует уделять защите суставов кошек этой породы.</p>',	'Royal Canin British Shorthair Kitten сухой корм для котят породы британская короткошерстная',	'Royal Canin British Shorthair Kitten сухой корм для котят породы британская короткошерстная, Royal Canin, Товары для животных',	'СПЕЦИАЛЬНО ДЛЯ КОШЕК С БОЛЬШИМИ ЧЕЛЮСТЯМИ   Специально разработанные крокеты кубической формы, которые адаптированы к большим квадратным челюстям кошек породы британская. Уникальная форма крокет стимулирует животное к их разгрызанию, что способствует поддержанию гигиены ротовой полости.   ЭКСКЛЮЗИВНАЯ ФОРМУЛА:   Таурин и омега-3 жирные кислоты   ЗДОРОВЬЕ СУСТАВОВ   Вследствие большого размера и веса кошки породы персидский ее суставы подвергаются значительной нагрузке на протяжении всей жизни животного. Фор',	'new.png'),
(3,	228,	'Сухой корм для взрослых собак Club 4 paws для крупных пород',	'<ul>\r\n<li>Вес:&nbsp;<strong>14кг.</strong></li>\r\n<li>Тип: <strong>Сухой корм</strong></li>\r\n<li>Класс: <strong>Супер премиум</strong></li>\r\n</ul>',	'',	'Сухой корм для взрослых собак Club 4 paws для крупных пород',	'Сухой корм для взрослых собак Club 4 paws для крупных пород, Royal Canin, Товары для животных',	'',	'akciya.png'),
(3,	229,	'Сухой беззерновой полнорационный корм Optimeal для взрослых собак всех пород',	'<ul>\r\n<li>Вес: <strong>10г</strong></li>\r\n<li>Тип: <strong>Сухой корм</strong></li>\r\n<li>Класс: <strong>Супер премиум</strong></li>\r\n</ul>',	'<p><strong>Optimeal</strong> беззерновой для взрослых собак индейка и овощи &mdash; оптимальный корм для вашего любимца. В его состав входит уникальный микс из полезных трав, ягод, отборных мясных ингредиентов и пребиотиков. Все это создает ежедневную естественную защиту иммунитета вашей собаки, а также гарантирует здоровье и красоту вашего любимца на долгие годы.<br /><br />Высокое содержание отборного мяса индейки, а также включение в рецептуру корма свежего мяса индейки в виде фарша, обеспечат вашего питомца высококачественным легкоусвояемым протеином животного происхождения.<br /><br />Отсутствие злаков и глютена сохранит пищеварительную систему вашей собаки от дополнительной нагрузки, которой обычно подвергается кишечник и поджелудочная железа для переваривания таких неестественных для собак компонентов корма, как злаковая клейковина (глютен).<br /><br />Высокое содержание ягод и овощей обеспечивает организм собаки естественным источником витаминов и растительной клетчатки, что значительно улучшит работу пищеварительной системы и здоровья кишечника. Высокое содержание овощей (источников углеводов с низким гликемическим индексом) предотвратит развитие такого страшного заболевания, как сахарный диабет, а также сохранит здоровую стройную фигуру вашей собаки.<br /><br />Уникальный комплекс для поддержки и укрепления иммунитета Immunity Support Mix состоит из:<br />Специально очищенные бета-глюканы &mdash; улучшают работу иммунной системы для долгой жизни питомца.<br />Пребиотик нового поколения Actigen &mdash; нормализует баланс полезной микрофлоры кишечника и обеспечивает здоровое пищеварение.<br />Натуральный антиоксидант SubStar ULTRA на основе розмарина благодаря противомикробным и противовоспалительным свойствам &mdash; предотвращает разрушение клеток организма и заболеваниям домашних любимцев.<br /><br />OMEGA 3 и 6 / Цинк / Биотин &mdash; поддерживают кожу здоровой, а шерсть &mdash; красивой.<br />СОСТАВ:<br />дегидратированный протеин мяса индейки, не менее 39%, крахмал картофеля, мясо индейки 12%, жир из птицы, картофель cушена, тапиока, белок гидролизованный животный, зеленый горошек 4,11%, масло лосося, мякоть свеклы , растительная клетчатка, минералы, тыква 1%, морковь 0,79%, семян льна 0,79%, пивные дрожжи, клюква 0,2%, масло огуречника, MacroGard&reg; (источник &beta;-глюкан) 0,05%, Actigen &trade; (источник пребиотик &mdash; мананоолигосахариды) 0,04%, бархатцы (источник лютеина) 0,04%, корень лопуха, корень алтея, цветы ромашки 0,03%, крапива 0,03%, экстракт юкки, тимьян 0,015 %.<br /><br />Питательная ценность (анализ) корма:<br /><br />сырой белок 32%, сырые масло и жири- 16%, сырая зола- 5,9%, сырая клитковина- 2,6%.<br /><br />На 1 кг корма: омега-3 жирные кислоты- 6,4 г, в т. Ч. EPA / DHA- 3,8 г омега-6 жирные кислоты- 27,6 г.<br /><br />Добавлено добавки: Питательные добавки (на 1 кг корма), мг / кг:<br /><br />витамин А: 15000 МЕ, витамин Д3: 800 МЕ, витамин Е 500, витамин С 200, витамин B6 2,22, витамин Н (биотин): 0,14, таурин: 1100, цинк: 104,96 , медь: 11,24, марганец: 2,57, селен: 0,08.<br /><br />Технологические добавки (на 1 кг корма), мг / кг: антиоксидант природного происхождения: 330, экстракт токоферола природного происхождения: 600.<br /><br />Энергетическая ценность (калорийность) 100 г корма: 1 628,16 кДж (389,15 ккал).<br /><br />Хранить в темном месте закрытой потребительской таре при температуре от +5 &deg; С до +25 &deg; С и относительной влажности не более 75%</p>',	'Сухой беззерновой полнорационный корм Optimeal для взрослых собак всех пород',	'Сухой беззерновой полнорационный корм Optimeal для взрослых собак всех пород, Royal Canin, Товары для животных',	'Optimeal  беззерновой для взрослых собак индейка и овощи &mdash; оптимальный корм для вашего любимца. В его состав входит уникальный микс из полезных трав, ягод, отборных мясных ингредиентов и пребиотиков. Все это создает ежедневную естественную защиту иммунитета вашей собаки, а также гарантирует здоровье и красоту вашего любимца на долгие годы.  Высокое содержание отборного мяса индейки, а также включение в рецептуру корма свежего мяса индейки в виде фарша, обеспечат вашего питомца высококачественным легко',	''),
(3,	230,	'Диван RedKing',	'<ul>\r\n<li>Ширина: <strong>120см</strong></li>\r\n<li>Глубина: <strong>80см</strong></li>\r\n<li>Высота: <strong>43см </strong></li>\r\n</ul>',	'',	'Диван RedKing',	'Диван RedKing, Britax romer, Диваны',	'',	'hit.png'),
(3,	231,	'Диван-кровать Max 1,2 в ткани Кордрой',	'<ul>\r\n<li>Вес: <strong>90кг</strong></li>\r\n<li>Тип: <strong>Аккордеон</strong></li>\r\n<li>Размер: <strong>120х200 см<br /></strong></li>\r\n</ul>',	'<p>Диван-кровать Max 1,2&nbsp; в ткани Кордрой 336/кордрой 230</p>\r\n<p>Механизм трансформации: аккордеон</p>\r\n<p>Спальное место: 120х200 см</p>\r\n<p>Каркас: металлический с буковыми ламелями</p>\r\n<p>Наполнение матраса: ППУ 10 см</p>',	'Диван-кровать Max 1,2 в ткани Кордрой',	'Диван-кровать Max 1,2 в ткани Кордрой, Fitbit, Диваны',	'Диван-кровать Max 1,2  в ткани Кордрой 336/кордрой 230 \r\n Механизм трансформации: аккордеон \r\n Спальное место: 120х200 см \r\n Каркас: металлический с буковыми ламелями \r\n Наполнение матраса: ППУ 10 см',	'akciya.png');

DROP TABLE IF EXISTS `ok_lang_seo_filter_patterns`;
CREATE TABLE `ok_lang_seo_filter_patterns` (
  `lang_id` tinyint(11) NOT NULL,
  `seo_filter_pattern_id` int(11) NOT NULL,
  `h1` varchar(512) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `meta_title` varchar(512) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `meta_keywords` varchar(512) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `meta_description` varchar(512) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `description` mediumtext COLLATE utf8mb4_unicode_ci,
  UNIQUE KEY `lang_id_filter_auto_meta_id` (`lang_id`,`seo_filter_pattern_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;


DROP TABLE IF EXISTS `ok_lang_variants`;
CREATE TABLE `ok_lang_variants` (
  `lang_id` int(11) NOT NULL,
  `variant_id` int(11) NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `units` varchar(32) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  UNIQUE KEY `lang_id` (`lang_id`,`variant_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_lang_variants` (`lang_id`, `variant_id`, `name`, `units`) VALUES
(1,	1,	'',	''),
(1,	2,	'',	''),
(1,	3,	'',	''),
(1,	4,	'',	''),
(1,	5,	'',	''),
(1,	6,	'',	''),
(1,	7,	'',	''),
(1,	8,	'',	''),
(1,	9,	'',	''),
(1,	10,	'',	''),
(1,	11,	'',	''),
(1,	12,	'',	''),
(1,	13,	'',	''),
(1,	14,	'',	''),
(1,	15,	'',	''),
(1,	16,	'',	''),
(1,	17,	'',	''),
(1,	18,	'',	''),
(1,	19,	'',	''),
(1,	20,	'',	''),
(1,	21,	'',	''),
(1,	22,	'',	''),
(1,	23,	'Красный',	''),
(1,	24,	'Серый',	''),
(1,	25,	'',	''),
(1,	26,	'',	''),
(1,	27,	'',	''),
(1,	28,	'В наличии',	''),
(1,	29,	'',	''),
(1,	30,	'',	''),
(1,	31,	'',	''),
(1,	32,	'В наличии',	''),
(1,	33,	'Под заказ',	''),
(1,	34,	'В наличии',	''),
(1,	35,	'В наличии',	''),
(1,	38,	'Под заказ',	''),
(1,	39,	'Из наличия',	''),
(1,	40,	'Под заказ',	''),
(1,	41,	'В наличии',	''),
(1,	42,	'',	''),
(1,	43,	'В наличии',	''),
(1,	44,	'В наличии',	''),
(1,	45,	'В наличии',	''),
(1,	46,	'',	''),
(1,	47,	'В наличии',	''),
(1,	48,	'',	''),
(1,	49,	'',	''),
(1,	50,	'зеленый',	''),
(1,	51,	'',	''),
(1,	52,	'',	''),
(1,	53,	'',	''),
(1,	54,	'',	''),
(1,	55,	'',	''),
(1,	56,	'',	''),
(1,	57,	'',	''),
(1,	58,	'',	''),
(1,	59,	'',	''),
(1,	60,	'',	''),
(1,	61,	'',	''),
(1,	62,	'',	''),
(1,	63,	'',	''),
(1,	64,	'',	''),
(1,	65,	'',	''),
(1,	66,	'',	''),
(1,	67,	'',	''),
(1,	68,	'',	''),
(1,	69,	'',	''),
(1,	70,	'',	''),
(1,	71,	'',	''),
(1,	72,	'',	''),
(1,	73,	'',	''),
(1,	74,	'',	''),
(1,	75,	'',	''),
(1,	76,	'',	''),
(1,	77,	'',	''),
(1,	78,	'',	''),
(1,	79,	'',	''),
(1,	80,	'',	''),
(1,	81,	'',	''),
(1,	82,	'',	''),
(1,	83,	'',	''),
(1,	84,	'',	''),
(1,	85,	'',	''),
(1,	86,	'',	''),
(1,	87,	'',	''),
(1,	88,	'',	''),
(1,	89,	'',	''),
(1,	90,	'',	''),
(1,	91,	'',	''),
(1,	92,	'',	''),
(1,	93,	'',	''),
(1,	94,	'',	''),
(1,	95,	'',	''),
(1,	96,	'',	''),
(1,	97,	'',	''),
(1,	98,	'',	''),
(1,	99,	'',	''),
(1,	100,	'',	''),
(1,	101,	'',	''),
(1,	102,	'',	''),
(1,	103,	'',	''),
(1,	104,	'',	''),
(1,	105,	'',	''),
(1,	106,	'',	''),
(1,	107,	'',	''),
(1,	108,	'',	''),
(1,	109,	'',	''),
(1,	110,	'',	''),
(1,	111,	'',	''),
(1,	112,	'',	''),
(1,	113,	'',	''),
(1,	114,	'',	''),
(1,	115,	'',	''),
(1,	116,	'',	'кг'),
(1,	117,	'',	'кг'),
(1,	118,	'',	'кг'),
(1,	119,	'',	'кг'),
(1,	120,	'',	'кг'),
(1,	121,	'',	'кг'),
(1,	122,	'',	'кг'),
(1,	123,	'',	'кг'),
(1,	124,	'',	''),
(1,	125,	'',	'кг'),
(1,	126,	'',	''),
(1,	127,	'',	''),
(1,	128,	'',	''),
(1,	129,	'',	''),
(1,	130,	'',	''),
(1,	131,	'',	''),
(1,	132,	'',	''),
(1,	133,	'',	''),
(1,	134,	'',	''),
(1,	135,	'',	''),
(1,	136,	'',	''),
(1,	137,	'',	''),
(1,	138,	'',	''),
(1,	139,	'',	''),
(1,	140,	'',	''),
(1,	141,	'',	''),
(1,	142,	'Микки маус',	''),
(1,	143,	'Dora Dora',	''),
(1,	144,	'Тачки',	''),
(1,	145,	'',	''),
(1,	148,	'',	''),
(1,	149,	'',	''),
(1,	150,	'Бежевый',	''),
(1,	151,	'Белый',	''),
(1,	152,	'Оранжевый',	''),
(1,	153,	'Бирюзовый',	''),
(1,	154,	'Бежевый',	''),
(1,	155,	'Белый',	''),
(1,	156,	'Оранжевый',	''),
(1,	157,	'Бирюзовый',	''),
(1,	158,	'Белый',	''),
(1,	159,	'Бежевый',	''),
(1,	160,	'Оранжевый',	''),
(1,	161,	'Бирюзовый',	''),
(1,	162,	'Оранжевый',	''),
(1,	163,	'Белый',	''),
(1,	164,	'Бежевый',	''),
(1,	165,	'Бирюзовый',	''),
(1,	166,	'Бирюзовый',	''),
(1,	174,	'47L x 104W x 33.5H',	''),
(1,	175,	'65.5L x 89.5W x 25.5H',	''),
(1,	176,	'89L x 69.5W x 28.5H',	''),
(1,	177,	'47L x 104W x 33.5H',	''),
(1,	178,	'65.5L x 89.5W x 25.5H',	''),
(1,	179,	'89L x 69.5W x 28.5H',	''),
(1,	180,	'65.5L x 89.5W x 25.5H',	''),
(1,	181,	'47L x 104W x 33.5H',	''),
(1,	182,	'89L x 69.5W x 28.5H',	''),
(1,	183,	'89L x 69.5W x 28.5H',	''),
(1,	184,	'65.5L x 89.5W x 25.5H',	''),
(1,	186,	'',	''),
(1,	187,	'',	''),
(1,	188,	'',	''),
(1,	189,	'',	''),
(1,	190,	'Белый',	''),
(1,	191,	'Красный',	''),
(1,	192,	'Синий',	''),
(1,	193,	'Коричневый',	''),
(1,	194,	'Коричневый',	''),
(1,	195,	'Белый',	''),
(1,	196,	'Красный',	''),
(1,	197,	'Синий',	''),
(1,	198,	'Красный',	''),
(1,	199,	'Коричневый',	''),
(1,	200,	'Белый',	''),
(1,	201,	'Синий',	''),
(1,	202,	'Синий',	''),
(1,	203,	'Красный',	''),
(1,	204,	'Коричневый',	''),
(1,	205,	'Белый',	''),
(1,	206,	'',	''),
(1,	207,	'',	''),
(1,	208,	'',	''),
(1,	209,	'',	''),
(1,	210,	'',	''),
(1,	211,	'',	''),
(1,	212,	'',	''),
(1,	213,	'',	''),
(1,	214,	'',	''),
(1,	215,	'',	''),
(1,	216,	'',	''),
(1,	217,	'',	''),
(1,	218,	'',	''),
(1,	219,	'',	''),
(1,	220,	'',	''),
(1,	221,	'',	''),
(1,	222,	'',	''),
(1,	223,	'',	''),
(1,	224,	'',	''),
(1,	225,	'',	''),
(1,	226,	'',	''),
(1,	227,	'',	''),
(1,	229,	'',	''),
(1,	230,	'',	''),
(1,	231,	'',	''),
(1,	232,	'',	''),
(1,	233,	'',	''),
(1,	234,	'',	''),
(1,	235,	'',	''),
(1,	236,	'',	''),
(1,	237,	'',	''),
(1,	238,	'',	''),
(1,	239,	'',	''),
(1,	240,	'',	''),
(1,	241,	'',	''),
(1,	242,	'',	''),
(1,	243,	'',	''),
(1,	244,	'',	''),
(1,	245,	'',	''),
(1,	246,	'',	''),
(1,	247,	'',	''),
(1,	248,	'',	''),
(1,	249,	'16 дюймов  — 155-166 см',	''),
(1,	250,	'18 дюймов  — 165-180 см',	''),
(1,	251,	'20 дюймов  — 175-190 см',	''),
(1,	252,	'22 дюйма  — 187-200 см',	''),
(1,	253,	'17 дюймов  — 160-175 см',	''),
(1,	254,	'Белый',	''),
(1,	255,	'Красный',	''),
(1,	256,	'',	''),
(1,	257,	'',	''),
(1,	258,	'',	''),
(1,	259,	'',	''),
(1,	260,	'',	''),
(1,	261,	'',	''),
(1,	262,	'',	''),
(1,	263,	'',	''),
(1,	264,	'',	''),
(1,	265,	'',	''),
(1,	266,	'',	''),
(1,	267,	'16 дюймов  — 155-166 см',	''),
(1,	271,	'',	''),
(1,	272,	'',	''),
(1,	273,	'Оранжевый',	''),
(1,	274,	'Чёерный',	''),
(1,	275,	'',	''),
(1,	277,	'',	''),
(1,	278,	'',	''),
(1,	279,	'',	''),
(1,	280,	'',	''),
(1,	281,	'',	''),
(1,	282,	'',	''),
(1,	283,	'',	''),
(1,	284,	'зеленый',	''),
(1,	285,	'синий',	''),
(1,	286,	'Бежевый',	''),
(1,	287,	'',	''),
(1,	288,	'синий',	''),
(1,	289,	'красный',	''),
(2,	1,	'',	''),
(2,	2,	'',	''),
(2,	3,	'',	''),
(2,	4,	'',	''),
(2,	5,	'',	''),
(2,	6,	'',	''),
(2,	7,	'',	''),
(2,	8,	'',	''),
(2,	9,	'',	''),
(2,	10,	'',	''),
(2,	11,	'',	''),
(2,	12,	'',	''),
(2,	13,	'',	''),
(2,	14,	'',	''),
(2,	15,	'',	''),
(2,	16,	'',	''),
(2,	17,	'',	''),
(2,	18,	'',	''),
(2,	19,	'',	''),
(2,	20,	'',	''),
(2,	21,	'',	''),
(2,	22,	'',	''),
(2,	23,	'Красный',	''),
(2,	24,	'Серый',	''),
(2,	25,	'',	''),
(2,	26,	'',	''),
(2,	27,	'',	''),
(2,	28,	'В наличии',	''),
(2,	29,	'',	''),
(2,	30,	'',	''),
(2,	31,	'',	''),
(2,	32,	'В наличии',	''),
(2,	33,	'Под заказ',	''),
(2,	34,	'В наличии',	''),
(2,	35,	'В наличии',	''),
(2,	38,	'Под заказ',	''),
(2,	39,	'Из наличия',	''),
(2,	40,	'Под заказ',	''),
(2,	41,	'В наличии',	''),
(2,	42,	'',	''),
(2,	43,	'В наличии',	''),
(2,	44,	'В наличии',	''),
(2,	45,	'В наличии',	''),
(2,	46,	'',	''),
(2,	47,	'В наличии',	''),
(2,	48,	'',	''),
(2,	49,	'',	''),
(2,	50,	'В наличии',	''),
(2,	51,	'',	''),
(2,	52,	'',	''),
(2,	53,	'',	''),
(2,	54,	'',	''),
(2,	55,	'',	''),
(2,	56,	'',	''),
(2,	57,	'',	''),
(2,	58,	'',	''),
(2,	59,	'',	''),
(2,	60,	'',	''),
(2,	61,	'',	''),
(2,	62,	'',	''),
(2,	63,	'',	''),
(2,	64,	'',	''),
(2,	65,	'',	''),
(2,	66,	'',	''),
(2,	67,	'',	''),
(2,	68,	'',	''),
(2,	69,	'',	''),
(2,	70,	'',	''),
(2,	71,	'',	''),
(2,	72,	'',	''),
(2,	73,	'',	''),
(2,	74,	'',	''),
(2,	75,	'',	''),
(2,	76,	'',	''),
(2,	77,	'',	''),
(2,	78,	'',	''),
(2,	79,	'',	''),
(2,	80,	'',	''),
(2,	81,	'',	''),
(2,	82,	'',	''),
(2,	83,	'',	''),
(2,	84,	'',	''),
(2,	85,	'',	''),
(2,	86,	'',	''),
(2,	87,	'',	''),
(2,	88,	'',	''),
(2,	89,	'',	''),
(2,	90,	'',	''),
(2,	91,	'',	''),
(2,	92,	'',	''),
(2,	93,	'',	''),
(2,	94,	'',	''),
(2,	95,	'',	''),
(2,	96,	'',	''),
(2,	97,	'',	''),
(2,	98,	'',	''),
(2,	99,	'',	''),
(2,	100,	'',	''),
(2,	101,	'',	''),
(2,	102,	'',	''),
(2,	103,	'',	''),
(2,	104,	'',	''),
(2,	105,	'',	''),
(2,	106,	'',	''),
(2,	107,	'',	''),
(2,	108,	'',	''),
(2,	109,	'',	''),
(2,	110,	'',	''),
(2,	111,	'',	''),
(2,	112,	'',	''),
(2,	113,	'',	''),
(2,	114,	'',	''),
(2,	115,	'',	''),
(2,	116,	'',	'кг'),
(2,	117,	'',	'кг'),
(2,	118,	'',	'кг'),
(2,	119,	'',	'кг'),
(2,	120,	'',	'кг'),
(2,	121,	'',	'кг'),
(2,	122,	'',	'кг'),
(2,	123,	'',	'кг'),
(2,	124,	'',	''),
(2,	125,	'',	'кг'),
(2,	126,	'',	''),
(2,	127,	'',	''),
(2,	128,	'',	''),
(2,	129,	'',	''),
(2,	130,	'',	''),
(2,	131,	'',	''),
(2,	132,	'',	''),
(2,	133,	'',	''),
(2,	134,	'',	''),
(2,	135,	'',	''),
(2,	136,	'',	''),
(2,	137,	'',	''),
(2,	138,	'',	''),
(2,	139,	'',	''),
(2,	140,	'',	''),
(2,	141,	'',	''),
(2,	142,	'',	''),
(2,	143,	'Dora Dora',	''),
(2,	144,	'Тачки',	''),
(2,	145,	'',	''),
(2,	148,	'',	''),
(2,	149,	'',	''),
(2,	150,	'Бежевый',	''),
(2,	151,	'Белый',	''),
(2,	152,	'Оранжевый',	''),
(2,	153,	'Бирюзовый',	''),
(2,	154,	'Бежевый',	''),
(2,	155,	'Белый',	''),
(2,	156,	'Оранжевый',	''),
(2,	157,	'Бирюзовый',	''),
(2,	158,	'Белый',	''),
(2,	159,	'Бежевый',	''),
(2,	160,	'Оранжевый',	''),
(2,	161,	'Бирюзовый',	''),
(2,	162,	'Оранжевый',	''),
(2,	163,	'Белый',	''),
(2,	164,	'Бежевый',	''),
(2,	165,	'Бирюзовый',	''),
(2,	166,	'Бирюзовый',	''),
(2,	174,	'47L x 104W x 33.5H',	''),
(2,	175,	'65.5L x 89.5W x 25.5H',	''),
(2,	176,	'89L x 69.5W x 28.5H',	''),
(2,	177,	'47L x 104W x 33.5H',	''),
(2,	178,	'65.5L x 89.5W x 25.5H',	''),
(2,	179,	'89L x 69.5W x 28.5H',	''),
(2,	180,	'65.5L x 89.5W x 25.5H',	''),
(2,	181,	'47L x 104W x 33.5H',	''),
(2,	182,	'89L x 69.5W x 28.5H',	''),
(2,	183,	'89L x 69.5W x 28.5H',	''),
(2,	184,	'65.5L x 89.5W x 25.5H',	''),
(2,	186,	'',	''),
(2,	187,	'',	''),
(2,	188,	'',	''),
(2,	189,	'',	''),
(2,	190,	'',	''),
(2,	191,	'Красный',	''),
(2,	192,	'Синий',	''),
(2,	193,	'Коричневый',	''),
(2,	194,	'Коричневый',	''),
(2,	195,	'',	''),
(2,	196,	'Красный',	''),
(2,	197,	'Синий',	''),
(2,	198,	'Красный',	''),
(2,	199,	'Коричневый',	''),
(2,	200,	'',	''),
(2,	201,	'Синий',	''),
(2,	202,	'Синий',	''),
(2,	203,	'Красный',	''),
(2,	204,	'Коричневый',	''),
(2,	205,	'',	''),
(2,	206,	'',	''),
(2,	207,	'',	''),
(2,	208,	'',	''),
(2,	209,	'',	''),
(2,	210,	'',	''),
(2,	211,	'',	''),
(2,	212,	'',	''),
(2,	213,	'',	''),
(2,	214,	'',	''),
(2,	215,	'',	''),
(2,	216,	'',	''),
(2,	217,	'',	''),
(2,	218,	'',	''),
(2,	219,	'',	''),
(2,	220,	'',	''),
(2,	221,	'',	''),
(2,	222,	'',	''),
(2,	223,	'',	''),
(2,	224,	'',	''),
(2,	225,	'',	''),
(2,	226,	'',	''),
(2,	227,	'',	''),
(2,	229,	'',	''),
(2,	230,	'',	''),
(2,	231,	'',	''),
(2,	232,	'',	''),
(2,	233,	'',	''),
(2,	234,	'',	''),
(2,	235,	'',	''),
(2,	236,	'',	''),
(2,	237,	'',	''),
(2,	238,	'',	''),
(2,	239,	'',	''),
(2,	240,	'',	''),
(2,	241,	'',	''),
(2,	242,	'',	''),
(2,	243,	'',	''),
(2,	244,	'',	''),
(2,	245,	'',	''),
(2,	246,	'',	''),
(2,	247,	'',	''),
(2,	248,	'',	''),
(2,	249,	'16 дюймов  — 155-166 см',	''),
(2,	250,	'18 дюймов  — 165-180 см',	''),
(2,	251,	'20 дюймов  — 175-190 см',	''),
(2,	252,	'22 дюйма  — 187-200 см',	''),
(2,	253,	'17 дюймов  — 160-175 см',	''),
(2,	254,	'Белый',	''),
(2,	255,	'Красный',	''),
(2,	256,	'',	''),
(2,	257,	'',	''),
(2,	258,	'',	''),
(2,	259,	'',	''),
(2,	260,	'',	''),
(2,	261,	'',	''),
(2,	262,	'',	''),
(2,	263,	'',	''),
(2,	264,	'',	''),
(2,	265,	'',	''),
(2,	266,	'',	''),
(2,	267,	'16 дюймов  — 155-166 см',	''),
(2,	271,	'',	''),
(2,	272,	'',	''),
(2,	273,	'',	''),
(2,	274,	'Чёерный',	''),
(2,	275,	'',	''),
(2,	277,	'',	''),
(2,	278,	'',	''),
(2,	279,	'',	''),
(2,	280,	'',	''),
(2,	281,	'',	''),
(2,	282,	'',	''),
(2,	283,	'',	''),
(2,	284,	'Оранжевый',	''),
(2,	285,	'Белый',	''),
(2,	286,	'Бежевый',	''),
(2,	287,	'',	''),
(2,	288,	'синий',	''),
(2,	289,	'красный',	''),
(3,	1,	'',	''),
(3,	2,	'',	''),
(3,	3,	'',	''),
(3,	4,	'',	''),
(3,	5,	'',	''),
(3,	6,	'',	''),
(3,	7,	'',	''),
(3,	8,	'',	''),
(3,	9,	'',	''),
(3,	10,	'',	''),
(3,	11,	'',	''),
(3,	12,	'',	''),
(3,	13,	'',	''),
(3,	14,	'',	''),
(3,	15,	'',	''),
(3,	16,	'',	''),
(3,	17,	'',	''),
(3,	18,	'',	''),
(3,	19,	'',	''),
(3,	20,	'',	''),
(3,	21,	'',	''),
(3,	22,	'',	''),
(3,	23,	'Красный',	''),
(3,	24,	'Серый',	''),
(3,	25,	'',	''),
(3,	26,	'',	''),
(3,	27,	'',	''),
(3,	28,	'В наличии',	''),
(3,	29,	'',	''),
(3,	30,	'',	''),
(3,	31,	'',	''),
(3,	32,	'В наличии',	''),
(3,	33,	'Под заказ',	''),
(3,	34,	'В наличии',	''),
(3,	35,	'В наличии',	''),
(3,	38,	'Под заказ',	''),
(3,	39,	'Из наличия',	''),
(3,	40,	'Под заказ',	''),
(3,	41,	'В наличии',	''),
(3,	42,	'',	''),
(3,	43,	'В наличии',	''),
(3,	44,	'В наличии',	''),
(3,	45,	'В наличии',	''),
(3,	46,	'',	''),
(3,	47,	'В наличии',	''),
(3,	48,	'',	''),
(3,	49,	'',	''),
(3,	50,	'В наличии',	''),
(3,	51,	'',	''),
(3,	52,	'',	''),
(3,	53,	'',	''),
(3,	54,	'',	''),
(3,	55,	'',	''),
(3,	56,	'',	''),
(3,	57,	'',	''),
(3,	58,	'',	''),
(3,	59,	'',	''),
(3,	60,	'',	''),
(3,	61,	'',	''),
(3,	62,	'',	''),
(3,	63,	'',	''),
(3,	64,	'',	''),
(3,	65,	'',	''),
(3,	66,	'',	''),
(3,	67,	'',	''),
(3,	68,	'',	''),
(3,	69,	'',	''),
(3,	70,	'',	''),
(3,	71,	'',	''),
(3,	72,	'',	''),
(3,	73,	'',	''),
(3,	74,	'',	''),
(3,	75,	'',	''),
(3,	76,	'',	''),
(3,	77,	'',	''),
(3,	78,	'',	''),
(3,	79,	'',	''),
(3,	80,	'',	''),
(3,	81,	'',	''),
(3,	82,	'',	''),
(3,	83,	'',	''),
(3,	84,	'',	''),
(3,	85,	'',	''),
(3,	86,	'',	''),
(3,	87,	'',	''),
(3,	88,	'',	''),
(3,	89,	'',	''),
(3,	90,	'',	''),
(3,	91,	'',	''),
(3,	92,	'',	''),
(3,	93,	'',	''),
(3,	94,	'',	''),
(3,	95,	'',	''),
(3,	96,	'',	''),
(3,	97,	'',	''),
(3,	98,	'',	''),
(3,	99,	'',	''),
(3,	100,	'',	''),
(3,	101,	'',	''),
(3,	102,	'',	''),
(3,	103,	'',	''),
(3,	104,	'',	''),
(3,	105,	'',	''),
(3,	106,	'',	''),
(3,	107,	'',	''),
(3,	108,	'',	''),
(3,	109,	'',	''),
(3,	110,	'',	''),
(3,	111,	'',	''),
(3,	112,	'',	''),
(3,	113,	'',	''),
(3,	114,	'',	''),
(3,	115,	'',	''),
(3,	116,	'',	'кг'),
(3,	117,	'',	'кг'),
(3,	118,	'',	'кг'),
(3,	119,	'',	'кг'),
(3,	120,	'',	'кг'),
(3,	121,	'',	'кг'),
(3,	122,	'',	'кг'),
(3,	123,	'',	'кг'),
(3,	124,	'',	''),
(3,	125,	'',	'кг'),
(3,	126,	'',	''),
(3,	127,	'',	''),
(3,	128,	'',	''),
(3,	129,	'',	''),
(3,	130,	'',	''),
(3,	131,	'',	''),
(3,	132,	'',	''),
(3,	133,	'',	''),
(3,	134,	'',	''),
(3,	135,	'',	''),
(3,	136,	'',	''),
(3,	137,	'',	''),
(3,	138,	'',	''),
(3,	139,	'',	''),
(3,	140,	'',	''),
(3,	141,	'',	''),
(3,	142,	'',	''),
(3,	143,	'Dora Dora',	''),
(3,	144,	'Тачки',	''),
(3,	145,	'',	''),
(3,	148,	'',	''),
(3,	149,	'',	''),
(3,	150,	'Бежевый',	''),
(3,	151,	'Белый',	''),
(3,	152,	'Оранжевый',	''),
(3,	153,	'Бирюзовый',	''),
(3,	154,	'Бежевый',	''),
(3,	155,	'Белый',	''),
(3,	156,	'Оранжевый',	''),
(3,	157,	'Бирюзовый',	''),
(3,	158,	'Белый',	''),
(3,	159,	'Бежевый',	''),
(3,	160,	'Оранжевый',	''),
(3,	161,	'Бирюзовый',	''),
(3,	162,	'Оранжевый',	''),
(3,	163,	'Белый',	''),
(3,	164,	'Бежевый',	''),
(3,	165,	'Бирюзовый',	''),
(3,	166,	'Бирюзовый',	''),
(3,	174,	'47L x 104W x 33.5H',	''),
(3,	175,	'65.5L x 89.5W x 25.5H',	''),
(3,	176,	'89L x 69.5W x 28.5H',	''),
(3,	177,	'47L x 104W x 33.5H',	''),
(3,	178,	'65.5L x 89.5W x 25.5H',	''),
(3,	179,	'89L x 69.5W x 28.5H',	''),
(3,	180,	'65.5L x 89.5W x 25.5H',	''),
(3,	181,	'47L x 104W x 33.5H',	''),
(3,	182,	'89L x 69.5W x 28.5H',	''),
(3,	183,	'89L x 69.5W x 28.5H',	''),
(3,	184,	'65.5L x 89.5W x 25.5H',	''),
(3,	186,	'',	''),
(3,	187,	'',	''),
(3,	188,	'',	''),
(3,	189,	'',	''),
(3,	190,	'',	''),
(3,	191,	'Красный',	''),
(3,	192,	'Синий',	''),
(3,	193,	'Коричневый',	''),
(3,	194,	'Коричневый',	''),
(3,	195,	'',	''),
(3,	196,	'Красный',	''),
(3,	197,	'Синий',	''),
(3,	198,	'Красный',	''),
(3,	199,	'Коричневый',	''),
(3,	200,	'',	''),
(3,	201,	'Синий',	''),
(3,	202,	'Синий',	''),
(3,	203,	'Красный',	''),
(3,	204,	'Коричневый',	''),
(3,	205,	'',	''),
(3,	206,	'',	''),
(3,	207,	'',	''),
(3,	208,	'',	''),
(3,	209,	'',	''),
(3,	210,	'',	''),
(3,	211,	'',	''),
(3,	212,	'',	''),
(3,	213,	'',	''),
(3,	214,	'',	''),
(3,	215,	'',	''),
(3,	216,	'',	''),
(3,	217,	'',	''),
(3,	218,	'',	''),
(3,	219,	'',	''),
(3,	220,	'',	''),
(3,	221,	'',	''),
(3,	222,	'',	''),
(3,	223,	'',	''),
(3,	224,	'',	''),
(3,	225,	'',	''),
(3,	226,	'',	''),
(3,	227,	'',	''),
(3,	229,	'',	''),
(3,	230,	'',	''),
(3,	231,	'',	''),
(3,	232,	'',	''),
(3,	233,	'',	''),
(3,	234,	'',	''),
(3,	235,	'',	''),
(3,	236,	'',	''),
(3,	237,	'',	''),
(3,	238,	'',	''),
(3,	239,	'',	''),
(3,	240,	'',	''),
(3,	241,	'',	''),
(3,	242,	'',	''),
(3,	243,	'',	''),
(3,	244,	'',	''),
(3,	245,	'',	''),
(3,	246,	'',	''),
(3,	247,	'',	''),
(3,	248,	'',	''),
(3,	249,	'16 дюймов  — 155-166 см',	''),
(3,	250,	'18 дюймов  — 165-180 см',	''),
(3,	251,	'20 дюймов  — 175-190 см',	''),
(3,	252,	'22 дюйма  — 187-200 см',	''),
(3,	253,	'17 дюймов  — 160-175 см',	''),
(3,	254,	'Белый',	''),
(3,	255,	'Красный',	''),
(3,	256,	'',	''),
(3,	257,	'',	''),
(3,	258,	'',	''),
(3,	259,	'',	''),
(3,	260,	'',	''),
(3,	261,	'',	''),
(3,	262,	'',	''),
(3,	263,	'',	''),
(3,	264,	'',	''),
(3,	265,	'',	''),
(3,	266,	'',	''),
(3,	267,	'16 дюймов  — 155-166 см',	''),
(3,	271,	'',	''),
(3,	272,	'',	''),
(3,	273,	'',	''),
(3,	274,	'Чёерный',	''),
(3,	275,	'',	''),
(3,	277,	'',	''),
(3,	278,	'',	''),
(3,	279,	'',	''),
(3,	280,	'',	''),
(3,	281,	'',	''),
(3,	282,	'',	''),
(3,	283,	'',	''),
(3,	284,	'Оранжевый',	''),
(3,	285,	'Белый',	''),
(3,	286,	'Бежевый',	''),
(3,	287,	'',	''),
(3,	288,	'синий',	''),
(3,	289,	'красный',	'');

DROP TABLE IF EXISTS `ok_lessons`;
CREATE TABLE `ok_lessons` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `preview` varchar(255) DEFAULT NULL,
  `video` varchar(255) DEFAULT NULL,
  `title` varchar(255) DEFAULT NULL,
  `description` text,
  `button` varchar(255) DEFAULT NULL,
  `target_module` varchar(255) DEFAULT NULL,
  `done` tinyint(1) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `ok_lessons` (`id`, `preview`, `video`, `title`, `description`, `button`, `target_module`, `done`) VALUES
(1,	'https://img.youtube.com/vi/Ud_B0XGcLFI/mqdefault.jpg',	'https://www.youtube.com/embed/Ud_B0XGcLFI',	'Добавление категорий на сайт',	'Категории используются для построения правильной структуры сайта. Старайтесь не допускать категорий со слишком большим количеством товаров, но и не делать категории в которых будет до десяти товаров.',	'Перейти к добавлению категорий',	'CategoriesAdmin',	NULL),
(2,	'https://img.youtube.com/vi/pAr5CkadzMA/mqdefault.jpg',	'https://www.youtube.com/embed/pAr5CkadzMA',	'Добавление бренда на сайт',	'Бренды используются в фильтре в категориях товаров. Также они важны для покупателей, которые опираются на бренд при выборе товара.',	'Перейти к добавлению бренда',	'BrandsAdmin',	NULL),
(3,	'https://img.youtube.com/vi/X4B2IkQwI5g/mqdefault.jpg',	'https://www.youtube.com/embed/X4B2IkQwI5g',	'Добавление товара на сайт',	'Чем качественнее будет заполнена информация о товаре, тем больше шансов что клиент остановит свой поиск именно у вас. Обязательно укажите в товаре его фото и основные характеристики.',	'Перейти к добавлению товара',	'ProductsAdmin',	NULL),
(4,	'https://img.youtube.com/vi/ccq4Plnqz9M/mqdefault.jpg',	'https://www.youtube.com/embed/ccq4Plnqz9M',	'Настройка валюты',	'Укажите валюту вашей страны основной на сайте. Если же вы используете несколько валют для формирования цен товаров, укажите соответствующие курсы валют в админ. панели.',	'Перейти к настройке валюты',	'CurrencyAdmin',	NULL),
(5,	'https://img.youtube.com/vi/R-VNpOHnk7w/mqdefault.jpg',	'https://www.youtube.com/embed/R-VNpOHnk7w',	'Добавление способа доставки',	'Выбор способов доставки важен для клиентов при оформлении заказа. Некоторые клиенты отказываются от оформления заказа не увидев подходящий вариант доставки. Постарайтесь добавить самые популярные способы доставки на ваш сайт.',	'Перейти к добавлению способа доставки',	'DeliveriesAdmin',	NULL),
(6,	'https://img.youtube.com/vi/CgDtgLfJnCY/mqdefault.jpg',	'https://www.youtube.com/embed/CgDtgLfJnCY',	'Добавление способа оплаты',	'Всё больше клиентов готовы оплатить заказ сразу после оформление. Предоставьте им такую возможность подключив интеграцию с платежной системой на ваш сайт.',	'Перейти к добавлению способа оплаты',	'PaymentMethodsAdmin',	NULL),
(7,	'https://img.youtube.com/vi/W67M4W5uJr4/mqdefault.jpg',	'https://www.youtube.com/embed/W67M4W5uJr4',	'Настройка каталога',	'Задайте водяной знак, настройте работу с товарами не в наличии и сделайте прочие настройки каталога на этой странице.',	'Перейти к настройке каталога',	'SettingsCatalogAdmin',	NULL),
(8,	'https://img.youtube.com/vi/PH6zFFSmU3Q/mqdefault.jpg',	'https://www.youtube.com/embed/PH6zFFSmU3Q',	'Настройка отправки уведомлений',	'Настройте отправку уведомлений с сайта, укажите эмейл администратора и прочие настройки писем на этой странице.',	'Перейти к настройке отправки уведомлений',	'SettingsNotifyAdmin',	NULL),
(9,	'https://img.youtube.com/vi/PZ2xxMaLNS8/mqdefault.jpg',	'https://www.youtube.com/embed/PZ2xxMaLNS8',	'Настройка SEO (синонимы свойства)',	'Этот раздел важен для тонкой SEO оптимизации вашего магазина. К нему стоит приступать после того как вы сделали остальные пункты. С помощью синонимов свойств вы можете гибко настроить заголовки и мета-теги для страниц каталога.',	'Перейти к настройке SEO (синонимы свойств)',	'FeaturesAliasesAdmin',	NULL);

DROP TABLE IF EXISTS `ok_managers`;
CREATE TABLE `ok_managers` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `lang` varchar(2) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'ru',
  `login` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `password` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `permissions` varchar(1024) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `cnt_try` tinyint(4) NOT NULL DEFAULT '0',
  `last_try` date DEFAULT NULL,
  `comment` varchar(512) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `menu_status` tinyint(1) NOT NULL DEFAULT '1',
  `menu` mediumtext COLLATE utf8mb4_unicode_ci,
  `last_activity` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `login` (`login`(100))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_managers` (`id`, `lang`, `login`, `password`, `permissions`, `cnt_try`, `last_try`, `comment`, `menu_status`, `menu`, `last_activity`) VALUES
(1,	'ru',	'admin',	'$apr1$8m1u0cp4$MYUZf5fVcidsoTaFb0P9P1',	NULL,	0,	NULL,	'',	1,	NULL,	'2019-10-24 13:42:39');

DROP TABLE IF EXISTS `ok_menu`;
CREATE TABLE `ok_menu` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `group_id` varchar(32) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `visible` tinyint(1) NOT NULL DEFAULT '1',
  `position` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `visible` (`visible`),
  KEY `position` (`position`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_menu` (`id`, `group_id`, `name`, `visible`, `position`) VALUES
(1,	'header',	'Главное меню',	1,	1),
(2,	'404',	'Меню на странице 404',	1,	2),
(3,	'footer',	'Меню в footer',	1,	3),
(4,	'mobile',	'Меню на мобильном',	1,	4);

DROP TABLE IF EXISTS `ok_menu_items`;
CREATE TABLE `ok_menu_items` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `menu_id` int(11) NOT NULL DEFAULT '0',
  `parent_id` int(11) NOT NULL DEFAULT '0',
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `url` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `is_target_blank` tinyint(1) NOT NULL DEFAULT '0',
  `visible` tinyint(1) NOT NULL DEFAULT '1',
  `position` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `menu_id` (`menu_id`),
  KEY `parent_id` (`parent_id`),
  KEY `visible` (`visible`),
  KEY `position` (`position`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_menu_items` (`id`, `menu_id`, `parent_id`, `name`, `url`, `is_target_blank`, `visible`, `position`) VALUES
(2,	1,	0,	'Доставка',	'dostavka',	0,	1,	8),
(3,	1,	8,	'Новости',	'news',	0,	1,	24),
(4,	1,	0,	'Главная',	'/',	1,	1,	2),
(8,	1,	0,	'Блог',	'',	0,	1,	3),
(9,	1,	8,	'Статьи',	'blog',	0,	1,	25),
(11,	2,	0,	'Контакты',	'contact',	0,	1,	15),
(12,	2,	0,	'Бренды',	'brands',	0,	1,	12),
(13,	2,	0,	'Статьи',	'blog',	0,	1,	13),
(14,	2,	0,	'Новости',	'news',	0,	1,	14),
(15,	2,	0,	'Главная',	'/',	0,	1,	11),
(16,	3,	0,	'Контакты',	'contact',	0,	1,	20),
(17,	3,	0,	'Оплата',	'oplata',	0,	1,	19),
(18,	3,	0,	'Доставка',	'dostavka',	0,	1,	18),
(19,	3,	0,	'Частые вопросы',	'faq',	0,	1,	17),
(20,	3,	0,	'Статьи',	'blog',	0,	1,	16),
(22,	1,	0,	'Оплата',	'oplata',	0,	1,	9),
(23,	1,	0,	'Бренды',	'brands',	0,	1,	4),
(24,	1,	0,	'Контакты',	'contact',	0,	1,	22),
(25,	1,	0,	'Акции',	'discounted',	0,	1,	23),
(26,	4,	0,	'Блог',	'',	0,	1,	26),
(27,	4,	0,	'Бренды',	'brands',	0,	1,	29),
(28,	4,	0,	'Клиентам',	'',	0,	1,	27),
(29,	4,	0,	'Контакты',	'contact',	0,	1,	30),
(30,	4,	26,	'Новости',	'news',	0,	1,	31),
(31,	4,	26,	'Статьи',	'blog',	0,	1,	32),
(32,	4,	28,	'Доставка',	'dostavka',	0,	1,	33),
(33,	4,	28,	'Оплата',	'oplata',	0,	1,	34),
(34,	4,	0,	'Акции',	'discounted',	0,	1,	28),
(35,	3,	0,	'Политика конфиденцальности',	'politika-konfidentsalnosti',	1,	1,	35);

DROP TABLE IF EXISTS `ok_modules`;
CREATE TABLE `ok_modules` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `vendor` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `module_name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `position` int(11) NOT NULL DEFAULT '0',
  `enabled` tinyint(4) DEFAULT NULL,
  `type` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `backend_main_controller` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `system` tinyint(1) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_modules` (`id`, `vendor`, `module_name`, `position`, `enabled`, `type`, `backend_main_controller`, `system`) VALUES
(1,	'OkayCMS',	'Integration1C',	1,	1,	NULL,	'Description1CAdmin',	NULL),
(3,	'OkayCMS',	'LiqPay',	3,	1,	'payment',	'DescriptionAdmin',	NULL),
(4,	'OkayCMS',	'Rozetka',	4,	1,	'xml',	'RozetkaXmlAdmin',	NULL),
(5,	'OkayCMS',	'WayForPay',	5,	1,	'payment',	'DescriptionAdmin',	NULL),
(6,	'OkayCMS',	'YandexXMLVendorModel',	6,	1,	'xml',	'YandexXmlAdmin',	NULL),
(7,	'OkayCMS',	'YandexXML',	7,	1,	'xml',	'YandexXmlAdmin',	NULL),
(8,	'OkayCMS',	'GoogleMerchant',	8,	1,	'xml',	'GoogleMerchantAdmin',	NULL),
(9,	'OkayCMS',	'YandexMoneyApi',	9,	1,	'payment',	'DescriptionAdmin',	NULL),
(10,	'OkayCMS',	'PayKeeper',	10,	1,	'payment',	'DescriptionAdmin',	NULL),
(11,	'OkayCMS',	'FAQ',	11,	1,	NULL,	'FAQsAdmin',	NULL),
(12,	'OkayCMS',	'NovaposhtaCost',	12,	1,	'delivery',	'NovaposhtaCostAdmin',	NULL),
(13,	'OkayCMS',	'Banners',	13,	1,	NULL,	'BannersAdmin',	NULL),
(14,	'OkayCMS',	'FastOrder',	14,	1,	NULL,	'DescriptionAdmin',	NULL);

DROP TABLE IF EXISTS `ok_okaycms__banners`;
CREATE TABLE `ok_okaycms__banners` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `position` int(11) DEFAULT '0',
  `visible` tinyint(1) DEFAULT '1',
  `show_all_pages` tinyint(1) DEFAULT '1',
  `categories` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `pages` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `brands` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `individual_shortcode` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `settings` text COLLATE utf8mb4_unicode_ci NOT NULL,
  PRIMARY KEY (`id`),
  KEY `position` (`position`),
  KEY `visible` (`visible`),
  KEY `show_all_pages` (`show_all_pages`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_okaycms__banners` (`id`, `name`, `position`, `visible`, `show_all_pages`, `categories`, `pages`, `brands`, `individual_shortcode`, `settings`) VALUES
(1,	'Home banners',	1,	1,	0,	'0',	'0,1',	'0',	'',	'a:6:{s:9:\"as_slider\";s:1:\"1\";s:8:\"autoplay\";s:1:\"1\";s:4:\"loop\";s:1:\"1\";s:3:\"nav\";s:1:\"1\";s:4:\"dots\";s:1:\"1\";s:14:\"rotation_speed\";s:4:\"3500\";}');

DROP TABLE IF EXISTS `ok_okaycms__banners_images`;
CREATE TABLE `ok_okaycms__banners_images` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `banner_id` int(11) DEFAULT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `alt` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `title` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `url` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `description` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `image` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `position` int(11) DEFAULT '0',
  `visible` tinyint(1) DEFAULT '1',
  `settings` text COLLATE utf8mb4_unicode_ci NOT NULL,
  PRIMARY KEY (`id`),
  KEY `banner_id` (`banner_id`),
  KEY `position` (`position`),
  KEY `visible` (`visible`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_okaycms__banners_images` (`id`, `banner_id`, `name`, `alt`, `title`, `url`, `description`, `image`, `position`, `visible`, `settings`) VALUES
(1,	1,	'variant1',	'Коллекция техники LG',	'Коллекция техники LG',	'catalog/tehnika-dlya-doma',	'',	'lg_banner.jpg',	4,	1,	'a:3:{s:12:\"variant_show\";s:7:\"default\";s:7:\"desktop\";a:2:{s:1:\"w\";s:4:\"1067\";s:1:\"h\";s:3:\"400\";}s:6:\"mobile\";a:2:{s:1:\"w\";s:0:\"\";s:1:\"h\";s:0:\"\";}}'),
(2,	1,	'variant2',	'United Colors of Benetton',	'United Colors of Benetton',	'catalog/odezhda-obuv-i-ukrasheniya',	'Легкость, стиль и простота в каждом образе',	'tshirts_banner.jpg',	3,	1,	'a:3:{s:12:\"variant_show\";s:4:\"dark\";s:7:\"desktop\";a:2:{s:1:\"w\";s:4:\"1067\";s:1:\"h\";s:3:\"400\";}s:6:\"mobile\";a:2:{s:1:\"w\";s:0:\"\";s:1:\"h\";s:0:\"\";}}'),
(3,	1,	'variant3',	'Mi 9T Pro',	'Mi 9T Pro',	'catalog/xiaomi',	'Qualcomm® Snapdragon™ 855<br>\r\n6.39 \" AMOLED -екран<br>\r\n48 Мп потрійна основна камера з AI<br>\r\n20 Мп висувна селфі-камера',	'xiaomi_banner.png',	2,	1,	'a:3:{s:12:\"variant_show\";s:10:\"image_left\";s:7:\"desktop\";a:2:{s:1:\"w\";s:3:\"400\";s:1:\"h\";s:3:\"350\";}s:6:\"mobile\";a:2:{s:1:\"w\";s:0:\"\";s:1:\"h\";s:0:\"\";}}'),
(4,	1,	'variant4',	'PlayStation 4 Pro 1TB Black + FIFA 20',	'PlayStation 4 Pro 1TB Black + FIFA 20',	'',	'При покупке игровой консоли PlayStation 4 PRO 1ТБ получите в подарок FIFA 20',	'ps4_banner.jpg',	1,	1,	'a:3:{s:12:\"variant_show\";s:11:\"image_right\";s:7:\"desktop\";a:2:{s:1:\"w\";s:3:\"400\";s:1:\"h\";s:3:\"350\";}s:6:\"mobile\";a:2:{s:1:\"w\";s:3:\"500\";s:1:\"h\";s:3:\"320\";}}');

DROP TABLE IF EXISTS `ok_okaycms__faq__faq`;
CREATE TABLE `ok_okaycms__faq__faq` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `question` text NOT NULL,
  `answer` text,
  `visible` tinyint(1) DEFAULT NULL,
  `position` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

INSERT INTO `ok_okaycms__faq__faq` (`id`, `question`, `answer`, `visible`, `position`) VALUES
(1,	'ЧТО ДЕЛАТЬ, ЕСЛИ ТОВАР НЕ ПОДОШЕЛ ПО ФОРМЕ, ЦВЕТУ ИЛИ РАЗМЕРУ И ДРУГИЕ ПРИЧИНЫ?',	'<p>В течение 14 дней от даты приобретения товара (не считая дату покупки) - Вы можете товар, который не использовался, сохранен товарный вид и потребительские свойства, и отсутствует в перечне товаров, не подлежащих обмену или возврату: Обменять на аналогичный без пересчета стоимости Обменять на любой другой с соответствующим перерасчетом стоимости Вернуть и получить уплаченные за него денежные средства Как оценить сохранность товарного вида: При хорошем освещении, без применения специальных средств, на товаре не должно быть видимых следов пользования в виде мелких царапин, потертостей, а тем более сколов, вмятин или трещин. Проще всего оценить сохранен ли товарный вид, ответив себе на вопрос: &laquo;Купил бы я этот товар в таком виде, как новый?\"</p>',	1,	1),
(2,	'КАКОЙ ГАРАНТИЙНЫЙ СРОК У МОЕГО ТОВАРА?',	'<p>Гарантийный срок товара исчисляется со дня его продажи. Он обычно указан в эксплуатационном документе на товар (гарантийном талоне, техническом паспорте, этикетке или в другом документе, прилагаемом к товару). &nbsp;На сайте производителя Вашего товара</p>',	1,	2),
(3,	'Осуществляете ли Вы доставку до квартиры и подъем на этаж?',	'<p>Пожалуйста, обратите внимание, что адресная доставка осуществляется до входа в здание.<br />Товары из раздела &laquo;Бытовая техника и интерьер&raquo;, крупногабаритные товары из разделов \"Фитнес\", и \"Детский мир\" (тренажеры, детские кроватки, детская мебель, матрасы и т. д.)доставляются до квартиры.<br />Стоимость ручного заноса в квартиру зависит от: габаритов техники, сложности подъема и наличия лифта (куда товар помещается в упаковке).</p>',	1,	3),
(4,	'Возможно ли купить товар в рассрочку?',	'<p>К сожалению, в данный момент возможности приобретать товары в рассрочку нет.<br />Вы можете оформить заказ на интересующий Вас товар, доступный у нас на сайте, в кредит<br />Также, если Вы являетесь клиентом ПриватБанка, мы можем предложить Вам рассмотреть вариант оформления заказа с помощью услуг &laquo;Мгновенная рассрочка&raquo; и &laquo;Оплата частями&raquo;</p>',	1,	4);

DROP TABLE IF EXISTS `ok_okaycms__np_cost_delivery_data`;
CREATE TABLE `ok_okaycms__np_cost_delivery_data` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `order_id` int(11) DEFAULT NULL,
  `city_id` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `warehouse_id` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `delivery_term` varchar(8) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `redelivery` tinyint(1) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `order_id` (`order_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;


DROP TABLE IF EXISTS `ok_orders`;
CREATE TABLE `ok_orders` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `delivery_id` int(11) DEFAULT '0',
  `delivery_price` decimal(10,2) NOT NULL DEFAULT '0.00',
  `payment_method_id` int(11) DEFAULT '0',
  `paid` tinyint(1) NOT NULL DEFAULT '0',
  `payment_date` datetime DEFAULT NULL,
  `closed` tinyint(1) NOT NULL DEFAULT '0',
  `date` datetime DEFAULT NULL,
  `user_id` int(11) DEFAULT '0',
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `address` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `phone` varchar(32) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `email` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `comment` varchar(1024) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `status_id` int(11) NOT NULL DEFAULT '0',
  `url` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `payment_details` mediumtext COLLATE utf8mb4_unicode_ci,
  `ip` varchar(40) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `total_price` decimal(10,2) NOT NULL DEFAULT '0.00',
  `note` varchar(1024) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `discount` decimal(5,2) NOT NULL DEFAULT '0.00',
  `coupon_discount` decimal(10,2) NOT NULL DEFAULT '0.00',
  `coupon_code` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `separate_delivery` tinyint(1) DEFAULT '0',
  `modified` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `lang_id` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `login` (`user_id`),
  KEY `written_off` (`closed`),
  KEY `date` (`date`),
  KEY `status` (`status_id`),
  KEY `payment_status` (`paid`),
  KEY `code` (`url`(100))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_orders` (`id`, `delivery_id`, `delivery_price`, `payment_method_id`, `paid`, `payment_date`, `closed`, `date`, `user_id`, `name`, `address`, `phone`, `email`, `comment`, `status_id`, `url`, `payment_details`, `ip`, `total_price`, `note`, `discount`, `coupon_discount`, `coupon_code`, `separate_delivery`, `modified`, `lang_id`) VALUES
(1,	1,	0.00,	6,	0,	NULL,	0,	'2019-07-09 19:59:23',	0,	'чрп',	'',	'',	'4235@dsfsdf.df',	'',	1,	'3a12de08ea587fa815ab587404ee6250',	NULL,	'89.238.191.213',	3854.09,	'',	0.00,	0.00,	'',	0,	'2019-07-15 12:06:05',	1),
(2,	0,	0.00,	0,	0,	NULL,	1,	'2019-07-18 11:20:02',	0,	'',	'',	'',	'',	'',	2,	'ff5b40901e04e45df5a3ca62247d0ecf',	NULL,	'',	0.55,	'',	0.00,	0.00,	'',	0,	'2019-07-18 08:20:02',	1),
(3,	1,	0.00,	2,	0,	NULL,	0,	'2019-08-01 08:57:17',	0,	'Ипполит',	'днепр, 348',	'28096234895',	'synsmaster1234@gmail.com',	'Видели вона т ок ко. Т де м ',	1,	'98766572ae7c3b017325faeabea4d69a',	NULL,	'93.79.108.225',	15723.81,	'',	0.00,	0.00,	'',	0,	'2019-08-01 05:57:17',	1);

DROP TABLE IF EXISTS `ok_orders_labels`;
CREATE TABLE `ok_orders_labels` (
  `order_id` int(11) NOT NULL,
  `label_id` int(11) NOT NULL,
  PRIMARY KEY (`order_id`,`label_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;


DROP TABLE IF EXISTS `ok_orders_status`;
CREATE TABLE `ok_orders_status` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `is_close` tinyint(1) NOT NULL DEFAULT '0',
  `color` varchar(6) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'ffffff',
  `position` int(11) NOT NULL DEFAULT '0',
  `status_1c` enum('not_use','new','accepted','to_delete') COLLATE utf8mb4_unicode_ci DEFAULT 'not_use',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_orders_status` (`id`, `name`, `is_close`, `color`, `position`, `status_1c`) VALUES
(1,	'Новый',	0,	'2015eb',	1,	'new'),
(2,	'Принят',	1,	'2ccc1a',	2,	'accepted'),
(3,	'У курьера',	1,	'ffd000',	3,	'not_use'),
(4,	'Выполнен',	1,	'c400ff',	4,	'not_use'),
(5,	'Удален',	0,	'eb1212',	5,	'to_delete');

DROP TABLE IF EXISTS `ok_pages`;
CREATE TABLE `ok_pages` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `url` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `name_h1` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `meta_title` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `meta_description` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `meta_keywords` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `description` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `position` int(11) NOT NULL DEFAULT '0',
  `visible` tinyint(1) NOT NULL DEFAULT '0',
  `last_modify` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `order_num` (`position`),
  KEY `url` (`url`(100))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_pages` (`id`, `url`, `name`, `name_h1`, `meta_title`, `meta_description`, `meta_keywords`, `description`, `position`, `visible`, `last_modify`) VALUES
(1,	'',	'Главная',	'',	'Хиты продаж',	'OKAYCMS  - простая система управления интернет-магазином с широкими возможностями. Разработана с учетом требований SEO-специалистов для эффективного продвижения интернет-магазинов в сети. \r\n Админ панель содержит функционал добавления товаров и категорий, управления заказами, SEO, маркетинговые инструменты для увеличения продаж, интеграции с разными сервисами и прайс-агрегаторами (Яндекс.Маркет, price.ua, hotline.ua). \r\n Адаптивный шаблон на нескольких языках легко настроить для продажи любых товаров - от о',	'Хиты продаж',	'<div class=\"inner_infobox\">\r\n<p style=\"text-align: left;\"><strong>OKAYCMS</strong> - простая система управления интернет-магазином с широкими возможностями. Разработана с учетом требований SEO-специалистов для эффективного продвижения интернет-магазинов в сети.</p>\r\n<p><img style=\"float: right;\" src=\"../files/uploads/okay_about_image.png\" alt=\"\" width=\"286\" height=\"250\" /></p>\r\n<p style=\"text-align: left;\">Админ панель содержит функционал добавления товаров и категорий, управления заказами, SEO, маркетинговые инструменты для увеличения продаж, интеграции с разными сервисами и прайс-агрегаторами (Яндекс.Маркет, price.ua, hotline.ua).</p>\r\n<p style=\"text-align: left;\">Адаптивный шаблон на нескольких языках легко настроить для продажи любых товаров - от одежды, строительных материалов, мобильных телефонов и чехлов, до музыкальных треков, видео-уроков, аудиокниг и постеров.</p>\r\n<p style=\"text-align: left;\">OKAYCMS&nbsp;- легкая и гибкая система для запуска вашего бизнеса в онлайн.</p>\r\n<p style=\"text-align: left;\">Этот магазин является демонстрацией скрипта интернет-магазина <a href=\"http://okay-cms.com\" target=\"_blank\" rel=\"noopener noreferrer\">Okay</a>. Все материалы на этом сайте присутствуют исключительно в демострационных целях.</p>\r\n</div>',	1,	1,	'2019-07-05 13:59:31'),
(2,	'oplata',	'Оплата',	'',	'Оплата',	'Оплата',	'Оплата',	'<h2><span>Наличными курьеру</span></h2><p>Вы можете оплатить заказ курьеру в рублях непосредственно в момент доставки. Курьерская доставка осуществляется по Москве на следующий день после принятия заказа.</p><h2>Яндекс.Деньги</h2><p><span>Яндекс</span><span>.</span><span>Деньги</span><span>&nbsp;&mdash; доступный и безопасный способ платить за товары и услуги через интернет</span>.</p><h2>Банковская карта</h2><p><span>Оплата банковской картой Visa или MasterCard через систему Яндекс.Деньги.</span></p><h2>Через терминал</h2><p><span>Оплатите наличными через многочисленные терминалы в любом городе России. Можно заплатить и с банковской карты через многие банкоматы. Для этого найдите в меню терминала или банкомата логотип Яндекса и укажите код платежа.</span></p><h2>Со счета мобильного телефона</h2><p><span>Оплата со&nbsp;счета мобильного телефона&nbsp;через систему Яндекс.Деньги.</span></p><h2>Webmoney</h2><p>После оформления заказа вы сможете перейти на сайт webmoney для оплаты заказа, где сможете оплатить заказ в автоматическом режиме, а так же проверить наш сертификат продавца.</p><h2>Квитанция</h2><p><span>Вы можете распечатать квитанцию и оплатить её в любом отделении банка.</span></p><h2>Робокасса</h2><p><span>ROBOKASSA &ndash; сервис для организации приема платежей на сайте, интернет магазине и социальных сетях. Прием платежей осуществляется при минимальных комиссиях.</span></p><h2>PayPal</h2><p><span>Совершайте покупки безопасно, без раскрытия информации о своей кредитной карте. PayPal защитит вас, если возникнут проблемы с покупкой.</span></p><h2>Оплата через Интеркассу</h2><p><span>Это удобный в использовании сервис, подключение к которому позволит Интернет-магазинам, веб-сайтам и прочим торговым площадкам принимать все возможные формы оплаты в максимально короткие сроки.</span></p><h2>Оплата картой через Liqpay.com</h2><p><span>Благодаря своей открытости и универсальности LiqPAY стремительно интегрируется со многими платежными системами и платформами и становится стандартом платежных операций.</span></p><h2>Оплата через Pay2Pay</h2><p><span>Универсальный платежный сервис Pay2Pay призван облегчить и максимально упростить процесс приема электронных платежей на Вашем сайте. Мы открыты для всего нового и сверхсовременного.</span></p><h2>Оплатить через QIWI</h2><p><span>QIWI &mdash; удобный сервис для оплаты повседневных услуг.</span></p><h2><span style=\"font-size: 20px;\">Наличными в офисе Автолюкса</span></h2><p>При доставке заказа системой Автолюкс, вы сможете оплатить заказ в их офисе непосредственно в момент получения товаров.</p>',	4,	1,	'2017-07-07 09:08:20'),
(3,	'dostavka',	'Доставка',	'',	'Доставка',	'Доставка',	'Доставка',	'<h2>Курьерская доставка по&nbsp;Москве</h2><p>Курьерская доставка осуществляется на следующий день после оформления заказа<span style=\"margin-right: -0.2em;\">,</span><span style=\"margin-left: 0.2em;\"> </span>если товар есть в&nbsp;наличии. Курьерская доставка осуществляется в&nbsp;пределах Томска и&nbsp;Северска ежедневно с&nbsp;10.00 до&nbsp;21.00. Заказ на&nbsp;сумму свыше 300 рублей доставляется бесплатно. <br /><br />Стоимость бесплатной доставки раcсчитывается от&nbsp;суммы заказа с&nbsp;учтенной скидкой. В&nbsp;случае если сумма заказа после применения скидки менее 300р<span style=\"margin-right: -0.2em;\">,</span><span style=\"margin-left: 0.2em;\"> </span>осуществляется платная доставка. <br /><br />При сумме заказа менее 300 рублей стоимость доставки составляет от 50 рублей.</p><h2>Самовывоз</h2><p>Удобный<span style=\"margin-right: -0.2em;\">,</span><span style=\"margin-left: 0.2em;\"> </span>бесплатный и быстрый способ получения заказа.<br />Адрес офиса: Москва<span style=\"margin-right: -0.2em;\">,</span><span style=\"margin-left: 0.2em;\"> </span>ул. Арбат<span style=\"margin-right: -0.2em;\">,</span><span style=\"margin-left: 0.2em;\"> </span>1/3<span style=\"margin-right: -0.2em;\">,</span><span style=\"margin-left: 0.2em;\"> </span>офис 419.</p><h2>Доставка с&nbsp;помощью предприятия<span style=\"margin-right: 0.44em;\"> </span><span style=\"margin-left: -0.44em;\">&laquo;</span>Автотрейдинг&raquo;</h2><p>Удобный и быстрый способ доставки в крупные города России. Посылка доставляется в офис<span style=\"margin-right: 0.44em;\"> </span><span style=\"margin-left: -0.44em;\">&laquo;</span>Автотрейдинг&raquo; в&nbsp;Вашем городе. Для получения необходимо предъявить паспорт и&nbsp;номер грузовой декларации<span style=\"margin-right: 0.3em;\"> </span><span style=\"margin-left: -0.3em;\">(</span>сообщит наш менеджер после отправки). Посылку желательно получить в&nbsp;течение 24 часов с&nbsp;момента прихода груза<span style=\"margin-right: -0.2em;\">,</span><span style=\"margin-left: 0.2em;\"> </span>иначе компания<span style=\"margin-right: 0.44em;\"> </span><span style=\"margin-left: -0.44em;\">&laquo;</span>Автотрейдинг&raquo; может взыскать с Вас дополнительную оплату за хранение. Срок доставки и стоимость Вы можете рассчитать на сайте компании.</p><h2>Наложенным платежом</h2><p>При доставке заказа наложенным платежом с помощью<span style=\"margin-right: 0.44em;\"> </span><span style=\"margin-left: -0.44em;\">&laquo;</span>Почты России&raquo;, вы&nbsp;сможете оплатить заказ непосредственно в&nbsp;момент получения товаров.</p>',	3,	1,	'2017-07-07 09:08:20'),
(4,	'blog',	'Блог',	'',	'Блог',	'Описание страницы блог',	'Блог',	'',	2,	1,	'2018-06-26 16:07:27'),
(5,	'404',	'Страница не найдена',	'',	'Страница не найдена',	'Страница не найдена',	'Страница не найдена',	'<p><span data-language=\"page404_text\">Страница, которую вы запрашиваете, не существует, или она удалена. Возможно, вы набрали неправильный адрес. Попробуйте ввести еще раз.</span></p>',	5,	1,	'2019-06-24 11:33:00'),
(6,	'contact',	'Контакты',	'',	'Контакты',	'Контакты',	'Контакты',	'<p>Москва, ул. Космонавта Волкова 14.</p>\r\n<p>Телефон 777-15-51</p>',	12,	1,	'2019-01-24 15:41:26'),
(7,	'all-products',	'Все товары',	'',	'Все товары',	'Все товары',	'Все товары',	'',	7,	1,	'2019-01-24 15:40:10'),
(8,	'brands',	'Бренды',	'',	'Бренды',	'Бренды',	'Бренды',	'<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus</p>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus</p>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus</p>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus</p>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus</p>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus</p>',	6,	1,	'2019-06-11 11:16:33'),
(10,	'discounted',	'Акционные товары',	'',	'Акционные товары',	'Акционные товары',	'Акционные товары',	'',	8,	1,	'2019-01-24 15:40:32'),
(11,	'bestsellers',	'Хиты продаж',	'',	'Хиты продаж',	'Хиты продаж',	'Хиты продаж',	'',	10,	1,	'2019-01-24 15:40:57'),
(12,	'news',	'Новости',	'',	'Новости',	'Новости',	'Новости',	'',	11,	1,	'2019-01-24 15:41:13'),
(13,	'user/login',	'Вход в личный кабинет',	'',	'Вход в личный кабинет',	'Создайте учетную запись у нас, и вы сможете:  \r\n \r\n Получать ваши персональные скидки \r\n Сохранять ваши контактные данные для оформления заказа \r\n Просматривать историю ваших заказов \r\n Отслеживать статусы новых заказов \r\n Участвовать в различных акциях',	'Вход в личный кабинет',	'<p><strong>Создайте учетную запись у нас, и вы сможете:</strong></p>\r\n<ul>\r\n<li>Получать ваши персональные скидки</li>\r\n<li>Сохранять ваши контактные данные для оформления заказа</li>\r\n<li>Просматривать историю ваших заказов</li>\r\n<li>Отслеживать статусы новых заказов</li>\r\n<li>Участвовать в различных акциях</li>\r\n</ul>',	13,	1,	'2019-07-07 21:32:24'),
(14,	'user/register',	'Регистрация',	'',	'Регистрация',	'Регистрация через соц. сеть \r\n  Вы можете зарегистрироваться на сайте с помощью учетных записей социальных сетей:',	'Регистрация',	'<div class=\"block_explanation__header\">Регистрация через соц. сеть</div>\r\n<div>Вы можете зарегистрироваться на сайте с помощью учетных записей социальных сетей:</div>',	14,	1,	'2019-10-23 15:01:29'),
(16,	'politika-konfidentsalnosti',	'Политика конфиденцальности',	'',	'Политика конфиденцальности',	'1. ОБЩИЕ ПОЛОЖЕНИЯ   &middot;         1.1. Использование Пользователем сайта означает согласие с настоящей Политикой конфиденциальности и условиями обработки персональных данных Пользователя.  &middot;         1.2. В случае несогласия с условиями Политики конфиденциальности Пользователь должен прекратить использование сайта.  &middot;         1.3. Настоящая Политика конфиденциальности применяется только к этому сайту. Администрация сайта не контролирует и не несет ответственность за сайты третьих лиц, на ко',	'Политика конфиденцальности',	'<p><strong>1. ОБЩИЕ ПОЛОЖЕНИЯ</strong><br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 1.1. Использование Пользователем сайта означает согласие с настоящей Политикой конфиденциальности и условиями обработки персональных данных Пользователя.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 1.2. В случае несогласия с условиями Политики конфиденциальности Пользователь должен прекратить использование сайта.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 1.3. Настоящая Политика конфиденциальности применяется только к этому сайту. Администрация сайта не контролирует и не несет ответственность за сайты третьих лиц, на которые Пользователь может перейти по ссылкам, доступным на сайте.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 1.4. Администрация сайта не проверяет достоверность персональных данных, предоставляемых Пользователем сайта.<br /><br /><strong>2. ПРЕДМЕТ ПОЛИТИКИ КОНФИДЕНЦИАЛЬНОСТИ</strong><br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 2.1. Настоящая Политика конфиденциальности устанавливает обязательства Администрации сайта по неразглашению и обеспечению режима защиты конфиденциальности персональных данных, которые Пользователь предоставляет по запросу Администрации сайта.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 2.2. Персональные данные, разрешённые к обработке в рамках настоящей Политики конфиденциальности, предоставляются Пользователем путём заполнения регистрационной формы на сайте.<br /><br /><strong>3. ЦЕЛИ СБОРА ПЕРСОНАЛЬНОЙ ИНФОРМАЦИИ ПОЛЬЗОВАТЕЛЯ</strong><br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1. Персональные данные Пользователя Администрация сайта может использовать в целях:<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1.1. Идентификации Пользователя для оформления заказа.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1.2. Предоставления Пользователю доступа к персонализированным ресурсам Сайта.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1.3. Установления с Пользователем обратной связи, включая направление уведомлений, запросов, касающихся использования Сайта, оказания услуг, обработка запросов и заявок от Пользователя.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1.4. Определения места нахождения Пользователя для обеспечения безопасности, предотвращения мошенничества.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1.5. Подтверждения достоверности и полноты персональных данных, предоставленных Пользователем.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1.6. Уведомления Пользователя Сайта о состоянии Заказа.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1.7. Предоставления Пользователю эффективной клиентской и технической поддержки при возникновении проблем, связанных с использованием Сайта.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1.8. Предоставления Пользователю с его согласия, обновлений продукции, специальных предложений, информации о ценах, новостной рассылки и иных сведений от имени сайта или от имени партнеров сайта.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1.9. Осуществления рекламной деятельности с согласия Пользователя.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3.1.10. Предоставления доступа Пользователю на сайты или сервисы партнеров с целью получения продуктов, обновлений и услуг.<br /><br /><strong>4. ОБЯЗАТЕЛЬСТВА СТОРОН</strong><br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 4.1. Пользователь обязан:<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 4.1.1. Предоставить информацию о персональных данных, необходимую для пользования Сайтом.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 4.1.2. Обновить, дополнить предоставленную информацию о персональных данных в случае изменения данной информации.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 4.2. Администрация сайта обязана:<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 4.2.1. Использовать полученную информацию исключительно для целей, указанных в п. 3 настоящей Политики конфиденциальности.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 4.2.2. Обеспечить хранение конфиденциальной информации в тайне, не разглашать без предварительного письменного разрешения Пользователя, а также не осуществлять продажу, обмен, опубликование, либо разглашение иными возможными способами переданных персональных данных Пользователя.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 4.2.3. Принимать меры предосторожности для защиты конфиденциальности персональных данных Пользователя согласно порядку, обычно используемого для защиты такого рода информации в существующем деловом обороте.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 4.2.4. Осуществить блокирование персональных данных, относящихся к соответствующему Пользователю, с момента обращения или запроса Пользователя или его законного представителя либо уполномоченного органа по защите прав субъектов персональных данных на период проверки, в случае выявления недостоверных персональных данных или неправомерных действий.<br /><br /><strong>5. ОТВЕТСТВЕННОСТЬ СТОРОН</strong><br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 5.1. Администрация сайта, не исполнившая свои обязательства, несёт ответственность за убытки, понесённые Пользователем в связи с неправомерным использованием персональных данных, в соответствии с законодательством Украины.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 5.2. В случае утраты или разглашения Конфиденциальной информации Администрация сайта не несёт ответственность, если данная конфиденциальная информация:<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 5.2.1. Стала публичным достоянием до её утраты или разглашения.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 5.2.2. Была получена от третьей стороны до момента её получения Администрацией сайта.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 5.2.3. Была разглашена с согласия Пользователя.<br /><br /><strong>6. РАЗРЕШЕНИЕ СПОРОВ</strong><br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 6.1. До обращения в суд с иском по спорам, возникающим из отношений между Пользователем сайта и Администрацией сайта, обязательным является предъявление претензии (письменного предложения о добровольном урегулировании спора).<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 6.2. Получатель претензии в течение 30 календарных дней со дня получения претензии, письменно уведомляет заявителя претензии о результатах рассмотрения претензии.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 6.3. При не достижении соглашения спор будет передан на рассмотрение в судебный орган в соответствии с действующим законодательством Украины.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 6.4. К настоящей Политике конфиденциальности и отношениям между Пользователем и Администрацией сайта применяется действующее законодательство Украины.<br /><br /><strong>7. ДОПОЛНИТЕЛЬНЫЕ УСЛОВИЯ</strong><br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 7.1. Администрация сайта вправе вносить изменения в настоящую Политику конфиденциальности без согласия Пользователя.<br /><br />&middot;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 7.2. Новая Политика конфиденциальности вступает в силу с момента ее размещения на Сайте интернет-магазина, если иное не предусмотрено новой редакцией Политики <br /><br />Новости образования Подписаться на рассылку Политика конфиденциальности</p>',	16,	1,	'2019-07-05 13:06:13'),
(17,	'faq',	'FAQ',	'',	'FAQ',	'',	'FAQ',	'',	17,	1,	'2019-09-24 12:41:59');

DROP TABLE IF EXISTS `ok_payment_methods`;
CREATE TABLE `ok_payment_methods` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `module` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `description` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `currency_id` int(11) NOT NULL DEFAULT '0',
  `settings` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `enabled` tinyint(1) NOT NULL DEFAULT '0',
  `position` int(11) NOT NULL DEFAULT '0',
  `image` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  KEY `position` (`position`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_payment_methods` (`id`, `module`, `name`, `description`, `currency_id`, `settings`, `enabled`, `position`, `image`) VALUES
(6,	'OkayCMS/LiqPay',	'Оплата картой через Liqpay.com',	'<p>LiqPay &mdash; платежная система, позволяющая проводить оплату банковскими картами MasterСard и VISA, а также наличными через терминалы самообслуживания Приватбанка. Оплата возможна после входа в аккаунт через номер мобильного телефона.</p>',	2,	'a:2:{s:18:\"liq_pay_public_key\";s:0:\"\";s:19:\"liq_pay_private_key\";s:0:\"\";}',	1,	14,	'liqpay.png'),
(14,	'null',	'Оплата наличными курьеру',	'<p>Если вы не хотите предварительно оплачивать заказ, у вас есть возможность рассчитаться с курьером наличными в момент получения посылки. Чтобы процесс был максимально комфортным и для вас, и для курьера, рекомендуем заранее подготовить нужную сумму.</p>',	2,	'a:0:{}',	1,	18,	'nalcourier.png'),
(18,	'null',	'Оплата наложенным платежом',	'<p>Оплата производится наложенным платежом после получения товара.</p>',	2,	'a:0:{}',	1,	19,	'wallet.png'),
(19,	'OkayCMS/PayKeeper',	'Оплата через PayKeeper',	'<p>PayKeeper &mdash; международная платежная система, осуществляющая прием платежей, проводимых с использованием банковских карт через интернет.</p>',	2,	'a:2:{s:26:\"PAYKEEPER_PAYMENT_FORM_URL\";s:0:\"\";s:16:\"PAYKEEPER_SECRET\";s:0:\"\";}',	1,	20,	'paykeeper.png'),
(20,	'OkayCMS/WayForPay',	'Оплата через WayForPay',	'<p>WayForPay &mdash; это онлайн-сервис с оплатой через банковские карты платежных систем VISA и MasterCard. Доступные методы платежа: Приват 24, терминал, сервис обслуживает прием платежей через систему Bitcoin.</p>',	2,	'a:2:{s:18:\"wayforpay_merchant\";s:0:\"\";s:19:\"wayforpay_secretkey\";s:0:\"\";}',	1,	21,	'wayforpay.png'),
(21,	'OkayCMS/YandexMoneyApi',	'Яндекс Касса',	'<p>Яндекс.Касса &mdash; российский платёжный провайдер, сервис по приёму платежей через интернет в пользу юридических лиц, индивидуальных предпринимателей и некоммерческих организаций.</p>',	2,	'a:10:{s:17:\"yandex_api_shopid\";s:0:\"\";s:19:\"yandex_api_password\";s:0:\"\";s:18:\"yandex_api_paymode\";s:5:\"kassa\";s:22:\"yandex_api_paymenttype\";s:0:\"\";s:27:\"yandex_description_template\";s:0:\"\";s:23:\"ya_kassa_api_send_check\";s:1:\"1\";s:16:\"ya_kassa_api_tax\";s:1:\"1\";s:25:\"ya_kassa_api_payment_mode\";s:15:\"full_prepayment\";s:28:\"ya_kassa_api_payment_subject\";s:9:\"commodity\";s:14:\"ya_kassa_debug\";s:1:\"1\";}',	1,	11,	'yandexkassa.png');

DROP TABLE IF EXISTS `ok_products`;
CREATE TABLE `ok_products` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `url` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `brand_id` int(11) DEFAULT '0',
  `name` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `annotation` mediumtext COLLATE utf8mb4_unicode_ci,
  `description` mediumtext COLLATE utf8mb4_unicode_ci,
  `visible` tinyint(1) NOT NULL DEFAULT '1',
  `position` int(11) NOT NULL DEFAULT '0',
  `meta_title` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `meta_keywords` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `meta_description` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `created` timestamp NULL DEFAULT NULL,
  `featured` tinyint(1) DEFAULT '0',
  `external_id` varchar(36) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `rating` float(3,1) DEFAULT '0.0',
  `votes` int(11) DEFAULT '0',
  `special` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `last_modify` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `main_category_id` int(11) DEFAULT NULL,
  `main_image_id` int(11) DEFAULT NULL,
  `to_rozetka` tinyint(1) DEFAULT '0',
  `not_to_rozetka` tinyint(1) DEFAULT '0',
  `to__okaycms__yandex_xml_vendor_model` tinyint(1) DEFAULT '0',
  `not_to__okaycms__yandex_xml_vendor_model` tinyint(1) DEFAULT '0',
  `to__okaycms__yandex_xml` tinyint(1) DEFAULT '0',
  `not_to__okaycms__yandex_xml` tinyint(1) DEFAULT '0',
  `to__okaycms__google_merchant` tinyint(1) DEFAULT '0',
  `not_to__okaycms__google_merchant` tinyint(1) DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `brand_id` (`brand_id`),
  KEY `visible` (`visible`),
  KEY `position` (`position`),
  KEY `external_id` (`external_id`),
  KEY `hit` (`featured`),
  KEY `main_category_id` (`main_category_id`),
  KEY `main_image_id` (`main_image_id`),
  KEY `url` (`url`(100)),
  KEY `name` (`name`(100))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_products` (`id`, `url`, `brand_id`, `name`, `annotation`, `description`, `visible`, `position`, `meta_title`, `meta_keywords`, `meta_description`, `created`, `featured`, `external_id`, `rating`, `votes`, `special`, `last_modify`, `main_category_id`, `main_image_id`, `to_rozetka`, `not_to_rozetka`, `to__okaycms__yandex_xml_vendor_model`, `not_to__okaycms__yandex_xml_vendor_model`, `to__okaycms__yandex_xml`, `not_to__okaycms__yandex_xml`, `to__okaycms__google_merchant`, `not_to__okaycms__google_merchant`) VALUES
(1,	'Kreslo_Meshok_L_Oksford_Black',	1,	'Кресло мешок груша L Oksford Black',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	1,	'Кресло мешок груша L Oksford Black',	'Кресло мешок груша L Oksford Black',	'Кресло мешок груша L Oksford Black',	'2017-05-11 09:12:58',	1,	'',	4.0,	1,	'',	'2019-07-08 12:19:06',	2,	1,	0,	0,	0,	0,	0,	0,	0,	0),
(2,	'Kreslo_Meshok_L_Oksford_Dark_Blue',	1,	'Кресло мешок груша L Oksford Dark Blue',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	2,	'Кресло мешок груша L Oksford Dark Blue',	'Кресло мешок груша L Oksford Dark Blue',	'Кресло мешок груша L Oksford Dark Blue',	'2017-05-11 09:12:58',	1,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	2,	3,	0,	0,	0,	0,	0,	0,	0,	0),
(3,	'Kreslo_Meshok_L_Oksford_Blue',	1,	'Кресло мешок груша L Oksford Blue',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	3,	'Кресло мешок груша L Oksford Blue',	'Кресло мешок груша L Oksford Blue',	'Кресло мешок груша L Oksford Blue',	'2017-05-11 09:12:58',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	2,	4,	0,	0,	0,	0,	0,	0,	0,	0),
(4,	'Kreslo_Meshok_L_Oksford_Green',	1,	'Кресло мешок груша L Oksford Green',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	4,	'Кресло мешок груша L Oksford Green',	'Кресло мешок груша L Oksford Green',	'Кресло мешок груша L Oksford Green',	'2017-05-11 09:12:58',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	2,	5,	0,	0,	0,	0,	0,	0,	0,	0),
(5,	'Kerslo_Meshok_L_Oksford_Bordo',	1,	'Кресло мешок груша L Oksford bordo',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	5,	'Кресло мешок груша L Oksford bordo',	'Кресло мешок груша L Oksford bordo',	'Кресло мешок груша L Oksford bordo',	'2017-05-11 09:12:58',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	2,	6,	0,	0,	0,	0,	0,	0,	0,	0),
(6,	'Kreslo_Meshok_L_Oksford_Red',	1,	'Кресло мешок груша L Oksford Red',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	6,	'Кресло мешок груша L Oksford Red',	'Кресло мешок груша L Oksford Red',	'Кресло мешок груша L Oksford Red',	'2017-05-11 09:12:58',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	2,	7,	0,	0,	0,	0,	0,	0,	0,	0),
(7,	'Kreslo_Meshok_L_Oksford_Orange',	1,	'Кресло мешок груша L Oksford Orange',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	7,	'Кресло мешок груша L Oksford Orange',	'Кресло мешок груша L Oksford Orange',	'Кресло мешок груша L Oksford Orange',	'2017-05-11 09:12:58',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	2,	8,	0,	0,	0,	0,	0,	0,	0,	0),
(8,	'Kreslo_Meshok_L_Oksford_Lime',	1,	'Кресло мешок груша L Oksford Lime',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	8,	'Кресло мешок груша L Oksford Lime',	'Кресло мешок груша L Oksford Lime',	'Кресло мешок груша L Oksford Lime',	'2017-05-11 09:12:58',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	2,	9,	0,	0,	0,	0,	0,	0,	0,	0),
(9,	'Kreslo_Meshok_L_Oksford_Yellow',	1,	'Кресло мешок груша L Oksford Yellow',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	9,	'Кресло мешок груша L Oksford Yellow',	'Кресло мешок груша L Oksford Yellow',	'Кресло мешок груша L Oksford Yellow',	'2017-05-11 09:12:58',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	2,	10,	0,	0,	0,	0,	0,	0,	0,	0),
(10,	'Kreslo_Meshok_L_Blue_Velvet',	1,	'Кресло мешок груша L Blue Velvet',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	10,	'Кресло мешок груша L Blue Velvet',	'Кресло мешок груша L Blue Velvet',	'Кресло мешок груша L Blue Velvet',	'2017-05-11 09:12:58',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	2,	11,	0,	0,	0,	0,	0,	0,	0,	0),
(11,	'kreslo-meshok-grusha-l-turquoise-velvet',	1,	'Кресло мешок груша L Turquoise Velvet',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	11,	'Кресло мешок груша L Turquoise Velvet',	'Кресло мешок груша L Turquoise Velvet',	'Кресло мешок груша L Turquoise Velvet',	'2017-05-11 09:12:58',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	2,	12,	0,	0,	0,	0,	0,	0,	0,	0),
(12,	'Kreslo_Meshok_L_Red_Velvet',	1,	'Кресло мешок груша L Red Velvet',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	12,	'Кресло мешок груша L Red Velvet',	'Кресло мешок груша L Red Velvet',	'Кресло мешок груша L Red Velvet',	'2017-05-11 09:12:58',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	2,	13,	0,	0,	0,	0,	0,	0,	0,	0),
(13,	'Kreslo_Meshok_L_Malina_Velvet',	1,	'Кресло мешок груша L Malina Velvet',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	13,	'Кресло мешок груша L Malina Velvet',	'Кресло мешок груша L Malina Velvet',	'Кресло мешок груша L Malina Velvet',	'2017-05-11 09:12:58',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	2,	14,	0,	0,	0,	0,	0,	0,	0,	0),
(14,	'Kreslo_Meshok_L_Fuxia_Velvet',	1,	'Кресло мешок груша L Fuxia Velvet',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	14,	'Кресло мешок груша L Fuxia Velvet',	'Кресло мешок груша L Fuxia Velvet',	'Кресло мешок груша L Fuxia Velvet',	'2017-05-11 09:12:58',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	2,	15,	0,	0,	0,	0,	0,	0,	0,	0),
(15,	'Kreslo_Meshok_L_Pink_Velvet',	1,	'Кресло мешок груша L Pink Velvet',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	15,	'Кресло мешок груша L Pink Velvet',	'Кресло мешок груша L Pink Velvet',	'Кресло мешок груша L Pink Velvet',	'2017-05-11 09:12:58',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	2,	16,	0,	0,	0,	0,	0,	0,	0,	0),
(16,	'kreslo-meshok-grusha-l-lime-velvet',	1,	'Кресло мешок груша L Lime Velvet',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	16,	'Кресло мешок груша L Lime Velvet',	'Кресло мешок груша L Lime Velvet',	'Кресло мешок груша L Lime Velvet',	'2017-05-11 09:12:58',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	2,	17,	0,	0,	0,	0,	0,	0,	0,	0),
(17,	'Kreslo_Meshok_L_Jungle',	1,	'Кресло мешок груша L Beatrice',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	17,	'Кресло мешок груша L Beatrice',	'Кресло мешок груша L Beatrice',	'Кресло мешок груша L Beatrice',	'2017-05-11 09:12:58',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	2,	19,	0,	0,	0,	0,	0,	0,	0,	0),
(18,	'Kreslo_Meshok_L_Balloons',	1,	'Кресло-мешок L Balloons',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	18,	'Кресло-мешок L Balloons',	'Кресло-мешок L Balloons',	'Кресло-мешок L Balloons',	'2017-05-11 09:12:58',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	2,	20,	0,	0,	0,	0,	0,	0,	0,	0),
(19,	'Kreslo_Meshok_L_Graffity_Orange',	1,	'Кресло мешок груша L Graffity Orange',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	19,	'Кресло мешок груша L Graffity Orange',	'Кресло мешок груша L Graffity Orange',	'Кресло мешок груша L Graffity Orange',	'2017-05-11 09:12:58',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	2,	21,	0,	0,	0,	0,	0,	0,	0,	0),
(20,	'Kreslo_Meshok_L_Mini_Cooper',	1,	'Кресло мешок груша L Mini Cooper',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	20,	'Кресло мешок груша L Mini Cooper',	'Кресло мешок груша L Mini Cooper',	'Кресло мешок груша L Mini Cooper',	'2017-05-11 09:12:58',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	2,	22,	0,	0,	0,	0,	0,	0,	0,	0),
(21,	'kreslo-meshok-grusha-l-iphone',	1,	'Кресло мешок груша L iPhone',	'<div>Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.</div>',	'<p>Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.</p>',	1,	21,	'Кресло мешок груша L iPhone',	'Кресло мешок груша L iPhone',	'Кресло мешок груша L iPhone',	'2017-05-11 09:12:58',	NULL,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	2,	23,	0,	0,	0,	0,	0,	0,	0,	0),
(22,	'Kreslo_Meshok_L_Cats',	1,	'Кресло мешок груша L Cats',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	22,	'Кресло мешок груша L Cats',	'Кресло мешок груша L Cats',	'Кресло мешок груша L Cats',	'2017-05-11 09:12:58',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	2,	24,	0,	0,	0,	0,	0,	0,	0,	0),
(23,	'telefon-meizu-m3-mini-m688u-16-gb',	0,	'Телефон Meizu M3 mini M688U 16 Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	23,	'Телефон Meizu M3 mini M688U 16 Gb',	'Телефон Meizu M3 mini M688U 16 Gb',	'Телефон Meizu M3 mini M688U 16 Gb',	'2017-05-11 09:12:58',	1,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	5,	25,	0,	0,	0,	0,	0,	0,	0,	0),
(24,	'telefon-meizu-mx6',	0,	'Телефон Meizu MX6',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	24,	'Телефон Meizu MX6',	'Телефон Meizu MX6',	'Телефон Meizu MX6',	'2017-05-11 09:12:58',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	5,	26,	0,	0,	0,	0,	0,	0,	0,	0),
(25,	'telefon-meizu-m3-mini-m688u-32-gb',	0,	'Телефон Meizu M3 mini 32Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	25,	'Телефон Meizu M3 mini 32Gb',	'Телефон Meizu M3 mini 32Gb',	'Телефон Meizu M3 mini 32Gb',	'2017-05-11 09:12:58',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	5,	27,	0,	0,	0,	0,	0,	0,	0,	0),
(26,	'telefon-meizu-m3s-332-gb',	0,	'Телефон Meizu M3S 3+32Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	26,	'Телефон Meizu M3S 3+32Gb',	'Телефон Meizu M3S 3+32Gb',	'Телефон Meizu M3S 3+32Gb',	'2017-05-11 09:12:58',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	5,	28,	0,	0,	0,	0,	0,	0,	0,	0),
(27,	'telefon-meizu-m2-note-16-gb',	0,	'Телефон Meizu M2 Note 16GB',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	27,	'Телефон Meizu M2 Note 16GB',	'Телефон Meizu M2 Note 16GB',	'Телефон Meizu M2 Note 16GB',	'2017-05-11 09:12:58',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	5,	29,	0,	0,	0,	0,	0,	0,	0,	0),
(28,	'telefon-meizu-m3-note-32-gb',	0,	'Телефон Meizu M3 Note 32Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	28,	'Телефон Meizu M3 Note 32Gb',	'Телефон Meizu M3 Note 32Gb',	'Телефон Meizu M3 Note 32Gb',	'2017-05-11 09:12:58',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	5,	30,	0,	0,	0,	0,	0,	0,	0,	0),
(29,	'telefon-meizu-pro-6-m570q-64-gb',	0,	'Телефон Meizu Pro 6 64Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	29,	'Телефон Meizu Pro 6 64Gb',	'Телефон Meizu Pro 6 64Gb',	'Телефон Meizu Pro 6 64Gb',	'2017-05-11 09:12:58',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	5,	31,	0,	0,	0,	0,	0,	0,	0,	0),
(30,	'telefon-meizu-pro-6-m570q-32-gb',	0,	'Телефон Meizu Pro 6 32Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	30,	'Телефон Meizu Pro 6 32Gb',	'Телефон Meizu Pro 6 32Gb',	'Телефон Meizu Pro 6 32Gb',	'2017-05-11 09:12:58',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	5,	32,	0,	0,	0,	0,	0,	0,	0,	0),
(31,	'telefon-meizu-m3s-216-gb',	0,	'Телефон Meizu M3S 2+16Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	31,	'Телефон Meizu M3S 2+16Gb',	'Телефон Meizu M3S 2+16Gb',	'Телефон Meizu M3S 2+16Gb',	'2017-05-11 09:12:58',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	5,	33,	0,	0,	0,	0,	0,	0,	0,	0),
(32,	'telefon-meizu-pro-5-m576-32-gb',	0,	'Телефон Meizu Pro 5 32Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	32,	'Телефон Meizu Pro 5 32Gb',	'Телефон Meizu Pro 5 32Gb',	'Телефон Meizu Pro 5 32Gb',	'2017-05-11 09:12:58',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	5,	34,	0,	0,	0,	0,	0,	0,	0,	0),
(33,	'telefon-meizu-pro-5-m576-64-gb',	0,	'Телефон Meizu Pro 5 64Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	33,	'Телефон Meizu Pro 5 64Gb',	'Телефон Meizu Pro 5 64Gb',	'Телефон Meizu Pro 5 64Gb',	'2017-05-11 09:12:58',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	5,	35,	0,	0,	0,	0,	0,	0,	0,	0),
(34,	'telefon-meizu-m3-note-16-gb',	0,	'Телефон Meizu M3 Note 16Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	34,	'Телефон Meizu M3 Note 16Gb',	'Телефон Meizu M3 Note 16Gb',	'Телефон Meizu M3 Note 16Gb',	'2017-05-11 09:12:58',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	5,	36,	0,	0,	0,	0,	0,	0,	0,	0),
(37,	'telefon-xiaomi-redmi-2-enhanced-216-gb',	0,	'Телефон Xiaomi Redmi 2 Enhanced 2+16Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	37,	'Телефон Xiaomi Redmi 2 Enhanced 2+16Gb',	'Телефон Xiaomi Redmi 2 Enhanced 2+16Gb',	'Телефон Xiaomi Redmi 2 Enhanced 2+16Gb',	'2017-05-11 09:12:58',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	8,	48,	0,	0,	0,	0,	0,	0,	0,	0),
(38,	'telefon-xiaomi-mi4c-332-gb',	0,	'Телефон Xiaomi Mi4C 3+32Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	38,	'Телефон Xiaomi Mi4C 3+32Gb',	'Телефон Xiaomi Mi4C 3+32Gb',	'Телефон Xiaomi Mi4C 3+32Gb',	'2017-05-11 09:12:58',	0,	'',	5.0,	1,	'',	'2019-05-31 10:15:44',	8,	49,	0,	0,	0,	0,	0,	0,	0,	0),
(39,	'telefon-xiaomi-redmi-note-4---332-gb',	0,	'Телефон Xiaomi Redmi Note 4 - 3+32Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	39,	'Телефон Xiaomi Redmi Note 4 - 3+32Gb',	'Телефон Xiaomi Redmi Note 4 - 3+32Gb',	'Телефон Xiaomi Redmi Note 4 - 3+32Gb',	'2017-05-11 09:12:58',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	8,	50,	0,	0,	0,	0,	0,	0,	0,	0),
(40,	'telefon-xiaomi-mi5s-plus-464-gb',	0,	'Телефон Xiaomi Mi5s Plus 4+64Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	40,	'Телефон Xiaomi Mi5s Plus 4+64Gb',	'Телефон Xiaomi Mi5s Plus 4+64Gb',	'Телефон Xiaomi Mi5s Plus 4+64Gb',	'2017-05-11 09:12:58',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	8,	51,	0,	0,	0,	0,	0,	0,	0,	0),
(41,	'telefon-xiaomi-mi5s-plus-6128-gb',	0,	'Телефон Xiaomi Mi5s Plus 6+128Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	41,	'Телефон Xiaomi Mi5s Plus 6+128Gb',	'Телефон Xiaomi Mi5s Plus 6+128Gb',	'Телефон Xiaomi Mi5s Plus 6+128Gb',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	8,	52,	0,	0,	0,	0,	0,	0,	0,	0),
(42,	'telefon-xiaomi-redmi-4-pro',	0,	'Телефон Xiaomi Redmi 4 Pro',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	42,	'Телефон Xiaomi Redmi 4 Pro',	'Телефон Xiaomi Redmi 4 Pro',	'Телефон Xiaomi Redmi 4 Pro',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	8,	53,	0,	0,	0,	0,	0,	0,	0,	0),
(43,	'telefon-xiaomi-redmi-4',	0,	'Телефон Xiaomi Redmi 4',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	43,	'Телефон Xiaomi Redmi 4',	'Телефон Xiaomi Redmi 4',	'Телефон Xiaomi Redmi 4',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	8,	54,	0,	0,	0,	0,	0,	0,	0,	0),
(44,	'telefon-xiaomi-redmi-note-4x',	0,	'Телефон Xiaomi Redmi Note 4X - 2+32Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	44,	'Телефон Xiaomi Redmi Note 4X - 2+32Gb',	'Телефон Xiaomi Redmi Note 4X - 2+32Gb',	'Телефон Xiaomi Redmi Note 4X - 2+32Gb',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	8,	55,	0,	0,	0,	0,	0,	0,	0,	0),
(45,	'telefon-xiaomi-redmi-note-4x---332gb',	0,	'Телефон Xiaomi Redmi Note 4X - 3+32Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	45,	'Телефон Xiaomi Redmi Note 4X - 3+32Gb',	'Телефон Xiaomi Redmi Note 4X - 3+32Gb',	'Телефон Xiaomi Redmi Note 4X - 3+32Gb',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	8,	56,	0,	0,	0,	0,	0,	0,	0,	0),
(46,	'telefon-xiaomi-redmi-note-4x---464gb',	0,	'Телефон Xiaomi Redmi Note 4X - 4+64Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	46,	'Телефон Xiaomi Redmi Note 4X - 4+64Gb',	'Телефон Xiaomi Redmi Note 4X - 4+64Gb',	'Телефон Xiaomi Redmi Note 4X - 4+64Gb',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	8,	57,	0,	0,	0,	0,	0,	0,	0,	0),
(47,	'telefon-xiaomi-redmi-3s---332gb',	0,	'Телефон Xiaomi Redmi 3S - 3+32Gb',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	47,	'Телефон Xiaomi Redmi 3S - 3+32Gb',	'Телефон Xiaomi Redmi 3S - 3+32Gb',	'Телефон Xiaomi Redmi 3S - 3+32Gb',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	8,	58,	0,	0,	0,	0,	0,	0,	0,	0),
(48,	'telefon-xiaomi-redmi-4x---216gb',	0,	'Телефон Xiaomi Redmi 4X - 2+16Gb',	'<div>Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.</div>',	'<p>Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.</p>',	1,	48,	'Телефон Xiaomi Redmi 4X - 2+16Gb',	'Телефон Xiaomi Redmi 4X - 2+16Gb',	'Телефон Xiaomi Redmi 4X - 2+16Gb',	'2017-05-11 09:12:59',	NULL,	'',	0.0,	0,	'',	'2019-07-15 11:34:22',	8,	59,	0,	0,	0,	0,	0,	0,	0,	0),
(49,	'hatchimals-pingvi-v-yajtse--1',	0,	'Hatchimals: Пингви в яйце номер 1',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	49,	'Hatchimals: Пингви в яйце номер 1',	'Hatchimals: Пингви в яйце номер 1',	'Hatchimals: Пингви в яйце номер 1',	'2017-05-11 09:12:59',	1,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	10,	60,	0,	0,	0,	0,	0,	0,	0,	0),
(50,	'hatchimals-drako-v-yajtse-1',	0,	'Hatchimals: Драко в яйце номер 1',	'<div>Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.</div>',	'<p>Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.</p>',	1,	50,	'Hatchimals: Драко в яйце номер 1',	'Hatchimals: Драко в яйце номер 1',	'Hatchimals: Драко в яйце номер 1',	'2017-05-11 09:12:59',	NULL,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	10,	69,	0,	0,	0,	0,	0,	0,	0,	0),
(51,	'hatchimals-pingvi-v-yajtse--2',	0,	'Hatchimals: Пингви в яйце номер 2',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	51,	'Hatchimals: Пингви в яйце номер 2',	'Hatchimals: Пингви в яйце номер 2',	'Hatchimals: Пингви в яйце номер 2',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	10,	77,	0,	0,	0,	0,	0,	0,	0,	0),
(52,	'hatchimals-drako-v-yajtse--2',	0,	'Hatchimals: Драко в яйце номер 2',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	52,	'Hatchimals: Драко в яйце номер 2',	'Hatchimals: Драко в яйце номер 2',	'Hatchimals: Драко в яйце номер 2',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2018-09-28 13:02:55',	10,	86,	0,	0,	0,	0,	0,	0,	0,	0),
(53,	'mashinka-hot-wheels-izmeni-tsvet-v-assort',	0,	'Машинка Hot Wheels \"Измени цвет\"',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	53,	'Машинка Hot Wheels \"Измени цвет\"',	'Машинка Hot Wheels \"Измени цвет\"',	'Машинка Hot Wheels \"Измени цвет\"',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:01',	11,	95,	0,	0,	0,	0,	0,	0,	0,	0),
(54,	'hot-wheels-nabor-prepyatstviya-v-puti',	0,	'Hot Wheels Набор Препятствия в пути (2 вида)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	54,	'Hot Wheels Набор Препятствия в пути (2 вида)',	'Hot Wheels Набор Препятствия в пути (2 вида)',	'Hot Wheels Набор Препятствия в пути (2 вида)',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:01',	11,	104,	0,	0,	0,	0,	0,	0,	0,	0),
(55,	'hot-wheels-nabor-superskorost',	0,	'Hot Wheels Набор Суперскорость',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	55,	'Hot Wheels Набор Суперскорость',	'Hot Wheels Набор Суперскорость',	'Hot Wheels Набор Суперскорость',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:01',	11,	110,	0,	0,	0,	0,	0,	0,	0,	0),
(56,	'hot-wheels-igrovoj-nabor-vzryv-tsvetov-v-assort',	0,	'Hot Wheels Игровой набор \"Взрыв цветов\" (2 вида)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	56,	'Hot Wheels Игровой набор \"Взрыв цветов\" (2 вида)',	'Hot Wheels Игровой набор \"Взрыв цветов\" (2 вида)',	'Hot Wheels Игровой набор \"Взрыв цветов\" (2 вида)',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:01',	11,	116,	0,	0,	0,	0,	0,	0,	0,	0),
(57,	'hot-wheels-igrovoj-nabor-priklyucheniya-v-bolshom-gorode-v-assort',	0,	'Hot Wheels Игровой набор \"Приключения в большом городе\" (2 вида)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	57,	'Hot Wheels Игровой набор \"Приключения в большом городе\" (2 вида)',	'Hot Wheels Игровой набор \"Приключения в большом городе\" (2 вида)',	'Hot Wheels Игровой набор \"Приключения в большом городе\" (2 вида)',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:01',	11,	120,	0,	0,	0,	0,	0,	0,	0,	0),
(58,	'hot-wheels-trek-ohota-na-akulu-serii-izmeni-tsvet',	0,	'Hot Wheels Трек \"Охота на акулу\" серии \"Измени цвет\"',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	58,	'Hot Wheels Трек \"Охота на акулу\" серии \"Измени цвет\"',	'Hot Wheels Трек \"Охота на акулу\" серии \"Измени цвет\"',	'Hot Wheels Трек \"Охота на акулу\" серии \"Измени цвет\"',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:01',	11,	125,	0,	0,	0,	0,	0,	0,	0,	0),
(59,	'hot-wheels-trek-mega-pryzhok-neskolko-vidov',	0,	'Hot Wheels Трек \"Мега Прыжок\" (несколько видов)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	59,	'Hot Wheels Трек \"Мега Прыжок\" (несколько видов)',	'Hot Wheels Трек \"Мега Прыжок\" (несколько видов)',	'Hot Wheels Трек \"Мега Прыжок\" (несколько видов)',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:01',	11,	128,	0,	0,	0,	0,	0,	0,	0,	0),
(60,	'hot-wheels-gruzovik-transporter',	0,	'Hot Wheels Грузовик-транспортёр',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	60,	'Hot Wheels Грузовик-транспортёр',	'Hot Wheels Грузовик-транспортёр',	'Hot Wheels Грузовик-транспортёр',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:01',	11,	131,	0,	0,	0,	0,	0,	0,	0,	0),
(61,	'hot-wheels-legendarnyj-garazh',	0,	'Hot Wheels Легендарный гараж',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	61,	'Hot Wheels Легендарный гараж',	'Hot Wheels Легендарный гараж',	'Hot Wheels Легендарный гараж',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:01',	11,	135,	0,	0,	0,	0,	0,	0,	0,	0),
(62,	'hot-wheels-karmannyj-trek-gonki-neskolko-vidov',	0,	'Hot Wheels Карманный трек \"Гонки\" (несколько видов)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	62,	'Hot Wheels Карманный трек \"Гонки\" (несколько видов)',	'Hot Wheels Карманный трек \"Гонки\" (несколько видов)',	'Hot Wheels Карманный трек \"Гонки\" (несколько видов)',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:01',	11,	143,	0,	0,	0,	0,	0,	0,	0,	0),
(63,	'hot-wheels-igrovoj-nabor-gorod-chudovisch-3-vida',	0,	'Hot Wheels Игровой набор \"Город чудовищ\" (3 вида)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	63,	'Hot Wheels Игровой набор \"Город чудовищ\" (3 вида)',	'Hot Wheels Игровой набор \"Город чудовищ\" (3 вида)',	'Hot Wheels Игровой набор \"Город чудовищ\" (3 вида)',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:01',	11,	152,	0,	0,	0,	0,	0,	0,	0,	0),
(64,	'hot-wheels-igrovoj-nabor-avtoservis-4-vida',	0,	'Hot Wheels Игровой набор \"Автосервис\" (4 вида)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	64,	'Hot Wheels Игровой набор \"Автосервис\" (4 вида)',	'Hot Wheels Игровой набор \"Автосервис\" (4 вида)',	'Hot Wheels Игровой набор \"Автосервис\" (4 вида)',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:01',	11,	161,	0,	0,	0,	0,	0,	0,	0,	0),
(65,	'hot-wheels-bazovyj-trek-3-vida',	0,	'Hot Wheels Базовый трек (3 вида)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	65,	'Hot Wheels Базовый трек (3 вида)',	'Hot Wheels Базовый трек (3 вида)',	'Hot Wheels Базовый трек (3 вида)',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:01',	11,	170,	0,	0,	0,	0,	0,	0,	0,	0),
(66,	'hot-wheels-nabor-gotov-k-igre-neskolko-vidov',	0,	'Hot Wheels Набор \"Готов к игре!\" (несколько видов)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	66,	'Hot Wheels Набор \"Готов к игре!\" (несколько видов)',	'Hot Wheels Набор \"Готов к игре!\" (несколько видов)',	'Hot Wheels Набор \"Готов к игре!\" (несколько видов)',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:01',	11,	179,	0,	0,	0,	0,	0,	0,	0,	0),
(67,	'hot-wheels-igrovoj-nabor-ataka-drakona',	0,	'Hot Wheels Игровой набор \"Атака дракона\"',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	67,	'Hot Wheels Игровой набор \"Атака дракона\"',	'Hot Wheels Игровой набор \"Атака дракона\"',	'Hot Wheels Игровой набор \"Атака дракона\"',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:01',	11,	182,	0,	0,	0,	0,	0,	0,	0,	0),
(68,	'hot-wheels-trek-rekordnyj-pryzhok',	0,	'Hot Wheels Трек \"Рекордный прыжок\"',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	68,	'Hot Wheels Трек \"Рекордный прыжок\"',	'Hot Wheels Трек \"Рекордный прыжок\"',	'Hot Wheels Трек \"Рекордный прыжок\"',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:01',	11,	189,	0,	0,	0,	0,	0,	0,	0,	0),
(69,	'hot-wheels-trek-protivostoyanie',	0,	'Hot Wheels Трек \"Противостояние\"',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	69,	'Hot Wheels Трек \"Противостояние\"',	'Hot Wheels Трек \"Противостояние\"',	'Hot Wheels Трек \"Противостояние\"',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:01',	11,	193,	0,	0,	0,	0,	0,	0,	0,	0),
(70,	'hot-wheels-igrovoj-trek-perekrestnoe-stolknovenie',	0,	'Hot Wheels Игровой трек \"Перекрестное столкновение\"',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	70,	'Hot Wheels Игровой трек \"Перекрестное столкновение\"',	'Hot Wheels Игровой трек \"Перекрестное столкновение\"',	'Hot Wheels Игровой трек \"Перекрестное столкновение\"',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:01',	11,	200,	0,	0,	0,	0,	0,	0,	0,	0),
(71,	'hot-wheels-nabor-dopolnitelnyh-dorozhek-treka',	0,	'Hot Wheels Набор дополнительных дорожек трека',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	71,	'Hot Wheels Набор дополнительных дорожек трека',	'Hot Wheels Набор дополнительных дорожек трека',	'Hot Wheels Набор дополнительных дорожек трека',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:01',	11,	209,	0,	0,	0,	0,	0,	0,	0,	0),
(72,	'hot-wheels-aksessuar-prepyatstvie-dlya-treka-4-vida',	0,	'Hot Wheels Аксессуар-препятствие для трека (4 вида)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	72,	'Hot Wheels Аксессуар-препятствие для трека (4 вида)',	'Hot Wheels Аксессуар-препятствие для трека (4 вида)',	'Hot Wheels Аксессуар-препятствие для трека (4 вида)',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:01',	11,	212,	0,	0,	0,	0,	0,	0,	0,	0),
(73,	'bimetallicheskie-radiator-altermo-rio',	2,	'Биметаллический радиатор АЛТЕРМО РИО 500',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	73,	'Биметаллический радиатор АЛТЕРМО РИО 500',	'Биметаллический радиатор АЛТЕРМО РИО 500',	'Биметаллический радиатор АЛТЕРМО РИО 500',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:01',	NULL,	219,	0,	0,	0,	0,	0,	0,	0,	0),
(74,	'bimetallicheskie-radiator-altermo-lrb',	2,	'Биметаллический радиатор АЛТЕРМО ЛРБ 500',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	74,	'Биметаллический радиатор АЛТЕРМО ЛРБ 500',	'Биметаллический радиатор АЛТЕРМО ЛРБ 500',	'Биметаллический радиатор АЛТЕРМО ЛРБ 500',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:01',	NULL,	220,	0,	0,	0,	0,	0,	0,	0,	0),
(75,	'radiatory-alyuminievye-ferroli-infiniti-50010',	3,	'Радиаторы алюминиевые Ferroli Infiniti 500/10',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	75,	'Радиаторы алюминиевые Ferroli Infiniti 500/10',	'Радиаторы алюминиевые Ferroli Infiniti 500/10',	'Радиаторы алюминиевые Ferroli Infiniti 500/10',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:01',	NULL,	221,	0,	0,	0,	0,	0,	0,	0,	0),
(76,	'alyuminievyj-radiator-global-iseo-50080',	4,	'Алюминиевый радиатор Global ISEO 500/80',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	76,	'Алюминиевый радиатор Global ISEO 500/80',	'Алюминиевый радиатор Global ISEO 500/80',	'Алюминиевый радиатор Global ISEO 500/80',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:01',	NULL,	222,	0,	0,	0,	0,	0,	0,	0,	0),
(77,	'alyuminievyj-radiator-global-vox-350100',	4,	'Алюминиевый радиатор Global VOX 350/100',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	77,	'Алюминиевый радиатор Global VOX 350/100',	'Алюминиевый радиатор Global VOX 350/100',	'Алюминиевый радиатор Global VOX 350/100',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:01',	NULL,	223,	0,	0,	0,	0,	0,	0,	0,	0),
(78,	'alyuminievyj-radiator-global-vox-500100',	4,	'Алюминиевый радиатор Global VOX 500/100',	'<div>Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.</div>',	'<p>Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.</p>',	1,	78,	'Алюминиевый радиатор Global VOX 500/100',	'Алюминиевый радиатор Global VOX 500/100',	'Алюминиевый радиатор Global VOX 500/100',	'2017-05-11 09:12:59',	1,	'',	0.0,	0,	'',	'2019-06-10 10:58:15',	54,	224,	0,	0,	0,	0,	0,	0,	0,	0),
(79,	'vodonagrevatel-atlantic-vm-100-d400-2-b-opro-turbo',	5,	'Бойлер Atlantic VM 100 D400-2-B O\'Pro Turbo',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	79,	'Бойлер Atlantic VM 100 D400-2-B O\'Pro Turbo',	'Бойлер Atlantic VM 100 D400-2-B O\'Pro Turbo',	'Бойлер Atlantic VM 100 D400-2-B O\'Pro Turbo',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:51',	NULL,	225,	0,	0,	0,	0,	0,	0,	0,	0),
(80,	'vodonagrevatel-atlantic-vm-050-d400-2-b-opro-turbo',	5,	'Бойлер Atlantic VM 050 D400-2-B O\'Pro Turbo',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	80,	'Бойлер Atlantic VM 050 D400-2-B O\'Pro Turbo',	'Бойлер Atlantic VM 050 D400-2-B O\'Pro Turbo',	'Бойлер Atlantic VM 050 D400-2-B O\'Pro Turbo',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:51',	NULL,	228,	0,	0,	0,	0,	0,	0,	0,	0),
(81,	'vodonagrevatel-atlantic-vm-100-d400-1-m-opro-profi',	5,	'Бойлер Atlantic VM 100 D400-1-M O\'Pro Profi',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	81,	'Бойлер Atlantic VM 100 D400-1-M O\'Pro Profi',	'Бойлер Atlantic VM 100 D400-1-M O\'Pro Profi',	'Бойлер Atlantic VM 100 D400-1-M O\'Pro Profi',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:51',	NULL,	230,	0,	0,	0,	0,	0,	0,	0,	0),
(82,	'vodonagrevatel-atlantic-vm-050-d400-1-m-opro-profi',	5,	'Бойлер Atlantic VM 050 D400-1-M O\'Pro Profi',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	82,	'Бойлер Atlantic VM 050 D400-1-M O\'Pro Profi',	'Бойлер Atlantic VM 050 D400-1-M O\'Pro Profi',	'Бойлер Atlantic VM 050 D400-1-M O\'Pro Profi',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:51',	NULL,	231,	0,	0,	0,	0,	0,	0,	0,	0),
(83,	'vodonagrevatel-atlantic-pc-30-opro-slim',	5,	'Бойлер Atlantic PC 30 O\'Pro Slim',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	83,	'Бойлер Atlantic PC 30 O\'Pro Slim',	'Бойлер Atlantic PC 30 O\'Pro Slim',	'Бойлер Atlantic PC 30 O\'Pro Slim',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:51',	NULL,	232,	0,	0,	0,	0,	0,	0,	0,	0),
(84,	'vodonagrevatel-atlantic-vm-050-d400-2-bc-steatite-pro',	5,	'Бойлер Atlantic Steatite PRO VM 050 D400-2-BC',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	84,	'Бойлер Atlantic Steatite PRO VM 050 D400-2-BC',	'Бойлер Atlantic Steatite PRO VM 050 D400-2-BC',	'Бойлер Atlantic Steatite PRO VM 050 D400-2-BC',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:51',	NULL,	234,	0,	0,	0,	0,	0,	0,	0,	0),
(85,	'bojler-atlantic-steatite-slim-vm-080-d325-2-bc',	5,	'Бойлер ATLANTIC STEATITE SLIM VM 080 D325-2-BC',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	85,	'Бойлер ATLANTIC STEATITE SLIM VM 080 D325-2-BC',	'Бойлер ATLANTIC STEATITE SLIM VM 080 D325-2-BC',	'Бойлер ATLANTIC STEATITE SLIM VM 080 D325-2-BC',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:51',	NULL,	237,	0,	0,	0,	0,	0,	0,	0,	0),
(86,	'vodonagrevatel-atlantic-vm-100-s4-sm-cube-steatite',	5,	'Бойлер Atlantic VM 100 S4 СМ CUBE STEATITE',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	86,	'Бойлер Atlantic VM 100 S4 СМ CUBE STEATITE',	'Бойлер Atlantic VM 100 S4 СМ CUBE STEATITE',	'Бойлер Atlantic VM 100 S4 СМ CUBE STEATITE',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:51',	NULL,	239,	0,	0,	0,	0,	0,	0,	0,	0),
(87,	'vodonagrevatel-atlantic-vm-75-s4-sm-cube-steatite',	5,	'Бойлер Atlantic VM 75 S4 СМ CUBE STEATITE',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	87,	'Бойлер Atlantic VM 75 S4 СМ CUBE STEATITE',	'Бойлер Atlantic VM 75 S4 СМ CUBE STEATITE',	'Бойлер Atlantic VM 75 S4 СМ CUBE STEATITE',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:51',	NULL,	241,	0,	0,	0,	0,	0,	0,	0,	0),
(88,	'vodonagrevatel-atlantic-vm-30-s3s-cube-steatite',	5,	'Бойлер Atlantic VM 30 S3С CUBE STEATITE',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	88,	'Бойлер Atlantic VM 30 S3С CUBE STEATITE',	'Бойлер Atlantic VM 30 S3С CUBE STEATITE',	'Бойлер Atlantic VM 30 S3С CUBE STEATITE',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:51',	NULL,	243,	0,	0,	0,	0,	0,	0,	0,	0),
(89,	'vodonagrevatel-atlantic-vm-080-d400-2-b-opro-turbo',	5,	'Бойлер Atlantic VM 080 D400-2-B O\'Pro Turbo',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	89,	'Бойлер Atlantic VM 080 D400-2-B O\'Pro Turbo',	'Бойлер Atlantic VM 080 D400-2-B O\'Pro Turbo',	'Бойлер Atlantic VM 080 D400-2-B O\'Pro Turbo',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:51',	NULL,	245,	0,	0,	0,	0,	0,	0,	0,	0),
(90,	'vodonagrevatel-atlantic-vm-080-d400-1-m-opro-profi',	5,	'Бойлер Atlantic VM 080 D400-1-M O\'Pro Profi',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	90,	'Бойлер Atlantic VM 080 D400-1-M O\'Pro Profi',	'Бойлер Atlantic VM 080 D400-1-M O\'Pro Profi',	'Бойлер Atlantic VM 080 D400-1-M O\'Pro Profi',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:51',	NULL,	248,	0,	0,	0,	0,	0,	0,	0,	0),
(91,	'gazovaya-kolonka-beretta-aqua-idrabagno-14i',	6,	'Газовая колонка Beretta Aqua Idrabagno 14i',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	91,	'Газовая колонка Beretta Aqua Idrabagno 14i',	'Газовая колонка Beretta Aqua Idrabagno 14i',	'Газовая колонка Beretta Aqua Idrabagno 14i',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:51',	NULL,	249,	0,	0,	0,	0,	0,	0,	0,	0),
(92,	'gazovaya-kolonka-beretta-aqua-idrabagno-14',	6,	'Газовая колонка Beretta Aqua Idrabagno 14',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	92,	'Газовая колонка Beretta Aqua Idrabagno 14',	'Газовая колонка Beretta Aqua Idrabagno 14',	'Газовая колонка Beretta Aqua Idrabagno 14',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:51',	NULL,	250,	0,	0,	0,	0,	0,	0,	0,	0),
(93,	'gazovaya-kolonka-beretta-aqua-idrabagno-11i',	6,	'Газовая колонка Beretta Aqua Idrabagno 11i',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	93,	'Газовая колонка Beretta Aqua Idrabagno 11i',	'Газовая колонка Beretta Aqua Idrabagno 11i',	'Газовая колонка Beretta Aqua Idrabagno 11i',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:51',	NULL,	251,	0,	0,	0,	0,	0,	0,	0,	0),
(94,	'gazovaya-kolonka-beretta-aqua-idrabagno-11',	6,	'Газовая колонка Beretta Aqua Idrabagno 11',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	94,	'Газовая колонка Beretta Aqua Idrabagno 11',	'Газовая колонка Beretta Aqua Idrabagno 11',	'Газовая колонка Beretta Aqua Idrabagno 11',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:51',	NULL,	252,	0,	0,	0,	0,	0,	0,	0,	0),
(95,	'gazovaya-kolonka-bosch-therm-6000-o-wr-15-2-g',	7,	'Газовая колонка Bosch Therm 6000 O WR 15-2 G',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	95,	'Газовая колонка Bosch Therm 6000 O WR 15-2 G',	'Газовая колонка Bosch Therm 6000 O WR 15-2 G',	'Газовая колонка Bosch Therm 6000 O WR 15-2 G',	'2017-05-11 09:12:59',	1,	'',	0.0,	0,	'',	'2019-06-10 10:57:51',	NULL,	253,	0,	0,	0,	0,	0,	0,	0,	0),
(96,	'gazovaya-kolonka-bosch-therm-4000-o-wr-15-2-b',	7,	'Газовая колонка Bosch Therm 4000 O WR 15-2 B',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	96,	'Газовая колонка Bosch Therm 4000 O WR 15-2 B',	'Газовая колонка Bosch Therm 4000 O WR 15-2 B',	'Газовая колонка Bosch Therm 4000 O WR 15-2 B',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:51',	NULL,	254,	0,	0,	0,	0,	0,	0,	0,	0),
(97,	'gazovaya-kolonka-bosch-therm-4000-o-wr-15-2-p',	7,	'Газовая колонка Bosch Therm 4000 O WR 15-2 P',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	97,	'Газовая колонка Bosch Therm 4000 O WR 15-2 P',	'Газовая колонка Bosch Therm 4000 O WR 15-2 P',	'Газовая колонка Bosch Therm 4000 O WR 15-2 P',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:51',	NULL,	255,	0,	0,	0,	0,	0,	0,	0,	0),
(98,	'gazovaya-kolonka-bosch-therm-6000-o-wr-13-2-g',	7,	'Газовая колонка Bosch Therm 6000 O WR 13-2 G',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	98,	'Газовая колонка Bosch Therm 6000 O WR 13-2 G',	'Газовая колонка Bosch Therm 6000 O WR 13-2 G',	'Газовая колонка Bosch Therm 6000 O WR 13-2 G',	'2017-05-11 09:12:59',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:51',	NULL,	256,	0,	0,	0,	0,	0,	0,	0,	0),
(99,	'gazovaya-kolonka-bosch-therm-4000-o-wr-13-2-b',	7,	'Газовая колонка Bosch Therm 4000 O WR 13-2 B',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	99,	'Газовая колонка Bosch Therm 4000 O WR 13-2 B',	'Газовая колонка Bosch Therm 4000 O WR 13-2 B',	'Газовая колонка Bosch Therm 4000 O WR 13-2 B',	'2017-05-11 09:13:00',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:51',	NULL,	257,	0,	0,	0,	0,	0,	0,	0,	0),
(100,	'gazovaya-kolonka-bosch-therm-4000-o-wr-13-2-p',	7,	'Газовая колонка Bosch Therm 4000 O WR 13-2 P',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	100,	'Газовая колонка Bosch Therm 4000 O WR 13-2 P',	'Газовая колонка Bosch Therm 4000 O WR 13-2 P',	'Газовая колонка Bosch Therm 4000 O WR 13-2 P',	'2017-05-11 09:13:00',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:51',	NULL,	258,	0,	0,	0,	0,	0,	0,	0,	0),
(101,	'gazovaya-kolonka-bosch-therm-6000-o-wr-10-2-g',	7,	'Газовая колонка Bosch Therm 6000 O WR 10-2 G',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	101,	'Газовая колонка Bosch Therm 6000 O WR 10-2 G',	'Газовая колонка Bosch Therm 6000 O WR 10-2 G',	'Газовая колонка Bosch Therm 6000 O WR 10-2 G',	'2017-05-11 09:13:00',	1,	'',	0.0,	0,	'',	'2019-06-10 10:57:51',	NULL,	259,	0,	0,	0,	0,	0,	0,	0,	0),
(102,	'gazovaya-kolonka-bosch-therm-4000-o-wr-10-2-b',	7,	'Газовая колонка Bosch Therm 4000 O WR 10-2 B',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	102,	'Газовая колонка Bosch Therm 4000 O WR 10-2 B',	'Газовая колонка Bosch Therm 4000 O WR 10-2 B',	'Газовая колонка Bosch Therm 4000 O WR 10-2 B',	'2017-05-11 09:13:00',	0,	'',	0.0,	0,	'',	'2019-06-10 10:57:51',	NULL,	260,	0,	0,	0,	0,	0,	0,	0,	0),
(103,	'gazovaya-kolonka-bosch-therm-4000-o-wr-10-2-p',	7,	'Газовая колонка Bosch Therm 4000 O WR 10-2 P',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	103,	'Газовая колонка Bosch Therm 4000 O WR 10-2 P',	'Газовая колонка Bosch Therm 4000 O WR 10-2 P',	'Газовая колонка Bosch Therm 4000 O WR 10-2 P',	'2017-05-11 09:13:00',	0,	'',	0.0,	0,	'',	'2019-06-14 13:43:31',	NULL,	261,	0,	0,	0,	0,	0,	0,	0,	0),
(104,	'gazovaya-kolonka-bosch-therm-4000-o-w-10-2-p',	7,	'Газовая колонка Bosch Therm 4000 O W 10-2 P',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	104,	'Газовая колонка Bosch Therm 4000 O W 10-2 P',	'Газовая колонка Bosch Therm 4000 O W 10-2 P',	'Газовая колонка Bosch Therm 4000 O W 10-2 P',	'2017-05-11 09:13:00',	0,	'',	0.0,	0,	'',	'2019-06-14 13:43:31',	NULL,	262,	0,	0,	0,	0,	0,	0,	0,	0),
(105,	'gazovaya-kolonka-bosch-therm-2000-o-w-10-kb',	7,	'Газовая колонка Bosch Therm 2000 O W 10 KB',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	105,	'Газовая колонка Bosch Therm 2000 O W 10 KB',	'Газовая колонка Bosch Therm 2000 O W 10 KB',	'Газовая колонка Bosch Therm 2000 O W 10 KB',	'2017-05-11 09:13:00',	0,	'',	0.0,	0,	'',	'2019-06-14 13:43:31',	NULL,	263,	0,	0,	0,	0,	0,	0,	0,	0),
(106,	'gazovaya-kolonka-vaillant-mag-oe-14-00-rxi-h-elektro-rozzhig',	8,	'Газовая колонка Vaillant MAG OE 14-0/0 RXI H (электро розжиг)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	106,	'Газовая колонка Vaillant MAG OE 14-0/0 RXI H (электро розжиг)',	'Газовая колонка Vaillant MAG OE 14-0/0 RXI H (электро розжиг)',	'Газовая колонка Vaillant MAG OE 14-0/0 RXI H (электро розжиг)',	'2017-05-11 09:13:00',	1,	'',	0.0,	0,	'',	'2019-06-14 13:43:31',	NULL,	265,	0,	0,	0,	0,	0,	0,	0,	0),
(107,	'gazovaya-kolonka-vaillant-mag-oe-14-00-rxz-h-pezorozzhig',	8,	'Газовая колонка Vaillant MAG OE 14-0/0 RXZ H (пьезорозжиг)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	107,	'Газовая колонка Vaillant MAG OE 14-0/0 RXZ H (пьезорозжиг)',	'Газовая колонка Vaillant MAG OE 14-0/0 RXZ H (пьезорозжиг)',	'Газовая колонка Vaillant MAG OE 14-0/0 RXZ H (пьезорозжиг)',	'2017-05-11 09:13:00',	0,	'',	0.0,	0,	'',	'2019-06-14 13:43:31',	NULL,	267,	0,	0,	0,	0,	0,	0,	0,	0),
(108,	'gazovaya-kolonka-vaillant-mag-mini-oe-11-00-rxi-h-elektro-rozzhig-',	8,	'Газовая колонка Vaillant MAG mini OE 11-0/0 RXI H (электро розжиг)',	'<div>\nLorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.\n</div>',	'Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.',	1,	108,	'Газовая колонка Vaillant MAG mini OE 11-0/0 RXI H (электро розжиг)',	'Газовая колонка Vaillant MAG mini OE 11-0/0 RXI H (электро розжиг)',	'Газовая колонка Vaillant MAG mini OE 11-0/0 RXI H (электро розжиг)',	'2017-05-11 09:13:00',	0,	'',	0.0,	0,	'',	'2019-06-14 13:43:31',	NULL,	269,	0,	0,	0,	0,	0,	0,	0,	0),
(109,	'gazovaya-kolonka-vaillant-mag-mini-oe-11-00-rxz-h-pezorozzhig',	8,	'Газовая колонка Vaillant MAG mini OE 11-0/0 RXZ H (пьезорозжиг)',	'<div>Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.</div>',	'<p>Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.</p>',	1,	109,	'Газовая колонка Vaillant MAG mini OE 11-0/0 RXZ H (пьезорозжиг)',	'Газовая колонка Vaillant MAG mini OE 11-0/0 RXZ H (пьезорозжиг)',	'Газовая колонка Vaillant MAG mini OE 11-0/0 RXZ H (пьезорозжиг)',	'2017-05-11 09:13:00',	NULL,	'',	0.0,	0,	'akciya.png',	'2019-06-14 13:43:31',	NULL,	271,	0,	0,	0,	0,	0,	0,	0,	0),
(110,	'gazovaya-kolonka-vaillant-mag-oe-11-00-xz-c-h-pezorozzhig',	8,	'Газовая колонка Vaillant MAG OE 11-0/0 XZ C+ H (пьезорозжиг)',	'<div>Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.</div>',	'<p>Lorem Ipsum - это текст-\"рыба\", часто используемый в печати и вэб-дизайне. Lorem Ipsum является стандартной \"рыбой\" для текстов на латинице с начала XVI века. В то время некий безымянный печатник создал большую коллекцию размеров и форм шрифтов, используя Lorem Ipsum для распечатки образцов. Lorem Ipsum не только успешно пережил без заметных изменений пять веков, но и перешагнул в электронный дизайн. Его популяризации в новое время послужили публикация листов Letraset с образцами Lorem Ipsum в 60-х годах и, в более недавнее время, программы электронной вёрстки типа Aldus PageMaker, в шаблонах которых используется Lorem Ipsum.</p>',	1,	110,	'Газовая колонка Vaillant MAG OE 11-0/0 XZ C+ H (пьезорозжиг)',	'Газовая колонка Vaillant MAG OE 11-0/0 XZ C+ H (пьезорозжиг)',	'Газовая колонка Vaillant MAG OE 11-0/0 XZ C+ H (пьезорозжиг)',	'2017-05-11 09:13:00',	1,	'',	0.0,	0,	'hit.png',	'2019-06-14 13:43:31',	NULL,	273,	0,	0,	0,	0,	0,	0,	0,	0),
(111,	'apelsinovyj-sok',	11,	'Апельсиновый сок',	'',	'',	1,	111,	'Апельсиновый сок',	'Апельсиновый сок, Nature product, Соки',	'',	'2019-05-28 08:02:45',	1,	'',	0.0,	0,	'',	'2019-06-14 13:43:31',	29,	274,	0,	0,	0,	0,	0,	0,	0,	0),
(112,	'savojskaya-kapusta',	10,	'Савойская капуста',	'',	'',	1,	112,	'Савойская капуста',	'Савойская капуста, Organik food, Напитки и продукты',	'',	'2019-05-28 08:40:10',	NULL,	'',	0.0,	0,	'',	'2019-06-14 13:43:31',	23,	275,	0,	0,	0,	0,	0,	0,	0,	0),
(113,	'kitajskaya-petrushka-koriandr',	10,	'Китайская петрушка Кориандр',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь.</p>',	'',	1,	113,	'Китайская петрушка Кориандр',	'Китайская петрушка Кориандр, Organik food, Фрукты и овощи',	'',	'2019-05-28 08:48:52',	NULL,	'',	0.0,	0,	'new.png',	'2019-06-14 13:43:31',	26,	279,	0,	0,	0,	0,	0,	0,	0,	0),
(114,	'zheltyj-struchkovyj-perets',	11,	'Желтый стручковый перец',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца.</p>',	'<p>Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу показывает, как много веб-страниц всё ещё дожидаются своего настоящего рождения. За прошедшие годы текст Lorem Ipsum получил много версий. Некоторые версии появились по ошибке, некоторые - намеренно (например, юмористические варианты).</p>',	1,	114,	'Желтый стручковый перец',	'Желтый стручковый перец, Nature product, Фрукты и овощи',	'Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу ',	'2019-05-28 09:07:42',	NULL,	'',	4.7,	56,	'',	'2019-06-14 13:43:31',	26,	288,	0,	0,	0,	0,	0,	0,	0,	0),
(115,	'vegetarianskij-raduzhnyj-shpinat',	11,	'Вегетарианский радужный шпинат',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь.</p>',	'<p>Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу показывает, как много веб-страниц всё ещё дожидаются своего настоящего рождения. За прошедшие годы текст Lorem Ipsum получил много версий. Некоторые версии появились по ошибке, некоторые - намеренно (например, юмористические варианты).</p>',	1,	115,	'Вегетарианский радужный шпинат',	'Вегетарианский радужный шпинат, Nature product, Фрукты и овощи',	'Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу ',	'2019-05-28 09:37:56',	NULL,	'',	0.0,	0,	'hit.png',	'2019-06-14 13:43:31',	26,	293,	0,	0,	0,	0,	0,	0,	0,	0),
(116,	'sladkaya-kukuruza',	10,	'Сладкая кукуруза',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации</p>',	'<p>Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу показывает, как много веб-страниц всё ещё дожидаются своего настоящего рождения. За прошедшие годы текст Lorem Ipsum получил много версий. Некоторые версии появились по ошибке, некоторые - намеренно (например, юмористические варианты).</p>',	1,	116,	'Сладкая кукуруза',	'Сладкая кукуруза, Organik food, Фрукты и овощи',	'Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу ',	'2019-05-28 09:42:09',	1,	'',	0.0,	0,	'hit.png',	'2019-06-14 13:43:31',	26,	299,	0,	0,	0,	0,	0,	0,	0,	0),
(117,	'goroh',	10,	'Горох',	'',	'<p>Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу показывает, как много веб-страниц всё ещё дожидаются своего настоящего рождения. За прошедшие годы текст Lorem Ipsum получил много версий. Некоторые версии появились по ошибке, некоторые - намеренно (например, юмористические варианты).</p>',	1,	117,	'Горох',	'Горох, Organik food, Фрукты и овощи',	'Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу ',	'2019-05-28 09:44:19',	NULL,	'',	3.5,	0,	'hit.png',	'2019-06-14 13:43:31',	26,	301,	0,	0,	0,	0,	0,	0,	0,	0),
(118,	'krasnaya-kapusta',	11,	'Красная капуста',	'',	'<p>Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу показывает, как много веб-страниц всё ещё дожидаются своего настоящего рождения. За прошедшие годы текст Lorem Ipsum получил много версий. Некоторые версии появились по ошибке, некоторые - намеренно (например, юмористические варианты).</p>',	1,	118,	'Красная капуста',	'Красная капуста, Nature product, Фрукты и овощи',	'Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу ',	'2019-05-28 09:46:16',	NULL,	'',	0.0,	0,	'',	'2019-06-14 13:43:31',	26,	304,	0,	0,	0,	0,	0,	0,	0,	0),
(119,	'organicheskij-svezhij-avstralijskij-kabachok-tsukkini',	10,	'Органический свежий австралийский кабачок цуккини',	'',	'<p>Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу показывает, как много веб-страниц всё ещё дожидаются своего настоящего рождения. За прошедшие годы текст Lorem Ipsum получил много версий. Некоторые версии появились по ошибке, некоторые - намеренно (например, юмористические варианты).</p>',	1,	119,	'Органический свежий австралийский кабачок цуккини',	'Органический свежий австралийский кабачок цуккини, Organik food, Фрукты и овощи',	'Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу ',	'2019-05-28 09:51:00',	NULL,	'',	4.0,	1,	'',	'2019-06-14 13:43:31',	26,	309,	0,	0,	0,	0,	0,	0,	0,	0),
(120,	'svezhie-tselnye-kurinye-nozhki',	10,	'Свежие цельные куриные ножки',	'',	'<p>Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу показывает, как много веб-страниц всё ещё дожидаются своего настоящего рождения. За прошедшие годы текст Lorem Ipsum получил много версий. Некоторые версии появились по ошибке, некоторые - намеренно (например, юмористические варианты).</p>',	1,	120,	'Свежие цельные куриные ножки',	'Свежие цельные куриные ножки, Organik food, Мясо и рыба',	'Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу ',	'2019-05-28 11:46:35',	NULL,	'',	3.3,	0,	'',	'2019-06-14 13:43:31',	27,	315,	0,	0,	0,	0,	0,	0,	0,	0),
(121,	'kotlety-iz-baraniny-6-v-upakovke',	11,	'Котлеты из баранины 6 в упаковке',	'',	'<p>Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу показывает, как много веб-страниц всё ещё дожидаются своего настоящего рождения. За прошедшие годы текст Lorem Ipsum получил много версий. Некоторые версии появились по ошибке, некоторые - намеренно (например, юмористические варианты).</p>',	1,	121,	'Котлеты из баранины 6 в упаковке',	'Котлеты из баранины 6 в упаковке, Nature product, Мясо и рыба',	'Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу ',	'2019-05-28 11:52:05',	0,	'',	0.0,	0,	'',	'2019-06-14 13:43:31',	27,	318,	0,	0,	0,	0,	0,	0,	0,	0),
(122,	'myaso-so-svinym-tortsom---avstraliya',	10,	'Мясо со свиным торцом - Австралия',	'<p>Многие думают, что Lorem Ipsum - взятый с потолка псевдо-латинский набор слов, но это не совсем так.</p>',	'<p>Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу показывает, как много веб-страниц всё ещё дожидаются своего настоящего рождения. За прошедшие годы текст Lorem Ipsum получил много версий. Некоторые версии появились по ошибке, некоторые - намеренно (например, юмористические варианты).</p>',	1,	122,	'Мясо со свиным торцом - Австралия',	'Мясо со свиным торцом - Австралия, Organik food, Мясо и рыба',	'Давно выяснено, что при оценке дизайна и композиции читаемый текст мешает сосредоточиться. Lorem Ipsum используют потому, что тот обеспечивает более или менее стандартное заполнение шаблона, а также реальное распределение букв и пробелов в абзацах, которое не получается при простой дубликации \"Здесь ваш текст.. Здесь ваш текст.. Здесь ваш текст..\" Многие программы электронной вёрстки и редакторы HTML используют Lorem Ipsum в качестве текста по умолчанию, так что поиск по ключевым словам \"lorem ipsum\" сразу ',	'2019-05-28 11:54:52',	NULL,	'',	3.2,	2345,	'',	'2019-06-14 13:43:31',	27,	320,	0,	0,	0,	0,	0,	0,	0,	0),
(123,	'svezhie-kubiki-govyadiny',	10,	'Свежие кубики говядины',	'',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим Lorem Ipsum генератором. Он использует словарь из более чем 200 латинских слов, а также набор моделей предложений. В результате сгенерированный Lorem Ipsum выглядит правдоподобно, не имеет повторяющихся абзацей или \"невозможных\" слов.</p>',	1,	123,	'Свежие кубики говядины',	'Свежие кубики говядины, Organik food, Мясо и рыба',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим',	'2019-05-28 12:02:47',	NULL,	'',	0.0,	0,	'',	'2019-06-14 13:43:31',	27,	322,	0,	0,	0,	0,	0,	0,	0,	0),
(124,	'heinz-tomatnyj-ketchup',	11,	'Heinz Томатный кетчуп',	'',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим Lorem Ipsum генератором. Он использует словарь из более чем 200 латинских слов, а также набор моделей предложений. В результате сгенерированный Lorem Ipsum выглядит правдоподобно, не имеет повторяющихся абзацей или \"невозможных\" слов.</p>',	1,	124,	'Heinz Томатный кетчуп',	'Heinz Томатный кетчуп, Nature product, Бакалея',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим',	'2019-05-28 12:05:55',	0,	'',	5.0,	1,	'',	'2019-06-14 13:43:31',	28,	324,	0,	0,	0,	0,	0,	0,	0,	0),
(125,	'san-remo-penne-rigate--18',	11,	'San Remo Пенне Ригате № 18',	'',	'',	1,	125,	'San Remo Пенне Ригате № 18',	'San Remo Пенне Ригате № 18, Nature product, Бакалея',	'',	'2019-05-28 12:09:01',	0,	'',	0.0,	0,	'',	'2019-06-14 13:43:31',	28,	325,	0,	0,	0,	0,	0,	0,	0,	0),
(126,	'chobani-bananovyj-klenovyj-meshok-ovsa',	11,	'Chobani Банановый кленовый мешок овса',	'',	'',	1,	126,	'Chobani Банановый кленовый мешок овса',	'Chobani Банановый кленовый мешок овса, Nature product, Бакалея',	'',	'2019-05-28 12:11:29',	NULL,	'',	0.0,	0,	'',	'2019-06-14 13:43:31',	28,	327,	0,	0,	0,	0,	0,	0,	0,	0),
(127,	'spelyj-sok-mango',	10,	'Спелый сок манго',	'',	'',	1,	127,	'Спелый сок манго',	'Спелый сок манго, Organik food, Соки',	'',	'2019-05-28 12:15:13',	NULL,	'',	0.0,	0,	'',	'2019-06-14 13:43:31',	29,	329,	0,	0,	0,	0,	0,	0,	0,	0),
(128,	'pelyj-klyukvennyj-superfruktovyj-sok',	10,	'пелый клюквенный суперфруктовый сок',	'',	'',	1,	128,	'пелый клюквенный суперфруктовый сок',	'пелый клюквенный суперфруктовый сок, Organik food, Соки',	'',	'2019-05-28 12:18:49',	NULL,	'',	0.0,	0,	'',	'2019-06-10 09:12:09',	29,	331,	0,	0,	0,	0,	0,	0,	0,	0),
(129,	'bottega-mantsoni-pink-platt-moskato-rouz',	10,	'Боттега Манцони Пинк Платт Москато Роуз',	'',	'',	1,	129,	'Боттега Манцони Пинк Платт Москато Роуз',	'Боттега Манцони Пинк Платт Москато Роуз, Organik food, Алкогольные напитки',	'',	'2019-05-28 12:22:54',	NULL,	'',	3.0,	0,	'',	'2019-06-10 09:40:10',	30,	332,	0,	0,	0,	0,	0,	0,	0,	0),
(130,	'worlds-cellar-chateau-gillet-bordeaux-krasnoe-vino',	11,	'World\'s Cellar Chateau Gillet Bordeaux Красное вино',	'',	'',	1,	130,	'World\'s Cellar Chateau Gillet Bordeaux Красное вино',	'World\'s Cellar Chateau Gillet Bordeaux Красное вино, Nature product, Алкогольные напитки',	'',	'2019-05-28 12:24:33',	0,	'',	0.0,	0,	'',	'2019-06-14 13:44:18',	30,	334,	0,	0,	0,	0,	0,	0,	0,	0),
(131,	'moet--chandon-ice-imperial',	11,	'Moet & Chandon Ice Imperial',	'',	'',	1,	131,	'Moet & Chandon Ice Imperial',	'Moet & Chandon Ice Imperial, Nature product, Алкогольные напитки',	'',	'2019-05-28 12:26:00',	NULL,	'',	0.0,	0,	'',	'2019-06-10 09:42:22',	30,	335,	0,	0,	0,	0,	0,	0,	0,	0),
(132,	'bottega-millesimato-brut-prosecco',	11,	'Bottega Millesimato Brut Prosecco',	'',	'',	1,	132,	'Bottega Millesimato Brut Prosecco',	'Bottega Millesimato Brut Prosecco, Nature product, Алкогольные напитки',	'',	'2019-05-28 12:28:07',	NULL,	'',	0.0,	0,	'',	'2019-06-10 09:44:56',	30,	336,	0,	0,	0,	0,	0,	0,	0,	0),
(133,	'heineken-svetloe-pivo',	10,	'Heineken Светлое пиво',	'',	'',	1,	133,	'Heineken Светлое пиво',	'Heineken Светлое пиво, Organik food, Алкогольные напитки',	'',	'2019-05-28 12:30:05',	NULL,	'',	0.0,	0,	'',	'2019-06-10 09:54:45',	30,	337,	0,	0,	0,	0,	0,	0,	0,	0),
(134,	'bitburger',	0,	'Bitburger',	'',	'',	1,	134,	'Bitburger',	'Bitburger, Алкогольные напитки',	'',	'2019-05-28 12:31:58',	NULL,	'',	4.3,	0,	'',	'2019-06-10 09:57:34',	30,	339,	0,	0,	0,	0,	0,	0,	0,	0),
(135,	'jogurt-s-klubnikoj-i-chernikoj-v-grecheskom-stile',	11,	'Йогурт с клубникой и черникой в ​​греческом стиле',	'',	'',	1,	135,	'Йогурт с клубникой и черникой в ​​греческом стиле',	'Йогурт с клубникой и черникой в ​​греческом стиле, Nature product, Бакалея',	'',	'2019-05-28 12:35:49',	NULL,	'',	0.0,	0,	'',	'2019-06-10 09:58:37',	28,	341,	0,	0,	0,	0,	0,	0,	0,	0),
(136,	'molochnyj-chertopoloh',	13,	'Молочный чертополох',	'<ol>\r\n<li>Lorem ipsum dolor amet.</li>\r\n<li>Aliquam tincidunt.</li>\r\n<li>Vestibulum auctor dapibus.</li>\r\n</ol>',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим Lorem Ipsum генератором. Он использует словарь из более чем 200 латинских слов, а также набор моделей предложений. В результате сгенерированный Lorem Ipsum выглядит правдоподобно, не имеет повторяющихся абзацей или \"невозможных\" слов.</p>',	1,	136,	'Молочный чертополох',	'Молочный чертополох, Britax romer, Витамины',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим',	'2019-05-28 13:00:22',	0,	'',	0.0,	0,	'',	'2019-06-14 13:43:02',	31,	342,	0,	0,	0,	0,	0,	0,	0,	0),
(137,	'country-life-ekstrakt-rastoropshi',	13,	'Country Life Экстракт расторопши',	'<ol>\r\n<li>Lorem ipsum dolor amet.</li>\r\n<li>Aliquam tincidunt.</li>\r\n<li>Vestibulum auctor dapibus.</li>\r\n</ol>',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим Lorem Ipsum генератором. Он использует словарь из более чем 200 латинских слов, а также набор моделей предложений. В результате сгенерированный Lorem Ipsum выглядит правдоподобно, не имеет повторяющихся абзацей или \"невозможных\" слов.</p>',	1,	137,	'Country Life Экстракт расторопши',	'Country Life Экстракт расторопши, Britax romer, Витамины',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим',	'2019-05-28 13:00:50',	0,	'',	2.7,	0,	'garant.png',	'2019-06-14 13:43:01',	31,	347,	0,	0,	0,	0,	0,	0,	0,	0),
(138,	'klinicheskij-lobnyj-termometr-novyj-2017',	13,	'Клинический Лобный Термометр Новый 2017',	'<ol>\r\n<li>Lorem ipsum dolor amet.</li>\r\n<li>Aliquam tincidunt.</li>\r\n<li>Vestibulum auctor dapibus.</li>\r\n</ol>',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим Lorem Ipsum генератором. Он использует словарь из более чем 200 латинских слов, а также набор моделей предложений. В результате сгенерированный Lorem Ipsum выглядит правдоподобно, не имеет повторяющихся абзацей или \"невозможных\" слов.</p>',	1,	138,	'Клинический Лобный Термометр Новый 2017',	'Клинический Лобный Термометр Новый 2017, Britax romer, Витамины',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим',	'2019-05-28 13:03:00',	NULL,	'',	3.8,	0,	'akciya.png',	'2019-06-10 10:10:59',	31,	355,	0,	0,	0,	0,	0,	0,	0,	0),
(139,	'koromega-omega-3',	12,	'Коромега Омега 3',	'<ol>\r\n<li>Lorem ipsum dolor amet.</li>\r\n<li>Aliquam tincidunt.</li>\r\n<li>Vestibulum auctor dapibus.</li>\r\n</ol>',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим Lorem Ipsum генератором. Он использует словарь из более чем 200 латинских слов, а также набор моделей предложений. В результате сгенерированный Lorem Ipsum выглядит правдоподобно, не имеет повторяющихся абзацей или \"невозможных\" слов.</p>',	1,	139,	'Коромега Омега 3',	'Коромега Омега 3, Fitbit, Витамины',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим',	'2019-05-28 13:08:47',	NULL,	'',	3.1,	0,	'akciya.png',	'2019-06-10 10:11:38',	31,	361,	0,	0,	0,	0,	0,	0,	0,	0),
(140,	'muscletech-platinum',	12,	'MuscleTech Platinum',	'<ol>\r\n<li>Lorem ipsum dolor amet.</li>\r\n<li>Aliquam tincidunt.</li>\r\n<li>Vestibulum auctor dapibus.</li>\r\n</ol>',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим Lorem Ipsum генератором. Он использует словарь из более чем 200 латинских слов, а также набор моделей предложений. В результате сгенерированный Lorem Ipsum выглядит правдоподобно, не имеет повторяющихся абзацей или \"невозможных\" слов.</p>',	1,	140,	'MuscleTech Platinum',	'MuscleTech Platinum, Fitbit, Витамины',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим',	'2019-05-28 13:11:52',	NULL,	'',	4.0,	1,	'new.png',	'2019-06-20 14:36:27',	31,	367,	0,	0,	0,	0,	0,	0,	0,	0),
(141,	'premium-collagen-peptides',	13,	'Premium Collagen Peptides',	'<ol>\r\n<li>Lorem ipsum dolor amet.</li>\r\n<li>Aliquam tincidunt.</li>\r\n<li>Vestibulum auctor dapibus.</li>\r\n</ol>',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим Lorem Ipsum генератором. Он использует словарь из более чем 200 латинских слов, а также набор моделей предложений. В результате сгенерированный Lorem Ipsum выглядит правдоподобно, не имеет повторяющихся абзацей или \"невозможных\" слов.</p>',	1,	141,	'Premium Collagen Peptides',	'Premium Collagen Peptides, Britax romer, Витамины',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим',	'2019-05-28 13:16:22',	0,	'',	3.1,	0,	'new.png',	'2019-06-14 13:42:57',	31,	373,	0,	0,	0,	0,	0,	0,	0,	0),
(142,	'kurkuma-kurkumin-s-bioperinom-1500-mg',	13,	'Куркума Куркумин с биоперином 1500 мг',	'<ol>\r\n<li>Lorem ipsum dolor amet.</li>\r\n<li>Aliquam tincidunt.</li>\r\n<li>Vestibulum auctor dapibus.</li>\r\n</ol>',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим Lorem Ipsum генератором. Он использует словарь из более чем 200 латинских слов, а также набор моделей предложений. В результате сгенерированный Lorem Ipsum выглядит правдоподобно, не имеет повторяющихся абзацей или \"невозможных\" слов.</p>',	1,	142,	'Куркума Куркумин с биоперином 1500 мг',	'Куркума Куркумин с биоперином 1500 мг, Britax romer, Витамины',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим',	'2019-05-28 13:19:37',	1,	'',	4.6,	0,	'hit.png',	'2019-06-10 10:12:46',	31,	379,	0,	0,	0,	0,	0,	0,	0,	0),
(143,	'kurkuma-kurkumin-2250-mg',	13,	'Куркума Куркумин-2250 мг',	'<ol>\r\n<li>Lorem ipsum dolor amet.</li>\r\n<li>Aliquam tincidunt.</li>\r\n<li>Vestibulum auctor dapibus.</li>\r\n</ol>',	'<p>Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим Lorem Ipsum генератором. Он использует словарь из более чем 200 латинских слов, а также набор моделей предложений. В результате сгенерированный Lorem Ipsum выглядит правдоподобно, не имеет повторяющихся абзацей или \"невозможных\" слов.</p>',	1,	143,	'Куркума Куркумин-2250 мг',	'Куркума Куркумин-2250 мг, Britax romer, Витамины',	'Есть много вариантов Lorem Ipsum, но большинство из них имеет не всегда приемлемые модификации, например, юмористические вставки или слова, которые даже отдалённо не напоминают латынь. Если вам нужен Lorem Ipsum для серьёзного проекта, вы наверняка не хотите какой-нибудь шутки, скрытой в середине абзаца. Также все другие известные генераторы Lorem Ipsum используют один и тот же текст, который они просто повторяют, пока не достигнут нужный объём. Это делает предлагаемый здесь генератор единственным настоящим',	'2019-05-28 13:21:43',	NULL,	'',	4.0,	1,	'hit.png',	'2019-06-10 10:36:08',	31,	385,	0,	0,	0,	0,	0,	0,	0,	0),
(144,	'lexmod-twirl-outdoor-wicker',	1,	'LexMod Twirl Outdoor Wicker',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">(H)204.5, (W)133.0</span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>6</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.5м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Водонепронецаемый:<strong> да</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>120кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	1,	144,	'LexMod Twirl Outdoor Wicker',	'LexMod Twirl Outdoor Wicker, Puff, Диваны',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	'2019-06-10 08:46:33',	NULL,	'',	4.5,	55,	'',	'2019-06-10 10:36:28',	66,	388,	0,	0,	0,	0,	0,	0,	0,	0),
(145,	'lexmod-twirl-pro-outdoor-wicker',	1,	'LexMod Twirl pro Outdoor Wicker',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">(H)208.5, (W)136.0</span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>6</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.6м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Водонепронецаемый:<strong> нет</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>130кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	1,	146,	'LexMod Twirl pro Outdoor Wicker',	'LexMod Twirl pro Outdoor Wicker, Puff, Диваны',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	'2019-06-10 08:49:47',	NULL,	'',	4.1,	5,	'',	'2019-06-10 10:38:24',	66,	394,	0,	0,	0,	0,	0,	0,	0,	0),
(146,	'lexmod-twirl-lazy-outdoor-wicker',	1,	'LexMod Twirl Lazy Outdoor Wicker',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">(H)208.5, (W)136.0</span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>7</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.3м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Водонепронецаемый:<strong> нет</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>140кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	1,	148,	'LexMod Twirl Lazy Outdoor Wicker',	'LexMod Twirl Lazy Outdoor Wicker, Puff, Диваны',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	'2019-06-10 08:52:03',	NULL,	'',	4.1,	5,	'',	'2019-06-10 10:38:59',	66,	401,	0,	0,	0,	0,	0,	0,	0,	0),
(147,	'lexmod-twirl-medium-outdoor-wicker',	1,	'LexMod Twirl Medium Outdoor Wicker',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">(H)208.5, (W)136.0</span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>5</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.45м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Водонепронецаемый:<strong> да<br /></strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>145кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	1,	153,	'LexMod Twirl Medium Outdoor Wicker',	'LexMod Twirl Medium Outdoor Wicker, Puff, Диваны',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	'2019-06-10 08:54:01',	NULL,	'',	4.1,	5,	'',	'2019-06-10 10:48:52',	66,	407,	0,	0,	0,	0,	0,	0,	0,	0),
(148,	'lexmod-twirl-mono-outdoor-wicker',	1,	'LexMod Twirl Mono Outdoor Wicker',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">(H)218.5, (W)133.0</span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>5</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.55м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Водонепронецаемый:<strong> да<br /></strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>145кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	1,	151,	'LexMod Twirl Mono Outdoor Wicker',	'LexMod Twirl Mono Outdoor Wicker, Puff, Диваны',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	'2019-06-10 08:56:11',	NULL,	'',	4.1,	5,	'',	'2019-06-14 13:41:55',	66,	412,	0,	0,	0,	0,	0,	0,	0,	0),
(150,	'lexmod-taiji-outdoor-wicker-patio-daybed',	13,	'LexMod Taiji Outdoor Wicker Patio Daybed',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">47L x 104W x 33.5H<br /></span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>5</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.55м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Водонепронецаемый:<strong> да<br /></strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>215кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	1,	150,	'LexMod Taiji Outdoor Wicker Patio Daybed',	'LexMod Taiji Outdoor Wicker Patio Daybed, Britax romer, Диваны',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	'2019-06-10 09:06:06',	NULL,	'',	4.3,	42,	'hit.png',	'2019-06-10 10:47:25',	66,	418,	0,	0,	0,	0,	0,	0,	0,	0),
(151,	'lexmod-taiji-out-wicker-patio-daybed',	13,	'LexMod Taiji Out Wicker Patio Daybed',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">65.5L x 89.5W x 25.5H<br /></span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>6</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.55м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Водонепронецаемый:<strong> да<br /></strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>215кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	1,	145,	'LexMod Taiji Out Wicker Patio Daybed',	'LexMod Taiji Out Wicker Patio Daybed, Britax romer, Диваны',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	'2019-06-10 09:06:11',	NULL,	'',	4.3,	42,	'hit.png',	'2019-06-10 10:37:45',	66,	425,	0,	0,	0,	0,	0,	0,	0,	0),
(152,	'lexmod-taiji-wicker-patio-daybed',	13,	'LexMod Taiji Wicker Patio Daybed',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">65.5L x 89.5W x 25.5H<br /></span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>7</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.55м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Водонепронецаемый:<strong> да<br /></strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>215кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	1,	147,	'LexMod Taiji Wicker Patio Daybed',	'LexMod Taiji Wicker Patio Daybed, Britax romer, Диваны',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	'2019-06-10 09:07:30',	NULL,	'',	5.0,	882,	'hit.png',	'2019-07-09 16:50:20',	66,	435,	0,	0,	0,	0,	0,	0,	0,	0),
(153,	'lexmod-pro-taiji-wicker-patio-daybed',	13,	'LexMod Pro Taiji Wicker Patio Daybed',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">89L x 69.5W x 28.5H<br /></span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>8</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.55м</strong></span><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\"><strong><br /></strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>295кг.</strong></span></li>\r\n</ul>',	'',	1,	152,	'LexMod Pro Taiji Wicker Patio Daybed',	'LexMod Pro Taiji Wicker Patio Daybed, Britax romer, Книги и канцтовары',	'Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже. \r\n 1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар): \r\n     \r\n После добавления файла - сохраните товар. \r\n 2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после ',	'2019-06-10 09:09:33',	1,	'',	5.0,	82,	'hit.png',	'2019-07-08 12:19:06',	66,	441,	0,	0,	0,	0,	0,	0,	0,	0),
(154,	'klassicheskij-taburet-trex34',	6,	'Классический табурет Trex34',	'',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	1,	154,	'Классический табурет Trex34',	'Классический табурет Trex34, Beretta, табуреты',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	'2019-06-10 09:39:36',	NULL,	'',	0.0,	0,	'',	'2019-06-10 10:48:52',	37,	442,	0,	0,	0,	0,	0,	0,	0,	0),
(155,	'klassicheskij-taburet-trex37',	6,	'Классический табурет Trex37',	'',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	1,	155,	'Классический табурет Trex37',	'Классический табурет Trex37, Beretta, табуреты',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	'2019-06-10 09:40:10',	NULL,	'',	5.0,	545,	'',	'2019-06-10 11:30:12',	37,	450,	0,	0,	0,	0,	0,	0,	0,	0),
(156,	'klassicheskij-taburet-trex30',	6,	'Классический табурет Trex30',	'',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	1,	156,	'Классический табурет Trex30',	'Классический табурет Trex30, Beretta, табуреты',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	'2019-06-10 09:41:03',	NULL,	'',	5.0,	45,	'',	'2019-06-10 11:32:57',	37,	455,	0,	0,	0,	0,	0,	0,	0,	0),
(157,	'klassicheskij-taburet-trex40',	6,	'Классический табурет Trex40',	'',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	1,	157,	'Классический табурет Trex40',	'Классический табурет Trex40, Beretta, табуреты',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	'2019-06-10 09:42:22',	0,	'',	5.0,	45,	'',	'2019-06-14 13:42:46',	37,	460,	0,	0,	0,	0,	0,	0,	0,	0),
(158,	'folding-chair-catalina',	6,	'Folding chair Catalina',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">(H)91.0, (W)54ю8 <br /></span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>1</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.2м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страна:<strong> Италия</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>12кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	1,	158,	'Folding chair Catalina',	'Folding chair Catalina, Beretta, Складные стулья',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	'2019-06-10 09:44:56',	0,	'',	5.0,	45,	'',	'2019-06-14 13:42:47',	40,	473,	0,	0,	0,	0,	0,	0,	0,	0),
(159,	'skladnoj-stul-shine-catalina',	12,	'Складной стул Shine Catalina',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">(H)91.0, (W)54ю8 <br /></span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>1</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.2м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страна:<strong> Франция<br /></strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>11.5кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	1,	159,	'Складной стул Shine Catalina',	'Складной стул Shine Catalina, Fitbit, Складные стулья',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	'2019-06-10 09:54:45',	1,	'',	5.0,	45,	'akciya.png',	'2019-06-14 13:44:36',	40,	482,	0,	0,	0,	0,	0,	0,	0,	0),
(160,	'skladnoj-stul-shine-catalina-34',	12,	'Складной стул Shine Catalina 34',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">(H)91.0, (W)54ю8 <br /></span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>1</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.2м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страна:<strong> Франция<br /></strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>13кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	1,	160,	'Складной стул Shine Catalina 34',	'Складной стул Shine Catalina 34, Fitbit, Складные стулья',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	'2019-06-10 09:57:34',	NULL,	'',	5.0,	45,	'garant.png',	'2019-06-10 11:56:38',	40,	487,	0,	0,	0,	0,	0,	0,	0,	0),
(161,	'skladnoj-stul-shine-catalina-37',	12,	'Складной стул Shine Catalina 37',	'<ul>\r\n<li><span style=\"color: #000000;\">Размеры: <span style=\"font-size: 14px;\"><strong><span style=\"font-family: Roboto, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none;\">(H)91.0, (W)54ю8 <br /></span></strong></span></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Количество мест: <strong>1</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Высота сиденья: <strong>1.2м</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страна:<strong> Франция<br /></strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вес: <strong>13кг.</strong></span></li>\r\n</ul>',	'<p>Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.</p>',	1,	161,	'Складной стул Shine Catalina 37',	'Складной стул Shine Catalina 37, Fitbit, Складные стулья',	'Мода в этом случае - действительно интересное явление - нам часто нравятся красивые вещи. И это нормально - ведь мы получаем максимум информации через глаза. И наш продукт представляет собой идеальное сочетание симпатичных форм и действительно хорошего контента. Это действительно продукт нового поколения. Мы обещаем, что с нашим добром вы всегда будете в моде и стильно.',	'2019-06-10 09:58:37',	NULL,	'',	5.0,	45,	'garant.png',	'2019-06-10 11:59:44',	40,	494,	0,	0,	0,	0,	0,	0,	0,	0),
(162,	'krovat-chikasha-natural-quilt',	0,	'Кровать  Chikasha Natural Quilt',	'',	'',	1,	162,	'Кровать  Chikasha Natural Quilt',	'Кровать  Chikasha Natural Quilt, Кровати',	'',	'2019-06-10 10:06:13',	NULL,	'',	0.0,	0,	'',	'2019-06-10 11:59:44',	45,	497,	0,	0,	0,	0,	0,	0,	0,	0),
(163,	'krovat-shelly-beach-quilt-2',	0,	'Кровать  Shelly Beach Quilt 2',	'',	'',	1,	163,	'Кровать  Shelly Beach Quilt 2',	'Кровать  Shelly Beach Quilt 2, Кровати',	'',	'2019-06-10 10:07:29',	NULL,	'',	0.0,	0,	'',	'2019-06-10 12:35:43',	45,	499,	0,	0,	0,	0,	0,	0,	0,	0),
(164,	'krovat-shelly-cover-natural',	0,	'Кровать  Shelly Cover Natural',	'',	'',	1,	164,	'Кровать  Shelly Cover Natural',	'Кровать  Shelly Cover Natural, Кровати',	'',	'2019-06-10 10:10:59',	NULL,	'',	0.0,	0,	'',	'2019-06-10 12:38:25',	45,	501,	0,	0,	0,	0,	0,	0,	0,	0),
(165,	'krovat-shelly-cover-natural2',	0,	'Кровать  Shelly Cover Natural2',	'',	'',	1,	165,	'Кровать  Shelly Cover Natural2',	'Кровать  Shelly Cover Natural2, Кровати',	'',	'2019-06-10 10:11:38',	NULL,	'',	0.0,	0,	'',	'2019-06-10 12:41:17',	45,	503,	0,	0,	0,	0,	0,	0,	0,	0),
(166,	'krovat-kerela-quilt-cover',	0,	'Кровать  Kerela Quilt Cover',	'',	'',	1,	166,	'Кровать  Kerela Quilt Cover',	'Кровать  Kerela Quilt Cover, Кровати',	'',	'2019-06-10 10:12:11',	NULL,	'',	0.0,	0,	'',	'2019-06-10 12:43:58',	45,	512,	0,	0,	0,	0,	0,	0,	0,	0),
(167,	'krovat-kerela-quilt',	0,	'Кровать Kerela Quilt',	'',	'',	1,	167,	'Кровать Kerela Quilt',	'Кровать Kerela Quilt, Кровати',	'',	'2019-06-10 10:12:46',	NULL,	'',	5.0,	1,	'',	'2019-07-01 07:27:53',	45,	507,	0,	0,	0,	0,	0,	0,	0,	0),
(168,	'penal-dlya-vannoj-bookends1',	0,	'Пенал для ванной Bookends1',	'',	'',	1,	168,	'Пенал для ванной Bookends1',	'Пенал для ванной Bookends1, Пеналы',	'',	'2019-06-10 10:36:03',	NULL,	'',	0.0,	0,	'',	'2019-06-10 12:49:43',	51,	523,	0,	0,	0,	0,	0,	0,	0,	0),
(169,	'penal-dlya-vannoj-bookends2',	0,	'Пенал для ванной Bookends2',	'',	'',	1,	169,	'Пенал для ванной Bookends2',	'Пенал для ванной Bookends2, Пеналы',	'',	'2019-06-10 10:36:08',	NULL,	'',	0.0,	0,	'',	'2019-06-10 12:52:26',	51,	527,	0,	0,	0,	0,	0,	0,	0,	0),
(170,	'penal-dlya-vannoj-bookends3',	0,	'Пенал для ванной Bookends3',	'',	'',	1,	170,	'Пенал для ванной Bookends3',	'Пенал для ванной Bookends3, Пеналы',	'',	'2019-06-10 10:36:28',	NULL,	'',	0.0,	0,	'',	'2019-06-10 12:52:26',	51,	531,	0,	0,	0,	0,	0,	0,	0,	0),
(171,	'penal-dlya-vannoj-grinder',	0,	'Пенал для ванной Grinder',	'',	'',	1,	171,	'Пенал для ванной Grinder',	'Пенал для ванной Grinder, Пеналы',	'',	'2019-06-10 10:37:45',	NULL,	'',	0.0,	0,	'',	'2019-06-10 14:15:34',	51,	535,	0,	0,	0,	0,	0,	0,	0,	0),
(172,	'penal-dlya-vannoj-grinder2',	0,	'Пенал для ванной Grinder2',	'',	'',	1,	172,	'Пенал для ванной Grinder2',	'Пенал для ванной Grinder2, Пеналы',	'',	'2019-06-10 10:38:24',	NULL,	'',	0.0,	0,	'',	'2019-06-10 14:18:20',	51,	539,	0,	0,	0,	0,	0,	0,	0,	0),
(173,	'penal-dlya-vannoj-grinder-bronze',	0,	'Пенал для ванной Grinder Bronze',	'',	'',	1,	173,	'Пенал для ванной Grinder Bronze',	'Пенал для ванной Grinder Bronze, Пеналы',	'',	'2019-06-10 10:38:59',	NULL,	'',	0.0,	0,	'',	'2019-06-10 14:21:54',	51,	543,	0,	0,	0,	0,	0,	0,	0,	0),
(174,	'tumba-pod-rakovinu-aquwastyle1',	6,	'Тумба под раковину Aquwastyle1',	'',	'',	1,	174,	'Тумба под раковину Aquwastyle1',	'Тумба под раковину Aquwastyle1, Beretta, Тумбы для ванной',	'',	'2019-06-10 10:47:20',	NULL,	'',	0.0,	0,	'',	'2019-06-10 14:24:31',	52,	544,	0,	0,	0,	0,	0,	0,	0,	0),
(175,	'tumba-pod-rakovinu-aquwastyle2',	6,	'Тумба под раковину Aquwastyle2',	'',	'',	1,	175,	'Тумба под раковину Aquwastyle2',	'Тумба под раковину Aquwastyle2, Beretta, Тумбы для ванной',	'',	'2019-06-10 10:47:25',	NULL,	'',	0.0,	0,	'',	'2019-06-10 14:24:31',	52,	550,	0,	0,	0,	0,	0,	0,	0,	0),
(176,	'tumba-pod-rakovinu-aquwastyle3',	6,	'Тумба под раковину Aquwastyle3',	'<ul>\r\n<li>Вес: <strong>120кг</strong></li>\r\n<li>Гарантия: <strong>8лет</strong></li>\r\n<li>Класс: <strong>Премиум</strong></li>\r\n</ul>',	'',	1,	176,	'Тумба под раковину Aquwastyle3',	'Тумба под раковину Aquwastyle3, Beretta, Тумбы для ванной',	'',	'2019-06-10 10:47:56',	NULL,	'',	0.0,	0,	'',	'2019-07-05 12:48:10',	52,	790,	0,	0,	0,	0,	0,	0,	0,	0),
(177,	'tumba-pod-rakovinu-aquwastyle4',	6,	'Тумба под раковину Aquwastyle4',	'<ul>\r\n<li>Вес: <strong>45кг</strong></li>\r\n<li>Гарантия: <strong>5лет</strong></li>\r\n<li>Класс: <strong>Супер премиум</strong></li>\r\n</ul>',	'',	1,	177,	'Тумба под раковину Aquwastyle4',	'Тумба под раковину Aquwastyle4, Beretta, Тумбы для ванной',	'',	'2019-06-10 10:48:18',	NULL,	'',	0.0,	0,	'',	'2019-07-05 12:42:01',	52,	789,	0,	0,	0,	0,	0,	0,	0,	0),
(178,	'tumba-pod-rakovinu-aquwastyle5',	6,	'Тумба под раковину Aquwastyle5',	'<ul>\r\n<li>Цвет:&nbsp;<strong>Белый</strong></li>\r\n<li>Гарантия:&nbsp;<strong>3 года</strong></li>\r\n<li>Ширина:&nbsp;<strong>45-60см</strong></li>\r\n</ul>',	'',	1,	178,	'Тумба под раковину Aquwastyle5',	'Тумба под раковину Aquwastyle5, Beretta, Тумбы для ванной',	'',	'2019-06-10 10:48:52',	NULL,	'',	0.0,	0,	'',	'2019-07-05 12:39:27',	52,	788,	0,	0,	0,	0,	0,	0,	0,	0),
(179,	'shurupovert-akkumulyatornyj-dewalt-speed',	7,	'Шуруповерт аккумуляторный DeWalt Speed',	'',	'',	1,	179,	'Шуруповерт аккумуляторный DeWalt Speed',	'Шуруповерт аккумуляторный DeWalt Speed, Bosch, Строительные инструменты',	'',	'2019-06-10 11:30:02',	NULL,	'',	0.0,	0,	'',	'2019-06-14 13:42:34',	20,	569,	0,	0,	0,	0,	0,	0,	0,	0),
(180,	'korpus-diskovoj-pily-bosch',	7,	'Корпус дисковой пилы Bosch',	'',	'',	1,	180,	'Корпус дисковой пилы Bosch',	'Корпус дисковой пилы Bosch, Bosch, Строительные инструменты',	'',	'2019-06-10 11:30:12',	NULL,	'',	0.0,	0,	'',	'2019-06-14 13:42:34',	20,	575,	0,	0,	0,	0,	0,	0,	0,	0),
(181,	'besprovodnoj-perforator-bosch-plus',	7,	'Беспроводной перфоратор Bosch Plus',	'',	'',	1,	181,	'Беспроводной перфоратор Bosch Plus',	'Беспроводной перфоратор Bosch Plus, Bosch, Строительные инструменты',	'',	'2019-06-10 11:32:57',	1,	'',	0.0,	0,	'',	'2019-07-07 21:23:45',	20,	581,	0,	0,	0,	0,	0,	0,	0,	0),
(182,	'otbojnyj-molotok-bosch-gsh-6784',	7,	'Отбойный молоток Bosch GSH 6784',	'',	'',	1,	182,	'Отбойный молоток Bosch GSH 6784',	'Отбойный молоток Bosch GSH 6784, Bosch, Строительные инструменты',	'',	'2019-06-10 11:35:06',	0,	'',	0.0,	0,	'',	'2019-07-07 21:23:45',	20,	587,	0,	0,	0,	0,	0,	0,	0,	0),
(183,	'pylezaschitnyj-pribor-bosch',	7,	'Пылезащитный прибор Bosch',	'',	'',	1,	183,	'Пылезащитный прибор Bosch',	'Пылезащитный прибор Bosch, Bosch, Строительные инструменты',	'',	'2019-06-10 11:46:19',	0,	'',	0.0,	0,	'',	'2019-07-07 21:23:45',	20,	596,	0,	0,	0,	0,	0,	0,	0,	0),
(185,	'professionalnyj-mini-pylesos-bosch',	7,	'Профессиональный мини-пылесос Bosch',	'',	'',	1,	184,	'Профессиональный мини-пылесос Bosch',	'Профессиональный мини-пылесос Bosch, Bosch, Строительные инструменты',	'',	'2019-06-10 11:53:35',	NULL,	'',	0.0,	0,	'',	'2019-07-07 21:23:45',	20,	602,	0,	0,	0,	0,	0,	0,	0,	0),
(186,	'otbojnyj-molotok-bosch-gsh-7-vc',	7,	'Отбойный молоток Bosch GSH 7 VC',	'',	'',	1,	185,	'Отбойный молоток Bosch GSH 7 VC',	'Отбойный молоток Bosch GSH 7 VC, Bosch, Строительные инструменты',	'',	'2019-06-10 11:56:38',	NULL,	'',	0.0,	0,	'',	'2019-07-07 21:23:45',	20,	608,	0,	0,	0,	0,	0,	0,	0,	0),
(187,	'shurupovert-akkumulyatornyj-bosch',	7,	'Шуруповерт аккумуляторный Bosch',	'',	'',	1,	186,	'Шуруповерт аккумуляторный Bosch',	'Шуруповерт аккумуляторный Bosch, Bosch, Строительные инструменты',	'',	'2019-06-10 11:59:44',	NULL,	'',	0.0,	0,	'',	'2019-07-07 21:23:45',	20,	614,	0,	0,	0,	0,	0,	0,	0,	0),
(188,	'autsajder-stiven-king',	0,	'Аутсайдер Стивен Кинг',	'<ul>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Автор: <strong>Стивен Кинг</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страниц: </span><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\"><strong>592</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Год издания: <strong>2019</strong></span></li>\r\n</ul>',	'<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар):</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Добавление цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS.png\" alt=\"Добавление цифрового товара\" width=\"auto\" height=\"auto\" /></span></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">После добавления файла - сохраните товар.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после оплаты заказа.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту до оплаты:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS1.png\" alt=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту после оплаты заказа:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Ссылка на скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS2.png\" alt=\"Ссылка на скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">3. Получение клиентом заказанного товара:</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px auto; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto; display: block;\" title=\"Скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS3.png\" alt=\"Скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Тоже самое можно проделать с любым электронным файлом.</p>\r\n<ul style=\"box-sizing: border-box; margin: 0px 0px 1rem 25px; padding: 0px 0px 0px 25px; list-style-type: disc; color: #212330; font-family: \'Open Sans\', sans-serif; font-size: 16px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы продаете музыкальные композиции - загрузите в описание к товару кусочек своего трека.</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы занимаетесь продажей видеороликов - добавьте в качестве фотографий товара несколько скриншотов своего видео.&nbsp;</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Возможно вы продаете ценную информацию, например, книги? Несколько абзацев в описании к товару заинтересуют покупателя.</span></li>\r\n</ul>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Пробуйте и у вас получится.</p>',	1,	188,	'Аутсайдер Стивен Кинг',	'Аутсайдер Стивен Кинг, Книги и канцтовары',	'Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже. \r\n 1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар): \r\n     \r\n После добавления файла - сохраните товар. \r\n 2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после ',	'2019-06-10 12:34:35',	NULL,	'',	5.0,	59,	'new.png',	'2019-07-07 21:23:45',	19,	617,	0,	0,	0,	0,	0,	0,	0,	0),
(189,	'kladbische-domashnih-zhivotnyh-stiven-king',	0,	'Кладбище домашних животных Стивен Кинг',	'<ul>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Автор: <strong>Стивен Кинг</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страниц:</span><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\"><strong>400</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Год издания: <strong>2019</strong></span></li>\r\n</ul>',	'<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар):</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Добавление цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS.png\" alt=\"Добавление цифрового товара\" width=\"auto\" height=\"auto\" /></span></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">После добавления файла - сохраните товар.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после оплаты заказа.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту до оплаты:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS1.png\" alt=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту после оплаты заказа:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Ссылка на скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS2.png\" alt=\"Ссылка на скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">3. Получение клиентом заказанного товара:</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px auto; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto; display: block;\" title=\"Скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS3.png\" alt=\"Скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Тоже самое можно проделать с любым электронным файлом.</p>\r\n<ul style=\"box-sizing: border-box; margin: 0px 0px 1rem 25px; padding: 0px 0px 0px 25px; list-style-type: disc; color: #212330; font-family: \'Open Sans\', sans-serif; font-size: 16px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы продаете музыкальные композиции - загрузите в описание к товару кусочек своего трека.</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы занимаетесь продажей видеороликов - добавьте в качестве фотографий товара несколько скриншотов своего видео.&nbsp;</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Возможно вы продаете ценную информацию, например, книги? Несколько абзацев в описании к товару заинтересуют покупателя.</span></li>\r\n</ul>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Пробуйте и у вас получится.</p>',	1,	189,	'Кладбище домашних животных Стивен Кинг',	'Кладбище домашних животных Стивен Кинг, Книги и канцтовары',	'Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже. \r\n 1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар): \r\n     \r\n После добавления файла - сохраните товар. \r\n 2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после ',	'2019-06-10 12:35:43',	NULL,	'',	4.6,	78,	'akciya.png',	'2019-07-07 21:23:45',	19,	619,	0,	0,	0,	0,	0,	0,	0,	0),
(190,	'kerri-zhivotnyh-stiven-king',	0,	'Керри животных Стивен Кинг',	'<ul>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Автор: <strong>Стивен Кинг</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страниц: </span><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\"><strong>224</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Год издания: <strong>2018</strong></span></li>\r\n</ul>',	'<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар):</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Добавление цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS.png\" alt=\"Добавление цифрового товара\" width=\"auto\" height=\"auto\" /></span></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">После добавления файла - сохраните товар.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после оплаты заказа.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту до оплаты:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS1.png\" alt=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту после оплаты заказа:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Ссылка на скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS2.png\" alt=\"Ссылка на скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">3. Получение клиентом заказанного товара:</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px auto; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto; display: block;\" title=\"Скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS3.png\" alt=\"Скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Тоже самое можно проделать с любым электронным файлом.</p>\r\n<ul style=\"box-sizing: border-box; margin: 0px 0px 1rem 25px; padding: 0px 0px 0px 25px; list-style-type: disc; color: #212330; font-family: \'Open Sans\', sans-serif; font-size: 16px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы продаете музыкальные композиции - загрузите в описание к товару кусочек своего трека.</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы занимаетесь продажей видеороликов - добавьте в качестве фотографий товара несколько скриншотов своего видео.&nbsp;</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Возможно вы продаете ценную информацию, например, книги? Несколько абзацев в описании к товару заинтересуют покупателя.</span></li>\r\n</ul>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Пробуйте и у вас получится.</p>',	1,	190,	'Керри животных Стивен Кинг',	'Керри животных Стивен Кинг, Книги и канцтовары',	'Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже. \r\n 1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар): \r\n     \r\n После добавления файла - сохраните товар. \r\n 2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после ',	'2019-06-10 12:38:25',	NULL,	'',	4.9,	179,	'hit.png',	'2019-07-07 21:23:45',	19,	621,	0,	0,	0,	0,	0,	0,	0,	0),
(191,	'zelenaya-milya-stiven-king',	0,	'Зеленая миля Стивен Кинг',	'<ul>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Автор: <strong>Стивен Кинг</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страниц: </span><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\"><strong>432</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Год издания: <strong>2017</strong></span></li>\r\n</ul>',	'<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар):</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Добавление цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS.png\" alt=\"Добавление цифрового товара\" width=\"auto\" height=\"auto\" /></span></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">После добавления файла - сохраните товар.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после оплаты заказа.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту до оплаты:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS1.png\" alt=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту после оплаты заказа:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Ссылка на скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS2.png\" alt=\"Ссылка на скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">3. Получение клиентом заказанного товара:</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px auto; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto; display: block;\" title=\"Скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS3.png\" alt=\"Скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Тоже самое можно проделать с любым электронным файлом.</p>\r\n<ul style=\"box-sizing: border-box; margin: 0px 0px 1rem 25px; padding: 0px 0px 0px 25px; list-style-type: disc; color: #212330; font-family: \'Open Sans\', sans-serif; font-size: 16px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы продаете музыкальные композиции - загрузите в описание к товару кусочек своего трека.</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы занимаетесь продажей видеороликов - добавьте в качестве фотографий товара несколько скриншотов своего видео.&nbsp;</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Возможно вы продаете ценную информацию, например, книги? Несколько абзацев в описании к товару заинтересуют покупателя.</span></li>\r\n</ul>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Пробуйте и у вас получится.</p>',	1,	191,	'Зеленая миля Стивен Кинг',	'Зеленая миля Стивен Кинг, Книги и канцтовары',	'Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже. \r\n 1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар): \r\n     \r\n После добавления файла - сохраните товар. \r\n 2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после ',	'2019-06-10 12:41:17',	NULL,	'',	4.9,	179,	'akciya.png',	'2019-07-07 21:23:45',	19,	623,	0,	0,	0,	0,	0,	0,	0,	0),
(192,	'strelets-temnaya-bashnya-stiven-king',	0,	'Стрелец. Темная Башня Стивен Кинг',	'<ul>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Автор: <strong>Стивен Кинг</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страниц: </span><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\"><strong>240</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Год издания: <strong>2017</strong></span></li>\r\n</ul>',	'<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар):</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Добавление цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS.png\" alt=\"Добавление цифрового товара\" width=\"auto\" height=\"auto\" /></span></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">После добавления файла - сохраните товар.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после оплаты заказа.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту до оплаты:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS1.png\" alt=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту после оплаты заказа:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Ссылка на скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS2.png\" alt=\"Ссылка на скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">3. Получение клиентом заказанного товара:</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px auto; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto; display: block;\" title=\"Скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS3.png\" alt=\"Скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Тоже самое можно проделать с любым электронным файлом.</p>\r\n<ul style=\"box-sizing: border-box; margin: 0px 0px 1rem 25px; padding: 0px 0px 0px 25px; list-style-type: disc; color: #212330; font-family: \'Open Sans\', sans-serif; font-size: 16px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы продаете музыкальные композиции - загрузите в описание к товару кусочек своего трека.</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы занимаетесь продажей видеороликов - добавьте в качестве фотографий товара несколько скриншотов своего видео.&nbsp;</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Возможно вы продаете ценную информацию, например, книги? Несколько абзацев в описании к товару заинтересуют покупателя.</span></li>\r\n</ul>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Пробуйте и у вас получится.</p>',	1,	192,	'Стрелец. Темная Башня Стивен Кинг',	'Стрелец. Темная Башня Стивен Кинг, Книги и канцтовары',	'Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже. \r\n 1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар): \r\n     \r\n После добавления файла - сохраните товар. \r\n 2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после ',	'2019-06-10 12:43:58',	1,	'',	4.9,	679,	'',	'2019-07-08 12:19:06',	19,	625,	0,	0,	0,	0,	0,	0,	0,	0),
(193,	'spyaschie-krasavitsy-stiven-king',	0,	'Спящие красавицы Стивен Кинг',	'<ul>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Автор: <strong>Стивен Кинг</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страниц: </span><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\"><strong>880</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Год издания: <strong>2018</strong></span></li>\r\n</ul>',	'<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар):</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Добавление цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS.png\" alt=\"Добавление цифрового товара\" width=\"auto\" height=\"auto\" /></span></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">После добавления файла - сохраните товар.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после оплаты заказа.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту до оплаты:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS1.png\" alt=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту после оплаты заказа:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Ссылка на скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS2.png\" alt=\"Ссылка на скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">3. Получение клиентом заказанного товара:</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px auto; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto; display: block;\" title=\"Скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS3.png\" alt=\"Скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Тоже самое можно проделать с любым электронным файлом.</p>\r\n<ul style=\"box-sizing: border-box; margin: 0px 0px 1rem 25px; padding: 0px 0px 0px 25px; list-style-type: disc; color: #212330; font-family: \'Open Sans\', sans-serif; font-size: 16px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы продаете музыкальные композиции - загрузите в описание к товару кусочек своего трека.</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы занимаетесь продажей видеороликов - добавьте в качестве фотографий товара несколько скриншотов своего видео.&nbsp;</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Возможно вы продаете ценную информацию, например, книги? Несколько абзацев в описании к товару заинтересуют покупателя.</span></li>\r\n</ul>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Пробуйте и у вас получится.</p>',	1,	193,	'Спящие красавицы Стивен Кинг',	'Спящие красавицы Стивен Кинг, Книги и канцтовары',	'Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже. \r\n 1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар): \r\n     \r\n После добавления файла - сохраните товар. \r\n 2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после ',	'2019-06-10 12:46:58',	NULL,	'',	4.4,	1278,	'',	'2019-07-07 21:23:45',	19,	627,	0,	0,	0,	0,	0,	0,	0,	0),
(194,	'lovets-snov-stiven-king',	0,	'Ловец снов Стивен Кинг',	'<ul>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Автор: <strong>Стивен Кинг</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страниц: </span><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\"><strong>672</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Год издания: <strong>2016</strong></span></li>\r\n</ul>',	'<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар):</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Добавление цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS.png\" alt=\"Добавление цифрового товара\" width=\"auto\" height=\"auto\" /></span></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">После добавления файла - сохраните товар.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после оплаты заказа.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту до оплаты:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS1.png\" alt=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту после оплаты заказа:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Ссылка на скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS2.png\" alt=\"Ссылка на скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">3. Получение клиентом заказанного товара:</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px auto; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto; display: block;\" title=\"Скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS3.png\" alt=\"Скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Тоже самое можно проделать с любым электронным файлом.</p>\r\n<ul style=\"box-sizing: border-box; margin: 0px 0px 1rem 25px; padding: 0px 0px 0px 25px; list-style-type: disc; color: #212330; font-family: \'Open Sans\', sans-serif; font-size: 16px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы продаете музыкальные композиции - загрузите в описание к товару кусочек своего трека.</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы занимаетесь продажей видеороликов - добавьте в качестве фотографий товара несколько скриншотов своего видео.&nbsp;</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Возможно вы продаете ценную информацию, например, книги? Несколько абзацев в описании к товару заинтересуют покупателя.</span></li>\r\n</ul>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Пробуйте и у вас получится.</p>',	1,	194,	'Ловец снов Стивен Кинг',	'Ловец снов Стивен Кинг, Книги и канцтовары',	'Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже. \r\n 1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар): \r\n     \r\n После добавления файла - сохраните товар. \r\n 2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после ',	'2019-06-10 12:49:43',	NULL,	'',	4.4,	1278,	'',	'2019-07-07 21:23:45',	19,	629,	0,	0,	0,	0,	0,	0,	0,	0),
(195,	'protivostoyanie-tom-1-stiven-king',	0,	'Противостояние, том 1 Стивен Кинг',	'<ul>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Автор: <strong>Стивен Кинг</strong><br /></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Страниц: </span><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\"><strong>576</strong></span></li>\r\n<li><span style=\"color: #000000; font-family: Roboto, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Год издания: <strong>2017</strong></span></li>\r\n</ul>',	'<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар):</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Добавление цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS.png\" alt=\"Добавление цифрового товара\" width=\"auto\" height=\"auto\" /></span></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">После добавления файла - сохраните товар.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после оплаты заказа.</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту до оплаты:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS1.png\" alt=\"Подтверждение заказа цифрового товара в магазине OkayCMS\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><strong style=\"box-sizing: border-box; margin: 0px; padding: 0px; font-weight: bold;\">Письмо клиенту после оплаты заказа:</strong></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto;\" title=\"Ссылка на скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS2.png\" alt=\"Ссылка на скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">3. Получение клиентом заказанного товара:</p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\"><img style=\"box-sizing: border-box; margin: 0px auto; padding: 0px; border: 1px solid #eeeeee; vertical-align: middle; max-width: 100%; height: auto; display: block;\" title=\"Скачивание цифрового товара\" src=\"https://okay-cms.com/files/uploads/digital_tovar_OkayCMS3.png\" alt=\"Скачивание цифрового товара\" width=\"auto\" height=\"auto\" /></p>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Тоже самое можно проделать с любым электронным файлом.</p>\r\n<ul style=\"box-sizing: border-box; margin: 0px 0px 1rem 25px; padding: 0px 0px 0px 25px; list-style-type: disc; color: #212330; font-family: \'Open Sans\', sans-serif; font-size: 16px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы продаете музыкальные композиции - загрузите в описание к товару кусочек своего трека.</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Если вы занимаетесь продажей видеороликов - добавьте в качестве фотографий товара несколько скриншотов своего видео.&nbsp;</span></li>\r\n<li style=\"box-sizing: border-box; margin: 15px 0px; padding: 0px; font-family: \'Fira Sans Condensed\', sans-serif; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.4; font-style: italic;\"><span style=\"box-sizing: border-box; margin: 0px; padding: 0px;\">Возможно вы продаете ценную информацию, например, книги? Несколько абзацев в описании к товару заинтересуют покупателя.</span></li>\r\n</ul>\r\n<p style=\"box-sizing: border-box; margin: 25px 0px; padding: 0px; font-size: 16px; font-weight: 400; color: #333333; line-height: 1.5; font-family: \'Fira Sans Condensed\', sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial;\">Пробуйте и у вас получится.</p>',	1,	204,	'Противостояние, том 1 Стивен Кинг',	'Противостояние, том 1 Стивен Кинг, Книги и канцтовары',	'Как загрузить цифровой товар на сайт? Как предоставить файл покупателю после оплаты заказа? Следуйте инструкции ниже. \r\n 1. В административной панели сайта вы создаете товар обычным образом - заполняете все необходимые поля (название, категорию, мета данные, описание и т.п.), а также прикрепляете файл (ваш цифровой товар): \r\n     \r\n После добавления файла - сохраните товар. \r\n 2. Если оформил заказ на покупку товара \"Авторская фотография суровой собачки\", оригинал фотографии он сможет получить только после ',	'2019-06-10 12:52:26',	NULL,	'',	4.4,	1278,	'',	'2019-07-07 21:23:45',	19,	631,	0,	0,	0,	0,	0,	0,	0,	0),
(196,	'naraschivanie-resnits',	14,	'Наращивание ресниц',	'',	'',	1,	195,	'Наращивание ресниц',	'Наращивание ресниц, GARNIER, Косметика',	'',	'2019-06-10 14:15:28',	NULL,	'',	0.0,	0,	'',	'2019-07-07 21:23:45',	69,	657,	0,	0,	0,	0,	0,	0,	0,	0),
(197,	'duhi-s-aromatom-storodiny',	14,	'Духи с ароматом стородины',	'',	'',	1,	196,	'Духи с ароматом стородины',	'Духи с ароматом стородины, GARNIER, Косметика',	'',	'2019-06-10 14:15:34',	NULL,	'',	0.0,	0,	'',	'2019-07-07 21:23:45',	69,	663,	0,	0,	0,	0,	0,	0,	0,	0),
(198,	'universalnaya-maska-dlya-litsa',	14,	'Универсальная маска для лица',	'',	'',	1,	197,	'Универсальная маска для лица',	'Универсальная маска для лица, GARNIER, Косметика',	'',	'2019-06-10 14:18:20',	NULL,	'',	0.0,	0,	'',	'2019-07-07 21:23:45',	69,	669,	0,	0,	0,	0,	0,	0,	0,	0),
(199,	'duhi-versace-bright-crystal-absolu',	14,	'Духи Versace Bright crystal ABSOLU',	'',	'',	1,	198,	'Духи Versace Bright crystal ABSOLU',	'Духи Versace Bright crystal ABSOLU, GARNIER, Косметика',	'',	'2019-06-10 14:21:54',	0,	'',	0.0,	0,	'',	'2019-07-07 21:23:45',	69,	675,	0,	0,	0,	0,	0,	0,	0,	0),
(200,	'krem-dlya-litsa-estee-lauder',	14,	'Крем для лица ESTEE LAUDER',	'',	'',	1,	199,	'Крем для лица ESTEE LAUDER',	'Крем для лица ESTEE LAUDER, GARNIER, Косметика',	'',	'2019-06-10 14:24:31',	1,	'',	0.0,	0,	'',	'2019-07-07 21:23:45',	69,	681,	0,	0,	0,	0,	0,	0,	0,	0),
(201,	'nabor-meosmeticheskih-kistej-bellapierre',	14,	'Набор меосметических кистей Bellapierre',	'',	'',	1,	203,	'Набор меосметических кистей Bellapierre',	'Набор меосметических кистей Bellapierre, GARNIER, Косметика',	'',	'2019-06-10 14:28:06',	NULL,	'',	4.4,	74,	'',	'2019-07-07 21:23:45',	69,	683,	0,	0,	0,	0,	0,	0,	0,	0),
(202,	'myagkij-matovyj-krem-dlya-gub',	14,	'Мягкий матовый крем для губ',	'',	'',	1,	200,	'Мягкий матовый крем для губ',	'Мягкий матовый крем для губ, GARNIER, Косметика',	'',	'2019-06-10 14:28:11',	NULL,	'',	0.0,	0,	'',	'2019-07-07 21:23:45',	69,	688,	0,	0,	0,	0,	0,	0,	0,	0),
(203,	'myagkie-matovye-teni',	14,	'Мягкие матовые тени',	'',	'',	1,	201,	'Мягкие матовые тени',	'Мягкие матовые тени, GARNIER, Косметика',	'',	'2019-06-10 14:30:41',	NULL,	'',	0.0,	0,	'',	'2019-07-07 21:23:45',	69,	693,	0,	0,	0,	0,	0,	0,	0,	0),
(204,	'komplekt-iz-matovoj-aomady-i-teni-dlya-glah',	14,	'Комплект из матовой аомады и тени для глах',	'',	'',	1,	202,	'Комплект из матовой аомады и тени для глах',	'Комплект из матовой аомады и тени для глах, GARNIER, Косметика',	'',	'2019-06-10 14:31:28',	NULL,	'',	0.0,	0,	'',	'2019-07-07 21:23:45',	69,	696,	0,	0,	0,	0,	0,	0,	0,	0),
(205,	'elektrovelosiped-haibike-sduro-fullseven-90-i500wh-12-g-nx-2019',	15,	'Электровелосипед Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2019',	'',	'<p><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-size: 13px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Модель Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2019 предназначена как для агрессивного катания по лесным трассам, так и для неторопливых прогулок по живописным маршрутам. Основная особенность модели - мощный электромотор, который поможет без труда заехать в сложный подъем или преодолеть длительный трансфер от одной трассы к другой. Рама велосипед изготовлена из алюминиевого сплава с применением технологии гидроформинга, что позволило сделать велосипед легким и прочным. Модель оснащена двумя амортизаторами, которые позволят настроить байк под любую трассу. За переключение передач отвечает оборудование Sram NX Eagle.</span></p>',	1,	205,	'Электровелосипед Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2019',	'Электровелосипед Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2019, Haibike, Товары для спорта',	'Модель Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2019 предназначена как для агрессивного катания по лесным трассам, так и для неторопливых прогулок по живописным маршрутам. Основная особенность модели - мощный электромотор, который поможет без труда заехать в сложный подъем или преодолеть длительный трансфер от одной трассы к другой. Рама велосипед изготовлена из алюминиевого сплава с применением технологии гидроформинга, что позволило сделать велосипед легким и прочным. Модель оснащена двумя амортизаторам',	'2019-07-04 08:32:34',	1,	'',	3.2,	63,	'',	'2019-10-23 14:57:08',	21,	697,	0,	0,	0,	0,	0,	0,	0,	0),
(206,	'skladnoj-velosiped-forward-tracer-10-2018',	15,	'Складной велосипед Forward Tracer 1.0 2018',	'<ul>\r\n<li><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-size: 13px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #f8f6f7; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">пол: <strong>мужской</strong><br /></span></li>\r\n<li><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-size: 13px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #f8f6f7; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\"><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-size: 13px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">тип рамы</span>: <strong><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">хардтейл</span></strong><br /></span></li>\r\n<li><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-size: 13px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #f8f6f7; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">цепь: <strong>KMC HV408</strong><br /></span></li>\r\n<li><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-size: 13px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #f8f6f7; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">седло: <strong>FWD MTB</strong><br /></span></li>\r\n</ul>',	'<p><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-size: 13px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Forward Tracer 1.0 станет настоящим подарком для поклонников активного времяпровождения и спортивных велозаездов. 6-скоростная трансмиссия переключается с помощью удобных манеток Shimano Tourney RS35 и дает райдеру полный контроль над движением. Система ободных тормозов Promax TX-119L сделает каждую остановку плавной и своевременной. Материалом для изготовления рамы послужил легкий, но устойчивый к деформации алюминий, а амортизационная вилка велосипеда выполнена из стали.</span></p>',	1,	219,	'Складной велосипед Forward Tracer 1.0 2018',	'Складной велосипед Forward Tracer 1.0 2018, Haibike, Товары для спорта',	'Forward Tracer 1.0 станет настоящим подарком для поклонников активного времяпровождения и спортивных велозаездов. 6-скоростная трансмиссия переключается с помощью удобных манеток Shimano Tourney RS35 и дает райдеру полный контроль над движением. Система ободных тормозов Promax TX-119L сделает каждую остановку плавной и своевременной. Материалом для изготовления рамы послужил легкий, но устойчивый к деформации алюминий, а амортизационная вилка велосипеда выполнена из стали.',	'2019-07-04 08:39:33',	NULL,	'',	0.0,	0,	'akciya.png',	'2019-07-18 09:10:39',	21,	702,	0,	0,	0,	0,	0,	0,	0,	0),
(207,	'veloshlem-scott-arx',	15,	'Велошлем Scott Arx',	'',	'<p><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-size: 13px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Велошлем с усиленной защитой и системой подгонки MRAS2. Scott ARX &ndash; велосипедный шлем с технологией in-mold: при падении шлем не раскалывается, а сохраняет цельность. Плотно облегает, хорошо защищает голову. Крупные отверстия создают равномерную вентиляцию кожи во время поездки. Легкий (240 г), прочный шлем подходит для гонок и тренировок. Система подгонки позволяет одной рукой с помощью небольшого колесика отрегулировать посадку, не прерывая движение.</span></p>',	1,	207,	'Велошлем Scott Arx',	'Велошлем Scott Arx, Haibike, Товары для спорта',	'Велошлем с усиленной защитой и системой подгонки MRAS2. Scott ARX &ndash; велосипедный шлем с технологией in-mold: при падении шлем не раскалывается, а сохраняет цельность. Плотно облегает, хорошо защищает голову. Крупные отверстия создают равномерную вентиляцию кожи во время поездки. Легкий (240 г), прочный шлем подходит для гонок и тренировок. Система подгонки позволяет одной рукой с помощью небольшого колесика отрегулировать посадку, не прерывая движение.',	'2019-07-04 08:44:50',	NULL,	'',	2.7,	2362,	'new.png',	'2019-07-18 09:10:39',	21,	708,	0,	0,	0,	0,	0,	0,	0,	0),
(208,	'veloperchatka-bbb-bbw-54-litezone',	15,	'Велоперчатка BBB BBW-54 LiteZone',	'',	'<p><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-size: 13px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Вентилируемая перчатка из практичных материалов. Велоперчатки LiteZone BBW-54 обеспечивают надежный крепкий хват во время велопрогулки и тренировки. Надежное удержание руля повышает уверенность велосипедиста на дороге. Ладонь дополнена силиконовыми вставками, большой и указательный пальцы дополнительно защищены. Руки в перчатках хорошо вентилируются.</span></p>',	1,	208,	'Велоперчатка BBB BBW-54 LiteZone',	'Велоперчатка BBB BBW-54 LiteZone, Haibike, Товары для спорта',	'Вентилируемая перчатка из практичных материалов. Велоперчатки LiteZone BBW-54 обеспечивают надежный крепкий хват во время велопрогулки и тренировки. Надежное удержание руля повышает уверенность велосипедиста на дороге. Ладонь дополнена силиконовыми вставками, большой и указательный пальцы дополнительно защищены. Руки в перчатках хорошо вентилируются.',	'2019-07-04 08:47:44',	NULL,	'',	4.0,	1,	'garant.png',	'2019-07-18 09:10:39',	21,	712,	0,	0,	0,	0,	0,	0,	0,	0),
(209,	'veloobuv-shimano-sh-rp501-men',	15,	'Велообувь Shimano SH-RP501 Men',	'',	'',	1,	209,	'Велообувь Shimano SH-RP501 Men',	'Велообувь Shimano SH-RP501 Men, Haibike, Товары для спорта',	'',	'2019-07-04 08:53:51',	NULL,	'',	4.8,	24,	'hit.png',	'2019-07-18 09:10:39',	21,	716,	0,	0,	0,	0,	0,	0,	0,	0),
(210,	'girya-hop-sport-6-kg',	15,	'Гиря Hop-Sport 6 кг',	'',	'<p><span style=\"color: #666666; font-family: \'Open Sans\', sans-serif; font-size: 12px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Физические нагрузки, которые вы получите с помощью гирь, наиболее оптимальны для вашего организма. Гири спроектированы специальным образом, имеют удобную ручку для хвата. Характеристики: обхват &ndash; 50 см; объем ручки &ndash; 10 см; покрытие &ndash; винил; наполнение &ndash; бетон. Также занятия с гирями доставят удовольствие женщинам, так как помогут сбросить вес и обрести подтянутую фигуру.</span></p>',	1,	210,	'Гиря Hop-Sport 6 кг',	'Гиря Hop-Sport 6 кг, Haibike, Товары для спорта',	'Физические нагрузки, которые вы получите с помощью гирь, наиболее оптимальны для вашего организма. Гири спроектированы специальным образом, имеют удобную ручку для хвата. Характеристики: обхват &ndash; 50 см; объем ручки &ndash; 10 см; покрытие &ndash; винил; наполнение &ndash; бетон. Также занятия с гирями доставят удовольствие женщинам, так как помогут сбросить вес и обрести подтянутую фигуру.',	'2019-07-04 09:03:06',	NULL,	'',	5.0,	23,	'new.png',	'2019-07-18 09:10:39',	21,	720,	0,	0,	0,	0,	0,	0,	0,	0),
(211,	'ganteli-lifemaxx-8-kg',	15,	'Гантели Lifemaxx 8 кг',	'',	'<p><span style=\"color: #666666; font-family: \'Open Sans\', sans-serif; font-size: 12px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Гантели &ndash; широко известный универсальный снаряд с давней историей. Предназначена она для увеличения мышечной массы и выполнения силовых упражнений. Тренировки с гирей позволяют накачать бицепс, трицепс, мышцы спины, брюшного пресса, ягодичные мышцы. Имея дома один такой универсальный снаряд, вы можете обеспечить себя полноценной физической нагрузкой. Преимущество резиновых гирь с хромированной ручкой - нет необходимости оборудования страховочной поверхности на полу. Гири в резиновой оболочке прекрасно подходят для занятий как в спортивном зале, так и дома. Выбирать гирю необходимо в соответствии со своей физической формой и весом.</span></p>',	1,	211,	'Гантели Lifemaxx 8 кг',	'Гантели Lifemaxx 8 кг, Haibike, Товары для спорта',	'Гантели &ndash; широко известный универсальный снаряд с давней историей. Предназначена она для увеличения мышечной массы и выполнения силовых упражнений. Тренировки с гирей позволяют накачать бицепс, трицепс, мышцы спины, брюшного пресса, ягодичные мышцы. Имея дома один такой универсальный снаряд, вы можете обеспечить себя полноценной физической нагрузкой. Преимущество резиновых гирь с хромированной ручкой - нет необходимости оборудования страховочной поверхности на полу. Гири в резиновой оболочке прекрасно',	'2019-07-04 09:05:59',	NULL,	'',	0.0,	0,	'garant.png',	'2019-07-18 09:10:39',	21,	726,	0,	0,	0,	0,	0,	0,	0,	0),
(212,	'velotrenazher-housefit',	15,	'Велотренажер HouseFit',	'<ul>\r\n<li>Страна: <strong>США</strong></li>\r\n<li>Питание:<strong> батарея</strong></li>\r\n<li>Тип: <strong>классика</strong></li>\r\n</ul>',	'<p><span style=\"color: #666666; font-family: \'Open Sans\', sans-serif; font-size: 12px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Велотренажер HSF 8012. Механическая бесступенчатая регулируемая система нагрузки. Корпус с полированным лакокрасочным покрытием. Очень легкая и компактная конструкция. Регулируемое по высоте сиденье. Ножки с регулировкой для неровного пола. Компьютер: функции &ndash; скорость, потраченные калории, время, расстояние. В наличии цвета: оранжевый, синий.</span></p>',	1,	212,	'Велотренажер HouseFit',	'Велотренажер HouseFit, Haibike, Товары для спорта',	'Велотренажер HSF 8012. Механическая бесступенчатая регулируемая система нагрузки. Корпус с полированным лакокрасочным покрытием. Очень легкая и компактная конструкция. Регулируемое по высоте сиденье. Ножки с регулировкой для неровного пола. Компьютер: функции &ndash; скорость, потраченные калории, время, расстояние. В наличии цвета: оранжевый, синий.',	'2019-07-04 09:09:53',	NULL,	'',	5.0,	732,	'hit.png',	'2019-07-18 09:10:39',	21,	729,	0,	0,	0,	0,	0,	0,	0,	0),
(213,	'trenazher-dlya-myshts-plecha-marbo-sport-348',	15,	'Тренажер для мышц плеча MARBO-SPORT 348',	'<ul>\r\n<li>Цвет: <strong>черный</strong></li>\r\n<li>Назначение: <strong>руки, плечи</strong></li>\r\n<li>Габариты: <strong>139x140x147</strong></li>\r\n</ul>',	'<p><strong>Тренажер для мышц плеча Marbo-Sport MF-U007 (MF-U007-k1t4)</strong> &ndash; высококачественное, эффективное оборудование, предназначенное для проработки рук и плечевого пояса. Нагрузка на данной моделе основана на свободном весе. Конструкция тренажера изготовлена из толстостенного стального профиля, обеспечивающего надежность и безопасность. В качестве покрытия использована качественная порошковая краска, защищающая раму от коррозии. Регулировка высоты сиденья осуществляется быстро и легко при помощи специальных приводов. Для расположения олимпийских блинов, на оборудовании предусмотрены специальные посадочные места, которые покрыты полиамидом, препятствующим появление царапин, а также снижающие уровень шума при касании инвентаря о втулки. Благодаря трехступенчатой регулировке угла наклона спинки, спортсмен может увеличивать или уменьшать нагрузку. Ручки, имеют покрытие из прочного, противоскользящего вспененного полимера, гарантирующего качественное сцепление. Данное оборудование максимально устойчиво даже на не совсем ровной поверхности благодаря специальным компенсаторам неровности пола и резиновым накладкам на ножках. Тренажер прошел необходимое тестирование и имеет сертификат безопасности Европейского центра качества.<br /><br /><strong>Особенности тренажера:</strong></p>\r\n<ul>\r\n<li>силовой, на свободных весах;</li>\r\n<li>для коммерческого использования;</li>\r\n<li>оптимальное удобство и эффективность;</li>\r\n<li>безопасность при использовании;</li>\r\n<li>для проработки мышц рук и плечевого пояса;</li>\r\n<li>конструкция из высокопрочного стального профиля и цельнокроеных металлических пластин;</li>\r\n<li>обивка из высокотехнологичной синтетической кожи;</li>\r\n<li>резиновые накладки на ножках.&nbsp;<br /><br /></li>\r\n</ul>\r\n<p><strong>Характеристики:</strong><br /><strong>&nbsp;Тип:</strong> силовой тренажер;<br /><strong>&nbsp;Вид:</strong> для горизонтального жима;<br /><strong>&nbsp;Нагрузка:</strong> на свободных весах;<br /><strong>&nbsp;Назначение:</strong> руки, плечи;<br /><strong>&nbsp;Профили: </strong>100х50x3 мм;<br /><strong>&nbsp;Общий вес тренажера:</strong> 121 кг;<br /><strong>&nbsp;Нагрузка: </strong>до 400 кг;<br /><strong>&nbsp;Габариты: </strong>139х140х147 см.<br /><br /><strong>Производитель:</strong> Marbo-Sport (Польша).<br />Торговая марка Marbo-Sport была основана более 30 лет назад в Польше, городе Страховице. Компания специализируется на производстве высококачественного спортивного оборудования. Ассортимент товаров бренда представлен стойками, скамьями, силовыми станциями, многофункциональными турниками, мультистанциями и многими другими тренажерами и аксессуарами к ним. Продукция Marbo-Sport отличается высоким качеством, надежностью и безопасностью, проходит обязательное тестирование и имеет длительную гарантию.</p>',	1,	213,	'Тренажер для мышц плеча MARBO-SPORT 348',	'Тренажер для мышц плеча MARBO-SPORT 348, Haibike, Товары для спорта',	'Тренажер для мышц плеча Marbo-Sport MF-U007 (MF-U007-k1t4)  &ndash; высококачественное, эффективное оборудование, предназначенное для проработки рук и плечевого пояса. Нагрузка на данной моделе основана на свободном весе. Конструкция тренажера изготовлена из толстостенного стального профиля, обеспечивающего надежность и безопасность. В качестве покрытия использована качественная порошковая краска, защищающая раму от коррозии. Регулировка высоты сиденья осуществляется быстро и легко при помощи специальных пр',	'2019-07-04 09:24:36',	1,	'',	5.0,	5473,	'',	'2019-10-23 14:56:53',	21,	732,	0,	0,	0,	0,	0,	0,	0,	0),
(214,	'giroskuter-ninedrop-by-segway-34-belyj',	15,	'Гироскутер NINEDROP BY SEGWAY 34, БЕЛЫЙ',	'<ul>\r\n<li>Цвет: <strong>белый</strong></li>\r\n<li>Запас хода: <strong>30км</strong></li>\r\n<li>Вес: <strong>3.8кг</strong></li>\r\n<li>Диаметр: <strong>10дюймов</strong></li>\r\n</ul>',	'<p><strong>Гироскутер Ninebot by Segway MiniPro 320,&nbsp;белый </strong>- невероятно удобная и простая в эксплуатации модель. Эргономичный дизайн и умные датчики облегчают поездку и делают ее безопасней. Рулевая ручка регулируется по высоте под пользователя, а также используется для транспортировки. Защита IP54 позволит передвигаться во время дождя или же по пыльной дороге. Гироскутер идеально приспособлен к городским условиям, так как инженеры оснастили его алгоритмом динамического питания, который определяет наклоны, препятствия и автоматически регулирует мощность. Персональный транспорт может быть синхронизирован со смартфоном для удобного дистанционного управления, определения динамики движения и диагностики неполадок. LED-подсветка выполняет декоративную функцию и сигнализирует о движении: синий - движение вперед, мигание желтого - поворот, красный - торможение. Рама выполнена из мaгниевого сплава, кoторый обеспечивaет прочность конcтрукции и имеет небoльшой вес. Компактные размеры позволяют с легкостью транспортировать гироскутер в общественном транспорте или же в багажнике автомобиля.</p>\r\n<p>&nbsp;</p>\r\n<p><strong>Особенности</strong>:</p>\r\n<ul>\r\n<li>стильный дизайн;</li>\r\n<li>увеличенные колеса;</li>\r\n<li>LED-подсветка;</li>\r\n<li>цветовая сигнализация о движении;</li>\r\n<li>система идентификации;</li>\r\n<li>безопасное передвижение;</li>\r\n<li>ручка для управления и переноски;</li>\r\n<li>синхронизация со смартфоном;</li>\r\n<li>мобильное приложение;</li>\r\n<li>дистанционное управление;</li>\r\n<li>пыле- и влагозащитный корпус;</li>\r\n<li>длительная работа на одном заряде;</li>\r\n<li>мощный электромотор;</li>\r\n<li>удлинитель для подкачки колес;</li>\r\n<li>компактные размеры;</li>\r\n<li>прочный корпус.</li>\r\n</ul>\r\n<p>&nbsp;</p>\r\n<p><strong>Характеристики</strong>:<br />&nbsp;<strong>Тип</strong>: гироскутер; <br />&nbsp;<strong>Возрастная категория</strong>: 16 - 60 лет; <br />&nbsp;<strong>Рекомендyемый рост</strong>: 120 - 200 см; <br />&nbsp;<strong>Диаметр кoлес</strong>: 10,5\"; <br />&nbsp;<strong>Скорость мах</strong>: 18 км/ч; <br />&nbsp;<strong>Угoл нaклoна</strong>: до 15 градусов; <br />&nbsp;<strong>Мощность</strong>: 1600 Вт; <br />&nbsp;<strong>Батарея</strong>: Li-ion 310 Вт-ч; <br />&nbsp;<strong>Запас хoда</strong>: до 30 км; <br />&nbsp;<strong>Врeмя полоной зарядки</strong>: 4 ч; <br />&nbsp;<strong>Нагрузка</strong>: до 100 кг; <br />&nbsp;<strong>Защита</strong>: IP54; <br />&nbsp;<strong>Беспроводная связь</strong>: Bluetоoth; <br />&nbsp;<strong>Размeр</strong>: 54,6x26,2x61,1-86,6 см; <br />&nbsp;<strong>Вeс</strong>: 12,8 кг; <br />&nbsp;<strong>Цвeт</strong>: белый; <br />&nbsp;<strong>Гарaнтия</strong>: 12 месяцев.</p>',	1,	214,	'Гироскутер NINEDROP BY SEGWAY 34, БЕЛЫЙ',	'Гироскутер NINEDROP BY SEGWAY 34, БЕЛЫЙ, Haibike, Товары для спорта',	'Гироскутер Ninebot by Segway MiniPro 320, белый  - невероятно удобная и простая в эксплуатации модель. Эргономичный дизайн и умные датчики облегчают поездку и делают ее безопасней. Рулевая ручка регулируется по высоте под пользователя, а также используется для транспортировки. Защита IP54 позволит передвигаться во время дождя или же по пыльной дороге. Гироскутер идеально приспособлен к городским условиям, так как инженеры оснастили его алгоритмом динамического питания, который определяет наклоны, препятстви',	'2019-07-04 09:40:19',	NULL,	'',	0.0,	0,	'garant.png',	'2019-07-18 09:10:39',	21,	735,	0,	0,	0,	0,	0,	0,	0,	0),
(215,	'girobord-56gta-102-10-power',	15,	'Гироборд 56GTA 102 10” POWER',	'<ul>\r\n<li>Цвет: <strong>красный</strong></li>\r\n<li>Запас хода: <strong>30км</strong></li>\r\n<li>Вес: 1<strong>3.8кг</strong></li>\r\n<li>Диаметр: <strong>10дюймов</strong></li>\r\n</ul>',	'<p><strong>Гироборд 2Е HB 102 10&rdquo; Power, серо-красный (2E-HB102-10P-GR) </strong>- совpеменное решение для пeредвижения по городу или прогулок. Гироскутер оборудован 10\" колесами с шиpокими покрышками, кoторые обеспечивают отличнyю проходимoсть. Заряда батареи хватает на 16 чаcов активной pаботы. Прорезиненные подножки обеспечивают отличное сцепление с обувью и устойчивость. Персональный транспорт это oтличная альтернатива pоликам или скейту. Также модель оборудована LED-диcплеем с подсвeткой.</p>\r\n<p><strong>Особенности</strong>:</p>\r\n<ul>\r\n<li>прочная конструкция;</li>\r\n<li>стильный дизайн;</li>\r\n<li>широкие колеса;</li>\r\n<li>отличная проходимость;</li>\r\n<li>мощная батарея;</li>\r\n<li>нескользящие подножки;</li>\r\n<li>автобалансировка;</li>\r\n<li>LED-дисплей.</li>\r\n</ul>\r\n<p><strong>Характеристики</strong>:<br />&nbsp;<strong>Ти</strong><strong>п</strong>: гиpоборд; <br />&nbsp;<strong>Скорость</strong> <strong>мах</strong>: 12 км/ч; <br />&nbsp;<strong>Диаметр колес</strong>: 10\"; <br />&nbsp;<strong>Мощноcть</strong>: 700 Вт (2 x 350 Вт); <br />&nbsp;<strong>Батарея</strong>: Li-ion 158 Вт*ч; <br />&nbsp;<strong>Длительность работы</strong>: до 16 ч; <br />&nbsp;<strong>Время полоной зарядки</strong>: 130 мин; <br />&nbsp;<strong>Размер</strong>: 73 х 28 х 30 см; <br />&nbsp;<strong>Веc</strong>: 13,5 кг; <br />&nbsp;<strong>Цвет</strong>: серый, красный; <br />&nbsp;<strong>Гаpантия</strong>: 12 меcяцев.</p>',	1,	215,	'Гироборд 56GTA 102 10” POWER',	'Гироборд 56GTA 102 10” POWER, Haibike, Товары для спорта',	'Гироборд 2Е HB 102 10&rdquo; Power, серо-красный (2E-HB102-10P-GR)  - совpеменное решение для пeредвижения по городу или прогулок. Гироскутер оборудован 10\" колесами с шиpокими покрышками, кoторые обеспечивают отличнyю проходимoсть. Заряда батареи хватает на 16 чаcов активной pаботы. Прорезиненные подножки обеспечивают отличное сцепление с обувью и устойчивость. Персональный транспорт это oтличная альтернатива pоликам или скейту. Также модель оборудована LED-диcплеем с подсвeткой. \r\n  Особенности : \r\n \r\n пр',	'2019-07-04 09:48:29',	NULL,	'',	0.0,	0,	'new.png',	'2019-07-18 09:10:39',	21,	737,	0,	0,	0,	0,	0,	0,	0,	0),
(216,	'fitness-treker-soushtrack-ifat-active-3-v-1',	15,	'Фитнесс-трекер SOUSHTRACK IFaT ACTIVE 3 В 1',	'<ul>\r\n<li>Цвет: <strong>черный</strong></li>\r\n<li>Тип: <strong>smart часы</strong></li>\r\n<li>Разъём: <strong>microUSB</strong></li>\r\n<li>Гарантия: <strong>12 мес</strong></li>\r\n</ul>',	'<p class=\"MsoNormal\"><strong>Фитнес-трекер NordicTrack iFit Active 3 в 1 </strong>&ndash; очень полезный умный гаджет людям живущим активной спортивной жизнью. Данный умный девайс поможет Вам упорядочить свои спортивные нагрузки, а также проанализировать полученные результаты с помощью устройств с ОС <span lang=\"EN-US\">IOS </span>или<span lang=\"EN-US\"> Android</span>.</p>\r\n<p>Данное устройство поможет вам подсчитать съеденные калории, благодаря встроенной библиотеке блюд, что поможет вам построить правильную диету во время тренировочных нагрузок, кроме этого устройство умеет считывать параметры вашего организма во время сна, и подбирает самое удачное время для вашего пробуждения. Еще одним достоинством является сопряжение устройства с системой Fit Active, где вы можете общаться и обмениваться своими результатами с другими пользователями.</p>\r\n<p><strong>Особенности:</strong></p>\r\n<p>- яркий экран;</p>\r\n<p>- полная совместимость с устройствами <span lang=\"EN-US\">IOS </span>или<span lang=\"EN-US\"> Android</span>;</p>\r\n<p>- отображение количества пройдённых &nbsp;шагов, дистанции, сколько было сожжено калорий, время и качества сна<br /><br /></p>\r\n<p>NordicTrack &ndash; Американский бренд, составная часть группы компаний&nbsp; ICON Health&amp;Fitness, производитель с 40 летней репутацией, и огромнейшим количеством моделей. Больше 35 лет этот бренд известен своим оборудованием предназаначеным для оздоровления и фитнеса. На сегодня&nbsp; компания не останавливается на достигнутых результатах, постоянно исследуя и применяя инновации в своей продукции. Простота конструкций, эффективность, качество и уникальные решения в проектировке &ndash; быстро завоевали симпатии клиентов и принесли компании узнаваемость и признание во всем мире.</p>',	1,	216,	'Фитнесс-трекер SOUSHTRACK IFaT ACTIVE 3 В 1',	'Фитнесс-трекер SOUSHTRACK IFaT ACTIVE 3 В 1, Haibike, Товары для спорта',	'Фитнес-трекер NordicTrack iFit Active 3 в 1  &ndash; очень полезный умный гаджет людям живущим активной спортивной жизнью. Данный умный девайс поможет Вам упорядочить свои спортивные нагрузки, а также проанализировать полученные результаты с помощью устройств с ОС  IOS  или  Android . \r\n Данное устройство поможет вам подсчитать съеденные калории, благодаря встроенной библиотеке блюд, что поможет вам построить правильную диету во время тренировочных нагрузок, кроме этого устройство умеет считывать параметры ',	'2019-07-04 09:56:20',	1,	'',	0.0,	0,	'',	'2019-07-18 09:10:39',	21,	739,	0,	0,	0,	0,	0,	0,	0,	0),
(217,	'ekshn-kamera-thieye-t5-edge',	15,	'Экшн-камера ThiEYE T5 Edge',	'<ul>\r\n<li>Матрица: CMOS</li>\r\n<li>Диагональ: 2 дюйма</li>\r\n<li>Формат: <span style=\"color: #000000; font-family: Helvetica, Arial, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 300; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">AVC (H.264/MPEG-4), MP4</span></li>\r\n</ul>',	'<h2 class=\"pd_prop_h2\" style=\"font-size: initial; font-weight: initial; color: #000000; font-family: Helvetica, Arial, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial; margin: initial initial 16px initial;\"><span class=\"pd_prop-val\" style=\"color: #000000; font-weight: initial; padding: initial; margin-top: 16px; font-size: 14px;\">Голосовое дистанционное управление (поддерживается только английское произношение, встроенная 1 x 3 В CR1632 батарея): прозвучат простые голосовые команды на пульте дистанционного управления или нажмите кнопку на пульте дистанционного управления, и вы можете управлять своей камерой. Удивительная технология голосовых команд дает вам свободный контроль над вашим T5 Edge. Родное видео с разрешением 4K 30 кадров в секунду: запись видео высокой четкости с разрешением 4K 30 кадров в секунду и захват действия более подробно. Встроенный 2-дюймовый экран ульта HD IPS: больше, чем предыдущее поколение, для легкой настройки камеры, просмотра и воспроизведения видео и фотографий. 14 Mп фото, различные режимы фото: одиночная съемка, автоспуск, фотосъемка, фотоснимок и длительная экспозиция. Стабилизатор гироскопа (EIS при 4K и 1080P): минимизировать размытие и компенсировать дрожание устройства, чтобы обеспечить четкие и стабильные изображения. Поворотные крепления на 360 градусов и резьбовая вставка 1/4 дюйма. Уникальный поворот на 360 градусов позволяет вам регулировать различные углы съемки, а резьбовая вставка 1/4 дюйма автоматически соединяется с штативом или самоуправляемой рукояткой. Коррекция искажений: уменьшите или устраните искажения, чтобы получить более естественный эффект съемки. Длительное воздействие: вы можете записывать орбиты съемок, водопады, водителя автомобиля из-за продления времени экспозиции. Водонепроницаемость до 60 м: оснащен профессиональным водонепроницаемым корпусом IP68, водонепроницаемый T5 Edge до 60 м. APP для дистанционного управления, редактирования и совместного использования: Подключите устройства Android или iOS к камере действия через ThiEYE Cam APP (затем загрузите с официального сайта http://www.thieye.com), затем вы можете настроить камеру, просматривать, редактировать и делиться своими видео и фотографиями.</span></h2>',	1,	217,	'Экшн-камера ThiEYE T5 Edge',	'Экшн-камера ThiEYE T5 Edge, Haibike, Товары для спорта',	'Голосовое дистанционное управление (поддерживается только английское произношение, встроенная 1 x 3 В CR1632 батарея): прозвучат простые голосовые команды на пульте дистанционного управления или нажмите кнопку на пульте дистанционного управления, и вы можете управлять своей камерой. Удивительная технология голосовых команд дает вам свободный контроль над вашим T5 Edge. Родное видео с разрешением 4K 30 кадров в секунду: запись видео высокой четкости с разрешением 4K 30 кадров в секунду и захват действия боле',	'2019-07-04 10:09:51',	0,	'',	5.0,	3427,	'akciya.png',	'2019-07-18 09:10:39',	21,	741,	0,	0,	0,	0,	0,	0,	0,	0),
(218,	'ekshn-kamera-thieye-t34-edge',	15,	'Экшн-камера ThiEYE T34 Edge',	'<ul>\r\n<li>Матрица: CMOS</li>\r\n<li>Диагональ: 2 дюйма</li>\r\n<li>Формат: <span style=\"color: #000000; font-family: Helvetica, Arial, sans-serif; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 300; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">AVC (H.264/MPEG-4), MP4</span></li>\r\n</ul>',	'<h2 class=\"pd_prop_h2\" style=\"font-size: initial; font-weight: initial; color: #000000; font-family: Helvetica, Arial, sans-serif; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: #ffffff; text-decoration-style: initial; text-decoration-color: initial; margin: initial initial 16px initial;\"><span class=\"pd_prop-val\" style=\"color: #000000; font-weight: initial; padding: initial; margin-top: 16px; font-size: 14px;\">Голосовое дистанционное управление (поддерживается только английское произношение, встроенная 1 x 3 В CR1632 батарея): прозвучат простые голосовые команды на пульте дистанционного управления или нажмите кнопку на пульте дистанционного управления, и вы можете управлять своей камерой. Удивительная технология голосовых команд дает вам свободный контроль над вашим T5 Edge. Родное видео с разрешением 4K 30 кадров в секунду: запись видео высокой четкости с разрешением 4K 30 кадров в секунду и захват действия более подробно. Встроенный 2-дюймовый экран ульта HD IPS: больше, чем предыдущее поколение, для легкой настройки камеры, просмотра и воспроизведения видео и фотографий. 14 Mп фото, различные режимы фото: одиночная съемка, автоспуск, фотосъемка, фотоснимок и длительная экспозиция. Стабилизатор гироскопа (EIS при 4K и 1080P): минимизировать размытие и компенсировать дрожание устройства, чтобы обеспечить четкие и стабильные изображения. Поворотные крепления на 360 градусов и резьбовая вставка 1/4 дюйма. Уникальный поворот на 360 градусов позволяет вам регулировать различные углы съемки, а резьбовая вставка 1/4 дюйма автоматически соединяется с штативом или самоуправляемой рукояткой. Коррекция искажений: уменьшите или устраните искажения, чтобы получить более естественный эффект съемки. Длительное воздействие: вы можете записывать орбиты съемок, водопады, водителя автомобиля из-за продления времени экспозиции. Водонепроницаемость до 60 м: оснащен профессиональным водонепроницаемым корпусом IP68, водонепроницаемый T5 Edge до 60 м. APP для дистанционного управления, редактирования и совместного использования: Подключите устройства Android или iOS к камере действия через ThiEYE Cam APP (затем загрузите с официального сайта http://www.thieye.com), затем вы можете настроить камеру, просматривать, редактировать и делиться своими видео и фотографиями.</span></h2>',	1,	218,	'Экшн-камера ThiEYE T34 Edge',	'Экшн-камера ThiEYE T34 Edge, Haibike, Товары для спорта',	'Голосовое дистанционное управление (поддерживается только английское произношение, встроенная 1 x 3 В CR1632 батарея): прозвучат простые голосовые команды на пульте дистанционного управления или нажмите кнопку на пульте дистанционного управления, и вы можете управлять своей камерой. Удивительная технология голосовых команд дает вам свободный контроль над вашим T5 Edge. Родное видео с разрешением 4K 30 кадров в секунду: запись видео высокой четкости с разрешением 4K 30 кадров в секунду и захват действия боле',	'2019-07-04 10:10:36',	0,	'',	5.0,	3427,	'akciya.png',	'2019-07-18 09:10:39',	21,	745,	0,	0,	0,	0,	0,	0,	0,	0),
(219,	'elektrovelosiped-haibike-sduro-fullseven-90-i500wh-12-g-nx-2018',	15,	'Электровелосипед Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2018',	'<ul>\r\n<li>Тип: <strong>горный</strong></li>\r\n<li>Диаметр: <strong>25.5 дюйма</strong></li>\r\n<li>Вес: <strong>25.8 кг</strong></li>\r\n</ul>',	'<p><span style=\"color: #333333; font-family: \'Open Sans\', Arial, sans-serif; font-size: 13px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; text-decoration-style: initial; text-decoration-color: initial; display: inline !important; float: none;\">Модель Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2019 предназначена как для агрессивного катания по лесным трассам, так и для неторопливых прогулок по живописным маршрутам. Основная особенность модели - мощный электромотор, который поможет без труда заехать в сложный подъем или преодолеть длительный трансфер от одной трассы к другой. Рама велосипед изготовлена из алюминиевого сплава с применением технологии гидроформинга, что позволило сделать велосипед легким и прочным. Модель оснащена двумя амортизаторами, которые позволят настроить байк под любую трассу. За переключение передач отвечает оборудование Sram NX Eagle.</span></p>',	1,	206,	'Электровелосипед Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2018',	'Электровелосипед Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2018, Haibike, Товары для спорта',	'Модель Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2019 предназначена как для агрессивного катания по лесным трассам, так и для неторопливых прогулок по живописным маршрутам. Основная особенность модели - мощный электромотор, который поможет без труда заехать в сложный подъем или преодолеть длительный трансфер от одной трассы к другой. Рама велосипед изготовлена из алюминиевого сплава с применением технологии гидроформинга, что позволило сделать велосипед легким и прочным. Модель оснащена двумя амортизаторам',	'2019-07-04 10:11:36',	0,	'',	5.0,	63,	'garant.png',	'2019-07-07 21:23:45',	21,	749,	0,	0,	0,	0,	0,	0,	0,	0),
(220,	'tsd-motorola-zebrasymbol-mc9200',	0,	'ТСД Motorola (Zebra/Symbol) MC9200',	'<ul>\r\n<li>Сканер: <strong>2D Imager PRZM</strong></li>\r\n<li>Система: <strong>Android 4.4.4</strong></li>\r\n<li>Память: <strong>2 ГБайт Flash</strong></li>\r\n<li>Интерфейс: <strong>USB</strong></li>\r\n</ul>',	'',	1,	220,	'ТСД Motorola (Zebra/Symbol) MC9200',	'ТСД Motorola (Zebra/Symbol) MC9200, Товары для бизнеса',	'',	'2019-07-04 13:33:51',	NULL,	'',	4.9,	573,	'hit.png',	'2019-07-18 09:10:39',	17,	753,	0,	0,	0,	0,	0,	0,	0,	0),
(221,	'skaner-jepod-jp-m234',	0,	'Сканер Jepod JP-M234',	'<ul>\r\n<li>Сканер: <strong>лазерный</strong></li>\r\n<li>Система: <strong>Android 3.2.1</strong></li>\r\n<li>Память: <strong>1 ГБайт Flash</strong></li>\r\n<li>Частота: <strong>433МГц</strong></li>\r\n</ul>',	'',	1,	221,	'Сканер Jepod JP-M234',	'Сканер Jepod JP-M234, Товары для бизнеса',	'',	'2019-07-04 13:35:57',	0,	'',	4.6,	573,	'',	'2019-10-23 14:56:32',	17,	759,	0,	0,	0,	0,	0,	0,	0,	0),
(222,	'printer-chekov-etiketok-jprt-lq258',	0,	'Принтер чеков-этикеток JPRT LQ258',	'<ul>\r\n<li>Разрешение: <strong>203 dpi<br /></strong></li>\r\n<li>Система: <strong>Android 3.2.1</strong></li>\r\n<li>Память: <strong>1 МБ SDRAM<br /></strong></li>\r\n<li>Материал: <strong>термобумага</strong></li>\r\n</ul>',	'',	1,	222,	'Принтер чеков-этикеток JPRT LQ258',	'Принтер чеков-этикеток JPRT LQ258, Товары для бизнеса',	'',	'2019-07-04 13:41:19',	0,	'',	4.6,	573,	'',	'2019-10-23 14:56:23',	17,	763,	0,	0,	0,	0,	0,	0,	0,	0),
(223,	'pos-terminal-sam4s-titan-s-260',	0,	'POS-терминал Sam4s Titan-S 260',	'<ul>\r\n<li>Дисплей: <strong>15\" LED<br /></strong></li>\r\n<li>Процессор:&nbsp;<strong>Intel Quad</strong></li>\r\n<li>Память: <strong>4 ГБ DDR3</strong></li>\r\n<li>ОС:&nbsp;<strong>Windows 7</strong></li>\r\n</ul>',	'',	1,	223,	'POS-терминал Sam4s Titan-S 260',	'POS-терминал Sam4s Titan-S 260, Товары для бизнеса',	'',	'2019-07-04 13:48:46',	0,	'',	4.9,	42,	'',	'2019-10-23 14:56:15',	17,	767,	0,	0,	0,	0,	0,	0,	0,	0),
(224,	'schetchik-banknot-dors-800',	0,	'Счетчик банкнот DORS 800',	'<ul>\r\n<li>Скорость: <strong>600/900</strong></li>\r\n<li>Дисплей:&nbsp;<strong>цветной</strong></li>\r\n<li>Вместимость:&nbsp;<strong>800</strong></li>\r\n</ul>',	'<div class=\"voxes\">\r\n<div><span style=\"color: #000000;\"><span style=\"font-size: 14px;\"><span style=\"font-family: arial,helvetica,sans-serif;\"><strong>Dors 800</strong> &ndash; многофункциональный мультивалютный счётчик-сортировщик банковского класса. Подходит для решения любых задач по обработке наличности. Может работать с 70 видами различных валют, в том числе с гривнами, рублями РФ, евро и долларами США. Одновременно с пересчётом осуществляется проверка и сортировка банкнот. Доступно 4 скорости пересчёта </span></span></span><span style=\"font-size: 14px;\"><span style=\"font-family: arial,helvetica,sans-serif;\">- 600, 900, 1200, 1500 банкнот за минуту. В подающий карман помещается до 800 банкнот, в приёмный &ndash; до 200.</span></span></div>\r\n<div>&nbsp;</div>\r\n<div><strong><span style=\"color: #000000;\"><span style=\"font-size: 14px;\"><span style=\"font-family: arial,helvetica,sans-serif;\">Сортировка валют</span></span></span></strong></div>\r\n<div><span style=\"color: #000000;\"><span style=\"font-size: 14px;\"><span style=\"font-family: arial,helvetica,sans-serif;\">Определение валюты происходит по первой посчитанной купюре. Благодаря наличию отбраковочного кармана пересчёт и сортировка осуществляется безостановочно. Запуск отсчёта может проводиться в ручном или автоматическом режиме. Данный параметр задаётся в настройках счётчика.</span></span></span></div>\r\n<div>&nbsp;</div>\r\n<div><strong><span style=\"color: #000000;\"><span style=\"font-size: 14px;\"><span style=\"font-family: arial,helvetica,sans-serif;\">Три режима пересчёта</span></span></span></strong></div>\r\n<div><span style=\"color: #000000;\"><span style=\"font-size: 14px;\"><span style=\"font-family: arial,helvetica,sans-serif;\">Режим &laquo;СЧЁТ&raquo; &ndash; самый простой, он позволяет выполнять отсчёт количества банкнот. В режиме &laquo;МИКС&raquo; можно работать со смешанными пачками одной валюты. Счётчик Dors 800 автоматически определяет номинал и просчитывает купюры любой ориентации. По завершению пересчёта на дисплее отображается детализированный отчёт по каждому паритету. Режим &laquo;НОМИНАЛ&raquo; используется для пересчёта банкнот одной номинальной стоимости независимо от ориентации. Данный режим позволяет отсортировывать купюры одного номинала, в то время как другие номиналы накапливаются в реджект кармане. При необходимости, можно задавать количество отсчитываемых купюр, что особенно удобно при формировании пачек.</span></span></span></div>\r\n<div>&nbsp;</div>\r\n<div><strong><span style=\"color: #000000;\"><span style=\"font-size: 14px;\"><span style=\"font-family: arial,helvetica,sans-serif;\">Экспертный уровень проверки</span></span></span></strong></div>\r\n<div><span style=\"color: #000000;\"><span style=\"font-size: 14px;\"><span style=\"font-family: arial,helvetica,sans-serif;\">Счётчик банкнот Dors 800 обеспечивает девять видов проверки подлинности. Распознаёт 4 машиночитаемых признака подлинности &ndash; по образу банкноты в видимом диапазоне, ИК-диапазоне, магнитным меткам, отсутствию фонового свечения банкнотной бумаги в УФ-диапазоне. Также проверка осуществляется по оптической плотности, геометрическим размерам банкнот, сдвоенности и целостности.</span></span></span></div>\r\n<div>&nbsp;</div>\r\n<div><strong><span style=\"color: #000000;\"><span style=\"font-size: 14px;\"><span style=\"font-family: arial,helvetica,sans-serif;\">Возможность обновления системы</span></span></span></strong></div>\r\n<div><span style=\"color: #000000;\"><span style=\"font-size: 14px;\"><span style=\"font-family: arial,helvetica,sans-serif;\">Счётчик валют Dors 800 может обновляться путём подключения к ПК (через <strong>USB</strong>), имеющего доступ к интернету. Специальное приложение обращается к серверу, находит обновление и устанавливает его. По завершению обновления устройство готово к работе. Периодическое обновление ПО для любого счётчика очень важно, так как технологии подделки денежных знаков постоянно усовершенствуются.</span></span></span></div>\r\n<div>&nbsp;</div>\r\n<div><strong><span style=\"color: #000000;\"><span style=\"font-size: 14px;\"><span style=\"font-family: arial,helvetica,sans-serif;\">Подключение дополнительного оборудования</span></span></span></strong></div>\r\n<div><span style=\"color: #000000;\"><span style=\"font-size: 14px;\"><span style=\"font-family: arial,helvetica,sans-serif;\">К счётчику-сортировщику Dors 800 могут подключаться устройства различного типа &ndash; выносные дисплеи (Dors 85 и Dors 90), чековые принтеры, системы видеонаблюдений. Выносной дисплей может быть востребован на операционной кассе. Его разворачивают в сторону клиента, чтобы он мог убедиться в правильности пересчитываемой суммы. После пересчёта Dors 800 может передавать данные о просчитанных банкнотах на чековый принтер. Совместимость с ЧЕКТВ БАНК позволяет контролировать все операции, выполняемые кассиром.</span></span></span></div>\r\n<div>&nbsp;</div>\r\n<div><strong><span style=\"color: #000000;\"><span style=\"font-size: 14px;\"><span style=\"font-family: arial,helvetica,sans-serif;\">Сенсорный дисплей</span></span></span></strong></div>\r\n<div><span style=\"color: #000000;\"><span style=\"font-size: 14px;\"><span style=\"font-family: arial,helvetica,sans-serif;\">Интерфейс Dors 800 позволяет кассиру быстро решать любые задачи по обработке наличности. Устройство оборудовано цветным сенсорным дисплеем диагональю 4,3 дюйма. Настройка нужных параметров осуществляется легко. Технология &laquo;Touchscreen&raquo; обеспечивает возможность переключения режимов работы в одно касание.</span></span></span></div>\r\n<div>&nbsp;</div>\r\n<div><strong><span style=\"color: #000000;\"><span style=\"font-size: 14px;\"><span style=\"font-family: arial,helvetica,sans-serif;\">Надёжная конструкция</span></span></span></strong></div>\r\n<div><span style=\"color: #000000;\"><span style=\"font-size: 14px;\"><span style=\"font-family: arial,helvetica,sans-serif;\">Части корпуса, подверженные наибольшим нагрузкам, изготовлены из ударопрочного пластика с добавлением карбонового волокна. Механизм пересчёта хорошо отлажен, захват банкнот осуществляется чётко и бережно. В случае проникновения в механизм инородного предмета, например скрепки, процесс пересчёта приостанавливается во избежание повреждения банкнот.<span id=\"ctrlcopy\"></span></span></span></span></div>\r\n</div>',	1,	224,	'Счетчик банкнот DORS 800',	'Счетчик банкнот DORS 800, Товары для бизнеса',	'Dors 800  &ndash; многофункциональный мультивалютный счётчик-сортировщик банковского класса. Подходит для решения любых задач по обработке наличности. Может работать с 70 видами различных валют, в том числе с гривнами, рублями РФ, евро и долларами США. Одновременно с пересчётом осуществляется проверка и сортировка банкнот. Доступно 4 скорости пересчёта      - 600, 900, 1200, 1500 банкнот за минуту. В подающий карман помещается до 800 банкнот, в приёмный &ndash; до 200.   \r\n   \r\n     Сортировка валют     \r\n ',	'2019-07-04 13:58:28',	0,	'',	4.6,	73,	'',	'2019-10-23 14:56:07',	17,	771,	0,	0,	0,	0,	0,	0,	0,	0),
(225,	'royal-canin-maine-coon-adult-suhoj-korm-dlya-kotov-porody-mejn-kun',	16,	'Royal Canin Maine Coon Adult сухой корм для котов породы мейн-кун',	'<ul>\r\n<li>Вес: <strong>10г</strong></li>\r\n<li>Тип: <strong>Сухой корм</strong></li>\r\n<li>Класс: <strong>Супер премиум</strong></li>\r\n</ul>',	'<p><strong>СПЕЦИАЛЬНО ДЛЯ КОШЕК С БОЛЬШИМИ ЧЕЛЮСТЯМИ</strong><br /><br />Специально разработанные крокеты кубической формы, которые адаптированы к большим квадратным челюстям кошек породы мейн-кун. Уникальная форма крокет стимулирует животное к их разгрызанию, что способствует поддержанию гигиены ротовой полости.<br /><br /><strong>ЭКСКЛЮЗИВНАЯ ФОРМУЛА:</strong><br /><br />Таурин и омега-3 жирные кислоты<br /><br /><strong>ЗДОРОВЬЕ СУСТАВОВ</strong><br /><br />Вследствие большого размера и веса кошки породы мейн-кун ее суставы подвергаются значительной нагрузке на протяжении всей жизни животного. Формула рациона способствует поддержанию здорового состояния костей и суставов. Рацион обогащен омега-3 жирными кислотами (ЭПК и ДГК).<br /><br /><strong>ЗДОРОВЬЕ СЕРДЦА</strong><br /><br />Рацион обогащен такими питательными веществами, как таурин, ЭПК и ДГК, которые способствуют поддержанию здоровой работы сердца.<br /><br /><strong>ЗДОРОВЬЕ КОЖИ И БЛЕСК ШЕРСТИ</strong><br /><br />Серосодержащие аминокислоты, витамины, омега-3 и омега-6 жирные кислоты способствуют поддержанию здоровья кожи и блеска шерсти.<br /><br /><strong>ЗДОРОВЬЕ МОЧЕВЫДЕЛИТЕЛЬНОЙ СИСТЕМЫ</strong><br /><br />Соответствующий баланс минеральных веществ в рационе способствует поддержанию здоровья мочевыделительной системы взрослых кошек.<br /><br />Мейн-кун<br /><br />Мейн-кун является крупнейшим и самым длинным котом в мире, благодаря чему он производит впечатление чрезвычайной мощи и силы. Мейн-кун может достигать 1 м в длину (вместе с хвостом), а вес котов этой породы может достигать 10-12 кг. Учитывая большой размер и тяжелый костяк особое внимание следует уделять защите суставов кошек этой породы.</p>',	1,	225,	'Royal Canin Maine Coon Adult сухой корм для котов породы мейн-кун',	'Royal Canin Maine Coon Adult сухой корм для котов породы мейн-кун, Royal Canin, Товары для животных',	'СПЕЦИАЛЬНО ДЛЯ КОШЕК С БОЛЬШИМИ ЧЕЛЮСТЯМИ   Специально разработанные крокеты кубической формы, которые адаптированы к большим квадратным челюстям кошек породы мейн-кун. Уникальная форма крокет стимулирует животное к их разгрызанию, что способствует поддержанию гигиены ротовой полости.   ЭКСКЛЮЗИВНАЯ ФОРМУЛА:   Таурин и омега-3 жирные кислоты   ЗДОРОВЬЕ СУСТАВОВ   Вследствие большого размера и веса кошки породы мейн-кун ее суставы подвергаются значительной нагрузке на протяжении всей жизни животного. Формула',	'2019-07-05 09:56:07',	NULL,	'',	5.0,	462,	'hit.png',	'2019-07-18 09:10:39',	24,	774,	0,	0,	0,	0,	0,	0,	0,	0),
(226,	'royal-canin-persian-adult-suhoj-korm-dlya-kotov-persidskoj-porody',	16,	'Royal Canin Persian Adult сухой корм для котов персидской породы',	'<ul>\r\n<li>Вес: <strong>11г</strong></li>\r\n<li>Тип: <strong>Сухой корм</strong></li>\r\n<li>Класс: <strong>Супер премиум</strong></li>\r\n</ul>',	'<p><strong>СПЕЦИАЛЬНО ДЛЯ КОШЕК С БОЛЬШИМИ ЧЕЛЮСТЯМИ</strong><br /><br />Специально разработанные крокеты кубической формы, которые адаптированы к большим квадратным челюстям кошек породы британская. Уникальная форма крокет стимулирует животное к их разгрызанию, что способствует поддержанию гигиены ротовой полости.<br /><br /><strong>ЭКСКЛЮЗИВНАЯ ФОРМУЛА:</strong><br /><br />Таурин и омега-3 жирные кислоты<br /><br /><strong>ЗДОРОВЬЕ СУСТАВОВ</strong><br /><br />Вследствие большого размера и веса кошки породы персидский ее суставы подвергаются значительной нагрузке на протяжении всей жизни животного. Формула рациона способствует поддержанию здорового состояния костей и суставов. Рацион обогащен омега-3 жирными кислотами (ЭПК и ДГК).<br /><br /><strong>ЗДОРОВЬЕ СЕРДЦА</strong><br /><br />Рацион обогащен такими питательными веществами, как таурин, ЭПК и ДГК, которые способствуют поддержанию здоровой работы сердца.<br /><br /><strong>ЗДОРОВЬЕ КОЖИ И БЛЕСК ШЕРСТИ</strong><br /><br />Серосодержащие аминокислоты, витамины, омега-3 и омега-6 жирные кислоты способствуют поддержанию здоровья кожи и блеска шерсти.<br /><br /><strong>ЗДОРОВЬЕ МОЧЕВЫДЕЛИТЕЛЬНОЙ СИСТЕМЫ</strong><br /><br />Соответствующий баланс минеральных веществ в рационе способствует поддержанию здоровья мочевыделительной системы взрослых кошек.<br /><br />персидский является крупнейшим и самым длинным котом в мире, благодаря чему он производит впечатление чрезвычайной мощи и силы. британская может достигать 1 м в длину (вместе с хвостом), а вес котов этой породы может достигать 10-12 кг. Учитывая большой размер и тяжелый костяк особое внимание следует уделять защите суставов кошек этой породы.</p>',	1,	226,	'Royal Canin Persian Adult сухой корм для котов персидской породы',	'Royal Canin Persian Adult сухой корм для котов персидской породы, Royal Canin, Товары для животных',	'СПЕЦИАЛЬНО ДЛЯ КОШЕК С БОЛЬШИМИ ЧЕЛЮСТЯМИ   Специально разработанные крокеты кубической формы, которые адаптированы к большим квадратным челюстям кошек породы британская. Уникальная форма крокет стимулирует животное к их разгрызанию, что способствует поддержанию гигиены ротовой полости.   ЭКСКЛЮЗИВНАЯ ФОРМУЛА:   Таурин и омега-3 жирные кислоты   ЗДОРОВЬЕ СУСТАВОВ   Вследствие большого размера и веса кошки породы персидский ее суставы подвергаются значительной нагрузке на протяжении всей жизни животного. Фор',	'2019-07-05 09:59:48',	NULL,	'',	5.0,	462,	'new.png',	'2019-07-18 09:10:39',	24,	776,	0,	0,	0,	0,	0,	0,	0,	0),
(227,	'royal-canin-british-shorthair-kitten-suhoj-korm-dlya-kotyat-porody-britanskaya-korotkosherstnaya',	16,	'Royal Canin British Shorthair Kitten сухой корм для котят породы британская короткошерстная',	'<ul>\r\n<li>Вес: <strong>10г</strong></li>\r\n<li>Тип: <strong>Сухой корм</strong></li>\r\n<li>Класс: <strong>Супер премиум</strong></li>\r\n</ul>',	'<p><strong>СПЕЦИАЛЬНО ДЛЯ КОШЕК С БОЛЬШИМИ ЧЕЛЮСТЯМИ</strong><br /><br />Специально разработанные крокеты кубической формы, которые адаптированы к большим квадратным челюстям кошек породы британская. Уникальная форма крокет стимулирует животное к их разгрызанию, что способствует поддержанию гигиены ротовой полости.<br /><br /><strong>ЭКСКЛЮЗИВНАЯ ФОРМУЛА:</strong><br /><br />Таурин и омега-3 жирные кислоты<br /><br /><strong>ЗДОРОВЬЕ СУСТАВОВ</strong><br /><br />Вследствие большого размера и веса кошки породы персидский ее суставы подвергаются значительной нагрузке на протяжении всей жизни животного. Формула рациона способствует поддержанию здорового состояния костей и суставов. Рацион обогащен омега-3 жирными кислотами (ЭПК и ДГК).<br /><br /><strong>ЗДОРОВЬЕ СЕРДЦА</strong><br /><br />Рацион обогащен такими питательными веществами, как таурин, ЭПК и ДГК, которые способствуют поддержанию здоровой работы сердца.<br /><br /><strong>ЗДОРОВЬЕ КОЖИ И БЛЕСК ШЕРСТИ</strong><br /><br />Серосодержащие аминокислоты, витамины, омега-3 и омега-6 жирные кислоты способствуют поддержанию здоровья кожи и блеска шерсти.<br /><br /><strong>ЗДОРОВЬЕ МОЧЕВЫДЕЛИТЕЛЬНОЙ СИСТЕМЫ</strong><br /><br />Соответствующий баланс минеральных веществ в рационе способствует поддержанию здоровья мочевыделительной системы взрослых кошек.<br /><br />персидский является крупнейшим и самым длинным котом в мире, благодаря чему он производит впечатление чрезвычайной мощи и силы. британская может достигать 1 м в длину (вместе с хвостом), а вес котов этой породы может достигать 10-12 кг. Учитывая большой размер и тяжелый костяк особое внимание следует уделять защите суставов кошек этой породы.</p>',	1,	227,	'Royal Canin British Shorthair Kitten сухой корм для котят породы британская короткошерстная',	'Royal Canin British Shorthair Kitten сухой корм для котят породы британская короткошерстная, Royal Canin, Товары для животных',	'СПЕЦИАЛЬНО ДЛЯ КОШЕК С БОЛЬШИМИ ЧЕЛЮСТЯМИ   Специально разработанные крокеты кубической формы, которые адаптированы к большим квадратным челюстям кошек породы британская. Уникальная форма крокет стимулирует животное к их разгрызанию, что способствует поддержанию гигиены ротовой полости.   ЭКСКЛЮЗИВНАЯ ФОРМУЛА:   Таурин и омега-3 жирные кислоты   ЗДОРОВЬЕ СУСТАВОВ   Вследствие большого размера и веса кошки породы персидский ее суставы подвергаются значительной нагрузке на протяжении всей жизни животного. Фор',	'2019-07-05 11:41:24',	0,	'',	4.9,	4563,	'',	'2019-10-23 14:55:59',	24,	777,	0,	0,	0,	0,	0,	0,	0,	0),
(228,	'suhoj-korm-dlya-vzroslyh-sobak-club-4-paws-dlya-krupnyh-porod',	16,	'Сухой корм для взрослых собак Club 4 paws для крупных пород',	'<ul>\r\n<li>Вес:&nbsp;<strong>13г.</strong></li>\r\n<li>Тип: <strong>Сухой корм</strong></li>\r\n<li>Класс: <strong>Супер премиум</strong></li>\r\n</ul>',	'',	1,	228,	'Сухой корм для взрослых собак Club 4 paws для крупных пород',	'Сухой корм для взрослых собак Club 4 paws для крупных пород, Royal Canin, Товары для животных',	'',	'2019-07-05 11:54:01',	0,	'',	4.5,	461,	'',	'2019-10-23 14:55:51',	24,	778,	0,	0,	0,	0,	0,	0,	0,	0),
(229,	'suhoj-bezzernovoj-polnoratsionnyj-korm-optimeal-dlya-vzroslyh-sobak-vseh-porod',	16,	'Сухой беззерновой полнорационный корм Optimeal для взрослых собак всех пород',	'<ul>\r\n<li>Вес: <strong>10г</strong></li>\r\n<li>Тип: <strong>Сухой корм</strong></li>\r\n<li>Класс: <strong>Супер премиум</strong></li>\r\n</ul>',	'<p><strong>Optimeal</strong> беззерновой для взрослых собак индейка и овощи &mdash; оптимальный корм для вашего любимца. В его состав входит уникальный микс из полезных трав, ягод, отборных мясных ингредиентов и пребиотиков. Все это создает ежедневную естественную защиту иммунитета вашей собаки, а также гарантирует здоровье и красоту вашего любимца на долгие годы.<br /><br />Высокое содержание отборного мяса индейки, а также включение в рецептуру корма свежего мяса индейки в виде фарша, обеспечат вашего питомца высококачественным легкоусвояемым протеином животного происхождения.<br /><br />Отсутствие злаков и глютена сохранит пищеварительную систему вашей собаки от дополнительной нагрузки, которой обычно подвергается кишечник и поджелудочная железа для переваривания таких неестественных для собак компонентов корма, как злаковая клейковина (глютен).<br /><br />Высокое содержание ягод и овощей обеспечивает организм собаки естественным источником витаминов и растительной клетчатки, что значительно улучшит работу пищеварительной системы и здоровья кишечника. Высокое содержание овощей (источников углеводов с низким гликемическим индексом) предотвратит развитие такого страшного заболевания, как сахарный диабет, а также сохранит здоровую стройную фигуру вашей собаки.<br /><br />Уникальный комплекс для поддержки и укрепления иммунитета Immunity Support Mix состоит из:<br />Специально очищенные бета-глюканы &mdash; улучшают работу иммунной системы для долгой жизни питомца.<br />Пребиотик нового поколения Actigen &mdash; нормализует баланс полезной микрофлоры кишечника и обеспечивает здоровое пищеварение.<br />Натуральный антиоксидант SubStar ULTRA на основе розмарина благодаря противомикробным и противовоспалительным свойствам &mdash; предотвращает разрушение клеток организма и заболеваниям домашних любимцев.<br /><br />OMEGA 3 и 6 / Цинк / Биотин &mdash; поддерживают кожу здоровой, а шерсть &mdash; красивой.<br />СОСТАВ:<br />дегидратированный протеин мяса индейки, не менее 39%, крахмал картофеля, мясо индейки 12%, жир из птицы, картофель cушена, тапиока, белок гидролизованный животный, зеленый горошек 4,11%, масло лосося, мякоть свеклы , растительная клетчатка, минералы, тыква 1%, морковь 0,79%, семян льна 0,79%, пивные дрожжи, клюква 0,2%, масло огуречника, MacroGard&reg; (источник &beta;-глюкан) 0,05%, Actigen &trade; (источник пребиотик &mdash; мананоолигосахариды) 0,04%, бархатцы (источник лютеина) 0,04%, корень лопуха, корень алтея, цветы ромашки 0,03%, крапива 0,03%, экстракт юкки, тимьян 0,015 %.<br /><br />Питательная ценность (анализ) корма:<br /><br />сырой белок 32%, сырые масло и жири- 16%, сырая зола- 5,9%, сырая клитковина- 2,6%.<br /><br />На 1 кг корма: омега-3 жирные кислоты- 6,4 г, в т. Ч. EPA / DHA- 3,8 г омега-6 жирные кислоты- 27,6 г.<br /><br />Добавлено добавки: Питательные добавки (на 1 кг корма), мг / кг:<br /><br />витамин А: 15000 МЕ, витамин Д3: 800 МЕ, витамин Е 500, витамин С 200, витамин B6 2,22, витамин Н (биотин): 0,14, таурин: 1100, цинк: 104,96 , медь: 11,24, марганец: 2,57, селен: 0,08.<br /><br />Технологические добавки (на 1 кг корма), мг / кг: антиоксидант природного происхождения: 330, экстракт токоферола природного происхождения: 600.<br /><br />Энергетическая ценность (калорийность) 100 г корма: 1 628,16 кДж (389,15 ккал).<br /><br />Хранить в темном месте закрытой потребительской таре при температуре от +5 &deg; С до +25 &deg; С и относительной влажности не более 75%</p>',	1,	229,	'Сухой беззерновой полнорационный корм Optimeal для взрослых собак всех пород',	'Сухой беззерновой полнорационный корм Optimeal для взрослых собак всех пород, Royal Canin, Товары для животных',	'Optimeal  беззерновой для взрослых собак индейка и овощи &mdash; оптимальный корм для вашего любимца. В его состав входит уникальный микс из полезных трав, ягод, отборных мясных ингредиентов и пребиотиков. Все это создает ежедневную естественную защиту иммунитета вашей собаки, а также гарантирует здоровье и красоту вашего любимца на долгие годы.  Высокое содержание отборного мяса индейки, а также включение в рецептуру корма свежего мяса индейки в виде фарша, обеспечат вашего питомца высококачественным легко',	'2019-07-05 11:58:54',	NULL,	'',	4.7,	76251,	'',	'2019-07-18 09:10:39',	24,	779,	0,	0,	0,	0,	0,	0,	0,	0),
(230,	'divan-redking',	13,	'Диван RedKing',	'<ul>\r\n<li>Ширина: <strong>120см</strong></li>\r\n<li>Глубина: <strong>80см</strong></li>\r\n<li>Высота: <strong>43см </strong></li>\r\n</ul>',	'',	1,	230,	'Диван RedKing',	'Диван RedKing, Britax romer, Диваны',	'',	'2019-07-05 12:24:45',	0,	'',	4.8,	7212,	'',	'2019-10-23 14:55:43',	66,	780,	0,	0,	0,	0,	0,	0,	0,	0),
(231,	'divan-krovat-max-12-v-tkani-kordroj',	12,	'Диван-кровать Max 1,2 в ткани Кордрой',	'<ul>\r\n<li>Вес: <strong>90кг</strong></li>\r\n<li>Тип: <strong>Аккордеон</strong></li>\r\n<li>Размер: <strong>120х200 см<br /></strong></li>\r\n</ul>',	'<p>Диван-кровать Max 1,2&nbsp; в ткани Кордрой 336/кордрой 230</p>\r\n<p>Механизм трансформации: аккордеон</p>\r\n<p>Спальное место: 120х200 см</p>\r\n<p>Каркас: металлический с буковыми ламелями</p>\r\n<p>Наполнение матраса: ППУ 10 см</p>',	1,	231,	'Диван-кровать Max 1,2 в ткани Кордрой',	'Диван-кровать Max 1,2 в ткани Кордрой, Fitbit, Диваны',	'Диван-кровать Max 1,2  в ткани Кордрой 336/кордрой 230 \r\n Механизм трансформации: аккордеон \r\n Спальное место: 120х200 см \r\n Каркас: металлический с буковыми ламелями \r\n Наполнение матраса: ППУ 10 см',	'2019-07-05 12:31:30',	0,	'',	4.8,	567,	'',	'2019-10-23 14:55:22',	66,	784,	0,	0,	0,	0,	0,	0,	0,	0);

DROP TABLE IF EXISTS `ok_products_categories`;
CREATE TABLE `ok_products_categories` (
  `product_id` int(11) NOT NULL,
  `category_id` int(11) NOT NULL,
  `position` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`product_id`,`category_id`),
  KEY `position` (`position`),
  KEY `product_id` (`product_id`),
  KEY `category_id` (`category_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_products_categories` (`product_id`, `category_id`, `position`) VALUES
(1,	2,	0),
(2,	2,	0),
(3,	2,	0),
(4,	2,	0),
(5,	2,	0),
(6,	2,	0),
(7,	2,	0),
(8,	2,	0),
(9,	2,	0),
(10,	2,	0),
(11,	2,	0),
(12,	2,	0),
(13,	2,	0),
(14,	2,	0),
(15,	2,	0),
(16,	2,	0),
(17,	2,	0),
(18,	2,	0),
(19,	2,	0),
(20,	2,	0),
(21,	2,	0),
(22,	2,	0),
(23,	5,	0),
(24,	5,	0),
(25,	5,	0),
(26,	5,	0),
(27,	5,	0),
(28,	5,	0),
(29,	5,	0),
(30,	5,	0),
(31,	5,	0),
(32,	5,	0),
(33,	5,	0),
(34,	5,	0),
(37,	8,	0),
(38,	8,	0),
(39,	8,	0),
(40,	8,	0),
(41,	8,	0),
(42,	8,	0),
(43,	8,	0),
(44,	8,	0),
(45,	8,	0),
(46,	8,	0),
(47,	8,	0),
(48,	8,	0),
(49,	10,	0),
(50,	10,	0),
(51,	10,	0),
(52,	10,	0),
(53,	11,	0),
(54,	11,	0),
(55,	11,	0),
(56,	11,	0),
(57,	11,	0),
(58,	11,	0),
(59,	11,	0),
(60,	11,	0),
(61,	11,	0),
(62,	11,	0),
(63,	11,	0),
(64,	11,	0),
(65,	11,	0),
(66,	11,	0),
(67,	11,	0),
(68,	11,	0),
(69,	11,	0),
(70,	11,	0),
(71,	11,	0),
(72,	11,	0),
(73,	54,	0),
(74,	54,	0),
(75,	54,	0),
(76,	54,	0),
(77,	54,	0),
(78,	54,	0),
(79,	55,	0),
(80,	55,	0),
(81,	55,	0),
(82,	55,	0),
(83,	55,	0),
(84,	55,	0),
(85,	55,	0),
(86,	55,	0),
(87,	55,	0),
(88,	55,	0),
(89,	55,	0),
(90,	55,	0),
(91,	55,	0),
(92,	55,	0),
(93,	55,	0),
(94,	55,	0),
(95,	55,	0),
(96,	55,	0),
(97,	55,	0),
(98,	55,	0),
(99,	55,	0),
(100,	55,	0),
(101,	55,	0),
(102,	55,	0),
(103,	55,	0),
(104,	55,	0),
(105,	55,	0),
(106,	55,	0),
(107,	55,	0),
(108,	55,	0),
(109,	55,	0),
(110,	55,	0),
(111,	29,	0),
(112,	23,	0),
(113,	26,	0),
(114,	26,	0),
(115,	26,	0),
(116,	26,	0),
(117,	26,	0),
(118,	26,	0),
(119,	26,	0),
(120,	27,	0),
(121,	27,	0),
(122,	27,	0),
(123,	27,	0),
(124,	28,	0),
(125,	28,	0),
(126,	28,	0),
(127,	29,	0),
(128,	29,	0),
(129,	30,	0),
(130,	30,	0),
(131,	30,	0),
(132,	30,	0),
(133,	30,	0),
(134,	30,	0),
(135,	28,	0),
(136,	31,	0),
(137,	31,	0),
(138,	31,	0),
(139,	31,	0),
(140,	31,	0),
(141,	31,	0),
(142,	31,	0),
(143,	31,	0),
(144,	66,	0),
(145,	66,	0),
(146,	66,	0),
(147,	66,	0),
(148,	66,	0),
(150,	66,	0),
(151,	66,	0),
(152,	66,	0),
(153,	66,	0),
(154,	37,	0),
(155,	37,	0),
(156,	37,	0),
(157,	37,	0),
(158,	40,	0),
(159,	40,	0),
(160,	40,	0),
(161,	40,	0),
(162,	45,	0),
(163,	45,	0),
(164,	45,	0),
(165,	45,	0),
(166,	45,	0),
(167,	45,	0),
(168,	51,	0),
(169,	51,	0),
(170,	51,	0),
(171,	51,	0),
(172,	51,	0),
(173,	51,	0),
(174,	52,	0),
(175,	52,	0),
(176,	52,	0),
(177,	52,	0),
(178,	52,	0),
(179,	20,	0),
(180,	20,	0),
(181,	20,	0),
(182,	20,	0),
(183,	20,	0),
(185,	20,	0),
(186,	20,	0),
(187,	20,	0),
(188,	19,	0),
(189,	19,	0),
(190,	19,	0),
(191,	19,	0),
(192,	19,	0),
(193,	19,	0),
(194,	19,	0),
(195,	19,	0),
(196,	69,	0),
(197,	69,	0),
(198,	69,	0),
(199,	69,	0),
(200,	69,	0),
(201,	69,	0),
(202,	69,	0),
(203,	69,	0),
(204,	69,	0),
(205,	21,	0),
(206,	21,	0),
(207,	21,	0),
(208,	21,	0),
(209,	21,	0),
(210,	21,	0),
(211,	21,	0),
(212,	21,	0),
(213,	21,	0),
(214,	21,	0),
(215,	21,	0),
(216,	21,	0),
(217,	21,	0),
(218,	21,	0),
(219,	21,	0),
(220,	17,	0),
(221,	17,	0),
(222,	17,	0),
(223,	17,	0),
(224,	17,	0),
(225,	24,	0),
(226,	24,	0),
(227,	24,	0),
(228,	24,	0),
(229,	24,	0),
(230,	66,	0),
(231,	66,	0),
(112,	26,	1),
(126,	29,	1),
(174,	53,	1),
(175,	53,	1),
(176,	53,	1),
(177,	53,	1),
(178,	53,	1);

DROP TABLE IF EXISTS `ok_products_features_values`;
CREATE TABLE `ok_products_features_values` (
  `product_id` int(11) NOT NULL,
  `value_id` int(11) NOT NULL,
  UNIQUE KEY `product_id_value_id` (`product_id`,`value_id`),
  KEY `product_id` (`product_id`),
  KEY `value_id` (`value_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_products_features_values` (`product_id`, `value_id`) VALUES
(1,	6),
(1,	38),
(1,	115),
(1,	193),
(1,	276),
(1,	279),
(1,	299),
(1,	303),
(1,	309),
(2,	6),
(2,	38),
(2,	115),
(2,	193),
(2,	276),
(2,	279),
(2,	299),
(2,	303),
(2,	309),
(3,	6),
(3,	38),
(3,	115),
(3,	193),
(3,	276),
(3,	279),
(3,	299),
(3,	303),
(3,	309),
(4,	6),
(4,	38),
(4,	115),
(4,	193),
(4,	276),
(4,	279),
(4,	299),
(4,	303),
(4,	309),
(5,	6),
(5,	38),
(5,	115),
(5,	193),
(5,	276),
(5,	279),
(5,	299),
(5,	303),
(5,	309),
(6,	6),
(6,	38),
(6,	115),
(6,	193),
(6,	276),
(6,	279),
(6,	299),
(6,	303),
(6,	309),
(7,	6),
(7,	38),
(7,	115),
(7,	193),
(7,	276),
(7,	279),
(7,	299),
(7,	303),
(7,	309),
(8,	6),
(8,	38),
(8,	115),
(8,	193),
(8,	276),
(8,	279),
(8,	299),
(8,	303),
(8,	309),
(9,	6),
(9,	38),
(9,	115),
(9,	193),
(9,	276),
(9,	279),
(9,	299),
(9,	303),
(9,	309),
(10,	6),
(10,	38),
(10,	115),
(10,	193),
(10,	276),
(10,	279),
(10,	296),
(10,	303),
(10,	309),
(11,	6),
(11,	38),
(11,	115),
(11,	193),
(11,	276),
(11,	279),
(11,	296),
(11,	303),
(11,	309),
(12,	6),
(12,	38),
(12,	115),
(12,	193),
(12,	276),
(12,	279),
(12,	296),
(12,	303),
(12,	309),
(13,	6),
(13,	38),
(13,	115),
(13,	193),
(13,	276),
(13,	279),
(13,	296),
(13,	303),
(13,	309),
(14,	6),
(14,	38),
(14,	115),
(14,	193),
(14,	276),
(14,	279),
(14,	296),
(14,	303),
(14,	309),
(15,	6),
(15,	38),
(15,	115),
(15,	193),
(15,	276),
(15,	279),
(15,	296),
(15,	303),
(15,	309),
(16,	6),
(16,	38),
(16,	115),
(16,	193),
(16,	276),
(16,	279),
(16,	296),
(16,	303),
(16,	309),
(17,	6),
(17,	38),
(17,	115),
(17,	193),
(17,	276),
(17,	279),
(17,	292),
(17,	303),
(17,	309),
(18,	6),
(18,	38),
(18,	115),
(18,	193),
(18,	276),
(18,	279),
(18,	292),
(18,	303),
(18,	309),
(19,	6),
(19,	38),
(19,	115),
(19,	193),
(19,	276),
(19,	279),
(19,	292),
(19,	303),
(19,	309),
(20,	6),
(20,	38),
(20,	115),
(20,	193),
(20,	276),
(20,	279),
(20,	292),
(20,	303),
(20,	309),
(21,	6),
(21,	38),
(21,	115),
(21,	193),
(21,	276),
(21,	279),
(21,	292),
(21,	303),
(21,	309),
(22,	6),
(22,	38),
(22,	115),
(22,	193),
(22,	269),
(22,	276),
(22,	279),
(22,	303),
(22,	309),
(23,	44),
(23,	48),
(23,	51),
(23,	62),
(23,	83),
(23,	102),
(23,	105),
(23,	134),
(23,	158),
(23,	161),
(23,	168),
(23,	170),
(23,	189),
(23,	194),
(23,	199),
(23,	200),
(23,	201),
(23,	210),
(23,	222),
(23,	224),
(23,	225),
(23,	237),
(23,	243),
(23,	260),
(23,	265),
(23,	277),
(23,	283),
(23,	284),
(23,	285),
(23,	286),
(24,	11),
(24,	24),
(24,	31),
(24,	42),
(24,	75),
(24,	78),
(24,	94),
(24,	102),
(24,	103),
(24,	136),
(24,	143),
(24,	150),
(24,	168),
(24,	172),
(24,	195),
(24,	199),
(24,	206),
(24,	207),
(24,	212),
(24,	220),
(24,	228),
(24,	239),
(24,	242),
(24,	252),
(24,	262),
(24,	283),
(24,	284),
(24,	285),
(24,	286),
(24,	287),
(24,	291),
(25,	44),
(25,	48),
(25,	51),
(25,	62),
(25,	102),
(25,	134),
(25,	136),
(25,	150),
(25,	158),
(25,	161),
(25,	168),
(25,	170),
(25,	189),
(25,	194),
(25,	199),
(25,	200),
(25,	201),
(25,	210),
(25,	222),
(25,	224),
(25,	225),
(25,	237),
(25,	243),
(25,	260),
(25,	265),
(25,	277),
(25,	283),
(25,	284),
(25,	285),
(25,	286),
(26,	18),
(26,	44),
(26,	48),
(26,	54),
(26,	63),
(26,	102),
(26,	136),
(26,	141),
(26,	150),
(26,	161),
(26,	168),
(26,	170),
(26,	189),
(26,	195),
(26,	199),
(26,	200),
(26,	201),
(26,	211),
(26,	222),
(26,	224),
(26,	225),
(26,	237),
(26,	240),
(26,	260),
(26,	283),
(26,	284),
(26,	285),
(26,	288),
(26,	316),
(27,	20),
(27,	31),
(27,	48),
(27,	67),
(27,	72),
(27,	83),
(27,	102),
(27,	105),
(27,	149),
(27,	161),
(27,	168),
(27,	172),
(27,	189),
(27,	194),
(27,	199),
(27,	200),
(27,	201),
(27,	210),
(27,	218),
(27,	223),
(27,	226),
(27,	237),
(27,	243),
(27,	260),
(27,	267),
(27,	277),
(27,	283),
(27,	284),
(27,	285),
(27,	287),
(28,	31),
(28,	48),
(28,	76),
(28,	86),
(28,	102),
(28,	136),
(28,	150),
(28,	155),
(28,	161),
(28,	165),
(28,	168),
(28,	172),
(28,	189),
(28,	194),
(28,	199),
(28,	200),
(28,	201),
(28,	210),
(28,	221),
(28,	224),
(28,	227),
(28,	237),
(28,	240),
(28,	260),
(28,	266),
(28,	277),
(28,	283),
(28,	284),
(28,	285),
(29,	22),
(29,	31),
(29,	66),
(29,	85),
(29,	102),
(29,	104),
(29,	117),
(29,	126),
(29,	156),
(29,	161),
(29,	168),
(29,	171),
(29,	180),
(29,	195),
(29,	199),
(29,	200),
(29,	201),
(29,	211),
(29,	229),
(29,	237),
(29,	240),
(29,	244),
(29,	259),
(29,	260),
(29,	283),
(29,	284),
(29,	285),
(29,	288),
(29,	315),
(30,	22),
(30,	31),
(30,	66),
(30,	85),
(30,	102),
(30,	104),
(30,	117),
(30,	126),
(30,	150),
(30,	156),
(30,	161),
(30,	168),
(30,	171),
(30,	195),
(30,	199),
(30,	200),
(30,	201),
(30,	211),
(30,	229),
(30,	237),
(30,	240),
(30,	244),
(30,	259),
(30,	260),
(30,	283),
(30,	284),
(30,	285),
(30,	288),
(30,	315),
(31,	18),
(31,	44),
(31,	48),
(31,	54),
(31,	63),
(31,	83),
(31,	102),
(31,	105),
(31,	140),
(31,	161),
(31,	168),
(31,	170),
(31,	189),
(31,	195),
(31,	199),
(31,	200),
(31,	201),
(31,	211),
(31,	222),
(31,	224),
(31,	225),
(31,	237),
(31,	240),
(31,	260),
(31,	283),
(31,	284),
(31,	285),
(31,	288),
(31,	316),
(32,	11),
(32,	31),
(32,	80),
(32,	88),
(32,	102),
(32,	118),
(32,	136),
(32,	142),
(32,	150),
(32,	159),
(32,	168),
(32,	173),
(32,	190),
(32,	194),
(32,	203),
(32,	206),
(32,	207),
(32,	210),
(32,	237),
(32,	243),
(32,	244),
(32,	251),
(32,	259),
(32,	260),
(32,	277),
(32,	283),
(32,	284),
(32,	285),
(32,	286),
(32,	287),
(32,	288),
(32,	311),
(33,	11),
(33,	31),
(33,	80),
(33,	88),
(33,	102),
(33,	118),
(33,	142),
(33,	156),
(33,	159),
(33,	168),
(33,	173),
(33,	180),
(33,	190),
(33,	194),
(33,	199),
(33,	200),
(33,	201),
(33,	210),
(33,	237),
(33,	243),
(33,	244),
(33,	251),
(33,	259),
(33,	260),
(33,	277),
(33,	283),
(33,	284),
(33,	285),
(33,	286),
(33,	287),
(33,	288),
(33,	311),
(34,	31),
(34,	48),
(34,	76),
(34,	83),
(34,	86),
(34,	102),
(34,	105),
(34,	155),
(34,	161),
(34,	165),
(34,	168),
(34,	172),
(34,	189),
(34,	194),
(34,	199),
(34,	200),
(34,	201),
(34,	210),
(34,	221),
(34,	224),
(34,	227),
(34,	237),
(34,	240),
(34,	260),
(34,	266),
(34,	277),
(34,	283),
(34,	284),
(34,	285),
(37,	16),
(37,	44),
(37,	52),
(37,	53),
(37,	83),
(37,	102),
(37,	105),
(37,	107),
(37,	122),
(37,	154),
(37,	161),
(37,	163),
(37,	192),
(37,	196),
(37,	198),
(37,	204),
(37,	205),
(37,	208),
(37,	222),
(37,	233),
(37,	237),
(37,	246),
(37,	260),
(37,	278),
(37,	283),
(37,	284),
(37,	285),
(37,	287),
(37,	322),
(38,	11),
(38,	21),
(38,	31),
(38,	48),
(38,	51),
(38,	55),
(38,	102),
(38,	136),
(38,	144),
(38,	150),
(38,	168),
(38,	170),
(38,	178),
(38,	195),
(38,	199),
(38,	200),
(38,	201),
(38,	210),
(38,	221),
(38,	231),
(38,	233),
(38,	237),
(38,	256),
(38,	260),
(38,	283),
(38,	284),
(38,	285),
(38,	286),
(38,	287),
(38,	322),
(39,	22),
(39,	31),
(39,	48),
(39,	73),
(39,	91),
(39,	102),
(39,	109),
(39,	136),
(39,	150),
(39,	162),
(39,	165),
(39,	168),
(39,	172),
(39,	195),
(39,	200),
(39,	201),
(39,	203),
(39,	213),
(39,	217),
(39,	219),
(39,	228),
(39,	234),
(39,	236),
(39,	250),
(39,	277),
(39,	283),
(39,	284),
(39,	285),
(39,	286),
(39,	287),
(39,	288),
(39,	311),
(40,	10),
(40,	31),
(40,	77),
(40,	88),
(40,	95),
(40,	102),
(40,	111),
(40,	152),
(40,	153),
(40,	156),
(40,	157),
(40,	173),
(40,	180),
(40,	195),
(40,	198),
(40,	199),
(40,	201),
(40,	213),
(40,	219),
(40,	232),
(40,	236),
(40,	242),
(40,	257),
(40,	273),
(40,	283),
(40,	284),
(40,	285),
(40,	286),
(40,	287),
(40,	288),
(40,	312),
(41,	10),
(41,	31),
(41,	43),
(41,	77),
(41,	88),
(41,	95),
(41,	102),
(41,	111),
(41,	152),
(41,	153),
(41,	157),
(41,	173),
(41,	179),
(41,	195),
(41,	198),
(41,	199),
(41,	201),
(41,	213),
(41,	219),
(41,	232),
(41,	236),
(41,	242),
(41,	258),
(41,	273),
(41,	283),
(41,	284),
(41,	285),
(41,	286),
(41,	287),
(41,	288),
(41,	312),
(42,	10),
(42,	31),
(42,	48),
(42,	61),
(42,	79),
(42,	102),
(42,	108),
(42,	136),
(42,	150),
(42,	165),
(42,	168),
(42,	170),
(42,	188),
(42,	196),
(42,	199),
(42,	200),
(42,	201),
(42,	213),
(42,	217),
(42,	219),
(42,	234),
(42,	248),
(42,	255),
(42,	277),
(42,	283),
(42,	284),
(42,	285),
(42,	286),
(42,	287),
(42,	288),
(42,	314),
(43,	11),
(43,	17),
(43,	44),
(43,	48),
(43,	61),
(43,	83),
(43,	85),
(43,	94),
(43,	102),
(43,	105),
(43,	165),
(43,	168),
(43,	170),
(43,	189),
(43,	196),
(43,	199),
(43,	200),
(43,	201),
(43,	214),
(43,	219),
(43,	234),
(43,	235),
(43,	253),
(43,	280),
(43,	283),
(43,	284),
(43,	285),
(43,	286),
(43,	287),
(43,	288),
(43,	311),
(44,	31),
(44,	48),
(44,	74),
(44,	91),
(44,	95),
(44,	102),
(44,	105),
(44,	108),
(44,	150),
(44,	162),
(44,	165),
(44,	168),
(44,	172),
(44,	189),
(44,	195),
(44,	200),
(44,	201),
(44,	202),
(44,	214),
(44,	219),
(44,	235),
(44,	241),
(44,	249),
(44,	255),
(44,	277),
(44,	283),
(44,	284),
(44,	285),
(44,	286),
(44,	287),
(44,	288),
(44,	323),
(45,	31),
(45,	48),
(45,	74),
(45,	91),
(45,	95),
(45,	102),
(45,	108),
(45,	136),
(45,	150),
(45,	162),
(45,	165),
(45,	168),
(45,	172),
(45,	189),
(45,	195),
(45,	200),
(45,	201),
(45,	202),
(45,	214),
(45,	219),
(45,	235),
(45,	241),
(45,	249),
(45,	255),
(45,	277),
(45,	283),
(45,	284),
(45,	285),
(45,	286),
(45,	287),
(45,	288),
(45,	323),
(46,	31),
(46,	48),
(46,	74),
(46,	91),
(46,	95),
(46,	102),
(46,	108),
(46,	156),
(46,	162),
(46,	165),
(46,	168),
(46,	172),
(46,	180),
(46,	189),
(46,	195),
(46,	200),
(46,	201),
(46,	202),
(46,	214),
(46,	219),
(46,	235),
(46,	241),
(46,	249),
(46,	255),
(46,	277),
(46,	283),
(46,	284),
(46,	285),
(46,	286),
(46,	287),
(46,	288),
(46,	323),
(47,	11),
(47,	17),
(47,	44),
(47,	48),
(47,	57),
(47,	64),
(47,	94),
(47,	102),
(47,	136),
(47,	150),
(47,	165),
(47,	168),
(47,	170),
(47,	189),
(47,	196),
(47,	199),
(47,	200),
(47,	201),
(47,	214),
(47,	219),
(47,	234),
(47,	235),
(47,	247),
(47,	253),
(47,	277),
(47,	283),
(47,	284),
(47,	285),
(47,	286),
(47,	287),
(47,	288),
(47,	311),
(48,	10),
(48,	17),
(48,	44),
(48,	48),
(48,	56),
(48,	71),
(48,	83),
(48,	94),
(48,	102),
(48,	105),
(48,	165),
(48,	168),
(48,	170),
(48,	189),
(48,	196),
(48,	199),
(48,	200),
(48,	201),
(48,	214),
(48,	219),
(48,	234),
(48,	237),
(48,	248),
(48,	254),
(48,	280),
(48,	283),
(48,	284),
(48,	285),
(48,	286),
(48,	287),
(48,	288),
(48,	321),
(49,	160),
(49,	274),
(49,	281),
(50,	160),
(50,	274),
(50,	281),
(51,	160),
(51,	274),
(51,	281),
(52,	160),
(52,	274),
(52,	281),
(53,	13),
(53,	138),
(53,	215),
(53,	295),
(54,	160),
(54,	263),
(54,	295),
(55,	160),
(55,	263),
(55,	295),
(56,	160),
(56,	215),
(56,	295),
(57,	160),
(57,	264),
(57,	295),
(58,	106),
(58,	160),
(58,	295),
(58,	304),
(59,	101),
(59,	148),
(59,	169),
(59,	264),
(59,	295),
(60,	138),
(60,	264),
(60,	295),
(61,	169),
(61,	264),
(61,	295),
(62,	101),
(62,	119),
(62,	160),
(62,	264),
(62,	295),
(63,	101),
(63,	160),
(63,	264),
(63,	295),
(64,	101),
(64,	160),
(64,	264),
(64,	295),
(65,	101),
(65,	160),
(65,	164),
(65,	264),
(65,	295),
(66,	101),
(66,	127),
(66,	160),
(66,	264),
(66,	295),
(67,	160),
(67,	264),
(67,	295),
(68,	101),
(68,	160),
(68,	175),
(68,	264),
(68,	295),
(69,	101),
(69,	160),
(69,	264),
(69,	295),
(70,	169),
(70,	264),
(70,	295),
(71,	139),
(71,	147),
(71,	160),
(71,	261),
(71,	295),
(72,	133),
(72,	160),
(72,	261),
(72,	295),
(73,	26),
(73,	50),
(73,	87),
(73,	97),
(73,	268),
(73,	310),
(73,	317),
(74,	26),
(74,	50),
(74,	89),
(74,	97),
(74,	268),
(74,	310),
(74,	317),
(75,	8),
(75,	25),
(75,	40),
(75,	82),
(75,	268),
(75,	294),
(75,	310),
(76,	9),
(76,	23),
(76,	39),
(76,	82),
(76,	96),
(76,	112),
(76,	268),
(76,	294),
(76,	310),
(77,	7),
(77,	23),
(77,	39),
(77,	65),
(77,	82),
(77,	112),
(77,	268),
(77,	294),
(77,	310),
(79,	29),
(79,	114),
(79,	166),
(79,	270),
(79,	297),
(79,	302),
(79,	317),
(79,	319),
(80,	114),
(80,	166),
(80,	174),
(80,	270),
(80,	297),
(80,	302),
(80,	317),
(80,	319),
(81,	19),
(81,	29),
(81,	137),
(81,	270),
(81,	297),
(81,	302),
(81,	317),
(81,	319),
(82,	19),
(82,	137),
(82,	174),
(82,	270),
(82,	297),
(82,	302),
(82,	317),
(82,	319),
(83,	135),
(83,	146),
(83,	166),
(83,	270),
(83,	297),
(83,	302),
(83,	317),
(83,	319),
(84,	19),
(84,	174),
(84,	191),
(84,	270),
(84,	297),
(84,	313),
(84,	317),
(84,	319),
(85,	110),
(85,	184),
(85,	197),
(85,	270),
(85,	297),
(85,	313),
(85,	317),
(85,	319),
(86,	29),
(86,	113),
(86,	183),
(86,	297),
(86,	306),
(86,	313),
(86,	317),
(86,	318),
(87,	113),
(87,	183),
(87,	187),
(87,	297),
(87,	306),
(87,	313),
(87,	317),
(87,	318),
(88,	19),
(88,	146),
(88,	184),
(88,	270),
(88,	297),
(88,	306),
(88,	313),
(88,	317),
(89,	114),
(89,	166),
(89,	197),
(89,	270),
(89,	297),
(89,	302),
(89,	317),
(89,	319),
(90,	19),
(90,	137),
(90,	197),
(90,	270),
(90,	297),
(90,	302),
(90,	317),
(90,	319),
(91,	59),
(91,	131),
(91,	282),
(91,	294),
(91,	301),
(92,	59),
(92,	131),
(92,	282),
(92,	294),
(92,	308),
(93,	35),
(93,	120),
(93,	282),
(93,	294),
(93,	301),
(94,	35),
(94,	120),
(94,	282),
(94,	294),
(94,	308),
(95,	3),
(95,	5),
(95,	81),
(95,	84),
(95,	128),
(95,	182),
(95,	271),
(95,	282),
(95,	290),
(95,	305),
(96,	3),
(96,	5),
(96,	81),
(96,	84),
(96,	128),
(96,	182),
(96,	282),
(96,	290),
(96,	300),
(96,	305),
(97,	3),
(97,	5),
(97,	81),
(97,	84),
(97,	128),
(97,	182),
(97,	282),
(97,	290),
(97,	305),
(97,	307),
(98,	2),
(98,	5),
(98,	58),
(98,	60),
(98,	121),
(98,	181),
(98,	271),
(98,	282),
(98,	290),
(98,	305),
(99,	2),
(99,	5),
(99,	58),
(99,	60),
(99,	121),
(99,	181),
(99,	282),
(99,	290),
(99,	300),
(99,	305),
(100,	2),
(100,	5),
(100,	58),
(100,	60),
(100,	121),
(100,	181),
(100,	282),
(100,	290),
(100,	305),
(100,	307),
(101,	1),
(101,	5),
(101,	33),
(101,	36),
(101,	90),
(101,	177),
(101,	271),
(101,	282),
(101,	290),
(101,	305),
(102,	1),
(102,	5),
(102,	33),
(102,	36),
(102,	90),
(102,	177),
(102,	282),
(102,	290),
(102,	300),
(102,	305),
(103,	1),
(103,	5),
(103,	33),
(103,	36),
(103,	90),
(103,	177),
(103,	282),
(103,	290),
(103,	305),
(103,	307),
(104,	1),
(104,	5),
(104,	33),
(104,	36),
(104,	90),
(104,	177),
(104,	282),
(104,	298),
(104,	305),
(104,	307),
(105,	1),
(105,	4),
(105,	27),
(105,	33),
(105,	90),
(105,	177),
(105,	282),
(105,	298),
(105,	300),
(105,	305),
(106,	69),
(106,	124),
(106,	275),
(106,	282),
(106,	293),
(106,	300),
(107,	69),
(107,	124),
(107,	275),
(107,	282),
(107,	293),
(107,	307),
(108,	41),
(108,	93),
(108,	275),
(108,	282),
(108,	293),
(108,	300),
(109,	41),
(109,	98),
(109,	275),
(109,	282),
(109,	293),
(109,	307),
(110,	41),
(110,	98),
(110,	272),
(110,	282),
(110,	293),
(110,	307),
(112,	324),
(113,	325),
(114,	325),
(115,	324),
(116,	325),
(117,	324),
(118,	325),
(119,	326),
(120,	328),
(121,	325),
(122,	329),
(122,	330),
(123,	329),
(144,	331),
(144,	332),
(144,	333),
(144,	334),
(144,	335),
(144,	336),
(144,	337),
(145,	331),
(145,	332),
(145,	333),
(145,	334),
(145,	335),
(145,	336),
(145,	337),
(146,	331),
(146,	332),
(146,	333),
(146,	334),
(146,	335),
(146,	336),
(146,	337),
(147,	331),
(147,	332),
(147,	333),
(147,	334),
(147,	335),
(147,	336),
(147,	337),
(148,	331),
(148,	332),
(148,	333),
(148,	334),
(148,	335),
(148,	336),
(148,	337),
(150,	331),
(150,	332),
(150,	334),
(150,	335),
(150,	336),
(150,	338),
(150,	339),
(151,	331),
(151,	332),
(151,	334),
(151,	335),
(151,	336),
(151,	338),
(151,	339),
(152,	331),
(152,	332),
(152,	334),
(152,	335),
(152,	336),
(152,	338),
(152,	339),
(153,	331),
(153,	332),
(153,	334),
(153,	335),
(153,	336),
(153,	338),
(153,	339),
(158,	340),
(158,	341),
(158,	342),
(158,	343),
(159,	340),
(159,	341),
(159,	342),
(159,	343),
(160,	47),
(160,	304),
(160,	341),
(160,	342),
(160,	343),
(161,	47),
(161,	304),
(161,	341),
(161,	342),
(161,	343),
(176,	191),
(176,	431),
(176,	432),
(176,	433),
(176,	434),
(176,	436),
(177,	166),
(177,	252),
(177,	340),
(177,	432),
(177,	433),
(177,	434),
(178,	430),
(178,	431),
(178,	432),
(178,	433),
(178,	434),
(188,	345),
(188,	346),
(188,	347),
(188,	348),
(188,	349),
(188,	350),
(188,	351),
(188,	352),
(189,	345),
(189,	346),
(189,	347),
(189,	348),
(189,	349),
(189,	350),
(189,	351),
(189,	352),
(190,	345),
(190,	346),
(190,	347),
(190,	348),
(190,	349),
(190,	350),
(190,	351),
(190,	352),
(191,	345),
(191,	346),
(191,	347),
(191,	348),
(191,	349),
(191,	350),
(191,	351),
(191,	352),
(192,	345),
(192,	346),
(192,	347),
(192,	348),
(192,	349),
(192,	350),
(192,	351),
(192,	352),
(193,	345),
(193,	346),
(193,	347),
(193,	348),
(193,	349),
(193,	350),
(193,	351),
(193,	352),
(193,	353),
(194,	345),
(194,	346),
(194,	347),
(194,	348),
(194,	349),
(194,	350),
(194,	351),
(194,	352),
(195,	345),
(195,	346),
(195,	347),
(195,	348),
(195,	349),
(195,	350),
(195,	351),
(195,	352),
(205,	354),
(205,	355),
(205,	356),
(205,	357),
(205,	358),
(205,	359),
(205,	360),
(206,	47),
(206,	354),
(206,	359),
(206,	361),
(206,	362),
(206,	363),
(206,	364),
(206,	365),
(206,	366),
(207,	54),
(207,	367),
(207,	368),
(207,	369),
(207,	370),
(207,	371),
(207,	372),
(207,	373),
(207,	374),
(208,	67),
(208,	369),
(208,	370),
(208,	371),
(208,	375),
(209,	371),
(209,	376),
(209,	377),
(210,	378),
(210,	379),
(211,	380),
(211,	381),
(212,	49),
(212,	382),
(212,	383),
(213,	384),
(213,	385),
(214,	386),
(215,	387),
(216,	388),
(217,	389),
(218,	389),
(219,	354),
(219,	355),
(219,	356),
(219,	357),
(219,	358),
(219,	359),
(219,	360),
(220,	390),
(220,	391),
(220,	392),
(220,	393),
(220,	394),
(220,	395),
(220,	396),
(220,	397),
(220,	398),
(220,	399),
(220,	400),
(220,	401),
(220,	402),
(220,	403),
(220,	404),
(220,	405),
(221,	390),
(221,	391),
(221,	392),
(221,	393),
(221,	394),
(221,	395),
(221,	396),
(221,	397),
(221,	398),
(221,	399),
(221,	400),
(221,	401),
(221,	402),
(221,	403),
(221,	404),
(221,	405),
(222,	390),
(222,	391),
(222,	392),
(222,	393),
(222,	394),
(222,	395),
(222,	396),
(222,	397),
(222,	398),
(222,	399),
(222,	400),
(222,	401),
(222,	402),
(222,	403),
(222,	404),
(222,	405),
(222,	406),
(223,	390),
(223,	391),
(223,	392),
(223,	393),
(223,	394),
(223,	395),
(223,	396),
(223,	397),
(223,	398),
(223,	399),
(223,	400),
(223,	401),
(223,	402),
(223,	403),
(223,	404),
(223,	405),
(223,	406),
(224,	390),
(224,	391),
(224,	392),
(224,	393),
(224,	394),
(224,	395),
(224,	396),
(224,	397),
(224,	398),
(224,	399),
(224,	400),
(224,	401),
(224,	402),
(224,	403),
(224,	404),
(224,	405),
(224,	406),
(225,	407),
(225,	409),
(225,	410),
(225,	411),
(225,	412),
(225,	416),
(226,	409),
(226,	410),
(226,	411),
(226,	412),
(226,	413),
(226,	416),
(227,	409),
(227,	410),
(227,	412),
(227,	413),
(227,	414),
(227,	415),
(228,	68),
(228,	409),
(228,	410),
(228,	416),
(228,	417),
(228,	438),
(229,	32),
(229,	409),
(229,	410),
(229,	418),
(229,	420),
(229,	437),
(230,	343),
(230,	421),
(230,	422),
(230,	423),
(230,	424),
(230,	425),
(231,	336),
(231,	341),
(231,	423),
(231,	426),
(231,	427),
(231,	428),
(231,	429);

DROP TABLE IF EXISTS `ok_purchases`;
CREATE TABLE `ok_purchases` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `order_id` int(11) NOT NULL DEFAULT '0',
  `product_id` int(11) DEFAULT '0',
  `variant_id` int(11) DEFAULT '0',
  `product_name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `variant_name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `price` decimal(10,2) NOT NULL DEFAULT '0.00',
  `amount` int(11) NOT NULL DEFAULT '0',
  `sku` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `units` varchar(32) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  KEY `order_id` (`order_id`),
  KEY `product_id` (`product_id`),
  KEY `variant_id` (`variant_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_purchases` (`id`, `order_id`, `product_id`, `variant_id`, `product_name`, `variant_name`, `price`, `amount`, `sku`, `units`) VALUES
(1,	1,	1,	1,	'Кресло мешок груша L Oksford Black',	'',	1798.84,	3,	'',	''),
(2,	1,	142,	148,	'Куркума Куркумин с биоперином 1500 мг',	'',	957.82,	1,	'ertw743362',	''),
(3,	1,	159,	194,	'Складной стул Shine Catalina',	'Коричневый',	1500.06,	4,	'mno98',	''),
(4,	1,	216,	264,	'Фитнесс-трекер SOUSHTRACK IFaT ACTIVE 3 В 1',	'',	77995.01,	2,	'sssr3425',	''),
(5,	1,	223,	275,	'POS-терминал Sam4s Titan-S 260',	'',	68595.67,	1,	'PVVD2525',	''),
(6,	2,	126,	128,	'Chobani Банановый кленовый мешок овса',	'',	33.81,	1,	'uirt88679',	''),
(7,	3,	205,	249,	'Электровелосипед Haibike SDURO FullSeven 9.0 i500Wh 12-G NX 2019',	'16 дюймов  — 155-166 см',	468999.83,	2,	'er45373',	''),
(8,	3,	231,	284,	'Диван-кровать Max 1,2 в ткани Кордрой',	'зеленый',	28665.24,	1,	'ccv6346',	'');

DROP TABLE IF EXISTS `ok_related_blogs`;
CREATE TABLE `ok_related_blogs` (
  `post_id` int(11) NOT NULL,
  `related_id` int(11) NOT NULL,
  `position` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`post_id`,`related_id`),
  KEY `position` (`position`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_related_blogs` (`post_id`, `related_id`, `position`) VALUES
(3,	159,	0),
(4,	213,	0),
(5,	213,	0),
(3,	194,	1);

DROP TABLE IF EXISTS `ok_related_products`;
CREATE TABLE `ok_related_products` (
  `product_id` int(11) NOT NULL,
  `related_id` int(11) NOT NULL,
  `position` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`product_id`,`related_id`),
  KEY `position` (`position`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_related_products` (`product_id`, `related_id`, `position`) VALUES
(114,	112,	0),
(117,	112,	0),
(119,	112,	0),
(121,	120,	0),
(122,	120,	0),
(123,	120,	0),
(130,	111,	0),
(139,	136,	0),
(140,	136,	0),
(141,	136,	0),
(142,	136,	0),
(143,	136,	0),
(145,	144,	0),
(146,	144,	0),
(147,	144,	0),
(148,	144,	0),
(150,	146,	0),
(151,	146,	0),
(152,	146,	0),
(153,	146,	0),
(156,	154,	0),
(157,	154,	0),
(158,	154,	0),
(159,	154,	0),
(160,	154,	0),
(161,	158,	0),
(190,	189,	0),
(191,	189,	0),
(192,	189,	0),
(193,	189,	0),
(194,	189,	0),
(195,	189,	0),
(205,	137,	0),
(206,	137,	0),
(207,	206,	0),
(208,	207,	0),
(209,	208,	0),
(210,	208,	0),
(211,	210,	0),
(212,	211,	0),
(213,	210,	0),
(214,	210,	0),
(215,	214,	0),
(216,	208,	0),
(217,	213,	0),
(218,	213,	0),
(219,	137,	0),
(221,	220,	0),
(222,	220,	0),
(223,	220,	0),
(224,	220,	0),
(226,	225,	0),
(227,	225,	0),
(228,	227,	0),
(229,	227,	0),
(231,	158,	0),
(114,	113,	1),
(117,	116,	1),
(119,	118,	1),
(122,	121,	1),
(123,	122,	1),
(130,	126,	1),
(139,	139,	1),
(140,	139,	1),
(141,	139,	1),
(142,	139,	1),
(143,	139,	1),
(146,	145,	1),
(147,	145,	1),
(148,	145,	1),
(150,	147,	1),
(151,	147,	1),
(152,	147,	1),
(153,	147,	1),
(156,	155,	1),
(157,	155,	1),
(158,	155,	1),
(159,	155,	1),
(160,	155,	1),
(161,	159,	1),
(190,	188,	1),
(191,	188,	1),
(192,	188,	1),
(193,	188,	1),
(194,	188,	1),
(195,	188,	1),
(205,	141,	1),
(206,	205,	1),
(207,	205,	1),
(208,	206,	1),
(209,	207,	1),
(210,	137,	1),
(212,	210,	1),
(213,	211,	1),
(214,	211,	1),
(215,	213,	1),
(216,	212,	1),
(217,	212,	1),
(218,	212,	1),
(219,	141,	1),
(222,	222,	1),
(223,	222,	1),
(224,	222,	1),
(227,	226,	1),
(228,	225,	1),
(229,	225,	1),
(114,	111,	2),
(117,	113,	2),
(119,	113,	2),
(141,	140,	2),
(142,	140,	2),
(143,	140,	2),
(147,	147,	2),
(148,	147,	2),
(150,	145,	2),
(151,	145,	2),
(152,	145,	2),
(153,	145,	2),
(161,	160,	2),
(191,	190,	2),
(192,	190,	2),
(193,	190,	2),
(194,	190,	2),
(195,	190,	2),
(208,	205,	2),
(209,	206,	2),
(210,	206,	2),
(212,	208,	2),
(213,	207,	2),
(214,	212,	2),
(215,	212,	2),
(216,	209,	2),
(217,	216,	2),
(218,	216,	2),
(219,	213,	2),
(223,	221,	2),
(224,	221,	2),
(228,	226,	2),
(229,	226,	2),
(119,	117,	3),
(141,	138,	3),
(142,	138,	3),
(143,	138,	3),
(150,	148,	3),
(151,	148,	3),
(152,	148,	3),
(153,	148,	3),
(161,	155,	3),
(192,	191,	3),
(193,	191,	3),
(194,	191,	3),
(195,	191,	3),
(209,	205,	3),
(212,	207,	3),
(213,	205,	3),
(214,	205,	3),
(215,	210,	3),
(216,	207,	3),
(217,	206,	3),
(218,	206,	3),
(229,	228,	3),
(119,	116,	4),
(143,	143,	4),
(151,	150,	4),
(152,	150,	4),
(153,	150,	4),
(161,	154,	4),
(195,	194,	4),
(212,	205,	4),
(213,	209,	4),
(214,	209,	4),
(215,	211,	4),
(216,	205,	4),
(217,	208,	4),
(218,	208,	4),
(229,	0,	4),
(119,	114,	5),
(143,	137,	5),
(195,	193,	5),
(215,	206,	5),
(216,	213,	5);

DROP TABLE IF EXISTS `ok_seo_filter_patterns`;
CREATE TABLE `ok_seo_filter_patterns` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `category_id` int(11) NOT NULL,
  `type` enum('brand','feature') COLLATE utf8mb4_unicode_ci NOT NULL,
  `h1` varchar(512) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `meta_title` varchar(512) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `meta_keywords` varchar(512) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `meta_description` varchar(512) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `description` mediumtext COLLATE utf8mb4_unicode_ci,
  `feature_id` int(11) DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `category_id_param_type_feature_id` (`category_id`,`type`,`feature_id`),
  KEY `category_id` (`category_id`),
  KEY `feature_id` (`feature_id`),
  KEY `param_type` (`type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;


DROP TABLE IF EXISTS `ok_settings`;
CREATE TABLE `ok_settings` (
  `setting_id` int(11) NOT NULL AUTO_INCREMENT,
  `param` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `value` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  PRIMARY KEY (`setting_id`),
  UNIQUE KEY `param` (`param`(100))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_settings` (`setting_id`, `param`, `value`) VALUES
(30,	'theme',	'okay_shop'),
(33,	'products_num',	'24'),
(53,	'date_format',	'd.m.Y'),
(54,	'order_email',	'support@demo.com'),
(55,	'comment_email',	'support@demo.com'),
(56,	'notify_from_email',	'support@demo.com'),
(57,	'decimals_point',	','),
(58,	'thousands_separator',	' '),
(111,	'last_1c_orders_export_date',	'2011-07-30 21:31:56'),
(113,	'max_order_amount',	'50'),
(114,	'watermark_offset_x',	'50'),
(115,	'watermark_offset_y',	'50'),
(119,	'admin_email',	'support@demo.com'),
(120,	'comparison_count',	'5'),
(121,	'is_preorder',	'1'),
(125,	'yandex_export_not_in_stock',	''),
(126,	'yandex_available_for_retail_store',	''),
(127,	'yandex_available_for_reservation',	''),
(128,	'yandex_short_description',	''),
(129,	'yandex_has_manufacturer_warranty',	''),
(130,	'yandex_has_seller_warranty',	''),
(131,	'yandex_sales_notes',	''),
(132,	'posts_num',	'8'),
(133,	'image_sizes',	'200x200|60x60|50x50|219x172|162x77|183x183|35x35|400x300|100x100|1000x1000|800x600|300x300|87x72|330x300|77x77|165x90|150x150|300x120|55x55|250x250|75x75|70x70|360x360|1170x390|465x265|250x100|420x250|160x65|1170x420|120x60|50x40|420x260|420x245|420x225|420x220|26x26|32x32|30x30|80x80|180x180|150x130|120x100|40x30|40x25|20x20|24x24|160x60|90x90|23x23|120x75|480x220|120x80|120x70|120x65|100x60|100x50|1170x380|1170x360|1170x400|900x320|1170x700|1200x700|900x700|500x320|22x22|1067x400|400x350|65x65|80x25|80x30'),
(134,	'products_image_sizes',	'200x200|50x50|1800x1200w|600x340|75x75|330x300|800x600|55x55|300x120|35x35|300x200|150x150|110x150|110x130|100x100|70x70|65x65|800x600w|80x80|200x150|40x40|800x550|300x180|800x500|1200x1110|1200x1000|125x125|120x120|1200x1000w'),
(135,	'captcha_comment',	'1'),
(137,	'captcha_cart',	'1'),
(138,	'captcha_register',	'1'),
(139,	'captcha_feedback',	'1'),
(140,	'site_work',	'on'),
(141,	'yandex_metrika_token',	''),
(145,	'topvisor_key',	'bded4fc3f61f7801cefe'),
(148,	'y_metric',	''),
(149,	'yandex_metrika_app_id',	''),
(150,	'max_filter_brands',	'1'),
(152,	'lastModifyPosts',	'2018-06-26 20:31:31'),
(153,	'image_quality',	'75'),
(154,	'email_lang',	'ru'),
(155,	'site_logo',	'logo.png'),
(156,	'gather_enabled',	'1'),
(157,	'captcha_callback',	'1'),
(158,	'iframe_map_code',	'<iframe src=\"https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d2241.7081645541616!2d37.5206056!3d55.8156667!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x0%3A0x944fd88cf96de197!2sOkayCMS!5e0!3m2!1sru!2sua!4v1495180474127\" width=\"100%\" height=\"450\" frameborder=\"0\" style=\"border:0;\" allowfullscreen></iframe><br>'),
(159,	'captcha_type',	'default'),
(161,	'max_filter_filter',	'1'),
(162,	'max_filter_features_values',	'1'),
(163,	'max_filter_features',	'1'),
(164,	'max_filter_depth',	'1'),
(165,	'site_favicon',	'favicon.png'),
(166,	'site_favicon_version',	'001'),
(167,	'site_logo_version',	'014'),
(168,	'multilang_logo',	'0'),
(169,	'social_share_theme',	'flat'),
(170,	'sj_shares',	'a:4:{i:0;s:7:\"twitter\";i:1;s:8:\"facebook\";i:2;s:10:\"googleplus\";i:3;s:8:\"linkedin\";}'),
(197,	'site_email',	'support@okay-cms.com'),
(198,	'site_phones',	'a:2:{i:0;s:16:\"+380 44 290 3833\";i:1;s:16:\"+7 499 648 20 47\";}'),
(199,	'site_social_links',	'a:4:{i:0;s:28:\"https://facebook.com/okaycms\";i:1;s:27:\"https://twitter.com/okaycms\";i:2;s:0:\"\";i:3;s:0:\"\";}'),
(200,	'recaptcha_scores',	'a:3:{s:7:\"product\";d:0.5;s:4:\"cart\";d:0.6999999999999999555910790149937383830547332763671875;s:5:\"other\";d:0.200000000000000011102230246251565404236316680908203125;}'),
(201,	'admin_theme_managers',	''),
(202,	'lastModifyNews',	'2019-06-14 16:45:17'),
(203,	'public_recaptcha',	''),
(204,	'secret_recaptcha',	''),
(205,	'public_recaptcha_invisible',	''),
(206,	'secret_recaptcha_invisible',	''),
(207,	'public_recaptcha_v3',	''),
(208,	'secret_recaptcha_v3',	'');

DROP TABLE IF EXISTS `ok_settings_lang`;
CREATE TABLE `ok_settings_lang` (
  `param` varchar(128) COLLATE utf8mb4_unicode_ci NOT NULL,
  `lang_id` int(11) NOT NULL DEFAULT '0',
  `value` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  PRIMARY KEY (`lang_id`,`param`),
  KEY `name` (`param`),
  KEY `lang_id` (`lang_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_settings_lang` (`param`, `lang_id`, `value`) VALUES
('notify_from_name',	1,	'Администратор'),
('product_deliveries',	1,	'<ul>\r\n<li>Самовывоз из Новой почты</li>\r\n<li>Курьер Новой Почты</li>\r\n<li>Самовывоз из магазина</li>\r\n<li>Другие транспортные службы</li>\r\n</ul>'),
('product_payments',	1,	'<ul>\r\n<li>Наличными при получении</li>\r\n<li>Безналичный перевод</li>\r\n<li>Приват 24</li>\r\n<li>WebMoney</li>\r\n</ul>'),
('site_annotation',	1,	'Техническое сообщение на случай отключения сайта'),
('site_name',	1,	'Интернет-магазин на OkayCMS'),
('site_working_hours',	1,	'<div>Режим работы магазина: <br /><strong>ПН - ПТ: с 9:00 до 18:00</strong></div>'),
('units',	1,	'шт'),
('notify_from_name',	2,	'Administrator'),
('product_deliveries',	2,	'<ul>\r\n<li>Pickup from New Mail</li>\r\n<li>New Mail Courier</li>\r\n<li>Pickup from the store</li>\r\n<li>Other transport services</li>\r\n</ul>'),
('product_payments',	2,	'<ul>\r\n<li>Cash upon receipt</li>\r\n<li>Bank transfer</li>\r\n<li>Privat 24</li>\r\n<li>WebMoney</li>\r\n</ul>'),
('site_annotation',	2,	'A technical message in case of error'),
('site_name',	2,	'Web shop based on OkayCMS'),
('site_working_hours',	2,	'<div>Working hours: <br /><strong>Mon-Fri: 9 a.m.- 6 p.m.</strong></div>'),
('units',	2,	'pcs'),
('notify_from_name',	3,	'Адміністратор'),
('product_deliveries',	3,	'<ul>\r\n<li>Самовивіз з Нової пошти</li>\r\n<li>Кур\'єр Нової Пошти</li>\r\n<li>Самовивіз з магазину</li>\r\n<li>Інші транспортні служби</li>\r\n</ul>'),
('product_payments',	3,	'<ul>\r\n<li>Готівкою при отриманні</li>\r\n<li>Безготівковий переказ</li>\r\n<li>Приват 24</li>\r\n<li>WebMoney</li>\r\n</ul>'),
('site_annotation',	3,	'Технічне повідомлення на випадок відключення сайту'),
('site_name',	3,	'Інтернет-магазин на OkayCMS'),
('site_working_hours',	3,	'<div>Режим роботи магазину: <br /><strong>ПН - ПТ: з 9:00 до 18:00</strong></div>'),
('units',	3,	'шт');

DROP TABLE IF EXISTS `ok_spec_img`;
CREATE TABLE `ok_spec_img` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `filename` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `position` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_spec_img` (`id`, `filename`, `position`) VALUES
(1,	'akciya.png',	0),
(2,	'garant.png',	1),
(3,	'hit.png',	2),
(4,	'new.png',	3);

DROP TABLE IF EXISTS `ok_subscribe_mailing`;
CREATE TABLE `ok_subscribe_mailing` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `email` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  KEY `email` (`email`(100))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_subscribe_mailing` (`id`, `email`) VALUES
(1,	'test@okay.com'),
(2,	'test11@okay.com'),
(3,	'testt@gmail.com'),
(4,	'ssda@i.ua'),
(5,	'sswea@i.ua'),
(6,	'syns@i.ua');

DROP TABLE IF EXISTS `ok_support_info`;
CREATE TABLE `ok_support_info` (
  `id` tinyint(1) NOT NULL AUTO_INCREMENT,
  `temp_key` varchar(32) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `temp_time` timestamp NULL DEFAULT NULL,
  `new_messages` int(11) NOT NULL DEFAULT '0',
  `balance` int(11) NOT NULL DEFAULT '0',
  `private_key` varchar(2048) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `public_key` varchar(2048) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `okay_public_key` varchar(2048) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_auto` tinyint(1) NOT NULL DEFAULT '1',
  `accesses` varchar(2048) COLLATE utf8mb4_unicode_ci DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_support_info` (`id`, `temp_key`, `temp_time`, `new_messages`, `balance`, `private_key`, `public_key`, `okay_public_key`, `is_auto`, `accesses`) VALUES
(1,	NULL,	NULL,	0,	0,	NULL,	NULL,	NULL,	1,	'');

DROP TABLE IF EXISTS `ok_users`;
CREATE TABLE `ok_users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `email` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `password` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `phone` varchar(32) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `address` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `group_id` int(11) NOT NULL DEFAULT '0',
  `last_ip` varchar(40) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  `remind_code` varchar(32) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `remind_expire` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `email` (`email`(100))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_users` (`id`, `email`, `password`, `name`, `phone`, `address`, `group_id`, `last_ip`, `created`, `remind_code`, `remind_expire`) VALUES
(1,	'info@demo.com',	'9afead6347b105ae61fb9c6ae8f79cfd',	'Okay user',	'+38(097) 161-58-66',	'',	0,	'127.0.0.1',	'2016-06-21 05:31:10',	NULL,	NULL);

DROP TABLE IF EXISTS `ok_variants`;
CREATE TABLE `ok_variants` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `product_id` int(11) NOT NULL,
  `sku` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `weight` decimal(10,2) DEFAULT '0.00',
  `price` decimal(14,2) NOT NULL DEFAULT '0.00',
  `compare_price` decimal(14,2) DEFAULT NULL,
  `stock` mediumint(9) DEFAULT NULL,
  `position` int(11) NOT NULL DEFAULT '0',
  `external_id` varchar(36) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `currency_id` int(11) NOT NULL DEFAULT '0',
  `units` varchar(32) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `volume` decimal(10,5) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `product_id` (`product_id`),
  KEY `sku` (`sku`),
  KEY `price` (`price`),
  KEY `stock` (`stock`),
  KEY `position` (`position`),
  KEY `external_id` (`external_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `ok_variants` (`id`, `product_id`, `sku`, `name`, `weight`, `price`, `compare_price`, `stock`, `position`, `external_id`, `currency_id`, `units`, `volume`) VALUES
(1,	1,	'',	'',	0.00,	1799.00,	0.00,	3,	1,	'',	2,	'',	NULL),
(2,	2,	'',	'',	0.00,	1799.00,	0.00,	3,	1,	'',	2,	'',	NULL),
(3,	3,	'',	'',	0.00,	1799.00,	0.00,	6,	1,	'',	2,	'',	NULL),
(4,	4,	'',	'',	0.00,	1799.00,	0.00,	44,	1,	'',	2,	'',	NULL),
(5,	5,	'',	'',	0.00,	1799.00,	0.00,	45,	1,	'',	2,	'',	NULL),
(6,	6,	'',	'',	0.00,	1799.00,	0.00,	10,	1,	'',	2,	'',	NULL),
(7,	7,	'',	'',	0.00,	1799.00,	0.00,	3,	1,	'',	2,	'',	NULL),
(8,	8,	'',	'',	0.00,	1799.00,	0.00,	3,	1,	'',	2,	'',	NULL),
(9,	9,	'',	'',	0.00,	1799.00,	0.00,	3,	1,	'',	2,	'',	NULL),
(10,	10,	'',	'',	0.00,	3499.00,	0.00,	10,	1,	'',	2,	'',	NULL),
(11,	11,	'',	'',	0.00,	3499.00,	0.00,	10,	1,	'',	2,	'',	NULL),
(12,	12,	'',	'',	0.00,	3499.00,	0.00,	1,	1,	'',	2,	'',	NULL),
(13,	13,	'',	'',	0.00,	3499.00,	0.00,	10,	1,	'',	2,	'',	NULL),
(14,	14,	'',	'',	0.00,	3499.00,	0.00,	5,	1,	'',	2,	'',	NULL),
(15,	15,	'',	'',	0.00,	3499.00,	0.00,	3,	1,	'',	2,	'',	NULL),
(16,	16,	'',	'',	0.00,	3499.00,	0.00,	17,	1,	'',	2,	'',	NULL),
(17,	17,	'',	'',	0.00,	2899.00,	3199.02,	14,	1,	'',	2,	'',	NULL),
(18,	18,	'',	'',	0.00,	2899.00,	3199.01,	4,	1,	'',	2,	'',	NULL),
(19,	19,	'',	'',	0.00,	2899.00,	3199.00,	9,	1,	'',	2,	'',	NULL),
(20,	20,	'',	'',	0.00,	2899.00,	0.00,	8,	1,	'',	2,	'',	NULL),
(21,	21,	'',	'',	0.00,	2899.00,	0.00,	6,	1,	'',	2,	'',	NULL),
(22,	22,	'',	'',	0.00,	2899.00,	0.00,	3,	1,	'',	2,	'',	NULL),
(23,	23,	'',	'Красный',	0.00,	3000.00,	0.00,	5,	1,	'',	4,	'',	NULL),
(24,	23,	'',	'Серый',	0.00,	3100.00,	0.00,	19,	2,	'',	4,	'',	NULL),
(25,	24,	'',	'',	0.00,	242.54,	0.00,	5,	1,	'',	1,	'',	NULL),
(26,	25,	'',	'',	0.00,	133.54,	0.00,	10,	1,	'',	1,	'',	NULL),
(27,	26,	'',	'',	0.00,	128.44,	0.00,	0,	1,	'',	1,	'',	NULL),
(28,	27,	'',	'В наличии',	0.00,	145.00,	0.00,	0,	1,	'',	1,	'',	NULL),
(29,	28,	'',	'',	0.00,	169.10,	0.00,	0,	1,	'',	1,	'',	NULL),
(30,	29,	'',	'',	0.00,	342.15,	0.00,	0,	1,	'',	1,	'',	NULL),
(31,	30,	'',	'',	0.00,	305.00,	0.00,	0,	1,	'',	1,	'',	NULL),
(32,	31,	'',	'В наличии',	0.00,	122.00,	0.00,	0,	1,	'',	1,	'',	NULL),
(33,	32,	'',	'Под заказ',	0.00,	297.00,	0.00,	NULL,	1,	'',	1,	'',	NULL),
(34,	33,	'',	'В наличии',	0.00,	396.43,	0.00,	NULL,	1,	'',	1,	'',	NULL),
(35,	34,	'',	'В наличии',	0.00,	136.71,	0.00,	NULL,	1,	'',	1,	'',	NULL),
(38,	37,	'',	'Под заказ',	0.00,	2700.00,	0.00,	10,	1,	'',	4,	'',	NULL),
(39,	37,	'',	'Из наличия',	0.00,	2915.00,	0.00,	50,	2,	'',	4,	'',	NULL),
(40,	38,	'',	'Под заказ',	0.00,	4200.00,	0.00,	NULL,	1,	'',	4,	'',	NULL),
(41,	39,	'',	'В наличии',	0.00,	178.52,	0.00,	NULL,	1,	'',	1,	'',	NULL),
(42,	40,	'',	'',	0.00,	0.00,	0.00,	NULL,	1,	'',	1,	'',	NULL),
(43,	41,	'',	'В наличии',	0.00,	400.74,	0.00,	1,	1,	'',	1,	'',	NULL),
(44,	42,	'',	'В наличии',	0.00,	195.76,	0.00,	0,	1,	'',	1,	'',	NULL),
(45,	43,	'',	'В наличии',	0.00,	131.20,	0.00,	NULL,	1,	'',	1,	'',	NULL),
(46,	44,	'',	'',	0.00,	0.00,	0.00,	NULL,	1,	'',	1,	'',	NULL),
(47,	45,	'',	'В наличии',	0.00,	179.71,	0.00,	NULL,	1,	'',	1,	'',	NULL),
(48,	46,	'',	'',	0.00,	0.00,	0.00,	NULL,	1,	'',	1,	'',	NULL),
(49,	47,	'',	'',	0.00,	154.45,	0.00,	NULL,	1,	'',	1,	'',	NULL),
(50,	48,	'',	'зеленый',	0.00,	5000.00,	0.00,	NULL,	50,	'',	4,	'',	NULL),
(51,	49,	'SM19100/6028874',	'',	0.00,	2429.00,	2699.00,	NULL,	1,	'',	4,	'',	NULL),
(52,	50,	'SM19100/6028895',	'',	0.00,	2699.00,	0.00,	1,	1,	'',	4,	'',	NULL),
(53,	51,	'SM19100/6034333',	'',	0.00,	2429.00,	0.00,	0,	1,	'',	4,	'',	NULL),
(54,	52,	'SM19100/6034335',	'',	0.00,	2429.00,	0.00,	0,	1,	'',	4,	'',	NULL),
(55,	53,	'BHR15',	'',	0.00,	199.00,	249.00,	NULL,	1,	'',	4,	'',	NULL),
(56,	54,	'BGX66',	'',	0.00,	199.00,	0.00,	0,	1,	'',	4,	'',	NULL),
(57,	55,	'BGX82',	'',	0.00,	399.00,	0.00,	0,	1,	'',	4,	'',	NULL),
(58,	56,	'BHN12',	'',	0.00,	449.00,	0.00,	0,	1,	'',	4,	'',	NULL),
(59,	57,	'CDM44',	'',	0.00,	399.00,	469.00,	NULL,	1,	'',	4,	'',	NULL),
(60,	58,	'BGK04',	'',	0.00,	999.90,	1249.00,	NULL,	1,	'',	4,	'',	NULL),
(61,	59,	'DNN77',	'',	0.00,	299.00,	0.00,	NULL,	1,	'',	4,	'',	NULL),
(62,	60,	'CKC09',	'',	0.00,	949.00,	0.00,	0,	1,	'',	4,	'',	NULL),
(63,	61,	'CMP80',	'',	0.00,	7499.00,	0.00,	NULL,	1,	'',	4,	'',	NULL),
(64,	62,	'CKJ08',	'',	0.00,	399.00,	0.00,	NULL,	1,	'',	4,	'',	NULL),
(65,	63,	'DWK94',	'',	0.00,	599.00,	0.00,	NULL,	1,	'',	4,	'',	NULL),
(66,	64,	'DWK99',	'',	0.00,	499.00,	0.00,	NULL,	1,	'',	4,	'',	NULL),
(67,	65,	'DNR74',	'',	0.00,	699.00,	799.00,	NULL,	1,	'',	4,	'',	NULL),
(68,	66,	'X9295',	'',	0.00,	799.00,	999.00,	NULL,	1,	'',	4,	'',	NULL),
(69,	67,	'DWL04',	'',	0.00,	999.00,	0.00,	NULL,	1,	'',	4,	'',	NULL),
(70,	68,	'DJC05',	'',	0.00,	1599.00,	0.00,	NULL,	1,	'',	4,	'',	NULL),
(71,	69,	'DHY25',	'',	0.00,	1499.00,	1979.00,	NULL,	1,	'',	4,	'',	NULL),
(72,	70,	'DTN42',	'',	0.00,	2799.00,	0.00,	NULL,	1,	'',	4,	'',	NULL),
(73,	71,	'CCX79',	'',	0.00,	109.00,	0.00,	NULL,	1,	'',	4,	'',	NULL),
(74,	72,	'DLF01',	'',	0.00,	149.00,	0.00,	NULL,	1,	'',	4,	'',	NULL),
(75,	73,	'',	'',	0.00,	220.00,	0.00,	NULL,	1,	'',	1,	'',	NULL),
(76,	74,	'',	'',	0.00,	235.00,	0.00,	NULL,	1,	'',	1,	'',	NULL),
(77,	75,	'86141',	'',	0.00,	235.01,	0.00,	NULL,	1,	'',	1,	'',	NULL),
(78,	76,	'iseo500/80',	'',	0.00,	235.02,	0.00,	NULL,	1,	'',	1,	'',	NULL),
(79,	77,	'vox350/100',	'',	0.00,	235.03,	0.00,	NULL,	1,	'',	1,	'',	NULL),
(80,	78,	'vox500/100',	'',	0.00,	235.04,	0.00,	NULL,	80,	'',	1,	'',	NULL),
(81,	79,	'',	'',	0.00,	3168.00,	0.00,	NULL,	1,	'',	4,	'',	NULL),
(82,	80,	'',	'',	0.00,	2601.00,	0.00,	NULL,	1,	'',	4,	'',	NULL),
(83,	81,	'',	'',	0.00,	2754.00,	0.00,	NULL,	1,	'',	4,	'',	NULL),
(84,	82,	'',	'',	0.00,	2231.00,	0.00,	NULL,	1,	'',	4,	'',	NULL),
(85,	83,	'',	'',	0.00,	3177.00,	0.00,	NULL,	1,	'',	4,	'',	NULL),
(86,	84,	'',	'',	0.00,	3832.00,	0.00,	NULL,	1,	'',	4,	'',	NULL),
(87,	85,	'',	'',	0.00,	4301.00,	0.00,	NULL,	1,	'',	4,	'',	NULL),
(88,	86,	'',	'',	0.00,	6109.00,	0.00,	NULL,	1,	'',	4,	'',	NULL),
(89,	87,	'',	'',	0.00,	5505.00,	0.00,	NULL,	1,	'',	4,	'',	NULL),
(90,	88,	'',	'',	0.00,	3949.00,	0.00,	NULL,	1,	'',	4,	'',	NULL),
(91,	89,	'080-D400-2-B',	'',	0.00,	2836.00,	0.00,	NULL,	1,	'',	4,	'',	NULL),
(92,	90,	'',	'',	0.00,	2408.00,	0.00,	NULL,	1,	'',	4,	'',	NULL),
(93,	91,	'20042540',	'',	0.00,	211.00,	0.00,	0,	1,	'',	1,	'',	NULL),
(94,	92,	'20042537',	'',	0.00,	176.00,	0.00,	0,	1,	'',	1,	'',	NULL),
(95,	93,	'20042534',	'',	0.00,	176.00,	0.00,	0,	1,	'',	1,	'',	NULL),
(96,	94,	'20042533',	'',	0.00,	130.00,	0.00,	0,	1,	'',	1,	'',	NULL),
(97,	95,	'7703331747',	'',	0.00,	350.00,	389.00,	NULL,	1,	'',	1,	'',	NULL),
(98,	96,	'7703331748',	'',	0.00,	320.00,	356.00,	NULL,	1,	'',	1,	'',	NULL),
(99,	97,	'7703331746',	'',	0.00,	266.00,	294.00,	NULL,	1,	'',	1,	'',	NULL),
(100,	98,	'7702331717',	'',	0.00,	326.00,	362.00,	NULL,	1,	'',	1,	'',	NULL),
(101,	99,	'7702331718',	'',	0.00,	282.00,	314.00,	NULL,	1,	'',	1,	'',	NULL),
(102,	100,	'7702331716',	'',	0.00,	238.00,	265.00,	NULL,	1,	'',	1,	'',	NULL),
(103,	101,	'7701331616',	'',	0.00,	277.00,	308.00,	NULL,	1,	'',	1,	'',	NULL),
(104,	102,	'7701331617',	'',	0.00,	263.00,	293.00,	NULL,	1,	'',	1,	'',	NULL),
(105,	103,	'7701331615',	'',	0.00,	169.00,	188.00,	NULL,	1,	'',	1,	'',	NULL),
(106,	104,	'7701331010',	'',	0.00,	144.00,	160.00,	NULL,	1,	'',	1,	'',	NULL),
(107,	105,	'7736500992',	'',	0.00,	140.00,	156.00,	NULL,	1,	'',	1,	'',	NULL),
(108,	106,	'311591',	'',	0.00,	355.00,	395.00,	0,	1,	'',	1,	'',	NULL),
(109,	107,	'311392',	'',	0.00,	312.00,	347.00,	0,	1,	'',	1,	'',	NULL),
(110,	108,	'311260',	'',	0.00,	280.00,	311.00,	0,	1,	'',	1,	'',	NULL),
(111,	109,	'311292',	'',	0.00,	260.00,	289.00,	0,	111,	'',	1,	'',	NULL),
(112,	110,	'311187',	'',	0.00,	195.00,	212.00,	NULL,	112,	'',	1,	'',	NULL),
(113,	111,	'qwer21',	'',	NULL,	34.00,	0.00,	NULL,	113,	'',	2,	'',	NULL),
(114,	112,	'rtrwt535',	'',	NULL,	97.00,	0.00,	NULL,	114,	'',	2,	'',	NULL),
(115,	113,	'24e452',	'',	NULL,	28.00,	0.00,	NULL,	115,	'',	2,	'',	NULL),
(116,	114,	'qw90po',	'',	NULL,	78.00,	87.00,	NULL,	116,	'',	2,	'кг',	NULL),
(117,	115,	'',	'',	NULL,	32.00,	43.00,	NULL,	117,	'',	2,	'кг',	NULL),
(118,	116,	'we58u',	'',	NULL,	34.00,	38.00,	NULL,	118,	'',	2,	'кг',	NULL),
(119,	117,	'rt743',	'',	NULL,	14.00,	0.00,	NULL,	119,	'',	2,	'кг',	NULL),
(120,	118,	'op099',	'',	NULL,	43.00,	0.00,	NULL,	120,	'',	2,	'кг',	NULL),
(121,	119,	'',	'',	NULL,	43.00,	52.00,	NULL,	121,	'',	2,	'кг',	NULL),
(122,	120,	'gh616',	'',	NULL,	456.00,	0.00,	NULL,	122,	'',	2,	'кг',	NULL),
(123,	121,	'meat45',	'',	NULL,	678.00,	700.00,	NULL,	123,	'',	2,	'кг',	NULL),
(124,	122,	'',	'',	NULL,	768.00,	0.00,	NULL,	124,	'',	2,	'',	NULL),
(125,	123,	'',	'',	NULL,	567.00,	604.00,	NULL,	125,	'',	2,	'кг',	NULL),
(126,	124,	'ktc75',	'',	NULL,	35.00,	0.00,	NULL,	126,	'',	2,	'',	NULL),
(127,	125,	'ui6246',	'',	NULL,	96.00,	0.00,	NULL,	127,	'',	2,	'',	NULL),
(128,	126,	'uirt88679',	'',	NULL,	34.00,	0.00,	NULL,	128,	'',	2,	'',	NULL),
(129,	127,	'',	'',	NULL,	23.00,	0.00,	NULL,	129,	'',	2,	'',	NULL),
(130,	128,	'cv5623',	'',	NULL,	24.00,	0.00,	NULL,	130,	'',	2,	'',	NULL),
(131,	129,	'wine349',	'',	NULL,	568.00,	0.00,	NULL,	131,	'',	2,	'',	NULL),
(132,	130,	'wr24',	'',	NULL,	852.00,	979.00,	NULL,	132,	'',	2,	'',	NULL),
(133,	131,	'ouy325',	'',	NULL,	1789.00,	0.00,	NULL,	133,	'',	2,	'',	NULL),
(134,	132,	'ghh436',	'',	NULL,	629.00,	0.00,	NULL,	134,	'',	2,	'',	NULL),
(135,	133,	'ee349',	'',	NULL,	23.00,	27.00,	NULL,	135,	'',	2,	'',	NULL),
(136,	134,	'eovc85',	'',	NULL,	8.00,	0.00,	NULL,	136,	'',	2,	'',	NULL),
(137,	135,	'fgeh624',	'',	NULL,	36.00,	0.00,	NULL,	137,	'',	2,	'',	NULL),
(138,	136,	'',	'',	NULL,	458.00,	0.00,	NULL,	138,	'',	2,	'',	NULL),
(139,	137,	'ertw532462',	'',	NULL,	458.00,	0.00,	NULL,	139,	'',	2,	'',	NULL),
(140,	138,	'ertw532462',	'',	NULL,	958.00,	1288.00,	NULL,	140,	'',	2,	'',	NULL),
(141,	139,	'ertw532462',	'',	NULL,	658.00,	899.00,	NULL,	141,	'',	2,	'',	NULL),
(142,	140,	'ertw532462',	'Микки маус',	NULL,	258.00,	0.00,	NULL,	142,	'',	2,	'',	NULL),
(143,	140,	'',	'Dora Dora',	NULL,	258.00,	0.00,	0,	143,	'',	2,	'',	NULL),
(144,	140,	'',	'Тачки',	NULL,	457.00,	679.00,	3,	144,	'',	2,	'',	NULL),
(145,	141,	'ertw532462',	'',	NULL,	258.00,	0.00,	NULL,	145,	'',	2,	'',	NULL),
(148,	142,	'ertw743362',	'',	NULL,	958.00,	0.00,	NULL,	148,	'',	2,	'',	NULL),
(149,	143,	'ertw743362',	'',	NULL,	1278.00,	1366.00,	NULL,	149,	'',	2,	'',	NULL),
(150,	144,	'twe532',	'Бежевый',	120.00,	15000.00,	0.00,	NULL,	150,	'',	2,	'',	NULL),
(151,	144,	'ytu235235',	'Белый',	120.00,	17500.00,	19000.00,	0,	151,	'',	2,	'',	NULL),
(152,	144,	'otu64626',	'Оранжевый',	120.00,	17500.00,	18500.00,	NULL,	152,	'',	2,	'',	NULL),
(153,	144,	'tyuiee753',	'Бирюзовый',	NULL,	15000.00,	0.00,	1,	153,	'',	2,	'',	NULL),
(154,	145,	'twe532',	'Бежевый',	120.00,	12000.00,	0.00,	NULL,	155,	'',	2,	'',	0.00000),
(155,	145,	'ytu235235',	'Белый',	120.00,	18500.00,	19000.00,	5,	154,	'',	2,	'',	0.00000),
(156,	145,	'otu64626',	'Оранжевый',	120.00,	17500.00,	18500.00,	0,	156,	'',	2,	'',	0.00000),
(157,	145,	'tyuiee753',	'Бирюзовый',	NULL,	11000.00,	0.00,	1,	157,	'',	2,	'',	0.00000),
(158,	146,	'ytu235235',	'Белый',	120.00,	11900.00,	13400.00,	5,	159,	'',	2,	'',	0.00000),
(159,	146,	'twe532',	'Бежевый',	120.00,	16800.00,	0.00,	0,	160,	'',	2,	'',	0.00000),
(160,	146,	'otu64626',	'Оранжевый',	120.00,	18400.00,	18900.00,	5,	158,	'',	2,	'',	0.00000),
(161,	146,	'tyuiee753',	'Бирюзовый',	NULL,	19900.00,	0.00,	1,	161,	'',	2,	'',	0.00000),
(162,	147,	'otu64626',	'Оранжевый',	120.00,	18400.00,	0.00,	4,	163,	'',	2,	'',	0.00000),
(163,	147,	'ytu235235',	'Белый',	120.00,	11900.00,	13400.00,	4,	164,	'',	2,	'',	0.00000),
(164,	147,	'twe532',	'Бежевый',	120.00,	16800.00,	0.00,	0,	165,	'',	2,	'',	0.00000),
(165,	147,	'tyuiee753',	'Бирюзовый',	NULL,	16900.00,	18900.00,	0,	162,	'',	2,	'',	0.00000),
(166,	148,	'tyuiee753',	'Бирюзовый',	NULL,	23650.00,	18900.00,	1,	166,	'',	2,	'',	NULL),
(174,	150,	'pui76969',	'47L x 104W x 33.5H',	NULL,	34000.00,	0.00,	NULL,	174,	'',	2,	'',	0.00000),
(175,	150,	'yiyt8675',	'65.5L x 89.5W x 25.5H',	NULL,	58000.00,	11200.00,	NULL,	175,	'',	2,	'',	0.00000),
(176,	150,	'dte352',	'89L x 69.5W x 28.5H',	NULL,	56000.00,	0.00,	0,	176,	'',	2,	'',	0.00000),
(177,	151,	'pui76969',	'47L x 104W x 33.5H',	NULL,	34000.00,	0.00,	NULL,	178,	'',	2,	'',	0.00000),
(178,	151,	'yiyt8675',	'65.5L x 89.5W x 25.5H',	NULL,	58000.00,	11200.00,	NULL,	177,	'',	2,	'',	0.00000),
(179,	151,	'dte352',	'89L x 69.5W x 28.5H',	NULL,	56000.00,	0.00,	0,	179,	'',	2,	'',	0.00000),
(180,	152,	'yiyt8675',	'65.5L x 89.5W x 25.5H',	NULL,	58000.00,	11200.00,	NULL,	181,	'',	2,	'',	0.00000),
(181,	152,	'pui76969',	'47L x 104W x 33.5H',	NULL,	34000.00,	0.00,	NULL,	182,	'',	2,	'',	0.00000),
(182,	152,	'dte352',	'89L x 69.5W x 28.5H',	NULL,	56000.00,	0.00,	0,	180,	'',	2,	'',	0.00000),
(183,	153,	'dte352',	'89L x 69.5W x 28.5H',	NULL,	45114.00,	0.00,	NULL,	183,	'',	2,	'',	NULL),
(184,	153,	'yiyt8675',	'65.5L x 89.5W x 25.5H',	NULL,	58000.00,	11200.00,	NULL,	184,	'',	2,	'',	NULL),
(186,	154,	'',	'',	NULL,	1200.00,	0.00,	NULL,	186,	'',	2,	'',	NULL),
(187,	155,	'ur84',	'',	NULL,	1240.00,	0.00,	NULL,	187,	'',	2,	'',	NULL),
(188,	156,	'ur878',	'',	NULL,	1220.00,	1400.00,	NULL,	188,	'',	2,	'',	NULL),
(189,	157,	'ur468',	'',	NULL,	1720.00,	0.00,	0,	189,	'',	2,	'',	NULL),
(190,	158,	'mno96',	'Белый',	NULL,	1680.00,	0.00,	NULL,	191,	'',	2,	'',	NULL),
(191,	158,	'mno95',	'Красный',	NULL,	1680.00,	1700.00,	0,	192,	'',	2,	'',	NULL),
(192,	158,	'mno97',	'Синий',	NULL,	1500.00,	1680.00,	1,	193,	'',	2,	'',	NULL),
(193,	158,	'mno98',	'Коричневый',	NULL,	1500.00,	0.00,	10,	190,	'',	2,	'',	NULL),
(194,	159,	'mno98',	'Коричневый',	NULL,	1500.00,	0.00,	11,	195,	'',	2,	'',	NULL),
(195,	159,	'mno96',	'Белый',	NULL,	1680.00,	0.00,	NULL,	196,	'',	2,	'',	NULL),
(196,	159,	'mno95',	'Красный',	NULL,	1680.00,	1700.00,	0,	194,	'',	2,	'',	NULL),
(197,	159,	'mno97',	'Синий',	NULL,	1500.00,	1680.00,	0,	197,	'',	2,	'',	NULL),
(198,	160,	'mno95',	'Красный',	NULL,	1680.00,	1700.00,	0,	199,	'',	2,	'',	NULL),
(199,	160,	'mno98',	'Коричневый',	NULL,	1500.00,	0.00,	12,	200,	'',	2,	'',	NULL),
(200,	160,	'mno96',	'Белый',	NULL,	1680.00,	0.00,	NULL,	201,	'',	2,	'',	NULL),
(201,	160,	'mno97',	'Синий',	NULL,	1500.00,	1680.00,	1,	198,	'',	2,	'',	NULL),
(202,	161,	'mno97',	'Синий',	NULL,	1500.00,	1680.00,	1,	203,	'',	2,	'',	NULL),
(203,	161,	'mno95',	'Красный',	NULL,	1680.00,	1700.00,	0,	204,	'',	2,	'',	NULL),
(204,	161,	'mno98',	'Коричневый',	NULL,	1500.00,	0.00,	12,	205,	'',	2,	'',	NULL),
(205,	161,	'mno96',	'Белый',	NULL,	1680.00,	0.00,	NULL,	202,	'',	2,	'',	NULL),
(206,	162,	'',	'',	NULL,	8900.00,	0.00,	NULL,	206,	'',	2,	'',	NULL),
(207,	163,	'',	'',	NULL,	14900.00,	0.00,	NULL,	207,	'',	2,	'',	NULL),
(208,	164,	'',	'',	NULL,	14900.00,	0.00,	NULL,	208,	'',	2,	'',	NULL),
(209,	165,	'opwe6',	'',	NULL,	45900.00,	0.00,	NULL,	209,	'',	2,	'',	NULL),
(210,	166,	'opwe8',	'',	NULL,	25900.00,	0.00,	NULL,	210,	'',	2,	'',	NULL),
(211,	167,	'opwe8',	'',	NULL,	25900.00,	0.00,	NULL,	211,	'',	2,	'',	NULL),
(212,	168,	'',	'',	NULL,	3489.00,	0.00,	NULL,	212,	'',	2,	'',	NULL),
(213,	169,	'',	'',	NULL,	7489.00,	0.00,	NULL,	213,	'',	2,	'',	NULL),
(214,	170,	'',	'',	NULL,	8489.00,	0.00,	NULL,	214,	'',	2,	'',	NULL),
(215,	171,	'dcf521',	'',	NULL,	7400.00,	0.00,	NULL,	215,	'',	2,	'',	NULL),
(216,	172,	'tyu683',	'',	NULL,	4400.00,	0.00,	NULL,	216,	'',	2,	'',	NULL),
(217,	173,	'',	'',	NULL,	9600.00,	0.00,	NULL,	217,	'',	2,	'',	NULL),
(218,	174,	'qsdc62',	'',	NULL,	8700.00,	0.00,	NULL,	218,	'',	2,	'',	NULL),
(219,	175,	'qsdc62',	'',	NULL,	11700.00,	0.00,	NULL,	219,	'',	2,	'',	NULL),
(220,	176,	'qsdc62',	'',	NULL,	17700.00,	0.00,	NULL,	220,	'',	2,	'',	NULL),
(221,	177,	'qsdc62',	'',	NULL,	15300.00,	0.00,	NULL,	221,	'',	2,	'',	NULL),
(222,	178,	'qsdc62',	'',	NULL,	25300.00,	0.00,	NULL,	222,	'',	2,	'',	NULL),
(223,	179,	'',	'',	NULL,	36700.00,	0.00,	NULL,	223,	'',	2,	'',	NULL),
(224,	180,	'',	'',	NULL,	71700.00,	0.00,	NULL,	224,	'',	2,	'',	NULL),
(225,	181,	'',	'',	NULL,	83000.00,	0.00,	NULL,	225,	'',	2,	'',	NULL),
(226,	182,	'',	'',	NULL,	11000.00,	0.00,	NULL,	226,	'',	2,	'',	NULL),
(227,	183,	'',	'',	NULL,	12700.00,	0.00,	NULL,	227,	'',	2,	'',	NULL),
(229,	185,	'',	'',	NULL,	9500.00,	0.00,	NULL,	229,	'',	2,	'',	NULL),
(230,	186,	'',	'',	NULL,	29500.00,	0.00,	NULL,	230,	'',	2,	'',	NULL),
(231,	187,	'',	'',	NULL,	7500.00,	0.00,	NULL,	231,	'',	2,	'',	NULL),
(232,	188,	'',	'',	NULL,	390.00,	0.00,	NULL,	232,	'',	2,	'',	NULL),
(233,	189,	'book96',	'',	NULL,	590.00,	800.00,	NULL,	233,	'',	2,	'',	NULL),
(234,	190,	'book98',	'',	NULL,	490.00,	600.00,	NULL,	234,	'',	2,	'',	NULL),
(235,	191,	'book67',	'',	NULL,	410.00,	580.00,	NULL,	235,	'',	2,	'',	NULL),
(236,	192,	'book47',	'',	NULL,	980.00,	0.00,	NULL,	236,	'',	2,	'',	NULL),
(237,	193,	'book30',	'',	NULL,	1280.00,	0.00,	NULL,	237,	'',	2,	'',	NULL),
(238,	194,	'book30',	'',	NULL,	1880.00,	0.00,	NULL,	238,	'',	2,	'',	NULL),
(239,	195,	'book36',	'',	NULL,	1180.00,	0.00,	NULL,	239,	'',	2,	'',	NULL),
(240,	196,	'BEAU_015',	'',	NULL,	135.00,	0.00,	NULL,	240,	'',	1,	'',	NULL),
(241,	197,	'BEAU_019',	'',	NULL,	134.00,	0.00,	NULL,	241,	'',	1,	'',	NULL),
(242,	198,	'BEAU_020',	'',	NULL,	133.00,	0.00,	NULL,	242,	'',	1,	'',	NULL),
(243,	199,	'BEAU_021',	'',	NULL,	131.00,	0.00,	NULL,	243,	'',	1,	'',	NULL),
(244,	200,	'BEAU_022',	'',	NULL,	122.00,	0.00,	NULL,	244,	'',	1,	'',	NULL),
(245,	201,	'',	'',	NULL,	143.00,	0.00,	NULL,	245,	'',	1,	'',	NULL),
(246,	202,	'BEAU_022',	'',	NULL,	122.00,	0.00,	NULL,	246,	'',	1,	'',	NULL),
(247,	203,	'BEAU_025',	'',	NULL,	120.00,	0.00,	NULL,	247,	'',	1,	'',	NULL),
(248,	204,	'BEAU_026',	'',	NULL,	167.00,	0.00,	NULL,	248,	'',	1,	'',	NULL),
(249,	205,	'er45373',	'16 дюймов  — 155-166 см',	NULL,	469000.00,	0.00,	NULL,	249,	'',	2,	'',	NULL),
(250,	205,	'er453753',	'18 дюймов  — 165-180 см',	NULL,	479000.00,	0.00,	NULL,	250,	'',	2,	'',	NULL),
(251,	205,	'er456',	'20 дюймов  — 175-190 см',	NULL,	469000.00,	489000.00,	NULL,	251,	'',	2,	'',	NULL),
(252,	205,	'er45354',	'22 дюйма  — 187-200 см',	NULL,	499000.00,	0.00,	NULL,	252,	'',	2,	'',	NULL),
(253,	206,	'',	'17 дюймов  — 160-175 см',	NULL,	14248.00,	17530.00,	NULL,	253,	'',	2,	'',	NULL),
(254,	207,	'qw5934',	'Белый',	NULL,	7600.00,	7800.00,	NULL,	254,	'',	2,	'',	NULL),
(255,	207,	'qw735h64',	'Красный',	NULL,	7.00,	0.00,	NULL,	255,	'',	2,	'',	NULL),
(256,	208,	'awe352',	'',	NULL,	2290.00,	0.00,	NULL,	256,	'',	2,	'',	NULL),
(257,	209,	'',	'',	NULL,	9480.00,	0.00,	NULL,	257,	'',	2,	'',	NULL),
(258,	210,	'HD902',	'',	NULL,	670.00,	790.00,	NULL,	258,	'',	2,	'',	NULL),
(259,	211,	'sd6784',	'',	NULL,	1945.00,	0.00,	NULL,	259,	'',	2,	'',	NULL),
(260,	212,	'uu65222',	'',	NULL,	2389.00,	2780.00,	NULL,	260,	'',	2,	'',	NULL),
(261,	213,	'nir5225',	'',	NULL,	79450.00,	120000.00,	NULL,	261,	'',	2,	'',	NULL),
(262,	214,	'ff5211',	'',	NULL,	16800.00,	0.00,	NULL,	262,	'',	2,	'',	NULL),
(263,	215,	'as513626',	'',	NULL,	4800.00,	0.00,	NULL,	263,	'',	2,	'',	NULL),
(264,	216,	'sssr3425',	'',	NULL,	78000.00,	0.00,	NULL,	264,	'',	2,	'',	NULL),
(265,	217,	'',	'',	NULL,	9800.00,	10200.00,	NULL,	265,	'',	2,	'',	NULL),
(266,	218,	'',	'',	NULL,	8600.00,	9200.00,	NULL,	266,	'',	2,	'',	NULL),
(267,	219,	'er45373',	'16 дюймов  — 155-166 см',	NULL,	389000.00,	0.00,	NULL,	267,	'',	2,	'',	NULL),
(271,	220,	'VVw4632',	'',	NULL,	57000.00,	0.00,	NULL,	271,	'',	2,	'',	NULL),
(272,	221,	'VVw445',	'',	NULL,	7600.00,	8700.00,	NULL,	272,	'',	2,	'',	NULL),
(273,	222,	'JJPT0387',	'Оранжевый',	NULL,	11600.00,	13700.00,	NULL,	273,	'',	2,	'',	NULL),
(274,	222,	'JJPT0887',	'Чёерный',	NULL,	11600.00,	0.00,	NULL,	274,	'',	2,	'',	NULL),
(275,	223,	'PVVD2525',	'',	NULL,	68600.00,	78700.00,	NULL,	275,	'',	2,	'',	NULL),
(277,	224,	'PVVD2525',	'',	NULL,	16600.00,	17700.00,	NULL,	277,	'',	2,	'',	NULL),
(278,	225,	'mn953',	'',	NULL,	2300.00,	0.00,	NULL,	278,	'',	4,	'',	NULL),
(279,	226,	'mn954',	'',	NULL,	1300.00,	0.00,	NULL,	279,	'',	4,	'',	NULL),
(280,	227,	'mm7327',	'',	NULL,	7800.00,	0.00,	NULL,	280,	'',	4,	'',	NULL),
(281,	228,	'mnc573',	'',	NULL,	1400.00,	1540.00,	NULL,	281,	'',	4,	'',	NULL),
(282,	229,	'mnb7959',	'',	10.00,	2600.00,	0.00,	NULL,	282,	'',	4,	'',	NULL),
(283,	230,	'vby5737',	'',	NULL,	45067.00,	540000.00,	NULL,	283,	'',	2,	'',	0.00000),
(284,	231,	'ccv6346',	'зеленый',	NULL,	12900.00,	0.00,	NULL,	284,	'',	4,	'',	NULL),
(285,	231,	'ccv6546',	'синий',	NULL,	13900.00,	0.00,	NULL,	285,	'',	2,	'',	NULL),
(286,	231,	'ccv6586',	'Бежевый',	NULL,	14000.00,	0.00,	0,	286,	'',	2,	'',	NULL),
(287,	229,	'',	'',	NULL,	0.00,	0.00,	NULL,	287,	'',	2,	'',	NULL),
(288,	48,	'',	'синий',	NULL,	5100.00,	0.00,	NULL,	288,	'',	4,	'',	NULL),
(289,	48,	'',	'красный',	NULL,	5200.00,	0.00,	NULL,	289,	'',	4,	'',	NULL);

